#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "21802a386d7e3614445df7ee7c1a5afde8ad45d3";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "unixFilePath";
Object module_standardGrace_init();
static char *originalSourceLines[] = {
  "import \"io\" as io",
  "",
  "class null {",
  "    // creates a unixFilePath with empty components",
  "",
  "    var dir := \"\"",
  "    // the directory part; \"\" if in current directory",
  "",
  "    var base is public := \"\"",
  "    // the base part of the file name (without an extension)",
  "",
  "    var extension is public := \"\"",
  "    // the extension (like `.grace`) , including the `.`",
  "",
  "    method asString { dir ++ base ++ extension }",
  "    // the whole file name as a string",
  "",
  "    method shortName { base ++ extension }",
  "    // the file name without the directory part",
  "",
  "    method asDebugString { \"unixFilePath[{dir}|{base}|{extension}]\" }",
  "    // for debugging; shows the division into parts",
  "",
  "    method directory {",
  "    // the directory part; \"./\" if in current directory",
  "        if (dir == \"\") then { \"./\" } else { dir }",
  "    }",
  "",
  "    method directory:=(d) {",
  "    // set the directory part",
  "        var newDir := d",
  "        if (newDir == \"\") then {",
  "            dir := \"\"",
  "            return",
  "        }",
  "        if (newDir.at(newDir.size) != \"/\") then {",
  "            newDir := newDir ++ \"/\"",
  "        }",
  "        if (newDir == \"./\") then { newDir := \"\" }",
  "        dir := newDir",
  "    }",
  "    method setDirectory(d) {",
  "    // set the directory part; answers self for chaining",
  "        directory := d",
  "        self",
  "    }",
  "    method setBase(b) {",
  "    // set the base part; answers self for chaining",
  "        base := b",
  "        self",
  "    }",
  "    method setExtension(e) {",
  "    // set the extension; answers self for chaining",
  "        if (e.first == \".\") then {",
  "            extension := e",
  "        } else {",
  "            extension := \".\" ++ e",
  "        }",
  "        self",
  "    }",
  "    method exists -> Boolean {",
  "    // true if his file exists",
  "        io.exists(self.asString)",
  "    }",
  "    method newer(other) -> Boolean {",
  "    // true if this file is newer than other",
  "        io.newer(self.asString, other.asString)",
  "    }",
  "",
  "    method copy {",
  "    // a copy of this filePath",
  "        def p = null",
  "        p.directory := directory",
  "        p.base := base",
  "        p.extension := extension",
  "        p",
  "    }",
  "",
  "    method == (other) {",
  "    // am I equal to other?",
  "        if (directory != other.directory) then { return false }",
  "        if (base != other.base) then { return false }",
  "        if (extension != other.extension) then { return false }",
  "        return true",
  "    }",
  "}",
  "",
  "method withDirectory(d) {",
  "    null.setDirectory(d)",
  "}",
  "",
  "method withBase(b) {",
  "    null.setBase(b)",
  "}",
  "",
  "method withExtension(e) {",
  "    null.setExtension(e)",
  "}",
  "",
  "method withDirectory(d) base(b) extension(e) {",
  "    // creates a unixFilePath with directory d, base b and extension e",
  "    null.setDirectory(d).setBase(b).setExtension(e)",
  "}",
  "",
  "method fromString(s) {",
  "    // parses the filename s into components and answers the approriate unixFilePath",
  "    def p = null",
  "    var slashPosn := 0",
  "    def sSize = s.size",
  "    var ix := sSize",
  "    while { (slashPosn == 0) && (ix > 0) } do {",
  "        if (s.at(ix) == \"/\") then {",
  "            slashPosn := ix",
  "        } else {",
  "            ix := ix - 1",
  "        }",
  "    }",
  "    p.directory := s.substringFrom 1 to (slashPosn)",
  "    var dotPosn := sSize + 1",
  "    ix := sSize",
  "    while { (dotPosn > sSize) && (ix > slashPosn) } do {",
  "        if (s.at(ix) == \".\") then {",
  "            dotPosn := ix",
  "        } else {",
  "            ix := ix - 1",
  "        }",
  "    }",
  "    if (dotPosn <= sSize) then {",
  "        p.extension := s.substringFrom (dotPosn) to (sSize)",
  "    }",
  "    p.base := s.substringFrom (slashPosn + 1) to (dotPosn - 1)",
  "    p",
  "}",
  "",
  "method split(pathString) -> List[[String]] {",
  "    // splits pathString, assumed to be a Unix PATH containing items separated",
  "    // by colons, into a List of items.  Ensures that each item ends with /",
  "    def locations = emptyList",
  "    var ix := 1",
  "    var ox := 1",
  "    def pss = pathString.size",
  "    while { ox <= pss } do {",
  "        while { (ox <= pss) && {pathString.at(ox) != \":\"} } do {",
  "            ox := ox + 1",
  "        }",
  "        var item := pathString.substringFrom(ix) to(ox-1)",
  "        if (item.isEmpty.not) then {",
  "            if (item.last != \"/\") then { item := item ++ \"/\" }",
  "            locations.addLast (item)",
  "        }",
  "        ix := ox + 1",
  "        ox := ix",
  "    }",
  "    return locations",
  "}",
  "",
  "method file(name) onPath(pathString) otherwise(action) {",
  "    def locations = split(pathString)",
  "    def candidate = name.copy",
  "    def originalDir = name.dir",
  "    if (originalDir.first == \"/\") then {",
  "        if (candidate.exists) then {",
  "            return candidate",
  "        } else {",
  "            return action.apply \"\"",
  "        }",
  "    }",
  "    locations.do { each ->",
  "        candidate.setDirectory(each ++ originalDir)",
  "        if ( candidate.exists ) then {",
  "            return candidate",
  "        }",
  "    }",
  "    action.apply(locations)",
  "}",
  NULL
};
Object reader_unixFilePath_outer_3(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_unixFilePath_dir_4(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_unixFilePath_dir_4(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_unixFilePath_base_5(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_unixFilePath_base_5(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_unixFilePath_extension_6(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_unixFilePath_extension_6(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
static ClassData objclass2;
static Object strlit30;
static Object strlit37;
static Object strlit44;
static Object strlit50;
static Object strlit60;
static Object strlit65;
static Object strlit71;
static Object strlit75;
static Object strlit79;
static Object strlit87;
static Object strlit93;
static Object strlit96;
static Object strlit109;
static Object strlit119;
static Object strlit180;
static Object strlit181;
static Object strlit182;
static Object strlit233;
static Object strlit273;
static Object strlit329;
static Object strlit363;
static Object strlit369;
static Object strlit392;
static Object strlit401;
Object module_io;
Object module_io_init();
Object meth_unixFilePath_asString7(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe9 = gc_frame_new();
// call case 4: self request
  Object call10 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9);
// compiled member node returning call10 (depth = 3)
  int op_slot_right_8 = gc_frame_newslot(call10);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe13 = gc_frame_new();
// call case 4: self request
  Object call14 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe13);
// compiled member node returning call14 (depth = 4)
  int op_slot_right_12 = gc_frame_newslot(call14);
// starting to compile member node (depth = 4)
  int callframe16 = gc_frame_new();
// call case 4: self request
  Object call17 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe16);
// compiled member node returning call17 (depth = 4)
  int op_slot_left_12 = gc_frame_newslot(call17);
  params[0] = call14;
  partcv[0] = 1;
  Object opresult18 = callmethod(call17, "++(1)", 1, partcv, params);
// compiled op node returning opresult18 (depth = 3)
  int op_slot_left_8 = gc_frame_newslot(opresult18);
  params[0] = call10;
  partcv[0] = 1;
  Object opresult19 = callmethod(opresult18, "++(1)", 1, partcv, params);
// compiled op node returning opresult19 (depth = 2)
  gc_frame_end(frame);
  return opresult19;
}
Object meth_unixFilePath_shortName20(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shortName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe22 = gc_frame_new();
// call case 4: self request
  Object call23 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe22);
// compiled member node returning call23 (depth = 3)
  int op_slot_right_21 = gc_frame_newslot(call23);
// starting to compile member node (depth = 3)
  int callframe25 = gc_frame_new();
// call case 4: self request
  Object call26 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe25);
// compiled member node returning call26 (depth = 3)
  int op_slot_left_21 = gc_frame_newslot(call26);
  params[0] = call23;
  partcv[0] = 1;
  Object opresult27 = callmethod(call26, "++(1)", 1, partcv, params);
// compiled op node returning opresult27 (depth = 2)
  gc_frame_end(frame);
  return opresult27;
}
Object meth_unixFilePath_asDebugString28(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit30 == NULL) {
    strlit30 = alloc_String("]");
    gc_root(strlit30);
  }
// compiled string node returning strlit30 (depth = 3)
  int op_slot_right_29 = gc_frame_newslot(strlit30);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe33 = gc_frame_new();
// call case 4: self request
  Object call34 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe33);
// compiled member node returning call34 (depth = 4)
  int op_slot_right_32 = gc_frame_newslot(call34);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit37 == NULL) {
    strlit37 = alloc_String("|");
    gc_root(strlit37);
  }
// compiled string node returning strlit37 (depth = 5)
  int op_slot_right_36 = gc_frame_newslot(strlit37);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe40 = gc_frame_new();
// call case 4: self request
  Object call41 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe40);
// compiled member node returning call41 (depth = 6)
  int op_slot_right_39 = gc_frame_newslot(call41);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit44 == NULL) {
    strlit44 = alloc_String("|");
    gc_root(strlit44);
  }
// compiled string node returning strlit44 (depth = 7)
  int op_slot_right_43 = gc_frame_newslot(strlit44);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe47 = gc_frame_new();
// call case 4: self request
  Object call48 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 8)
  int op_slot_right_46 = gc_frame_newslot(call48);
// starting to compile string node (depth = 8)
  if (strlit50 == NULL) {
    strlit50 = alloc_String("unixFilePath[");
    gc_root(strlit50);
  }
// compiled string node returning strlit50 (depth = 8)
  int op_slot_left_46 = gc_frame_newslot(strlit50);
  params[0] = call48;
  partcv[0] = 1;
  Object opresult51 = callmethod(strlit50, "++(1)", 1, partcv, params);
// compiled op node returning opresult51 (depth = 7)
  int op_slot_left_43 = gc_frame_newslot(opresult51);
  params[0] = strlit44;
  partcv[0] = 1;
  Object opresult52 = callmethod(opresult51, "++(1)", 1, partcv, params);
// compiled op node returning opresult52 (depth = 6)
  int op_slot_left_39 = gc_frame_newslot(opresult52);
  params[0] = call41;
  partcv[0] = 1;
  Object opresult53 = callmethod(opresult52, "++(1)", 1, partcv, params);
// compiled op node returning opresult53 (depth = 5)
  int op_slot_left_36 = gc_frame_newslot(opresult53);
  params[0] = strlit37;
  partcv[0] = 1;
  Object opresult54 = callmethod(opresult53, "++(1)", 1, partcv, params);
// compiled op node returning opresult54 (depth = 4)
  int op_slot_left_32 = gc_frame_newslot(opresult54);
  params[0] = call34;
  partcv[0] = 1;
  Object opresult55 = callmethod(opresult54, "++(1)", 1, partcv, params);
// compiled op node returning opresult55 (depth = 3)
  int op_slot_left_29 = gc_frame_newslot(opresult55);
  params[0] = strlit30;
  partcv[0] = 1;
  Object opresult56 = callmethod(opresult55, "++(1)", 1, partcv, params);
// compiled op node returning opresult56 (depth = 2)
  gc_frame_end(frame);
  return opresult56;
}
Object meth_unixFilePath_directory57(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "directory");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit60 == NULL) {
    strlit60 = alloc_String("");
    gc_root(strlit60);
  }
// compiled string node returning strlit60 (depth = 4)
  int op_slot_right_59 = gc_frame_newslot(strlit60);
// starting to compile member node (depth = 4)
  int callframe62 = gc_frame_new();
// call case 4: self request
  Object call63 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe62);
// compiled member node returning call63 (depth = 4)
  int op_slot_left_59 = gc_frame_newslot(call63);
  params[0] = strlit60;
  partcv[0] = 1;
  Object opresult64 = callmethod(call63, "==(1)", 1, partcv, params);
// compiled op node returning opresult64 (depth = 3)
  Object if58 = done;
  if (istrue(opresult64)) {
// starting to compile string node (depth = 3)
  if (strlit65 == NULL) {
    strlit65 = alloc_String("./");
    gc_root(strlit65);
  }
// compiled string node returning strlit65 (depth = 3)
    gc_frame_newslot(strlit65);
    if58 = strlit65;
  } else {
// starting to compile member node (depth = 3)
  int callframe66 = gc_frame_new();
// call case 4: self request
  Object call67 = callmethodflags(self, "dir", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe66);
// compiled member node returning call67 (depth = 3)
    gc_frame_newslot(call67);
    if58 = call67;
  }
// compiled if node returning if58 (depth = 2)
  gc_frame_end(frame);
  return if58;
}
Object meth_unixFilePath_directory_58__61__40_1_41_68(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "directory:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method directory:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for directory:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part directory:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newDir = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newDir");
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  *var_newDir = *var_d;
  if (*var_d == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit71 == NULL) {
    strlit71 = alloc_String("");
    gc_root(strlit71);
  }
// compiled string node returning strlit71 (depth = 4)
  int op_slot_right_70 = gc_frame_newslot(strlit71);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newDir (depth = 4)
  int op_slot_left_70 = gc_frame_newslot(*var_newDir);
  params[0] = strlit71;
  partcv[0] = 1;
  Object opresult73 = callmethod(*var_newDir, "==(1)", 1, partcv, params);
// compiled op node returning opresult73 (depth = 3)
  Object if69 = done;
  if (istrue(opresult73)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe74 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit75 == NULL) {
    strlit75 = alloc_String("");
    gc_root(strlit75);
  }
// compiled string node returning strlit75 (depth = 4)
  gc_frame_newslot(strlit75);
// call case 4: self request
  params[0] = strlit75;
  partcv[0] = 1;
  Object call76 = callmethodflags(self, "dir:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe74);
// compiled call node returning call76 (depth = 3)
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if69 = undefined;
  } else {
  }
// compiled if node returning if69 (depth = 2)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit79 == NULL) {
    strlit79 = alloc_String("/");
    gc_root(strlit79);
  }
// compiled string node returning strlit79 (depth = 4)
  int op_slot_right_78 = gc_frame_newslot(strlit79);
// starting to compile call node (depth = 4)
  int callframe81 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe82 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newDir (depth = 6)
  Object call83 = callmethodflags(*var_newDir, "size", 0, partcv, params, 0);
  gc_frame_end(callframe82);
// compiled member node returning call83 (depth = 5)
  gc_frame_newslot(call83);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDir (depth = 5)
  params[0] = call83;
  partcv[0] = 1;
  Object call84 = callmethodflags(*var_newDir, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe81);
// compiled call node returning call84 (depth = 4)
  int op_slot_left_78 = gc_frame_newslot(call84);
  params[0] = strlit79;
  partcv[0] = 1;
  Object opresult85 = callmethod(call84, "≠(1)", 1, partcv, params);
// compiled op node returning opresult85 (depth = 3)
  Object if77 = done;
  if (istrue(opresult85)) {
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit87 == NULL) {
    strlit87 = alloc_String("/");
    gc_root(strlit87);
  }
// compiled string node returning strlit87 (depth = 5)
  int op_slot_right_86 = gc_frame_newslot(strlit87);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDir (depth = 5)
  int op_slot_left_86 = gc_frame_newslot(*var_newDir);
  params[0] = strlit87;
  partcv[0] = 1;
  Object opresult89 = callmethod(*var_newDir, "++(1)", 1, partcv, params);
// compiled op node returning opresult89 (depth = 4)
  *var_newDir = opresult89;
  if (opresult89 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if77 = done;
  } else {
  }
// compiled if node returning if77 (depth = 2)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit93 == NULL) {
    strlit93 = alloc_String("./");
    gc_root(strlit93);
  }
// compiled string node returning strlit93 (depth = 4)
  int op_slot_right_92 = gc_frame_newslot(strlit93);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newDir (depth = 4)
  int op_slot_left_92 = gc_frame_newslot(*var_newDir);
  params[0] = strlit93;
  partcv[0] = 1;
  Object opresult95 = callmethod(*var_newDir, "==(1)", 1, partcv, params);
// compiled op node returning opresult95 (depth = 3)
  Object if91 = done;
  if (istrue(opresult95)) {
// starting to compile bind node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit96 == NULL) {
    strlit96 = alloc_String("");
    gc_root(strlit96);
  }
// compiled string node returning strlit96 (depth = 4)
  *var_newDir = strlit96;
  if (strlit96 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if91 = done;
  } else {
  }
// compiled if node returning if91 (depth = 2)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe98 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newDir (depth = 3)
  gc_frame_newslot(*var_newDir);
// call case 4: self request
  params[0] = *var_newDir;
  partcv[0] = 1;
  Object call99 = callmethodflags(self, "dir:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe98);
// compiled call node returning call99 (depth = 2)
  gc_frame_end(frame);
  return call99;
}
Object meth_unixFilePath_setDirectory_40_1_41_100(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setDirectory(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setDirectory(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setDirectory(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setDirectory(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe101 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  gc_frame_newslot(*var_d);
// call case 4: self request
  params[0] = *var_d;
  partcv[0] = 1;
  Object call102 = callmethodflags(self, "directory:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe101);
// compiled call node returning call102 (depth = 2)
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_setBase_40_1_41_103(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setBase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setBase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setBase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setBase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe104 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call105 = callmethodflags(self, "base:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe104);
// compiled call node returning call105 (depth = 2)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_setExtension_40_1_41_106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setExtension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setExtension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setExtension(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setExtension(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit109 == NULL) {
    strlit109 = alloc_String(".");
    gc_root(strlit109);
  }
// compiled string node returning strlit109 (depth = 4)
  int op_slot_right_108 = gc_frame_newslot(strlit109);
// starting to compile member node (depth = 4)
  int callframe111 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  Object call112 = callmethodflags(*var_e, "first", 0, partcv, params, 0);
  gc_frame_end(callframe111);
// compiled member node returning call112 (depth = 4)
  int op_slot_left_108 = gc_frame_newslot(call112);
  params[0] = strlit109;
  partcv[0] = 1;
  Object opresult113 = callmethod(call112, "==(1)", 1, partcv, params);
// compiled op node returning opresult113 (depth = 3)
  Object if107 = done;
  if (istrue(opresult113)) {
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe114 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_e (depth = 4)
  gc_frame_newslot(*var_e);
// call case 4: self request
  params[0] = *var_e;
  partcv[0] = 1;
  Object call115 = callmethodflags(self, "extension:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe114);
// compiled call node returning call115 (depth = 3)
    gc_frame_newslot(call115);
    if107 = call115;
  } else {
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe116 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  int op_slot_right_117 = gc_frame_newslot(*var_e);
// starting to compile string node (depth = 5)
  if (strlit119 == NULL) {
    strlit119 = alloc_String(".");
    gc_root(strlit119);
  }
// compiled string node returning strlit119 (depth = 5)
  int op_slot_left_117 = gc_frame_newslot(strlit119);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult120 = callmethod(strlit119, "++(1)", 1, partcv, params);
// compiled op node returning opresult120 (depth = 4)
  gc_frame_newslot(opresult120);
// call case 4: self request
  params[0] = opresult120;
  partcv[0] = 1;
  Object call121 = callmethodflags(self, "extension:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe116);
// compiled call node returning call121 (depth = 3)
    gc_frame_newslot(call121);
    if107 = call121;
  }
// compiled if node returning if107 (depth = 2)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_unixFilePath_exists122(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "exists");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe123 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe124 = gc_frame_new();
// call case 4: self request
  Object call125 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compiled member node returning call125 (depth = 3)
  gc_frame_newslot(call125);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_io (depth = 3)
  params[0] = call125;
  partcv[0] = 1;
  Object call126 = callmethodflags(*var_io, "exists(1)", 1, partcv, params, 0);
  gc_frame_end(callframe123);
// compiled call node returning call126 (depth = 2)
  gc_frame_end(frame);
  return call126;
}
Object meth_unixFilePath_newer_40_1_41_127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newer(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method newer(_)");
  Object params[2];
  int partcv[1];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for newer(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part newer(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe128 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe129 = gc_frame_new();
// call case 4: self request
  Object call130 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe129);
// compiled member node returning call130 (depth = 3)
  gc_frame_newslot(call130);
// starting to compile member node (depth = 3)
  int callframe131 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call132 = callmethodflags(*var_other, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe131);
// compiled member node returning call132 (depth = 3)
  gc_frame_newslot(call132);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_io (depth = 3)
  params[0] = call130;
  params[1] = call132;
  partcv[0] = 2;
  Object call133 = callmethodflags(*var_io, "newer(2)", 1, partcv, params, 0);
  gc_frame_end(callframe128);
// compiled call node returning call133 (depth = 2)
  gc_frame_end(frame);
  return call133;
}
Object meth_unixFilePath_copy134(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "p");
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe135 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe136 = gc_frame_new();
// call case 3: self.outer request
  Object call137 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe136);
// compiled member node returning call137 (depth = 4)
  Object call138 = callmethodflags(call137, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe135);
// compiled member node returning call138 (depth = 3)
  *var_p = call138;
  if (call138 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe139 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe140 = gc_frame_new();
// call case 4: self request
  Object call141 = callmethodflags(self, "directory", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe140);
// compiled member node returning call141 (depth = 3)
  gc_frame_newslot(call141);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call141;
  partcv[0] = 1;
  Object call142 = callmethodflags(*var_p, "directory:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe139);
// compiled call node returning call142 (depth = 2)
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe143 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe144 = gc_frame_new();
// call case 4: self request
  Object call145 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe144);
// compiled member node returning call145 (depth = 3)
  gc_frame_newslot(call145);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call145;
  partcv[0] = 1;
  Object call146 = callmethodflags(*var_p, "base:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe143);
// compiled call node returning call146 (depth = 2)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe147 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe148 = gc_frame_new();
// call case 4: self request
  Object call149 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe148);
// compiled member node returning call149 (depth = 3)
  gc_frame_newslot(call149);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call149;
  partcv[0] = 1;
  Object call150 = callmethodflags(*var_p, "extension:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe147);
// compiled call node returning call150 (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_p (depth = 2)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_unixFilePath__61__61__40_1_41_151(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe154 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call155 = callmethodflags(*var_other, "directory", 0, partcv, params, 0);
  gc_frame_end(callframe154);
// compiled member node returning call155 (depth = 4)
  int op_slot_right_153 = gc_frame_newslot(call155);
// starting to compile member node (depth = 4)
  int callframe157 = gc_frame_new();
// call case 4: self request
  Object call158 = callmethodflags(self, "directory", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe157);
// compiled member node returning call158 (depth = 4)
  int op_slot_left_153 = gc_frame_newslot(call158);
  params[0] = call155;
  partcv[0] = 1;
  Object opresult159 = callmethod(call158, "≠(1)", 1, partcv, params);
// compiled op node returning opresult159 (depth = 3)
  Object if152 = done;
  if (istrue(opresult159)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool160 = alloc_Boolean(0);
// compiled identifier node returning bool160 (depth = 4)
  return bool160;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if152 = undefined;
  } else {
  }
// compiled if node returning if152 (depth = 2)
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe163 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call164 = callmethodflags(*var_other, "base", 0, partcv, params, 0);
  gc_frame_end(callframe163);
// compiled member node returning call164 (depth = 4)
  int op_slot_right_162 = gc_frame_newslot(call164);
// starting to compile member node (depth = 4)
  int callframe166 = gc_frame_new();
// call case 4: self request
  Object call167 = callmethodflags(self, "base", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe166);
// compiled member node returning call167 (depth = 4)
  int op_slot_left_162 = gc_frame_newslot(call167);
  params[0] = call164;
  partcv[0] = 1;
  Object opresult168 = callmethod(call167, "≠(1)", 1, partcv, params);
// compiled op node returning opresult168 (depth = 3)
  Object if161 = done;
  if (istrue(opresult168)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool169 = alloc_Boolean(0);
// compiled identifier node returning bool169 (depth = 4)
  return bool169;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if161 = undefined;
  } else {
  }
// compiled if node returning if161 (depth = 2)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe172 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call173 = callmethodflags(*var_other, "extension", 0, partcv, params, 0);
  gc_frame_end(callframe172);
// compiled member node returning call173 (depth = 4)
  int op_slot_right_171 = gc_frame_newslot(call173);
// starting to compile member node (depth = 4)
  int callframe175 = gc_frame_new();
// call case 4: self request
  Object call176 = callmethodflags(self, "extension", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe175);
// compiled member node returning call176 (depth = 4)
  int op_slot_left_171 = gc_frame_newslot(call176);
  params[0] = call173;
  partcv[0] = 1;
  Object opresult177 = callmethod(call176, "≠(1)", 1, partcv, params);
// compiled op node returning opresult177 (depth = 3)
  Object if170 = done;
  if (istrue(opresult177)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool178 = alloc_Boolean(0);
// compiled identifier node returning bool178 (depth = 4)
  return bool178;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if170 = undefined;
  } else {
  }
// compiled if node returning if170 (depth = 2)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool179 = alloc_Boolean(1);
// compiled identifier node returning bool179 (depth = 3)
  return bool179;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_unixFilePath_null1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "null");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(18,16, objclass2);
  gc_frame_newslot(obj2);
if (objclass2 == NULL) {
  glfree(obj2->class->name);
  obj2->class->name = "null";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_unixFilePath_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
if (objclass2 == NULL) {
  Method *reader4 = addmethodrealflags(obj2, "dir", &reader_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
  Method *writer4 = addmethodrealflags(obj2, "dir:=(1)", &writer_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
  reader4->definitionModule = modulename;
  writer4->definitionModule = modulename;
  reader4->definitionLine = 6;
  writer4->definitionLine = 6;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 1);
if (objclass2 == NULL) {
  Method *reader5 = addmethodrealflags(obj2, "base", &reader_unixFilePath_base_5, 0);
  Method *writer5 = addmethodrealflags(obj2, "base:=(1)", &writer_unixFilePath_base_5, 0);
  reader5->definitionModule = modulename;
  writer5->definitionModule = modulename;
  reader5->definitionLine = 9;
  writer5->definitionLine = 9;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 2);
if (objclass2 == NULL) {
  Method *reader6 = addmethodrealflags(obj2, "extension", &reader_unixFilePath_extension_6, 0);
  Method *writer6 = addmethodrealflags(obj2, "extension:=(1)", &writer_unixFilePath_extension_6, 0);
  reader6->definitionModule = modulename;
  writer6->definitionModule = modulename;
  reader6->definitionLine = 12;
  writer6->definitionLine = 12;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo7 = (struct UserObject*)obj2;
  uo7->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_asString7 = addmethod2pos(obj2, "asString", &meth_unixFilePath_asString7, 4);
  int argcv_meth_unixFilePath_asString7[] = {0};
  meth_meth_unixFilePath_asString7->type = alloc_MethodType(1, argcv_meth_unixFilePath_asString7);
  meth_meth_unixFilePath_asString7->definitionModule = modulename;
  meth_meth_unixFilePath_asString7->definitionLine = 15;
// method "shortName"
  struct UserObject *uo20 = (struct UserObject*)obj2;
  uo20->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_shortName20 = addmethod2pos(obj2, "shortName", &meth_unixFilePath_shortName20, 5);
  int argcv_meth_unixFilePath_shortName20[] = {0};
  meth_meth_unixFilePath_shortName20->type = alloc_MethodType(1, argcv_meth_unixFilePath_shortName20);
  meth_meth_unixFilePath_shortName20->definitionModule = modulename;
  meth_meth_unixFilePath_shortName20->definitionLine = 18;
// method "asDebugString"
  struct UserObject *uo28 = (struct UserObject*)obj2;
  uo28->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_asDebugString28 = addmethod2pos(obj2, "asDebugString", &meth_unixFilePath_asDebugString28, 6);
  int argcv_meth_unixFilePath_asDebugString28[] = {0};
  meth_meth_unixFilePath_asDebugString28->type = alloc_MethodType(1, argcv_meth_unixFilePath_asDebugString28);
  meth_meth_unixFilePath_asDebugString28->definitionModule = modulename;
  meth_meth_unixFilePath_asDebugString28->definitionLine = 21;
// method "directory"
  struct UserObject *uo57 = (struct UserObject*)obj2;
  uo57->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_directory57 = addmethod2pos(obj2, "directory", &meth_unixFilePath_directory57, 7);
  int argcv_meth_unixFilePath_directory57[] = {0};
  meth_meth_unixFilePath_directory57->type = alloc_MethodType(1, argcv_meth_unixFilePath_directory57);
  meth_meth_unixFilePath_directory57->definitionModule = modulename;
  meth_meth_unixFilePath_directory57->definitionLine = 24;
// method "directory:=(_)"
  block_savedest(obj2);
  Object closure68 = createclosure(1, "directory:=(1)");
  setclosureframe(closure68, stackframe);
  addtoclosure(closure68, var_done);
  struct UserObject *uo68 = (struct UserObject*)obj2;
  uo68->data[8] = (Object)closure68;
  Method *meth_meth_unixFilePath_directory_58__61__40_1_41_68 = addmethod2pos(obj2, "directory:=(1)", &meth_unixFilePath_directory_58__61__40_1_41_68, 8);
  int argcv_meth_unixFilePath_directory_58__61__40_1_41_68[] = {1};
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->type = alloc_MethodType(1, argcv_meth_unixFilePath_directory_58__61__40_1_41_68);
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->definitionModule = modulename;
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->definitionLine = 29;
// method "setDirectory(_)"
  struct UserObject *uo100 = (struct UserObject*)obj2;
  uo100->data[9] = emptyclosure;
  Method *meth_meth_unixFilePath_setDirectory_40_1_41_100 = addmethod2pos(obj2, "setDirectory(1)", &meth_unixFilePath_setDirectory_40_1_41_100, 9);
  int argcv_meth_unixFilePath_setDirectory_40_1_41_100[] = {1};
  meth_meth_unixFilePath_setDirectory_40_1_41_100->type = alloc_MethodType(1, argcv_meth_unixFilePath_setDirectory_40_1_41_100);
  meth_meth_unixFilePath_setDirectory_40_1_41_100->definitionModule = modulename;
  meth_meth_unixFilePath_setDirectory_40_1_41_100->definitionLine = 42;
// method "setBase(_)"
  struct UserObject *uo103 = (struct UserObject*)obj2;
  uo103->data[10] = emptyclosure;
  Method *meth_meth_unixFilePath_setBase_40_1_41_103 = addmethod2pos(obj2, "setBase(1)", &meth_unixFilePath_setBase_40_1_41_103, 10);
  int argcv_meth_unixFilePath_setBase_40_1_41_103[] = {1};
  meth_meth_unixFilePath_setBase_40_1_41_103->type = alloc_MethodType(1, argcv_meth_unixFilePath_setBase_40_1_41_103);
  meth_meth_unixFilePath_setBase_40_1_41_103->definitionModule = modulename;
  meth_meth_unixFilePath_setBase_40_1_41_103->definitionLine = 47;
// method "setExtension(_)"
  struct UserObject *uo106 = (struct UserObject*)obj2;
  uo106->data[11] = emptyclosure;
  Method *meth_meth_unixFilePath_setExtension_40_1_41_106 = addmethod2pos(obj2, "setExtension(1)", &meth_unixFilePath_setExtension_40_1_41_106, 11);
  int argcv_meth_unixFilePath_setExtension_40_1_41_106[] = {1};
  meth_meth_unixFilePath_setExtension_40_1_41_106->type = alloc_MethodType(1, argcv_meth_unixFilePath_setExtension_40_1_41_106);
  meth_meth_unixFilePath_setExtension_40_1_41_106->definitionModule = modulename;
  meth_meth_unixFilePath_setExtension_40_1_41_106->definitionLine = 52;
// method "exists"
  block_savedest(obj2);
  Object closure122 = createclosure(1, "exists");
  setclosureframe(closure122, stackframe);
  addtoclosure(closure122, var_io);
  struct UserObject *uo122 = (struct UserObject*)obj2;
  uo122->data[12] = (Object)closure122;
  Method *meth_meth_unixFilePath_exists122 = addmethod2pos(obj2, "exists", &meth_unixFilePath_exists122, 12);
  int argcv_meth_unixFilePath_exists122[] = {0};
  meth_meth_unixFilePath_exists122->type = alloc_MethodType(1, argcv_meth_unixFilePath_exists122);
  meth_meth_unixFilePath_exists122->definitionModule = modulename;
  meth_meth_unixFilePath_exists122->definitionLine = 61;
// method "newer(_)"
  block_savedest(obj2);
  Object closure127 = createclosure(1, "newer(1)");
  setclosureframe(closure127, stackframe);
  addtoclosure(closure127, var_io);
  struct UserObject *uo127 = (struct UserObject*)obj2;
  uo127->data[13] = (Object)closure127;
  Method *meth_meth_unixFilePath_newer_40_1_41_127 = addmethod2pos(obj2, "newer(1)", &meth_unixFilePath_newer_40_1_41_127, 13);
  int argcv_meth_unixFilePath_newer_40_1_41_127[] = {1};
  meth_meth_unixFilePath_newer_40_1_41_127->type = alloc_MethodType(1, argcv_meth_unixFilePath_newer_40_1_41_127);
  meth_meth_unixFilePath_newer_40_1_41_127->definitionModule = modulename;
  meth_meth_unixFilePath_newer_40_1_41_127->definitionLine = 65;
// method "copy"
  struct UserObject *uo134 = (struct UserObject*)obj2;
  uo134->data[14] = emptyclosure;
  Method *meth_meth_unixFilePath_copy134 = addmethod2pos(obj2, "copy", &meth_unixFilePath_copy134, 14);
  int argcv_meth_unixFilePath_copy134[] = {0};
  meth_meth_unixFilePath_copy134->type = alloc_MethodType(1, argcv_meth_unixFilePath_copy134);
  meth_meth_unixFilePath_copy134->definitionModule = modulename;
  meth_meth_unixFilePath_copy134->definitionLine = 70;
// method "==(_)"
  struct UserObject *uo151 = (struct UserObject*)obj2;
  uo151->data[15] = emptyclosure;
  Method *meth_meth_unixFilePath__61__61__40_1_41_151 = addmethod2pos(obj2, "==(1)", &meth_unixFilePath__61__61__40_1_41_151, 15);
  int argcv_meth_unixFilePath__61__61__40_1_41_151[] = {1};
  meth_meth_unixFilePath__61__61__40_1_41_151->type = alloc_MethodType(1, argcv_meth_unixFilePath__61__61__40_1_41_151);
  meth_meth_unixFilePath__61__61__40_1_41_151->definitionModule = modulename;
  meth_meth_unixFilePath__61__61__40_1_41_151->definitionLine = 79;
  sourceObject = obj2;
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit180 == NULL) {
    strlit180 = alloc_String("");
    gc_root(strlit180);
  }
// compiled string node returning strlit180 (depth = 2)
  adddatum2(obj2, strlit180, 1);
  sourceObject = obj2;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit181 == NULL) {
    strlit181 = alloc_String("");
    gc_root(strlit181);
  }
// compiled string node returning strlit181 (depth = 2)
  adddatum2(obj2, strlit181, 2);
  sourceObject = obj2;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit182 == NULL) {
    strlit182 = alloc_String("");
    gc_root(strlit182);
  }
// compiled string node returning strlit182 (depth = 2)
  adddatum2(obj2, strlit182, 3);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 3;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_unixFilePath_null1_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "null$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2 = alloc_userobj2(18,16, objclass2);
  gc_frame_newslot(obj2);
if (objclass2 == NULL) {
  glfree(obj2->class->name);
  obj2->class->name = "null";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2, self, 0);
  addmethodreal(obj2,"outer", &reader_unixFilePath_outer_3);
  Object oldself2 = self;
  struct StackFrameObject *oldstackframe2 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2);
  gc_frame_newslot((Object)stackframe);
  self = obj2;
  Object *oldselfslot2 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2 = (*(struct UserObject *)self).data[0], lowerouter2 = thisouter2;
  if (inheritingObject2) {
    struct UserObject *inho2 = (struct UserObject *)inheritingObject2;
    while (inho2->super != GraceDefaultObject) inho2 = (struct UserObject *)inho2->super;
    inho2->super = obj2;
    self = inheritingObject2;
    *selfslot = self;
    lowerouter2 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2;
  }
if (objclass2 == NULL) {
  Method *reader4 = addmethodrealflags(obj2, "dir", &reader_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
  Method *writer4 = addmethodrealflags(obj2, "dir:=(1)", &writer_unixFilePath_dir_4, MFLAG_CONFIDENTIAL);
  reader4->definitionModule = modulename;
  writer4->definitionModule = modulename;
  reader4->definitionLine = 6;
  writer4->definitionLine = 6;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 1);
if (objclass2 == NULL) {
  Method *reader5 = addmethodrealflags(obj2, "base", &reader_unixFilePath_base_5, 0);
  Method *writer5 = addmethodrealflags(obj2, "base:=(1)", &writer_unixFilePath_base_5, 0);
  reader5->definitionModule = modulename;
  writer5->definitionModule = modulename;
  reader5->definitionLine = 9;
  writer5->definitionLine = 9;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 2);
if (objclass2 == NULL) {
  Method *reader6 = addmethodrealflags(obj2, "extension", &reader_unixFilePath_extension_6, 0);
  Method *writer6 = addmethodrealflags(obj2, "extension:=(1)", &writer_unixFilePath_extension_6, 0);
  reader6->definitionModule = modulename;
  writer6->definitionModule = modulename;
  reader6->definitionLine = 12;
  writer6->definitionLine = 12;
}
obj2->flags |= OFLAG_MUTABLE;
adddatum2(obj2, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo7 = (struct UserObject*)obj2;
  uo7->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_asString7 = addmethod2pos(obj2, "asString", &meth_unixFilePath_asString7, 4);
  int argcv_meth_unixFilePath_asString7[] = {0};
  meth_meth_unixFilePath_asString7->type = alloc_MethodType(1, argcv_meth_unixFilePath_asString7);
  meth_meth_unixFilePath_asString7->definitionModule = modulename;
  meth_meth_unixFilePath_asString7->definitionLine = 15;
// method "shortName"
  struct UserObject *uo20 = (struct UserObject*)obj2;
  uo20->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_shortName20 = addmethod2pos(obj2, "shortName", &meth_unixFilePath_shortName20, 5);
  int argcv_meth_unixFilePath_shortName20[] = {0};
  meth_meth_unixFilePath_shortName20->type = alloc_MethodType(1, argcv_meth_unixFilePath_shortName20);
  meth_meth_unixFilePath_shortName20->definitionModule = modulename;
  meth_meth_unixFilePath_shortName20->definitionLine = 18;
// method "asDebugString"
  struct UserObject *uo28 = (struct UserObject*)obj2;
  uo28->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_asDebugString28 = addmethod2pos(obj2, "asDebugString", &meth_unixFilePath_asDebugString28, 6);
  int argcv_meth_unixFilePath_asDebugString28[] = {0};
  meth_meth_unixFilePath_asDebugString28->type = alloc_MethodType(1, argcv_meth_unixFilePath_asDebugString28);
  meth_meth_unixFilePath_asDebugString28->definitionModule = modulename;
  meth_meth_unixFilePath_asDebugString28->definitionLine = 21;
// method "directory"
  struct UserObject *uo57 = (struct UserObject*)obj2;
  uo57->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_directory57 = addmethod2pos(obj2, "directory", &meth_unixFilePath_directory57, 7);
  int argcv_meth_unixFilePath_directory57[] = {0};
  meth_meth_unixFilePath_directory57->type = alloc_MethodType(1, argcv_meth_unixFilePath_directory57);
  meth_meth_unixFilePath_directory57->definitionModule = modulename;
  meth_meth_unixFilePath_directory57->definitionLine = 24;
// method "directory:=(_)"
  block_savedest(obj2);
  Object closure68 = createclosure(1, "directory:=(1)");
  setclosureframe(closure68, stackframe);
  addtoclosure(closure68, var_done);
  struct UserObject *uo68 = (struct UserObject*)obj2;
  uo68->data[8] = (Object)closure68;
  Method *meth_meth_unixFilePath_directory_58__61__40_1_41_68 = addmethod2pos(obj2, "directory:=(1)", &meth_unixFilePath_directory_58__61__40_1_41_68, 8);
  int argcv_meth_unixFilePath_directory_58__61__40_1_41_68[] = {1};
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->type = alloc_MethodType(1, argcv_meth_unixFilePath_directory_58__61__40_1_41_68);
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->definitionModule = modulename;
  meth_meth_unixFilePath_directory_58__61__40_1_41_68->definitionLine = 29;
// method "setDirectory(_)"
  struct UserObject *uo100 = (struct UserObject*)obj2;
  uo100->data[9] = emptyclosure;
  Method *meth_meth_unixFilePath_setDirectory_40_1_41_100 = addmethod2pos(obj2, "setDirectory(1)", &meth_unixFilePath_setDirectory_40_1_41_100, 9);
  int argcv_meth_unixFilePath_setDirectory_40_1_41_100[] = {1};
  meth_meth_unixFilePath_setDirectory_40_1_41_100->type = alloc_MethodType(1, argcv_meth_unixFilePath_setDirectory_40_1_41_100);
  meth_meth_unixFilePath_setDirectory_40_1_41_100->definitionModule = modulename;
  meth_meth_unixFilePath_setDirectory_40_1_41_100->definitionLine = 42;
// method "setBase(_)"
  struct UserObject *uo103 = (struct UserObject*)obj2;
  uo103->data[10] = emptyclosure;
  Method *meth_meth_unixFilePath_setBase_40_1_41_103 = addmethod2pos(obj2, "setBase(1)", &meth_unixFilePath_setBase_40_1_41_103, 10);
  int argcv_meth_unixFilePath_setBase_40_1_41_103[] = {1};
  meth_meth_unixFilePath_setBase_40_1_41_103->type = alloc_MethodType(1, argcv_meth_unixFilePath_setBase_40_1_41_103);
  meth_meth_unixFilePath_setBase_40_1_41_103->definitionModule = modulename;
  meth_meth_unixFilePath_setBase_40_1_41_103->definitionLine = 47;
// method "setExtension(_)"
  struct UserObject *uo106 = (struct UserObject*)obj2;
  uo106->data[11] = emptyclosure;
  Method *meth_meth_unixFilePath_setExtension_40_1_41_106 = addmethod2pos(obj2, "setExtension(1)", &meth_unixFilePath_setExtension_40_1_41_106, 11);
  int argcv_meth_unixFilePath_setExtension_40_1_41_106[] = {1};
  meth_meth_unixFilePath_setExtension_40_1_41_106->type = alloc_MethodType(1, argcv_meth_unixFilePath_setExtension_40_1_41_106);
  meth_meth_unixFilePath_setExtension_40_1_41_106->definitionModule = modulename;
  meth_meth_unixFilePath_setExtension_40_1_41_106->definitionLine = 52;
// method "exists"
  block_savedest(obj2);
  Object closure122 = createclosure(1, "exists");
  setclosureframe(closure122, stackframe);
  addtoclosure(closure122, var_io);
  struct UserObject *uo122 = (struct UserObject*)obj2;
  uo122->data[12] = (Object)closure122;
  Method *meth_meth_unixFilePath_exists122 = addmethod2pos(obj2, "exists", &meth_unixFilePath_exists122, 12);
  int argcv_meth_unixFilePath_exists122[] = {0};
  meth_meth_unixFilePath_exists122->type = alloc_MethodType(1, argcv_meth_unixFilePath_exists122);
  meth_meth_unixFilePath_exists122->definitionModule = modulename;
  meth_meth_unixFilePath_exists122->definitionLine = 61;
// method "newer(_)"
  block_savedest(obj2);
  Object closure127 = createclosure(1, "newer(1)");
  setclosureframe(closure127, stackframe);
  addtoclosure(closure127, var_io);
  struct UserObject *uo127 = (struct UserObject*)obj2;
  uo127->data[13] = (Object)closure127;
  Method *meth_meth_unixFilePath_newer_40_1_41_127 = addmethod2pos(obj2, "newer(1)", &meth_unixFilePath_newer_40_1_41_127, 13);
  int argcv_meth_unixFilePath_newer_40_1_41_127[] = {1};
  meth_meth_unixFilePath_newer_40_1_41_127->type = alloc_MethodType(1, argcv_meth_unixFilePath_newer_40_1_41_127);
  meth_meth_unixFilePath_newer_40_1_41_127->definitionModule = modulename;
  meth_meth_unixFilePath_newer_40_1_41_127->definitionLine = 65;
// method "copy"
  struct UserObject *uo134 = (struct UserObject*)obj2;
  uo134->data[14] = emptyclosure;
  Method *meth_meth_unixFilePath_copy134 = addmethod2pos(obj2, "copy", &meth_unixFilePath_copy134, 14);
  int argcv_meth_unixFilePath_copy134[] = {0};
  meth_meth_unixFilePath_copy134->type = alloc_MethodType(1, argcv_meth_unixFilePath_copy134);
  meth_meth_unixFilePath_copy134->definitionModule = modulename;
  meth_meth_unixFilePath_copy134->definitionLine = 70;
// method "==(_)"
  struct UserObject *uo151 = (struct UserObject*)obj2;
  uo151->data[15] = emptyclosure;
  Method *meth_meth_unixFilePath__61__61__40_1_41_151 = addmethod2pos(obj2, "==(1)", &meth_unixFilePath__61__61__40_1_41_151, 15);
  int argcv_meth_unixFilePath__61__61__40_1_41_151[] = {1};
  meth_meth_unixFilePath__61__61__40_1_41_151->type = alloc_MethodType(1, argcv_meth_unixFilePath__61__61__40_1_41_151);
  meth_meth_unixFilePath__61__61__40_1_41_151->definitionModule = modulename;
  meth_meth_unixFilePath__61__61__40_1_41_151->definitionLine = 79;
  sourceObject = obj2;
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit180 == NULL) {
    strlit180 = alloc_String("");
    gc_root(strlit180);
  }
// compiled string node returning strlit180 (depth = 2)
  adddatum2(obj2, strlit180, 1);
  sourceObject = obj2;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit181 == NULL) {
    strlit181 = alloc_String("");
    gc_root(strlit181);
  }
// compiled string node returning strlit181 (depth = 2)
  adddatum2(obj2, strlit181, 2);
  sourceObject = obj2;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit182 == NULL) {
    strlit182 = alloc_String("");
    gc_root(strlit182);
  }
// compiled string node returning strlit182 (depth = 2)
  adddatum2(obj2, strlit182, 3);
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  sourceObject = obj2;
  objclass2 = obj2->class;
  objclass2->definitionModule = modulename;
  objclass2->definitionLine = 3;
  (*(struct UserObject *)self).data[0] = lowerouter2;
  self = oldself2;
  selfslot = oldselfslot2;
  stackframe = oldstackframe2;
  gc_frame_end(frame);
  return obj2;
}
Object meth_unixFilePath_withDirectory_40_1_41_184(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withDirectory(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withDirectory(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withDirectory(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe185 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_d (depth = 3)
  gc_frame_newslot(*var_d);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe186 = gc_frame_new();
// call case 4: self request
  Object call187 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe186);
// compiled member node returning call187 (depth = 3)
  params[0] = *var_d;
  partcv[0] = 1;
  Object call188 = callmethodflags(call187, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe185);
// compiled call node returning call188 (depth = 2)
  gc_frame_end(frame);
  return call188;
}
Object meth_unixFilePath_withBase_40_1_41_189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withBase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withBase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withBase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withBase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe190 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe191 = gc_frame_new();
// call case 4: self request
  Object call192 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe191);
// compiled member node returning call192 (depth = 3)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call193 = callmethodflags(call192, "setBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe190);
// compiled call node returning call193 (depth = 2)
  gc_frame_end(frame);
  return call193;
}
Object meth_unixFilePath_withExtension_40_1_41_194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withExtension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withExtension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withExtension(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withExtension(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe195 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_e (depth = 3)
  gc_frame_newslot(*var_e);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe196 = gc_frame_new();
// call case 4: self request
  Object call197 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe196);
// compiled member node returning call197 (depth = 3)
  params[0] = *var_e;
  partcv[0] = 1;
  Object call198 = callmethodflags(call197, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe195);
// compiled call node returning call198 (depth = 2)
  gc_frame_end(frame);
  return call198;
}
Object meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withDirectory(1)base(1)extension(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withDirectory(_)base(_)extension(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for withDirectory(_)base(_)extension(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_d = &(stackframe->slots[0]);
  *var_d = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withDirectory(_)");
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part base(_)");
  Object *var_e = &(stackframe->slots[2]);
  *var_e = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extension(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe200 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_e (depth = 3)
  gc_frame_newslot(*var_e);
// call case 6: other requests
// starting to compile call node (depth = 3)
  int callframe201 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe202 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_d (depth = 5)
  gc_frame_newslot(*var_d);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe203 = gc_frame_new();
// call case 4: self request
  Object call204 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe203);
// compiled member node returning call204 (depth = 5)
  params[0] = *var_d;
  partcv[0] = 1;
  Object call205 = callmethodflags(call204, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe202);
// compiled call node returning call205 (depth = 4)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call206 = callmethodflags(call205, "setBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe201);
// compiled call node returning call206 (depth = 3)
  params[0] = *var_e;
  partcv[0] = 1;
  Object call207 = callmethodflags(call206, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe200);
// compiled call node returning call207 (depth = 2)
  gc_frame_end(frame);
  return call207;
}
Object meth_unixFilePath__apply216(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_slashPosn = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num219 = alloc_Float64(0);
// compiled num node returning num219 (depth = 6)
  int op_slot_right_218 = gc_frame_newslot(num219);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_218 = gc_frame_newslot(*var_ix);
  params[0] = num219;
  partcv[0] = 1;
  Object opresult221 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult221 (depth = 5)
  int op_slot_right_217 = gc_frame_newslot(opresult221);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num224 = alloc_Float64(0);
// compiled num node returning num224 (depth = 6)
  int op_slot_right_223 = gc_frame_newslot(num224);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_slashPosn (depth = 6)
  int op_slot_left_223 = gc_frame_newslot(*var_slashPosn);
  params[0] = num224;
  partcv[0] = 1;
  Object opresult226 = callmethod(*var_slashPosn, "==(1)", 1, partcv, params);
// compiled op node returning opresult226 (depth = 5)
  int op_slot_left_217 = gc_frame_newslot(opresult226);
  params[0] = opresult221;
  partcv[0] = 1;
  Object opresult227 = callmethod(opresult226, "&&(1)", 1, partcv, params);
// compiled op node returning opresult227 (depth = 4)
  gc_frame_end(frame);
  return opresult227;
}
Object meth_unixFilePath__apply230(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_slashPosn = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit233 == NULL) {
    strlit233 = alloc_String("/");
    gc_root(strlit233);
  }
// compiled string node returning strlit233 (depth = 6)
  int op_slot_right_232 = gc_frame_newslot(strlit233);
// starting to compile call node (depth = 6)
  int callframe235 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call236 = callmethodflags(*var_s, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe235);
// compiled call node returning call236 (depth = 6)
  int op_slot_left_232 = gc_frame_newslot(call236);
  params[0] = strlit233;
  partcv[0] = 1;
  Object opresult237 = callmethod(call236, "==(1)", 1, partcv, params);
// compiled op node returning opresult237 (depth = 5)
  Object if231 = done;
  if (istrue(opresult237)) {
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  *var_slashPosn = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if231 = done;
  } else {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num240 = alloc_Float64(1);
// compiled num node returning num240 (depth = 7)
  int op_slot_right_239 = gc_frame_newslot(num240);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_239 = gc_frame_newslot(*var_ix);
  params[0] = num240;
  partcv[0] = 1;
  Object diff242 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff242 (depth = 6)
  *var_ix = diff242;
  if (diff242 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if231 = done;
  }
// compiled if node returning if231 (depth = 4)
  gc_frame_end(frame);
  return if231;
}
Object meth_unixFilePath__apply258(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_slashPosn = getfromclosure(closure, 0);
  Object *var_ix = getfromclosure(closure, 1);
  Object *var_sSize = getfromclosure(closure, 2);
  Object *var_dotPosn = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_slashPosn (depth = 6)
  int op_slot_right_260 = gc_frame_newslot(*var_slashPosn);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_260 = gc_frame_newslot(*var_ix);
  params[0] = *var_slashPosn;
  partcv[0] = 1;
  Object opresult262 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult262 (depth = 5)
  int op_slot_right_259 = gc_frame_newslot(opresult262);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sSize (depth = 6)
  int op_slot_right_264 = gc_frame_newslot(*var_sSize);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_dotPosn (depth = 6)
  int op_slot_left_264 = gc_frame_newslot(*var_dotPosn);
  params[0] = *var_sSize;
  partcv[0] = 1;
  Object opresult266 = callmethod(*var_dotPosn, ">(1)", 1, partcv, params);
// compiled op node returning opresult266 (depth = 5)
  int op_slot_left_259 = gc_frame_newslot(opresult266);
  params[0] = opresult262;
  partcv[0] = 1;
  Object opresult267 = callmethod(opresult266, "&&(1)", 1, partcv, params);
// compiled op node returning opresult267 (depth = 4)
  gc_frame_end(frame);
  return opresult267;
}
Object meth_unixFilePath__apply270(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_dotPosn = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit273 == NULL) {
    strlit273 = alloc_String(".");
    gc_root(strlit273);
  }
// compiled string node returning strlit273 (depth = 6)
  int op_slot_right_272 = gc_frame_newslot(strlit273);
// starting to compile call node (depth = 6)
  int callframe275 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call276 = callmethodflags(*var_s, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe275);
// compiled call node returning call276 (depth = 6)
  int op_slot_left_272 = gc_frame_newslot(call276);
  params[0] = strlit273;
  partcv[0] = 1;
  Object opresult277 = callmethod(call276, "==(1)", 1, partcv, params);
// compiled op node returning opresult277 (depth = 5)
  Object if271 = done;
  if (istrue(opresult277)) {
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  *var_dotPosn = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if271 = done;
  } else {
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num280 = alloc_Float64(1);
// compiled num node returning num280 (depth = 7)
  int op_slot_right_279 = gc_frame_newslot(num280);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_279 = gc_frame_newslot(*var_ix);
  params[0] = num280;
  partcv[0] = 1;
  Object diff282 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff282 (depth = 6)
  *var_ix = diff282;
  if (diff282 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if271 = done;
  }
// compiled if node returning if271 (depth = 4)
  gc_frame_end(frame);
  return if271;
}
Object meth_unixFilePath_fromString_40_1_41_208(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fromString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fromString(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part fromString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
  Object *var_slashPosn = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "slashPosn");
  Object *var_sSize = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sSize");
  Object *var_ix = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ix");
  Object *var_dotPosn = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dotPosn");
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe209 = gc_frame_new();
// call case 4: self request
  Object call210 = callmethodflags(self, "null", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe209);
// compiled member node returning call210 (depth = 3)
  *var_p = call210;
  if (call210 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num211 = alloc_Float64(0);
// compiled num node returning num211 (depth = 3)
  *var_slashPosn = num211;
  if (num211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe212 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call213 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe212);
// compiled member node returning call213 (depth = 3)
  *var_sSize = call213;
  if (call213 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sSize (depth = 3)
  *var_ix = *var_sSize;
  if (*var_sSize == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe214 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block215 = alloc_Block(NULL, NULL, "unixFilePath", 111);
  gc_frame_newslot(block215);
// method "_apply"
  block_savedest(block215);
  Object closure216 = createclosure(3, "_apply");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_ix);
  addtoclosure(closure216, var_slashPosn);
  addtoclosure(closure216, selfslot);
  struct UserObject *uo216 = (struct UserObject*)block215;
  uo216->data[0] = (Object)closure216;
  Method *meth_meth_unixFilePath__apply216 = addmethod2pos(block215, "_apply", &meth_unixFilePath__apply216, 0);
  int argcv_meth_unixFilePath__apply216[] = {0};
  meth_meth_unixFilePath__apply216->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply216);
  meth_meth_unixFilePath__apply216->definitionModule = modulename;
  meth_meth_unixFilePath__apply216->definitionLine = 174;
// compiled block node returning block215 (depth = 3)
  gc_frame_newslot(block215);
// starting to compile block node (depth = 3)
  Object block229 = alloc_Block(NULL, NULL, "unixFilePath", 111);
  gc_frame_newslot(block229);
// method "_apply"
  block_savedest(block229);
  Object closure230 = createclosure(4, "_apply");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_ix);
  addtoclosure(closure230, var_s);
  addtoclosure(closure230, var_slashPosn);
  addtoclosure(closure230, selfslot);
  struct UserObject *uo230 = (struct UserObject*)block229;
  uo230->data[0] = (Object)closure230;
  Method *meth_meth_unixFilePath__apply230 = addmethod2pos(block229, "_apply", &meth_unixFilePath__apply230, 0);
  int argcv_meth_unixFilePath__apply230[] = {0};
  meth_meth_unixFilePath__apply230->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply230);
  meth_meth_unixFilePath__apply230->definitionModule = modulename;
  meth_meth_unixFilePath__apply230->definitionLine = 174;
// compiled block node returning block229 (depth = 3)
  gc_frame_newslot(block229);
// call case 5: prelude request
  params[0] = block215;
  params[1] = block229;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call245 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe214);
// compiled call node returning call245 (depth = 2)
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe247 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num248 = alloc_Float64(1);
// compiled num node returning num248 (depth = 4)
  gc_frame_newslot(num248);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_slashPosn (depth = 4)
  gc_frame_newslot(*var_slashPosn);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  params[0] = num248;
  params[1] = *var_slashPosn;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call249 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe247);
// compiled call node returning call249 (depth = 3)
  gc_frame_newslot(call249);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call249;
  partcv[0] = 1;
  Object call250 = callmethodflags(*var_p, "directory:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe246);
// compiled call node returning call250 (depth = 2)
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num252 = alloc_Float64(1);
// compiled num node returning num252 (depth = 4)
  int op_slot_right_251 = gc_frame_newslot(num252);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sSize (depth = 4)
  int op_slot_left_251 = gc_frame_newslot(*var_sSize);
  params[0] = num252;
  partcv[0] = 1;
  Object sum254 = callmethod(*var_sSize, "+(1)", 1, partcv, params);
// compiled op node returning sum254 (depth = 3)
  *var_dotPosn = sum254;
  if (sum254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sSize (depth = 3)
  *var_ix = *var_sSize;
  if (*var_sSize == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe256 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block257 = alloc_Block(NULL, NULL, "unixFilePath", 121);
  gc_frame_newslot(block257);
// method "_apply"
  block_savedest(block257);
  Object closure258 = createclosure(5, "_apply");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_slashPosn);
  addtoclosure(closure258, var_ix);
  addtoclosure(closure258, var_sSize);
  addtoclosure(closure258, var_dotPosn);
  addtoclosure(closure258, selfslot);
  struct UserObject *uo258 = (struct UserObject*)block257;
  uo258->data[0] = (Object)closure258;
  Method *meth_meth_unixFilePath__apply258 = addmethod2pos(block257, "_apply", &meth_unixFilePath__apply258, 0);
  int argcv_meth_unixFilePath__apply258[] = {0};
  meth_meth_unixFilePath__apply258->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply258);
  meth_meth_unixFilePath__apply258->definitionModule = modulename;
  meth_meth_unixFilePath__apply258->definitionLine = 174;
// compiled block node returning block257 (depth = 3)
  gc_frame_newslot(block257);
// starting to compile block node (depth = 3)
  Object block269 = alloc_Block(NULL, NULL, "unixFilePath", 121);
  gc_frame_newslot(block269);
// method "_apply"
  block_savedest(block269);
  Object closure270 = createclosure(4, "_apply");
  setclosureframe(closure270, stackframe);
  addtoclosure(closure270, var_ix);
  addtoclosure(closure270, var_s);
  addtoclosure(closure270, var_dotPosn);
  addtoclosure(closure270, selfslot);
  struct UserObject *uo270 = (struct UserObject*)block269;
  uo270->data[0] = (Object)closure270;
  Method *meth_meth_unixFilePath__apply270 = addmethod2pos(block269, "_apply", &meth_unixFilePath__apply270, 0);
  int argcv_meth_unixFilePath__apply270[] = {0};
  meth_meth_unixFilePath__apply270->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply270);
  meth_meth_unixFilePath__apply270->definitionModule = modulename;
  meth_meth_unixFilePath__apply270->definitionLine = 174;
// compiled block node returning block269 (depth = 3)
  gc_frame_newslot(block269);
// call case 5: prelude request
  params[0] = block257;
  params[1] = block269;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call285 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe256);
// compiled call node returning call285 (depth = 2)
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sSize (depth = 4)
  int op_slot_right_287 = gc_frame_newslot(*var_sSize);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dotPosn (depth = 4)
  int op_slot_left_287 = gc_frame_newslot(*var_dotPosn);
  params[0] = *var_sSize;
  partcv[0] = 1;
  Object opresult289 = callmethod(*var_dotPosn, "≤(1)", 1, partcv, params);
// compiled op node returning opresult289 (depth = 3)
  Object if286 = done;
  if (istrue(opresult289)) {
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe290 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe291 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dotPosn (depth = 5)
  gc_frame_newslot(*var_dotPosn);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sSize (depth = 5)
  gc_frame_newslot(*var_sSize);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  params[0] = *var_dotPosn;
  params[1] = *var_sSize;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call292 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe291);
// compiled call node returning call292 (depth = 4)
  gc_frame_newslot(call292);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_p (depth = 4)
  params[0] = call292;
  partcv[0] = 1;
  Object call293 = callmethodflags(*var_p, "extension:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe290);
// compiled call node returning call293 (depth = 3)
    gc_frame_newslot(call293);
    if286 = call293;
  } else {
  }
// compiled if node returning if286 (depth = 2)
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe294 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe295 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num297 = alloc_Float64(1);
// compiled num node returning num297 (depth = 5)
  int op_slot_right_296 = gc_frame_newslot(num297);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_slashPosn (depth = 5)
  int op_slot_left_296 = gc_frame_newslot(*var_slashPosn);
  params[0] = num297;
  partcv[0] = 1;
  Object sum299 = callmethod(*var_slashPosn, "+(1)", 1, partcv, params);
// compiled op node returning sum299 (depth = 4)
  gc_frame_newslot(sum299);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num301 = alloc_Float64(1);
// compiled num node returning num301 (depth = 5)
  int op_slot_right_300 = gc_frame_newslot(num301);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dotPosn (depth = 5)
  int op_slot_left_300 = gc_frame_newslot(*var_dotPosn);
  params[0] = num301;
  partcv[0] = 1;
  Object diff303 = callmethod(*var_dotPosn, "-(1)", 1, partcv, params);
// compiled op node returning diff303 (depth = 4)
  gc_frame_newslot(diff303);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  params[0] = sum299;
  params[1] = diff303;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call304 = callmethodflags(*var_s, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe295);
// compiled call node returning call304 (depth = 3)
  gc_frame_newslot(call304);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  params[0] = call304;
  partcv[0] = 1;
  Object call305 = callmethodflags(*var_p, "base:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe294);
// compiled call node returning call305 (depth = 2)
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_p (depth = 2)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_unixFilePath__apply315(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_pss = getfromclosure(closure, 0);
  Object *var_ox = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pss (depth = 5)
  int op_slot_right_316 = gc_frame_newslot(*var_pss);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ox (depth = 5)
  int op_slot_left_316 = gc_frame_newslot(*var_ox);
  params[0] = *var_pss;
  partcv[0] = 1;
  Object opresult318 = callmethod(*var_ox, "≤(1)", 1, partcv, params);
// compiled op node returning opresult318 (depth = 4)
  gc_frame_end(frame);
  return opresult318;
}
Object meth_unixFilePath__apply327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit329 == NULL) {
    strlit329 = alloc_String(":");
    gc_root(strlit329);
  }
// compiled string node returning strlit329 (depth = 9)
  int op_slot_right_328 = gc_frame_newslot(strlit329);
// starting to compile call node (depth = 9)
  int callframe331 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ox (depth = 10)
  gc_frame_newslot(*var_ox);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pathString (depth = 10)
  params[0] = *var_ox;
  partcv[0] = 1;
  Object call332 = callmethodflags(*var_pathString, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe331);
// compiled call node returning call332 (depth = 9)
  int op_slot_left_328 = gc_frame_newslot(call332);
  params[0] = strlit329;
  partcv[0] = 1;
  Object opresult333 = callmethod(call332, "≠(1)", 1, partcv, params);
// compiled op node returning opresult333 (depth = 8)
  gc_frame_end(frame);
  return opresult333;
}
Object meth_unixFilePath__apply324(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object *var_pss = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block326 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block326);
// method "_apply"
  block_savedest(block326);
  Object closure327 = createclosure(3, "_apply");
  setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_ox);
  addtoclosure(closure327, var_pathString);
  addtoclosure(closure327, selfslot);
  struct UserObject *uo327 = (struct UserObject*)block326;
  uo327->data[0] = (Object)closure327;
  Method *meth_meth_unixFilePath__apply327 = addmethod2pos(block326, "_apply", &meth_unixFilePath__apply327, 0);
  int argcv_meth_unixFilePath__apply327[] = {0};
  meth_meth_unixFilePath__apply327->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply327);
  meth_meth_unixFilePath__apply327->definitionModule = modulename;
  meth_meth_unixFilePath__apply327->definitionLine = 174;
// compiled block node returning block326 (depth = 7)
  int op_slot_right_325 = gc_frame_newslot(block326);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_pss (depth = 8)
  int op_slot_right_336 = gc_frame_newslot(*var_pss);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ox (depth = 8)
  int op_slot_left_336 = gc_frame_newslot(*var_ox);
  params[0] = *var_pss;
  partcv[0] = 1;
  Object opresult338 = callmethod(*var_ox, "≤(1)", 1, partcv, params);
// compiled op node returning opresult338 (depth = 7)
  int op_slot_left_325 = gc_frame_newslot(opresult338);
  params[0] = block326;
  partcv[0] = 1;
  Object opresult339 = callmethod(opresult338, "&&(1)", 1, partcv, params);
// compiled op node returning opresult339 (depth = 6)
  gc_frame_end(frame);
  return opresult339;
}
Object meth_unixFilePath__apply342(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ox = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num344 = alloc_Float64(1);
// compiled num node returning num344 (depth = 8)
  int op_slot_right_343 = gc_frame_newslot(num344);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ox (depth = 8)
  int op_slot_left_343 = gc_frame_newslot(*var_ox);
  params[0] = num344;
  partcv[0] = 1;
  Object sum346 = callmethod(*var_ox, "+(1)", 1, partcv, params);
// compiled op node returning sum346 (depth = 7)
  *var_ox = sum346;
  if (sum346 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_unixFilePath__apply321(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ox = getfromclosure(closure, 0);
  Object *var_pathString = getfromclosure(closure, 1);
  Object *var_pss = getfromclosure(closure, 2);
  Object *var_ix = getfromclosure(closure, 3);
  Object *var_locations = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_item = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "item");
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe322 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block323 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block323);
// method "_apply"
  block_savedest(block323);
  Object closure324 = createclosure(4, "_apply");
  setclosureframe(closure324, stackframe);
  addtoclosure(closure324, var_ox);
  addtoclosure(closure324, var_pathString);
  addtoclosure(closure324, var_pss);
  addtoclosure(closure324, selfslot);
  struct UserObject *uo324 = (struct UserObject*)block323;
  uo324->data[0] = (Object)closure324;
  Method *meth_meth_unixFilePath__apply324 = addmethod2pos(block323, "_apply", &meth_unixFilePath__apply324, 0);
  int argcv_meth_unixFilePath__apply324[] = {0};
  meth_meth_unixFilePath__apply324->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply324);
  meth_meth_unixFilePath__apply324->definitionModule = modulename;
  meth_meth_unixFilePath__apply324->definitionLine = 174;
// compiled block node returning block323 (depth = 5)
  gc_frame_newslot(block323);
// starting to compile block node (depth = 5)
  Object block341 = alloc_Block(NULL, NULL, "unixFilePath", 143);
  gc_frame_newslot(block341);
// method "_apply"
  block_savedest(block341);
  Object closure342 = createclosure(2, "_apply");
  setclosureframe(closure342, stackframe);
  addtoclosure(closure342, var_ox);
  addtoclosure(closure342, selfslot);
  struct UserObject *uo342 = (struct UserObject*)block341;
  uo342->data[0] = (Object)closure342;
  Method *meth_meth_unixFilePath__apply342 = addmethod2pos(block341, "_apply", &meth_unixFilePath__apply342, 0);
  int argcv_meth_unixFilePath__apply342[] = {0};
  meth_meth_unixFilePath__apply342->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply342);
  meth_meth_unixFilePath__apply342->definitionModule = modulename;
  meth_meth_unixFilePath__apply342->definitionLine = 174;
// compiled block node returning block341 (depth = 5)
  gc_frame_newslot(block341);
// call case 5: prelude request
  params[0] = block323;
  params[1] = block341;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call349 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe322);
// compiled call node returning call349 (depth = 4)
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe350 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num352 = alloc_Float64(1);
// compiled num node returning num352 (depth = 7)
  int op_slot_right_351 = gc_frame_newslot(num352);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ox (depth = 7)
  int op_slot_left_351 = gc_frame_newslot(*var_ox);
  params[0] = num352;
  partcv[0] = 1;
  Object diff354 = callmethod(*var_ox, "-(1)", 1, partcv, params);
// compiled op node returning diff354 (depth = 6)
  gc_frame_newslot(diff354);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pathString (depth = 6)
  params[0] = *var_ix;
  params[1] = diff354;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call355 = callmethodflags(*var_pathString, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe350);
// compiled call node returning call355 (depth = 5)
  *var_item = call355;
  if (call355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe357 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe358 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_item (depth = 7)
  Object call359 = callmethodflags(*var_item, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe358);
// compiled member node returning call359 (depth = 6)
  Object call360 = callmethodflags(call359, "not", 0, partcv, params, 0);
  gc_frame_end(callframe357);
// compiled member node returning call360 (depth = 5)
  Object if356 = done;
  if (istrue(call360)) {
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit363 == NULL) {
    strlit363 = alloc_String("/");
    gc_root(strlit363);
  }
// compiled string node returning strlit363 (depth = 7)
  int op_slot_right_362 = gc_frame_newslot(strlit363);
// starting to compile member node (depth = 7)
  int callframe365 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_item (depth = 8)
  Object call366 = callmethodflags(*var_item, "last", 0, partcv, params, 0);
  gc_frame_end(callframe365);
// compiled member node returning call366 (depth = 7)
  int op_slot_left_362 = gc_frame_newslot(call366);
  params[0] = strlit363;
  partcv[0] = 1;
  Object opresult367 = callmethod(call366, "≠(1)", 1, partcv, params);
// compiled op node returning opresult367 (depth = 6)
  Object if361 = done;
  if (istrue(opresult367)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit369 == NULL) {
    strlit369 = alloc_String("/");
    gc_root(strlit369);
  }
// compiled string node returning strlit369 (depth = 8)
  int op_slot_right_368 = gc_frame_newslot(strlit369);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_item (depth = 8)
  int op_slot_left_368 = gc_frame_newslot(*var_item);
  params[0] = strlit369;
  partcv[0] = 1;
  Object opresult371 = callmethod(*var_item, "++(1)", 1, partcv, params);
// compiled op node returning opresult371 (depth = 7)
  *var_item = opresult371;
  if (opresult371 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if361 = done;
  } else {
  }
// compiled if node returning if361 (depth = 5)
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe373 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_item (depth = 6)
  gc_frame_newslot(*var_item);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_locations (depth = 6)
  params[0] = *var_item;
  partcv[0] = 1;
  Object call374 = callmethodflags(*var_locations, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe373);
// compiled call node returning call374 (depth = 5)
    gc_frame_newslot(call374);
    if356 = call374;
  } else {
  }
// compiled if node returning if356 (depth = 4)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num376 = alloc_Float64(1);
// compiled num node returning num376 (depth = 6)
  int op_slot_right_375 = gc_frame_newslot(num376);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ox (depth = 6)
  int op_slot_left_375 = gc_frame_newslot(*var_ox);
  params[0] = num376;
  partcv[0] = 1;
  Object sum378 = callmethod(*var_ox, "+(1)", 1, partcv, params);
// compiled op node returning sum378 (depth = 5)
  *var_ix = sum378;
  if (sum378 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  *var_ox = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_unixFilePath_split_40_1_41_306(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "split(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method split(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for split(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pathString = &(stackframe->slots[0]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part split(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_locations = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "locations");
  Object *var_ix = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ix");
  Object *var_ox = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ox");
  Object *var_pss = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "pss");
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe307 = gc_frame_new();
// call case 5: prelude request
  Object call308 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe307);
// compiled member node returning call308 (depth = 3)
  *var_locations = call308;
  if (call308 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num309 = alloc_Float64(1);
// compiled num node returning num309 (depth = 3)
  *var_ix = num309;
  if (num309 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num310 = alloc_Float64(1);
// compiled num node returning num310 (depth = 3)
  *var_ox = num310;
  if (num310 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe311 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pathString (depth = 4)
  Object call312 = callmethodflags(*var_pathString, "size", 0, partcv, params, 0);
  gc_frame_end(callframe311);
// compiled member node returning call312 (depth = 3)
  *var_pss = call312;
  if (call312 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe313 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block314 = alloc_Block(NULL, NULL, "unixFilePath", 142);
  gc_frame_newslot(block314);
// method "_apply"
  block_savedest(block314);
  Object closure315 = createclosure(3, "_apply");
  setclosureframe(closure315, stackframe);
  addtoclosure(closure315, var_pss);
  addtoclosure(closure315, var_ox);
  addtoclosure(closure315, selfslot);
  struct UserObject *uo315 = (struct UserObject*)block314;
  uo315->data[0] = (Object)closure315;
  Method *meth_meth_unixFilePath__apply315 = addmethod2pos(block314, "_apply", &meth_unixFilePath__apply315, 0);
  int argcv_meth_unixFilePath__apply315[] = {0};
  meth_meth_unixFilePath__apply315->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply315);
  meth_meth_unixFilePath__apply315->definitionModule = modulename;
  meth_meth_unixFilePath__apply315->definitionLine = 174;
// compiled block node returning block314 (depth = 3)
  gc_frame_newslot(block314);
// starting to compile block node (depth = 3)
  Object block320 = alloc_Block(NULL, NULL, "unixFilePath", 142);
  gc_frame_newslot(block320);
// method "_apply"
  block_savedest(block320);
  Object closure321 = createclosure(6, "_apply");
  setclosureframe(closure321, stackframe);
  addtoclosure(closure321, var_ox);
  addtoclosure(closure321, var_pathString);
  addtoclosure(closure321, var_pss);
  addtoclosure(closure321, var_ix);
  addtoclosure(closure321, var_locations);
  addtoclosure(closure321, selfslot);
  struct UserObject *uo321 = (struct UserObject*)block320;
  uo321->data[0] = (Object)closure321;
  Method *meth_meth_unixFilePath__apply321 = addmethod2pos(block320, "_apply", &meth_unixFilePath__apply321, 0);
  int argcv_meth_unixFilePath__apply321[] = {0};
  meth_meth_unixFilePath__apply321->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply321);
  meth_meth_unixFilePath__apply321->definitionModule = modulename;
  meth_meth_unixFilePath__apply321->definitionLine = 174;
// compiled block node returning block320 (depth = 3)
  gc_frame_newslot(block320);
// call case 5: prelude request
  params[0] = block314;
  params[1] = block320;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call382 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe313);
// compiled call node returning call382 (depth = 2)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  return *var_locations;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_unixFilePath__apply_40_1_41_405(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_originalDir = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe406 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_originalDir (depth = 6)
  int op_slot_right_407 = gc_frame_newslot(*var_originalDir);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_407 = gc_frame_newslot(*var_each);
  params[0] = *var_originalDir;
  partcv[0] = 1;
  Object opresult409 = callmethod(*var_each, "++(1)", 1, partcv, params);
// compiled op node returning opresult409 (depth = 5)
  gc_frame_newslot(opresult409);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  params[0] = opresult409;
  partcv[0] = 1;
  Object call410 = callmethodflags(*var_candidate, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe406);
// compiled call node returning call410 (depth = 4)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  Object call413 = callmethodflags(*var_candidate, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe412);
// compiled member node returning call413 (depth = 5)
  Object if411 = done;
  if (istrue(call413)) {
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  block_return(realself, *var_candidate);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if411 = undefined;
  } else {
  }
// compiled if node returning if411 (depth = 4)
  gc_frame_end(frame);
  return if411;
}
Object meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "file(1)onPath(1)otherwise(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method file(_)onPath(_)otherwise(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for file(_)onPath(_)otherwise(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part file(_)");
  Object *var_pathString = &(stackframe->slots[1]);
  *var_pathString = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onPath(_)");
  Object *var_action = &(stackframe->slots[2]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part otherwise(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_locations = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "locations");
  Object *var_candidate = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "candidate");
  Object *var_originalDir = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "originalDir");
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe384 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pathString (depth = 4)
  gc_frame_newslot(*var_pathString);
// call case 4: self request
  params[0] = *var_pathString;
  partcv[0] = 1;
  Object call385 = callmethodflags(self, "split(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe384);
// compiled call node returning call385 (depth = 3)
  *var_locations = call385;
  if (call385 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe386 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  Object call387 = callmethodflags(*var_name, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe386);
// compiled member node returning call387 (depth = 3)
  *var_candidate = call387;
  if (call387 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe388 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  Object call389 = callmethodflags(*var_name, "dir", 0, partcv, params, 0);
  gc_frame_end(callframe388);
// compiled member node returning call389 (depth = 3)
  *var_originalDir = call389;
  if (call389 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit392 == NULL) {
    strlit392 = alloc_String("/");
    gc_root(strlit392);
  }
// compiled string node returning strlit392 (depth = 4)
  int op_slot_right_391 = gc_frame_newslot(strlit392);
// starting to compile member node (depth = 4)
  int callframe394 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_originalDir (depth = 5)
  Object call395 = callmethodflags(*var_originalDir, "first", 0, partcv, params, 0);
  gc_frame_end(callframe394);
// compiled member node returning call395 (depth = 4)
  int op_slot_left_391 = gc_frame_newslot(call395);
  params[0] = strlit392;
  partcv[0] = 1;
  Object opresult396 = callmethod(call395, "==(1)", 1, partcv, params);
// compiled op node returning opresult396 (depth = 3)
  Object if390 = done;
  if (istrue(opresult396)) {
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe398 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  Object call399 = callmethodflags(*var_candidate, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe398);
// compiled member node returning call399 (depth = 4)
  Object if397 = done;
  if (istrue(call399)) {
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  return *var_candidate;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if397 = undefined;
  } else {
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe400 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit401 == NULL) {
    strlit401 = alloc_String("");
    gc_root(strlit401);
  }
// compiled string node returning strlit401 (depth = 6)
  gc_frame_newslot(strlit401);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = strlit401;
  partcv[0] = 1;
  Object call402 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe400);
// compiled call node returning call402 (depth = 5)
  return call402;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if397 = undefined;
  }
// compiled if node returning if397 (depth = 3)
    gc_frame_newslot(if397);
    if390 = if397;
  } else {
  }
// compiled if node returning if390 (depth = 2)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe403 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block404 = alloc_Block(NULL, NULL, "unixFilePath", 168);
  gc_frame_newslot(block404);
// method "_apply(_)"
  block_savedest(block404);
  Object closure405 = createclosure(3, "_apply(1)");
  setclosureframe(closure405, stackframe);
  addtoclosure(closure405, var_originalDir);
  addtoclosure(closure405, var_candidate);
  addtoclosure(closure405, selfslot);
  struct UserObject *uo405 = (struct UserObject*)block404;
  uo405->data[0] = (Object)closure405;
  Method *meth_meth_unixFilePath__apply_40_1_41_405 = addmethod2pos(block404, "_apply(1)", &meth_unixFilePath__apply_40_1_41_405, 0);
  int argcv_meth_unixFilePath__apply_40_1_41_405[] = {1};
  meth_meth_unixFilePath__apply_40_1_41_405->type = alloc_MethodType(1, argcv_meth_unixFilePath__apply_40_1_41_405);
  meth_meth_unixFilePath__apply_40_1_41_405->definitionModule = modulename;
  meth_meth_unixFilePath__apply_40_1_41_405->definitionLine = 174;
// compiled block node returning block404 (depth = 3)
  gc_frame_newslot(block404);
// call case 6: other requests
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  params[0] = block404;
  partcv[0] = 1;
  Object call415 = callmethodflags(*var_locations, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe403);
// compiled call node returning call415 (depth = 2)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe416 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_locations (depth = 3)
  gc_frame_newslot(*var_locations);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_action (depth = 3)
  params[0] = *var_locations;
  partcv[0] = 1;
  Object call417 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe416);
// compiled call node returning call417 (depth = 2)
  gc_frame_end(frame);
  return call417;
}
Object module_unixFilePath_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(11, 11);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<unixFilePath>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[1];
  int partcv[1];
  Object *var_io = alloc_var();
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "null"
  block_savedest(self);
  Object closure1 = createclosure(2, "null");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_done);
  addtoclosure(closure1, var_io);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_unixFilePath_null1 = addmethod2pos(self, "null", &meth_unixFilePath_null1, 1);
  int argcv_meth_unixFilePath_null1[] = {0};
  meth_meth_unixFilePath_null1->type = alloc_MethodType(1, argcv_meth_unixFilePath_null1);
  meth_meth_unixFilePath_null1->definitionModule = modulename;
  meth_meth_unixFilePath_null1->definitionLine = 3;
  block_savedest(self);
  Object closure183 = createclosure(2, "null$object(1)");
  setclosureframe(closure183, stackframe);
  addtoclosure(closure183, var_done);
  addtoclosure(closure183, var_io);
  Method *meth_meth_unixFilePath_null1_object = addmethod2pos(self, "null$object(1)", &meth_unixFilePath_null1_object, 1);
  meth_meth_unixFilePath_null1_object->definitionModule = modulename;
  meth_meth_unixFilePath_null1_object->definitionLine = 3;
// compiled method node returning  (depth = 1)
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withDirectory(_)"
  struct UserObject *uo184 = (struct UserObject*)self;
  uo184->data[2] = emptyclosure;
  Method *meth_meth_unixFilePath_withDirectory_40_1_41_184 = addmethod2pos(self, "withDirectory(1)", &meth_unixFilePath_withDirectory_40_1_41_184, 2);
  int argcv_meth_unixFilePath_withDirectory_40_1_41_184[] = {1};
  meth_meth_unixFilePath_withDirectory_40_1_41_184->type = alloc_MethodType(1, argcv_meth_unixFilePath_withDirectory_40_1_41_184);
  meth_meth_unixFilePath_withDirectory_40_1_41_184->definitionModule = modulename;
  meth_meth_unixFilePath_withDirectory_40_1_41_184->definitionLine = 88;
// compiled method node returning  (depth = 1)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withBase(_)"
  struct UserObject *uo189 = (struct UserObject*)self;
  uo189->data[3] = emptyclosure;
  Method *meth_meth_unixFilePath_withBase_40_1_41_189 = addmethod2pos(self, "withBase(1)", &meth_unixFilePath_withBase_40_1_41_189, 3);
  int argcv_meth_unixFilePath_withBase_40_1_41_189[] = {1};
  meth_meth_unixFilePath_withBase_40_1_41_189->type = alloc_MethodType(1, argcv_meth_unixFilePath_withBase_40_1_41_189);
  meth_meth_unixFilePath_withBase_40_1_41_189->definitionModule = modulename;
  meth_meth_unixFilePath_withBase_40_1_41_189->definitionLine = 92;
// compiled method node returning  (depth = 1)
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withExtension(_)"
  struct UserObject *uo194 = (struct UserObject*)self;
  uo194->data[4] = emptyclosure;
  Method *meth_meth_unixFilePath_withExtension_40_1_41_194 = addmethod2pos(self, "withExtension(1)", &meth_unixFilePath_withExtension_40_1_41_194, 4);
  int argcv_meth_unixFilePath_withExtension_40_1_41_194[] = {1};
  meth_meth_unixFilePath_withExtension_40_1_41_194->type = alloc_MethodType(1, argcv_meth_unixFilePath_withExtension_40_1_41_194);
  meth_meth_unixFilePath_withExtension_40_1_41_194->definitionModule = modulename;
  meth_meth_unixFilePath_withExtension_40_1_41_194->definitionLine = 96;
// compiled method node returning  (depth = 1)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "withDirectory(_)base(_)extension(_)"
  struct UserObject *uo199 = (struct UserObject*)self;
  uo199->data[5] = emptyclosure;
  Method *meth_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199 = addmethod2pos(self, "withDirectory(1)base(1)extension(1)", &meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199, 5);
  int argcv_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199[] = {1, 1, 1};
  meth_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199->type = alloc_MethodType(3, argcv_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199);
  meth_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199->definitionModule = modulename;
  meth_meth_unixFilePath_withDirectory_40_1_41_base_40_1_41_extension_40_1_41_199->definitionLine = 100;
// compiled method node returning  (depth = 1)
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "fromString(_)"
  struct UserObject *uo208 = (struct UserObject*)self;
  uo208->data[6] = emptyclosure;
  Method *meth_meth_unixFilePath_fromString_40_1_41_208 = addmethod2pos(self, "fromString(1)", &meth_unixFilePath_fromString_40_1_41_208, 6);
  int argcv_meth_unixFilePath_fromString_40_1_41_208[] = {1};
  meth_meth_unixFilePath_fromString_40_1_41_208->type = alloc_MethodType(1, argcv_meth_unixFilePath_fromString_40_1_41_208);
  meth_meth_unixFilePath_fromString_40_1_41_208->definitionModule = modulename;
  meth_meth_unixFilePath_fromString_40_1_41_208->definitionLine = 105;
// compiled method node returning  (depth = 1)
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "split(_)"
  struct UserObject *uo306 = (struct UserObject*)self;
  uo306->data[7] = emptyclosure;
  Method *meth_meth_unixFilePath_split_40_1_41_306 = addmethod2pos(self, "split(1)", &meth_unixFilePath_split_40_1_41_306, 7);
  int argcv_meth_unixFilePath_split_40_1_41_306[] = {1};
  meth_meth_unixFilePath_split_40_1_41_306->type = alloc_MethodType(1, argcv_meth_unixFilePath_split_40_1_41_306);
  meth_meth_unixFilePath_split_40_1_41_306->definitionModule = modulename;
  meth_meth_unixFilePath_split_40_1_41_306->definitionLine = 135;
// compiled method node returning  (depth = 1)
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "file(_)onPath(_)otherwise(_)"
  struct UserObject *uo383 = (struct UserObject*)self;
  uo383->data[8] = emptyclosure;
  Method *meth_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383 = addmethod2pos(self, "file(1)onPath(1)otherwise(1)", &meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383, 8);
  int argcv_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383[] = {1, 1, 1};
  meth_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383->type = alloc_MethodType(3, argcv_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383);
  meth_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383->definitionModule = modulename;
  meth_meth_unixFilePath_file_40_1_41_onPath_40_1_41_otherwise_40_1_41_383->definitionLine = 157;
// compiled method node returning  (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
