#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "21802a386d7e3614445df7ee7c1a5afde8ad45d3";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "ast";
Object module_standardGrace_init();
static char *originalSourceLines[] = {
  "#pragma noTypeChecks",
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"identifierKinds\" as k",
  "",
  "// This module contains classes and pseudo-classes for all the AST nodes used",
  "// in the parser. Because of the limitations of the class syntax, classes that",
  "// need more than one method are written as object literals containing methods.",
  "// Each node has a different signature according to its function, but the",
  "// common interface is given by type ASTNode",
  "//",
  "// Most nodes also contain a \"value\" field, with varied type, holding the `main value`",
  "// in the node.  This field is confusing and should be appropriately re-named in",
  "// each case. Some nodes contain other fields for their specific use: while has",
  "// both a value (the condition) and a body, for example.",
  "",
  "def lineLength is public = 80",
  "def uninitialized = Singleton.named \"uninitialized\"",
  "method listMap(l, b) ancestors(as) is confidential {",
  "    def newList = [ ]",
  "    l.do { nd -> newList.addLast(nd.map(b) ancestors(as)) }",
  "    newList",
  "}",
  "method maybeMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        n.map(b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "method maybeListMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        listMap(n, b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "",
  "def ancestorChain = object {",
  "    class empty {",
  "        method isEmpty { true }",
  "        method asString { \"ancestorChain ▫\" }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "    method with(n) { empty.extend(n) }",
  "    class cons(p) onto(as) is confidential {",
  "        method forebears { as }",
  "        method isEmpty { false }",
  "        method parent { p }",
  "        method grandparent { forebears.parent }",
  "",
  "        method asString {",
  "            var a := self",
  "            var s := \"ancestorChain \"",
  "            while { a.isEmpty.not } do {",
  "                s := s ++ a.parent ++ \"➤\"",
  "                a := a.forebears",
  "            }",
  "            s ++ \"▫\"",
  "        }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "}",
  "",
  "def emptySeq = emptySequence",
  "",
  "type AstNode = type {",
  "    kind -> String",
  "        // Used for pseudo-instanceof tests.",
  "    register -> String",
  "        // Used in the code generator on to name the resulting object",
  "    line -> Number",
  "        // The source line the node came from",
  "    line:=(ln:Number)",
  "    linePos -> Number",
  "    linePos:=(lp:Number)",
  "    scope -> SymbolTable",
  "        // The symbolTable for names defined in this node and its sub-nodes",
  "    pretty(n:Number) -> String",
  "        // Pretty-print-string of node at depth n",
  "    comments -> AstNode",
  "        // Comments associated with this node",
  "}",
  "",
  "type SymbolTable = Unknown",
  "",
  "class baseNode {",
  "    // the superclass of all AST nodes",
  "    var register is public := \"\"",
  "    var line is public := util.linenum",
  "    var linePos is public := util.linepos",
  "    var symbolTable := fakeSymbolTable",
  "    var comments is public := false",
  "",
  "    method setLine (l) col (c) {",
  "        line := l",
  "        linePos := c",
  "        self",
  "    }",
  "    method setPositionFrom (token) {",
  "        line := token.line",
  "        linePos := token.linePos",
  "        self",
  "    }",
  "    method kind { abstract }",
  "    method ==(other) { self.isMe(other) }       // for usesAsType",
  "    method isAppliedOccurenceOfIdentifier { false }",
  "    method isMatchingBlock { false }",
  "    method isFieldDec { false }",
  "    method isInherits { false }",
  "    method isLegalInTrait { false }",
  "    method isMember { false }",
  "    method isMethod { false }",
  "    method isExecutable { true }",
  "    method isCall { false }",
  "    method isComment { false }",
  "    method isClass { false }    // is a method that returns a fresh object",
  "    method inClass { false }    // object in a syntactic class definiton",
  "    method isTrait { false }    // is a method that returns a trait object",
  "    method inTrait { false }    // object in a syntactic trait definition",
  "    method isBind { false }",
  "    method isSelf { false }",
  "    method isSuper { false }",
  "    method isPrelude { false }",
  "    method isOuter { false }",
  "    method isSelfOrOuter { false }",
  "    method isBlock { false }",
  "    method isObject { false }",
  "    method isIdentifier { false }",
  "    method isDialect { false }",
  "    method isImport { false }",
  "    method isTypeDec { false }",
  "    method isExternal { false }",
  "    method canInherit { false }",
  "    method returnsObject { false }",
  "    method isImplicit { false }",
  "    method usesAsType(aNode) { false }",
  "    method hash { line.hash * linePos.hash }",
  "    method asString { \"{kind} {nameString}\" }",
  "    method nameString { \"?\" }",
  "    method isWritable { true }",
  "    method isReadable { true }",
  "    method isPublic { true }",
  "    method isConfidential { isPublic.not }",
  "    method decType {",
  "        if (false == self.dtype) then {",
  "            return unknownType",
  "        }",
  "        return self.dtype",
  "    }",
  "    method isSimple { true }  // needs no parens when used as receiver",
  "    method isDelimited { false }  // needs no parens when used as argument",
  "    method description { kind }",
  "    method accept(visitor) {",
  "        self.accept(visitor) from (ancestorChain.empty)",
  "    }",
  "    method scope { symbolTable }",
  "",
  "    method scope:=(st) {",
  "        // override this method in subobjects that open a new scope. In such",
  "        // subobjects, and only in such subobjects, there should be a 2-way",
  "        // conection between the node and the symbol table that defines its scope.",
  "        symbolTable := st",
  "    }",
  "",
  "    method shallowCopyFieldsFrom(other) {",
  "        register := other.register",
  "        line := other.line",
  "        linePos := other.linePos",
  "        scope := other.scope",
  "        postCopy(other)",
  "        self",
  "    }",
  "    method postCopy(other) {",
  "        // hook method, to be overridden by sub-objects if desired",
  "    }",
  "    method basePretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        if ((scope.node == self) && {util.target == \"symbols\"}) then {",
  "            \"{line}:{linePos} {description}\\n{spc}Symbols({scope.variety}): {scope}{scope.elementScopesAsString}\"",
  "        } elseif {scope.variety == \"fake\"} then {",
  "            \"{line}:{linePos} {description}\"",
  "        } else {",
  "            \"{line}:{linePos} {description} {scope.asDebugString}\"",
  "        }",
  "    }",
  "    method pretty(depth) { basePretty(depth) }",
  "    method deepCopy {",
  "        self.map { each -> each } ancestors(ancestorChain.empty)",
  "    }",
  "    method enclosingObject {",
  "        def obj = scope.enclosingObjectScope.node",
  "        obj",
  "    }",
  "    method addComment(cmtNode) {",
  "        if (false == comments) then {",
  "            comments := cmtNode",
  "        } else {",
  "            comments.extendCommentUsing(cmtNode)",
  "        }",
  "    }",
  "    method addComments(cmtNodeList) {",
  "        cmtNodeList.do { each -> addComment(each) }",
  "    }",
  "    method statementName { kind }",
  "}",
  "",
  "def implicit is public = object {",
  "    inherit baseNode",
  "    line := 0",
  "    linePos := 0",
  "    def kind is public = \"implicit\"",
  "    def nameString is public = \"implicit\"",
  "    method isImplicit { true }",
  "    method toGrace(depth) { \"implicit\" }",
  "    method asString { \"the implicit receiver\" }",
  "    method == (other) { self.isMe(other) }",
  "    method map(blk) ancestors(as) { self }",
  "    method accept(visitor) from (as) {",
  "        visitor.visitImplicit(self) up (as)",
  "    }",
  "    method pretty(depth) { \"implicit\" }",
  "}",
  "",
  "def nullNode is public = object {",
  "    inherit baseNode",
  "    def kind is public = \"null\"",
  "    method toGrace(depth) {",
  "        \"// null\"",
  "    }",
  "    method asString { \"the nullNode\" }",
  "    method == (other) { self.isMe(other) }",
  "}",
  "",
  "def fakeSymbolTable = object {",
  "    var node is public := nullNode",
  "    method asString { \"the fakeSymbolTable\" }",
  "    method addNode (n) as (kind) {",
  "        ProgrammingError.raise \"fakeSymbolTable(on node {node}).addNode({n}) as \\\"{kind}\\\" requested\"",
  "    }",
  "    method thatDefines (name) ifNone (action) {",
  "        ProgrammingError.raise \"fakeSymbolTable.thatDefines({name}).\"",
  "    }",
  "    method enclosingObjectScope {",
  "        ProgrammingError.raise \"fakeSymbolTable.enclosingObjectScope on node {node}\"",
  "    }",
  "    method variety { \"fake\" }",
  "    method ==(other) { self.isMe(other) }",
  "}",
  "",
  "def ifNode is public = object {",
  "  class new(cond, thenblock', elseblock') {",
  "    inherit baseNode",
  "    def kind is public = \"if\"",
  "    var value is public := cond",
  "    var thenblock is public := thenblock'",
  "    var elseblock is public := elseblock'",
  "    var handledIdentifiers is public := false",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitIf(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            value.accept(visitor) from(newChain)",
  "            thenblock.accept(visitor) from(newChain)",
  "            elseblock.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.thenblock := thenblock.map(blk) ancestors(newChain)",
  "        n.elseblock := elseblock.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (util.target == \"symbols\") then {",
  "            s := s ++ spc ++ \"Then: {thenblock.pretty(depth+2)}\\n\"",
  "            s := s ++ spc ++ \"Else: {elseblock.pretty(depth+2)}\"",
  "        } else {",
  "            s := s ++ spc ++ \"Then:\"",
  "            for (self.thenblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Else:\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"if ({self.value.toGrace(0)}) then \\{\"",
  "        for (self.thenblock.body) do { ix ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "        }",
  "        if (self.elseblock.isntEmpty) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\} else \\{\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        ifNode.new(nullNode, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        handledIdentifiers := other.handledIdentifiers",
  "        self",
  "    }",
  "  }",
  "}",
  "def blockNode is public = object {",
  "  class new(params', body') {",
  "    inherit baseNode",
  "    def kind is public = \"block\"",
  "    def value is public = \"block\"",
  "    var params is public := params'",
  "    var body is public := body'",
  "    def selfclosure is public = true",
  "    var matchingPattern is public := false",
  "    var extraRuntimeData is public := false",
  "    for (params') do {p->",
  "        p.accept(patternMarkVisitor) from(ancestorChain.with(self))",
  "    }",
  "    method isBlock { true }",
  "    method isDelimited { true }",
  "    method isEmpty { body.size == 0 }",
  "    method isntEmpty { body.size > 0 }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.parameter }",
  "    method isMatchingBlock { params.size == 1 }",
  "    method returnsObject {",
  "        (body.size > 0) && { body.last.returnsObject }",
  "    }",
  "    method returnedObjectScope {",
  "        // precondition: returnsObject",
  "        body.last.returnedObjectScope",
  "    }",
  "    method parametersDo(b) {",
  "        params.do(b)",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBlock(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.params) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.matchingPattern) then {",
  "                self.matchingPattern.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        n.body := listMap(body, blk) ancestors(newChain)",
  "        n.matchingPattern := maybeMap(matchingPattern, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Parameters:\"",
  "        for (self.params) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        if (false != self.matchingPattern) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Pattern:\"",
  "            s := s ++ \"\\n  \"++ spc ++ self.matchingPattern.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\\{\"",
  "        if (self.params.size > 0) then {",
  "            s := s ++ \" \"",
  "            for (self.params.indices) do { i ->",
  "                var p := self.params.at(i)",
  "                if (false != self.matchingPattern) then {",
  "                    s := s ++ \"(\" ++ p.toGrace(0) ++ \")\"",
  "                } else {",
  "                    s := s ++ p.toGrace(0)",
  "                }",
  "                if (i < self.params.size) then {",
  "                    s := s ++ \", \"",
  "                } else {",
  "                    s := s ++ \" →\"",
  "                }",
  "            }",
  "        }",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        repeat (depth - 1) times { s := s ++ \"    \" }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        blockNode.new(params, body).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        matchingPattern := other.matchingPattern",
  "        extraRuntimeData := other.extraRuntimeData",
  "        self",
  "    }",
  "  }",
  "}",
  "def tryCatchNode is public = object {",
  "  class new(block, cases', finally') {",
  "    inherit baseNode",
  "    def kind is public = \"trycatch\"",
  "    var value is public := block",
  "    var cases is public := cases'",
  "    var finally is public := finally'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTryCatch(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.finally) then {",
  "                self.finally.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        n.finally := maybeMap(finally, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{basePretty(depth)}\\n\"",
  "        s := s ++ spc ++ value.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n{spc}Finally:\\n{spc}  {self.finally.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"try \" ++ self.value.toGrace(depth + 1) ++ \" \"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"catch \" ++ case.toGrace(depth + 1)",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"finally \" ++ self.finally.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        tryCatchNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def matchCaseNode is public = object {",
  "  class new(matchee', cases', elsecase') {",
  "    inherit baseNode",
  "    def kind is public = \"matchcase\"",
  "    var value is public := matchee'",
  "    var cases is public := cases'",
  "    var elsecase is public := elsecase'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method matchee { value }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMatchCase(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.elsecase) then {",
  "                self.elsecase.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        n.elsecase := maybeMap(elsecase, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ matchee.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n{spc}Else:\\n{spc}  {self.elsecase.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"match(\" ++ self.value.toGrace(0) ++ \")\"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"else \" ++ self.elsecase.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        matchCaseNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def methodTypeNode is public = object {",
  "  class new(signature', rtype') {",
  "    // Represents the signature of a method in a type literal",
  "    // signature' is an Iterable of requestPart objects, which contain",
  "    // the parts of the name and the parameter lists.",
  "",
  "    inherit baseNode",
  "    def kind is public = \"methodtype\"",
  "    var signature is public := signature'",
  "    var rtype is public := rtype'",
  "    var typeParams is public := false",
  "    var cachedIdentifier := uninitialized",
  "",
  "    method nameString {",
  "        signature.fold { acc, each -> acc ++ each.nameString }",
  "            startingWith \"\"",
  "    }",
  "    method value {",
  "        if (uninitialized == cachedIdentifier) then {",
  "            cachedIdentifier := identifierNode.new(nameString, false)",
  "            cachedIdentifier.line := signature.first.line",
  "            cachedIdentifier.linePos := signature.first.linePos",
  "            cachedIdentifier.isBindingOccurrence := true",
  "        }",
  "        cachedIdentifier",
  "    }",
  "    method isExecutable { false }",
  "    method parametersDo(b) {",
  "        signature.do { part ->",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the symbol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMethodType(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            if (false != rtype) then {",
  "                rtype.accept(visitor) from(newChain)",
  "            }",
  "            for (signature) do { part ->",
  "                part.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.rtype := maybeMap(rtype, blk) ancestors(newChain)",
  "        n.signature := listMap(signature, blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := \"{s}{spc}Name: {value}\\n\"",
  "        if (false != rtype) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{rtype.pretty(depth + 2)}\"",
  "        }",
  "        if (false != typeParams) then {",
  "            s := \"{s}\\n{spc}TypeParams:\\n\"",
  "            s := s ++ typeParams.pretty(depth + 2)",
  "        }",
  "        s := \"{s}\\n{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}{part.pretty(depth + 2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        signature.do { part -> s:= s ++ part.toGrace(depth + 1) }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        methodTypeNode.new(signature, rtype).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def typeLiteralNode is public = object {",
  "  class new(methods', types') {",
  "    inherit baseNode",
  "    def kind is public = \"typeliteral\"",
  "    var methods is public := methods'",
  "    var types is public := types'",
  "    var nominal is public := false",
  "    var anonymous is public := true",
  "    var value is public := \"‹anon›\"",
  "",
  "    method name { value }",
  "    method name:=(n) {",
  "        value := n",
  "        anonymous := false",
  "    }",
  "    method asString {",
  "        \"typeliteral: methods = {methods}, types = {types}\"",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method isExecutable { false }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeLiteral(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.methods) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "            for (self.types) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.methods := listMap(methods, blk) ancestors (as)",
  "        n.types := listMap(types, blk) ancestors (as)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{basePretty(depth)}\\n\"",
  "        s := s ++ spc ++ \"Types:\"",
  "        for (types) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Methods:\"",
  "        for (methods) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"type\"",
  "        s := s ++ \" = \\{\"",
  "        for (self.methods) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        for (self.types) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        typeLiteralNode.new(emptySeq, emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "    method postCopy(other) {",
  "        nominal := other.nominal",
  "        anonymous := other.anonymous",
  "        value := other.value",
  "        self",
  "    }",
  "  }",
  "}",
  "",
  "def typeDecNode is public = object {",
  "  class new(name', typeValue) {",
  "    inherit baseNode",
  "    def kind is public = \"typedec\"",
  "    var name is public := name'",
  "    var value is public := typeValue",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "    var typeParams is public := false",
  "",
  "    method isLegalInTrait { true }",
  "    method isTypeDec { true }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "",
  "    method isExecutable { true }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            name.accept(visitor) from(newChain)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            annotations.do { each -> each.accept(visitor) from(newChain) }",
  "            value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1) ++ \"\\n\"",
  "        if (false != typeParams) then {",
  "            s := \"{s}{spc}Type parameters:\\n{typeParams.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := s ++ spc ++ \"Value:\"",
  "        s := s ++ value.pretty(depth+2)",
  "        s := s ++ \"\\n\"",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        s := \"type {self.name}\"",
  "        if (false != typeParams) then {",
  "            typeParams.toGrace(0)",
  "        }",
  "        s ++ \" = \" ++ value.toGrace(depth + 2)",
  "    }",
  "    method shallowCopy {",
  "        typeDecNode.new(name, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def methodNode = object {",
  "    method new(signature, body, dtype) scope(s) {",
  "        def result = new(signature, body, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(signature', body', dtype') {",
  "        // Represents a method declaration",
  "        // The name of the method is constructed from signature',",
  "        // which is a sequence of signatureParts;",
  "        // body is a sequence of statements and declarations.",
  "        // dtype is the declared return type of the method, or false.",
  "",
  "        inherit baseNode",
  "        def kind is public = \"method\"",
  "        var signature is public := signature'",
  "        var body is public := body'",
  "        var dtype is public := dtype'",
  "        var typeParams is public := false",
  "        var selfclosure is public := false",
  "        var annotations is public := [ ]",
  "        var isFresh is public := false      // a method is 'fresh' if it answers a new object",
  "        var usesClassSyntax is public := false",
  "        var cachedIdentifier := uninitialized",
  "        var isBindingOccurence is readable := true",
  "            // the only exception is the oldMethodName in an alias clause",
  "",
  "        method appliedOccurence {",
  "            isBindingOccurence := false",
  "            if (uninitialized ≠ cachedIdentifier) then {",
  "                cachedIdentifier.isBindingOccurence := false",
  "            }",
  "            self",
  "        }",
  "        method numParams {",
  "            signature.fold { acc, p -> acc + p.numParams } startingWith 0",
  "        }",
  "        method endPos {",
  "            def lastPart = signature.last",
  "            lastPart.linePos + lastPart.name.size - 1",
  "        }",
  "",
  "        method nameString {",
  "            signature.fold { acc, each -> acc ++ each.nameString }",
  "                startingWith \"\"",
  "        }",
  "        method asIdentifier {",
  "            if (uninitialized == cachedIdentifier) then {",
  "                cachedIdentifier := identifierNode.new(nameString, false)",
  "                cachedIdentifier.line := signature.first.line",
  "                cachedIdentifier.linePos := signature.first.linePos",
  "                cachedIdentifier.isBindingOccurrence := isBindingOccurence",
  "                cachedIdentifier.canonicalName := canonicalName",
  "            }",
  "            cachedIdentifier",
  "        }",
  "        method value { asIdentifier }",
  "        method canonicalName {",
  "            signature.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "        method hasParams { signature.first.params.isEmpty.not }",
  "        method numParamLists {",
  "            // the number of my parameter lists.  If I have a single",
  "            // part to my name, there may be 0 or 1",
  "            def sigSz = signature.size",
  "            if (sigSz > 1) then { return sigSz }",
  "            if {signature.first.params.isEmpty} then { return 0 }",
  "            return 1",
  "        }",
  "        method hasTypeParams { false ≠ signature.first.typeParams }",
  "        method isMethod { true }",
  "        method isExecutable { false }",
  "        method isLegalInTrait { true }",
  "        method isClass { isFresh || usesClassSyntax }",
  "        method isTrait {",
  "            if (isFresh) then {",
  "                body.last.isTrait",
  "            } else {",
  "                false",
  "            }",
  "        }",
  "        method needsArgChecks {",
  "            signature.do { part ->",
  "                part.params.do { p ->",
  "                    if ((false != p.dtype) && {",
  "                            p.dtype.nameString != \"Unknown\" }) then {",
  "                        return true",
  "                    }",
  "                }",
  "            }",
  "            return false",
  "        }",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the synmol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method isConfidential {",
  "            if (annotations.size == 0) then { return false }",
  "            findAnnotation(self, \"confidential\")",
  "        }",
  "        method isPublic { isConfidential.not }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method returnsObject {",
  "            body.isEmpty.not && {body.last.returnsObject}",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            body.last.returnedObjectScope",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMethod(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.value.accept(visitor) from(newChain)",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "                for (self.signature) do { part ->",
  "                    for (part.params) do { p ->",
  "                        p.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != dtype) then {",
  "                    dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                for (self.body) do { mx ->",
  "                    mx.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as){",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.body := listMap(body, blk) ancestors(newChain)",
  "            n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            n.signature := listMap(signature, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ \"Name: \" ++ value.pretty(depth+1) ++ \"\\n\"",
  "            if (false != self.dtype) then {",
  "                s := s ++ spc ++ \"Returns:\\n\" ++ spc ++ \"  \"",
  "                s := s ++ self.dtype.pretty(depth + 2) ++ \"\\n\"",
  "            }",
  "            if (isBindingOccurence.not) then { s := s ++ spc ++ \"Applied\\n\" }",
  "            if (isFresh) then { s := s ++ spc ++ \"Fresh\\n\" }",
  "            s := \"{s}{spc}Signature:\"",
  "            for (signature) do { part ->",
  "                s := \"{s}\\n  {spc}Part: {part.name}\"",
  "                s := \"{s}\\n    {spc}Parameters:\"",
  "                for (part.params) do { p ->",
  "                    s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "                }",
  "            }",
  "            s := s ++ \"\\n\"",
  "            if (false != typeParams) then {",
  "                s := \"{s}{spc}Generics:\"",
  "                typeParams.do {g->",
  "                    s := \"{s}\\n{spc}  {g.pretty(0)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            if (annotations.size > 0) then {",
  "                s := \"{s}{spc}Annotations:\"",
  "                for (annotations) do {an->",
  "                    s := \"{s}\\n{spc}  {an.pretty(depth + 2)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            s := s ++ spc ++ \"Body:\"",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"method \"",
  "            var firstPart := true",
  "            for (self.signature) do { part ->",
  "                s := s ++ part.name",
  "                if (firstPart && {false != typeParams}) then {",
  "                    s := s ++ typeParams.toGrace(depth + 1)",
  "                }",
  "                firstPart := false",
  "                if (part.params.size > 0) then {",
  "                    s := s ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params.at(pnr)",
  "                        s := s ++ p.toGrace(depth + 1)",
  "                        if (pnr < part.params.size) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                    s := s ++ \")\"",
  "                }",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" -> {self.dtype.toGrace(0)}\"",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            s := s ++ \" \\{\"",
  "            if (false != comments) then {",
  "                s := s ++ comments.toGrace(depth + 1)",
  "            }",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            methodNode.new(signature, body, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            isFresh := other.isFresh",
  "            selfclosure := other.selfclosure",
  "            if (other.isBindingOccurence.not) then {",
  "                self.appliedOccurence",
  "            }",
  "            self",
  "        }",
  "    }",
  "}",
  "def callNode = object {",
  "    method new(receiver, parts) scope(s) {",
  "        def result = new(receiver, parts)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(receiver', parts) {",
  "        // requested as callNode.new(receiver':AstNode, parts:List)",
  "        // Represents a method request with arguments.",
  "        // The argument list is in `with`, as a sequence of `requestPart`s.",
  "",
  "        inherit baseNode",
  "        def kind is public = \"call\"",
  "        var with is public := parts            // [ argument parts ]",
  "        var generics is public := false",
  "        var isPattern is public := false",
  "        var receiver is public := receiver'    // formerly `value`",
  "        var isSelfRequest is public := false",
  "",
  "        method onSelf {",
  "            // mark as a self-request.  Answers self for chaining.",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "",
  "        method nameString {",
  "            // the name of the method being requested, in numeric form",
  "            with.fold { acc, each -> acc ++ each.nameString } startingWith \"\"",
  "        }",
  "",
  "        method canonicalName {",
  "            // the name of the method being requested, in underscore form",
  "            with.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "",
  "        method isCall { true }",
  "        method returnsObject {",
  "            // we recognize two special calls as returning a fresh object",
  "            // self.copy, and prelude.clone(_)",
  "            if ((receiver.isImplicit || receiver.isPrelude) &&",
  "                  (nameString == \"clone(1)\")) then {return true}",
  "            if ((receiver.isImplicit || receiver.isSelf) &&",
  "                  (nameString == \"copy\")) then {return true}",
  "            return false",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            self.scope",
  "        }",
  "        method arguments {",
  "            def result = [ ]",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> result.push(arg) }",
  "            }",
  "            result",
  "        }",
  "",
  "        method argumentsDo(action) {",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> action.apply(arg) }",
  "            }",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitCall(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.receiver.accept(visitor) from(newChain)",
  "                for (self.with) do { part ->",
  "                    for (part.args) do { arg ->",
  "                        arg.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != generics) then {",
  "                    generics.do { each ->",
  "                        each.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.with := listMap(with, blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self\\n\" } else { \"\\n\" }",
  "            s := s ++ spc ++ \"Receiver: {receiver.pretty(depth + 1)}\\n\"",
  "            s := s ++ spc ++ \"Method Name: {nameString}\\n\"",
  "            if (false != generics) then {",
  "                s := s ++ spc ++ \"  Generics:\\n\"",
  "                for (generics) do {g->",
  "                    s := s ++ spc ++ \"    \" ++ g.pretty(depth + 2) ++ \"\\n\"",
  "                }",
  "            }",
  "            s := s ++ spc ++ \"Arguments:\"",
  "            for (self.with) do { part ->",
  "                s := s ++ \"\\n  \" ++ spc ++ \"Part: \" ++ part.name",
  "                for (part.args) do { arg ->",
  "                    s := s ++ \"\\n      \" ++ spc ++ arg.pretty(depth + 2)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (receiver.isImplicit.not) then {",
  "                if (receiver.isSimple) then {",
  "                    s := \"{receiver.toGrace (depth + 1)}.\"",
  "                } else {",
  "                    s := \"({receiver.toGrace (depth + 1)}).\"",
  "                }",
  "            }",
  "            with.do { part -> s := s ++ part.toGrace(depth + 1) }",
  "                separatedBy { s := s ++ \" \" }",
  "            s",
  "        }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "            if (fakeSymbolTable == scope) then {",
  "                ProgrammingError.raise \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "            }",
  "            def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "            resultNode.inRequest := true",
  "            resultNode.line := line",
  "            resultNode.linePos := linePos",
  "            return resultNode",
  "        }",
  "        method asString { \"call {receiver.pretty(0)}\" }",
  "        method shallowCopy {",
  "            callNode.new(receiver, with).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            isPattern := other.isPattern",
  "            isSelfRequest := other.isSelfRequest",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "def moduleNode = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result",
  "    }",
  "    class body(b) {",
  "        inherit objectNode.new(b, false)",
  "        def kind is public = \"module\"",
  "        def sourceLines = util.lines",
  "        line := 0       // because the module is always implicit",
  "        linePos := 0",
  "        var imports is public := [ ]",
  "",
  "        method isModule { true }",
  "        method returnsObject { false }",
  "        method externalsDo(action) {",
  "            value.do { o ->",
  "                if (o.isExternal) then { action.apply(o) }",
  "            }",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitModule(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != self.superclass) then {",
  "                    self.superclass.accept(visitor) from(newChain)",
  "                }",
  "                for (self.value) do { x ->",
  "                    x.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            moduleNode.body(emptySeq).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            imports := other.imports",
  "            // copy the field of moduleNode",
  "",
  "            name := other.name",
  "            value := other.value",
  "            superclass := other.superclass",
  "            usedTraits := other.usedTraits",
  "            inClass := other.inClass",
  "            inTrait := other.inTrait",
  "            annotations := other.annotations",
  "            // copy the fields of objectNode — should be an alias to objectNode.postCopy",
  "",
  "            self",
  "        }",
  "    }",
  "}",
  "def objectNode is public = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = new(b, false)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        body(b) named(n) scope(fakeSymbolTable)",
  "    }",
  "    class new(b, superclass') {",
  "        inherit baseNode",
  "        def kind is public = \"object\"",
  "        var value is public := b",
  "        var superclass is public := superclass'",
  "        var usedTraits is public := [ ]",
  "        var name is public := \"object\"",
  "        var inClass is public := false",
  "        var inTrait is public := false",
  "        var myLocalNames := false",
  "        var annotations is public := [ ]",
  "",
  "        method description -> String {",
  "            if (isTrait) then {",
  "                \"{kind} (trait)\"",
  "            } elseif { inClass } then {",
  "                \"{kind} (class)\"",
  "            } else {",
  "                kind",
  "            }",
  "        }",
  "        method isTrait {",
  "            // answers true if this object qualifies to be a trait, whether",
  "            // or not it was declared with the trait syntax",
  "            ",
  "            if (inTrait) then { return true }",
  "            if (false != superclass) then { return false }",
  "            value.do { each ->",
  "                if (each.isLegalInTrait.not) then { return false }",
  "            }",
  "            return true",
  "        }",
  "",
  "        method localNames -> Set⟦String⟧ {",
  "            // answers the names of all of the methods defined directly in",
  "            // this object.  Inherited names are _not_ included.",
  "            if (false == myLocalNames) then {",
  "                myLocalNames := emptySet",
  "                value.do { node ->",
  "                    if (node.isFieldDec || node.isMethod) then {",
  "                        myLocalNames.add(node.nameString)",
  "                    }",
  "                }",
  "            }",
  "            myLocalNames",
  "        }",
  "",
  "        method parentsDo(action) {",
  "            // iterate over my superclass and my used traits",
  "",
  "            if (false != superclass) then { action.apply(superclass) }",
  "            usedTraits.do { t -> action.apply(t) }",
  "        }",
  "",
  "        method methodsDo(action) {",
  "            // iterate over my method declarations",
  "",
  "            value.do { o ->",
  "                if (o.isMethod) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method executableComponentsDo(action) {",
  "            // iterate over my executable code, including",
  "            // field declarations (since they may have initializers)",
  "            value.do { o ->",
  "                if (o.isExecutable) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the symbol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method body { value }",
  "        method returnsObject { true }",
  "        method returnedObjectScope { scope }",
  "        method canInherit { inTrait.not }   // an object can inherit if not in a trait",
  "        method canUse { true }",
  "        method isObject { true }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitObject(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != superclass) then {",
  "                    superclass.accept(visitor) from(newChain)",
  "                }",
  "                usedTraits.do { t -> t.accept(visitor) from(newChain) }",
  "                value.do { x -> x.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method nameString {",
  "            if (name == \"object\") then {",
  "                \"object_on_line_{line}\"",
  "            } else {",
  "                name",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := listMap(value, blk) ancestors(newChain)",
  "            n.superclass := maybeMap(superclass, blk) ancestors(newChain)",
  "            n.usedTraits := listMap(usedTraits, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth') {",
  "            var depth := depth'",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth)",
  "            s := \"{s}\\n{spc}Name: {self.name}\"",
  "            if (false != self.superclass) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Superclass: \" ++",
  "                        self.superclass.pretty(depth + 1)",
  "            }",
  "            if (usedTraits.isEmpty.not) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Traits:\"",
  "                usedTraits.do { t ->",
  "                    s := \"{s}\\n{spc}  {t.pretty(depth + 1)}\"",
  "                }",
  "            }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\"++ spc ++ x.pretty(depth + 1)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"object \\{\"",
  "            if (inTrait) then { s := s ++ \"   // trait\" }",
  "            if (inClass) then { s := s ++ \"   // class\" }",
  "            if (false != superclass) then {",
  "                s := s ++ \"\\n\" ++ superclass.toGrace(depth + 1)",
  "            }",
  "            usedTraits.do { t -> s := s ++ \"\\n\" ++ t.toGrace(depth + 1) }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            objectNode.new(emptySeq, false).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            name := other.name",
  "            value := other.value",
  "            superclass := other.superclass",
  "            usedTraits := other.usedTraits",
  "            inClass := other.inClass",
  "            inTrait := other.inTrait",
  "            annotations := other.annotations",
  "            self",
  "        }",
  "        method asString {",
  "            \"object {nameString}\"",
  "        }",
  "    }",
  "}",
  "def arrayNode is public = object {",
  "  class new(values) {",
  "    inherit baseNode",
  "    def kind is public = \"array\"",
  "    var value is public := values",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitArray(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.value) do { ax ->",
  "                ax.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := listMap(value, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { ai ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth)",
  "        for (self.value) do { ax ->",
  "            s := s ++ \"\\n\"++ spc ++ ax.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"[\"",
  "        for (self.value.indices) do { i ->",
  "            s := s ++ self.value.at(i).toGrace(0)",
  "            if (i < self.value.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \"]\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        arrayNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def memberNode = object {",
  "    method new(request, receiver) scope(s) {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        def result = new(request, receiver)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(request, receiver') {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        inherit baseNode",
  "        def kind is public = \"member\"",
  "        var value is public := request  // NB: value is a String, not an Identifier",
  "        var receiver is public := receiver'",
  "        var generics is public := false",
  "        var isSelfRequest is public := false",
  "",
  "        method onSelf {",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "        method nameString { value }",
  "        method canonicalName { value }",
  "        method isMember { true }",
  "        method isCall { true }",
  "",
  "        method with { emptySeq }",
  "        method arguments { emptySeq }",
  "        method argumentsDo { }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMember(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != generics) then {",
  "                    generics.do { each -> each.accept(visitor) from(newChain) }",
  "                }",
  "                receiver.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method isSelfOrOuter {",
  "            if (value ≠ \"outer\") then { return false }",
  "            receiver.isSelfOrOuter",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self \" } else { \" \" }",
  "            s := s ++ \"‹\" ++ self.value ++ \"›\\n\"",
  "            s := s ++ spc ++ receiver.pretty(depth)",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"    \" ++ g.pretty(0)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (self.value.substringFrom(1)to(6) == \"prefix\") then {",
  "                s := self.value.substringFrom(7)to(value.size)",
  "                s := s ++ \" \" ++ self.receiver.toGrace(0)",
  "            } else {",
  "                s := self.receiver.toGrace(depth) ++ \".\" ++ self.value",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            s",
  "        }",
  "        method asString { \"{receiver}.{value}\" }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "            if (fakeSymbolTable == scope) then {",
  "                ProgrammingError.raise \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "            }",
  "            def resultNode = identifierNode.new (value, false) scope (scope)",
  "            resultNode.inRequest := true",
  "            resultNode.line := line",
  "            resultNode.linePos := linePos",
  "            return resultNode",
  "        }",
  "        method shallowCopy {",
  "            memberNode.new(nameString, receiver).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method postCopy(other) {",
  "            generics := other.generics",
  "            isSelfRequest := other.isSelfRequest",
  "            self",
  "        }",
  "    }",
  "}",
  "def genericNode is public = object {",
  "  class new(base, arguments) {",
  "    // represents an application of a parameterized type to some arguments.",
  "    inherit baseNode",
  "    def kind is public = \"generic\"",
  "    var value is public := base",
  "        // in a generic application, `value` is the applied type",
  "        // e.g. in List⟦Number⟧, value is Identifier‹List›",
  "    var args is public := arguments",
  "    method nameString { value.nameString }",
  "    method asString { toGrace 0 }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitGeneric(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.args) do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.args := listMap(args, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var s := \"{basePretty(depth)}({value.pretty(depth)})<\"",
  "        args.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := nameString ++ \"<\"",
  "        args.do { each -> s := s ++ each.toGrace(0) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method shallowCopy {",
  "        genericNode.new(value, args).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def typeParametersNode is public = object {",
  "  class new(params') {",
  "    inherit baseNode",
  "    def kind is public = \"typeparams\"",
  "    var params is public := params'",
  "    method asString { toGrace 0 }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeParameters(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            params.do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method do(blk) {",
  "        params.do(blk)",
  "    }",
  "    method size { params.size }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := spc ++ basePretty(depth) ++ \"<\"",
  "        params.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method toGrace(depth:Number) -> String {",
  "        var s := \"<\"",
  "        params.do { each -> s := \"{s}{each.toGrace(depth)}\" }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method shallowCopy {",
  "        typeParametersNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def identifierNode = object {",
  "",
  "    method new(name, dtype) scope(s) {",
  "        def result = new(name, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(name, dtype') {",
  "        inherit baseNode",
  "        def kind is public = \"identifier\"",
  "        var value is public := name",
  "        var wildcard is public := false",
  "        var dtype is public := dtype'",
  "        var isBindingOccurrence is public := false",
  "        var isAssigned is public := false",
  "        var inRequest is public := false",
  "        var generics is public := false",
  "        var isDeclaredByParent is public := false",
  "",
  "        method nameString { value }",
  "        var canonicalName is public := value",
  "        method quoted { value.quoted }",
  "        method isIdentifier { true }",
  "",
  "        method isSelf { \"self\" == value }",
  "        method isSuper { \"super\" == value }",
  "        method isPrelude { \"prelude\" == value }",
  "        method isOuter { \"outer\" == value }",
  "        method isSelfOrOuter {",
  "            if (isSelf) then { return true }",
  "            if (isOuter) then { return true }",
  "            return false",
  "        }",
  "        method isAppliedOccurenceOfIdentifier {",
  "            if (wildcard) then {",
  "                false",
  "            } else {",
  "                isBindingOccurrence.not",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            as.parent.declarationKindWithAncestors(as)",
  "        }",
  "        method inTypePositionWithAncestors(as) {",
  "            // am I used by my parent node as a type?",
  "            // This is a hack, used as a subsitute for having information in the .gct",
  "            // telling us which identifiers represent types",
  "            if (as.isEmpty) then { return false }",
  "            as.parent.usesAsType(self)",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitIdentifier(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth)",
  "            if ( wildcard ) then {",
  "                s := s ++ \" Wildcard\"",
  "            } elseif { isBindingOccurrence } then {",
  "                s := s ++ \"Binding‹{value}›\"",
  "            } else {",
  "                s := s ++ \"‹{value}›\"",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Type: \"",
  "                s := s ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"  \" ++ g.pretty(depth + 2)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s",
  "            if(self.wildcard) then {",
  "                s := \"_\"",
  "            } else {",
  "                s := self.value",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(depth + 1)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            s",
  "        }",
  "",
  "        method asString {",
  "            if (isBindingOccurrence) then {",
  "                \"identifierBinding‹{value}›\"",
  "            } else {",
  "                \"identifier‹{value}›\"",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            identifierNode.new(value, false).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            wildcard := other.wildcard",
  "            isBindingOccurrence := other.isBindingOccurrence",
  "            isDeclaredByParent := other.isDeclaredByParent",
  "            isAssigned := other.isAssigned",
  "            inRequest := other.inRequest",
  "            self",
  "        }",
  "        method statementName { \"expression\" }",
  "    }",
  "}",
  "",
  "def typeType is public = identifierNode.new(\"Type\", false)",
  "def unknownType is public = identifierNode.new(\"Unknown\", typeType)",
  "",
  "def stringNode = object {",
  "    method new(v) scope(s) {",
  "        def result = new(v)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(v) {",
  "        inherit baseNode",
  "        def kind is public = \"string\"",
  "        var value is public := v",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitString(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{basePretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def q = \"\\\"\"",
  "            q ++ value.quoted ++ q",
  "        }",
  "        method asString { \"string {toGrace 0}\" }",
  "        method shallowCopy {",
  "            stringNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "    }",
  "}",
  "def numNode is public = object {",
  "    class new(val) {",
  "        inherit baseNode",
  "        def kind is public = \"num\"",
  "        var value is public := val",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitNum(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{basePretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            self.value.asString",
  "        }",
  "        method asString { \"num {value}\" }",
  "        method shallowCopy {",
  "            numNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "    }",
  "}",
  "def opNode is public = object {",
  "  class new(op, l, r) {",
  "    inherit baseNode",
  "    def kind is public = \"op\"",
  "    def value is public = op     // a String",
  "    var left is public := l",
  "    var right is public := r",
  "    method isSimple { false }    // needs parens when used as reciever",
  "    method nameString { value ++ \"(1)\" }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitOp(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.left.accept(visitor) from(newChain)",
  "            self.right.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.left := left.map(blk) ancestors(newChain)",
  "        n.right := right.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{basePretty(depth)}‹\" ++ self.nameString ++ \"›\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.left.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.right.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if ((self.left.kind == \"op\") && {self.left.value != self.value}) then {",
  "            s := \"(\" ++ self.left.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := self.left.toGrace(0)",
  "        }",
  "        if (self.value == \"..\") then {",
  "            s := s ++ self.value",
  "        } else {",
  "            s := s ++ \" \" ++ self.value ++ \" \"",
  "        }",
  "        if ((self.right.kind == \"op\") && {self.right.value != self.value}) then {",
  "            s := s ++ \"(\" ++ self.right.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := s ++ self.right.toGrace(0)",
  "        }",
  "        s",
  "    }",
  "    method asIdentifier {",
  "        // make an identifiderNode with the same properties as me",
  "        def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "        resultNode.inRequest := true",
  "        resultNode.line := line",
  "        resultNode.linePos := linePos",
  "        return resultNode",
  "    }",
  "    method shallowCopy {",
  "        opNode.new(value, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def bindNode is public = object {",
  "  class new(dest', val') {",
  "    // an assignment, or a request of a setter-method",
  "    inherit baseNode",
  "    def kind is public = \"bind\"",
  "    var dest is public := dest'",
  "    var value is public := val'",
  "",
  "    method nameString { value ++ \":=(1)\" }",
  "    method canonicalName { value ++ \":=(_)\" }",
  "    method isBind { true }",
  "    method asString { \"bind {value}\" }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBind(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.dest.accept(visitor) from(newChain)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.dest := dest.map(blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.dest.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.dest.toGrace(depth + 1)",
  "        s := s ++ \" := \" ++ self.value.toGrace(depth + 1)",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        bindNode.new(dest, value).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"assignment or assigment request\" }",
  "  }",
  "}",
  "def defDecNode = object {",
  "    method new(name', val, dtype') scope(s) {",
  "        def result = new(name', val, dtype')",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(name', val, dtype') {",
  "        inherit baseNode",
  "        def kind is public = \"defdec\"",
  "        var name is public := name'",
  "        var value is public := val",
  "        var dtype is public := dtype'",
  "        def nameString is public = name.nameString",
  "        var annotations is public := [ ]",
  "        var startToken is public := false",
  "",
  "        method isPublic {",
  "            // defs are confidential by default",
  "            if (annotations.size == 0) then { return false }",
  "            if (findAnnotation(self, \"public\")) then { return true }",
  "            findAnnotation(self, \"readable\")",
  "        }",
  "        method isFieldDec { true }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "",
  "        method returnsObject {",
  "            value.returnsObject",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            value.returnedObjectScope",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method declarationKindWithAncestors(as) { k.defdec }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitDefDec(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.name.accept(visitor) from(newChain)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.name := name.map(blk) ancestors(newChain)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ self.name.pretty(depth)",
  "            if (false != dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Type: \" ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != value) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Value: \" ++ value.pretty(depth + 2)",
  "            }",
  "            if (annotations.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Annotations:\"",
  "                annotations.do { ann ->",
  "                    s := \"{s} {ann.pretty(depth + 2)}\"",
  "                }",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"def {self.name.toGrace(0)}\"",
  "            if ( (false != self.dtype) && {",
  "                    self.dtype.value != \"Unknown\" }) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            if (false != self.value) then {",
  "                s := s ++ \" = \" ++ self.value.toGrace(depth)",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            defDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            startToken := other.startToken",
  "            self",
  "        }",
  "        method statementName { \"definition\" }",
  "    }",
  "}",
  "def varDecNode is public = object {",
  "  class new(name', val', dtype') {",
  "    inherit baseNode",
  "    def kind is public = \"vardec\"",
  "    var name is public := name'",
  "    var value is public := val'",
  "    var dtype is public := dtype'",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "",
  "    method isPublic {",
  "        // vars are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"writable\")) then { return true }",
  "        false",
  "    }",
  "    method isReadable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"readable\")) then { return true }",
  "        false",
  "    }",
  "    method isFieldDec { true }",
  "",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "",
  "    method declarationKindWithAncestors(as) { k.vardec }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitVarDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.name.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.value) then {",
  "                self.value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.value := maybeMap(value, blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for ((0..depth)) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1)",
  "        if (false != self.dtype) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \"",
  "            s := s ++ self.value.pretty(depth + 2)",
  "        }",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"var {self.name.toGrace(0)}\"",
  "        if ( (false != self.dtype) && {",
  "                self.dtype.value != \"Unknown\" }) then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.fold{ a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                    startingWith \"\"",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \" := \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        varDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"variable declaration\" }",
  "",
  "  }",
  "}",
  "def importNode is public = object {",
  "  class new(path', name', dtype') {",
  "    inherit baseNode",
  "    def kind is public = \"import\"",
  "    var value is public := name'",
  "    var path is public := path'",
  "    var annotations is public := [ ]",
  "    var dtype is public := dtype'",
  "    method isImport { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method name { value }",
  "    method nameString { value.nameString }",
  "    method isPublic {",
  "        // imports, like defs, are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (path) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method declarationKindWithAncestors(as) { k.defdec }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitImport(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            self.value.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {path}\\n\"",
  "        s := s ++ \"{spc}Identifier: {value}\\n\"",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"{spc}Anotations: {annotations}\\n\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"import \\\"{self.path}\\\" as {nameString}\"",
  "    }",
  "    method shallowCopy {",
  "        importNode.new(path, nullNode, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def dialectNode is public = object {",
  "  class new(path') {",
  "    inherit baseNode",
  "    def kind is public = \"dialect\"",
  "    var value is public := path'",
  "",
  "    method isDialect { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (value) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method path {",
  "        value",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        visitor.visitDialect(self) up(as)",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.value}\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"dialect \\\"{self.value}\\\"\"",
  "    }",
  "    method shallowCopy {",
  "        dialectNode.new(value).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def returnNode is public = object {",
  "  class new(expr) {",
  "    inherit baseNode",
  "    def kind is public = \"return\"",
  "    var value is public := expr",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitReturn(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := basePretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"return \" ++ self.value.toGrace(depth)",
  "    }",
  "    method shallowCopy {",
  "        returnNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def inheritNode = object {",
  "    method new(expr) scope(s) {",
  "        def result = new(expr)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(expr) {",
  "        inherit baseNode",
  "        def kind is public = \"inherit\"",
  "        var value is public := expr",
  "        var providedNames is public := emptySet",
  "        var aliases is public := [ ]",
  "        var exclusions is public := [ ]",
  "        var isUse is public := false  // this is a `use trait` clause, not an inherit",
  "",
  "        method isLegalInTrait { isUse }",
  "        method isInherits { true }",
  "        method inheritFromMember { value.isMember }",
  "        method inheritFromCall { value.isCall }",
  "        method isExecutable { false }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitInherits(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                value.accept(visitor) from(newChain)",
  "                aliases.do { a ->",
  "                    a.newName.accept(visitor) from(newChain)",
  "                    a.oldName.accept(visitor) from(newChain)",
  "                }",
  "                exclusions.do { e -> e.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            // identifiers declared in an inherit statement are aliases for",
  "            // methods.  We treat them as methods, because (unlike inherited names)",
  "            // they can't be overridden by local methods.",
  "            k.methdec",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := basePretty(depth)",
  "            if (isUse) then { s := \"{s} (use)\" }",
  "            s := s ++ \"\\n\" ++ spc ++ self.value.pretty(depth + 1)",
  "            aliases.do { a ->",
  "                s := \"{s}\\n{a.pretty(depth)}\"",
  "            }",
  "            if (exclusions.isEmpty.not) then { s := \"{s}\\n{spc}\" }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e} \"",
  "            }",
  "            if (providedNames.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Provided names: {providedNames.asList.sort}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            repeat (depth) times {",
  "                s := s ++ \"    \"",
  "            }",
  "            s := s ++ if (isUse) then { \"use \" } else { \"inherit \" }",
  "            s := s ++ self.value.toGrace(0)",
  "            aliases.do { a ->",
  "                s := \"{s} {a} \"",
  "            }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e.nameString} \"",
  "            }",
  "            s",
  "        }",
  "        method asString {",
  "            if (isUse) then { \"use \" } else { \"inherit \" } ++ value.toGrace 0",
  "        }",
  "        method nameString { value.toGrace(0) }",
  "        method addAlias (newName) for (oldName) {",
  "            aliases.push(aliasNew(newName) old(oldName))",
  "        }",
  "        method addExclusion(ident) {",
  "            exclusions.push(ident)",
  "        }",
  "        method shallowCopy {",
  "            inheritNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            providedNames := other.providedNames",
  "            aliases := other.aliases",
  "            exclusions := other.exclusions",
  "            isUse := other.isUse",
  "            self",
  "        }",
  "        method statementName {",
  "            if (isUse) then { \"use\" } else { \"inherit\" }",
  "        }",
  "    }",
  "}",
  "type AliasPair = {",
  "    newName",
  "    oldName",
  "}",
  "",
  "class aliasNew(n) old(o) {",
  "    method newName {n}",
  "    method oldName {o}",
  "    method asString { \"alias {n.nameString} = {o.nameString}\" }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        \"{spc}  alias {n.pretty(depth)} = {o.pretty(depth)}\"",
  "    }",
  "    method hash { (n.hash * 1171) + o.hash }",
  "    method isExecutable { false }",
  "    method == (other) {",
  "        match (other)",
  "            case { that:AliasPair -> (n == that.newName) && (o == that.oldName) }",
  "            case { _ -> false }",
  "    }",
  "}",
  "def blankNode is public = object {",
  "    class new {",
  "        inherit baseNode",
  "        def kind is public = \"blank\"",
  "        def value is public = \"blank\"",
  "        method isExecutable { false }",
  "",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitBlank(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method nameString { \"\" }",
  "        method asString { \"blank\" }",
  "        method toGrace(depth : Number) -> String { \"\" }",
  "        method shallowCopy {",
  "            blankNode.new.shallowCopyFieldsFrom(self)",
  "        }",
  "    }",
  "}",
  "def signaturePart = object {",
  "    method new {",
  "        partName \"\" params []",
  "    }",
  "    method partName(n) scope(s) {",
  "        def result = partName(n) params []",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) params(ps) scope(s) {",
  "        def result = partName(n) params(ps)",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) {",
  "        partName(n) params []",
  "    }",
  "    class partName(n) params(ps) {",
  "        inherit baseNode",
  "        def kind is public = \"signaturepart\"",
  "        var name is public := n",
  "        var params is public := ps",
  "        var typeParams is public := false",
  "        var lineLength is public := 0",
  "",
  "        method nameString {",
  "            if (params.isEmpty) then {return name}",
  "            name ++ \"(\" ++ params.size ++ \")\"",
  "        }",
  "        method numParams { params.size }",
  "        method canonicalName {",
  "            if (params.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            params.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitSignaturePart(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                params.do { p -> p.accept(visitor) from(newChain) }",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method map(blk) ancestors(as) {",
  "            var nd := shallowCopy",
  "            def newChain = as.extend(nd)",
  "            nd.params := listMap(params, blk) ancestors(newChain)",
  "            nd.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            blk.apply(nd, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := \"{basePretty(depth)}: {name}\"",
  "            if (params.isEmpty.not) then { s := \"{s}\\n{spc}Parameters:\" }",
  "            for (params) do { p ->",
  "                s := \"{s}\\n  {spc}{p.pretty(depth + 2)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (params.isEmpty.not) then {",
  "                s := s ++ \"(\"",
  "                params.do { each -> s := each.toGrace(depth + 1) }",
  "                    separatedBy { s := s ++ \", \" }",
  "                s := s ++ \")\"",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            signaturePart.partName(name) params(params)",
  "                .shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            typeParams := other.typeParams",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method asString {",
  "            \"part: {nameString}\"",
  "        }",
  "    }",
  "}",
  "",
  "def requestPart = object {",
  "    method new {",
  "        request \"\" withArgs( [] )",
  "    }",
  "    method request(name) withArgs(argList) scope (s) {",
  "        def result = request(name) withArgs(argList)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class request(rPart) withArgs(xs) {",
  "        inherit baseNode",
  "        def kind is public = \"callwithpart\"",
  "        var name is public := rPart",
  "        var args is public := xs",
  "        var typeArgs := emptySeq",
  "        var lineLength is public := 0",
  "",
  "        method nameString {",
  "            if (args.size == 0) then {return name}",
  "            name ++ \"(\" ++ args.size ++ \")\"",
  "        }",
  "",
  "        method canonicalName {",
  "            if (args.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            args.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.args := listMap(args, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            repeat (depth+1) times {",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := \"{basePretty(depth)}: {name}\"",
  "            s := \"{s}\\n    {spc}Args:\"",
  "            for (args) do { a ->",
  "                s := \"{s}\\n    {spc}{a.pretty(depth + 4)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (typeArgs.size > 0) then {",
  "                s := s ++ \"⟦\"",
  "                typeArgs.do { tArg ->",
  "                    s := s ++ tArg.toGrace(depth + 1)",
  "                } separatedBy { s := s ++ \", \" }",
  "                s := s ++ \"⟧\"",
  "            }",
  "            if (args.size > 0) then {",
  "                def needsParens = (args.size > 1) || (args.first.isDelimited.not)",
  "                s := s ++ if (needsParens) then { \"(\" } else { \" \" }",
  "                args.do { arg ->",
  "                    s := s ++ arg.toGrace(depth)",
  "                } separatedBy {",
  "                    s := s ++ \", \"",
  "                }",
  "                if (needsParens) then { s := s ++ \")\" }",
  "            }",
  "            s",
  "        }",
  "",
  "        method shallowCopy {",
  "            requestPart.request(name) withArgs(args).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "",
  "def commentNode = object {",
  "    class new(val') {",
  "        inherit baseNode",
  "        def kind is public = \"comment\"",
  "        var value is public := val'",
  "        var isPartialLine:Boolean is public := false",
  "        var isPreceededByBlankLine is public := false",
  "        var endLine is public := util.linenum",
  "        method isComment { true }",
  "        method isLegalInTrait { true }",
  "        method isExecutable { false }",
  "        method asString { \"comment ({line}–{endLine}): {value}\" }",
  "        method extendCommentUsing(cmtNode) {",
  "            value := value ++ \" \" ++ cmtNode.value",
  "            endLine := cmtNode.endLine",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitComment(self) up(as)",
  "        }",
  "        method pretty(depth) {",
  "            var s := \"\\n\"",
  "            repeat (depth-1) times {",
  "                s := s ++ \"  \"",
  "            }",
  "            def pb = if (isPreceededByBlankLine) then { \" > blank\" } else { \"\" }",
  "            \"{s}Comment{pb}({line}–{endLine}): ‹{value}›\"",
  "        }",
  "        method toGrace(depth) {",
  "            // Partial line comments don't start with a newline, whereas",
  "            // full-line comments do.  No newline at end in either case.",
  "            if (isPartialLine) then {",
  "                \"// (partial) {value}\"",
  "            } else {",
  "                var spc := \"\"",
  "                repeat (depth) times { spc := spc ++ \"    \" }",
  "                wrap(value) to (lineLength) prefix (spc ++ \"// \")",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            commentNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method postCopy(other) {",
  "            value := other.value",
  "            isPartialLine := other.isPartialLine",
  "            endLine := other.endLine",
  "            self",
  "        }",
  "    }",
  "}",
  "",
  "method wrap(str) to (l:Number) prefix (margin) {",
  "    def ind = margin.size",
  "    def len = max(ind + 4, l)",
  "    if ((ind + str.size) <= len) then {",
  "        return \"\\n\" ++ margin ++ str",
  "    }",
  "    var currBreak",
  "    var trimmedLine",
  "",
  "    try {",
  "        currBreak := str.lastIndexOf \" \" startingAt (len - ind)",
  "            ifAbsent {len - ind}",
  "        trimmedLine := str.substringFrom (1) to (currBreak).trim",
  "    } catch { ex:NoSuchMethod ->  // C string libraries lack methods",
  "        currBreak := min(len - ind, str.size)",
  "        (1..currBreak).do { ix ->",
  "            if (str.at(ix) == \" \") then { currBreak := ix }",
  "        }",
  "        var end := currBreak",
  "        while {(end >= 1) && {str.at(end) == \" \"}} do {",
  "            end := end - 1",
  "        }",
  "        var start := 1",
  "        while {(start <= str.size) && {str.at(start) == \" \"}} do {",
  "            start := start + 1",
  "        }",
  "        trimmedLine := str.substringFrom (start) to (end)",
  "    }",
  "    \"\\n\" ++ margin ++ trimmedLine ++",
  "        wrap(str.substringFrom (currBreak+1) to (str.size))",
  "            to (l) prefix (margin)",
  "}",
  "",
  "",
  "type ASTVisitor = {",
  "    visitIf(o) up(as) -> Boolean",
  "    visitBlock(o) up(as) -> Boolean",
  "    visitMatchCase(o) up(as) -> Boolean",
  "    visitTryCatch(o) up(as) -> Boolean",
  "    visitMethodType(o) up(as) -> Boolean",
  "    visitSignaturePart(o) up(as) -> Boolean",
  "    visitTypeLiteral(o) up(as) -> Boolean",
  "    visitTypeParameters(o) up(as) -> Boolean",
  "    visitTypeDec(o) up(as) -> Boolean",
  "    visitMethod(o) up(as) -> Boolean",
  "    visitCall(o) up(as) -> Boolean",
  "    visitObject(o) up(as) -> Boolean",
  "    visitModule(o) up(as) -> Boolean",
  "    visitArray(o) up(as) -> Boolean",
  "    visitMember(o) up(as) -> Boolean",
  "    visitGeneric(o) up(as) -> Boolean",
  "    visitIdentifier(o) up(as) -> Boolean",
  "    visitString(o) up(as) -> Boolean",
  "    visitNum(o) up(as) -> Boolean",
  "    visitOp(o) up(as) -> Boolean",
  "    visitBind(o) up(as) -> Boolean",
  "    visitDefDec(o) up(as) -> Boolean",
  "    visitVarDec(o) up(as) -> Boolean",
  "    visitImport(o) up(as) -> Boolean",
  "    visitReturn(o) up(as) -> Boolean",
  "    visitInherits(o) up(as) -> Boolean",
  "    visitDialect(o) up(as) -> Boolean",
  "    visitBlank(o) up(as) -> Boolean",
  "    visitComment(o) up(as) -> Boolean",
  "    visitImplicit(o) up(as) -> Boolean",
  "}",
  "",
  "class baseVisitor -> ASTVisitor {",
  "    method visitIf(o) up(as) { visitIf(o) }",
  "    method visitBlock(o) up(as) { visitBlock(o) }",
  "    method visitMatchCase(o) up(as) { visitMatchCase(o) }",
  "    method visitTryCatch(o) up(as) { visitTryCatch(o) }",
  "    method visitMethodType(o) up(as) { visitMethodType(o) }",
  "    method visitSignaturePart(o) up(as) { visitSignaturePart(o) }",
  "    method visitTypeDec(o) up(as) { visitTypeDec(o) }",
  "    method visitTypeLiteral(o) up(as) { visitTypeLiteral(o) }",
  "    method visitTypeParameters(o) up(as) { visitTypeParameters(o) }",
  "    method visitMethod(o) up(as) { visitMethod(o) }",
  "    method visitCall(o) up(as) { visitCall(o) }",
  "    method visitObject(o) up(as) { visitObject(o) }",
  "    method visitModule(o) up(as) { visitObject(o) }",
  "    method visitArray(o) up(as) { visitArray(o) }",
  "    method visitMember(o) up(as) { visitMember(o) }",
  "    method visitGeneric(o) up(as) { visitGeneric(o) }",
  "    method visitIdentifier(o) up(as) { visitIdentifier(o) }",
  "    method visitString(o) up(as) { visitString(o) }",
  "    method visitNum(o) up(as) { visitNum(o) }",
  "    method visitOp(o) up(as) { visitOp(o) }",
  "    method visitBind(o) up(as) { visitBind(o) }",
  "    method visitDefDec(o) up(as) { visitDefDec(o) }",
  "    method visitVarDec(o) up(as) { visitVarDec(o) }",
  "    method visitImport(o) up(as) { visitImport(o) }",
  "    method visitReturn(o) up(as) { visitReturn(o) }",
  "    method visitInherits(o) up(as) { visitInherits(o) }",
  "    method visitDialect(o) up(as) { visitDialect(o) }",
  "    method visitBlank(o) up(as) { visitBlank(o) }",
  "    method visitComment(o) up(as) { visitComment(o) }",
  "    method visitImplicit(o) up(as) { visitImplicit(o) }",
  "",
  "    method visitIf(o) -> Boolean { true }",
  "    method visitBlock(o) -> Boolean { true }",
  "    method visitMatchCase(o) -> Boolean { true }",
  "    method visitTryCatch(o) -> Boolean { true }",
  "    method visitMethodType(o) -> Boolean { true }",
  "    method visitSignaturePart(o) -> Boolean { true }",
  "    method visitTypeDec(o) -> Boolean { true }",
  "    method visitTypeLiteral(o) -> Boolean { true }",
  "    method visitTypeParameters(o) -> Boolean { true }",
  "    method visitMethod(o) -> Boolean { true }",
  "    method visitCall(o) -> Boolean { true }",
  "    method visitObject(o) -> Boolean { true }",
  "    method visitModule(o) -> Boolean { true }",
  "    method visitArray(o) -> Boolean { true }",
  "    method visitMember(o) -> Boolean { true }",
  "    method visitGeneric(o) -> Boolean { true }",
  "    method visitIdentifier(o) -> Boolean { true }",
  "    method visitString(o) -> Boolean { true }",
  "    method visitNum(o) -> Boolean { true }",
  "    method visitOp(o) -> Boolean { true }",
  "    method visitBind(o) -> Boolean { true }",
  "    method visitDefDec(o) -> Boolean { true }",
  "    method visitVarDec(o) -> Boolean { true }",
  "    method visitImport(o) -> Boolean { true }",
  "    method visitReturn(o) -> Boolean { true }",
  "    method visitInherits(o) -> Boolean { true }",
  "    method visitDialect(o) -> Boolean { true }",
  "    method visitBlank(o) -> Boolean { true }",
  "    method visitComment(o) -> Boolean { true }",
  "    method visitImplicit(o) -> Boolean { true }",
  "",
  "    method asString { \"an AST visitor\" }",
  "}",
  "",
  "class pluggableVisitor(visitation:Block2) -> ASTVisitor {",
  "    // Manufactures a default visitor, given a 2-parameter block.",
  "    // Typically, some of the methods will be overridden.",
  "    // The block will be applied with the AST node as the first argument",
  "    // and the ancestor chain as the second, and should answer true if",
  "    // the visitation is to continue and false if it is to go no deeper.",
  "",
  "    method visitIf(o) up(as) { visitation.apply (o, as) }",
  "    method visitBlock(o) up(as) { visitation.apply (o, as) }",
  "    method visitMatchCase(o) up(as) { visitation.apply (o, as) }",
  "    method visitTryCatch(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethodType(o) up(as) { visitation.apply (o, as) }",
  "    method visitSignaturePart(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeLiteral(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethod(o) up(as) { visitation.apply (o, as) }",
  "    method visitCall(o) up(as) { visitation.apply (o, as) }",
  "    method visitObject(o) up(as) { visitation.apply (o, as) }",
  "    method visitModule(o) up(as) { visitation.apply (o, as) }",
  "    method visitArray(o) up(as) { visitation.apply (o, as) }",
  "    method visitMember(o) up(as) { visitation.apply (o, as) }",
  "    method visitGeneric(o) up(as) { visitation.apply (o, as) }",
  "    method visitIdentifier(o) up(as) { visitation.apply (o, as) }",
  "    method visitString(o) up(as) { visitation.apply (o, as) }",
  "    method visitNum(o) up(as) { visitation.apply (o, as) }",
  "    method visitOp(o) up(as) { visitation.apply (o, as) }",
  "    method visitBind(o) up(as) { visitation.apply (o, as) }",
  "    method visitDefDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitVarDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitImport(o) up(as) { visitation.apply (o, as) }",
  "    method visitReturn(o) up(as) { visitation.apply (o, as) }",
  "    method visitInherits(o) up(as) { visitation.apply (o, as) }",
  "    method visitDialect(o) up(as) { visitation.apply (o, as) }",
  "    method visitBlank(o) up(as) { visitation.apply (o, as) }",
  "    method visitComment(o) up(as) { visitation.apply (o, as) }",
  "    method visitImplicit(o) up(as) { visitation.apply (o, as) }",
  "",
  "    method asString { \"a pluggable AST visitor\" }",
  "}",
  "",
  "",
  "def patternMarkVisitor = object {",
  "    inherit baseVisitor",
  "    method visitCall(c) up(as) {",
  "        c.isPattern := true",
  "        true",
  "    }",
  "}",
  "",
  "method findAnnotation(node, annName) {",
  "    for (node.annotations) do {ann->",
  "        if ((ann.kind == \"identifier\") && {",
  "            ann.value == annName }) then {",
  "            return object {",
  "                inherit true",
  "                def value is public = ann",
  "            }",
  "        }",
  "    }",
  "    false",
  "}",
  NULL
};
Object reader_ast_outer_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_register_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_register_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_line_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_line_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_linePos_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_linePos_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_symbolTable_34(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_symbolTable_34(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_comments_35(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_comments_35(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_441(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_880(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_996(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_value_997(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1011(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1014(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1089(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1090(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_nameString_1091(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_1121(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1137(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_node_1138(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_node_1138(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_outer_1205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1208(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1209(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1210(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_1210(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_thenblock_1211(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_thenblock_1211(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elseblock_1212(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elseblock_1212(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_handledIdentifiers_1213(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_handledIdentifiers_1213(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_1562(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1565(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1566(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1567(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_1568(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_1568(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_body_1569(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_body_1569(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_selfclosure_1570(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_matchingPattern_1571(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_matchingPattern_1571(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_extraRuntimeData_1572(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_extraRuntimeData_1572(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_2022(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2026(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_finally_2029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_finally_2029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2337(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2338(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elsecase_2341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elsecase_2341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2642(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_2647(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_2647(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_rtype_2648(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_rtype_2648(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_2649(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_2649(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_2650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_cachedIdentifier_2650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_3025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_methods_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_methods_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_types_3031(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_types_3031(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nominal_3032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_nominal_3032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_anonymous_3033(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_anonymous_3033(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_value_3034(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_value_3034(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3336(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_3341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_3341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_3342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_3342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nameString_3343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_annotations_3344(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_annotations_3344(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_typeParams_3345(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_typeParams_3345(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3666(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3674(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3675(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_3676(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_3676(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_body_3677(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_body_3677(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_3678(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_3678(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_typeParams_3679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_typeParams_3679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_selfclosure_3680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_selfclosure_3680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_annotations_3681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_annotations_3681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_isFresh_3682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_isFresh_3682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_usesClassSyntax_3683(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_usesClassSyntax_3683(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_3684(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object writer_ast_cachedIdentifier_3684(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[10] = args[0];
  return done;
}
Object reader_ast_isBindingOccurence_3685(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_isBindingOccurence_3685(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_4789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_4797(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_4798(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_with_4799(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_with_4799(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_generics_4800(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_generics_4800(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPattern_4801(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPattern_4801(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_receiver_4802(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_receiver_4802(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_4803(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isSelfRequest_4803(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_5323(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5338(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_sourceLines_5340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_imports_5341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_imports_5341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_5439(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5453(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5454(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5455(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5455(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_superclass_5456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_superclass_5456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_usedTraits_5457(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_usedTraits_5457(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_name_5458(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_name_5458(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_inClass_5459(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_inClass_5459(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inTrait_5460(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inTrait_5460(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_myLocalNames_5461(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_myLocalNames_5461(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_annotations_5462(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_annotations_5462(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_6050(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6185(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6194(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_receiver_6196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_receiver_6196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_generics_6197(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_6197(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_6198(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isSelfRequest_6198(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_6577(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6580(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6581(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_6583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_6583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_6738(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6741(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6742(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_params_6743(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_params_6743(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6909(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_wildcard_6912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_wildcard_6912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_6913(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_6913(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isBindingOccurrence_6914(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isBindingOccurrence_6914(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isAssigned_6915(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isAssigned_6915(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inRequest_6916(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inRequest_6916(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_generics_6917(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_generics_6917(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_isDeclaredByParent_6918(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_isDeclaredByParent_6918(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_canonicalName_6922(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_canonicalName_6922(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_7341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7350(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7427(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7430(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7431(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7432(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7432(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7500(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7503(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7504(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7505(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_left_7506(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_left_7506(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_right_7507(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_right_7507(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_7784(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7787(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7788(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_dest_7789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_dest_7789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7790(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7790(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7973(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7981(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7982(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_7983(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_7983(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7984(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7984(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_7985(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_7985(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_7986(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_7987(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_7987(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_startToken_7988(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_startToken_7988(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_8437(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8440(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8441(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8442(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8442(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8443(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8443(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_8444(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_8444(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_8445(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_8446(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_8446(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_8895(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8898(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8899(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8900(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_8900(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_path_8901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_path_8901(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_annotations_8902(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_annotations_8902(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_dtype_8903(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_8903(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_9175(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9180(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9180(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9291(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9294(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9295(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9296(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9296(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9381(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9389(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9390(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_providedNames_9392(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_providedNames_9392(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_aliases_9393(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_aliases_9393(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_exclusions_9394(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_exclusions_9394(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isUse_9395(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isUse_9395(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_9775(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9778(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9779(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9780(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_9815(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9838(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9839(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_9840(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_9840(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_9841(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_9841(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_9842(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_9842(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_9843(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_9843(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10153(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10166(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10167(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_10168(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_10168(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_10169(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_10169(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeArgs_10170(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeArgs_10170(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_10171(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_10171(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10487(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10490(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10491(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_10492(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_10492(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_isPartialLine_10493(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_isPartialLine_10493(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPreceededByBlankLine_10494(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPreceededByBlankLine_10494(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_endLine_10495(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_endLine_10495(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10694(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static ClassData objclass29;
static Object strlit132;
static Object strlit139;
static Object strlit145;
static Object strlit151;
static Object strlit212;
static Object strlit221;
static Object strlit232;
static Object strlit248;
static Object strlit257;
static Object strlit264;
static Object strlit273;
static Object strlit278;
static Object strlit285;
static Object strlit292;
static Object strlit298;
static Object strlit315;
static Object strlit323;
static Object strlit330;
static Object strlit337;
static Object strlit343;
static Object strlit351;
static Object strlit360;
static Object strlit367;
static Object strlit374;
static Object strlit380;
static Object strlit432;
static ClassData objclass440;
static Object strlit446;
static Object strlit453;
static Object strlit459;
static Object strlit465;
static Object strlit474;
static Object strlit481;
static Object strlit488;
static Object strlit495;
static Object strlit499;
static Object strlit540;
static Object strlit574;
static Object strlit581;
static Object strlit615;
static Object strlit634;
static Object strlit664;
static Object strlit693;
static Object strlit718;
static ClassData objclass723;
static Object strlit876;
static ClassData objclass879;
static Object strlit969;
static Object strlit989;
static ClassData objclass995;
Object module_util;
Object module_util_init();
Object module_identifierKinds;
Object module_identifierKinds_init();
static Object strlit1005;
static ClassData objclass1010;
static ClassData objclass1013;
static Object strlit1018;
static ClassData objclass1031;
static Object strlit1043;
static Object strlit1055;
static Object strlit1070;
static ClassData objclass1088;
static Object strlit1095;
static Object strlit1097;
static Object strlit1106;
static Object strlit1117;
static Object strlit1118;
static ClassData objclass1120;
static Object strlit1124;
static Object strlit1126;
static Object strlit1134;
static ClassData objclass1136;
static Object strlit1140;
static Object strlit1144;
static Object strlit1149;
static Object strlit1154;
static Object strlit1160;
static Object strlit1173;
static Object strlit1177;
static Object strlit1186;
static Object strlit1192;
static Object strlit1199;
static ClassData objclass1204;
static ClassData objclass1207;
static Object strlit1260;
static Object strlit1269;
static Object strlit1276;
static Object strlit1297;
static Object strlit1303;
static Object strlit1310;
static Object strlit1322;
static Object strlit1333;
static Object strlit1345;
static Object strlit1355;
static Object strlit1380;
static Object strlit1389;
static Object strlit1394;
static Object strlit1419;
static Object strlit1428;
static Object strlit1433;
static Object strlit1440;
static Object strlit1449;
static Object strlit1468;
static Object strlit1473;
static Object strlit1488;
static Object strlit1493;
static Object strlit1515;
static Object strlit1520;
static Object strlit1530;
static Object strlit1535;
static Object strlit1557;
static ClassData objclass1561;
static ClassData objclass1564;
static Object strlit1718;
static Object strlit1727;
static Object strlit1734;
static Object strlit1740;
static Object strlit1763;
static Object strlit1772;
static Object strlit1777;
static Object strlit1800;
static Object strlit1816;
static Object strlit1821;
static Object strlit1841;
static Object strlit1848;
static Object strlit1853;
static Object strlit1859;
static Object strlit1870;
static Object strlit1893;
static Object strlit1901;
static Object strlit1923;
static Object strlit1928;
static Object strlit1950;
static Object strlit1959;
static Object strlit1971;
static Object strlit1978;
static Object strlit2005;
static Object strlit2006;
static ClassData objclass2021;
static ClassData objclass2024;
static Object strlit2096;
static Object strlit2105;
static Object strlit2112;
static Object strlit2118;
static Object strlit2143;
static Object strlit2154;
static Object strlit2159;
static Object strlit2163;
static Object strlit2184;
static Object strlit2197;
static Object strlit2202;
static Object strlit2206;
static Object strlit2217;
static Object strlit2230;
static Object strlit2237;
static Object strlit2249;
static Object strlit2266;
static Object strlit2269;
static Object strlit2274;
static Object strlit2302;
static Object strlit2305;
static Object strlit2310;
static Object strlit2330;
static ClassData objclass2333;
static ClassData objclass2336;
static Object strlit2411;
static Object strlit2420;
static Object strlit2427;
static Object strlit2454;
static Object strlit2465;
static Object strlit2470;
static Object strlit2474;
static Object strlit2495;
static Object strlit2508;
static Object strlit2513;
static Object strlit2517;
static Object strlit2528;
static Object strlit2541;
static Object strlit2548;
static Object strlit2557;
static Object strlit2574;
static Object strlit2577;
static Object strlit2582;
static Object strlit2610;
static Object strlit2613;
static Object strlit2618;
static Object strlit2638;
static ClassData objclass2641;
static ClassData objclass2644;
static Object strlit2661;
static Object strlit2808;
static Object strlit2817;
static Object strlit2824;
static Object strlit2830;
static Object strlit2837;
static Object strlit2842;
static Object strlit2846;
static Object strlit2862;
static Object strlit2875;
static Object strlit2880;
static Object strlit2885;
static Object strlit2889;
static Object strlit2907;
static Object strlit2912;
static Object strlit2916;
static Object strlit2935;
static Object strlit2940;
static Object strlit2944;
static Object strlit2956;
static Object strlit2967;
static Object strlit2972;
static Object strlit2976;
static Object strlit2987;
static Object strlit3020;
static ClassData objclass3024;
static ClassData objclass3027;
static Object strlit3046;
static Object strlit3053;
static Object strlit3059;
static Object strlit3121;
static Object strlit3130;
static Object strlit3137;
static Object strlit3143;
static Object strlit3147;
static Object strlit3170;
static Object strlit3179;
static Object strlit3184;
static Object strlit3206;
static Object strlit3215;
static Object strlit3220;
static Object strlit3233;
static Object strlit3239;
static Object strlit3241;
static Object strlit3259;
static Object strlit3264;
static Object strlit3287;
static Object strlit3292;
static Object strlit3302;
static Object strlit3329;
static Object strlit3332;
static ClassData objclass3335;
static ClassData objclass3338;
static Object strlit3372;
static Object strlit3462;
static Object strlit3471;
static Object strlit3478;
static Object strlit3484;
static Object strlit3510;
static Object strlit3523;
static Object strlit3528;
static Object strlit3532;
static Object strlit3541;
static Object strlit3561;
static Object strlit3585;
static Object strlit3598;
static Object strlit3604;
static Object strlit3606;
static Object strlit3612;
static Object strlit3639;
static Object strlit3656;
static ClassData objclass3665;
static ClassData objclass3673;
static Object strlit3743;
static Object strlit3808;
static Object strlit3892;
static Object strlit3938;
static Object strlit4110;
static Object strlit4119;
static Object strlit4126;
static Object strlit4132;
static Object strlit4145;
static Object strlit4162;
static Object strlit4167;
static Object strlit4177;
static Object strlit4198;
static Object strlit4209;
static Object strlit4217;
static Object strlit4222;
static Object strlit4226;
static Object strlit4238;
static Object strlit4245;
static Object strlit4250;
static Object strlit4254;
static Object strlit4263;
static Object strlit4268;
static Object strlit4272;
static Object strlit4284;
static Object strlit4295;
static Object strlit4300;
static Object strlit4304;
static Object strlit4317;
static Object strlit4329;
static Object strlit4334;
static Object strlit4338;
static Object strlit4348;
static Object strlit4356;
static Object strlit4361;
static Object strlit4365;
static Object strlit4378;
static Object strlit4392;
static Object strlit4397;
static Object strlit4401;
static Object strlit4413;
static Object strlit4424;
static Object strlit4429;
static Object strlit4433;
static Object strlit4444;
static Object strlit4449;
static Object strlit4472;
static Object strlit4500;
static Object strlit4513;
static Object strlit4519;
static Object strlit4569;
static Object strlit4603;
static Object strlit4610;
static Object strlit4625;
static Object strlit4634;
static Object strlit4650;
static Object strlit4665;
static Object strlit4669;
static Object strlit4672;
static Object strlit4675;
static Object strlit4683;
static Object strlit4720;
static Object strlit4725;
static Object strlit4735;
static Object strlit4740;
static Object strlit4779;
static ClassData objclass4788;
static ClassData objclass4796;
static Object strlit4818;
static Object strlit4832;
static Object strlit4842;
static Object strlit4864;
static Object strlit4998;
static Object strlit5007;
static Object strlit5019;
static Object strlit5020;
static Object strlit5026;
static Object strlit5038;
static Object strlit5049;
static Object strlit5055;
static Object strlit5072;
static Object strlit5085;
static Object strlit5096;
static Object strlit5108;
static Object strlit5125;
static Object strlit5130;
static Object strlit5153;
static Object strlit5164;
static Object strlit5178;
static Object strlit5190;
static Object strlit5195;
static Object strlit5207;
static Object strlit5228;
static Object strlit5245;
static Object strlit5252;
static Object strlit5278;
static Object strlit5287;
static Object strlit5309;
static Object strlit5316;
static ClassData objclass5322;
static ClassData objclass5337;
static Object strlit5426;
static ClassData objclass5438;
static ClassData objclass5452;
static Object strlit5468;
static Object strlit5474;
static Object strlit5481;
static Object strlit5487;
static Object strlit5661;
static Object strlit5667;
static Object strlit5673;
static Object strlit5716;
static Object strlit5725;
static Object strlit5734;
static Object strlit5741;
static Object strlit5746;
static Object strlit5750;
static Object strlit5776;
static Object strlit5781;
static Object strlit5796;
static Object strlit5801;
static Object strlit5811;
static Object strlit5822;
static Object strlit5827;
static Object strlit5831;
static Object strlit5857;
static Object strlit5868;
static Object strlit5881;
static Object strlit5887;
static Object strlit5892;
static Object strlit5900;
static Object strlit5922;
static Object strlit5939;
static Object strlit5960;
static Object strlit5965;
static Object strlit5977;
static Object strlit5982;
static Object strlit6025;
static Object strlit6031;
static Object strlit6040;
static Object strlit6042;
static ClassData objclass6049;
static ClassData objclass6052;
static Object strlit6089;
static Object strlit6098;
static Object strlit6122;
static Object strlit6131;
static Object strlit6159;
static Object strlit6166;
static Object strlit6181;
static ClassData objclass6184;
static ClassData objclass6192;
static Object strlit6245;
static Object strlit6279;
static Object strlit6288;
static Object strlit6300;
static Object strlit6301;
static Object strlit6306;
static Object strlit6313;
static Object strlit6338;
static Object strlit6343;
static Object strlit6360;
static Object strlit6365;
static Object strlit6375;
static Object strlit6378;
static Object strlit6405;
static Object strlit6415;
static Object strlit6432;
static Object strlit6468;
static Object strlit6487;
static Object strlit6494;
static Object strlit6500;
static Object strlit6514;
static Object strlit6521;
static Object strlit6555;
static Object strlit6571;
static ClassData objclass6576;
static ClassData objclass6579;
static Object strlit6637;
static Object strlit6646;
static Object strlit6652;
static Object strlit6674;
static Object strlit6683;
static Object strlit6688;
static Object strlit6707;
static Object strlit6716;
static Object strlit6734;
static ClassData objclass6737;
static ClassData objclass6740;
static Object strlit6794;
static Object strlit6803;
static Object strlit6810;
static Object strlit6835;
static Object strlit6844;
static Object strlit6848;
static Object strlit6853;
static Object strlit6860;
static Object strlit6864;
static Object strlit6874;
static Object strlit6883;
static Object strlit6897;
static ClassData objclass6900;
static ClassData objclass6908;
static Object strlit6935;
static Object strlit6942;
static Object strlit6949;
static Object strlit6956;
static Object strlit7032;
static Object strlit7041;
static Object strlit7053;
static Object strlit7062;
static Object strlit7068;
static Object strlit7076;
static Object strlit7082;
static Object strlit7096;
static Object strlit7101;
static Object strlit7127;
static Object strlit7132;
static Object strlit7152;
static Object strlit7157;
static Object strlit7170;
static Object strlit7193;
static Object strlit7206;
static Object strlit7242;
static Object strlit7264;
static Object strlit7270;
static Object strlit7274;
static Object strlit7280;
static Object strlit7313;
static Object strlit7320;
static Object strlit7332;
static Object strlit7337;
static ClassData objclass7340;
static ClassData objclass7348;
static Object strlit7364;
static Object strlit7371;
static Object strlit7377;
static Object strlit7383;
static Object strlit7396;
static Object strlit7403;
static Object strlit7414;
static Object strlit7423;
static ClassData objclass7426;
static ClassData objclass7429;
static Object strlit7445;
static Object strlit7452;
static Object strlit7458;
static Object strlit7470;
static Object strlit7476;
static Object strlit7487;
static Object strlit7496;
static ClassData objclass7499;
static ClassData objclass7502;
static Object strlit7512;
static Object strlit7551;
static Object strlit7560;
static Object strlit7567;
static Object strlit7574;
static Object strlit7580;
static Object strlit7586;
static Object strlit7606;
static Object strlit7626;
static Object strlit7643;
static Object strlit7652;
static Object strlit7661;
static Object strlit7673;
static Object strlit7685;
static Object strlit7692;
static Object strlit7714;
static Object strlit7723;
static Object strlit7733;
static Object strlit7780;
static ClassData objclass7783;
static ClassData objclass7786;
static Object strlit7793;
static Object strlit7800;
static Object strlit7809;
static Object strlit7815;
static Object strlit7852;
static Object strlit7861;
static Object strlit7868;
static Object strlit7889;
static Object strlit7909;
static Object strlit7922;
static Object strlit7947;
static Object strlit7962;
static Object strlit7969;
static ClassData objclass7972;
static ClassData objclass7980;
static Object strlit8002;
static Object strlit8010;
static Object strlit8116;
static Object strlit8125;
static Object strlit8132;
static Object strlit8166;
static Object strlit8171;
static Object strlit8196;
static Object strlit8201;
static Object strlit8217;
static Object strlit8221;
static Object strlit8231;
static Object strlit8242;
static Object strlit8246;
static Object strlit8276;
static Object strlit8289;
static Object strlit8296;
static Object strlit8305;
static Object strlit8313;
static Object strlit8337;
static Object strlit8352;
static Object strlit8367;
static Object strlit8371;
static Object strlit8374;
static Object strlit8377;
static Object strlit8398;
static Object strlit8420;
static Object strlit8427;
static ClassData objclass8436;
static ClassData objclass8439;
static Object strlit8460;
static Object strlit8468;
static Object strlit8487;
static Object strlit8496;
static Object strlit8517;
static Object strlit8526;
static Object strlit8630;
static Object strlit8639;
static Object strlit8646;
static Object strlit8674;
static Object strlit8679;
static Object strlit8705;
static Object strlit8710;
static Object strlit8748;
static Object strlit8753;
static Object strlit8760;
static Object strlit8769;
static Object strlit8777;
static Object strlit8801;
static Object strlit8816;
static Object strlit8831;
static Object strlit8835;
static Object strlit8838;
static Object strlit8841;
static Object strlit8862;
static Object strlit8879;
static Object strlit8886;
static ClassData objclass8894;
static ClassData objclass8897;
static Object strlit8931;
static Object strlit8939;
static Object strlit8946;
static Object strlit8954;
static Object strlit8957;
static Object strlit9043;
static Object strlit9052;
static Object strlit9059;
static Object strlit9066;
static Object strlit9073;
static Object strlit9077;
static Object strlit9087;
static Object strlit9094;
static Object strlit9098;
static Object strlit9117;
static Object strlit9124;
static Object strlit9128;
static Object strlit9138;
static Object strlit9145;
static Object strlit9151;
static Object strlit9170;
static ClassData objclass9174;
static ClassData objclass9177;
static Object strlit9188;
static Object strlit9196;
static Object strlit9199;
static Object strlit9221;
static Object strlit9230;
static Object strlit9237;
static Object strlit9244;
static Object strlit9251;
static Object strlit9255;
static Object strlit9265;
static Object strlit9271;
static Object strlit9287;
static ClassData objclass9290;
static ClassData objclass9293;
static Object strlit9321;
static Object strlit9330;
static Object strlit9337;
static Object strlit9364;
static Object strlit9377;
static ClassData objclass9380;
static ClassData objclass9388;
static Object strlit9464;
static Object strlit9473;
static Object strlit9485;
static Object strlit9489;
static Object strlit9506;
static Object strlit9516;
static Object strlit9523;
static Object strlit9527;
static Object strlit9545;
static Object strlit9550;
static Object strlit9554;
static Object strlit9564;
static Object strlit9569;
static Object strlit9573;
static Object strlit9592;
static Object strlit9603;
static Object strlit9607;
static Object strlit9616;
static Object strlit9621;
static Object strlit9631;
static Object strlit9632;
static Object strlit9649;
static Object strlit9654;
static Object strlit9658;
static Object strlit9672;
static Object strlit9679;
static Object strlit9683;
static Object strlit9704;
static Object strlit9705;
static Object strlit9755;
static Object strlit9756;
static Object strlit9763;
static ClassData objclass9774;
static ClassData objclass9777;
static Object strlit9794;
static Object strlit9796;
static Object strlit9798;
static Object strlit9810;
static Object strlit9811;
static ClassData objclass9814;
static Object strlit9818;
static ClassData objclass9837;
static Object strlit9853;
static Object strlit9862;
static Object strlit9886;
static Object strlit9891;
static Object strlit9899;
static Object strlit9908;
static Object strlit9913;
static Object strlit9977;
static Object strlit9986;
static Object strlit9993;
static Object strlit10000;
static Object strlit10006;
static Object strlit10019;
static Object strlit10024;
static Object strlit10028;
static Object strlit10040;
static Object strlit10051;
static Object strlit10056;
static Object strlit10060;
static Object strlit10081;
static Object strlit10099;
static Object strlit10108;
static Object strlit10132;
static Object strlit10138;
static Object strlit10147;
static ClassData objclass10152;
static Object strlit10156;
static ClassData objclass10165;
static Object strlit10185;
static Object strlit10194;
static Object strlit10213;
static Object strlit10218;
static Object strlit10226;
static Object strlit10235;
static Object strlit10240;
static Object strlit10265;
static Object strlit10274;
static Object strlit10281;
static Object strlit10288;
static Object strlit10294;
static Object strlit10300;
static Object strlit10305;
static Object strlit10309;
static Object strlit10321;
static Object strlit10332;
static Object strlit10337;
static Object strlit10341;
static Object strlit10364;
static Object strlit10385;
static Object strlit10394;
static Object strlit10428;
static Object strlit10429;
static Object strlit10446;
static Object strlit10456;
static Object strlit10475;
static Object strlit10482;
static ClassData objclass10486;
static ClassData objclass10489;
static Object strlit10504;
static Object strlit10511;
static Object strlit10518;
static Object strlit10524;
static Object strlit10538;
static Object strlit10560;
static Object strlit10569;
static Object strlit10578;
static Object strlit10579;
static Object strlit10581;
static Object strlit10588;
static Object strlit10595;
static Object strlit10602;
static Object strlit10607;
static Object strlit10611;
static Object strlit10627;
static Object strlit10633;
static Object strlit10636;
static Object strlit10641;
static Object strlit10651;
static Object strlit10683;
static ClassData objclass10693;
Object meth_ast__apply_40_1_41_5(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_b = getfromclosure(closure, 0);
  Object *var_as = getfromclosure(closure, 1);
  Object *var_newList = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_nd = &(stackframe->slots[0]);
  *var_nd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe6 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe7 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nd (depth = 6)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8 = callmethodflags(*var_nd, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7);
// compiled call node returning call8 (depth = 5)
  gc_frame_newslot(call8);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newList (depth = 5)
  params[0] = call8;
  partcv[0] = 1;
  Object call9 = callmethodflags(*var_newList, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6);
// compiled call node returning call9 (depth = 4)
  gc_frame_end(frame);
  return call9;
}
Object meth_ast_listMap_40_2_41_ancestors_40_1_41_1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "listMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for listMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part listMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newList = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newList");
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array2 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2 (depth = 3)
  *var_newList = array2;
  if (array2 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4 = alloc_Block(NULL, NULL, "ast", 21);
  gc_frame_newslot(block4);
// method "_apply(_)"
  block_savedest(block4);
  Object closure5 = createclosure(4, "_apply(1)");
  setclosureframe(closure5, stackframe);
  addtoclosure(closure5, var_b);
  addtoclosure(closure5, var_as);
  addtoclosure(closure5, var_newList);
  addtoclosure(closure5, selfslot);
  struct UserObject *uo5 = (struct UserObject*)block4;
  uo5->data[0] = (Object)closure5;
  Method *meth_meth_ast__apply_40_1_41_5 = addmethod2pos(block4, "_apply(1)", &meth_ast__apply_40_1_41_5, 0);
  int argcv_meth_ast__apply_40_1_41_5[] = {1};
  meth_meth_ast__apply_40_1_41_5->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5);
  meth_meth_ast__apply_40_1_41_5->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5->definitionLine = 2984;
// compiled block node returning block4 (depth = 3)
  gc_frame_newslot(block4);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  params[0] = block4;
  partcv[0] = 1;
  Object call11 = callmethodflags(*var_l, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3);
// compiled call node returning call11 (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newList (depth = 2)
  gc_frame_end(frame);
  return *var_newList;
}
Object meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_14 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool16 = alloc_Boolean(0);
// compiled identifier node returning bool16 (depth = 4)
  int op_slot_left_14 = gc_frame_newslot(bool16);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult17 = callmethod(bool16, "≠(1)", 1, partcv, params);
// compiled op node returning opresult17 (depth = 3)
  Object if13 = done;
  if (istrue(opresult17)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe18 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call19 = callmethodflags(*var_n, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 3)
    gc_frame_newslot(call19);
    if13 = call19;
  } else {
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if13 = *var_n;
  }
// compiled if node returning if13 (depth = 2)
  gc_frame_end(frame);
  return if13;
}
Object meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeListMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeListMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeListMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_22 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool24 = alloc_Boolean(0);
// compiled identifier node returning bool24 (depth = 4)
  int op_slot_left_22 = gc_frame_newslot(bool24);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult25 = callmethod(bool24, "≠(1)", 1, partcv, params);
// compiled op node returning opresult25 (depth = 3)
  Object if21 = done;
  if (istrue(opresult25)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe26 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 4: self request
  params[0] = *var_n;
  params[1] = *var_b;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call27 = callmethodflags(self, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe26);
// compiled call node returning call27 (depth = 3)
    gc_frame_newslot(call27);
    if21 = call27;
  } else {
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if21 = *var_n;
  }
// compiled if node returning if21 (depth = 2)
  gc_frame_end(frame);
  return if21;
}
Object meth_ast_setLine_40_1_41_col_40_1_41_36(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setLine(1)col(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for setLine(_)col(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setLine(_)");
  Object *var_c = &(stackframe->slots[1]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part col(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe37 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call38 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe37);
// compiled call node returning call38 (depth = 2)
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe39 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call40 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe39);
// compiled call node returning call40 (depth = 2)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_setPositionFrom_40_1_41_41(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setPositionFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setPositionFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setPositionFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setPositionFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe42 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe43 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_token (depth = 4)
  Object call44 = callmethodflags(*var_token, "line", 0, partcv, params, 0);
  gc_frame_end(callframe43);
// compiled member node returning call44 (depth = 3)
  gc_frame_newslot(call44);
// call case 4: self request
  params[0] = call44;
  partcv[0] = 1;
  Object call45 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe42);
// compiled call node returning call45 (depth = 2)
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe46 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe47 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_token (depth = 4)
  Object call48 = callmethodflags(*var_token, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 3)
  gc_frame_newslot(call48);
// call case 4: self request
  params[0] = call48;
  partcv[0] = 1;
  Object call49 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe46);
// compiled call node returning call49 (depth = 2)
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_kind50(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "kind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe51 = gc_frame_new();
// call case 5: prelude request
  Object call52 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe51);
// compiled member node returning call52 (depth = 2)
  gc_frame_end(frame);
  return call52;
}
Object meth_ast__61__61__40_1_41_53(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe54 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call55 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe54);
// compiled call node returning call55 (depth = 2)
  gc_frame_end(frame);
  return call55;
}
Object meth_ast_isAppliedOccurenceOfIdentifier56(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool57 = alloc_Boolean(0);
// compiled identifier node returning bool57 (depth = 2)
  gc_frame_end(frame);
  return bool57;
}
Object meth_ast_isMatchingBlock58(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool59 = alloc_Boolean(0);
// compiled identifier node returning bool59 (depth = 2)
  gc_frame_end(frame);
  return bool59;
}
Object meth_ast_isFieldDec60(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool61 = alloc_Boolean(0);
// compiled identifier node returning bool61 (depth = 2)
  gc_frame_end(frame);
  return bool61;
}
Object meth_ast_isInherits62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool63 = alloc_Boolean(0);
// compiled identifier node returning bool63 (depth = 2)
  gc_frame_end(frame);
  return bool63;
}
Object meth_ast_isLegalInTrait64(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool65 = alloc_Boolean(0);
// compiled identifier node returning bool65 (depth = 2)
  gc_frame_end(frame);
  return bool65;
}
Object meth_ast_isMember66(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool67 = alloc_Boolean(0);
// compiled identifier node returning bool67 (depth = 2)
  gc_frame_end(frame);
  return bool67;
}
Object meth_ast_isMethod68(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool69 = alloc_Boolean(0);
// compiled identifier node returning bool69 (depth = 2)
  gc_frame_end(frame);
  return bool69;
}
Object meth_ast_isExecutable70(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool71 = alloc_Boolean(1);
// compiled identifier node returning bool71 (depth = 2)
  gc_frame_end(frame);
  return bool71;
}
Object meth_ast_isCall72(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool73 = alloc_Boolean(0);
// compiled identifier node returning bool73 (depth = 2)
  gc_frame_end(frame);
  return bool73;
}
Object meth_ast_isComment74(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool75 = alloc_Boolean(0);
// compiled identifier node returning bool75 (depth = 2)
  gc_frame_end(frame);
  return bool75;
}
Object meth_ast_isClass76(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool77 = alloc_Boolean(0);
// compiled identifier node returning bool77 (depth = 2)
  gc_frame_end(frame);
  return bool77;
}
Object meth_ast_inClass78(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool79 = alloc_Boolean(0);
// compiled identifier node returning bool79 (depth = 2)
  gc_frame_end(frame);
  return bool79;
}
Object meth_ast_isTrait80(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool81 = alloc_Boolean(0);
// compiled identifier node returning bool81 (depth = 2)
  gc_frame_end(frame);
  return bool81;
}
Object meth_ast_inTrait82(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool83 = alloc_Boolean(0);
// compiled identifier node returning bool83 (depth = 2)
  gc_frame_end(frame);
  return bool83;
}
Object meth_ast_isBind84(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool85 = alloc_Boolean(0);
// compiled identifier node returning bool85 (depth = 2)
  gc_frame_end(frame);
  return bool85;
}
Object meth_ast_isSelf86(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool87 = alloc_Boolean(0);
// compiled identifier node returning bool87 (depth = 2)
  gc_frame_end(frame);
  return bool87;
}
Object meth_ast_isSuper88(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool89 = alloc_Boolean(0);
// compiled identifier node returning bool89 (depth = 2)
  gc_frame_end(frame);
  return bool89;
}
Object meth_ast_isPrelude90(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool91 = alloc_Boolean(0);
// compiled identifier node returning bool91 (depth = 2)
  gc_frame_end(frame);
  return bool91;
}
Object meth_ast_isOuter92(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool93 = alloc_Boolean(0);
// compiled identifier node returning bool93 (depth = 2)
  gc_frame_end(frame);
  return bool93;
}
Object meth_ast_isSelfOrOuter94(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool95 = alloc_Boolean(0);
// compiled identifier node returning bool95 (depth = 2)
  gc_frame_end(frame);
  return bool95;
}
Object meth_ast_isBlock96(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool97 = alloc_Boolean(0);
// compiled identifier node returning bool97 (depth = 2)
  gc_frame_end(frame);
  return bool97;
}
Object meth_ast_isObject98(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool99 = alloc_Boolean(0);
// compiled identifier node returning bool99 (depth = 2)
  gc_frame_end(frame);
  return bool99;
}
Object meth_ast_isIdentifier100(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool101 = alloc_Boolean(0);
// compiled identifier node returning bool101 (depth = 2)
  gc_frame_end(frame);
  return bool101;
}
Object meth_ast_isDialect102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool103 = alloc_Boolean(0);
// compiled identifier node returning bool103 (depth = 2)
  gc_frame_end(frame);
  return bool103;
}
Object meth_ast_isImport104(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool105 = alloc_Boolean(0);
// compiled identifier node returning bool105 (depth = 2)
  gc_frame_end(frame);
  return bool105;
}
Object meth_ast_isTypeDec106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool107 = alloc_Boolean(0);
// compiled identifier node returning bool107 (depth = 2)
  gc_frame_end(frame);
  return bool107;
}
Object meth_ast_isExternal108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool109 = alloc_Boolean(0);
// compiled identifier node returning bool109 (depth = 2)
  gc_frame_end(frame);
  return bool109;
}
Object meth_ast_canInherit110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool111 = alloc_Boolean(0);
// compiled identifier node returning bool111 (depth = 2)
  gc_frame_end(frame);
  return bool111;
}
Object meth_ast_returnsObject112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool113 = alloc_Boolean(0);
// compiled identifier node returning bool113 (depth = 2)
  gc_frame_end(frame);
  return bool113;
}
Object meth_ast_isImplicit114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool115 = alloc_Boolean(0);
// compiled identifier node returning bool115 (depth = 2)
  gc_frame_end(frame);
  return bool115;
}
Object meth_ast_usesAsType_40_1_41_116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool117 = alloc_Boolean(0);
// compiled identifier node returning bool117 (depth = 2)
  gc_frame_end(frame);
  return bool117;
}
Object meth_ast_hash118(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe120 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe121 = gc_frame_new();
// call case 4: self request
  Object call122 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe121);
// compiled member node returning call122 (depth = 4)
  Object call123 = callmethodflags(call122, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe120);
// compiled member node returning call123 (depth = 3)
  int op_slot_right_119 = gc_frame_newslot(call123);
// starting to compile member node (depth = 3)
  int callframe125 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe126 = gc_frame_new();
// call case 4: self request
  Object call127 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe126);
// compiled member node returning call127 (depth = 4)
  Object call128 = callmethodflags(call127, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe125);
// compiled member node returning call128 (depth = 3)
  int op_slot_left_119 = gc_frame_newslot(call128);
  params[0] = call123;
  partcv[0] = 1;
  Object prod129 = callmethod(call128, "*(1)", 1, partcv, params);
// compiled op node returning prod129 (depth = 2)
  gc_frame_end(frame);
  return prod129;
}
Object meth_ast_asString130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit132 == NULL) {
    strlit132 = alloc_String("");
    gc_root(strlit132);
  }
// compiled string node returning strlit132 (depth = 3)
  int op_slot_right_131 = gc_frame_newslot(strlit132);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe135 = gc_frame_new();
// call case 4: self request
  Object call136 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe135);
// compiled member node returning call136 (depth = 4)
  int op_slot_right_134 = gc_frame_newslot(call136);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit139 == NULL) {
    strlit139 = alloc_String(" ");
    gc_root(strlit139);
  }
// compiled string node returning strlit139 (depth = 5)
  int op_slot_right_138 = gc_frame_newslot(strlit139);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe142 = gc_frame_new();
// call case 4: self request
  Object call143 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe142);
// compiled member node returning call143 (depth = 6)
  int op_slot_right_141 = gc_frame_newslot(call143);
// starting to compile string node (depth = 6)
  if (strlit145 == NULL) {
    strlit145 = alloc_String("");
    gc_root(strlit145);
  }
// compiled string node returning strlit145 (depth = 6)
  int op_slot_left_141 = gc_frame_newslot(strlit145);
  params[0] = call143;
  partcv[0] = 1;
  Object opresult146 = callmethod(strlit145, "++(1)", 1, partcv, params);
// compiled op node returning opresult146 (depth = 5)
  int op_slot_left_138 = gc_frame_newslot(opresult146);
  params[0] = strlit139;
  partcv[0] = 1;
  Object opresult147 = callmethod(opresult146, "++(1)", 1, partcv, params);
// compiled op node returning opresult147 (depth = 4)
  int op_slot_left_134 = gc_frame_newslot(opresult147);
  params[0] = call136;
  partcv[0] = 1;
  Object opresult148 = callmethod(opresult147, "++(1)", 1, partcv, params);
// compiled op node returning opresult148 (depth = 3)
  int op_slot_left_131 = gc_frame_newslot(opresult148);
  params[0] = strlit132;
  partcv[0] = 1;
  Object opresult149 = callmethod(opresult148, "++(1)", 1, partcv, params);
// compiled op node returning opresult149 (depth = 2)
  gc_frame_end(frame);
  return opresult149;
}
Object meth_ast_nameString150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit151 == NULL) {
    strlit151 = alloc_String("?");
    gc_root(strlit151);
  }
// compiled string node returning strlit151 (depth = 2)
  gc_frame_end(frame);
  return strlit151;
}
Object meth_ast_isWritable152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool153 = alloc_Boolean(1);
// compiled identifier node returning bool153 (depth = 2)
  gc_frame_end(frame);
  return bool153;
}
Object meth_ast_isReadable154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool155 = alloc_Boolean(1);
// compiled identifier node returning bool155 (depth = 2)
  gc_frame_end(frame);
  return bool155;
}
Object meth_ast_isPublic156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool157 = alloc_Boolean(1);
// compiled identifier node returning bool157 (depth = 2)
  gc_frame_end(frame);
  return bool157;
}
Object meth_ast_isConfidential158(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe159 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe160 = gc_frame_new();
// call case 4: self request
  Object call161 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe160);
// compiled member node returning call161 (depth = 3)
  Object call162 = callmethodflags(call161, "not", 0, partcv, params, 0);
  gc_frame_end(callframe159);
// compiled member node returning call162 (depth = 2)
  gc_frame_end(frame);
  return call162;
}
Object meth_ast_decType163(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe166 = gc_frame_new();
// call case 4: self request
  Object call167 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe166);
// compiled member node returning call167 (depth = 4)
  int op_slot_right_165 = gc_frame_newslot(call167);
// starting to compile identifier node (depth = 4)
  Object bool169 = alloc_Boolean(0);
// compiled identifier node returning bool169 (depth = 4)
  int op_slot_left_165 = gc_frame_newslot(bool169);
  params[0] = call167;
  partcv[0] = 1;
  Object opresult170 = callmethod(bool169, "==(1)", 1, partcv, params);
// compiled op node returning opresult170 (depth = 3)
  Object if164 = done;
  if (istrue(opresult170)) {
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unknownType (depth = 4)
  return *var_unknownType;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if164 = undefined;
  } else {
  }
// compiled if node returning if164 (depth = 2)
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe171 = gc_frame_new();
// call case 4: self request
  Object call172 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe171);
// compiled member node returning call172 (depth = 3)
  return call172;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_isSimple173(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool174 = alloc_Boolean(1);
// compiled identifier node returning bool174 (depth = 2)
  gc_frame_end(frame);
  return bool174;
}
Object meth_ast_isDelimited175(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool176 = alloc_Boolean(0);
// compiled identifier node returning bool176 (depth = 2)
  gc_frame_end(frame);
  return bool176;
}
Object meth_ast_description177(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe178 = gc_frame_new();
// call case 4: self request
  Object call179 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe178);
// compiled member node returning call179 (depth = 2)
  gc_frame_end(frame);
  return call179;
}
Object meth_ast_accept_40_1_41_180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)");
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for accept(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe181 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitor (depth = 3)
  gc_frame_newslot(*var_visitor);
// starting to compile member node (depth = 3)
  int callframe182 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call183 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe182);
// compiled member node returning call183 (depth = 3)
  gc_frame_newslot(call183);
// call case 4: self request
  params[0] = *var_visitor;
  params[1] = call183;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call184 = callmethodflags(self, "accept(1)from(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe181);
// compiled call node returning call184 (depth = 2)
  gc_frame_end(frame);
  return call184;
}
Object meth_ast_scope185(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe186 = gc_frame_new();
// call case 4: self request
  Object call187 = callmethodflags(self, "symbolTable", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe186);
// compiled member node returning call187 (depth = 2)
  gc_frame_end(frame);
  return call187;
}
Object meth_ast_scope_58__61__40_1_41_188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe189 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_st (depth = 3)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call190 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe189);
// compiled call node returning call190 (depth = 2)
  gc_frame_end(frame);
  return call190;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_191(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe192 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe193 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call194 = callmethodflags(*var_other, "register", 0, partcv, params, 0);
  gc_frame_end(callframe193);
// compiled member node returning call194 (depth = 3)
  gc_frame_newslot(call194);
// call case 4: self request
  params[0] = call194;
  partcv[0] = 1;
  Object call195 = callmethodflags(self, "register:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe192);
// compiled call node returning call195 (depth = 2)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe196 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe197 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call198 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe197);
// compiled member node returning call198 (depth = 3)
  gc_frame_newslot(call198);
// call case 4: self request
  params[0] = call198;
  partcv[0] = 1;
  Object call199 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe196);
// compiled call node returning call199 (depth = 2)
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe200 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe201 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call202 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe201);
// compiled member node returning call202 (depth = 3)
  gc_frame_newslot(call202);
// call case 4: self request
  params[0] = call202;
  partcv[0] = 1;
  Object call203 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe200);
// compiled call node returning call203 (depth = 2)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe204 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe205 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call206 = callmethodflags(*var_other, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe205);
// compiled member node returning call206 (depth = 3)
  gc_frame_newslot(call206);
// call case 4: self request
  params[0] = call206;
  partcv[0] = 1;
  Object call207 = callmethodflags(self, "scope:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe204);
// compiled call node returning call207 (depth = 2)
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe208 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call209 = callmethodflags(self, "postCopy(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 2)
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_postCopy_40_1_41_210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_219(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit221 == NULL) {
    strlit221 = alloc_String("  ");
    gc_root(strlit221);
  }
// compiled string node returning strlit221 (depth = 6)
  int op_slot_right_220 = gc_frame_newslot(strlit221);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_220 = gc_frame_newslot(*var_spc);
  params[0] = strlit221;
  partcv[0] = 1;
  Object opresult223 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult223 (depth = 5)
  *var_spc = opresult223;
  if (opresult223 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply230(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit232 == NULL) {
    strlit232 = alloc_String("symbols");
    gc_root(strlit232);
  }
// compiled string node returning strlit232 (depth = 6)
  int op_slot_right_231 = gc_frame_newslot(strlit232);
// starting to compile member node (depth = 6)
  int callframe234 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call235 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe234);
// compiled member node returning call235 (depth = 6)
  int op_slot_left_231 = gc_frame_newslot(call235);
  params[0] = strlit232;
  partcv[0] = 1;
  Object opresult236 = callmethod(call235, "==(1)", 1, partcv, params);
// compiled op node returning opresult236 (depth = 5)
  gc_frame_end(frame);
  return opresult236;
}
Object meth_ast_basePretty_40_1_41_211(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "basePretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method basePretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for basePretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part basePretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit212 == NULL) {
    strlit212 = alloc_String("");
    gc_root(strlit212);
  }
// compiled string node returning strlit212 (depth = 3)
  *var_spc = strlit212;
  if (strlit212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe213 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  int op_slot_right_214 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 4)
  Object num216 = alloc_Float64(0);
// compiled num node returning num216 (depth = 4)
  int op_slot_left_214 = gc_frame_newslot(num216);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult217 = callmethod(num216, "..(1)", 1, partcv, params);
// compiled op node returning opresult217 (depth = 3)
  gc_frame_newslot(opresult217);
// starting to compile block node (depth = 3)
  Object block218 = alloc_Block(NULL, NULL, "ast", 179);
  gc_frame_newslot(block218);
// method "_apply(_)"
  block_savedest(block218);
  Object closure219 = createclosure(2, "_apply(1)");
  setclosureframe(closure219, stackframe);
  addtoclosure(closure219, var_spc);
  addtoclosure(closure219, selfslot);
  struct UserObject *uo219 = (struct UserObject*)block218;
  uo219->data[0] = (Object)closure219;
  Method *meth_meth_ast__apply_40_1_41_219 = addmethod2pos(block218, "_apply(1)", &meth_ast__apply_40_1_41_219, 0);
  int argcv_meth_ast__apply_40_1_41_219[] = {1};
  meth_meth_ast__apply_40_1_41_219->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_219);
  meth_meth_ast__apply_40_1_41_219->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_219->definitionLine = 2984;
// compiled block node returning block218 (depth = 3)
  gc_frame_newslot(block218);
// call case 5: prelude request
  params[0] = opresult217;
  params[1] = block218;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call226 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe213);
// compiled call node returning call226 (depth = 2)
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block229 = alloc_Block(NULL, NULL, "ast", 182);
  gc_frame_newslot(block229);
// method "_apply"
  block_savedest(block229);
  Object closure230 = createclosure(2, "_apply");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_util);
  addtoclosure(closure230, selfslot);
  struct UserObject *uo230 = (struct UserObject*)block229;
  uo230->data[0] = (Object)closure230;
  Method *meth_meth_ast__apply230 = addmethod2pos(block229, "_apply", &meth_ast__apply230, 0);
  int argcv_meth_ast__apply230[] = {0};
  meth_meth_ast__apply230->type = alloc_MethodType(1, argcv_meth_ast__apply230);
  meth_meth_ast__apply230->definitionModule = modulename;
  meth_meth_ast__apply230->definitionLine = 2984;
// compiled block node returning block229 (depth = 4)
  int op_slot_right_228 = gc_frame_newslot(block229);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  int op_slot_right_239 = gc_frame_newslot(self);
// starting to compile member node (depth = 5)
  int callframe241 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe242 = gc_frame_new();
// call case 4: self request
  Object call243 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe242);
// compiled member node returning call243 (depth = 6)
  Object call244 = callmethodflags(call243, "node", 0, partcv, params, 0);
  gc_frame_end(callframe241);
// compiled member node returning call244 (depth = 5)
  int op_slot_left_239 = gc_frame_newslot(call244);
  params[0] = self;
  partcv[0] = 1;
  Object opresult245 = callmethod(call244, "==(1)", 1, partcv, params);
// compiled op node returning opresult245 (depth = 4)
  int op_slot_left_228 = gc_frame_newslot(opresult245);
  params[0] = block229;
  partcv[0] = 1;
  Object opresult246 = callmethod(opresult245, "&&(1)", 1, partcv, params);
// compiled op node returning opresult246 (depth = 3)
  Object if227 = done;
  if (istrue(opresult246)) {
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit248 == NULL) {
    strlit248 = alloc_String("");
    gc_root(strlit248);
  }
// compiled string node returning strlit248 (depth = 4)
  int op_slot_right_247 = gc_frame_newslot(strlit248);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe251 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe252 = gc_frame_new();
// call case 4: self request
  Object call253 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe252);
// compiled member node returning call253 (depth = 6)
  Object call254 = callmethodflags(call253, "elementScopesAsString", 0, partcv, params, 0);
  gc_frame_end(callframe251);
// compiled member node returning call254 (depth = 5)
  int op_slot_right_250 = gc_frame_newslot(call254);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit257 == NULL) {
    strlit257 = alloc_String("");
    gc_root(strlit257);
  }
// compiled string node returning strlit257 (depth = 6)
  int op_slot_right_256 = gc_frame_newslot(strlit257);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe260 = gc_frame_new();
// call case 4: self request
  Object call261 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe260);
// compiled member node returning call261 (depth = 7)
  int op_slot_right_259 = gc_frame_newslot(call261);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit264 == NULL) {
    strlit264 = alloc_String("): ");
    gc_root(strlit264);
  }
// compiled string node returning strlit264 (depth = 8)
  int op_slot_right_263 = gc_frame_newslot(strlit264);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe267 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe268 = gc_frame_new();
// call case 4: self request
  Object call269 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe268);
// compiled member node returning call269 (depth = 10)
  Object call270 = callmethodflags(call269, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe267);
// compiled member node returning call270 (depth = 9)
  int op_slot_right_266 = gc_frame_newslot(call270);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit273 == NULL) {
    strlit273 = alloc_String("Symbols(");
    gc_root(strlit273);
  }
// compiled string node returning strlit273 (depth = 10)
  int op_slot_right_272 = gc_frame_newslot(strlit273);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_275 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit278 == NULL) {
    strlit278 = alloc_String("""\x0a""");
    gc_root(strlit278);
  }
// compiled string node returning strlit278 (depth = 12)
  int op_slot_right_277 = gc_frame_newslot(strlit278);
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe281 = gc_frame_new();
// call case 4: self request
  Object call282 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe281);
// compiled member node returning call282 (depth = 13)
  int op_slot_right_280 = gc_frame_newslot(call282);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit285 == NULL) {
    strlit285 = alloc_String(" ");
    gc_root(strlit285);
  }
// compiled string node returning strlit285 (depth = 14)
  int op_slot_right_284 = gc_frame_newslot(strlit285);
// starting to compile op node (depth = 14)
// starting to compile member node (depth = 15)
  int callframe288 = gc_frame_new();
// call case 4: self request
  Object call289 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe288);
// compiled member node returning call289 (depth = 15)
  int op_slot_right_287 = gc_frame_newslot(call289);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit292 == NULL) {
    strlit292 = alloc_String(":");
    gc_root(strlit292);
  }
// compiled string node returning strlit292 (depth = 16)
  int op_slot_right_291 = gc_frame_newslot(strlit292);
// starting to compile op node (depth = 16)
// starting to compile member node (depth = 17)
  int callframe295 = gc_frame_new();
// call case 4: self request
  Object call296 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe295);
// compiled member node returning call296 (depth = 17)
  int op_slot_right_294 = gc_frame_newslot(call296);
// starting to compile string node (depth = 17)
  if (strlit298 == NULL) {
    strlit298 = alloc_String("");
    gc_root(strlit298);
  }
// compiled string node returning strlit298 (depth = 17)
  int op_slot_left_294 = gc_frame_newslot(strlit298);
  params[0] = call296;
  partcv[0] = 1;
  Object opresult299 = callmethod(strlit298, "++(1)", 1, partcv, params);
// compiled op node returning opresult299 (depth = 16)
  int op_slot_left_291 = gc_frame_newslot(opresult299);
  params[0] = strlit292;
  partcv[0] = 1;
  Object opresult300 = callmethod(opresult299, "++(1)", 1, partcv, params);
// compiled op node returning opresult300 (depth = 15)
  int op_slot_left_287 = gc_frame_newslot(opresult300);
  params[0] = call289;
  partcv[0] = 1;
  Object opresult301 = callmethod(opresult300, "++(1)", 1, partcv, params);
// compiled op node returning opresult301 (depth = 14)
  int op_slot_left_284 = gc_frame_newslot(opresult301);
  params[0] = strlit285;
  partcv[0] = 1;
  Object opresult302 = callmethod(opresult301, "++(1)", 1, partcv, params);
// compiled op node returning opresult302 (depth = 13)
  int op_slot_left_280 = gc_frame_newslot(opresult302);
  params[0] = call282;
  partcv[0] = 1;
  Object opresult303 = callmethod(opresult302, "++(1)", 1, partcv, params);
// compiled op node returning opresult303 (depth = 12)
  int op_slot_left_277 = gc_frame_newslot(opresult303);
  params[0] = strlit278;
  partcv[0] = 1;
  Object opresult304 = callmethod(opresult303, "++(1)", 1, partcv, params);
// compiled op node returning opresult304 (depth = 11)
  int op_slot_left_275 = gc_frame_newslot(opresult304);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult305 = callmethod(opresult304, "++(1)", 1, partcv, params);
// compiled op node returning opresult305 (depth = 10)
  int op_slot_left_272 = gc_frame_newslot(opresult305);
  params[0] = strlit273;
  partcv[0] = 1;
  Object opresult306 = callmethod(opresult305, "++(1)", 1, partcv, params);
// compiled op node returning opresult306 (depth = 9)
  int op_slot_left_266 = gc_frame_newslot(opresult306);
  params[0] = call270;
  partcv[0] = 1;
  Object opresult307 = callmethod(opresult306, "++(1)", 1, partcv, params);
// compiled op node returning opresult307 (depth = 8)
  int op_slot_left_263 = gc_frame_newslot(opresult307);
  params[0] = strlit264;
  partcv[0] = 1;
  Object opresult308 = callmethod(opresult307, "++(1)", 1, partcv, params);
// compiled op node returning opresult308 (depth = 7)
  int op_slot_left_259 = gc_frame_newslot(opresult308);
  params[0] = call261;
  partcv[0] = 1;
  Object opresult309 = callmethod(opresult308, "++(1)", 1, partcv, params);
// compiled op node returning opresult309 (depth = 6)
  int op_slot_left_256 = gc_frame_newslot(opresult309);
  params[0] = strlit257;
  partcv[0] = 1;
  Object opresult310 = callmethod(opresult309, "++(1)", 1, partcv, params);
// compiled op node returning opresult310 (depth = 5)
  int op_slot_left_250 = gc_frame_newslot(opresult310);
  params[0] = call254;
  partcv[0] = 1;
  Object opresult311 = callmethod(opresult310, "++(1)", 1, partcv, params);
// compiled op node returning opresult311 (depth = 4)
  int op_slot_left_247 = gc_frame_newslot(opresult311);
  params[0] = strlit248;
  partcv[0] = 1;
  Object opresult312 = callmethod(opresult311, "++(1)", 1, partcv, params);
// compiled op node returning opresult312 (depth = 3)
    gc_frame_newslot(opresult312);
    if227 = opresult312;
  } else {
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit315 == NULL) {
    strlit315 = alloc_String("fake");
    gc_root(strlit315);
  }
// compiled string node returning strlit315 (depth = 5)
  int op_slot_right_314 = gc_frame_newslot(strlit315);
// starting to compile member node (depth = 5)
  int callframe317 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe318 = gc_frame_new();
// call case 4: self request
  Object call319 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe318);
// compiled member node returning call319 (depth = 6)
  Object call320 = callmethodflags(call319, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe317);
// compiled member node returning call320 (depth = 5)
  int op_slot_left_314 = gc_frame_newslot(call320);
  params[0] = strlit315;
  partcv[0] = 1;
  Object opresult321 = callmethod(call320, "==(1)", 1, partcv, params);
// compiled op node returning opresult321 (depth = 4)
  Object if313 = done;
  if (istrue(opresult321)) {
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit323 == NULL) {
    strlit323 = alloc_String("");
    gc_root(strlit323);
  }
// compiled string node returning strlit323 (depth = 5)
  int op_slot_right_322 = gc_frame_newslot(strlit323);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe326 = gc_frame_new();
// call case 4: self request
  Object call327 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe326);
// compiled member node returning call327 (depth = 6)
  int op_slot_right_325 = gc_frame_newslot(call327);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit330 == NULL) {
    strlit330 = alloc_String(" ");
    gc_root(strlit330);
  }
// compiled string node returning strlit330 (depth = 7)
  int op_slot_right_329 = gc_frame_newslot(strlit330);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe333 = gc_frame_new();
// call case 4: self request
  Object call334 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe333);
// compiled member node returning call334 (depth = 8)
  int op_slot_right_332 = gc_frame_newslot(call334);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit337 == NULL) {
    strlit337 = alloc_String(":");
    gc_root(strlit337);
  }
// compiled string node returning strlit337 (depth = 9)
  int op_slot_right_336 = gc_frame_newslot(strlit337);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe340 = gc_frame_new();
// call case 4: self request
  Object call341 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe340);
// compiled member node returning call341 (depth = 10)
  int op_slot_right_339 = gc_frame_newslot(call341);
// starting to compile string node (depth = 10)
  if (strlit343 == NULL) {
    strlit343 = alloc_String("");
    gc_root(strlit343);
  }
// compiled string node returning strlit343 (depth = 10)
  int op_slot_left_339 = gc_frame_newslot(strlit343);
  params[0] = call341;
  partcv[0] = 1;
  Object opresult344 = callmethod(strlit343, "++(1)", 1, partcv, params);
// compiled op node returning opresult344 (depth = 9)
  int op_slot_left_336 = gc_frame_newslot(opresult344);
  params[0] = strlit337;
  partcv[0] = 1;
  Object opresult345 = callmethod(opresult344, "++(1)", 1, partcv, params);
// compiled op node returning opresult345 (depth = 8)
  int op_slot_left_332 = gc_frame_newslot(opresult345);
  params[0] = call334;
  partcv[0] = 1;
  Object opresult346 = callmethod(opresult345, "++(1)", 1, partcv, params);
// compiled op node returning opresult346 (depth = 7)
  int op_slot_left_329 = gc_frame_newslot(opresult346);
  params[0] = strlit330;
  partcv[0] = 1;
  Object opresult347 = callmethod(opresult346, "++(1)", 1, partcv, params);
// compiled op node returning opresult347 (depth = 6)
  int op_slot_left_325 = gc_frame_newslot(opresult347);
  params[0] = call327;
  partcv[0] = 1;
  Object opresult348 = callmethod(opresult347, "++(1)", 1, partcv, params);
// compiled op node returning opresult348 (depth = 5)
  int op_slot_left_322 = gc_frame_newslot(opresult348);
  params[0] = strlit323;
  partcv[0] = 1;
  Object opresult349 = callmethod(opresult348, "++(1)", 1, partcv, params);
// compiled op node returning opresult349 (depth = 4)
    gc_frame_newslot(opresult349);
    if313 = opresult349;
  } else {
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit351 == NULL) {
    strlit351 = alloc_String("");
    gc_root(strlit351);
  }
// compiled string node returning strlit351 (depth = 5)
  int op_slot_right_350 = gc_frame_newslot(strlit351);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe354 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe355 = gc_frame_new();
// call case 4: self request
  Object call356 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe355);
// compiled member node returning call356 (depth = 7)
  Object call357 = callmethodflags(call356, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe354);
// compiled member node returning call357 (depth = 6)
  int op_slot_right_353 = gc_frame_newslot(call357);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit360 == NULL) {
    strlit360 = alloc_String(" ");
    gc_root(strlit360);
  }
// compiled string node returning strlit360 (depth = 7)
  int op_slot_right_359 = gc_frame_newslot(strlit360);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe363 = gc_frame_new();
// call case 4: self request
  Object call364 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe363);
// compiled member node returning call364 (depth = 8)
  int op_slot_right_362 = gc_frame_newslot(call364);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit367 == NULL) {
    strlit367 = alloc_String(" ");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 9)
  int op_slot_right_366 = gc_frame_newslot(strlit367);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe370 = gc_frame_new();
// call case 4: self request
  Object call371 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe370);
// compiled member node returning call371 (depth = 10)
  int op_slot_right_369 = gc_frame_newslot(call371);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit374 == NULL) {
    strlit374 = alloc_String(":");
    gc_root(strlit374);
  }
// compiled string node returning strlit374 (depth = 11)
  int op_slot_right_373 = gc_frame_newslot(strlit374);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe377 = gc_frame_new();
// call case 4: self request
  Object call378 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe377);
// compiled member node returning call378 (depth = 12)
  int op_slot_right_376 = gc_frame_newslot(call378);
// starting to compile string node (depth = 12)
  if (strlit380 == NULL) {
    strlit380 = alloc_String("");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 12)
  int op_slot_left_376 = gc_frame_newslot(strlit380);
  params[0] = call378;
  partcv[0] = 1;
  Object opresult381 = callmethod(strlit380, "++(1)", 1, partcv, params);
// compiled op node returning opresult381 (depth = 11)
  int op_slot_left_373 = gc_frame_newslot(opresult381);
  params[0] = strlit374;
  partcv[0] = 1;
  Object opresult382 = callmethod(opresult381, "++(1)", 1, partcv, params);
// compiled op node returning opresult382 (depth = 10)
  int op_slot_left_369 = gc_frame_newslot(opresult382);
  params[0] = call371;
  partcv[0] = 1;
  Object opresult383 = callmethod(opresult382, "++(1)", 1, partcv, params);
// compiled op node returning opresult383 (depth = 9)
  int op_slot_left_366 = gc_frame_newslot(opresult383);
  params[0] = strlit367;
  partcv[0] = 1;
  Object opresult384 = callmethod(opresult383, "++(1)", 1, partcv, params);
// compiled op node returning opresult384 (depth = 8)
  int op_slot_left_362 = gc_frame_newslot(opresult384);
  params[0] = call364;
  partcv[0] = 1;
  Object opresult385 = callmethod(opresult384, "++(1)", 1, partcv, params);
// compiled op node returning opresult385 (depth = 7)
  int op_slot_left_359 = gc_frame_newslot(opresult385);
  params[0] = strlit360;
  partcv[0] = 1;
  Object opresult386 = callmethod(opresult385, "++(1)", 1, partcv, params);
// compiled op node returning opresult386 (depth = 6)
  int op_slot_left_353 = gc_frame_newslot(opresult386);
  params[0] = call357;
  partcv[0] = 1;
  Object opresult387 = callmethod(opresult386, "++(1)", 1, partcv, params);
// compiled op node returning opresult387 (depth = 5)
  int op_slot_left_350 = gc_frame_newslot(opresult387);
  params[0] = strlit351;
  partcv[0] = 1;
  Object opresult388 = callmethod(opresult387, "++(1)", 1, partcv, params);
// compiled op node returning opresult388 (depth = 4)
    gc_frame_newslot(opresult388);
    if313 = opresult388;
  }
// compiled if node returning if313 (depth = 3)
    gc_frame_newslot(if313);
    if227 = if313;
  }
// compiled if node returning if227 (depth = 2)
  gc_frame_end(frame);
  return if227;
}
Object meth_ast_pretty_40_1_41_389(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe390 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_depth (depth = 3)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call391 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe390);
// compiled call node returning call391 (depth = 2)
  gc_frame_end(frame);
  return call391;
}
Object meth_ast__apply_40_1_41_395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_each (depth = 4)
  gc_frame_end(frame);
  return *var_each;
}
Object meth_ast_deepCopy392(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "deepCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe393 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block394 = alloc_Block(NULL, NULL, "ast", 192);
  gc_frame_newslot(block394);
// method "_apply(_)"
  block_savedest(block394);
  Object closure395 = createclosure(1, "_apply(1)");
  setclosureframe(closure395, stackframe);
  addtoclosure(closure395, selfslot);
  struct UserObject *uo395 = (struct UserObject*)block394;
  uo395->data[0] = (Object)closure395;
  Method *meth_meth_ast__apply_40_1_41_395 = addmethod2pos(block394, "_apply(1)", &meth_ast__apply_40_1_41_395, 0);
  int argcv_meth_ast__apply_40_1_41_395[] = {1};
  meth_meth_ast__apply_40_1_41_395->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_395);
  meth_meth_ast__apply_40_1_41_395->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_395->definitionLine = 2984;
// compiled block node returning block394 (depth = 3)
  gc_frame_newslot(block394);
// starting to compile member node (depth = 3)
  int callframe397 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call398 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe397);
// compiled member node returning call398 (depth = 3)
  gc_frame_newslot(call398);
// call case 4: self request
  params[0] = block394;
  params[1] = call398;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call399 = callmethodflags(self, "map(1)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe393);
// compiled call node returning call399 (depth = 2)
  gc_frame_end(frame);
  return call399;
}
Object meth_ast_enclosingObject400(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_obj = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "obj");
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe401 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe403 = gc_frame_new();
// call case 4: self request
  Object call404 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe403);
// compiled member node returning call404 (depth = 5)
  Object call405 = callmethodflags(call404, "enclosingObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe402);
// compiled member node returning call405 (depth = 4)
  Object call406 = callmethodflags(call405, "node", 0, partcv, params, 0);
  gc_frame_end(callframe401);
// compiled member node returning call406 (depth = 3)
  *var_obj = call406;
  if (call406 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_obj (depth = 2)
  gc_frame_end(frame);
  return *var_obj;
}
Object meth_ast_addComment_40_1_41_407(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe410 = gc_frame_new();
// call case 4: self request
  Object call411 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe410);
// compiled member node returning call411 (depth = 4)
  int op_slot_right_409 = gc_frame_newslot(call411);
// starting to compile identifier node (depth = 4)
  Object bool413 = alloc_Boolean(0);
// compiled identifier node returning bool413 (depth = 4)
  int op_slot_left_409 = gc_frame_newslot(bool413);
  params[0] = call411;
  partcv[0] = 1;
  Object opresult414 = callmethod(bool413, "==(1)", 1, partcv, params);
// compiled op node returning opresult414 (depth = 3)
  Object if408 = done;
  if (istrue(opresult414)) {
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe415 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 4: self request
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call416 = callmethodflags(self, "comments:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe415);
// compiled call node returning call416 (depth = 3)
    gc_frame_newslot(call416);
    if408 = call416;
  } else {
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe417 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe418 = gc_frame_new();
// call case 4: self request
  Object call419 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe418);
// compiled member node returning call419 (depth = 4)
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call420 = callmethodflags(call419, "extendCommentUsing(1)", 1, partcv, params, 0);
  gc_frame_end(callframe417);
// compiled call node returning call420 (depth = 3)
    gc_frame_newslot(call420);
    if408 = call420;
  }
// compiled if node returning if408 (depth = 2)
  gc_frame_end(frame);
  return if408;
}
Object meth_ast__apply_40_1_41_424(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe425 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call426 = callmethodflags(self, "addComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe425);
// compiled call node returning call426 (depth = 4)
  gc_frame_end(frame);
  return call426;
}
Object meth_ast_addComments_40_1_41_421(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComments(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComments(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComments(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNodeList = &(stackframe->slots[0]);
  *var_cmtNodeList = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComments(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe422 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block423 = alloc_Block(NULL, NULL, "ast", 206);
  gc_frame_newslot(block423);
// method "_apply(_)"
  block_savedest(block423);
  Object closure424 = createclosure(1, "_apply(1)");
  setclosureframe(closure424, stackframe);
  addtoclosure(closure424, selfslot);
  struct UserObject *uo424 = (struct UserObject*)block423;
  uo424->data[0] = (Object)closure424;
  Method *meth_meth_ast__apply_40_1_41_424 = addmethod2pos(block423, "_apply(1)", &meth_ast__apply_40_1_41_424, 0);
  int argcv_meth_ast__apply_40_1_41_424[] = {1};
  meth_meth_ast__apply_40_1_41_424->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_424);
  meth_meth_ast__apply_40_1_41_424->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_424->definitionLine = 2984;
// compiled block node returning block423 (depth = 3)
  gc_frame_newslot(block423);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cmtNodeList (depth = 3)
  params[0] = block423;
  partcv[0] = 1;
  Object call428 = callmethodflags(*var_cmtNodeList, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe422);
// compiled call node returning call428 (depth = 2)
  gc_frame_end(frame);
  return call428;
}
Object meth_ast_statementName429(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe430 = gc_frame_new();
// call case 4: self request
  Object call431 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe430);
// compiled member node returning call431 (depth = 2)
  gc_frame_end(frame);
  return call431;
}
Object meth_ast_baseNode28(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject29 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj29 = alloc_userobj2(68,64, objclass29);
  gc_frame_newslot(obj29);
if (objclass29 == NULL) {
  glfree(obj29->class->name);
  obj29->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj29, self, 0);
  addmethodreal(obj29,"outer", &reader_ast_outer_30);
  Object oldself29 = self;
  struct StackFrameObject *oldstackframe29 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe29);
  gc_frame_newslot((Object)stackframe);
  self = obj29;
  Object *oldselfslot29 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter29 = (*(struct UserObject *)self).data[0], lowerouter29 = thisouter29;
  if (inheritingObject29) {
    struct UserObject *inho29 = (struct UserObject *)inheritingObject29;
    while (inho29->super != GraceDefaultObject) inho29 = (struct UserObject *)inho29->super;
    inho29->super = obj29;
    self = inheritingObject29;
    *selfslot = self;
    lowerouter29 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter29;
  }
if (objclass29 == NULL) {
  Method *reader31 = addmethodrealflags(obj29, "register", &reader_ast_register_31, 0);
  Method *writer31 = addmethodrealflags(obj29, "register:=(1)", &writer_ast_register_31, 0);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 89;
  writer31->definitionLine = 89;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 1);
if (objclass29 == NULL) {
  Method *reader32 = addmethodrealflags(obj29, "line", &reader_ast_line_32, 0);
  Method *writer32 = addmethodrealflags(obj29, "line:=(1)", &writer_ast_line_32, 0);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 90;
  writer32->definitionLine = 90;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 2);
if (objclass29 == NULL) {
  Method *reader33 = addmethodrealflags(obj29, "linePos", &reader_ast_linePos_33, 0);
  Method *writer33 = addmethodrealflags(obj29, "linePos:=(1)", &writer_ast_linePos_33, 0);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 91;
  writer33->definitionLine = 91;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 3);
if (objclass29 == NULL) {
  Method *reader34 = addmethodrealflags(obj29, "symbolTable", &reader_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  Method *writer34 = addmethodrealflags(obj29, "symbolTable:=(1)", &writer_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  reader34->definitionModule = modulename;
  writer34->definitionModule = modulename;
  reader34->definitionLine = 92;
  writer34->definitionLine = 92;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 4);
if (objclass29 == NULL) {
  Method *reader35 = addmethodrealflags(obj29, "comments", &reader_ast_comments_35, 0);
  Method *writer35 = addmethodrealflags(obj29, "comments:=(1)", &writer_ast_comments_35, 0);
  reader35->definitionModule = modulename;
  writer35->definitionModule = modulename;
  reader35->definitionLine = 93;
  writer35->definitionLine = 93;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo36 = (struct UserObject*)obj29;
  uo36->data[6] = emptyclosure;
  Method *meth_meth_ast_setLine_40_1_41_col_40_1_41_36 = addmethod2pos(obj29, "setLine(1)col(1)", &meth_ast_setLine_40_1_41_col_40_1_41_36, 6);
  int argcv_meth_ast_setLine_40_1_41_col_40_1_41_36[] = {1, 1};
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->type = alloc_MethodType(2, argcv_meth_ast_setLine_40_1_41_col_40_1_41_36);
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionModule = modulename;
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionLine = 95;
// method "setPositionFrom(_)"
  struct UserObject *uo41 = (struct UserObject*)obj29;
  uo41->data[7] = emptyclosure;
  Method *meth_meth_ast_setPositionFrom_40_1_41_41 = addmethod2pos(obj29, "setPositionFrom(1)", &meth_ast_setPositionFrom_40_1_41_41, 7);
  int argcv_meth_ast_setPositionFrom_40_1_41_41[] = {1};
  meth_meth_ast_setPositionFrom_40_1_41_41->type = alloc_MethodType(1, argcv_meth_ast_setPositionFrom_40_1_41_41);
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionModule = modulename;
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionLine = 100;
// method "kind"
  struct UserObject *uo50 = (struct UserObject*)obj29;
  uo50->data[8] = emptyclosure;
  Method *meth_meth_ast_kind50 = addmethod2pos(obj29, "kind", &meth_ast_kind50, 8);
  int argcv_meth_ast_kind50[] = {0};
  meth_meth_ast_kind50->type = alloc_MethodType(1, argcv_meth_ast_kind50);
  meth_meth_ast_kind50->definitionModule = modulename;
  meth_meth_ast_kind50->definitionLine = 105;
// method "==(_)"
  struct UserObject *uo53 = (struct UserObject*)obj29;
  uo53->data[9] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_53 = addmethod2pos(obj29, "==(1)", &meth_ast__61__61__40_1_41_53, 9);
  int argcv_meth_ast__61__61__40_1_41_53[] = {1};
  meth_meth_ast__61__61__40_1_41_53->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_53);
  meth_meth_ast__61__61__40_1_41_53->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_53->definitionLine = 106;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo56 = (struct UserObject*)obj29;
  uo56->data[10] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier56 = addmethod2pos(obj29, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier56, 10);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier56[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier56);
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionLine = 107;
// method "isMatchingBlock"
  struct UserObject *uo58 = (struct UserObject*)obj29;
  uo58->data[11] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock58 = addmethod2pos(obj29, "isMatchingBlock", &meth_ast_isMatchingBlock58, 11);
  int argcv_meth_ast_isMatchingBlock58[] = {0};
  meth_meth_ast_isMatchingBlock58->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock58);
  meth_meth_ast_isMatchingBlock58->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock58->definitionLine = 108;
// method "isFieldDec"
  struct UserObject *uo60 = (struct UserObject*)obj29;
  uo60->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec60 = addmethod2pos(obj29, "isFieldDec", &meth_ast_isFieldDec60, 12);
  int argcv_meth_ast_isFieldDec60[] = {0};
  meth_meth_ast_isFieldDec60->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec60);
  meth_meth_ast_isFieldDec60->definitionModule = modulename;
  meth_meth_ast_isFieldDec60->definitionLine = 109;
// method "isInherits"
  struct UserObject *uo62 = (struct UserObject*)obj29;
  uo62->data[13] = emptyclosure;
  Method *meth_meth_ast_isInherits62 = addmethod2pos(obj29, "isInherits", &meth_ast_isInherits62, 13);
  int argcv_meth_ast_isInherits62[] = {0};
  meth_meth_ast_isInherits62->type = alloc_MethodType(1, argcv_meth_ast_isInherits62);
  meth_meth_ast_isInherits62->definitionModule = modulename;
  meth_meth_ast_isInherits62->definitionLine = 110;
// method "isLegalInTrait"
  struct UserObject *uo64 = (struct UserObject*)obj29;
  uo64->data[14] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait64 = addmethod2pos(obj29, "isLegalInTrait", &meth_ast_isLegalInTrait64, 14);
  int argcv_meth_ast_isLegalInTrait64[] = {0};
  meth_meth_ast_isLegalInTrait64->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait64);
  meth_meth_ast_isLegalInTrait64->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait64->definitionLine = 111;
// method "isMember"
  struct UserObject *uo66 = (struct UserObject*)obj29;
  uo66->data[15] = emptyclosure;
  Method *meth_meth_ast_isMember66 = addmethod2pos(obj29, "isMember", &meth_ast_isMember66, 15);
  int argcv_meth_ast_isMember66[] = {0};
  meth_meth_ast_isMember66->type = alloc_MethodType(1, argcv_meth_ast_isMember66);
  meth_meth_ast_isMember66->definitionModule = modulename;
  meth_meth_ast_isMember66->definitionLine = 112;
// method "isMethod"
  struct UserObject *uo68 = (struct UserObject*)obj29;
  uo68->data[16] = emptyclosure;
  Method *meth_meth_ast_isMethod68 = addmethod2pos(obj29, "isMethod", &meth_ast_isMethod68, 16);
  int argcv_meth_ast_isMethod68[] = {0};
  meth_meth_ast_isMethod68->type = alloc_MethodType(1, argcv_meth_ast_isMethod68);
  meth_meth_ast_isMethod68->definitionModule = modulename;
  meth_meth_ast_isMethod68->definitionLine = 113;
// method "isExecutable"
  struct UserObject *uo70 = (struct UserObject*)obj29;
  uo70->data[17] = emptyclosure;
  Method *meth_meth_ast_isExecutable70 = addmethod2pos(obj29, "isExecutable", &meth_ast_isExecutable70, 17);
  int argcv_meth_ast_isExecutable70[] = {0};
  meth_meth_ast_isExecutable70->type = alloc_MethodType(1, argcv_meth_ast_isExecutable70);
  meth_meth_ast_isExecutable70->definitionModule = modulename;
  meth_meth_ast_isExecutable70->definitionLine = 114;
// method "isCall"
  struct UserObject *uo72 = (struct UserObject*)obj29;
  uo72->data[18] = emptyclosure;
  Method *meth_meth_ast_isCall72 = addmethod2pos(obj29, "isCall", &meth_ast_isCall72, 18);
  int argcv_meth_ast_isCall72[] = {0};
  meth_meth_ast_isCall72->type = alloc_MethodType(1, argcv_meth_ast_isCall72);
  meth_meth_ast_isCall72->definitionModule = modulename;
  meth_meth_ast_isCall72->definitionLine = 115;
// method "isComment"
  struct UserObject *uo74 = (struct UserObject*)obj29;
  uo74->data[19] = emptyclosure;
  Method *meth_meth_ast_isComment74 = addmethod2pos(obj29, "isComment", &meth_ast_isComment74, 19);
  int argcv_meth_ast_isComment74[] = {0};
  meth_meth_ast_isComment74->type = alloc_MethodType(1, argcv_meth_ast_isComment74);
  meth_meth_ast_isComment74->definitionModule = modulename;
  meth_meth_ast_isComment74->definitionLine = 116;
// method "isClass"
  struct UserObject *uo76 = (struct UserObject*)obj29;
  uo76->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass76 = addmethod2pos(obj29, "isClass", &meth_ast_isClass76, 20);
  int argcv_meth_ast_isClass76[] = {0};
  meth_meth_ast_isClass76->type = alloc_MethodType(1, argcv_meth_ast_isClass76);
  meth_meth_ast_isClass76->definitionModule = modulename;
  meth_meth_ast_isClass76->definitionLine = 117;
// method "inClass"
  struct UserObject *uo78 = (struct UserObject*)obj29;
  uo78->data[21] = emptyclosure;
  Method *meth_meth_ast_inClass78 = addmethod2pos(obj29, "inClass", &meth_ast_inClass78, 21);
  int argcv_meth_ast_inClass78[] = {0};
  meth_meth_ast_inClass78->type = alloc_MethodType(1, argcv_meth_ast_inClass78);
  meth_meth_ast_inClass78->definitionModule = modulename;
  meth_meth_ast_inClass78->definitionLine = 118;
// method "isTrait"
  struct UserObject *uo80 = (struct UserObject*)obj29;
  uo80->data[22] = emptyclosure;
  Method *meth_meth_ast_isTrait80 = addmethod2pos(obj29, "isTrait", &meth_ast_isTrait80, 22);
  int argcv_meth_ast_isTrait80[] = {0};
  meth_meth_ast_isTrait80->type = alloc_MethodType(1, argcv_meth_ast_isTrait80);
  meth_meth_ast_isTrait80->definitionModule = modulename;
  meth_meth_ast_isTrait80->definitionLine = 119;
// method "inTrait"
  struct UserObject *uo82 = (struct UserObject*)obj29;
  uo82->data[23] = emptyclosure;
  Method *meth_meth_ast_inTrait82 = addmethod2pos(obj29, "inTrait", &meth_ast_inTrait82, 23);
  int argcv_meth_ast_inTrait82[] = {0};
  meth_meth_ast_inTrait82->type = alloc_MethodType(1, argcv_meth_ast_inTrait82);
  meth_meth_ast_inTrait82->definitionModule = modulename;
  meth_meth_ast_inTrait82->definitionLine = 120;
// method "isBind"
  struct UserObject *uo84 = (struct UserObject*)obj29;
  uo84->data[24] = emptyclosure;
  Method *meth_meth_ast_isBind84 = addmethod2pos(obj29, "isBind", &meth_ast_isBind84, 24);
  int argcv_meth_ast_isBind84[] = {0};
  meth_meth_ast_isBind84->type = alloc_MethodType(1, argcv_meth_ast_isBind84);
  meth_meth_ast_isBind84->definitionModule = modulename;
  meth_meth_ast_isBind84->definitionLine = 121;
// method "isSelf"
  struct UserObject *uo86 = (struct UserObject*)obj29;
  uo86->data[25] = emptyclosure;
  Method *meth_meth_ast_isSelf86 = addmethod2pos(obj29, "isSelf", &meth_ast_isSelf86, 25);
  int argcv_meth_ast_isSelf86[] = {0};
  meth_meth_ast_isSelf86->type = alloc_MethodType(1, argcv_meth_ast_isSelf86);
  meth_meth_ast_isSelf86->definitionModule = modulename;
  meth_meth_ast_isSelf86->definitionLine = 122;
// method "isSuper"
  struct UserObject *uo88 = (struct UserObject*)obj29;
  uo88->data[26] = emptyclosure;
  Method *meth_meth_ast_isSuper88 = addmethod2pos(obj29, "isSuper", &meth_ast_isSuper88, 26);
  int argcv_meth_ast_isSuper88[] = {0};
  meth_meth_ast_isSuper88->type = alloc_MethodType(1, argcv_meth_ast_isSuper88);
  meth_meth_ast_isSuper88->definitionModule = modulename;
  meth_meth_ast_isSuper88->definitionLine = 123;
// method "isPrelude"
  struct UserObject *uo90 = (struct UserObject*)obj29;
  uo90->data[27] = emptyclosure;
  Method *meth_meth_ast_isPrelude90 = addmethod2pos(obj29, "isPrelude", &meth_ast_isPrelude90, 27);
  int argcv_meth_ast_isPrelude90[] = {0};
  meth_meth_ast_isPrelude90->type = alloc_MethodType(1, argcv_meth_ast_isPrelude90);
  meth_meth_ast_isPrelude90->definitionModule = modulename;
  meth_meth_ast_isPrelude90->definitionLine = 124;
// method "isOuter"
  struct UserObject *uo92 = (struct UserObject*)obj29;
  uo92->data[28] = emptyclosure;
  Method *meth_meth_ast_isOuter92 = addmethod2pos(obj29, "isOuter", &meth_ast_isOuter92, 28);
  int argcv_meth_ast_isOuter92[] = {0};
  meth_meth_ast_isOuter92->type = alloc_MethodType(1, argcv_meth_ast_isOuter92);
  meth_meth_ast_isOuter92->definitionModule = modulename;
  meth_meth_ast_isOuter92->definitionLine = 125;
// method "isSelfOrOuter"
  struct UserObject *uo94 = (struct UserObject*)obj29;
  uo94->data[29] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter94 = addmethod2pos(obj29, "isSelfOrOuter", &meth_ast_isSelfOrOuter94, 29);
  int argcv_meth_ast_isSelfOrOuter94[] = {0};
  meth_meth_ast_isSelfOrOuter94->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter94);
  meth_meth_ast_isSelfOrOuter94->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter94->definitionLine = 126;
// method "isBlock"
  struct UserObject *uo96 = (struct UserObject*)obj29;
  uo96->data[30] = emptyclosure;
  Method *meth_meth_ast_isBlock96 = addmethod2pos(obj29, "isBlock", &meth_ast_isBlock96, 30);
  int argcv_meth_ast_isBlock96[] = {0};
  meth_meth_ast_isBlock96->type = alloc_MethodType(1, argcv_meth_ast_isBlock96);
  meth_meth_ast_isBlock96->definitionModule = modulename;
  meth_meth_ast_isBlock96->definitionLine = 127;
// method "isObject"
  struct UserObject *uo98 = (struct UserObject*)obj29;
  uo98->data[31] = emptyclosure;
  Method *meth_meth_ast_isObject98 = addmethod2pos(obj29, "isObject", &meth_ast_isObject98, 31);
  int argcv_meth_ast_isObject98[] = {0};
  meth_meth_ast_isObject98->type = alloc_MethodType(1, argcv_meth_ast_isObject98);
  meth_meth_ast_isObject98->definitionModule = modulename;
  meth_meth_ast_isObject98->definitionLine = 128;
// method "isIdentifier"
  struct UserObject *uo100 = (struct UserObject*)obj29;
  uo100->data[32] = emptyclosure;
  Method *meth_meth_ast_isIdentifier100 = addmethod2pos(obj29, "isIdentifier", &meth_ast_isIdentifier100, 32);
  int argcv_meth_ast_isIdentifier100[] = {0};
  meth_meth_ast_isIdentifier100->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier100);
  meth_meth_ast_isIdentifier100->definitionModule = modulename;
  meth_meth_ast_isIdentifier100->definitionLine = 129;
// method "isDialect"
  struct UserObject *uo102 = (struct UserObject*)obj29;
  uo102->data[33] = emptyclosure;
  Method *meth_meth_ast_isDialect102 = addmethod2pos(obj29, "isDialect", &meth_ast_isDialect102, 33);
  int argcv_meth_ast_isDialect102[] = {0};
  meth_meth_ast_isDialect102->type = alloc_MethodType(1, argcv_meth_ast_isDialect102);
  meth_meth_ast_isDialect102->definitionModule = modulename;
  meth_meth_ast_isDialect102->definitionLine = 130;
// method "isImport"
  struct UserObject *uo104 = (struct UserObject*)obj29;
  uo104->data[34] = emptyclosure;
  Method *meth_meth_ast_isImport104 = addmethod2pos(obj29, "isImport", &meth_ast_isImport104, 34);
  int argcv_meth_ast_isImport104[] = {0};
  meth_meth_ast_isImport104->type = alloc_MethodType(1, argcv_meth_ast_isImport104);
  meth_meth_ast_isImport104->definitionModule = modulename;
  meth_meth_ast_isImport104->definitionLine = 131;
// method "isTypeDec"
  struct UserObject *uo106 = (struct UserObject*)obj29;
  uo106->data[35] = emptyclosure;
  Method *meth_meth_ast_isTypeDec106 = addmethod2pos(obj29, "isTypeDec", &meth_ast_isTypeDec106, 35);
  int argcv_meth_ast_isTypeDec106[] = {0};
  meth_meth_ast_isTypeDec106->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec106);
  meth_meth_ast_isTypeDec106->definitionModule = modulename;
  meth_meth_ast_isTypeDec106->definitionLine = 132;
// method "isExternal"
  struct UserObject *uo108 = (struct UserObject*)obj29;
  uo108->data[36] = emptyclosure;
  Method *meth_meth_ast_isExternal108 = addmethod2pos(obj29, "isExternal", &meth_ast_isExternal108, 36);
  int argcv_meth_ast_isExternal108[] = {0};
  meth_meth_ast_isExternal108->type = alloc_MethodType(1, argcv_meth_ast_isExternal108);
  meth_meth_ast_isExternal108->definitionModule = modulename;
  meth_meth_ast_isExternal108->definitionLine = 133;
// method "canInherit"
  struct UserObject *uo110 = (struct UserObject*)obj29;
  uo110->data[37] = emptyclosure;
  Method *meth_meth_ast_canInherit110 = addmethod2pos(obj29, "canInherit", &meth_ast_canInherit110, 37);
  int argcv_meth_ast_canInherit110[] = {0};
  meth_meth_ast_canInherit110->type = alloc_MethodType(1, argcv_meth_ast_canInherit110);
  meth_meth_ast_canInherit110->definitionModule = modulename;
  meth_meth_ast_canInherit110->definitionLine = 134;
// method "returnsObject"
  struct UserObject *uo112 = (struct UserObject*)obj29;
  uo112->data[38] = emptyclosure;
  Method *meth_meth_ast_returnsObject112 = addmethod2pos(obj29, "returnsObject", &meth_ast_returnsObject112, 38);
  int argcv_meth_ast_returnsObject112[] = {0};
  meth_meth_ast_returnsObject112->type = alloc_MethodType(1, argcv_meth_ast_returnsObject112);
  meth_meth_ast_returnsObject112->definitionModule = modulename;
  meth_meth_ast_returnsObject112->definitionLine = 135;
// method "isImplicit"
  struct UserObject *uo114 = (struct UserObject*)obj29;
  uo114->data[39] = emptyclosure;
  Method *meth_meth_ast_isImplicit114 = addmethod2pos(obj29, "isImplicit", &meth_ast_isImplicit114, 39);
  int argcv_meth_ast_isImplicit114[] = {0};
  meth_meth_ast_isImplicit114->type = alloc_MethodType(1, argcv_meth_ast_isImplicit114);
  meth_meth_ast_isImplicit114->definitionModule = modulename;
  meth_meth_ast_isImplicit114->definitionLine = 136;
// method "usesAsType(_)"
  struct UserObject *uo116 = (struct UserObject*)obj29;
  uo116->data[40] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_116 = addmethod2pos(obj29, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_116, 40);
  int argcv_meth_ast_usesAsType_40_1_41_116[] = {1};
  meth_meth_ast_usesAsType_40_1_41_116->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_116);
  meth_meth_ast_usesAsType_40_1_41_116->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_116->definitionLine = 137;
// method "hash"
  struct UserObject *uo118 = (struct UserObject*)obj29;
  uo118->data[41] = emptyclosure;
  Method *meth_meth_ast_hash118 = addmethod2pos(obj29, "hash", &meth_ast_hash118, 41);
  int argcv_meth_ast_hash118[] = {0};
  meth_meth_ast_hash118->type = alloc_MethodType(1, argcv_meth_ast_hash118);
  meth_meth_ast_hash118->definitionModule = modulename;
  meth_meth_ast_hash118->definitionLine = 138;
// method "asString"
  struct UserObject *uo130 = (struct UserObject*)obj29;
  uo130->data[42] = emptyclosure;
  Method *meth_meth_ast_asString130 = addmethod2pos(obj29, "asString", &meth_ast_asString130, 42);
  int argcv_meth_ast_asString130[] = {0};
  meth_meth_ast_asString130->type = alloc_MethodType(1, argcv_meth_ast_asString130);
  meth_meth_ast_asString130->definitionModule = modulename;
  meth_meth_ast_asString130->definitionLine = 139;
// method "nameString"
  struct UserObject *uo150 = (struct UserObject*)obj29;
  uo150->data[43] = emptyclosure;
  Method *meth_meth_ast_nameString150 = addmethod2pos(obj29, "nameString", &meth_ast_nameString150, 43);
  int argcv_meth_ast_nameString150[] = {0};
  meth_meth_ast_nameString150->type = alloc_MethodType(1, argcv_meth_ast_nameString150);
  meth_meth_ast_nameString150->definitionModule = modulename;
  meth_meth_ast_nameString150->definitionLine = 140;
// method "isWritable"
  struct UserObject *uo152 = (struct UserObject*)obj29;
  uo152->data[44] = emptyclosure;
  Method *meth_meth_ast_isWritable152 = addmethod2pos(obj29, "isWritable", &meth_ast_isWritable152, 44);
  int argcv_meth_ast_isWritable152[] = {0};
  meth_meth_ast_isWritable152->type = alloc_MethodType(1, argcv_meth_ast_isWritable152);
  meth_meth_ast_isWritable152->definitionModule = modulename;
  meth_meth_ast_isWritable152->definitionLine = 141;
// method "isReadable"
  struct UserObject *uo154 = (struct UserObject*)obj29;
  uo154->data[45] = emptyclosure;
  Method *meth_meth_ast_isReadable154 = addmethod2pos(obj29, "isReadable", &meth_ast_isReadable154, 45);
  int argcv_meth_ast_isReadable154[] = {0};
  meth_meth_ast_isReadable154->type = alloc_MethodType(1, argcv_meth_ast_isReadable154);
  meth_meth_ast_isReadable154->definitionModule = modulename;
  meth_meth_ast_isReadable154->definitionLine = 142;
// method "isPublic"
  struct UserObject *uo156 = (struct UserObject*)obj29;
  uo156->data[46] = emptyclosure;
  Method *meth_meth_ast_isPublic156 = addmethod2pos(obj29, "isPublic", &meth_ast_isPublic156, 46);
  int argcv_meth_ast_isPublic156[] = {0};
  meth_meth_ast_isPublic156->type = alloc_MethodType(1, argcv_meth_ast_isPublic156);
  meth_meth_ast_isPublic156->definitionModule = modulename;
  meth_meth_ast_isPublic156->definitionLine = 143;
// method "isConfidential"
  struct UserObject *uo158 = (struct UserObject*)obj29;
  uo158->data[47] = emptyclosure;
  Method *meth_meth_ast_isConfidential158 = addmethod2pos(obj29, "isConfidential", &meth_ast_isConfidential158, 47);
  int argcv_meth_ast_isConfidential158[] = {0};
  meth_meth_ast_isConfidential158->type = alloc_MethodType(1, argcv_meth_ast_isConfidential158);
  meth_meth_ast_isConfidential158->definitionModule = modulename;
  meth_meth_ast_isConfidential158->definitionLine = 144;
// method "decType"
  block_savedest(obj29);
  Object closure163 = createclosure(1, "decType");
  setclosureframe(closure163, stackframe);
  addtoclosure(closure163, var_unknownType);
  struct UserObject *uo163 = (struct UserObject*)obj29;
  uo163->data[48] = (Object)closure163;
  Method *meth_meth_ast_decType163 = addmethod2pos(obj29, "decType", &meth_ast_decType163, 48);
  int argcv_meth_ast_decType163[] = {0};
  meth_meth_ast_decType163->type = alloc_MethodType(1, argcv_meth_ast_decType163);
  meth_meth_ast_decType163->definitionModule = modulename;
  meth_meth_ast_decType163->definitionLine = 145;
// method "isSimple"
  struct UserObject *uo173 = (struct UserObject*)obj29;
  uo173->data[49] = emptyclosure;
  Method *meth_meth_ast_isSimple173 = addmethod2pos(obj29, "isSimple", &meth_ast_isSimple173, 49);
  int argcv_meth_ast_isSimple173[] = {0};
  meth_meth_ast_isSimple173->type = alloc_MethodType(1, argcv_meth_ast_isSimple173);
  meth_meth_ast_isSimple173->definitionModule = modulename;
  meth_meth_ast_isSimple173->definitionLine = 151;
// method "isDelimited"
  struct UserObject *uo175 = (struct UserObject*)obj29;
  uo175->data[50] = emptyclosure;
  Method *meth_meth_ast_isDelimited175 = addmethod2pos(obj29, "isDelimited", &meth_ast_isDelimited175, 50);
  int argcv_meth_ast_isDelimited175[] = {0};
  meth_meth_ast_isDelimited175->type = alloc_MethodType(1, argcv_meth_ast_isDelimited175);
  meth_meth_ast_isDelimited175->definitionModule = modulename;
  meth_meth_ast_isDelimited175->definitionLine = 152;
// method "description"
  struct UserObject *uo177 = (struct UserObject*)obj29;
  uo177->data[51] = emptyclosure;
  Method *meth_meth_ast_description177 = addmethod2pos(obj29, "description", &meth_ast_description177, 51);
  int argcv_meth_ast_description177[] = {0};
  meth_meth_ast_description177->type = alloc_MethodType(1, argcv_meth_ast_description177);
  meth_meth_ast_description177->definitionModule = modulename;
  meth_meth_ast_description177->definitionLine = 153;
// method "accept(_)"
  block_savedest(obj29);
  Object closure180 = createclosure(1, "accept(1)");
  setclosureframe(closure180, stackframe);
  addtoclosure(closure180, var_ancestorChain);
  struct UserObject *uo180 = (struct UserObject*)obj29;
  uo180->data[52] = (Object)closure180;
  Method *meth_meth_ast_accept_40_1_41_180 = addmethod2pos(obj29, "accept(1)", &meth_ast_accept_40_1_41_180, 52);
  int argcv_meth_ast_accept_40_1_41_180[] = {1};
  meth_meth_ast_accept_40_1_41_180->type = alloc_MethodType(1, argcv_meth_ast_accept_40_1_41_180);
  meth_meth_ast_accept_40_1_41_180->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_180->definitionLine = 154;
// method "scope"
  struct UserObject *uo185 = (struct UserObject*)obj29;
  uo185->data[53] = emptyclosure;
  Method *meth_meth_ast_scope185 = addmethod2pos(obj29, "scope", &meth_ast_scope185, 53);
  int argcv_meth_ast_scope185[] = {0};
  meth_meth_ast_scope185->type = alloc_MethodType(1, argcv_meth_ast_scope185);
  meth_meth_ast_scope185->definitionModule = modulename;
  meth_meth_ast_scope185->definitionLine = 157;
// method "scope:=(_)"
  struct UserObject *uo188 = (struct UserObject*)obj29;
  uo188->data[54] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_188 = addmethod2pos(obj29, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_188, 54);
  int argcv_meth_ast_scope_58__61__40_1_41_188[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_188->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_188);
  meth_meth_ast_scope_58__61__40_1_41_188->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_188->definitionLine = 159;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo191 = (struct UserObject*)obj29;
  uo191->data[55] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191 = addmethod2pos(obj29, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_191, 55);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_191[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_191);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->definitionLine = 166;
// method "postCopy(_)"
  struct UserObject *uo210 = (struct UserObject*)obj29;
  uo210->data[56] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_210 = addmethod2pos(obj29, "postCopy(1)", &meth_ast_postCopy_40_1_41_210, 56);
  int argcv_meth_ast_postCopy_40_1_41_210[] = {1};
  meth_meth_ast_postCopy_40_1_41_210->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_210);
  meth_meth_ast_postCopy_40_1_41_210->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_210->definitionLine = 174;
// method "basePretty(_)"
  block_savedest(obj29);
  Object closure211 = createclosure(1, "basePretty(1)");
  setclosureframe(closure211, stackframe);
  addtoclosure(closure211, var_util);
  struct UserObject *uo211 = (struct UserObject*)obj29;
  uo211->data[57] = (Object)closure211;
  Method *meth_meth_ast_basePretty_40_1_41_211 = addmethod2pos(obj29, "basePretty(1)", &meth_ast_basePretty_40_1_41_211, 57);
  int argcv_meth_ast_basePretty_40_1_41_211[] = {1};
  meth_meth_ast_basePretty_40_1_41_211->type = alloc_MethodType(1, argcv_meth_ast_basePretty_40_1_41_211);
  meth_meth_ast_basePretty_40_1_41_211->definitionModule = modulename;
  meth_meth_ast_basePretty_40_1_41_211->definitionLine = 177;
// method "pretty(_)"
  struct UserObject *uo389 = (struct UserObject*)obj29;
  uo389->data[58] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_389 = addmethod2pos(obj29, "pretty(1)", &meth_ast_pretty_40_1_41_389, 58);
  int argcv_meth_ast_pretty_40_1_41_389[] = {1};
  meth_meth_ast_pretty_40_1_41_389->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_389);
  meth_meth_ast_pretty_40_1_41_389->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_389->definitionLine = 190;
// method "deepCopy"
  block_savedest(obj29);
  Object closure392 = createclosure(1, "deepCopy");
  setclosureframe(closure392, stackframe);
  addtoclosure(closure392, var_ancestorChain);
  struct UserObject *uo392 = (struct UserObject*)obj29;
  uo392->data[59] = (Object)closure392;
  Method *meth_meth_ast_deepCopy392 = addmethod2pos(obj29, "deepCopy", &meth_ast_deepCopy392, 59);
  int argcv_meth_ast_deepCopy392[] = {0};
  meth_meth_ast_deepCopy392->type = alloc_MethodType(1, argcv_meth_ast_deepCopy392);
  meth_meth_ast_deepCopy392->definitionModule = modulename;
  meth_meth_ast_deepCopy392->definitionLine = 191;
// method "enclosingObject"
  struct UserObject *uo400 = (struct UserObject*)obj29;
  uo400->data[60] = emptyclosure;
  Method *meth_meth_ast_enclosingObject400 = addmethod2pos(obj29, "enclosingObject", &meth_ast_enclosingObject400, 60);
  int argcv_meth_ast_enclosingObject400[] = {0};
  meth_meth_ast_enclosingObject400->type = alloc_MethodType(1, argcv_meth_ast_enclosingObject400);
  meth_meth_ast_enclosingObject400->definitionModule = modulename;
  meth_meth_ast_enclosingObject400->definitionLine = 194;
// method "addComment(_)"
  struct UserObject *uo407 = (struct UserObject*)obj29;
  uo407->data[61] = emptyclosure;
  Method *meth_meth_ast_addComment_40_1_41_407 = addmethod2pos(obj29, "addComment(1)", &meth_ast_addComment_40_1_41_407, 61);
  int argcv_meth_ast_addComment_40_1_41_407[] = {1};
  meth_meth_ast_addComment_40_1_41_407->type = alloc_MethodType(1, argcv_meth_ast_addComment_40_1_41_407);
  meth_meth_ast_addComment_40_1_41_407->definitionModule = modulename;
  meth_meth_ast_addComment_40_1_41_407->definitionLine = 198;
// method "addComments(_)"
  struct UserObject *uo421 = (struct UserObject*)obj29;
  uo421->data[62] = emptyclosure;
  Method *meth_meth_ast_addComments_40_1_41_421 = addmethod2pos(obj29, "addComments(1)", &meth_ast_addComments_40_1_41_421, 62);
  int argcv_meth_ast_addComments_40_1_41_421[] = {1};
  meth_meth_ast_addComments_40_1_41_421->type = alloc_MethodType(1, argcv_meth_ast_addComments_40_1_41_421);
  meth_meth_ast_addComments_40_1_41_421->definitionModule = modulename;
  meth_meth_ast_addComments_40_1_41_421->definitionLine = 205;
// method "statementName"
  struct UserObject *uo429 = (struct UserObject*)obj29;
  uo429->data[63] = emptyclosure;
  Method *meth_meth_ast_statementName429 = addmethod2pos(obj29, "statementName", &meth_ast_statementName429, 63);
  int argcv_meth_ast_statementName429[] = {0};
  meth_meth_ast_statementName429->type = alloc_MethodType(1, argcv_meth_ast_statementName429);
  meth_meth_ast_statementName429->definitionModule = modulename;
  meth_meth_ast_statementName429->definitionLine = 208;
  sourceObject = obj29;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit432 == NULL) {
    strlit432 = alloc_String("");
    gc_root(strlit432);
  }
// compiled string node returning strlit432 (depth = 2)
  adddatum2(obj29, strlit432, 1);
  sourceObject = obj29;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe433 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call434 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe433);
// compiled member node returning call434 (depth = 2)
  adddatum2(obj29, call434, 2);
  sourceObject = obj29;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe435 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call436 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe435);
// compiled member node returning call436 (depth = 2)
  adddatum2(obj29, call436, 3);
  sourceObject = obj29;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj29, *var_fakeSymbolTable, 4);
  sourceObject = obj29;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool437 = alloc_Boolean(0);
// compiled identifier node returning bool437 (depth = 2)
  adddatum2(obj29, bool437, 5);
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  objclass29 = obj29->class;
  objclass29->definitionModule = modulename;
  objclass29->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter29;
  self = oldself29;
  selfslot = oldselfslot29;
  stackframe = oldstackframe29;
  gc_frame_end(frame);
  return obj29;
}
Object meth_ast_baseNode28_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject29 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj29 = alloc_userobj2(68,64, objclass29);
  gc_frame_newslot(obj29);
if (objclass29 == NULL) {
  glfree(obj29->class->name);
  obj29->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj29, self, 0);
  addmethodreal(obj29,"outer", &reader_ast_outer_30);
  Object oldself29 = self;
  struct StackFrameObject *oldstackframe29 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe29);
  gc_frame_newslot((Object)stackframe);
  self = obj29;
  Object *oldselfslot29 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter29 = (*(struct UserObject *)self).data[0], lowerouter29 = thisouter29;
  if (inheritingObject29) {
    struct UserObject *inho29 = (struct UserObject *)inheritingObject29;
    while (inho29->super != GraceDefaultObject) inho29 = (struct UserObject *)inho29->super;
    inho29->super = obj29;
    self = inheritingObject29;
    *selfslot = self;
    lowerouter29 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter29;
  }
if (objclass29 == NULL) {
  Method *reader31 = addmethodrealflags(obj29, "register", &reader_ast_register_31, 0);
  Method *writer31 = addmethodrealflags(obj29, "register:=(1)", &writer_ast_register_31, 0);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 89;
  writer31->definitionLine = 89;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 1);
if (objclass29 == NULL) {
  Method *reader32 = addmethodrealflags(obj29, "line", &reader_ast_line_32, 0);
  Method *writer32 = addmethodrealflags(obj29, "line:=(1)", &writer_ast_line_32, 0);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 90;
  writer32->definitionLine = 90;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 2);
if (objclass29 == NULL) {
  Method *reader33 = addmethodrealflags(obj29, "linePos", &reader_ast_linePos_33, 0);
  Method *writer33 = addmethodrealflags(obj29, "linePos:=(1)", &writer_ast_linePos_33, 0);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 91;
  writer33->definitionLine = 91;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 3);
if (objclass29 == NULL) {
  Method *reader34 = addmethodrealflags(obj29, "symbolTable", &reader_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  Method *writer34 = addmethodrealflags(obj29, "symbolTable:=(1)", &writer_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  reader34->definitionModule = modulename;
  writer34->definitionModule = modulename;
  reader34->definitionLine = 92;
  writer34->definitionLine = 92;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 4);
if (objclass29 == NULL) {
  Method *reader35 = addmethodrealflags(obj29, "comments", &reader_ast_comments_35, 0);
  Method *writer35 = addmethodrealflags(obj29, "comments:=(1)", &writer_ast_comments_35, 0);
  reader35->definitionModule = modulename;
  writer35->definitionModule = modulename;
  reader35->definitionLine = 93;
  writer35->definitionLine = 93;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo36 = (struct UserObject*)obj29;
  uo36->data[6] = emptyclosure;
  Method *meth_meth_ast_setLine_40_1_41_col_40_1_41_36 = addmethod2pos(obj29, "setLine(1)col(1)", &meth_ast_setLine_40_1_41_col_40_1_41_36, 6);
  int argcv_meth_ast_setLine_40_1_41_col_40_1_41_36[] = {1, 1};
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->type = alloc_MethodType(2, argcv_meth_ast_setLine_40_1_41_col_40_1_41_36);
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionModule = modulename;
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionLine = 95;
// method "setPositionFrom(_)"
  struct UserObject *uo41 = (struct UserObject*)obj29;
  uo41->data[7] = emptyclosure;
  Method *meth_meth_ast_setPositionFrom_40_1_41_41 = addmethod2pos(obj29, "setPositionFrom(1)", &meth_ast_setPositionFrom_40_1_41_41, 7);
  int argcv_meth_ast_setPositionFrom_40_1_41_41[] = {1};
  meth_meth_ast_setPositionFrom_40_1_41_41->type = alloc_MethodType(1, argcv_meth_ast_setPositionFrom_40_1_41_41);
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionModule = modulename;
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionLine = 100;
// method "kind"
  struct UserObject *uo50 = (struct UserObject*)obj29;
  uo50->data[8] = emptyclosure;
  Method *meth_meth_ast_kind50 = addmethod2pos(obj29, "kind", &meth_ast_kind50, 8);
  int argcv_meth_ast_kind50[] = {0};
  meth_meth_ast_kind50->type = alloc_MethodType(1, argcv_meth_ast_kind50);
  meth_meth_ast_kind50->definitionModule = modulename;
  meth_meth_ast_kind50->definitionLine = 105;
// method "==(_)"
  struct UserObject *uo53 = (struct UserObject*)obj29;
  uo53->data[9] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_53 = addmethod2pos(obj29, "==(1)", &meth_ast__61__61__40_1_41_53, 9);
  int argcv_meth_ast__61__61__40_1_41_53[] = {1};
  meth_meth_ast__61__61__40_1_41_53->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_53);
  meth_meth_ast__61__61__40_1_41_53->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_53->definitionLine = 106;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo56 = (struct UserObject*)obj29;
  uo56->data[10] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier56 = addmethod2pos(obj29, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier56, 10);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier56[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier56);
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionLine = 107;
// method "isMatchingBlock"
  struct UserObject *uo58 = (struct UserObject*)obj29;
  uo58->data[11] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock58 = addmethod2pos(obj29, "isMatchingBlock", &meth_ast_isMatchingBlock58, 11);
  int argcv_meth_ast_isMatchingBlock58[] = {0};
  meth_meth_ast_isMatchingBlock58->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock58);
  meth_meth_ast_isMatchingBlock58->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock58->definitionLine = 108;
// method "isFieldDec"
  struct UserObject *uo60 = (struct UserObject*)obj29;
  uo60->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec60 = addmethod2pos(obj29, "isFieldDec", &meth_ast_isFieldDec60, 12);
  int argcv_meth_ast_isFieldDec60[] = {0};
  meth_meth_ast_isFieldDec60->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec60);
  meth_meth_ast_isFieldDec60->definitionModule = modulename;
  meth_meth_ast_isFieldDec60->definitionLine = 109;
// method "isInherits"
  struct UserObject *uo62 = (struct UserObject*)obj29;
  uo62->data[13] = emptyclosure;
  Method *meth_meth_ast_isInherits62 = addmethod2pos(obj29, "isInherits", &meth_ast_isInherits62, 13);
  int argcv_meth_ast_isInherits62[] = {0};
  meth_meth_ast_isInherits62->type = alloc_MethodType(1, argcv_meth_ast_isInherits62);
  meth_meth_ast_isInherits62->definitionModule = modulename;
  meth_meth_ast_isInherits62->definitionLine = 110;
// method "isLegalInTrait"
  struct UserObject *uo64 = (struct UserObject*)obj29;
  uo64->data[14] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait64 = addmethod2pos(obj29, "isLegalInTrait", &meth_ast_isLegalInTrait64, 14);
  int argcv_meth_ast_isLegalInTrait64[] = {0};
  meth_meth_ast_isLegalInTrait64->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait64);
  meth_meth_ast_isLegalInTrait64->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait64->definitionLine = 111;
// method "isMember"
  struct UserObject *uo66 = (struct UserObject*)obj29;
  uo66->data[15] = emptyclosure;
  Method *meth_meth_ast_isMember66 = addmethod2pos(obj29, "isMember", &meth_ast_isMember66, 15);
  int argcv_meth_ast_isMember66[] = {0};
  meth_meth_ast_isMember66->type = alloc_MethodType(1, argcv_meth_ast_isMember66);
  meth_meth_ast_isMember66->definitionModule = modulename;
  meth_meth_ast_isMember66->definitionLine = 112;
// method "isMethod"
  struct UserObject *uo68 = (struct UserObject*)obj29;
  uo68->data[16] = emptyclosure;
  Method *meth_meth_ast_isMethod68 = addmethod2pos(obj29, "isMethod", &meth_ast_isMethod68, 16);
  int argcv_meth_ast_isMethod68[] = {0};
  meth_meth_ast_isMethod68->type = alloc_MethodType(1, argcv_meth_ast_isMethod68);
  meth_meth_ast_isMethod68->definitionModule = modulename;
  meth_meth_ast_isMethod68->definitionLine = 113;
// method "isExecutable"
  struct UserObject *uo70 = (struct UserObject*)obj29;
  uo70->data[17] = emptyclosure;
  Method *meth_meth_ast_isExecutable70 = addmethod2pos(obj29, "isExecutable", &meth_ast_isExecutable70, 17);
  int argcv_meth_ast_isExecutable70[] = {0};
  meth_meth_ast_isExecutable70->type = alloc_MethodType(1, argcv_meth_ast_isExecutable70);
  meth_meth_ast_isExecutable70->definitionModule = modulename;
  meth_meth_ast_isExecutable70->definitionLine = 114;
// method "isCall"
  struct UserObject *uo72 = (struct UserObject*)obj29;
  uo72->data[18] = emptyclosure;
  Method *meth_meth_ast_isCall72 = addmethod2pos(obj29, "isCall", &meth_ast_isCall72, 18);
  int argcv_meth_ast_isCall72[] = {0};
  meth_meth_ast_isCall72->type = alloc_MethodType(1, argcv_meth_ast_isCall72);
  meth_meth_ast_isCall72->definitionModule = modulename;
  meth_meth_ast_isCall72->definitionLine = 115;
// method "isComment"
  struct UserObject *uo74 = (struct UserObject*)obj29;
  uo74->data[19] = emptyclosure;
  Method *meth_meth_ast_isComment74 = addmethod2pos(obj29, "isComment", &meth_ast_isComment74, 19);
  int argcv_meth_ast_isComment74[] = {0};
  meth_meth_ast_isComment74->type = alloc_MethodType(1, argcv_meth_ast_isComment74);
  meth_meth_ast_isComment74->definitionModule = modulename;
  meth_meth_ast_isComment74->definitionLine = 116;
// method "isClass"
  struct UserObject *uo76 = (struct UserObject*)obj29;
  uo76->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass76 = addmethod2pos(obj29, "isClass", &meth_ast_isClass76, 20);
  int argcv_meth_ast_isClass76[] = {0};
  meth_meth_ast_isClass76->type = alloc_MethodType(1, argcv_meth_ast_isClass76);
  meth_meth_ast_isClass76->definitionModule = modulename;
  meth_meth_ast_isClass76->definitionLine = 117;
// method "inClass"
  struct UserObject *uo78 = (struct UserObject*)obj29;
  uo78->data[21] = emptyclosure;
  Method *meth_meth_ast_inClass78 = addmethod2pos(obj29, "inClass", &meth_ast_inClass78, 21);
  int argcv_meth_ast_inClass78[] = {0};
  meth_meth_ast_inClass78->type = alloc_MethodType(1, argcv_meth_ast_inClass78);
  meth_meth_ast_inClass78->definitionModule = modulename;
  meth_meth_ast_inClass78->definitionLine = 118;
// method "isTrait"
  struct UserObject *uo80 = (struct UserObject*)obj29;
  uo80->data[22] = emptyclosure;
  Method *meth_meth_ast_isTrait80 = addmethod2pos(obj29, "isTrait", &meth_ast_isTrait80, 22);
  int argcv_meth_ast_isTrait80[] = {0};
  meth_meth_ast_isTrait80->type = alloc_MethodType(1, argcv_meth_ast_isTrait80);
  meth_meth_ast_isTrait80->definitionModule = modulename;
  meth_meth_ast_isTrait80->definitionLine = 119;
// method "inTrait"
  struct UserObject *uo82 = (struct UserObject*)obj29;
  uo82->data[23] = emptyclosure;
  Method *meth_meth_ast_inTrait82 = addmethod2pos(obj29, "inTrait", &meth_ast_inTrait82, 23);
  int argcv_meth_ast_inTrait82[] = {0};
  meth_meth_ast_inTrait82->type = alloc_MethodType(1, argcv_meth_ast_inTrait82);
  meth_meth_ast_inTrait82->definitionModule = modulename;
  meth_meth_ast_inTrait82->definitionLine = 120;
// method "isBind"
  struct UserObject *uo84 = (struct UserObject*)obj29;
  uo84->data[24] = emptyclosure;
  Method *meth_meth_ast_isBind84 = addmethod2pos(obj29, "isBind", &meth_ast_isBind84, 24);
  int argcv_meth_ast_isBind84[] = {0};
  meth_meth_ast_isBind84->type = alloc_MethodType(1, argcv_meth_ast_isBind84);
  meth_meth_ast_isBind84->definitionModule = modulename;
  meth_meth_ast_isBind84->definitionLine = 121;
// method "isSelf"
  struct UserObject *uo86 = (struct UserObject*)obj29;
  uo86->data[25] = emptyclosure;
  Method *meth_meth_ast_isSelf86 = addmethod2pos(obj29, "isSelf", &meth_ast_isSelf86, 25);
  int argcv_meth_ast_isSelf86[] = {0};
  meth_meth_ast_isSelf86->type = alloc_MethodType(1, argcv_meth_ast_isSelf86);
  meth_meth_ast_isSelf86->definitionModule = modulename;
  meth_meth_ast_isSelf86->definitionLine = 122;
// method "isSuper"
  struct UserObject *uo88 = (struct UserObject*)obj29;
  uo88->data[26] = emptyclosure;
  Method *meth_meth_ast_isSuper88 = addmethod2pos(obj29, "isSuper", &meth_ast_isSuper88, 26);
  int argcv_meth_ast_isSuper88[] = {0};
  meth_meth_ast_isSuper88->type = alloc_MethodType(1, argcv_meth_ast_isSuper88);
  meth_meth_ast_isSuper88->definitionModule = modulename;
  meth_meth_ast_isSuper88->definitionLine = 123;
// method "isPrelude"
  struct UserObject *uo90 = (struct UserObject*)obj29;
  uo90->data[27] = emptyclosure;
  Method *meth_meth_ast_isPrelude90 = addmethod2pos(obj29, "isPrelude", &meth_ast_isPrelude90, 27);
  int argcv_meth_ast_isPrelude90[] = {0};
  meth_meth_ast_isPrelude90->type = alloc_MethodType(1, argcv_meth_ast_isPrelude90);
  meth_meth_ast_isPrelude90->definitionModule = modulename;
  meth_meth_ast_isPrelude90->definitionLine = 124;
// method "isOuter"
  struct UserObject *uo92 = (struct UserObject*)obj29;
  uo92->data[28] = emptyclosure;
  Method *meth_meth_ast_isOuter92 = addmethod2pos(obj29, "isOuter", &meth_ast_isOuter92, 28);
  int argcv_meth_ast_isOuter92[] = {0};
  meth_meth_ast_isOuter92->type = alloc_MethodType(1, argcv_meth_ast_isOuter92);
  meth_meth_ast_isOuter92->definitionModule = modulename;
  meth_meth_ast_isOuter92->definitionLine = 125;
// method "isSelfOrOuter"
  struct UserObject *uo94 = (struct UserObject*)obj29;
  uo94->data[29] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter94 = addmethod2pos(obj29, "isSelfOrOuter", &meth_ast_isSelfOrOuter94, 29);
  int argcv_meth_ast_isSelfOrOuter94[] = {0};
  meth_meth_ast_isSelfOrOuter94->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter94);
  meth_meth_ast_isSelfOrOuter94->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter94->definitionLine = 126;
// method "isBlock"
  struct UserObject *uo96 = (struct UserObject*)obj29;
  uo96->data[30] = emptyclosure;
  Method *meth_meth_ast_isBlock96 = addmethod2pos(obj29, "isBlock", &meth_ast_isBlock96, 30);
  int argcv_meth_ast_isBlock96[] = {0};
  meth_meth_ast_isBlock96->type = alloc_MethodType(1, argcv_meth_ast_isBlock96);
  meth_meth_ast_isBlock96->definitionModule = modulename;
  meth_meth_ast_isBlock96->definitionLine = 127;
// method "isObject"
  struct UserObject *uo98 = (struct UserObject*)obj29;
  uo98->data[31] = emptyclosure;
  Method *meth_meth_ast_isObject98 = addmethod2pos(obj29, "isObject", &meth_ast_isObject98, 31);
  int argcv_meth_ast_isObject98[] = {0};
  meth_meth_ast_isObject98->type = alloc_MethodType(1, argcv_meth_ast_isObject98);
  meth_meth_ast_isObject98->definitionModule = modulename;
  meth_meth_ast_isObject98->definitionLine = 128;
// method "isIdentifier"
  struct UserObject *uo100 = (struct UserObject*)obj29;
  uo100->data[32] = emptyclosure;
  Method *meth_meth_ast_isIdentifier100 = addmethod2pos(obj29, "isIdentifier", &meth_ast_isIdentifier100, 32);
  int argcv_meth_ast_isIdentifier100[] = {0};
  meth_meth_ast_isIdentifier100->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier100);
  meth_meth_ast_isIdentifier100->definitionModule = modulename;
  meth_meth_ast_isIdentifier100->definitionLine = 129;
// method "isDialect"
  struct UserObject *uo102 = (struct UserObject*)obj29;
  uo102->data[33] = emptyclosure;
  Method *meth_meth_ast_isDialect102 = addmethod2pos(obj29, "isDialect", &meth_ast_isDialect102, 33);
  int argcv_meth_ast_isDialect102[] = {0};
  meth_meth_ast_isDialect102->type = alloc_MethodType(1, argcv_meth_ast_isDialect102);
  meth_meth_ast_isDialect102->definitionModule = modulename;
  meth_meth_ast_isDialect102->definitionLine = 130;
// method "isImport"
  struct UserObject *uo104 = (struct UserObject*)obj29;
  uo104->data[34] = emptyclosure;
  Method *meth_meth_ast_isImport104 = addmethod2pos(obj29, "isImport", &meth_ast_isImport104, 34);
  int argcv_meth_ast_isImport104[] = {0};
  meth_meth_ast_isImport104->type = alloc_MethodType(1, argcv_meth_ast_isImport104);
  meth_meth_ast_isImport104->definitionModule = modulename;
  meth_meth_ast_isImport104->definitionLine = 131;
// method "isTypeDec"
  struct UserObject *uo106 = (struct UserObject*)obj29;
  uo106->data[35] = emptyclosure;
  Method *meth_meth_ast_isTypeDec106 = addmethod2pos(obj29, "isTypeDec", &meth_ast_isTypeDec106, 35);
  int argcv_meth_ast_isTypeDec106[] = {0};
  meth_meth_ast_isTypeDec106->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec106);
  meth_meth_ast_isTypeDec106->definitionModule = modulename;
  meth_meth_ast_isTypeDec106->definitionLine = 132;
// method "isExternal"
  struct UserObject *uo108 = (struct UserObject*)obj29;
  uo108->data[36] = emptyclosure;
  Method *meth_meth_ast_isExternal108 = addmethod2pos(obj29, "isExternal", &meth_ast_isExternal108, 36);
  int argcv_meth_ast_isExternal108[] = {0};
  meth_meth_ast_isExternal108->type = alloc_MethodType(1, argcv_meth_ast_isExternal108);
  meth_meth_ast_isExternal108->definitionModule = modulename;
  meth_meth_ast_isExternal108->definitionLine = 133;
// method "canInherit"
  struct UserObject *uo110 = (struct UserObject*)obj29;
  uo110->data[37] = emptyclosure;
  Method *meth_meth_ast_canInherit110 = addmethod2pos(obj29, "canInherit", &meth_ast_canInherit110, 37);
  int argcv_meth_ast_canInherit110[] = {0};
  meth_meth_ast_canInherit110->type = alloc_MethodType(1, argcv_meth_ast_canInherit110);
  meth_meth_ast_canInherit110->definitionModule = modulename;
  meth_meth_ast_canInherit110->definitionLine = 134;
// method "returnsObject"
  struct UserObject *uo112 = (struct UserObject*)obj29;
  uo112->data[38] = emptyclosure;
  Method *meth_meth_ast_returnsObject112 = addmethod2pos(obj29, "returnsObject", &meth_ast_returnsObject112, 38);
  int argcv_meth_ast_returnsObject112[] = {0};
  meth_meth_ast_returnsObject112->type = alloc_MethodType(1, argcv_meth_ast_returnsObject112);
  meth_meth_ast_returnsObject112->definitionModule = modulename;
  meth_meth_ast_returnsObject112->definitionLine = 135;
// method "isImplicit"
  struct UserObject *uo114 = (struct UserObject*)obj29;
  uo114->data[39] = emptyclosure;
  Method *meth_meth_ast_isImplicit114 = addmethod2pos(obj29, "isImplicit", &meth_ast_isImplicit114, 39);
  int argcv_meth_ast_isImplicit114[] = {0};
  meth_meth_ast_isImplicit114->type = alloc_MethodType(1, argcv_meth_ast_isImplicit114);
  meth_meth_ast_isImplicit114->definitionModule = modulename;
  meth_meth_ast_isImplicit114->definitionLine = 136;
// method "usesAsType(_)"
  struct UserObject *uo116 = (struct UserObject*)obj29;
  uo116->data[40] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_116 = addmethod2pos(obj29, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_116, 40);
  int argcv_meth_ast_usesAsType_40_1_41_116[] = {1};
  meth_meth_ast_usesAsType_40_1_41_116->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_116);
  meth_meth_ast_usesAsType_40_1_41_116->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_116->definitionLine = 137;
// method "hash"
  struct UserObject *uo118 = (struct UserObject*)obj29;
  uo118->data[41] = emptyclosure;
  Method *meth_meth_ast_hash118 = addmethod2pos(obj29, "hash", &meth_ast_hash118, 41);
  int argcv_meth_ast_hash118[] = {0};
  meth_meth_ast_hash118->type = alloc_MethodType(1, argcv_meth_ast_hash118);
  meth_meth_ast_hash118->definitionModule = modulename;
  meth_meth_ast_hash118->definitionLine = 138;
// method "asString"
  struct UserObject *uo130 = (struct UserObject*)obj29;
  uo130->data[42] = emptyclosure;
  Method *meth_meth_ast_asString130 = addmethod2pos(obj29, "asString", &meth_ast_asString130, 42);
  int argcv_meth_ast_asString130[] = {0};
  meth_meth_ast_asString130->type = alloc_MethodType(1, argcv_meth_ast_asString130);
  meth_meth_ast_asString130->definitionModule = modulename;
  meth_meth_ast_asString130->definitionLine = 139;
// method "nameString"
  struct UserObject *uo150 = (struct UserObject*)obj29;
  uo150->data[43] = emptyclosure;
  Method *meth_meth_ast_nameString150 = addmethod2pos(obj29, "nameString", &meth_ast_nameString150, 43);
  int argcv_meth_ast_nameString150[] = {0};
  meth_meth_ast_nameString150->type = alloc_MethodType(1, argcv_meth_ast_nameString150);
  meth_meth_ast_nameString150->definitionModule = modulename;
  meth_meth_ast_nameString150->definitionLine = 140;
// method "isWritable"
  struct UserObject *uo152 = (struct UserObject*)obj29;
  uo152->data[44] = emptyclosure;
  Method *meth_meth_ast_isWritable152 = addmethod2pos(obj29, "isWritable", &meth_ast_isWritable152, 44);
  int argcv_meth_ast_isWritable152[] = {0};
  meth_meth_ast_isWritable152->type = alloc_MethodType(1, argcv_meth_ast_isWritable152);
  meth_meth_ast_isWritable152->definitionModule = modulename;
  meth_meth_ast_isWritable152->definitionLine = 141;
// method "isReadable"
  struct UserObject *uo154 = (struct UserObject*)obj29;
  uo154->data[45] = emptyclosure;
  Method *meth_meth_ast_isReadable154 = addmethod2pos(obj29, "isReadable", &meth_ast_isReadable154, 45);
  int argcv_meth_ast_isReadable154[] = {0};
  meth_meth_ast_isReadable154->type = alloc_MethodType(1, argcv_meth_ast_isReadable154);
  meth_meth_ast_isReadable154->definitionModule = modulename;
  meth_meth_ast_isReadable154->definitionLine = 142;
// method "isPublic"
  struct UserObject *uo156 = (struct UserObject*)obj29;
  uo156->data[46] = emptyclosure;
  Method *meth_meth_ast_isPublic156 = addmethod2pos(obj29, "isPublic", &meth_ast_isPublic156, 46);
  int argcv_meth_ast_isPublic156[] = {0};
  meth_meth_ast_isPublic156->type = alloc_MethodType(1, argcv_meth_ast_isPublic156);
  meth_meth_ast_isPublic156->definitionModule = modulename;
  meth_meth_ast_isPublic156->definitionLine = 143;
// method "isConfidential"
  struct UserObject *uo158 = (struct UserObject*)obj29;
  uo158->data[47] = emptyclosure;
  Method *meth_meth_ast_isConfidential158 = addmethod2pos(obj29, "isConfidential", &meth_ast_isConfidential158, 47);
  int argcv_meth_ast_isConfidential158[] = {0};
  meth_meth_ast_isConfidential158->type = alloc_MethodType(1, argcv_meth_ast_isConfidential158);
  meth_meth_ast_isConfidential158->definitionModule = modulename;
  meth_meth_ast_isConfidential158->definitionLine = 144;
// method "decType"
  block_savedest(obj29);
  Object closure163 = createclosure(1, "decType");
  setclosureframe(closure163, stackframe);
  addtoclosure(closure163, var_unknownType);
  struct UserObject *uo163 = (struct UserObject*)obj29;
  uo163->data[48] = (Object)closure163;
  Method *meth_meth_ast_decType163 = addmethod2pos(obj29, "decType", &meth_ast_decType163, 48);
  int argcv_meth_ast_decType163[] = {0};
  meth_meth_ast_decType163->type = alloc_MethodType(1, argcv_meth_ast_decType163);
  meth_meth_ast_decType163->definitionModule = modulename;
  meth_meth_ast_decType163->definitionLine = 145;
// method "isSimple"
  struct UserObject *uo173 = (struct UserObject*)obj29;
  uo173->data[49] = emptyclosure;
  Method *meth_meth_ast_isSimple173 = addmethod2pos(obj29, "isSimple", &meth_ast_isSimple173, 49);
  int argcv_meth_ast_isSimple173[] = {0};
  meth_meth_ast_isSimple173->type = alloc_MethodType(1, argcv_meth_ast_isSimple173);
  meth_meth_ast_isSimple173->definitionModule = modulename;
  meth_meth_ast_isSimple173->definitionLine = 151;
// method "isDelimited"
  struct UserObject *uo175 = (struct UserObject*)obj29;
  uo175->data[50] = emptyclosure;
  Method *meth_meth_ast_isDelimited175 = addmethod2pos(obj29, "isDelimited", &meth_ast_isDelimited175, 50);
  int argcv_meth_ast_isDelimited175[] = {0};
  meth_meth_ast_isDelimited175->type = alloc_MethodType(1, argcv_meth_ast_isDelimited175);
  meth_meth_ast_isDelimited175->definitionModule = modulename;
  meth_meth_ast_isDelimited175->definitionLine = 152;
// method "description"
  struct UserObject *uo177 = (struct UserObject*)obj29;
  uo177->data[51] = emptyclosure;
  Method *meth_meth_ast_description177 = addmethod2pos(obj29, "description", &meth_ast_description177, 51);
  int argcv_meth_ast_description177[] = {0};
  meth_meth_ast_description177->type = alloc_MethodType(1, argcv_meth_ast_description177);
  meth_meth_ast_description177->definitionModule = modulename;
  meth_meth_ast_description177->definitionLine = 153;
// method "accept(_)"
  block_savedest(obj29);
  Object closure180 = createclosure(1, "accept(1)");
  setclosureframe(closure180, stackframe);
  addtoclosure(closure180, var_ancestorChain);
  struct UserObject *uo180 = (struct UserObject*)obj29;
  uo180->data[52] = (Object)closure180;
  Method *meth_meth_ast_accept_40_1_41_180 = addmethod2pos(obj29, "accept(1)", &meth_ast_accept_40_1_41_180, 52);
  int argcv_meth_ast_accept_40_1_41_180[] = {1};
  meth_meth_ast_accept_40_1_41_180->type = alloc_MethodType(1, argcv_meth_ast_accept_40_1_41_180);
  meth_meth_ast_accept_40_1_41_180->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_180->definitionLine = 154;
// method "scope"
  struct UserObject *uo185 = (struct UserObject*)obj29;
  uo185->data[53] = emptyclosure;
  Method *meth_meth_ast_scope185 = addmethod2pos(obj29, "scope", &meth_ast_scope185, 53);
  int argcv_meth_ast_scope185[] = {0};
  meth_meth_ast_scope185->type = alloc_MethodType(1, argcv_meth_ast_scope185);
  meth_meth_ast_scope185->definitionModule = modulename;
  meth_meth_ast_scope185->definitionLine = 157;
// method "scope:=(_)"
  struct UserObject *uo188 = (struct UserObject*)obj29;
  uo188->data[54] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_188 = addmethod2pos(obj29, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_188, 54);
  int argcv_meth_ast_scope_58__61__40_1_41_188[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_188->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_188);
  meth_meth_ast_scope_58__61__40_1_41_188->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_188->definitionLine = 159;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo191 = (struct UserObject*)obj29;
  uo191->data[55] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191 = addmethod2pos(obj29, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_191, 55);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_191[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_191);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_191->definitionLine = 166;
// method "postCopy(_)"
  struct UserObject *uo210 = (struct UserObject*)obj29;
  uo210->data[56] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_210 = addmethod2pos(obj29, "postCopy(1)", &meth_ast_postCopy_40_1_41_210, 56);
  int argcv_meth_ast_postCopy_40_1_41_210[] = {1};
  meth_meth_ast_postCopy_40_1_41_210->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_210);
  meth_meth_ast_postCopy_40_1_41_210->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_210->definitionLine = 174;
// method "basePretty(_)"
  block_savedest(obj29);
  Object closure211 = createclosure(1, "basePretty(1)");
  setclosureframe(closure211, stackframe);
  addtoclosure(closure211, var_util);
  struct UserObject *uo211 = (struct UserObject*)obj29;
  uo211->data[57] = (Object)closure211;
  Method *meth_meth_ast_basePretty_40_1_41_211 = addmethod2pos(obj29, "basePretty(1)", &meth_ast_basePretty_40_1_41_211, 57);
  int argcv_meth_ast_basePretty_40_1_41_211[] = {1};
  meth_meth_ast_basePretty_40_1_41_211->type = alloc_MethodType(1, argcv_meth_ast_basePretty_40_1_41_211);
  meth_meth_ast_basePretty_40_1_41_211->definitionModule = modulename;
  meth_meth_ast_basePretty_40_1_41_211->definitionLine = 177;
// method "pretty(_)"
  struct UserObject *uo389 = (struct UserObject*)obj29;
  uo389->data[58] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_389 = addmethod2pos(obj29, "pretty(1)", &meth_ast_pretty_40_1_41_389, 58);
  int argcv_meth_ast_pretty_40_1_41_389[] = {1};
  meth_meth_ast_pretty_40_1_41_389->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_389);
  meth_meth_ast_pretty_40_1_41_389->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_389->definitionLine = 190;
// method "deepCopy"
  block_savedest(obj29);
  Object closure392 = createclosure(1, "deepCopy");
  setclosureframe(closure392, stackframe);
  addtoclosure(closure392, var_ancestorChain);
  struct UserObject *uo392 = (struct UserObject*)obj29;
  uo392->data[59] = (Object)closure392;
  Method *meth_meth_ast_deepCopy392 = addmethod2pos(obj29, "deepCopy", &meth_ast_deepCopy392, 59);
  int argcv_meth_ast_deepCopy392[] = {0};
  meth_meth_ast_deepCopy392->type = alloc_MethodType(1, argcv_meth_ast_deepCopy392);
  meth_meth_ast_deepCopy392->definitionModule = modulename;
  meth_meth_ast_deepCopy392->definitionLine = 191;
// method "enclosingObject"
  struct UserObject *uo400 = (struct UserObject*)obj29;
  uo400->data[60] = emptyclosure;
  Method *meth_meth_ast_enclosingObject400 = addmethod2pos(obj29, "enclosingObject", &meth_ast_enclosingObject400, 60);
  int argcv_meth_ast_enclosingObject400[] = {0};
  meth_meth_ast_enclosingObject400->type = alloc_MethodType(1, argcv_meth_ast_enclosingObject400);
  meth_meth_ast_enclosingObject400->definitionModule = modulename;
  meth_meth_ast_enclosingObject400->definitionLine = 194;
// method "addComment(_)"
  struct UserObject *uo407 = (struct UserObject*)obj29;
  uo407->data[61] = emptyclosure;
  Method *meth_meth_ast_addComment_40_1_41_407 = addmethod2pos(obj29, "addComment(1)", &meth_ast_addComment_40_1_41_407, 61);
  int argcv_meth_ast_addComment_40_1_41_407[] = {1};
  meth_meth_ast_addComment_40_1_41_407->type = alloc_MethodType(1, argcv_meth_ast_addComment_40_1_41_407);
  meth_meth_ast_addComment_40_1_41_407->definitionModule = modulename;
  meth_meth_ast_addComment_40_1_41_407->definitionLine = 198;
// method "addComments(_)"
  struct UserObject *uo421 = (struct UserObject*)obj29;
  uo421->data[62] = emptyclosure;
  Method *meth_meth_ast_addComments_40_1_41_421 = addmethod2pos(obj29, "addComments(1)", &meth_ast_addComments_40_1_41_421, 62);
  int argcv_meth_ast_addComments_40_1_41_421[] = {1};
  meth_meth_ast_addComments_40_1_41_421->type = alloc_MethodType(1, argcv_meth_ast_addComments_40_1_41_421);
  meth_meth_ast_addComments_40_1_41_421->definitionModule = modulename;
  meth_meth_ast_addComments_40_1_41_421->definitionLine = 205;
// method "statementName"
  struct UserObject *uo429 = (struct UserObject*)obj29;
  uo429->data[63] = emptyclosure;
  Method *meth_meth_ast_statementName429 = addmethod2pos(obj29, "statementName", &meth_ast_statementName429, 63);
  int argcv_meth_ast_statementName429[] = {0};
  meth_meth_ast_statementName429->type = alloc_MethodType(1, argcv_meth_ast_statementName429);
  meth_meth_ast_statementName429->definitionModule = modulename;
  meth_meth_ast_statementName429->definitionLine = 208;
  sourceObject = obj29;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit432 == NULL) {
    strlit432 = alloc_String("");
    gc_root(strlit432);
  }
// compiled string node returning strlit432 (depth = 2)
  adddatum2(obj29, strlit432, 1);
  sourceObject = obj29;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe433 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call434 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe433);
// compiled member node returning call434 (depth = 2)
  adddatum2(obj29, call434, 2);
  sourceObject = obj29;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe435 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call436 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe435);
// compiled member node returning call436 (depth = 2)
  adddatum2(obj29, call436, 3);
  sourceObject = obj29;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj29, *var_fakeSymbolTable, 4);
  sourceObject = obj29;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool437 = alloc_Boolean(0);
// compiled identifier node returning bool437 (depth = 2)
  adddatum2(obj29, bool437, 5);
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  objclass29 = obj29->class;
  objclass29->definitionModule = modulename;
  objclass29->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter29;
  self = oldself29;
  selfslot = oldselfslot29;
  stackframe = oldstackframe29;
  gc_frame_end(frame);
  return obj29;
}
Object meth_ast_newName442(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_n (depth = 2)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_oldName443(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "oldName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_o (depth = 2)
  gc_frame_end(frame);
  return *var_o;
}
Object meth_ast_asString444(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit446 == NULL) {
    strlit446 = alloc_String("");
    gc_root(strlit446);
  }
// compiled string node returning strlit446 (depth = 3)
  int op_slot_right_445 = gc_frame_newslot(strlit446);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe449 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  Object call450 = callmethodflags(*var_o, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe449);
// compiled member node returning call450 (depth = 4)
  int op_slot_right_448 = gc_frame_newslot(call450);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit453 == NULL) {
    strlit453 = alloc_String(" = ");
    gc_root(strlit453);
  }
// compiled string node returning strlit453 (depth = 5)
  int op_slot_right_452 = gc_frame_newslot(strlit453);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe456 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call457 = callmethodflags(*var_n, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe456);
// compiled member node returning call457 (depth = 6)
  int op_slot_right_455 = gc_frame_newslot(call457);
// starting to compile string node (depth = 6)
  if (strlit459 == NULL) {
    strlit459 = alloc_String("alias ");
    gc_root(strlit459);
  }
// compiled string node returning strlit459 (depth = 6)
  int op_slot_left_455 = gc_frame_newslot(strlit459);
  params[0] = call457;
  partcv[0] = 1;
  Object opresult460 = callmethod(strlit459, "++(1)", 1, partcv, params);
// compiled op node returning opresult460 (depth = 5)
  int op_slot_left_452 = gc_frame_newslot(opresult460);
  params[0] = strlit453;
  partcv[0] = 1;
  Object opresult461 = callmethod(opresult460, "++(1)", 1, partcv, params);
// compiled op node returning opresult461 (depth = 4)
  int op_slot_left_448 = gc_frame_newslot(opresult461);
  params[0] = call450;
  partcv[0] = 1;
  Object opresult462 = callmethod(opresult461, "++(1)", 1, partcv, params);
// compiled op node returning opresult462 (depth = 3)
  int op_slot_left_445 = gc_frame_newslot(opresult462);
  params[0] = strlit446;
  partcv[0] = 1;
  Object opresult463 = callmethod(opresult462, "++(1)", 1, partcv, params);
// compiled op node returning opresult463 (depth = 2)
  gc_frame_end(frame);
  return opresult463;
}
Object meth_ast__apply_40_1_41_472(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2528
  setline(2528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit474 == NULL) {
    strlit474 = alloc_String("  ");
    gc_root(strlit474);
  }
// compiled string node returning strlit474 (depth = 6)
  int op_slot_right_473 = gc_frame_newslot(strlit474);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_473 = gc_frame_newslot(*var_spc);
  params[0] = strlit474;
  partcv[0] = 1;
  Object opresult476 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult476 (depth = 5)
  *var_spc = opresult476;
  if (opresult476 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_464(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit465 == NULL) {
    strlit465 = alloc_String("");
    gc_root(strlit465);
  }
// compiled string node returning strlit465 (depth = 3)
  *var_spc = strlit465;
  if (strlit465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe466 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  int op_slot_right_467 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 4)
  Object num469 = alloc_Float64(0);
// compiled num node returning num469 (depth = 4)
  int op_slot_left_467 = gc_frame_newslot(num469);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult470 = callmethod(num469, "..(1)", 1, partcv, params);
// compiled op node returning opresult470 (depth = 3)
  gc_frame_newslot(opresult470);
// starting to compile block node (depth = 3)
  Object block471 = alloc_Block(NULL, NULL, "ast", 2527);
  gc_frame_newslot(block471);
// method "_apply(_)"
  block_savedest(block471);
  Object closure472 = createclosure(2, "_apply(1)");
  setclosureframe(closure472, stackframe);
  addtoclosure(closure472, var_spc);
  addtoclosure(closure472, selfslot);
  struct UserObject *uo472 = (struct UserObject*)block471;
  uo472->data[0] = (Object)closure472;
  Method *meth_meth_ast__apply_40_1_41_472 = addmethod2pos(block471, "_apply(1)", &meth_ast__apply_40_1_41_472, 0);
  int argcv_meth_ast__apply_40_1_41_472[] = {1};
  meth_meth_ast__apply_40_1_41_472->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_472);
  meth_meth_ast__apply_40_1_41_472->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_472->definitionLine = 2984;
// compiled block node returning block471 (depth = 3)
  gc_frame_newslot(block471);
// call case 5: prelude request
  params[0] = opresult470;
  params[1] = block471;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call479 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe466);
// compiled call node returning call479 (depth = 2)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit481 == NULL) {
    strlit481 = alloc_String("");
    gc_root(strlit481);
  }
// compiled string node returning strlit481 (depth = 3)
  int op_slot_right_480 = gc_frame_newslot(strlit481);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe484 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call485 = callmethodflags(*var_o, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe484);
// compiled call node returning call485 (depth = 4)
  int op_slot_right_483 = gc_frame_newslot(call485);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit488 == NULL) {
    strlit488 = alloc_String(" = ");
    gc_root(strlit488);
  }
// compiled string node returning strlit488 (depth = 5)
  int op_slot_right_487 = gc_frame_newslot(strlit488);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe491 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call492 = callmethodflags(*var_n, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe491);
// compiled call node returning call492 (depth = 6)
  int op_slot_right_490 = gc_frame_newslot(call492);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit495 == NULL) {
    strlit495 = alloc_String("  alias ");
    gc_root(strlit495);
  }
// compiled string node returning strlit495 (depth = 7)
  int op_slot_right_494 = gc_frame_newslot(strlit495);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_497 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit499 == NULL) {
    strlit499 = alloc_String("");
    gc_root(strlit499);
  }
// compiled string node returning strlit499 (depth = 8)
  int op_slot_left_497 = gc_frame_newslot(strlit499);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult500 = callmethod(strlit499, "++(1)", 1, partcv, params);
// compiled op node returning opresult500 (depth = 7)
  int op_slot_left_494 = gc_frame_newslot(opresult500);
  params[0] = strlit495;
  partcv[0] = 1;
  Object opresult501 = callmethod(opresult500, "++(1)", 1, partcv, params);
// compiled op node returning opresult501 (depth = 6)
  int op_slot_left_490 = gc_frame_newslot(opresult501);
  params[0] = call492;
  partcv[0] = 1;
  Object opresult502 = callmethod(opresult501, "++(1)", 1, partcv, params);
// compiled op node returning opresult502 (depth = 5)
  int op_slot_left_487 = gc_frame_newslot(opresult502);
  params[0] = strlit488;
  partcv[0] = 1;
  Object opresult503 = callmethod(opresult502, "++(1)", 1, partcv, params);
// compiled op node returning opresult503 (depth = 4)
  int op_slot_left_483 = gc_frame_newslot(opresult503);
  params[0] = call485;
  partcv[0] = 1;
  Object opresult504 = callmethod(opresult503, "++(1)", 1, partcv, params);
// compiled op node returning opresult504 (depth = 3)
  int op_slot_left_480 = gc_frame_newslot(opresult504);
  params[0] = strlit481;
  partcv[0] = 1;
  Object opresult505 = callmethod(opresult504, "++(1)", 1, partcv, params);
// compiled op node returning opresult505 (depth = 2)
  gc_frame_end(frame);
  return opresult505;
}
Object meth_ast_hash506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2532
  setline(2532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe508 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  Object call509 = callmethodflags(*var_o, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe508);
// compiled member node returning call509 (depth = 3)
  int op_slot_right_507 = gc_frame_newslot(call509);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num512 = alloc_Float64(1171);
// compiled num node returning num512 (depth = 4)
  int op_slot_right_511 = gc_frame_newslot(num512);
// starting to compile member node (depth = 4)
  int callframe514 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  Object call515 = callmethodflags(*var_n, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe514);
// compiled member node returning call515 (depth = 4)
  int op_slot_left_511 = gc_frame_newslot(call515);
  params[0] = num512;
  partcv[0] = 1;
  Object prod516 = callmethod(call515, "*(1)", 1, partcv, params);
// compiled op node returning prod516 (depth = 3)
  int op_slot_left_507 = gc_frame_newslot(prod516);
  params[0] = call509;
  partcv[0] = 1;
  Object sum517 = callmethod(prod516, "+(1)", 1, partcv, params);
// compiled op node returning sum517 (depth = 2)
  gc_frame_end(frame);
  return sum517;
}
Object meth_ast_isExecutable518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool519 = alloc_Boolean(0);
// compiled identifier node returning bool519 (depth = 2)
  gc_frame_end(frame);
  return bool519;
}
Object meth_ast__apply_40_1_41_523(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_that = &(stackframe->slots[0]);
  *var_that = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe526 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call527 = callmethodflags(*var_that, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe526);
// compiled member node returning call527 (depth = 6)
  int op_slot_right_525 = gc_frame_newslot(call527);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  int op_slot_left_525 = gc_frame_newslot(*var_o);
  params[0] = call527;
  partcv[0] = 1;
  Object opresult529 = callmethod(*var_o, "==(1)", 1, partcv, params);
// compiled op node returning opresult529 (depth = 5)
  int op_slot_right_524 = gc_frame_newslot(opresult529);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe532 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call533 = callmethodflags(*var_that, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe532);
// compiled member node returning call533 (depth = 6)
  int op_slot_right_531 = gc_frame_newslot(call533);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_531 = gc_frame_newslot(*var_n);
  params[0] = call533;
  partcv[0] = 1;
  Object opresult535 = callmethod(*var_n, "==(1)", 1, partcv, params);
// compiled op node returning opresult535 (depth = 5)
  int op_slot_left_524 = gc_frame_newslot(opresult535);
  params[0] = opresult529;
  partcv[0] = 1;
  Object opresult536 = callmethod(opresult535, "&&(1)", 1, partcv, params);
// compiled op node returning opresult536 (depth = 4)
  gc_frame_end(frame);
  return opresult536;
}
Object meth_ast__apply_40_1_41_548(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
  Object bool549 = alloc_Boolean(0);
// compiled identifier node returning bool549 (depth = 4)
  gc_frame_end(frame);
  return bool549;
}
Object meth_ast__61__61__40_1_41_520(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_AliasPair = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame521 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block522 = alloc_Block(NULL, NULL, "ast", 2536);
  gc_frame_newslot(block522);
// method "_apply(_)"
  block_savedest(block522);
  Object closure523 = createclosure(3, "_apply(1)");
  setclosureframe(closure523, stackframe);
  addtoclosure(closure523, var_o);
  addtoclosure(closure523, var_n);
  addtoclosure(closure523, selfslot);
  struct UserObject *uo523 = (struct UserObject*)block522;
  uo523->data[0] = (Object)closure523;
  Method *meth_meth_ast__apply_40_1_41_523 = addmethod2pos(block522, "_apply(1)", &meth_ast__apply_40_1_41_523, 0);
  int argcv_meth_ast__apply_40_1_41_523[] = {1};
  meth_meth_ast__apply_40_1_41_523->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_523);
  meth_meth_ast__apply_40_1_41_523->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_523->definitionLine = 2984;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe538 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe539 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit540 == NULL) {
    strlit540 = alloc_String("that");
    gc_root(strlit540);
  }
// compiled string node returning strlit540 (depth = 6)
  gc_frame_newslot(strlit540);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe541 = gc_frame_new();
// call case 5: prelude request
  Object call542 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe541);
// compiled member node returning call542 (depth = 6)
  params[0] = strlit540;
  partcv[0] = 1;
  Object call543 = callmethodflags(call542, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe539);
// compiled call node returning call543 (depth = 5)
  gc_frame_newslot(call543);
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AliasPair (depth = 5)
  gc_frame_newslot(*var_AliasPair);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe544 = gc_frame_new();
// call case 5: prelude request
  Object call545 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe544);
// compiled member node returning call545 (depth = 5)
  params[0] = call543;
  params[1] = *var_AliasPair;
  partcv[0] = 2;
  Object call546 = callmethodflags(call545, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe538);
// compiled call node returning call546 (depth = 4)
((struct UserObject *)block522)->data[1] = call546;
// compiled block node returning block522 (depth = 3)
  gc_frame_newslot(block522);
// Begin line 2537
  setline(2537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block547 = alloc_Block(NULL, NULL, "ast", 2537);
  gc_frame_newslot(block547);
// method "_apply(_)"
  block_savedest(block547);
  Object closure548 = createclosure(1, "_apply(1)");
  setclosureframe(closure548, stackframe);
  addtoclosure(closure548, selfslot);
  struct UserObject *uo548 = (struct UserObject*)block547;
  uo548->data[0] = (Object)closure548;
  Method *meth_meth_ast__apply_40_1_41_548 = addmethod2pos(block547, "_apply(1)", &meth_ast__apply_40_1_41_548, 0);
  int argcv_meth_ast__apply_40_1_41_548[] = {1};
  meth_meth_ast__apply_40_1_41_548->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_548);
  meth_meth_ast__apply_40_1_41_548->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_548->definitionLine = 2984;
// compiled block node returning block547 (depth = 3)
  gc_frame_newslot(block547);
  params[0] = block522;
  params[1] = block547;
  Object matchres521 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame521);
// compiled matchcase node returning matchres521 (depth = 2)
  gc_frame_end(frame);
  return matchres521;
}
Object meth_ast_aliasNew_40_1_41_old_40_1_41_439(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject440 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj440 = alloc_userobj2(7,8, objclass440);
  gc_frame_newslot(obj440);
if (objclass440 == NULL) {
  glfree(obj440->class->name);
  obj440->class->name = "aliasNew(_)old(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj440, self, 0);
  addmethodreal(obj440,"outer", &reader_ast_outer_441);
  Object oldself440 = self;
  struct StackFrameObject *oldstackframe440 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe440);
  gc_frame_newslot((Object)stackframe);
  self = obj440;
  Object *oldselfslot440 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter440 = (*(struct UserObject *)self).data[0], lowerouter440 = thisouter440;
  if (inheritingObject440) {
    struct UserObject *inho440 = (struct UserObject *)inheritingObject440;
    while (inho440->super != GraceDefaultObject) inho440 = (struct UserObject *)inho440->super;
    inho440->super = obj440;
    self = inheritingObject440;
    *selfslot = self;
    lowerouter440 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter440;
  }
// method "newName"
  block_savedest(obj440);
  Object closure442 = createclosure(1, "newName");
  setclosureframe(closure442, stackframe);
  addtoclosure(closure442, var_n);
  struct UserObject *uo442 = (struct UserObject*)obj440;
  uo442->data[1] = (Object)closure442;
  Method *meth_meth_ast_newName442 = addmethod2pos(obj440, "newName", &meth_ast_newName442, 1);
  int argcv_meth_ast_newName442[] = {0};
  meth_meth_ast_newName442->type = alloc_MethodType(1, argcv_meth_ast_newName442);
  meth_meth_ast_newName442->definitionModule = modulename;
  meth_meth_ast_newName442->definitionLine = 2522;
// method "oldName"
  block_savedest(obj440);
  Object closure443 = createclosure(1, "oldName");
  setclosureframe(closure443, stackframe);
  addtoclosure(closure443, var_o);
  struct UserObject *uo443 = (struct UserObject*)obj440;
  uo443->data[2] = (Object)closure443;
  Method *meth_meth_ast_oldName443 = addmethod2pos(obj440, "oldName", &meth_ast_oldName443, 2);
  int argcv_meth_ast_oldName443[] = {0};
  meth_meth_ast_oldName443->type = alloc_MethodType(1, argcv_meth_ast_oldName443);
  meth_meth_ast_oldName443->definitionModule = modulename;
  meth_meth_ast_oldName443->definitionLine = 2523;
// method "asString"
  block_savedest(obj440);
  Object closure444 = createclosure(2, "asString");
  setclosureframe(closure444, stackframe);
  addtoclosure(closure444, var_o);
  addtoclosure(closure444, var_n);
  struct UserObject *uo444 = (struct UserObject*)obj440;
  uo444->data[3] = (Object)closure444;
  Method *meth_meth_ast_asString444 = addmethod2pos(obj440, "asString", &meth_ast_asString444, 3);
  int argcv_meth_ast_asString444[] = {0};
  meth_meth_ast_asString444->type = alloc_MethodType(1, argcv_meth_ast_asString444);
  meth_meth_ast_asString444->definitionModule = modulename;
  meth_meth_ast_asString444->definitionLine = 2524;
// method "pretty(_)"
  block_savedest(obj440);
  Object closure464 = createclosure(2, "pretty(1)");
  setclosureframe(closure464, stackframe);
  addtoclosure(closure464, var_o);
  addtoclosure(closure464, var_n);
  struct UserObject *uo464 = (struct UserObject*)obj440;
  uo464->data[4] = (Object)closure464;
  Method *meth_meth_ast_pretty_40_1_41_464 = addmethod2pos(obj440, "pretty(1)", &meth_ast_pretty_40_1_41_464, 4);
  int argcv_meth_ast_pretty_40_1_41_464[] = {1};
  meth_meth_ast_pretty_40_1_41_464->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_464);
  meth_meth_ast_pretty_40_1_41_464->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_464->definitionLine = 2525;
// method "hash"
  block_savedest(obj440);
  Object closure506 = createclosure(2, "hash");
  setclosureframe(closure506, stackframe);
  addtoclosure(closure506, var_o);
  addtoclosure(closure506, var_n);
  struct UserObject *uo506 = (struct UserObject*)obj440;
  uo506->data[5] = (Object)closure506;
  Method *meth_meth_ast_hash506 = addmethod2pos(obj440, "hash", &meth_ast_hash506, 5);
  int argcv_meth_ast_hash506[] = {0};
  meth_meth_ast_hash506->type = alloc_MethodType(1, argcv_meth_ast_hash506);
  meth_meth_ast_hash506->definitionModule = modulename;
  meth_meth_ast_hash506->definitionLine = 2532;
// method "isExecutable"
  struct UserObject *uo518 = (struct UserObject*)obj440;
  uo518->data[6] = emptyclosure;
  Method *meth_meth_ast_isExecutable518 = addmethod2pos(obj440, "isExecutable", &meth_ast_isExecutable518, 6);
  int argcv_meth_ast_isExecutable518[] = {0};
  meth_meth_ast_isExecutable518->type = alloc_MethodType(1, argcv_meth_ast_isExecutable518);
  meth_meth_ast_isExecutable518->definitionModule = modulename;
  meth_meth_ast_isExecutable518->definitionLine = 2533;
// method "==(_)"
  block_savedest(obj440);
  Object closure520 = createclosure(3, "==(1)");
  setclosureframe(closure520, stackframe);
  addtoclosure(closure520, var_o);
  addtoclosure(closure520, var_n);
  addtoclosure(closure520, var_AliasPair);
  struct UserObject *uo520 = (struct UserObject*)obj440;
  uo520->data[7] = (Object)closure520;
  Method *meth_meth_ast__61__61__40_1_41_520 = addmethod2pos(obj440, "==(1)", &meth_ast__61__61__40_1_41_520, 7);
  int argcv_meth_ast__61__61__40_1_41_520[] = {1};
  meth_meth_ast__61__61__40_1_41_520->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_520);
  meth_meth_ast__61__61__40_1_41_520->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_520->definitionLine = 2534;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  objclass440 = obj440->class;
  objclass440->definitionModule = modulename;
  objclass440->definitionLine = 2521;
  (*(struct UserObject *)self).data[0] = lowerouter440;
  self = oldself440;
  selfslot = oldselfslot440;
  stackframe = oldstackframe440;
  gc_frame_end(frame);
  return obj440;
}
Object meth_ast_aliasNew_40_1_41_old_40_1_41_439_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject440 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj440 = alloc_userobj2(7,8, objclass440);
  gc_frame_newslot(obj440);
if (objclass440 == NULL) {
  glfree(obj440->class->name);
  obj440->class->name = "aliasNew(_)old(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj440, self, 0);
  addmethodreal(obj440,"outer", &reader_ast_outer_441);
  Object oldself440 = self;
  struct StackFrameObject *oldstackframe440 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe440);
  gc_frame_newslot((Object)stackframe);
  self = obj440;
  Object *oldselfslot440 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter440 = (*(struct UserObject *)self).data[0], lowerouter440 = thisouter440;
  if (inheritingObject440) {
    struct UserObject *inho440 = (struct UserObject *)inheritingObject440;
    while (inho440->super != GraceDefaultObject) inho440 = (struct UserObject *)inho440->super;
    inho440->super = obj440;
    self = inheritingObject440;
    *selfslot = self;
    lowerouter440 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter440;
  }
// method "newName"
  block_savedest(obj440);
  Object closure442 = createclosure(1, "newName");
  setclosureframe(closure442, stackframe);
  addtoclosure(closure442, var_n);
  struct UserObject *uo442 = (struct UserObject*)obj440;
  uo442->data[1] = (Object)closure442;
  Method *meth_meth_ast_newName442 = addmethod2pos(obj440, "newName", &meth_ast_newName442, 1);
  int argcv_meth_ast_newName442[] = {0};
  meth_meth_ast_newName442->type = alloc_MethodType(1, argcv_meth_ast_newName442);
  meth_meth_ast_newName442->definitionModule = modulename;
  meth_meth_ast_newName442->definitionLine = 2522;
// method "oldName"
  block_savedest(obj440);
  Object closure443 = createclosure(1, "oldName");
  setclosureframe(closure443, stackframe);
  addtoclosure(closure443, var_o);
  struct UserObject *uo443 = (struct UserObject*)obj440;
  uo443->data[2] = (Object)closure443;
  Method *meth_meth_ast_oldName443 = addmethod2pos(obj440, "oldName", &meth_ast_oldName443, 2);
  int argcv_meth_ast_oldName443[] = {0};
  meth_meth_ast_oldName443->type = alloc_MethodType(1, argcv_meth_ast_oldName443);
  meth_meth_ast_oldName443->definitionModule = modulename;
  meth_meth_ast_oldName443->definitionLine = 2523;
// method "asString"
  block_savedest(obj440);
  Object closure444 = createclosure(2, "asString");
  setclosureframe(closure444, stackframe);
  addtoclosure(closure444, var_o);
  addtoclosure(closure444, var_n);
  struct UserObject *uo444 = (struct UserObject*)obj440;
  uo444->data[3] = (Object)closure444;
  Method *meth_meth_ast_asString444 = addmethod2pos(obj440, "asString", &meth_ast_asString444, 3);
  int argcv_meth_ast_asString444[] = {0};
  meth_meth_ast_asString444->type = alloc_MethodType(1, argcv_meth_ast_asString444);
  meth_meth_ast_asString444->definitionModule = modulename;
  meth_meth_ast_asString444->definitionLine = 2524;
// method "pretty(_)"
  block_savedest(obj440);
  Object closure464 = createclosure(2, "pretty(1)");
  setclosureframe(closure464, stackframe);
  addtoclosure(closure464, var_o);
  addtoclosure(closure464, var_n);
  struct UserObject *uo464 = (struct UserObject*)obj440;
  uo464->data[4] = (Object)closure464;
  Method *meth_meth_ast_pretty_40_1_41_464 = addmethod2pos(obj440, "pretty(1)", &meth_ast_pretty_40_1_41_464, 4);
  int argcv_meth_ast_pretty_40_1_41_464[] = {1};
  meth_meth_ast_pretty_40_1_41_464->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_464);
  meth_meth_ast_pretty_40_1_41_464->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_464->definitionLine = 2525;
// method "hash"
  block_savedest(obj440);
  Object closure506 = createclosure(2, "hash");
  setclosureframe(closure506, stackframe);
  addtoclosure(closure506, var_o);
  addtoclosure(closure506, var_n);
  struct UserObject *uo506 = (struct UserObject*)obj440;
  uo506->data[5] = (Object)closure506;
  Method *meth_meth_ast_hash506 = addmethod2pos(obj440, "hash", &meth_ast_hash506, 5);
  int argcv_meth_ast_hash506[] = {0};
  meth_meth_ast_hash506->type = alloc_MethodType(1, argcv_meth_ast_hash506);
  meth_meth_ast_hash506->definitionModule = modulename;
  meth_meth_ast_hash506->definitionLine = 2532;
// method "isExecutable"
  struct UserObject *uo518 = (struct UserObject*)obj440;
  uo518->data[6] = emptyclosure;
  Method *meth_meth_ast_isExecutable518 = addmethod2pos(obj440, "isExecutable", &meth_ast_isExecutable518, 6);
  int argcv_meth_ast_isExecutable518[] = {0};
  meth_meth_ast_isExecutable518->type = alloc_MethodType(1, argcv_meth_ast_isExecutable518);
  meth_meth_ast_isExecutable518->definitionModule = modulename;
  meth_meth_ast_isExecutable518->definitionLine = 2533;
// method "==(_)"
  block_savedest(obj440);
  Object closure520 = createclosure(3, "==(1)");
  setclosureframe(closure520, stackframe);
  addtoclosure(closure520, var_o);
  addtoclosure(closure520, var_n);
  addtoclosure(closure520, var_AliasPair);
  struct UserObject *uo520 = (struct UserObject*)obj440;
  uo520->data[7] = (Object)closure520;
  Method *meth_meth_ast__61__61__40_1_41_520 = addmethod2pos(obj440, "==(1)", &meth_ast__61__61__40_1_41_520, 7);
  int argcv_meth_ast__61__61__40_1_41_520[] = {1};
  meth_meth_ast__61__61__40_1_41_520->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_520);
  meth_meth_ast__61__61__40_1_41_520->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_520->definitionLine = 2534;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  sourceObject = obj440;
  objclass440 = obj440->class;
  objclass440->definitionModule = modulename;
  objclass440->definitionLine = 2521;
  (*(struct UserObject *)self).data[0] = lowerouter440;
  self = oldself440;
  selfslot = oldselfslot440;
  stackframe = oldstackframe440;
  gc_frame_end(frame);
  return obj440;
}
Object meth_ast__apply586(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ind (depth = 8)
  int op_slot_right_587 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_len (depth = 8)
  int op_slot_left_587 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff589 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff589 (depth = 7)
  gc_frame_end(frame);
  return diff589;
}
Object meth_ast__apply579(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe580 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit581 == NULL) {
    strlit581 = alloc_String(" ");
    gc_root(strlit581);
  }
// compiled string node returning strlit581 (depth = 6)
  gc_frame_newslot(strlit581);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_582 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_582 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff584 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff584 (depth = 6)
  gc_frame_newslot(diff584);
// Begin line 2803
  setline(2803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 6)
  Object block585 = alloc_Block(NULL, NULL, "ast", 2803);
  gc_frame_newslot(block585);
// method "_apply"
  block_savedest(block585);
  Object closure586 = createclosure(3, "_apply");
  setclosureframe(closure586, stackframe);
  addtoclosure(closure586, var_ind);
  addtoclosure(closure586, var_len);
  addtoclosure(closure586, selfslot);
  struct UserObject *uo586 = (struct UserObject*)block585;
  uo586->data[0] = (Object)closure586;
  Method *meth_meth_ast__apply586 = addmethod2pos(block585, "_apply", &meth_ast__apply586, 0);
  int argcv_meth_ast__apply586[] = {0};
  meth_meth_ast__apply586->type = alloc_MethodType(1, argcv_meth_ast__apply586);
  meth_meth_ast__apply586->definitionModule = modulename;
  meth_meth_ast__apply586->definitionLine = 2984;
// compiled block node returning block585 (depth = 6)
  gc_frame_newslot(block585);
// call case 6: other requests
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = strlit581;
  params[1] = diff584;
  params[2] = block585;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call591 = callmethodflags(*var_str, "lastIndexOf(1)startingAt(1)ifAbsent(1)", 3, partcv, params, 0);
  gc_frame_end(callframe580);
// compiled call node returning call591 (depth = 5)
  *var_currBreak = call591;
  if (call591 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2804
  setline(2804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe593 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe594 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num595 = alloc_Float64(1);
// compiled num node returning num595 (depth = 7)
  gc_frame_newslot(num595);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_currBreak (depth = 7)
  gc_frame_newslot(*var_currBreak);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  params[0] = num595;
  params[1] = *var_currBreak;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call596 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe594);
// compiled call node returning call596 (depth = 6)
  Object call597 = callmethodflags(call596, "trim", 0, partcv, params, 0);
  gc_frame_end(callframe593);
// compiled member node returning call597 (depth = 5)
  *var_trimmedLine = call597;
  if (call597 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_612(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_str = getfromclosure(closure, 0);
  Object *var_currBreak = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2808
  setline(2808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit615 == NULL) {
    strlit615 = alloc_String(" ");
    gc_root(strlit615);
  }
// compiled string node returning strlit615 (depth = 8)
  int op_slot_right_614 = gc_frame_newslot(strlit615);
// starting to compile call node (depth = 8)
  int callframe617 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call618 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe617);
// compiled call node returning call618 (depth = 8)
  int op_slot_left_614 = gc_frame_newslot(call618);
  params[0] = strlit615;
  partcv[0] = 1;
  Object opresult619 = callmethod(call618, "==(1)", 1, partcv, params);
// compiled op node returning opresult619 (depth = 7)
  Object if613 = done;
  if (istrue(opresult619)) {
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  *var_currBreak = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if613 = done;
  } else {
  }
// compiled if node returning if613 (depth = 6)
  gc_frame_end(frame);
  return if613;
}
Object meth_ast__apply632(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit634 == NULL) {
    strlit634 = alloc_String(" ");
    gc_root(strlit634);
  }
// compiled string node returning strlit634 (depth = 9)
  int op_slot_right_633 = gc_frame_newslot(strlit634);
// starting to compile call node (depth = 9)
  int callframe636 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_end (depth = 10)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_end;
  partcv[0] = 1;
  Object call637 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe636);
// compiled call node returning call637 (depth = 9)
  int op_slot_left_633 = gc_frame_newslot(call637);
  params[0] = strlit634;
  partcv[0] = 1;
  Object opresult638 = callmethod(call637, "==(1)", 1, partcv, params);
// compiled op node returning opresult638 (depth = 8)
  gc_frame_end(frame);
  return opresult638;
}
Object meth_ast__apply629(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block631 = alloc_Block(NULL, NULL, "ast", 2811);
  gc_frame_newslot(block631);
// method "_apply"
  block_savedest(block631);
  Object closure632 = createclosure(3, "_apply");
  setclosureframe(closure632, stackframe);
  addtoclosure(closure632, var_end);
  addtoclosure(closure632, var_str);
  addtoclosure(closure632, selfslot);
  struct UserObject *uo632 = (struct UserObject*)block631;
  uo632->data[0] = (Object)closure632;
  Method *meth_meth_ast__apply632 = addmethod2pos(block631, "_apply", &meth_ast__apply632, 0);
  int argcv_meth_ast__apply632[] = {0};
  meth_meth_ast__apply632->type = alloc_MethodType(1, argcv_meth_ast__apply632);
  meth_meth_ast__apply632->definitionModule = modulename;
  meth_meth_ast__apply632->definitionLine = 2984;
// compiled block node returning block631 (depth = 7)
  int op_slot_right_630 = gc_frame_newslot(block631);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num642 = alloc_Float64(1);
// compiled num node returning num642 (depth = 8)
  int op_slot_right_641 = gc_frame_newslot(num642);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_641 = gc_frame_newslot(*var_end);
  params[0] = num642;
  partcv[0] = 1;
  Object opresult644 = callmethod(*var_end, "≥(1)", 1, partcv, params);
// compiled op node returning opresult644 (depth = 7)
  int op_slot_left_630 = gc_frame_newslot(opresult644);
  params[0] = block631;
  partcv[0] = 1;
  Object opresult645 = callmethod(opresult644, "&&(1)", 1, partcv, params);
// compiled op node returning opresult645 (depth = 6)
  gc_frame_end(frame);
  return opresult645;
}
Object meth_ast__apply648(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2812
  setline(2812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num650 = alloc_Float64(1);
// compiled num node returning num650 (depth = 8)
  int op_slot_right_649 = gc_frame_newslot(num650);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_649 = gc_frame_newslot(*var_end);
  params[0] = num650;
  partcv[0] = 1;
  Object diff652 = callmethod(*var_end, "-(1)", 1, partcv, params);
// compiled op node returning diff652 (depth = 7)
  *var_end = diff652;
  if (diff652 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply662(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit664 == NULL) {
    strlit664 = alloc_String(" ");
    gc_root(strlit664);
  }
// compiled string node returning strlit664 (depth = 9)
  int op_slot_right_663 = gc_frame_newslot(strlit664);
// starting to compile call node (depth = 9)
  int callframe666 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_start (depth = 10)
  gc_frame_newslot(*var_start);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_start;
  partcv[0] = 1;
  Object call667 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe666);
// compiled call node returning call667 (depth = 9)
  int op_slot_left_663 = gc_frame_newslot(call667);
  params[0] = strlit664;
  partcv[0] = 1;
  Object opresult668 = callmethod(call667, "==(1)", 1, partcv, params);
// compiled op node returning opresult668 (depth = 8)
  gc_frame_end(frame);
  return opresult668;
}
Object meth_ast__apply659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block661 = alloc_Block(NULL, NULL, "ast", 2815);
  gc_frame_newslot(block661);
// method "_apply"
  block_savedest(block661);
  Object closure662 = createclosure(3, "_apply");
  setclosureframe(closure662, stackframe);
  addtoclosure(closure662, var_start);
  addtoclosure(closure662, var_str);
  addtoclosure(closure662, selfslot);
  struct UserObject *uo662 = (struct UserObject*)block661;
  uo662->data[0] = (Object)closure662;
  Method *meth_meth_ast__apply662 = addmethod2pos(block661, "_apply", &meth_ast__apply662, 0);
  int argcv_meth_ast__apply662[] = {0};
  meth_meth_ast__apply662->type = alloc_MethodType(1, argcv_meth_ast__apply662);
  meth_meth_ast__apply662->definitionModule = modulename;
  meth_meth_ast__apply662->definitionLine = 2984;
// compiled block node returning block661 (depth = 7)
  int op_slot_right_660 = gc_frame_newslot(block661);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe672 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call673 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe672);
// compiled member node returning call673 (depth = 8)
  int op_slot_right_671 = gc_frame_newslot(call673);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_671 = gc_frame_newslot(*var_start);
  params[0] = call673;
  partcv[0] = 1;
  Object opresult675 = callmethod(*var_start, "≤(1)", 1, partcv, params);
// compiled op node returning opresult675 (depth = 7)
  int op_slot_left_660 = gc_frame_newslot(opresult675);
  params[0] = block661;
  partcv[0] = 1;
  Object opresult676 = callmethod(opresult675, "&&(1)", 1, partcv, params);
// compiled op node returning opresult676 (depth = 6)
  gc_frame_end(frame);
  return opresult676;
}
Object meth_ast__apply679(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num681 = alloc_Float64(1);
// compiled num node returning num681 (depth = 8)
  int op_slot_right_680 = gc_frame_newslot(num681);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_680 = gc_frame_newslot(*var_start);
  params[0] = num681;
  partcv[0] = 1;
  Object sum683 = callmethod(*var_start, "+(1)", 1, partcv, params);
// compiled op node returning sum683 (depth = 7)
  *var_start = sum683;
  if (sum683 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_601(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_end = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "end");
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
// Begin line 2806
  setline(2806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe602 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_603 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_603 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff605 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff605 (depth = 6)
  gc_frame_newslot(diff605);
// starting to compile member node (depth = 6)
  int callframe606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  Object call607 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe606);
// compiled member node returning call607 (depth = 6)
  gc_frame_newslot(call607);
// call case 5: prelude request
  params[0] = diff605;
  params[1] = call607;
  partcv[0] = 2;
  Object call608 = callmethodflags(prelude, "min(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe602);
// compiled call node returning call608 (depth = 5)
  *var_currBreak = call608;
  if (call608 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2807
  setline(2807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe610 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block611 = alloc_Block(NULL, NULL, "ast", 2807);
  gc_frame_newslot(block611);
// method "_apply(_)"
  block_savedest(block611);
  Object closure612 = createclosure(3, "_apply(1)");
  setclosureframe(closure612, stackframe);
  addtoclosure(closure612, var_str);
  addtoclosure(closure612, var_currBreak);
  addtoclosure(closure612, selfslot);
  struct UserObject *uo612 = (struct UserObject*)block611;
  uo612->data[0] = (Object)closure612;
  Method *meth_meth_ast__apply_40_1_41_612 = addmethod2pos(block611, "_apply(1)", &meth_ast__apply_40_1_41_612, 0);
  int argcv_meth_ast__apply_40_1_41_612[] = {1};
  meth_meth_ast__apply_40_1_41_612->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_612);
  meth_meth_ast__apply_40_1_41_612->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_612->definitionLine = 2984;
// compiled block node returning block611 (depth = 5)
  gc_frame_newslot(block611);
// call case 6: other requests
// Begin line 2807
  setline(2807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_right_622 = gc_frame_newslot(*var_currBreak);
// starting to compile num node (depth = 6)
  Object num624 = alloc_Float64(1);
// compiled num node returning num624 (depth = 6)
  int op_slot_left_622 = gc_frame_newslot(num624);
  params[0] = *var_currBreak;
  partcv[0] = 1;
  Object opresult625 = callmethod(num624, "..(1)", 1, partcv, params);
// compiled op node returning opresult625 (depth = 5)
  params[0] = block611;
  partcv[0] = 1;
  Object call626 = callmethodflags(opresult625, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe610);
// compiled call node returning call626 (depth = 4)
// Begin line 2810
  setline(2810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_currBreak (depth = 5)
  *var_end = *var_currBreak;
  if (*var_currBreak == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2811
  setline(2811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe627 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block628 = alloc_Block(NULL, NULL, "ast", 2811);
  gc_frame_newslot(block628);
// method "_apply"
  block_savedest(block628);
  Object closure629 = createclosure(3, "_apply");
  setclosureframe(closure629, stackframe);
  addtoclosure(closure629, var_end);
  addtoclosure(closure629, var_str);
  addtoclosure(closure629, selfslot);
  struct UserObject *uo629 = (struct UserObject*)block628;
  uo629->data[0] = (Object)closure629;
  Method *meth_meth_ast__apply629 = addmethod2pos(block628, "_apply", &meth_ast__apply629, 0);
  int argcv_meth_ast__apply629[] = {0};
  meth_meth_ast__apply629->type = alloc_MethodType(1, argcv_meth_ast__apply629);
  meth_meth_ast__apply629->definitionModule = modulename;
  meth_meth_ast__apply629->definitionLine = 2984;
// compiled block node returning block628 (depth = 5)
  gc_frame_newslot(block628);
// starting to compile block node (depth = 5)
  Object block647 = alloc_Block(NULL, NULL, "ast", 2811);
  gc_frame_newslot(block647);
// method "_apply"
  block_savedest(block647);
  Object closure648 = createclosure(2, "_apply");
  setclosureframe(closure648, stackframe);
  addtoclosure(closure648, var_end);
  addtoclosure(closure648, selfslot);
  struct UserObject *uo648 = (struct UserObject*)block647;
  uo648->data[0] = (Object)closure648;
  Method *meth_meth_ast__apply648 = addmethod2pos(block647, "_apply", &meth_ast__apply648, 0);
  int argcv_meth_ast__apply648[] = {0};
  meth_meth_ast__apply648->type = alloc_MethodType(1, argcv_meth_ast__apply648);
  meth_meth_ast__apply648->definitionModule = modulename;
  meth_meth_ast__apply648->definitionLine = 2984;
// compiled block node returning block647 (depth = 5)
  gc_frame_newslot(block647);
// call case 5: prelude request
  params[0] = block628;
  params[1] = block647;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call655 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe627);
// compiled call node returning call655 (depth = 4)
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num656 = alloc_Float64(1);
// compiled num node returning num656 (depth = 5)
  *var_start = num656;
  if (num656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe657 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block658 = alloc_Block(NULL, NULL, "ast", 2815);
  gc_frame_newslot(block658);
// method "_apply"
  block_savedest(block658);
  Object closure659 = createclosure(3, "_apply");
  setclosureframe(closure659, stackframe);
  addtoclosure(closure659, var_start);
  addtoclosure(closure659, var_str);
  addtoclosure(closure659, selfslot);
  struct UserObject *uo659 = (struct UserObject*)block658;
  uo659->data[0] = (Object)closure659;
  Method *meth_meth_ast__apply659 = addmethod2pos(block658, "_apply", &meth_ast__apply659, 0);
  int argcv_meth_ast__apply659[] = {0};
  meth_meth_ast__apply659->type = alloc_MethodType(1, argcv_meth_ast__apply659);
  meth_meth_ast__apply659->definitionModule = modulename;
  meth_meth_ast__apply659->definitionLine = 2984;
// compiled block node returning block658 (depth = 5)
  gc_frame_newslot(block658);
// starting to compile block node (depth = 5)
  Object block678 = alloc_Block(NULL, NULL, "ast", 2815);
  gc_frame_newslot(block678);
// method "_apply"
  block_savedest(block678);
  Object closure679 = createclosure(2, "_apply");
  setclosureframe(closure679, stackframe);
  addtoclosure(closure679, var_start);
  addtoclosure(closure679, selfslot);
  struct UserObject *uo679 = (struct UserObject*)block678;
  uo679->data[0] = (Object)closure679;
  Method *meth_meth_ast__apply679 = addmethod2pos(block678, "_apply", &meth_ast__apply679, 0);
  int argcv_meth_ast__apply679[] = {0};
  meth_meth_ast__apply679->type = alloc_MethodType(1, argcv_meth_ast__apply679);
  meth_meth_ast__apply679->definitionModule = modulename;
  meth_meth_ast__apply679->definitionLine = 2984;
// compiled block node returning block678 (depth = 5)
  gc_frame_newslot(block678);
// call case 5: prelude request
  params[0] = block658;
  params[1] = block678;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call686 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe657);
// compiled call node returning call686 (depth = 4)
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe687 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_start (depth = 6)
  gc_frame_newslot(*var_start);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_end (depth = 6)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = *var_start;
  params[1] = *var_end;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call688 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe687);
// compiled call node returning call688 (depth = 5)
  *var_trimmedLine = call688;
  if (call688 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(8, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "wrap(1)to(1)prefix(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for wrap(_)to(_)prefix(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part wrap(_)");
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *var_margin = &(stackframe->slots[2]);
  *var_margin = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part prefix(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ind = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ind");
  Object *var_len = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "len");
  Object *var_currBreak = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "currBreak");
  Object *var_trimmedLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "trimmedLine");
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe553 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  Object call554 = callmethodflags(*var_margin, "size", 0, partcv, params, 0);
  gc_frame_end(callframe553);
// compiled member node returning call554 (depth = 3)
  *var_ind = call554;
  if (call554 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe555 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num557 = alloc_Float64(4);
// compiled num node returning num557 (depth = 5)
  int op_slot_right_556 = gc_frame_newslot(num557);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_556 = gc_frame_newslot(*var_ind);
  params[0] = num557;
  partcv[0] = 1;
  Object sum559 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum559 (depth = 4)
  gc_frame_newslot(sum559);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// call case 5: prelude request
  params[0] = sum559;
  params[1] = *var_l;
  partcv[0] = 2;
  Object call560 = callmethodflags(prelude, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe555);
// compiled call node returning call560 (depth = 3)
  *var_len = call560;
  if (call560 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2795
  setline(2795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_len (depth = 4)
  int op_slot_right_562 = gc_frame_newslot(*var_len);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe565 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call566 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe565);
// compiled member node returning call566 (depth = 5)
  int op_slot_right_564 = gc_frame_newslot(call566);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_564 = gc_frame_newslot(*var_ind);
  params[0] = call566;
  partcv[0] = 1;
  Object sum568 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum568 (depth = 4)
  int op_slot_left_562 = gc_frame_newslot(sum568);
  params[0] = *var_len;
  partcv[0] = 1;
  Object opresult569 = callmethod(sum568, "≤(1)", 1, partcv, params);
// compiled op node returning opresult569 (depth = 3)
  Object if561 = done;
  if (istrue(opresult569)) {
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  int op_slot_right_570 = gc_frame_newslot(*var_str);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_margin (depth = 6)
  int op_slot_right_572 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 6)
  if (strlit574 == NULL) {
    strlit574 = alloc_String("""\x0a""");
    gc_root(strlit574);
  }
// compiled string node returning strlit574 (depth = 6)
  int op_slot_left_572 = gc_frame_newslot(strlit574);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult575 = callmethod(strlit574, "++(1)", 1, partcv, params);
// compiled op node returning opresult575 (depth = 5)
  int op_slot_left_570 = gc_frame_newslot(opresult575);
  params[0] = *var_str;
  partcv[0] = 1;
  Object opresult576 = callmethod(opresult575, "++(1)", 1, partcv, params);
// compiled op node returning opresult576 (depth = 4)
  return opresult576;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if561 = undefined;
  } else {
  }
// compiled if node returning if561 (depth = 2)
// Begin line 2798
  setline(2798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_currBreak = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 2799
  setline(2799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_trimmedLine = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block578 = alloc_Block(NULL, NULL, "ast", 2801);
  gc_frame_newslot(block578);
// method "_apply"
  block_savedest(block578);
  Object closure579 = createclosure(6, "_apply");
  setclosureframe(closure579, stackframe);
  addtoclosure(closure579, var_ind);
  addtoclosure(closure579, var_len);
  addtoclosure(closure579, var_str);
  addtoclosure(closure579, var_currBreak);
  addtoclosure(closure579, var_trimmedLine);
  addtoclosure(closure579, selfslot);
  struct UserObject *uo579 = (struct UserObject*)block578;
  uo579->data[0] = (Object)closure579;
  Method *meth_meth_ast__apply579 = addmethod2pos(block578, "_apply", &meth_ast__apply579, 0);
  int argcv_meth_ast__apply579[] = {0};
  meth_meth_ast__apply579->type = alloc_MethodType(1, argcv_meth_ast__apply579);
  meth_meth_ast__apply579->definitionModule = modulename;
  meth_meth_ast__apply579->definitionLine = 2984;
// compiled block node returning block578 (depth = 3)
  int frame577 = gc_frame_new();
  gc_frame_newslot(block578);
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block600 = alloc_Block(NULL, NULL, "ast", 2805);
  gc_frame_newslot(block600);
// method "_apply(_)"
  block_savedest(block600);
  Object closure601 = createclosure(6, "_apply(1)");
  setclosureframe(closure601, stackframe);
  addtoclosure(closure601, var_ind);
  addtoclosure(closure601, var_len);
  addtoclosure(closure601, var_str);
  addtoclosure(closure601, var_currBreak);
  addtoclosure(closure601, var_trimmedLine);
  addtoclosure(closure601, selfslot);
  struct UserObject *uo601 = (struct UserObject*)block600;
  uo601->data[0] = (Object)closure601;
  Method *meth_meth_ast__apply_40_1_41_601 = addmethod2pos(block600, "_apply(1)", &meth_ast__apply_40_1_41_601, 0);
  int argcv_meth_ast__apply_40_1_41_601[] = {1};
  meth_meth_ast__apply_40_1_41_601->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_601);
  meth_meth_ast__apply_40_1_41_601->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_601->definitionLine = 2984;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe691 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe692 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit693 == NULL) {
    strlit693 = alloc_String("ex");
    gc_root(strlit693);
  }
// compiled string node returning strlit693 (depth = 6)
  gc_frame_newslot(strlit693);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe694 = gc_frame_new();
// call case 5: prelude request
  Object call695 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe694);
// compiled member node returning call695 (depth = 6)
  params[0] = strlit693;
  partcv[0] = 1;
  Object call696 = callmethodflags(call695, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe692);
// compiled call node returning call696 (depth = 5)
  gc_frame_newslot(call696);
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe697 = gc_frame_new();
// call case 5: prelude request
  Object call698 = callmethodflags(prelude, "NoSuchMethod", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe697);
// compiled member node returning call698 (depth = 5)
  gc_frame_newslot(call698);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe699 = gc_frame_new();
// call case 5: prelude request
  Object call700 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 5)
  params[0] = call696;
  params[1] = call698;
  partcv[0] = 2;
  Object call701 = callmethodflags(call700, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe691);
// compiled call node returning call701 (depth = 4)
((struct UserObject *)block600)->data[1] = call701;
// compiled block node returning block600 (depth = 3)
  gc_frame_newslot(block600);
  params[0] = block600;
  setline(2801);
  Object catchres577 = tryCatch(block578, params, 1,NULL);
  gc_frame_end(frame577);
// compiled trycatch node returning catchres577 (depth = 2)
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe703 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe704 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num706 = alloc_Float64(1);
// compiled num node returning num706 (depth = 6)
  int op_slot_right_705 = gc_frame_newslot(num706);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_left_705 = gc_frame_newslot(*var_currBreak);
  params[0] = num706;
  partcv[0] = 1;
  Object sum708 = callmethod(*var_currBreak, "+(1)", 1, partcv, params);
// compiled op node returning sum708 (depth = 5)
  gc_frame_newslot(sum708);
// starting to compile member node (depth = 5)
  int callframe709 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call710 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe709);
// compiled member node returning call710 (depth = 5)
  gc_frame_newslot(call710);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  params[0] = sum708;
  params[1] = call710;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call711 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe704);
// compiled call node returning call711 (depth = 4)
  gc_frame_newslot(call711);
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  gc_frame_newslot(*var_margin);
// call case 4: self request
  params[0] = call711;
  params[1] = *var_l;
  params[2] = *var_margin;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call712 = callmethodflags(self, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe703);
// compiled call node returning call712 (depth = 3)
  int op_slot_right_702 = gc_frame_newslot(call712);
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_trimmedLine (depth = 4)
  int op_slot_right_714 = gc_frame_newslot(*var_trimmedLine);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_margin (depth = 5)
  int op_slot_right_716 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 5)
  if (strlit718 == NULL) {
    strlit718 = alloc_String("""\x0a""");
    gc_root(strlit718);
  }
// compiled string node returning strlit718 (depth = 5)
  int op_slot_left_716 = gc_frame_newslot(strlit718);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult719 = callmethod(strlit718, "++(1)", 1, partcv, params);
// compiled op node returning opresult719 (depth = 4)
  int op_slot_left_714 = gc_frame_newslot(opresult719);
  params[0] = *var_trimmedLine;
  partcv[0] = 1;
  Object opresult720 = callmethod(opresult719, "++(1)", 1, partcv, params);
// compiled op node returning opresult720 (depth = 3)
  int op_slot_left_702 = gc_frame_newslot(opresult720);
  params[0] = call712;
  partcv[0] = 1;
  Object opresult721 = callmethod(opresult720, "++(1)", 1, partcv, params);
// compiled op node returning opresult721 (depth = 2)
  gc_frame_end(frame);
  return opresult721;
}
Object meth_ast_visitIf_40_1_41_up_40_1_41_725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe726 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call727 = callmethodflags(self, "visitIf(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe726);
// compiled call node returning call727 (depth = 2)
  gc_frame_end(frame);
  return call727;
}
Object meth_ast_visitBlock_40_1_41_up_40_1_41_728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe729 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call730 = callmethodflags(self, "visitBlock(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe729);
// compiled call node returning call730 (depth = 2)
  gc_frame_end(frame);
  return call730;
}
Object meth_ast_visitMatchCase_40_1_41_up_40_1_41_731(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe732 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call733 = callmethodflags(self, "visitMatchCase(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe732);
// compiled call node returning call733 (depth = 2)
  gc_frame_end(frame);
  return call733;
}
Object meth_ast_visitTryCatch_40_1_41_up_40_1_41_734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe735 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call736 = callmethodflags(self, "visitTryCatch(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe735);
// compiled call node returning call736 (depth = 2)
  gc_frame_end(frame);
  return call736;
}
Object meth_ast_visitMethodType_40_1_41_up_40_1_41_737(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2864
  setline(2864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe738 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call739 = callmethodflags(self, "visitMethodType(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe738);
// compiled call node returning call739 (depth = 2)
  gc_frame_end(frame);
  return call739;
}
Object meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe741 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call742 = callmethodflags(self, "visitSignaturePart(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe741);
// compiled call node returning call742 (depth = 2)
  gc_frame_end(frame);
  return call742;
}
Object meth_ast_visitTypeDec_40_1_41_up_40_1_41_743(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe744 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call745 = callmethodflags(self, "visitTypeDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe744);
// compiled call node returning call745 (depth = 2)
  gc_frame_end(frame);
  return call745;
}
Object meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe747 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call748 = callmethodflags(self, "visitTypeLiteral(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe747);
// compiled call node returning call748 (depth = 2)
  gc_frame_end(frame);
  return call748;
}
Object meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe750 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call751 = callmethodflags(self, "visitTypeParameters(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe750);
// compiled call node returning call751 (depth = 2)
  gc_frame_end(frame);
  return call751;
}
Object meth_ast_visitMethod_40_1_41_up_40_1_41_752(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe753 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call754 = callmethodflags(self, "visitMethod(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe753);
// compiled call node returning call754 (depth = 2)
  gc_frame_end(frame);
  return call754;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_755(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe756 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call757 = callmethodflags(self, "visitCall(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe756);
// compiled call node returning call757 (depth = 2)
  gc_frame_end(frame);
  return call757;
}
Object meth_ast_visitObject_40_1_41_up_40_1_41_758(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe759 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call760 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe759);
// compiled call node returning call760 (depth = 2)
  gc_frame_end(frame);
  return call760;
}
Object meth_ast_visitModule_40_1_41_up_40_1_41_761(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe762 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call763 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe762);
// compiled call node returning call763 (depth = 2)
  gc_frame_end(frame);
  return call763;
}
Object meth_ast_visitArray_40_1_41_up_40_1_41_764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2873
  setline(2873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe765 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call766 = callmethodflags(self, "visitArray(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe765);
// compiled call node returning call766 (depth = 2)
  gc_frame_end(frame);
  return call766;
}
Object meth_ast_visitMember_40_1_41_up_40_1_41_767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe768 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call769 = callmethodflags(self, "visitMember(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe768);
// compiled call node returning call769 (depth = 2)
  gc_frame_end(frame);
  return call769;
}
Object meth_ast_visitGeneric_40_1_41_up_40_1_41_770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe771 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call772 = callmethodflags(self, "visitGeneric(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe771);
// compiled call node returning call772 (depth = 2)
  gc_frame_end(frame);
  return call772;
}
Object meth_ast_visitIdentifier_40_1_41_up_40_1_41_773(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe774 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call775 = callmethodflags(self, "visitIdentifier(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe774);
// compiled call node returning call775 (depth = 2)
  gc_frame_end(frame);
  return call775;
}
Object meth_ast_visitString_40_1_41_up_40_1_41_776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe777 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call778 = callmethodflags(self, "visitString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe777);
// compiled call node returning call778 (depth = 2)
  gc_frame_end(frame);
  return call778;
}
Object meth_ast_visitNum_40_1_41_up_40_1_41_779(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2878
  setline(2878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe780 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call781 = callmethodflags(self, "visitNum(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe780);
// compiled call node returning call781 (depth = 2)
  gc_frame_end(frame);
  return call781;
}
Object meth_ast_visitOp_40_1_41_up_40_1_41_782(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe783 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call784 = callmethodflags(self, "visitOp(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe783);
// compiled call node returning call784 (depth = 2)
  gc_frame_end(frame);
  return call784;
}
Object meth_ast_visitBind_40_1_41_up_40_1_41_785(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe786 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call787 = callmethodflags(self, "visitBind(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe786);
// compiled call node returning call787 (depth = 2)
  gc_frame_end(frame);
  return call787;
}
Object meth_ast_visitDefDec_40_1_41_up_40_1_41_788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe789 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call790 = callmethodflags(self, "visitDefDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe789);
// compiled call node returning call790 (depth = 2)
  gc_frame_end(frame);
  return call790;
}
Object meth_ast_visitVarDec_40_1_41_up_40_1_41_791(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe792 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call793 = callmethodflags(self, "visitVarDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe792);
// compiled call node returning call793 (depth = 2)
  gc_frame_end(frame);
  return call793;
}
Object meth_ast_visitImport_40_1_41_up_40_1_41_794(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2883
  setline(2883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe795 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call796 = callmethodflags(self, "visitImport(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe795);
// compiled call node returning call796 (depth = 2)
  gc_frame_end(frame);
  return call796;
}
Object meth_ast_visitReturn_40_1_41_up_40_1_41_797(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe798 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call799 = callmethodflags(self, "visitReturn(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe798);
// compiled call node returning call799 (depth = 2)
  gc_frame_end(frame);
  return call799;
}
Object meth_ast_visitInherits_40_1_41_up_40_1_41_800(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe801 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call802 = callmethodflags(self, "visitInherits(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe801);
// compiled call node returning call802 (depth = 2)
  gc_frame_end(frame);
  return call802;
}
Object meth_ast_visitDialect_40_1_41_up_40_1_41_803(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe804 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call805 = callmethodflags(self, "visitDialect(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe804);
// compiled call node returning call805 (depth = 2)
  gc_frame_end(frame);
  return call805;
}
Object meth_ast_visitBlank_40_1_41_up_40_1_41_806(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlank(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe807 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call808 = callmethodflags(self, "visitBlank(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe807);
// compiled call node returning call808 (depth = 2)
  gc_frame_end(frame);
  return call808;
}
Object meth_ast_visitComment_40_1_41_up_40_1_41_809(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe810 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call811 = callmethodflags(self, "visitComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe810);
// compiled call node returning call811 (depth = 2)
  gc_frame_end(frame);
  return call811;
}
Object meth_ast_visitImplicit_40_1_41_up_40_1_41_812(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2889
  setline(2889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe813 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call814 = callmethodflags(self, "visitImplicit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe813);
// compiled call node returning call814 (depth = 2)
  gc_frame_end(frame);
  return call814;
}
Object meth_ast_visitIf_40_1_41_815(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool816 = alloc_Boolean(1);
// compiled identifier node returning bool816 (depth = 2)
  gc_frame_end(frame);
  return bool816;
}
Object meth_ast_visitBlock_40_1_41_817(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool818 = alloc_Boolean(1);
// compiled identifier node returning bool818 (depth = 2)
  gc_frame_end(frame);
  return bool818;
}
Object meth_ast_visitMatchCase_40_1_41_819(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool820 = alloc_Boolean(1);
// compiled identifier node returning bool820 (depth = 2)
  gc_frame_end(frame);
  return bool820;
}
Object meth_ast_visitTryCatch_40_1_41_821(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2894
  setline(2894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool822 = alloc_Boolean(1);
// compiled identifier node returning bool822 (depth = 2)
  gc_frame_end(frame);
  return bool822;
}
Object meth_ast_visitMethodType_40_1_41_823(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool824 = alloc_Boolean(1);
// compiled identifier node returning bool824 (depth = 2)
  gc_frame_end(frame);
  return bool824;
}
Object meth_ast_visitSignaturePart_40_1_41_825(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool826 = alloc_Boolean(1);
// compiled identifier node returning bool826 (depth = 2)
  gc_frame_end(frame);
  return bool826;
}
Object meth_ast_visitTypeDec_40_1_41_827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool828 = alloc_Boolean(1);
// compiled identifier node returning bool828 (depth = 2)
  gc_frame_end(frame);
  return bool828;
}
Object meth_ast_visitTypeLiteral_40_1_41_829(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool830 = alloc_Boolean(1);
// compiled identifier node returning bool830 (depth = 2)
  gc_frame_end(frame);
  return bool830;
}
Object meth_ast_visitTypeParameters_40_1_41_831(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool832 = alloc_Boolean(1);
// compiled identifier node returning bool832 (depth = 2)
  gc_frame_end(frame);
  return bool832;
}
Object meth_ast_visitMethod_40_1_41_833(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool834 = alloc_Boolean(1);
// compiled identifier node returning bool834 (depth = 2)
  gc_frame_end(frame);
  return bool834;
}
Object meth_ast_visitCall_40_1_41_835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool836 = alloc_Boolean(1);
// compiled identifier node returning bool836 (depth = 2)
  gc_frame_end(frame);
  return bool836;
}
Object meth_ast_visitObject_40_1_41_837(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool838 = alloc_Boolean(1);
// compiled identifier node returning bool838 (depth = 2)
  gc_frame_end(frame);
  return bool838;
}
Object meth_ast_visitModule_40_1_41_839(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool840 = alloc_Boolean(1);
// compiled identifier node returning bool840 (depth = 2)
  gc_frame_end(frame);
  return bool840;
}
Object meth_ast_visitArray_40_1_41_841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool842 = alloc_Boolean(1);
// compiled identifier node returning bool842 (depth = 2)
  gc_frame_end(frame);
  return bool842;
}
Object meth_ast_visitMember_40_1_41_843(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool844 = alloc_Boolean(1);
// compiled identifier node returning bool844 (depth = 2)
  gc_frame_end(frame);
  return bool844;
}
Object meth_ast_visitGeneric_40_1_41_845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool846 = alloc_Boolean(1);
// compiled identifier node returning bool846 (depth = 2)
  gc_frame_end(frame);
  return bool846;
}
Object meth_ast_visitIdentifier_40_1_41_847(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool848 = alloc_Boolean(1);
// compiled identifier node returning bool848 (depth = 2)
  gc_frame_end(frame);
  return bool848;
}
Object meth_ast_visitString_40_1_41_849(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool850 = alloc_Boolean(1);
// compiled identifier node returning bool850 (depth = 2)
  gc_frame_end(frame);
  return bool850;
}
Object meth_ast_visitNum_40_1_41_851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool852 = alloc_Boolean(1);
// compiled identifier node returning bool852 (depth = 2)
  gc_frame_end(frame);
  return bool852;
}
Object meth_ast_visitOp_40_1_41_853(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool854 = alloc_Boolean(1);
// compiled identifier node returning bool854 (depth = 2)
  gc_frame_end(frame);
  return bool854;
}
Object meth_ast_visitBind_40_1_41_855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool856 = alloc_Boolean(1);
// compiled identifier node returning bool856 (depth = 2)
  gc_frame_end(frame);
  return bool856;
}
Object meth_ast_visitDefDec_40_1_41_857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool858 = alloc_Boolean(1);
// compiled identifier node returning bool858 (depth = 2)
  gc_frame_end(frame);
  return bool858;
}
Object meth_ast_visitVarDec_40_1_41_859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool860 = alloc_Boolean(1);
// compiled identifier node returning bool860 (depth = 2)
  gc_frame_end(frame);
  return bool860;
}
Object meth_ast_visitImport_40_1_41_861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool862 = alloc_Boolean(1);
// compiled identifier node returning bool862 (depth = 2)
  gc_frame_end(frame);
  return bool862;
}
Object meth_ast_visitReturn_40_1_41_863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool864 = alloc_Boolean(1);
// compiled identifier node returning bool864 (depth = 2)
  gc_frame_end(frame);
  return bool864;
}
Object meth_ast_visitInherits_40_1_41_865(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool866 = alloc_Boolean(1);
// compiled identifier node returning bool866 (depth = 2)
  gc_frame_end(frame);
  return bool866;
}
Object meth_ast_visitDialect_40_1_41_867(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool868 = alloc_Boolean(1);
// compiled identifier node returning bool868 (depth = 2)
  gc_frame_end(frame);
  return bool868;
}
Object meth_ast_visitBlank_40_1_41_869(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlank(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool870 = alloc_Boolean(1);
// compiled identifier node returning bool870 (depth = 2)
  gc_frame_end(frame);
  return bool870;
}
Object meth_ast_visitComment_40_1_41_871(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool872 = alloc_Boolean(1);
// compiled identifier node returning bool872 (depth = 2)
  gc_frame_end(frame);
  return bool872;
}
Object meth_ast_visitImplicit_40_1_41_873(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool874 = alloc_Boolean(1);
// compiled identifier node returning bool874 (depth = 2)
  gc_frame_end(frame);
  return bool874;
}
Object meth_ast_asString875(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit876 == NULL) {
    strlit876 = alloc_String("an AST visitor");
    gc_root(strlit876);
  }
// compiled string node returning strlit876 (depth = 2)
  gc_frame_end(frame);
  return strlit876;
}
Object meth_ast_baseVisitor722(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject723 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj723 = alloc_userobj2(61,62, objclass723);
  gc_frame_newslot(obj723);
if (objclass723 == NULL) {
  glfree(obj723->class->name);
  obj723->class->name = "baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj723, self, 0);
  addmethodreal(obj723,"outer", &reader_ast_outer_724);
  Object oldself723 = self;
  struct StackFrameObject *oldstackframe723 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe723);
  gc_frame_newslot((Object)stackframe);
  self = obj723;
  Object *oldselfslot723 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter723 = (*(struct UserObject *)self).data[0], lowerouter723 = thisouter723;
  if (inheritingObject723) {
    struct UserObject *inho723 = (struct UserObject *)inheritingObject723;
    while (inho723->super != GraceDefaultObject) inho723 = (struct UserObject *)inho723->super;
    inho723->super = obj723;
    self = inheritingObject723;
    *selfslot = self;
    lowerouter723 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter723;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo725 = (struct UserObject*)obj723;
  uo725->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_725 = addmethod2pos(obj723, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_725, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_725[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_725);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->definitionLine = 2860;
// method "visitBlock(_)up(_)"
  struct UserObject *uo728 = (struct UserObject*)obj723;
  uo728->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728 = addmethod2pos(obj723, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_728, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_728[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_728);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->definitionLine = 2861;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo731 = (struct UserObject*)obj723;
  uo731->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731 = addmethod2pos(obj723, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_731, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->definitionLine = 2862;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo734 = (struct UserObject*)obj723;
  uo734->data[4] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734 = addmethod2pos(obj723, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_734, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->definitionLine = 2863;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo737 = (struct UserObject*)obj723;
  uo737->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737 = addmethod2pos(obj723, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_737, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_737[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_737);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->definitionLine = 2864;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo740 = (struct UserObject*)obj723;
  uo740->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740 = addmethod2pos(obj723, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->definitionLine = 2865;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo743 = (struct UserObject*)obj723;
  uo743->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743 = addmethod2pos(obj723, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_743, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->definitionLine = 2866;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo746 = (struct UserObject*)obj723;
  uo746->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746 = addmethod2pos(obj723, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->definitionLine = 2867;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo749 = (struct UserObject*)obj723;
  uo749->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749 = addmethod2pos(obj723, "visitTypeParameters(1)up(1)", &meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749, 9);
  int argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749[] = {1, 1};
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->type = alloc_MethodType(2, argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749);
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->definitionLine = 2868;
// method "visitMethod(_)up(_)"
  struct UserObject *uo752 = (struct UserObject*)obj723;
  uo752->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752 = addmethod2pos(obj723, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_752, 10);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_752[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_752);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->definitionLine = 2869;
// method "visitCall(_)up(_)"
  struct UserObject *uo755 = (struct UserObject*)obj723;
  uo755->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_755 = addmethod2pos(obj723, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_755, 11);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_755[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_755);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->definitionLine = 2870;
// method "visitObject(_)up(_)"
  struct UserObject *uo758 = (struct UserObject*)obj723;
  uo758->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_758 = addmethod2pos(obj723, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_758, 12);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_758[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_758);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->definitionLine = 2871;
// method "visitModule(_)up(_)"
  struct UserObject *uo761 = (struct UserObject*)obj723;
  uo761->data[13] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_761 = addmethod2pos(obj723, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_761, 13);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_761[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_761);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->definitionLine = 2872;
// method "visitArray(_)up(_)"
  struct UserObject *uo764 = (struct UserObject*)obj723;
  uo764->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_764 = addmethod2pos(obj723, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_764, 14);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_764[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_764);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->definitionLine = 2873;
// method "visitMember(_)up(_)"
  struct UserObject *uo767 = (struct UserObject*)obj723;
  uo767->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_767 = addmethod2pos(obj723, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_767, 15);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_767[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_767);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->definitionLine = 2874;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo770 = (struct UserObject*)obj723;
  uo770->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770 = addmethod2pos(obj723, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_770, 16);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_770[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_770);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->definitionLine = 2875;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo773 = (struct UserObject*)obj723;
  uo773->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773 = addmethod2pos(obj723, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_773, 17);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->definitionLine = 2876;
// method "visitString(_)up(_)"
  struct UserObject *uo776 = (struct UserObject*)obj723;
  uo776->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_776 = addmethod2pos(obj723, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_776, 18);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_776[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_776);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->definitionLine = 2877;
// method "visitNum(_)up(_)"
  struct UserObject *uo779 = (struct UserObject*)obj723;
  uo779->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_779 = addmethod2pos(obj723, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_779, 19);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_779[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_779);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->definitionLine = 2878;
// method "visitOp(_)up(_)"
  struct UserObject *uo782 = (struct UserObject*)obj723;
  uo782->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_782 = addmethod2pos(obj723, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_782, 20);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_782[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_782);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->definitionLine = 2879;
// method "visitBind(_)up(_)"
  struct UserObject *uo785 = (struct UserObject*)obj723;
  uo785->data[21] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_785 = addmethod2pos(obj723, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_785, 21);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_785[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_785);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->definitionLine = 2880;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo788 = (struct UserObject*)obj723;
  uo788->data[22] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788 = addmethod2pos(obj723, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_788, 22);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_788[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_788);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->definitionLine = 2881;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo791 = (struct UserObject*)obj723;
  uo791->data[23] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791 = addmethod2pos(obj723, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_791, 23);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_791[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_791);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->definitionLine = 2882;
// method "visitImport(_)up(_)"
  struct UserObject *uo794 = (struct UserObject*)obj723;
  uo794->data[24] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_794 = addmethod2pos(obj723, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_794, 24);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_794[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_794);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->definitionLine = 2883;
// method "visitReturn(_)up(_)"
  struct UserObject *uo797 = (struct UserObject*)obj723;
  uo797->data[25] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797 = addmethod2pos(obj723, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_797, 25);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_797[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_797);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->definitionLine = 2884;
// method "visitInherits(_)up(_)"
  struct UserObject *uo800 = (struct UserObject*)obj723;
  uo800->data[26] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800 = addmethod2pos(obj723, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_800, 26);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_800[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_800);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->definitionLine = 2885;
// method "visitDialect(_)up(_)"
  struct UserObject *uo803 = (struct UserObject*)obj723;
  uo803->data[27] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803 = addmethod2pos(obj723, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_803, 27);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_803[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_803);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->definitionLine = 2886;
// method "visitBlank(_)up(_)"
  struct UserObject *uo806 = (struct UserObject*)obj723;
  uo806->data[28] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806 = addmethod2pos(obj723, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_806, 28);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_806[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_806);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->definitionLine = 2887;
// method "visitComment(_)up(_)"
  struct UserObject *uo809 = (struct UserObject*)obj723;
  uo809->data[29] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_809 = addmethod2pos(obj723, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_809, 29);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_809[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_809);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->definitionLine = 2888;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo812 = (struct UserObject*)obj723;
  uo812->data[30] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812 = addmethod2pos(obj723, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_812, 30);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_812[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_812);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->definitionLine = 2889;
// method "visitIf(_)"
  struct UserObject *uo815 = (struct UserObject*)obj723;
  uo815->data[31] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_815 = addmethod2pos(obj723, "visitIf(1)", &meth_ast_visitIf_40_1_41_815, 31);
  int argcv_meth_ast_visitIf_40_1_41_815[] = {1};
  meth_meth_ast_visitIf_40_1_41_815->type = alloc_MethodType(1, argcv_meth_ast_visitIf_40_1_41_815);
  meth_meth_ast_visitIf_40_1_41_815->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_815->definitionLine = 2891;
// method "visitBlock(_)"
  struct UserObject *uo817 = (struct UserObject*)obj723;
  uo817->data[32] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_817 = addmethod2pos(obj723, "visitBlock(1)", &meth_ast_visitBlock_40_1_41_817, 32);
  int argcv_meth_ast_visitBlock_40_1_41_817[] = {1};
  meth_meth_ast_visitBlock_40_1_41_817->type = alloc_MethodType(1, argcv_meth_ast_visitBlock_40_1_41_817);
  meth_meth_ast_visitBlock_40_1_41_817->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_817->definitionLine = 2892;
// method "visitMatchCase(_)"
  struct UserObject *uo819 = (struct UserObject*)obj723;
  uo819->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_819 = addmethod2pos(obj723, "visitMatchCase(1)", &meth_ast_visitMatchCase_40_1_41_819, 33);
  int argcv_meth_ast_visitMatchCase_40_1_41_819[] = {1};
  meth_meth_ast_visitMatchCase_40_1_41_819->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase_40_1_41_819);
  meth_meth_ast_visitMatchCase_40_1_41_819->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_819->definitionLine = 2893;
// method "visitTryCatch(_)"
  struct UserObject *uo821 = (struct UserObject*)obj723;
  uo821->data[34] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_821 = addmethod2pos(obj723, "visitTryCatch(1)", &meth_ast_visitTryCatch_40_1_41_821, 34);
  int argcv_meth_ast_visitTryCatch_40_1_41_821[] = {1};
  meth_meth_ast_visitTryCatch_40_1_41_821->type = alloc_MethodType(1, argcv_meth_ast_visitTryCatch_40_1_41_821);
  meth_meth_ast_visitTryCatch_40_1_41_821->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_821->definitionLine = 2894;
// method "visitMethodType(_)"
  struct UserObject *uo823 = (struct UserObject*)obj723;
  uo823->data[35] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_823 = addmethod2pos(obj723, "visitMethodType(1)", &meth_ast_visitMethodType_40_1_41_823, 35);
  int argcv_meth_ast_visitMethodType_40_1_41_823[] = {1};
  meth_meth_ast_visitMethodType_40_1_41_823->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType_40_1_41_823);
  meth_meth_ast_visitMethodType_40_1_41_823->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_823->definitionLine = 2895;
// method "visitSignaturePart(_)"
  struct UserObject *uo825 = (struct UserObject*)obj723;
  uo825->data[36] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_825 = addmethod2pos(obj723, "visitSignaturePart(1)", &meth_ast_visitSignaturePart_40_1_41_825, 36);
  int argcv_meth_ast_visitSignaturePart_40_1_41_825[] = {1};
  meth_meth_ast_visitSignaturePart_40_1_41_825->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart_40_1_41_825);
  meth_meth_ast_visitSignaturePart_40_1_41_825->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_825->definitionLine = 2896;
// method "visitTypeDec(_)"
  struct UserObject *uo827 = (struct UserObject*)obj723;
  uo827->data[37] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_827 = addmethod2pos(obj723, "visitTypeDec(1)", &meth_ast_visitTypeDec_40_1_41_827, 37);
  int argcv_meth_ast_visitTypeDec_40_1_41_827[] = {1};
  meth_meth_ast_visitTypeDec_40_1_41_827->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec_40_1_41_827);
  meth_meth_ast_visitTypeDec_40_1_41_827->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_827->definitionLine = 2897;
// method "visitTypeLiteral(_)"
  struct UserObject *uo829 = (struct UserObject*)obj723;
  uo829->data[38] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_829 = addmethod2pos(obj723, "visitTypeLiteral(1)", &meth_ast_visitTypeLiteral_40_1_41_829, 38);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_829[] = {1};
  meth_meth_ast_visitTypeLiteral_40_1_41_829->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral_40_1_41_829);
  meth_meth_ast_visitTypeLiteral_40_1_41_829->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_829->definitionLine = 2898;
// method "visitTypeParameters(_)"
  struct UserObject *uo831 = (struct UserObject*)obj723;
  uo831->data[39] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_831 = addmethod2pos(obj723, "visitTypeParameters(1)", &meth_ast_visitTypeParameters_40_1_41_831, 39);
  int argcv_meth_ast_visitTypeParameters_40_1_41_831[] = {1};
  meth_meth_ast_visitTypeParameters_40_1_41_831->type = alloc_MethodType(1, argcv_meth_ast_visitTypeParameters_40_1_41_831);
  meth_meth_ast_visitTypeParameters_40_1_41_831->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_831->definitionLine = 2899;
// method "visitMethod(_)"
  struct UserObject *uo833 = (struct UserObject*)obj723;
  uo833->data[40] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_833 = addmethod2pos(obj723, "visitMethod(1)", &meth_ast_visitMethod_40_1_41_833, 40);
  int argcv_meth_ast_visitMethod_40_1_41_833[] = {1};
  meth_meth_ast_visitMethod_40_1_41_833->type = alloc_MethodType(1, argcv_meth_ast_visitMethod_40_1_41_833);
  meth_meth_ast_visitMethod_40_1_41_833->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_833->definitionLine = 2900;
// method "visitCall(_)"
  struct UserObject *uo835 = (struct UserObject*)obj723;
  uo835->data[41] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_835 = addmethod2pos(obj723, "visitCall(1)", &meth_ast_visitCall_40_1_41_835, 41);
  int argcv_meth_ast_visitCall_40_1_41_835[] = {1};
  meth_meth_ast_visitCall_40_1_41_835->type = alloc_MethodType(1, argcv_meth_ast_visitCall_40_1_41_835);
  meth_meth_ast_visitCall_40_1_41_835->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_835->definitionLine = 2901;
// method "visitObject(_)"
  struct UserObject *uo837 = (struct UserObject*)obj723;
  uo837->data[42] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_837 = addmethod2pos(obj723, "visitObject(1)", &meth_ast_visitObject_40_1_41_837, 42);
  int argcv_meth_ast_visitObject_40_1_41_837[] = {1};
  meth_meth_ast_visitObject_40_1_41_837->type = alloc_MethodType(1, argcv_meth_ast_visitObject_40_1_41_837);
  meth_meth_ast_visitObject_40_1_41_837->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_837->definitionLine = 2902;
// method "visitModule(_)"
  struct UserObject *uo839 = (struct UserObject*)obj723;
  uo839->data[43] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_839 = addmethod2pos(obj723, "visitModule(1)", &meth_ast_visitModule_40_1_41_839, 43);
  int argcv_meth_ast_visitModule_40_1_41_839[] = {1};
  meth_meth_ast_visitModule_40_1_41_839->type = alloc_MethodType(1, argcv_meth_ast_visitModule_40_1_41_839);
  meth_meth_ast_visitModule_40_1_41_839->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_839->definitionLine = 2903;
// method "visitArray(_)"
  struct UserObject *uo841 = (struct UserObject*)obj723;
  uo841->data[44] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_841 = addmethod2pos(obj723, "visitArray(1)", &meth_ast_visitArray_40_1_41_841, 44);
  int argcv_meth_ast_visitArray_40_1_41_841[] = {1};
  meth_meth_ast_visitArray_40_1_41_841->type = alloc_MethodType(1, argcv_meth_ast_visitArray_40_1_41_841);
  meth_meth_ast_visitArray_40_1_41_841->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_841->definitionLine = 2904;
// method "visitMember(_)"
  struct UserObject *uo843 = (struct UserObject*)obj723;
  uo843->data[45] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_843 = addmethod2pos(obj723, "visitMember(1)", &meth_ast_visitMember_40_1_41_843, 45);
  int argcv_meth_ast_visitMember_40_1_41_843[] = {1};
  meth_meth_ast_visitMember_40_1_41_843->type = alloc_MethodType(1, argcv_meth_ast_visitMember_40_1_41_843);
  meth_meth_ast_visitMember_40_1_41_843->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_843->definitionLine = 2905;
// method "visitGeneric(_)"
  struct UserObject *uo845 = (struct UserObject*)obj723;
  uo845->data[46] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_845 = addmethod2pos(obj723, "visitGeneric(1)", &meth_ast_visitGeneric_40_1_41_845, 46);
  int argcv_meth_ast_visitGeneric_40_1_41_845[] = {1};
  meth_meth_ast_visitGeneric_40_1_41_845->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric_40_1_41_845);
  meth_meth_ast_visitGeneric_40_1_41_845->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_845->definitionLine = 2906;
// method "visitIdentifier(_)"
  struct UserObject *uo847 = (struct UserObject*)obj723;
  uo847->data[47] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_847 = addmethod2pos(obj723, "visitIdentifier(1)", &meth_ast_visitIdentifier_40_1_41_847, 47);
  int argcv_meth_ast_visitIdentifier_40_1_41_847[] = {1};
  meth_meth_ast_visitIdentifier_40_1_41_847->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier_40_1_41_847);
  meth_meth_ast_visitIdentifier_40_1_41_847->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_847->definitionLine = 2907;
// method "visitString(_)"
  struct UserObject *uo849 = (struct UserObject*)obj723;
  uo849->data[48] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_849 = addmethod2pos(obj723, "visitString(1)", &meth_ast_visitString_40_1_41_849, 48);
  int argcv_meth_ast_visitString_40_1_41_849[] = {1};
  meth_meth_ast_visitString_40_1_41_849->type = alloc_MethodType(1, argcv_meth_ast_visitString_40_1_41_849);
  meth_meth_ast_visitString_40_1_41_849->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_849->definitionLine = 2908;
// method "visitNum(_)"
  struct UserObject *uo851 = (struct UserObject*)obj723;
  uo851->data[49] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_851 = addmethod2pos(obj723, "visitNum(1)", &meth_ast_visitNum_40_1_41_851, 49);
  int argcv_meth_ast_visitNum_40_1_41_851[] = {1};
  meth_meth_ast_visitNum_40_1_41_851->type = alloc_MethodType(1, argcv_meth_ast_visitNum_40_1_41_851);
  meth_meth_ast_visitNum_40_1_41_851->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_851->definitionLine = 2909;
// method "visitOp(_)"
  struct UserObject *uo853 = (struct UserObject*)obj723;
  uo853->data[50] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_853 = addmethod2pos(obj723, "visitOp(1)", &meth_ast_visitOp_40_1_41_853, 50);
  int argcv_meth_ast_visitOp_40_1_41_853[] = {1};
  meth_meth_ast_visitOp_40_1_41_853->type = alloc_MethodType(1, argcv_meth_ast_visitOp_40_1_41_853);
  meth_meth_ast_visitOp_40_1_41_853->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_853->definitionLine = 2910;
// method "visitBind(_)"
  struct UserObject *uo855 = (struct UserObject*)obj723;
  uo855->data[51] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_855 = addmethod2pos(obj723, "visitBind(1)", &meth_ast_visitBind_40_1_41_855, 51);
  int argcv_meth_ast_visitBind_40_1_41_855[] = {1};
  meth_meth_ast_visitBind_40_1_41_855->type = alloc_MethodType(1, argcv_meth_ast_visitBind_40_1_41_855);
  meth_meth_ast_visitBind_40_1_41_855->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_855->definitionLine = 2911;
// method "visitDefDec(_)"
  struct UserObject *uo857 = (struct UserObject*)obj723;
  uo857->data[52] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_857 = addmethod2pos(obj723, "visitDefDec(1)", &meth_ast_visitDefDec_40_1_41_857, 52);
  int argcv_meth_ast_visitDefDec_40_1_41_857[] = {1};
  meth_meth_ast_visitDefDec_40_1_41_857->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec_40_1_41_857);
  meth_meth_ast_visitDefDec_40_1_41_857->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_857->definitionLine = 2912;
// method "visitVarDec(_)"
  struct UserObject *uo859 = (struct UserObject*)obj723;
  uo859->data[53] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_859 = addmethod2pos(obj723, "visitVarDec(1)", &meth_ast_visitVarDec_40_1_41_859, 53);
  int argcv_meth_ast_visitVarDec_40_1_41_859[] = {1};
  meth_meth_ast_visitVarDec_40_1_41_859->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec_40_1_41_859);
  meth_meth_ast_visitVarDec_40_1_41_859->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_859->definitionLine = 2913;
// method "visitImport(_)"
  struct UserObject *uo861 = (struct UserObject*)obj723;
  uo861->data[54] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_861 = addmethod2pos(obj723, "visitImport(1)", &meth_ast_visitImport_40_1_41_861, 54);
  int argcv_meth_ast_visitImport_40_1_41_861[] = {1};
  meth_meth_ast_visitImport_40_1_41_861->type = alloc_MethodType(1, argcv_meth_ast_visitImport_40_1_41_861);
  meth_meth_ast_visitImport_40_1_41_861->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_861->definitionLine = 2914;
// method "visitReturn(_)"
  struct UserObject *uo863 = (struct UserObject*)obj723;
  uo863->data[55] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_863 = addmethod2pos(obj723, "visitReturn(1)", &meth_ast_visitReturn_40_1_41_863, 55);
  int argcv_meth_ast_visitReturn_40_1_41_863[] = {1};
  meth_meth_ast_visitReturn_40_1_41_863->type = alloc_MethodType(1, argcv_meth_ast_visitReturn_40_1_41_863);
  meth_meth_ast_visitReturn_40_1_41_863->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_863->definitionLine = 2915;
// method "visitInherits(_)"
  struct UserObject *uo865 = (struct UserObject*)obj723;
  uo865->data[56] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_865 = addmethod2pos(obj723, "visitInherits(1)", &meth_ast_visitInherits_40_1_41_865, 56);
  int argcv_meth_ast_visitInherits_40_1_41_865[] = {1};
  meth_meth_ast_visitInherits_40_1_41_865->type = alloc_MethodType(1, argcv_meth_ast_visitInherits_40_1_41_865);
  meth_meth_ast_visitInherits_40_1_41_865->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_865->definitionLine = 2916;
// method "visitDialect(_)"
  struct UserObject *uo867 = (struct UserObject*)obj723;
  uo867->data[57] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_867 = addmethod2pos(obj723, "visitDialect(1)", &meth_ast_visitDialect_40_1_41_867, 57);
  int argcv_meth_ast_visitDialect_40_1_41_867[] = {1};
  meth_meth_ast_visitDialect_40_1_41_867->type = alloc_MethodType(1, argcv_meth_ast_visitDialect_40_1_41_867);
  meth_meth_ast_visitDialect_40_1_41_867->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_867->definitionLine = 2917;
// method "visitBlank(_)"
  struct UserObject *uo869 = (struct UserObject*)obj723;
  uo869->data[58] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_869 = addmethod2pos(obj723, "visitBlank(1)", &meth_ast_visitBlank_40_1_41_869, 58);
  int argcv_meth_ast_visitBlank_40_1_41_869[] = {1};
  meth_meth_ast_visitBlank_40_1_41_869->type = alloc_MethodType(1, argcv_meth_ast_visitBlank_40_1_41_869);
  meth_meth_ast_visitBlank_40_1_41_869->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_869->definitionLine = 2918;
// method "visitComment(_)"
  struct UserObject *uo871 = (struct UserObject*)obj723;
  uo871->data[59] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_871 = addmethod2pos(obj723, "visitComment(1)", &meth_ast_visitComment_40_1_41_871, 59);
  int argcv_meth_ast_visitComment_40_1_41_871[] = {1};
  meth_meth_ast_visitComment_40_1_41_871->type = alloc_MethodType(1, argcv_meth_ast_visitComment_40_1_41_871);
  meth_meth_ast_visitComment_40_1_41_871->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_871->definitionLine = 2919;
// method "visitImplicit(_)"
  struct UserObject *uo873 = (struct UserObject*)obj723;
  uo873->data[60] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_873 = addmethod2pos(obj723, "visitImplicit(1)", &meth_ast_visitImplicit_40_1_41_873, 60);
  int argcv_meth_ast_visitImplicit_40_1_41_873[] = {1};
  meth_meth_ast_visitImplicit_40_1_41_873->type = alloc_MethodType(1, argcv_meth_ast_visitImplicit_40_1_41_873);
  meth_meth_ast_visitImplicit_40_1_41_873->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_873->definitionLine = 2920;
// method "asString"
  struct UserObject *uo875 = (struct UserObject*)obj723;
  uo875->data[61] = emptyclosure;
  Method *meth_meth_ast_asString875 = addmethod2pos(obj723, "asString", &meth_ast_asString875, 61);
  int argcv_meth_ast_asString875[] = {0};
  meth_meth_ast_asString875->type = alloc_MethodType(1, argcv_meth_ast_asString875);
  meth_meth_ast_asString875->definitionModule = modulename;
  meth_meth_ast_asString875->definitionLine = 2922;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  objclass723 = obj723->class;
  objclass723->definitionModule = modulename;
  objclass723->definitionLine = 2859;
  (*(struct UserObject *)self).data[0] = lowerouter723;
  self = oldself723;
  selfslot = oldselfslot723;
  stackframe = oldstackframe723;
  gc_frame_end(frame);
  return obj723;
}
Object meth_ast_baseVisitor722_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject723 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj723 = alloc_userobj2(61,62, objclass723);
  gc_frame_newslot(obj723);
if (objclass723 == NULL) {
  glfree(obj723->class->name);
  obj723->class->name = "baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj723, self, 0);
  addmethodreal(obj723,"outer", &reader_ast_outer_724);
  Object oldself723 = self;
  struct StackFrameObject *oldstackframe723 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe723);
  gc_frame_newslot((Object)stackframe);
  self = obj723;
  Object *oldselfslot723 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter723 = (*(struct UserObject *)self).data[0], lowerouter723 = thisouter723;
  if (inheritingObject723) {
    struct UserObject *inho723 = (struct UserObject *)inheritingObject723;
    while (inho723->super != GraceDefaultObject) inho723 = (struct UserObject *)inho723->super;
    inho723->super = obj723;
    self = inheritingObject723;
    *selfslot = self;
    lowerouter723 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter723;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo725 = (struct UserObject*)obj723;
  uo725->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_725 = addmethod2pos(obj723, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_725, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_725[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_725);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_725->definitionLine = 2860;
// method "visitBlock(_)up(_)"
  struct UserObject *uo728 = (struct UserObject*)obj723;
  uo728->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728 = addmethod2pos(obj723, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_728, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_728[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_728);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_728->definitionLine = 2861;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo731 = (struct UserObject*)obj723;
  uo731->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731 = addmethod2pos(obj723, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_731, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_731->definitionLine = 2862;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo734 = (struct UserObject*)obj723;
  uo734->data[4] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734 = addmethod2pos(obj723, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_734, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_734->definitionLine = 2863;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo737 = (struct UserObject*)obj723;
  uo737->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737 = addmethod2pos(obj723, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_737, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_737[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_737);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_737->definitionLine = 2864;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo740 = (struct UserObject*)obj723;
  uo740->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740 = addmethod2pos(obj723, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_740->definitionLine = 2865;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo743 = (struct UserObject*)obj723;
  uo743->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743 = addmethod2pos(obj723, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_743, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_743->definitionLine = 2866;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo746 = (struct UserObject*)obj723;
  uo746->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746 = addmethod2pos(obj723, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_746->definitionLine = 2867;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo749 = (struct UserObject*)obj723;
  uo749->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749 = addmethod2pos(obj723, "visitTypeParameters(1)up(1)", &meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749, 9);
  int argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749[] = {1, 1};
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->type = alloc_MethodType(2, argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749);
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_749->definitionLine = 2868;
// method "visitMethod(_)up(_)"
  struct UserObject *uo752 = (struct UserObject*)obj723;
  uo752->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752 = addmethod2pos(obj723, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_752, 10);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_752[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_752);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_752->definitionLine = 2869;
// method "visitCall(_)up(_)"
  struct UserObject *uo755 = (struct UserObject*)obj723;
  uo755->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_755 = addmethod2pos(obj723, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_755, 11);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_755[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_755);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_755->definitionLine = 2870;
// method "visitObject(_)up(_)"
  struct UserObject *uo758 = (struct UserObject*)obj723;
  uo758->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_758 = addmethod2pos(obj723, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_758, 12);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_758[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_758);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_758->definitionLine = 2871;
// method "visitModule(_)up(_)"
  struct UserObject *uo761 = (struct UserObject*)obj723;
  uo761->data[13] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_761 = addmethod2pos(obj723, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_761, 13);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_761[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_761);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_761->definitionLine = 2872;
// method "visitArray(_)up(_)"
  struct UserObject *uo764 = (struct UserObject*)obj723;
  uo764->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_764 = addmethod2pos(obj723, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_764, 14);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_764[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_764);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_764->definitionLine = 2873;
// method "visitMember(_)up(_)"
  struct UserObject *uo767 = (struct UserObject*)obj723;
  uo767->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_767 = addmethod2pos(obj723, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_767, 15);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_767[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_767);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_767->definitionLine = 2874;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo770 = (struct UserObject*)obj723;
  uo770->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770 = addmethod2pos(obj723, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_770, 16);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_770[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_770);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_770->definitionLine = 2875;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo773 = (struct UserObject*)obj723;
  uo773->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773 = addmethod2pos(obj723, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_773, 17);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_773->definitionLine = 2876;
// method "visitString(_)up(_)"
  struct UserObject *uo776 = (struct UserObject*)obj723;
  uo776->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_776 = addmethod2pos(obj723, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_776, 18);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_776[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_776);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_776->definitionLine = 2877;
// method "visitNum(_)up(_)"
  struct UserObject *uo779 = (struct UserObject*)obj723;
  uo779->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_779 = addmethod2pos(obj723, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_779, 19);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_779[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_779);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_779->definitionLine = 2878;
// method "visitOp(_)up(_)"
  struct UserObject *uo782 = (struct UserObject*)obj723;
  uo782->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_782 = addmethod2pos(obj723, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_782, 20);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_782[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_782);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_782->definitionLine = 2879;
// method "visitBind(_)up(_)"
  struct UserObject *uo785 = (struct UserObject*)obj723;
  uo785->data[21] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_785 = addmethod2pos(obj723, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_785, 21);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_785[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_785);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_785->definitionLine = 2880;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo788 = (struct UserObject*)obj723;
  uo788->data[22] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788 = addmethod2pos(obj723, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_788, 22);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_788[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_788);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_788->definitionLine = 2881;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo791 = (struct UserObject*)obj723;
  uo791->data[23] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791 = addmethod2pos(obj723, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_791, 23);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_791[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_791);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_791->definitionLine = 2882;
// method "visitImport(_)up(_)"
  struct UserObject *uo794 = (struct UserObject*)obj723;
  uo794->data[24] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_794 = addmethod2pos(obj723, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_794, 24);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_794[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_794);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_794->definitionLine = 2883;
// method "visitReturn(_)up(_)"
  struct UserObject *uo797 = (struct UserObject*)obj723;
  uo797->data[25] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797 = addmethod2pos(obj723, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_797, 25);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_797[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_797);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_797->definitionLine = 2884;
// method "visitInherits(_)up(_)"
  struct UserObject *uo800 = (struct UserObject*)obj723;
  uo800->data[26] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800 = addmethod2pos(obj723, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_800, 26);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_800[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_800);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_800->definitionLine = 2885;
// method "visitDialect(_)up(_)"
  struct UserObject *uo803 = (struct UserObject*)obj723;
  uo803->data[27] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803 = addmethod2pos(obj723, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_803, 27);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_803[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_803);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_803->definitionLine = 2886;
// method "visitBlank(_)up(_)"
  struct UserObject *uo806 = (struct UserObject*)obj723;
  uo806->data[28] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806 = addmethod2pos(obj723, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_806, 28);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_806[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_806);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_806->definitionLine = 2887;
// method "visitComment(_)up(_)"
  struct UserObject *uo809 = (struct UserObject*)obj723;
  uo809->data[29] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_809 = addmethod2pos(obj723, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_809, 29);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_809[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_809);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_809->definitionLine = 2888;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo812 = (struct UserObject*)obj723;
  uo812->data[30] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812 = addmethod2pos(obj723, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_812, 30);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_812[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_812);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_812->definitionLine = 2889;
// method "visitIf(_)"
  struct UserObject *uo815 = (struct UserObject*)obj723;
  uo815->data[31] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_815 = addmethod2pos(obj723, "visitIf(1)", &meth_ast_visitIf_40_1_41_815, 31);
  int argcv_meth_ast_visitIf_40_1_41_815[] = {1};
  meth_meth_ast_visitIf_40_1_41_815->type = alloc_MethodType(1, argcv_meth_ast_visitIf_40_1_41_815);
  meth_meth_ast_visitIf_40_1_41_815->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_815->definitionLine = 2891;
// method "visitBlock(_)"
  struct UserObject *uo817 = (struct UserObject*)obj723;
  uo817->data[32] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_817 = addmethod2pos(obj723, "visitBlock(1)", &meth_ast_visitBlock_40_1_41_817, 32);
  int argcv_meth_ast_visitBlock_40_1_41_817[] = {1};
  meth_meth_ast_visitBlock_40_1_41_817->type = alloc_MethodType(1, argcv_meth_ast_visitBlock_40_1_41_817);
  meth_meth_ast_visitBlock_40_1_41_817->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_817->definitionLine = 2892;
// method "visitMatchCase(_)"
  struct UserObject *uo819 = (struct UserObject*)obj723;
  uo819->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_819 = addmethod2pos(obj723, "visitMatchCase(1)", &meth_ast_visitMatchCase_40_1_41_819, 33);
  int argcv_meth_ast_visitMatchCase_40_1_41_819[] = {1};
  meth_meth_ast_visitMatchCase_40_1_41_819->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase_40_1_41_819);
  meth_meth_ast_visitMatchCase_40_1_41_819->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_819->definitionLine = 2893;
// method "visitTryCatch(_)"
  struct UserObject *uo821 = (struct UserObject*)obj723;
  uo821->data[34] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_821 = addmethod2pos(obj723, "visitTryCatch(1)", &meth_ast_visitTryCatch_40_1_41_821, 34);
  int argcv_meth_ast_visitTryCatch_40_1_41_821[] = {1};
  meth_meth_ast_visitTryCatch_40_1_41_821->type = alloc_MethodType(1, argcv_meth_ast_visitTryCatch_40_1_41_821);
  meth_meth_ast_visitTryCatch_40_1_41_821->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_821->definitionLine = 2894;
// method "visitMethodType(_)"
  struct UserObject *uo823 = (struct UserObject*)obj723;
  uo823->data[35] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_823 = addmethod2pos(obj723, "visitMethodType(1)", &meth_ast_visitMethodType_40_1_41_823, 35);
  int argcv_meth_ast_visitMethodType_40_1_41_823[] = {1};
  meth_meth_ast_visitMethodType_40_1_41_823->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType_40_1_41_823);
  meth_meth_ast_visitMethodType_40_1_41_823->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_823->definitionLine = 2895;
// method "visitSignaturePart(_)"
  struct UserObject *uo825 = (struct UserObject*)obj723;
  uo825->data[36] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_825 = addmethod2pos(obj723, "visitSignaturePart(1)", &meth_ast_visitSignaturePart_40_1_41_825, 36);
  int argcv_meth_ast_visitSignaturePart_40_1_41_825[] = {1};
  meth_meth_ast_visitSignaturePart_40_1_41_825->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart_40_1_41_825);
  meth_meth_ast_visitSignaturePart_40_1_41_825->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_825->definitionLine = 2896;
// method "visitTypeDec(_)"
  struct UserObject *uo827 = (struct UserObject*)obj723;
  uo827->data[37] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_827 = addmethod2pos(obj723, "visitTypeDec(1)", &meth_ast_visitTypeDec_40_1_41_827, 37);
  int argcv_meth_ast_visitTypeDec_40_1_41_827[] = {1};
  meth_meth_ast_visitTypeDec_40_1_41_827->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec_40_1_41_827);
  meth_meth_ast_visitTypeDec_40_1_41_827->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_827->definitionLine = 2897;
// method "visitTypeLiteral(_)"
  struct UserObject *uo829 = (struct UserObject*)obj723;
  uo829->data[38] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_829 = addmethod2pos(obj723, "visitTypeLiteral(1)", &meth_ast_visitTypeLiteral_40_1_41_829, 38);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_829[] = {1};
  meth_meth_ast_visitTypeLiteral_40_1_41_829->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral_40_1_41_829);
  meth_meth_ast_visitTypeLiteral_40_1_41_829->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_829->definitionLine = 2898;
// method "visitTypeParameters(_)"
  struct UserObject *uo831 = (struct UserObject*)obj723;
  uo831->data[39] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_831 = addmethod2pos(obj723, "visitTypeParameters(1)", &meth_ast_visitTypeParameters_40_1_41_831, 39);
  int argcv_meth_ast_visitTypeParameters_40_1_41_831[] = {1};
  meth_meth_ast_visitTypeParameters_40_1_41_831->type = alloc_MethodType(1, argcv_meth_ast_visitTypeParameters_40_1_41_831);
  meth_meth_ast_visitTypeParameters_40_1_41_831->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_831->definitionLine = 2899;
// method "visitMethod(_)"
  struct UserObject *uo833 = (struct UserObject*)obj723;
  uo833->data[40] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_833 = addmethod2pos(obj723, "visitMethod(1)", &meth_ast_visitMethod_40_1_41_833, 40);
  int argcv_meth_ast_visitMethod_40_1_41_833[] = {1};
  meth_meth_ast_visitMethod_40_1_41_833->type = alloc_MethodType(1, argcv_meth_ast_visitMethod_40_1_41_833);
  meth_meth_ast_visitMethod_40_1_41_833->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_833->definitionLine = 2900;
// method "visitCall(_)"
  struct UserObject *uo835 = (struct UserObject*)obj723;
  uo835->data[41] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_835 = addmethod2pos(obj723, "visitCall(1)", &meth_ast_visitCall_40_1_41_835, 41);
  int argcv_meth_ast_visitCall_40_1_41_835[] = {1};
  meth_meth_ast_visitCall_40_1_41_835->type = alloc_MethodType(1, argcv_meth_ast_visitCall_40_1_41_835);
  meth_meth_ast_visitCall_40_1_41_835->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_835->definitionLine = 2901;
// method "visitObject(_)"
  struct UserObject *uo837 = (struct UserObject*)obj723;
  uo837->data[42] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_837 = addmethod2pos(obj723, "visitObject(1)", &meth_ast_visitObject_40_1_41_837, 42);
  int argcv_meth_ast_visitObject_40_1_41_837[] = {1};
  meth_meth_ast_visitObject_40_1_41_837->type = alloc_MethodType(1, argcv_meth_ast_visitObject_40_1_41_837);
  meth_meth_ast_visitObject_40_1_41_837->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_837->definitionLine = 2902;
// method "visitModule(_)"
  struct UserObject *uo839 = (struct UserObject*)obj723;
  uo839->data[43] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_839 = addmethod2pos(obj723, "visitModule(1)", &meth_ast_visitModule_40_1_41_839, 43);
  int argcv_meth_ast_visitModule_40_1_41_839[] = {1};
  meth_meth_ast_visitModule_40_1_41_839->type = alloc_MethodType(1, argcv_meth_ast_visitModule_40_1_41_839);
  meth_meth_ast_visitModule_40_1_41_839->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_839->definitionLine = 2903;
// method "visitArray(_)"
  struct UserObject *uo841 = (struct UserObject*)obj723;
  uo841->data[44] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_841 = addmethod2pos(obj723, "visitArray(1)", &meth_ast_visitArray_40_1_41_841, 44);
  int argcv_meth_ast_visitArray_40_1_41_841[] = {1};
  meth_meth_ast_visitArray_40_1_41_841->type = alloc_MethodType(1, argcv_meth_ast_visitArray_40_1_41_841);
  meth_meth_ast_visitArray_40_1_41_841->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_841->definitionLine = 2904;
// method "visitMember(_)"
  struct UserObject *uo843 = (struct UserObject*)obj723;
  uo843->data[45] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_843 = addmethod2pos(obj723, "visitMember(1)", &meth_ast_visitMember_40_1_41_843, 45);
  int argcv_meth_ast_visitMember_40_1_41_843[] = {1};
  meth_meth_ast_visitMember_40_1_41_843->type = alloc_MethodType(1, argcv_meth_ast_visitMember_40_1_41_843);
  meth_meth_ast_visitMember_40_1_41_843->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_843->definitionLine = 2905;
// method "visitGeneric(_)"
  struct UserObject *uo845 = (struct UserObject*)obj723;
  uo845->data[46] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_845 = addmethod2pos(obj723, "visitGeneric(1)", &meth_ast_visitGeneric_40_1_41_845, 46);
  int argcv_meth_ast_visitGeneric_40_1_41_845[] = {1};
  meth_meth_ast_visitGeneric_40_1_41_845->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric_40_1_41_845);
  meth_meth_ast_visitGeneric_40_1_41_845->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_845->definitionLine = 2906;
// method "visitIdentifier(_)"
  struct UserObject *uo847 = (struct UserObject*)obj723;
  uo847->data[47] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_847 = addmethod2pos(obj723, "visitIdentifier(1)", &meth_ast_visitIdentifier_40_1_41_847, 47);
  int argcv_meth_ast_visitIdentifier_40_1_41_847[] = {1};
  meth_meth_ast_visitIdentifier_40_1_41_847->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier_40_1_41_847);
  meth_meth_ast_visitIdentifier_40_1_41_847->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_847->definitionLine = 2907;
// method "visitString(_)"
  struct UserObject *uo849 = (struct UserObject*)obj723;
  uo849->data[48] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_849 = addmethod2pos(obj723, "visitString(1)", &meth_ast_visitString_40_1_41_849, 48);
  int argcv_meth_ast_visitString_40_1_41_849[] = {1};
  meth_meth_ast_visitString_40_1_41_849->type = alloc_MethodType(1, argcv_meth_ast_visitString_40_1_41_849);
  meth_meth_ast_visitString_40_1_41_849->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_849->definitionLine = 2908;
// method "visitNum(_)"
  struct UserObject *uo851 = (struct UserObject*)obj723;
  uo851->data[49] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_851 = addmethod2pos(obj723, "visitNum(1)", &meth_ast_visitNum_40_1_41_851, 49);
  int argcv_meth_ast_visitNum_40_1_41_851[] = {1};
  meth_meth_ast_visitNum_40_1_41_851->type = alloc_MethodType(1, argcv_meth_ast_visitNum_40_1_41_851);
  meth_meth_ast_visitNum_40_1_41_851->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_851->definitionLine = 2909;
// method "visitOp(_)"
  struct UserObject *uo853 = (struct UserObject*)obj723;
  uo853->data[50] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_853 = addmethod2pos(obj723, "visitOp(1)", &meth_ast_visitOp_40_1_41_853, 50);
  int argcv_meth_ast_visitOp_40_1_41_853[] = {1};
  meth_meth_ast_visitOp_40_1_41_853->type = alloc_MethodType(1, argcv_meth_ast_visitOp_40_1_41_853);
  meth_meth_ast_visitOp_40_1_41_853->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_853->definitionLine = 2910;
// method "visitBind(_)"
  struct UserObject *uo855 = (struct UserObject*)obj723;
  uo855->data[51] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_855 = addmethod2pos(obj723, "visitBind(1)", &meth_ast_visitBind_40_1_41_855, 51);
  int argcv_meth_ast_visitBind_40_1_41_855[] = {1};
  meth_meth_ast_visitBind_40_1_41_855->type = alloc_MethodType(1, argcv_meth_ast_visitBind_40_1_41_855);
  meth_meth_ast_visitBind_40_1_41_855->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_855->definitionLine = 2911;
// method "visitDefDec(_)"
  struct UserObject *uo857 = (struct UserObject*)obj723;
  uo857->data[52] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_857 = addmethod2pos(obj723, "visitDefDec(1)", &meth_ast_visitDefDec_40_1_41_857, 52);
  int argcv_meth_ast_visitDefDec_40_1_41_857[] = {1};
  meth_meth_ast_visitDefDec_40_1_41_857->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec_40_1_41_857);
  meth_meth_ast_visitDefDec_40_1_41_857->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_857->definitionLine = 2912;
// method "visitVarDec(_)"
  struct UserObject *uo859 = (struct UserObject*)obj723;
  uo859->data[53] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_859 = addmethod2pos(obj723, "visitVarDec(1)", &meth_ast_visitVarDec_40_1_41_859, 53);
  int argcv_meth_ast_visitVarDec_40_1_41_859[] = {1};
  meth_meth_ast_visitVarDec_40_1_41_859->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec_40_1_41_859);
  meth_meth_ast_visitVarDec_40_1_41_859->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_859->definitionLine = 2913;
// method "visitImport(_)"
  struct UserObject *uo861 = (struct UserObject*)obj723;
  uo861->data[54] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_861 = addmethod2pos(obj723, "visitImport(1)", &meth_ast_visitImport_40_1_41_861, 54);
  int argcv_meth_ast_visitImport_40_1_41_861[] = {1};
  meth_meth_ast_visitImport_40_1_41_861->type = alloc_MethodType(1, argcv_meth_ast_visitImport_40_1_41_861);
  meth_meth_ast_visitImport_40_1_41_861->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_861->definitionLine = 2914;
// method "visitReturn(_)"
  struct UserObject *uo863 = (struct UserObject*)obj723;
  uo863->data[55] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_863 = addmethod2pos(obj723, "visitReturn(1)", &meth_ast_visitReturn_40_1_41_863, 55);
  int argcv_meth_ast_visitReturn_40_1_41_863[] = {1};
  meth_meth_ast_visitReturn_40_1_41_863->type = alloc_MethodType(1, argcv_meth_ast_visitReturn_40_1_41_863);
  meth_meth_ast_visitReturn_40_1_41_863->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_863->definitionLine = 2915;
// method "visitInherits(_)"
  struct UserObject *uo865 = (struct UserObject*)obj723;
  uo865->data[56] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_865 = addmethod2pos(obj723, "visitInherits(1)", &meth_ast_visitInherits_40_1_41_865, 56);
  int argcv_meth_ast_visitInherits_40_1_41_865[] = {1};
  meth_meth_ast_visitInherits_40_1_41_865->type = alloc_MethodType(1, argcv_meth_ast_visitInherits_40_1_41_865);
  meth_meth_ast_visitInherits_40_1_41_865->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_865->definitionLine = 2916;
// method "visitDialect(_)"
  struct UserObject *uo867 = (struct UserObject*)obj723;
  uo867->data[57] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_867 = addmethod2pos(obj723, "visitDialect(1)", &meth_ast_visitDialect_40_1_41_867, 57);
  int argcv_meth_ast_visitDialect_40_1_41_867[] = {1};
  meth_meth_ast_visitDialect_40_1_41_867->type = alloc_MethodType(1, argcv_meth_ast_visitDialect_40_1_41_867);
  meth_meth_ast_visitDialect_40_1_41_867->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_867->definitionLine = 2917;
// method "visitBlank(_)"
  struct UserObject *uo869 = (struct UserObject*)obj723;
  uo869->data[58] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_869 = addmethod2pos(obj723, "visitBlank(1)", &meth_ast_visitBlank_40_1_41_869, 58);
  int argcv_meth_ast_visitBlank_40_1_41_869[] = {1};
  meth_meth_ast_visitBlank_40_1_41_869->type = alloc_MethodType(1, argcv_meth_ast_visitBlank_40_1_41_869);
  meth_meth_ast_visitBlank_40_1_41_869->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_869->definitionLine = 2918;
// method "visitComment(_)"
  struct UserObject *uo871 = (struct UserObject*)obj723;
  uo871->data[59] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_871 = addmethod2pos(obj723, "visitComment(1)", &meth_ast_visitComment_40_1_41_871, 59);
  int argcv_meth_ast_visitComment_40_1_41_871[] = {1};
  meth_meth_ast_visitComment_40_1_41_871->type = alloc_MethodType(1, argcv_meth_ast_visitComment_40_1_41_871);
  meth_meth_ast_visitComment_40_1_41_871->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_871->definitionLine = 2919;
// method "visitImplicit(_)"
  struct UserObject *uo873 = (struct UserObject*)obj723;
  uo873->data[60] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_873 = addmethod2pos(obj723, "visitImplicit(1)", &meth_ast_visitImplicit_40_1_41_873, 60);
  int argcv_meth_ast_visitImplicit_40_1_41_873[] = {1};
  meth_meth_ast_visitImplicit_40_1_41_873->type = alloc_MethodType(1, argcv_meth_ast_visitImplicit_40_1_41_873);
  meth_meth_ast_visitImplicit_40_1_41_873->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_873->definitionLine = 2920;
// method "asString"
  struct UserObject *uo875 = (struct UserObject*)obj723;
  uo875->data[61] = emptyclosure;
  Method *meth_meth_ast_asString875 = addmethod2pos(obj723, "asString", &meth_ast_asString875, 61);
  int argcv_meth_ast_asString875[] = {0};
  meth_meth_ast_asString875->type = alloc_MethodType(1, argcv_meth_ast_asString875);
  meth_meth_ast_asString875->definitionModule = modulename;
  meth_meth_ast_asString875->definitionLine = 2922;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  sourceObject = obj723;
  objclass723 = obj723->class;
  objclass723->definitionModule = modulename;
  objclass723->definitionLine = 2859;
  (*(struct UserObject *)self).data[0] = lowerouter723;
  self = oldself723;
  selfslot = oldselfslot723;
  stackframe = oldstackframe723;
  gc_frame_end(frame);
  return obj723;
}
Object meth_ast_visitIf_40_1_41_up_40_1_41_881(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe882 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call883 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe882);
// compiled call node returning call883 (depth = 2)
  gc_frame_end(frame);
  return call883;
}
Object meth_ast_visitBlock_40_1_41_up_40_1_41_884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe885 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call886 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe885);
// compiled call node returning call886 (depth = 2)
  gc_frame_end(frame);
  return call886;
}
Object meth_ast_visitMatchCase_40_1_41_up_40_1_41_887(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2934
  setline(2934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe888 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call889 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe888);
// compiled call node returning call889 (depth = 2)
  gc_frame_end(frame);
  return call889;
}
Object meth_ast_visitTryCatch_40_1_41_up_40_1_41_890(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe891 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call892 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe891);
// compiled call node returning call892 (depth = 2)
  gc_frame_end(frame);
  return call892;
}
Object meth_ast_visitMethodType_40_1_41_up_40_1_41_893(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe894 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call895 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe894);
// compiled call node returning call895 (depth = 2)
  gc_frame_end(frame);
  return call895;
}
Object meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe897 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call898 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe897);
// compiled call node returning call898 (depth = 2)
  gc_frame_end(frame);
  return call898;
}
Object meth_ast_visitTypeDec_40_1_41_up_40_1_41_899(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe900 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call901 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe900);
// compiled call node returning call901 (depth = 2)
  gc_frame_end(frame);
  return call901;
}
Object meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe903 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call904 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe903);
// compiled call node returning call904 (depth = 2)
  gc_frame_end(frame);
  return call904;
}
Object meth_ast_visitMethod_40_1_41_up_40_1_41_905(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2940
  setline(2940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe906 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call907 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe906);
// compiled call node returning call907 (depth = 2)
  gc_frame_end(frame);
  return call907;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_908(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe909 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call910 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe909);
// compiled call node returning call910 (depth = 2)
  gc_frame_end(frame);
  return call910;
}
Object meth_ast_visitObject_40_1_41_up_40_1_41_911(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe912 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call913 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe912);
// compiled call node returning call913 (depth = 2)
  gc_frame_end(frame);
  return call913;
}
Object meth_ast_visitModule_40_1_41_up_40_1_41_914(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe915 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call916 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe915);
// compiled call node returning call916 (depth = 2)
  gc_frame_end(frame);
  return call916;
}
Object meth_ast_visitArray_40_1_41_up_40_1_41_917(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe918 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call919 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe918);
// compiled call node returning call919 (depth = 2)
  gc_frame_end(frame);
  return call919;
}
Object meth_ast_visitMember_40_1_41_up_40_1_41_920(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe921 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call922 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe921);
// compiled call node returning call922 (depth = 2)
  gc_frame_end(frame);
  return call922;
}
Object meth_ast_visitGeneric_40_1_41_up_40_1_41_923(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe924 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call925 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe924);
// compiled call node returning call925 (depth = 2)
  gc_frame_end(frame);
  return call925;
}
Object meth_ast_visitIdentifier_40_1_41_up_40_1_41_926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe927 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call928 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe927);
// compiled call node returning call928 (depth = 2)
  gc_frame_end(frame);
  return call928;
}
Object meth_ast_visitString_40_1_41_up_40_1_41_929(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe930 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call931 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe930);
// compiled call node returning call931 (depth = 2)
  gc_frame_end(frame);
  return call931;
}
Object meth_ast_visitNum_40_1_41_up_40_1_41_932(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe933 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call934 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe933);
// compiled call node returning call934 (depth = 2)
  gc_frame_end(frame);
  return call934;
}
Object meth_ast_visitOp_40_1_41_up_40_1_41_935(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe936 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call937 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe936);
// compiled call node returning call937 (depth = 2)
  gc_frame_end(frame);
  return call937;
}
Object meth_ast_visitBind_40_1_41_up_40_1_41_938(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2951
  setline(2951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe939 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call940 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe939);
// compiled call node returning call940 (depth = 2)
  gc_frame_end(frame);
  return call940;
}
Object meth_ast_visitDefDec_40_1_41_up_40_1_41_941(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe942 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call943 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe942);
// compiled call node returning call943 (depth = 2)
  gc_frame_end(frame);
  return call943;
}
Object meth_ast_visitVarDec_40_1_41_up_40_1_41_944(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe945 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call946 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe945);
// compiled call node returning call946 (depth = 2)
  gc_frame_end(frame);
  return call946;
}
Object meth_ast_visitImport_40_1_41_up_40_1_41_947(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe948 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call949 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe948);
// compiled call node returning call949 (depth = 2)
  gc_frame_end(frame);
  return call949;
}
Object meth_ast_visitReturn_40_1_41_up_40_1_41_950(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe951 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call952 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe951);
// compiled call node returning call952 (depth = 2)
  gc_frame_end(frame);
  return call952;
}
Object meth_ast_visitInherits_40_1_41_up_40_1_41_953(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe954 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call955 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe954);
// compiled call node returning call955 (depth = 2)
  gc_frame_end(frame);
  return call955;
}
Object meth_ast_visitDialect_40_1_41_up_40_1_41_956(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe957 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call958 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe957);
// compiled call node returning call958 (depth = 2)
  gc_frame_end(frame);
  return call958;
}
Object meth_ast_visitBlank_40_1_41_up_40_1_41_959(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBlank(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe960 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call961 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe960);
// compiled call node returning call961 (depth = 2)
  gc_frame_end(frame);
  return call961;
}
Object meth_ast_visitComment_40_1_41_up_40_1_41_962(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe963 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call964 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe963);
// compiled call node returning call964 (depth = 2)
  gc_frame_end(frame);
  return call964;
}
Object meth_ast_visitImplicit_40_1_41_up_40_1_41_965(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2960
  setline(2960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe966 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call967 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe966);
// compiled call node returning call967 (depth = 2)
  gc_frame_end(frame);
  return call967;
}
Object meth_ast_asString968(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit969 == NULL) {
    strlit969 = alloc_String("a pluggable AST visitor");
    gc_root(strlit969);
  }
// compiled string node returning strlit969 (depth = 2)
  gc_frame_end(frame);
  return strlit969;
}
Object meth_ast_pluggableVisitor_40_1_41_878(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject879 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj879 = alloc_userobj2(30,31, objclass879);
  gc_frame_newslot(obj879);
if (objclass879 == NULL) {
  glfree(obj879->class->name);
  obj879->class->name = "pluggableVisitor(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj879, self, 0);
  addmethodreal(obj879,"outer", &reader_ast_outer_880);
  Object oldself879 = self;
  struct StackFrameObject *oldstackframe879 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe879);
  gc_frame_newslot((Object)stackframe);
  self = obj879;
  Object *oldselfslot879 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter879 = (*(struct UserObject *)self).data[0], lowerouter879 = thisouter879;
  if (inheritingObject879) {
    struct UserObject *inho879 = (struct UserObject *)inheritingObject879;
    while (inho879->super != GraceDefaultObject) inho879 = (struct UserObject *)inho879->super;
    inho879->super = obj879;
    self = inheritingObject879;
    *selfslot = self;
    lowerouter879 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter879;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj879);
  Object closure881 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure881, stackframe);
  addtoclosure(closure881, var_visitation);
  struct UserObject *uo881 = (struct UserObject*)obj879;
  uo881->data[1] = (Object)closure881;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_881 = addmethod2pos(obj879, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_881, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_881[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_881);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->definitionLine = 2932;
// method "visitBlock(_)up(_)"
  block_savedest(obj879);
  Object closure884 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure884, stackframe);
  addtoclosure(closure884, var_visitation);
  struct UserObject *uo884 = (struct UserObject*)obj879;
  uo884->data[2] = (Object)closure884;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884 = addmethod2pos(obj879, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_884, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_884[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_884);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->definitionLine = 2933;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj879);
  Object closure887 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure887, stackframe);
  addtoclosure(closure887, var_visitation);
  struct UserObject *uo887 = (struct UserObject*)obj879;
  uo887->data[3] = (Object)closure887;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887 = addmethod2pos(obj879, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_887, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->definitionLine = 2934;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj879);
  Object closure890 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure890, stackframe);
  addtoclosure(closure890, var_visitation);
  struct UserObject *uo890 = (struct UserObject*)obj879;
  uo890->data[4] = (Object)closure890;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890 = addmethod2pos(obj879, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_890, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->definitionLine = 2935;
// method "visitMethodType(_)up(_)"
  block_savedest(obj879);
  Object closure893 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure893, stackframe);
  addtoclosure(closure893, var_visitation);
  struct UserObject *uo893 = (struct UserObject*)obj879;
  uo893->data[5] = (Object)closure893;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893 = addmethod2pos(obj879, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_893, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_893[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_893);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->definitionLine = 2936;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj879);
  Object closure896 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure896, stackframe);
  addtoclosure(closure896, var_visitation);
  struct UserObject *uo896 = (struct UserObject*)obj879;
  uo896->data[6] = (Object)closure896;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896 = addmethod2pos(obj879, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->definitionLine = 2937;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj879);
  Object closure899 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure899, stackframe);
  addtoclosure(closure899, var_visitation);
  struct UserObject *uo899 = (struct UserObject*)obj879;
  uo899->data[7] = (Object)closure899;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899 = addmethod2pos(obj879, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_899, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->definitionLine = 2938;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj879);
  Object closure902 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure902, stackframe);
  addtoclosure(closure902, var_visitation);
  struct UserObject *uo902 = (struct UserObject*)obj879;
  uo902->data[8] = (Object)closure902;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902 = addmethod2pos(obj879, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->definitionLine = 2939;
// method "visitMethod(_)up(_)"
  block_savedest(obj879);
  Object closure905 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure905, stackframe);
  addtoclosure(closure905, var_visitation);
  struct UserObject *uo905 = (struct UserObject*)obj879;
  uo905->data[9] = (Object)closure905;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905 = addmethod2pos(obj879, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_905, 9);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_905[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_905);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->definitionLine = 2940;
// method "visitCall(_)up(_)"
  block_savedest(obj879);
  Object closure908 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure908, stackframe);
  addtoclosure(closure908, var_visitation);
  struct UserObject *uo908 = (struct UserObject*)obj879;
  uo908->data[10] = (Object)closure908;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_908 = addmethod2pos(obj879, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_908, 10);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_908[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_908);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->definitionLine = 2941;
// method "visitObject(_)up(_)"
  block_savedest(obj879);
  Object closure911 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure911, stackframe);
  addtoclosure(closure911, var_visitation);
  struct UserObject *uo911 = (struct UserObject*)obj879;
  uo911->data[11] = (Object)closure911;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_911 = addmethod2pos(obj879, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_911, 11);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_911[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_911);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->definitionLine = 2942;
// method "visitModule(_)up(_)"
  block_savedest(obj879);
  Object closure914 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure914, stackframe);
  addtoclosure(closure914, var_visitation);
  struct UserObject *uo914 = (struct UserObject*)obj879;
  uo914->data[12] = (Object)closure914;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_914 = addmethod2pos(obj879, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_914, 12);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_914[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_914);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->definitionLine = 2943;
// method "visitArray(_)up(_)"
  block_savedest(obj879);
  Object closure917 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure917, stackframe);
  addtoclosure(closure917, var_visitation);
  struct UserObject *uo917 = (struct UserObject*)obj879;
  uo917->data[13] = (Object)closure917;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_917 = addmethod2pos(obj879, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_917, 13);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_917[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_917);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->definitionLine = 2944;
// method "visitMember(_)up(_)"
  block_savedest(obj879);
  Object closure920 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure920, stackframe);
  addtoclosure(closure920, var_visitation);
  struct UserObject *uo920 = (struct UserObject*)obj879;
  uo920->data[14] = (Object)closure920;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_920 = addmethod2pos(obj879, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_920, 14);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_920[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_920);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->definitionLine = 2945;
// method "visitGeneric(_)up(_)"
  block_savedest(obj879);
  Object closure923 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure923, stackframe);
  addtoclosure(closure923, var_visitation);
  struct UserObject *uo923 = (struct UserObject*)obj879;
  uo923->data[15] = (Object)closure923;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923 = addmethod2pos(obj879, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_923, 15);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_923[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_923);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->definitionLine = 2946;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj879);
  Object closure926 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure926, stackframe);
  addtoclosure(closure926, var_visitation);
  struct UserObject *uo926 = (struct UserObject*)obj879;
  uo926->data[16] = (Object)closure926;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926 = addmethod2pos(obj879, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_926, 16);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->definitionLine = 2947;
// method "visitString(_)up(_)"
  block_savedest(obj879);
  Object closure929 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure929, stackframe);
  addtoclosure(closure929, var_visitation);
  struct UserObject *uo929 = (struct UserObject*)obj879;
  uo929->data[17] = (Object)closure929;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_929 = addmethod2pos(obj879, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_929, 17);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_929[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_929);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->definitionLine = 2948;
// method "visitNum(_)up(_)"
  block_savedest(obj879);
  Object closure932 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure932, stackframe);
  addtoclosure(closure932, var_visitation);
  struct UserObject *uo932 = (struct UserObject*)obj879;
  uo932->data[18] = (Object)closure932;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_932 = addmethod2pos(obj879, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_932, 18);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_932[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_932);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->definitionLine = 2949;
// method "visitOp(_)up(_)"
  block_savedest(obj879);
  Object closure935 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure935, stackframe);
  addtoclosure(closure935, var_visitation);
  struct UserObject *uo935 = (struct UserObject*)obj879;
  uo935->data[19] = (Object)closure935;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_935 = addmethod2pos(obj879, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_935, 19);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_935[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_935);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->definitionLine = 2950;
// method "visitBind(_)up(_)"
  block_savedest(obj879);
  Object closure938 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure938, stackframe);
  addtoclosure(closure938, var_visitation);
  struct UserObject *uo938 = (struct UserObject*)obj879;
  uo938->data[20] = (Object)closure938;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_938 = addmethod2pos(obj879, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_938, 20);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_938[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_938);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->definitionLine = 2951;
// method "visitDefDec(_)up(_)"
  block_savedest(obj879);
  Object closure941 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure941, stackframe);
  addtoclosure(closure941, var_visitation);
  struct UserObject *uo941 = (struct UserObject*)obj879;
  uo941->data[21] = (Object)closure941;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941 = addmethod2pos(obj879, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_941, 21);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_941[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_941);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->definitionLine = 2952;
// method "visitVarDec(_)up(_)"
  block_savedest(obj879);
  Object closure944 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure944, stackframe);
  addtoclosure(closure944, var_visitation);
  struct UserObject *uo944 = (struct UserObject*)obj879;
  uo944->data[22] = (Object)closure944;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944 = addmethod2pos(obj879, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_944, 22);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_944[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_944);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->definitionLine = 2953;
// method "visitImport(_)up(_)"
  block_savedest(obj879);
  Object closure947 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure947, stackframe);
  addtoclosure(closure947, var_visitation);
  struct UserObject *uo947 = (struct UserObject*)obj879;
  uo947->data[23] = (Object)closure947;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_947 = addmethod2pos(obj879, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_947, 23);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_947[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_947);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->definitionLine = 2954;
// method "visitReturn(_)up(_)"
  block_savedest(obj879);
  Object closure950 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure950, stackframe);
  addtoclosure(closure950, var_visitation);
  struct UserObject *uo950 = (struct UserObject*)obj879;
  uo950->data[24] = (Object)closure950;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950 = addmethod2pos(obj879, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_950, 24);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_950[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_950);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->definitionLine = 2955;
// method "visitInherits(_)up(_)"
  block_savedest(obj879);
  Object closure953 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure953, stackframe);
  addtoclosure(closure953, var_visitation);
  struct UserObject *uo953 = (struct UserObject*)obj879;
  uo953->data[25] = (Object)closure953;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953 = addmethod2pos(obj879, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_953, 25);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_953[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_953);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->definitionLine = 2956;
// method "visitDialect(_)up(_)"
  block_savedest(obj879);
  Object closure956 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure956, stackframe);
  addtoclosure(closure956, var_visitation);
  struct UserObject *uo956 = (struct UserObject*)obj879;
  uo956->data[26] = (Object)closure956;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956 = addmethod2pos(obj879, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_956, 26);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_956[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_956);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->definitionLine = 2957;
// method "visitBlank(_)up(_)"
  block_savedest(obj879);
  Object closure959 = createclosure(1, "visitBlank(1)up(1)");
  setclosureframe(closure959, stackframe);
  addtoclosure(closure959, var_visitation);
  struct UserObject *uo959 = (struct UserObject*)obj879;
  uo959->data[27] = (Object)closure959;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959 = addmethod2pos(obj879, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_959, 27);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_959[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_959);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->definitionLine = 2958;
// method "visitComment(_)up(_)"
  block_savedest(obj879);
  Object closure962 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure962, stackframe);
  addtoclosure(closure962, var_visitation);
  struct UserObject *uo962 = (struct UserObject*)obj879;
  uo962->data[28] = (Object)closure962;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_962 = addmethod2pos(obj879, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_962, 28);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_962[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_962);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->definitionLine = 2959;
// method "visitImplicit(_)up(_)"
  block_savedest(obj879);
  Object closure965 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure965, stackframe);
  addtoclosure(closure965, var_visitation);
  struct UserObject *uo965 = (struct UserObject*)obj879;
  uo965->data[29] = (Object)closure965;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965 = addmethod2pos(obj879, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_965, 29);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_965[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_965);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->definitionLine = 2960;
// method "asString"
  struct UserObject *uo968 = (struct UserObject*)obj879;
  uo968->data[30] = emptyclosure;
  Method *meth_meth_ast_asString968 = addmethod2pos(obj879, "asString", &meth_ast_asString968, 30);
  int argcv_meth_ast_asString968[] = {0};
  meth_meth_ast_asString968->type = alloc_MethodType(1, argcv_meth_ast_asString968);
  meth_meth_ast_asString968->definitionModule = modulename;
  meth_meth_ast_asString968->definitionLine = 2962;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  objclass879 = obj879->class;
  objclass879->definitionModule = modulename;
  objclass879->definitionLine = 2925;
  (*(struct UserObject *)self).data[0] = lowerouter879;
  self = oldself879;
  selfslot = oldselfslot879;
  stackframe = oldstackframe879;
  gc_frame_end(frame);
  return obj879;
}
Object meth_ast_pluggableVisitor_40_1_41_878_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject879 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj879 = alloc_userobj2(30,31, objclass879);
  gc_frame_newslot(obj879);
if (objclass879 == NULL) {
  glfree(obj879->class->name);
  obj879->class->name = "pluggableVisitor(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj879, self, 0);
  addmethodreal(obj879,"outer", &reader_ast_outer_880);
  Object oldself879 = self;
  struct StackFrameObject *oldstackframe879 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe879);
  gc_frame_newslot((Object)stackframe);
  self = obj879;
  Object *oldselfslot879 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter879 = (*(struct UserObject *)self).data[0], lowerouter879 = thisouter879;
  if (inheritingObject879) {
    struct UserObject *inho879 = (struct UserObject *)inheritingObject879;
    while (inho879->super != GraceDefaultObject) inho879 = (struct UserObject *)inho879->super;
    inho879->super = obj879;
    self = inheritingObject879;
    *selfslot = self;
    lowerouter879 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter879;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj879);
  Object closure881 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure881, stackframe);
  addtoclosure(closure881, var_visitation);
  struct UserObject *uo881 = (struct UserObject*)obj879;
  uo881->data[1] = (Object)closure881;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_881 = addmethod2pos(obj879, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_881, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_881[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_881);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_881->definitionLine = 2932;
// method "visitBlock(_)up(_)"
  block_savedest(obj879);
  Object closure884 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure884, stackframe);
  addtoclosure(closure884, var_visitation);
  struct UserObject *uo884 = (struct UserObject*)obj879;
  uo884->data[2] = (Object)closure884;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884 = addmethod2pos(obj879, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_884, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_884[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_884);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_884->definitionLine = 2933;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj879);
  Object closure887 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure887, stackframe);
  addtoclosure(closure887, var_visitation);
  struct UserObject *uo887 = (struct UserObject*)obj879;
  uo887->data[3] = (Object)closure887;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887 = addmethod2pos(obj879, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_887, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_887->definitionLine = 2934;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj879);
  Object closure890 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure890, stackframe);
  addtoclosure(closure890, var_visitation);
  struct UserObject *uo890 = (struct UserObject*)obj879;
  uo890->data[4] = (Object)closure890;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890 = addmethod2pos(obj879, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_890, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_890->definitionLine = 2935;
// method "visitMethodType(_)up(_)"
  block_savedest(obj879);
  Object closure893 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure893, stackframe);
  addtoclosure(closure893, var_visitation);
  struct UserObject *uo893 = (struct UserObject*)obj879;
  uo893->data[5] = (Object)closure893;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893 = addmethod2pos(obj879, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_893, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_893[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_893);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_893->definitionLine = 2936;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj879);
  Object closure896 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure896, stackframe);
  addtoclosure(closure896, var_visitation);
  struct UserObject *uo896 = (struct UserObject*)obj879;
  uo896->data[6] = (Object)closure896;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896 = addmethod2pos(obj879, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_896->definitionLine = 2937;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj879);
  Object closure899 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure899, stackframe);
  addtoclosure(closure899, var_visitation);
  struct UserObject *uo899 = (struct UserObject*)obj879;
  uo899->data[7] = (Object)closure899;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899 = addmethod2pos(obj879, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_899, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_899->definitionLine = 2938;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj879);
  Object closure902 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure902, stackframe);
  addtoclosure(closure902, var_visitation);
  struct UserObject *uo902 = (struct UserObject*)obj879;
  uo902->data[8] = (Object)closure902;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902 = addmethod2pos(obj879, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_902->definitionLine = 2939;
// method "visitMethod(_)up(_)"
  block_savedest(obj879);
  Object closure905 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure905, stackframe);
  addtoclosure(closure905, var_visitation);
  struct UserObject *uo905 = (struct UserObject*)obj879;
  uo905->data[9] = (Object)closure905;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905 = addmethod2pos(obj879, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_905, 9);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_905[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_905);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_905->definitionLine = 2940;
// method "visitCall(_)up(_)"
  block_savedest(obj879);
  Object closure908 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure908, stackframe);
  addtoclosure(closure908, var_visitation);
  struct UserObject *uo908 = (struct UserObject*)obj879;
  uo908->data[10] = (Object)closure908;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_908 = addmethod2pos(obj879, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_908, 10);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_908[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_908);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_908->definitionLine = 2941;
// method "visitObject(_)up(_)"
  block_savedest(obj879);
  Object closure911 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure911, stackframe);
  addtoclosure(closure911, var_visitation);
  struct UserObject *uo911 = (struct UserObject*)obj879;
  uo911->data[11] = (Object)closure911;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_911 = addmethod2pos(obj879, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_911, 11);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_911[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_911);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_911->definitionLine = 2942;
// method "visitModule(_)up(_)"
  block_savedest(obj879);
  Object closure914 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure914, stackframe);
  addtoclosure(closure914, var_visitation);
  struct UserObject *uo914 = (struct UserObject*)obj879;
  uo914->data[12] = (Object)closure914;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_914 = addmethod2pos(obj879, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_914, 12);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_914[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_914);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_914->definitionLine = 2943;
// method "visitArray(_)up(_)"
  block_savedest(obj879);
  Object closure917 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure917, stackframe);
  addtoclosure(closure917, var_visitation);
  struct UserObject *uo917 = (struct UserObject*)obj879;
  uo917->data[13] = (Object)closure917;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_917 = addmethod2pos(obj879, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_917, 13);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_917[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_917);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_917->definitionLine = 2944;
// method "visitMember(_)up(_)"
  block_savedest(obj879);
  Object closure920 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure920, stackframe);
  addtoclosure(closure920, var_visitation);
  struct UserObject *uo920 = (struct UserObject*)obj879;
  uo920->data[14] = (Object)closure920;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_920 = addmethod2pos(obj879, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_920, 14);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_920[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_920);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_920->definitionLine = 2945;
// method "visitGeneric(_)up(_)"
  block_savedest(obj879);
  Object closure923 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure923, stackframe);
  addtoclosure(closure923, var_visitation);
  struct UserObject *uo923 = (struct UserObject*)obj879;
  uo923->data[15] = (Object)closure923;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923 = addmethod2pos(obj879, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_923, 15);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_923[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_923);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_923->definitionLine = 2946;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj879);
  Object closure926 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure926, stackframe);
  addtoclosure(closure926, var_visitation);
  struct UserObject *uo926 = (struct UserObject*)obj879;
  uo926->data[16] = (Object)closure926;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926 = addmethod2pos(obj879, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_926, 16);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_926->definitionLine = 2947;
// method "visitString(_)up(_)"
  block_savedest(obj879);
  Object closure929 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure929, stackframe);
  addtoclosure(closure929, var_visitation);
  struct UserObject *uo929 = (struct UserObject*)obj879;
  uo929->data[17] = (Object)closure929;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_929 = addmethod2pos(obj879, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_929, 17);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_929[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_929);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_929->definitionLine = 2948;
// method "visitNum(_)up(_)"
  block_savedest(obj879);
  Object closure932 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure932, stackframe);
  addtoclosure(closure932, var_visitation);
  struct UserObject *uo932 = (struct UserObject*)obj879;
  uo932->data[18] = (Object)closure932;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_932 = addmethod2pos(obj879, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_932, 18);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_932[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_932);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_932->definitionLine = 2949;
// method "visitOp(_)up(_)"
  block_savedest(obj879);
  Object closure935 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure935, stackframe);
  addtoclosure(closure935, var_visitation);
  struct UserObject *uo935 = (struct UserObject*)obj879;
  uo935->data[19] = (Object)closure935;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_935 = addmethod2pos(obj879, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_935, 19);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_935[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_935);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_935->definitionLine = 2950;
// method "visitBind(_)up(_)"
  block_savedest(obj879);
  Object closure938 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure938, stackframe);
  addtoclosure(closure938, var_visitation);
  struct UserObject *uo938 = (struct UserObject*)obj879;
  uo938->data[20] = (Object)closure938;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_938 = addmethod2pos(obj879, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_938, 20);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_938[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_938);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_938->definitionLine = 2951;
// method "visitDefDec(_)up(_)"
  block_savedest(obj879);
  Object closure941 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure941, stackframe);
  addtoclosure(closure941, var_visitation);
  struct UserObject *uo941 = (struct UserObject*)obj879;
  uo941->data[21] = (Object)closure941;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941 = addmethod2pos(obj879, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_941, 21);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_941[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_941);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_941->definitionLine = 2952;
// method "visitVarDec(_)up(_)"
  block_savedest(obj879);
  Object closure944 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure944, stackframe);
  addtoclosure(closure944, var_visitation);
  struct UserObject *uo944 = (struct UserObject*)obj879;
  uo944->data[22] = (Object)closure944;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944 = addmethod2pos(obj879, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_944, 22);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_944[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_944);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_944->definitionLine = 2953;
// method "visitImport(_)up(_)"
  block_savedest(obj879);
  Object closure947 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure947, stackframe);
  addtoclosure(closure947, var_visitation);
  struct UserObject *uo947 = (struct UserObject*)obj879;
  uo947->data[23] = (Object)closure947;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_947 = addmethod2pos(obj879, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_947, 23);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_947[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_947);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_947->definitionLine = 2954;
// method "visitReturn(_)up(_)"
  block_savedest(obj879);
  Object closure950 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure950, stackframe);
  addtoclosure(closure950, var_visitation);
  struct UserObject *uo950 = (struct UserObject*)obj879;
  uo950->data[24] = (Object)closure950;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950 = addmethod2pos(obj879, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_950, 24);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_950[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_950);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_950->definitionLine = 2955;
// method "visitInherits(_)up(_)"
  block_savedest(obj879);
  Object closure953 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure953, stackframe);
  addtoclosure(closure953, var_visitation);
  struct UserObject *uo953 = (struct UserObject*)obj879;
  uo953->data[25] = (Object)closure953;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953 = addmethod2pos(obj879, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_953, 25);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_953[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_953);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_953->definitionLine = 2956;
// method "visitDialect(_)up(_)"
  block_savedest(obj879);
  Object closure956 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure956, stackframe);
  addtoclosure(closure956, var_visitation);
  struct UserObject *uo956 = (struct UserObject*)obj879;
  uo956->data[26] = (Object)closure956;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956 = addmethod2pos(obj879, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_956, 26);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_956[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_956);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_956->definitionLine = 2957;
// method "visitBlank(_)up(_)"
  block_savedest(obj879);
  Object closure959 = createclosure(1, "visitBlank(1)up(1)");
  setclosureframe(closure959, stackframe);
  addtoclosure(closure959, var_visitation);
  struct UserObject *uo959 = (struct UserObject*)obj879;
  uo959->data[27] = (Object)closure959;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959 = addmethod2pos(obj879, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_959, 27);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_959[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_959);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_959->definitionLine = 2958;
// method "visitComment(_)up(_)"
  block_savedest(obj879);
  Object closure962 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure962, stackframe);
  addtoclosure(closure962, var_visitation);
  struct UserObject *uo962 = (struct UserObject*)obj879;
  uo962->data[28] = (Object)closure962;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_962 = addmethod2pos(obj879, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_962, 28);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_962[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_962);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_962->definitionLine = 2959;
// method "visitImplicit(_)up(_)"
  block_savedest(obj879);
  Object closure965 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure965, stackframe);
  addtoclosure(closure965, var_visitation);
  struct UserObject *uo965 = (struct UserObject*)obj879;
  uo965->data[29] = (Object)closure965;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965 = addmethod2pos(obj879, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_965, 29);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_965[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_965);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_965->definitionLine = 2960;
// method "asString"
  struct UserObject *uo968 = (struct UserObject*)obj879;
  uo968->data[30] = emptyclosure;
  Method *meth_meth_ast_asString968 = addmethod2pos(obj879, "asString", &meth_ast_asString968, 30);
  int argcv_meth_ast_asString968[] = {0};
  meth_meth_ast_asString968->type = alloc_MethodType(1, argcv_meth_ast_asString968);
  meth_meth_ast_asString968->definitionModule = modulename;
  meth_meth_ast_asString968->definitionLine = 2962;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  sourceObject = obj879;
  objclass879 = obj879->class;
  objclass879->definitionModule = modulename;
  objclass879->definitionLine = 2925;
  (*(struct UserObject *)self).data[0] = lowerouter879;
  self = oldself879;
  selfslot = oldselfslot879;
  stackframe = oldstackframe879;
  gc_frame_end(frame);
  return obj879;
}
Object meth_ast__apply980(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var_ann = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_annName (depth = 8)
  int op_slot_right_981 = gc_frame_newslot(*var_annName);
// starting to compile member node (depth = 8)
  int callframe983 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ann (depth = 9)
  Object call984 = callmethodflags(*var_ann, "value", 0, partcv, params, 0);
  gc_frame_end(callframe983);
// compiled member node returning call984 (depth = 8)
  int op_slot_left_981 = gc_frame_newslot(call984);
  params[0] = *var_annName;
  partcv[0] = 1;
  Object opresult985 = callmethod(call984, "==(1)", 1, partcv, params);
// compiled op node returning opresult985 (depth = 7)
  gc_frame_end(frame);
  return opresult985;
}
Object meth_ast__apply_40_1_41_976(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block979 = alloc_Block(NULL, NULL, "ast", 2976);
  gc_frame_newslot(block979);
// method "_apply"
  block_savedest(block979);
  Object closure980 = createclosure(3, "_apply");
  setclosureframe(closure980, stackframe);
  addtoclosure(closure980, var_annName);
  addtoclosure(closure980, var_ann);
  addtoclosure(closure980, selfslot);
  struct UserObject *uo980 = (struct UserObject*)block979;
  uo980->data[0] = (Object)closure980;
  Method *meth_meth_ast__apply980 = addmethod2pos(block979, "_apply", &meth_ast__apply980, 0);
  int argcv_meth_ast__apply980[] = {0};
  meth_meth_ast__apply980->type = alloc_MethodType(1, argcv_meth_ast__apply980);
  meth_meth_ast__apply980->definitionModule = modulename;
  meth_meth_ast__apply980->definitionLine = 2984;
// compiled block node returning block979 (depth = 6)
  int op_slot_right_978 = gc_frame_newslot(block979);
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit989 == NULL) {
    strlit989 = alloc_String("identifier");
    gc_root(strlit989);
  }
// compiled string node returning strlit989 (depth = 7)
  int op_slot_right_988 = gc_frame_newslot(strlit989);
// starting to compile member node (depth = 7)
  int callframe991 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ann (depth = 8)
  Object call992 = callmethodflags(*var_ann, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe991);
// compiled member node returning call992 (depth = 7)
  int op_slot_left_988 = gc_frame_newslot(call992);
  params[0] = strlit989;
  partcv[0] = 1;
  Object opresult993 = callmethod(call992, "==(1)", 1, partcv, params);
// compiled op node returning opresult993 (depth = 6)
  int op_slot_left_978 = gc_frame_newslot(opresult993);
  params[0] = block979;
  partcv[0] = 1;
  Object opresult994 = callmethod(opresult993, "&&(1)", 1, partcv, params);
// compiled op node returning opresult994 (depth = 5)
  Object if977 = done;
  if (istrue(opresult994)) {
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile object node (depth = 6)
  Object inheritingObject995 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj995 = alloc_userobj2(1,2, objclass995);
  gc_frame_newslot(obj995);
// OBJECT OUTER DEC outer
  adddatum2(obj995, self, 0);
  addmethodreal(obj995,"outer", &reader_ast_outer_996);
  Object oldself995 = self;
  struct StackFrameObject *oldstackframe995 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe995);
  gc_frame_newslot((Object)stackframe);
  self = obj995;
  Object *oldselfslot995 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter995 = (*(struct UserObject *)self).data[0], lowerouter995 = thisouter995;
  if (inheritingObject995) {
    struct UserObject *inho995 = (struct UserObject *)inheritingObject995;
    while (inho995->super != GraceDefaultObject) inho995 = (struct UserObject *)inho995->super;
    inho995->super = obj995;
    self = inheritingObject995;
    *selfslot = self;
    lowerouter995 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter995;
  }
if (objclass995 == NULL) {
  Method *reader997 = addmethodrealflags(obj995, "value",&reader_ast_value_997, MFLAG_DEF);
  reader997->definitionModule = modulename;
  reader997->definitionLine = 2980;
}
adddatum2(obj995, alloc_Undefined(), 1);
  sourceObject = obj995;
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool998 = alloc_Boolean(1);
// compiled identifier node returning bool998 (depth = 7)
  struct UserObject *obj995_uo = (struct UserObject *)obj995;
  obj995_uo->super = bool998;
  sourceObject = obj995;
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  adddatum2(obj995, *var_ann, 1);
  objclass995 = obj995->class;
  objclass995->definitionModule = modulename;
  objclass995->definitionLine = 2978;
  (*(struct UserObject *)self).data[0] = lowerouter995;
  self = oldself995;
  selfslot = oldselfslot995;
  stackframe = oldstackframe995;
// compiled object node returning obj995 (depth = 6)
  block_return(realself, obj995);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if977 = undefined;
  } else {
  }
// compiled if node returning if977 (depth = 4)
  gc_frame_end(frame);
  return if977;
}
Object meth_ast_findAnnotation_40_2_41_971(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findAnnotation(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method findAnnotation(_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findAnnotation(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *var_annName = &(stackframe->slots[1]);
  *var_annName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part findAnnotation(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe972 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe973 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call974 = callmethodflags(*var_node, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe973);
// compiled member node returning call974 (depth = 3)
  gc_frame_newslot(call974);
// starting to compile block node (depth = 3)
  Object block975 = alloc_Block(NULL, NULL, "ast", 2975);
  gc_frame_newslot(block975);
// method "_apply(_)"
  block_savedest(block975);
  Object closure976 = createclosure(2, "_apply(1)");
  setclosureframe(closure976, stackframe);
  addtoclosure(closure976, var_annName);
  addtoclosure(closure976, selfslot);
  struct UserObject *uo976 = (struct UserObject*)block975;
  uo976->data[0] = (Object)closure976;
  Method *meth_meth_ast__apply_40_1_41_976 = addmethod2pos(block975, "_apply(1)", &meth_ast__apply_40_1_41_976, 0);
  int argcv_meth_ast__apply_40_1_41_976[] = {1};
  meth_meth_ast__apply_40_1_41_976->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_976);
  meth_meth_ast__apply_40_1_41_976->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_976->definitionLine = 2984;
// compiled block node returning block975 (depth = 3)
  gc_frame_newslot(block975);
// call case 5: prelude request
  params[0] = call974;
  params[1] = block975;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1000 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe972);
// compiled call node returning call1000 (depth = 2)
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1001 = alloc_Boolean(0);
// compiled identifier node returning bool1001 (depth = 2)
  gc_frame_end(frame);
  return bool1001;
}
Object meth_ast_lineLength1003(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lineLength");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lineLength (depth = 3)
  gc_frame_end(frame);
  return *var_lineLength;
}
Object meth_ast_uninitialized1009(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "uninitialized");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  gc_frame_end(frame);
  return *var_uninitialized;
}
Object meth_ast_isEmpty1015(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1016 = alloc_Boolean(1);
// compiled identifier node returning bool1016 (depth = 3)
  gc_frame_end(frame);
  return bool1016;
}
Object meth_ast_asString1017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1018 == NULL) {
    strlit1018 = alloc_String("ancestorChain ""\xe2""""\x96""""\xab""");
    gc_root(strlit1018);
  }
// compiled string node returning strlit1018 (depth = 3)
  gc_frame_end(frame);
  return strlit1018;
}
Object meth_ast_extend_40_1_41_1019(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1020 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1021 = gc_frame_new();
// call case 3: self.outer request
  Object call1022 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1021);
// compiled member node returning call1022 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1023 = callmethodflags(call1022, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1020);
// compiled call node returning call1023 (depth = 3)
  gc_frame_end(frame);
  return call1023;
}
Object meth_ast_empty1012(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1013 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1013 = alloc_userobj2(3,4, objclass1013);
  gc_frame_newslot(obj1013);
if (objclass1013 == NULL) {
  glfree(obj1013->class->name);
  obj1013->class->name = "ancestorChain.empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1013, self, 0);
  addmethodreal(obj1013,"outer", &reader_ast_outer_1014);
  Object oldself1013 = self;
  struct StackFrameObject *oldstackframe1013 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1013);
  gc_frame_newslot((Object)stackframe);
  self = obj1013;
  Object *oldselfslot1013 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1013 = (*(struct UserObject *)self).data[0], lowerouter1013 = thisouter1013;
  if (inheritingObject1013) {
    struct UserObject *inho1013 = (struct UserObject *)inheritingObject1013;
    while (inho1013->super != GraceDefaultObject) inho1013 = (struct UserObject *)inho1013->super;
    inho1013->super = obj1013;
    self = inheritingObject1013;
    *selfslot = self;
    lowerouter1013 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1013;
  }
// method "isEmpty"
  struct UserObject *uo1015 = (struct UserObject*)obj1013;
  uo1015->data[1] = emptyclosure;
  Method *meth_meth_ast_isEmpty1015 = addmethod2pos(obj1013, "isEmpty", &meth_ast_isEmpty1015, 1);
  int argcv_meth_ast_isEmpty1015[] = {0};
  meth_meth_ast_isEmpty1015->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1015);
  meth_meth_ast_isEmpty1015->definitionModule = modulename;
  meth_meth_ast_isEmpty1015->definitionLine = 41;
// method "asString"
  struct UserObject *uo1017 = (struct UserObject*)obj1013;
  uo1017->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1017 = addmethod2pos(obj1013, "asString", &meth_ast_asString1017, 2);
  int argcv_meth_ast_asString1017[] = {0};
  meth_meth_ast_asString1017->type = alloc_MethodType(1, argcv_meth_ast_asString1017);
  meth_meth_ast_asString1017->definitionModule = modulename;
  meth_meth_ast_asString1017->definitionLine = 42;
// method "extend(_)"
  struct UserObject *uo1019 = (struct UserObject*)obj1013;
  uo1019->data[3] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1019 = addmethod2pos(obj1013, "extend(1)", &meth_ast_extend_40_1_41_1019, 3);
  int argcv_meth_ast_extend_40_1_41_1019[] = {1};
  meth_meth_ast_extend_40_1_41_1019->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1019);
  meth_meth_ast_extend_40_1_41_1019->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1019->definitionLine = 43;
  sourceObject = obj1013;
  sourceObject = obj1013;
  sourceObject = obj1013;
  objclass1013 = obj1013->class;
  objclass1013->definitionModule = modulename;
  objclass1013->definitionLine = 40;
  (*(struct UserObject *)self).data[0] = lowerouter1013;
  self = oldself1013;
  selfslot = oldselfslot1013;
  stackframe = oldstackframe1013;
  gc_frame_end(frame);
  return obj1013;
}
Object meth_ast_empty1012_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1013 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1013 = alloc_userobj2(3,4, objclass1013);
  gc_frame_newslot(obj1013);
if (objclass1013 == NULL) {
  glfree(obj1013->class->name);
  obj1013->class->name = "ancestorChain.empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1013, self, 0);
  addmethodreal(obj1013,"outer", &reader_ast_outer_1014);
  Object oldself1013 = self;
  struct StackFrameObject *oldstackframe1013 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1013);
  gc_frame_newslot((Object)stackframe);
  self = obj1013;
  Object *oldselfslot1013 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1013 = (*(struct UserObject *)self).data[0], lowerouter1013 = thisouter1013;
  if (inheritingObject1013) {
    struct UserObject *inho1013 = (struct UserObject *)inheritingObject1013;
    while (inho1013->super != GraceDefaultObject) inho1013 = (struct UserObject *)inho1013->super;
    inho1013->super = obj1013;
    self = inheritingObject1013;
    *selfslot = self;
    lowerouter1013 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1013;
  }
// method "isEmpty"
  struct UserObject *uo1015 = (struct UserObject*)obj1013;
  uo1015->data[1] = emptyclosure;
  Method *meth_meth_ast_isEmpty1015 = addmethod2pos(obj1013, "isEmpty", &meth_ast_isEmpty1015, 1);
  int argcv_meth_ast_isEmpty1015[] = {0};
  meth_meth_ast_isEmpty1015->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1015);
  meth_meth_ast_isEmpty1015->definitionModule = modulename;
  meth_meth_ast_isEmpty1015->definitionLine = 41;
// method "asString"
  struct UserObject *uo1017 = (struct UserObject*)obj1013;
  uo1017->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1017 = addmethod2pos(obj1013, "asString", &meth_ast_asString1017, 2);
  int argcv_meth_ast_asString1017[] = {0};
  meth_meth_ast_asString1017->type = alloc_MethodType(1, argcv_meth_ast_asString1017);
  meth_meth_ast_asString1017->definitionModule = modulename;
  meth_meth_ast_asString1017->definitionLine = 42;
// method "extend(_)"
  struct UserObject *uo1019 = (struct UserObject*)obj1013;
  uo1019->data[3] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1019 = addmethod2pos(obj1013, "extend(1)", &meth_ast_extend_40_1_41_1019, 3);
  int argcv_meth_ast_extend_40_1_41_1019[] = {1};
  meth_meth_ast_extend_40_1_41_1019->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1019);
  meth_meth_ast_extend_40_1_41_1019->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1019->definitionLine = 43;
  sourceObject = obj1013;
  sourceObject = obj1013;
  sourceObject = obj1013;
  objclass1013 = obj1013->class;
  objclass1013->definitionModule = modulename;
  objclass1013->definitionLine = 40;
  (*(struct UserObject *)self).data[0] = lowerouter1013;
  self = oldself1013;
  selfslot = oldselfslot1013;
  stackframe = oldstackframe1013;
  gc_frame_end(frame);
  return obj1013;
}
Object meth_ast_with_40_1_41_1025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "with(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method with(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for with(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part with(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1026 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1027 = gc_frame_new();
// call case 4: self request
  Object call1028 = callmethodflags(self, "empty", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1027);
// compiled member node returning call1028 (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1029 = callmethodflags(call1028, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1026);
// compiled call node returning call1029 (depth = 3)
  gc_frame_end(frame);
  return call1029;
}
Object meth_ast_forebears1033(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "forebears");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_as = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_end(frame);
  return *var_as;
}
Object meth_ast_isEmpty1034(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1035 = alloc_Boolean(0);
// compiled identifier node returning bool1035 (depth = 3)
  gc_frame_end(frame);
  return bool1035;
}
Object meth_ast_parent1036(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_ast_grandparent1037(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "grandparent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1038 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1039 = gc_frame_new();
// call case 4: self request
  Object call1040 = callmethodflags(self, "forebears", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1039);
// compiled member node returning call1040 (depth = 4)
  Object call1041 = callmethodflags(call1040, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1038);
// compiled member node returning call1041 (depth = 3)
  gc_frame_end(frame);
  return call1041;
}
Object meth_ast__apply1046(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1047 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1048 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1049 = callmethodflags(*var_a, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1048);
// compiled member node returning call1049 (depth = 6)
  Object call1050 = callmethodflags(call1049, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1047);
// compiled member node returning call1050 (depth = 5)
  gc_frame_end(frame);
  return call1050;
}
Object meth_ast__apply1053(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1055 == NULL) {
    strlit1055 = alloc_String("""\xe2""""\x9e""""\xa4""");
    gc_root(strlit1055);
  }
// compiled string node returning strlit1055 (depth = 7)
  int op_slot_right_1054 = gc_frame_newslot(strlit1055);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1058 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  Object call1059 = callmethodflags(*var_a, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1058);
// compiled member node returning call1059 (depth = 8)
  int op_slot_right_1057 = gc_frame_newslot(call1059);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1057 = gc_frame_newslot(*var_s);
  params[0] = call1059;
  partcv[0] = 1;
  Object opresult1061 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1061 (depth = 7)
  int op_slot_left_1054 = gc_frame_newslot(opresult1061);
  params[0] = strlit1055;
  partcv[0] = 1;
  Object opresult1062 = callmethod(opresult1061, "++(1)", 1, partcv, params);
// compiled op node returning opresult1062 (depth = 6)
  *var_s = opresult1062;
  if (opresult1062 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1064 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1065 = callmethodflags(*var_a, "forebears", 0, partcv, params, 0);
  gc_frame_end(callframe1064);
// compiled member node returning call1065 (depth = 6)
  *var_a = call1065;
  if (call1065 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_asString1042(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "a");
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  *var_a = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1043 == NULL) {
    strlit1043 = alloc_String("ancestorChain ");
    gc_root(strlit1043);
  }
// compiled string node returning strlit1043 (depth = 4)
  *var_s = strlit1043;
  if (strlit1043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1044 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1045 = alloc_Block(NULL, NULL, "ast", 55);
  gc_frame_newslot(block1045);
// method "_apply"
  block_savedest(block1045);
  Object closure1046 = createclosure(2, "_apply");
  setclosureframe(closure1046, stackframe);
  addtoclosure(closure1046, var_a);
  addtoclosure(closure1046, selfslot);
  struct UserObject *uo1046 = (struct UserObject*)block1045;
  uo1046->data[0] = (Object)closure1046;
  Method *meth_meth_ast__apply1046 = addmethod2pos(block1045, "_apply", &meth_ast__apply1046, 0);
  int argcv_meth_ast__apply1046[] = {0};
  meth_meth_ast__apply1046->type = alloc_MethodType(1, argcv_meth_ast__apply1046);
  meth_meth_ast__apply1046->definitionModule = modulename;
  meth_meth_ast__apply1046->definitionLine = 2984;
// compiled block node returning block1045 (depth = 4)
  gc_frame_newslot(block1045);
// starting to compile block node (depth = 4)
  Object block1052 = alloc_Block(NULL, NULL, "ast", 55);
  gc_frame_newslot(block1052);
// method "_apply"
  block_savedest(block1052);
  Object closure1053 = createclosure(3, "_apply");
  setclosureframe(closure1053, stackframe);
  addtoclosure(closure1053, var_a);
  addtoclosure(closure1053, var_s);
  addtoclosure(closure1053, selfslot);
  struct UserObject *uo1053 = (struct UserObject*)block1052;
  uo1053->data[0] = (Object)closure1053;
  Method *meth_meth_ast__apply1053 = addmethod2pos(block1052, "_apply", &meth_ast__apply1053, 0);
  int argcv_meth_ast__apply1053[] = {0};
  meth_meth_ast__apply1053->type = alloc_MethodType(1, argcv_meth_ast__apply1053);
  meth_meth_ast__apply1053->definitionModule = modulename;
  meth_meth_ast__apply1053->definitionLine = 2984;
// compiled block node returning block1052 (depth = 4)
  gc_frame_newslot(block1052);
// call case 5: prelude request
  params[0] = block1045;
  params[1] = block1052;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1068 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1044);
// compiled call node returning call1068 (depth = 3)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("""\xe2""""\x96""""\xab""");
    gc_root(strlit1070);
  }
// compiled string node returning strlit1070 (depth = 4)
  int op_slot_right_1069 = gc_frame_newslot(strlit1070);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_1069 = gc_frame_newslot(*var_s);
  params[0] = strlit1070;
  partcv[0] = 1;
  Object opresult1072 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1072 (depth = 3)
  gc_frame_end(frame);
  return opresult1072;
}
Object meth_ast_extend_40_1_41_1073(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1074 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1075 = gc_frame_new();
// call case 3: self.outer request
  Object call1076 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1075);
// compiled member node returning call1076 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1077 = callmethodflags(call1076, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1074);
// compiled call node returning call1077 (depth = 3)
  gc_frame_end(frame);
  return call1077;
}
Object meth_ast_cons_40_1_41_onto_40_1_41_1030(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1031 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1031 = alloc_userobj2(6,7, objclass1031);
  gc_frame_newslot(obj1031);
if (objclass1031 == NULL) {
  glfree(obj1031->class->name);
  obj1031->class->name = "ancestorChain.cons(_)onto(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1031, self, 0);
  addmethodreal(obj1031,"outer", &reader_ast_outer_1032);
  Object oldself1031 = self;
  struct StackFrameObject *oldstackframe1031 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1031);
  gc_frame_newslot((Object)stackframe);
  self = obj1031;
  Object *oldselfslot1031 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1031 = (*(struct UserObject *)self).data[0], lowerouter1031 = thisouter1031;
  if (inheritingObject1031) {
    struct UserObject *inho1031 = (struct UserObject *)inheritingObject1031;
    while (inho1031->super != GraceDefaultObject) inho1031 = (struct UserObject *)inho1031->super;
    inho1031->super = obj1031;
    self = inheritingObject1031;
    *selfslot = self;
    lowerouter1031 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1031;
  }
// method "forebears"
  block_savedest(obj1031);
  Object closure1033 = createclosure(1, "forebears");
  setclosureframe(closure1033, stackframe);
  addtoclosure(closure1033, var_as);
  struct UserObject *uo1033 = (struct UserObject*)obj1031;
  uo1033->data[1] = (Object)closure1033;
  Method *meth_meth_ast_forebears1033 = addmethod2pos(obj1031, "forebears", &meth_ast_forebears1033, 1);
  int argcv_meth_ast_forebears1033[] = {0};
  meth_meth_ast_forebears1033->type = alloc_MethodType(1, argcv_meth_ast_forebears1033);
  meth_meth_ast_forebears1033->definitionModule = modulename;
  meth_meth_ast_forebears1033->definitionLine = 47;
// method "isEmpty"
  struct UserObject *uo1034 = (struct UserObject*)obj1031;
  uo1034->data[2] = emptyclosure;
  Method *meth_meth_ast_isEmpty1034 = addmethod2pos(obj1031, "isEmpty", &meth_ast_isEmpty1034, 2);
  int argcv_meth_ast_isEmpty1034[] = {0};
  meth_meth_ast_isEmpty1034->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1034);
  meth_meth_ast_isEmpty1034->definitionModule = modulename;
  meth_meth_ast_isEmpty1034->definitionLine = 48;
// method "parent"
  block_savedest(obj1031);
  Object closure1036 = createclosure(1, "parent");
  setclosureframe(closure1036, stackframe);
  addtoclosure(closure1036, var_p);
  struct UserObject *uo1036 = (struct UserObject*)obj1031;
  uo1036->data[3] = (Object)closure1036;
  Method *meth_meth_ast_parent1036 = addmethod2pos(obj1031, "parent", &meth_ast_parent1036, 3);
  int argcv_meth_ast_parent1036[] = {0};
  meth_meth_ast_parent1036->type = alloc_MethodType(1, argcv_meth_ast_parent1036);
  meth_meth_ast_parent1036->definitionModule = modulename;
  meth_meth_ast_parent1036->definitionLine = 49;
// method "grandparent"
  struct UserObject *uo1037 = (struct UserObject*)obj1031;
  uo1037->data[4] = emptyclosure;
  Method *meth_meth_ast_grandparent1037 = addmethod2pos(obj1031, "grandparent", &meth_ast_grandparent1037, 4);
  int argcv_meth_ast_grandparent1037[] = {0};
  meth_meth_ast_grandparent1037->type = alloc_MethodType(1, argcv_meth_ast_grandparent1037);
  meth_meth_ast_grandparent1037->definitionModule = modulename;
  meth_meth_ast_grandparent1037->definitionLine = 50;
// method "asString"
  struct UserObject *uo1042 = (struct UserObject*)obj1031;
  uo1042->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1042 = addmethod2pos(obj1031, "asString", &meth_ast_asString1042, 5);
  int argcv_meth_ast_asString1042[] = {0};
  meth_meth_ast_asString1042->type = alloc_MethodType(1, argcv_meth_ast_asString1042);
  meth_meth_ast_asString1042->definitionModule = modulename;
  meth_meth_ast_asString1042->definitionLine = 52;
// method "extend(_)"
  struct UserObject *uo1073 = (struct UserObject*)obj1031;
  uo1073->data[6] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1073 = addmethod2pos(obj1031, "extend(1)", &meth_ast_extend_40_1_41_1073, 6);
  int argcv_meth_ast_extend_40_1_41_1073[] = {1};
  meth_meth_ast_extend_40_1_41_1073->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1073);
  meth_meth_ast_extend_40_1_41_1073->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1073->definitionLine = 61;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  objclass1031 = obj1031->class;
  objclass1031->definitionModule = modulename;
  objclass1031->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter1031;
  self = oldself1031;
  selfslot = oldselfslot1031;
  stackframe = oldstackframe1031;
  gc_frame_end(frame);
  return obj1031;
}
Object meth_ast_cons_40_1_41_onto_40_1_41_1030_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1031 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1031 = alloc_userobj2(6,7, objclass1031);
  gc_frame_newslot(obj1031);
if (objclass1031 == NULL) {
  glfree(obj1031->class->name);
  obj1031->class->name = "ancestorChain.cons(_)onto(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1031, self, 0);
  addmethodreal(obj1031,"outer", &reader_ast_outer_1032);
  Object oldself1031 = self;
  struct StackFrameObject *oldstackframe1031 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1031);
  gc_frame_newslot((Object)stackframe);
  self = obj1031;
  Object *oldselfslot1031 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1031 = (*(struct UserObject *)self).data[0], lowerouter1031 = thisouter1031;
  if (inheritingObject1031) {
    struct UserObject *inho1031 = (struct UserObject *)inheritingObject1031;
    while (inho1031->super != GraceDefaultObject) inho1031 = (struct UserObject *)inho1031->super;
    inho1031->super = obj1031;
    self = inheritingObject1031;
    *selfslot = self;
    lowerouter1031 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1031;
  }
// method "forebears"
  block_savedest(obj1031);
  Object closure1033 = createclosure(1, "forebears");
  setclosureframe(closure1033, stackframe);
  addtoclosure(closure1033, var_as);
  struct UserObject *uo1033 = (struct UserObject*)obj1031;
  uo1033->data[1] = (Object)closure1033;
  Method *meth_meth_ast_forebears1033 = addmethod2pos(obj1031, "forebears", &meth_ast_forebears1033, 1);
  int argcv_meth_ast_forebears1033[] = {0};
  meth_meth_ast_forebears1033->type = alloc_MethodType(1, argcv_meth_ast_forebears1033);
  meth_meth_ast_forebears1033->definitionModule = modulename;
  meth_meth_ast_forebears1033->definitionLine = 47;
// method "isEmpty"
  struct UserObject *uo1034 = (struct UserObject*)obj1031;
  uo1034->data[2] = emptyclosure;
  Method *meth_meth_ast_isEmpty1034 = addmethod2pos(obj1031, "isEmpty", &meth_ast_isEmpty1034, 2);
  int argcv_meth_ast_isEmpty1034[] = {0};
  meth_meth_ast_isEmpty1034->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1034);
  meth_meth_ast_isEmpty1034->definitionModule = modulename;
  meth_meth_ast_isEmpty1034->definitionLine = 48;
// method "parent"
  block_savedest(obj1031);
  Object closure1036 = createclosure(1, "parent");
  setclosureframe(closure1036, stackframe);
  addtoclosure(closure1036, var_p);
  struct UserObject *uo1036 = (struct UserObject*)obj1031;
  uo1036->data[3] = (Object)closure1036;
  Method *meth_meth_ast_parent1036 = addmethod2pos(obj1031, "parent", &meth_ast_parent1036, 3);
  int argcv_meth_ast_parent1036[] = {0};
  meth_meth_ast_parent1036->type = alloc_MethodType(1, argcv_meth_ast_parent1036);
  meth_meth_ast_parent1036->definitionModule = modulename;
  meth_meth_ast_parent1036->definitionLine = 49;
// method "grandparent"
  struct UserObject *uo1037 = (struct UserObject*)obj1031;
  uo1037->data[4] = emptyclosure;
  Method *meth_meth_ast_grandparent1037 = addmethod2pos(obj1031, "grandparent", &meth_ast_grandparent1037, 4);
  int argcv_meth_ast_grandparent1037[] = {0};
  meth_meth_ast_grandparent1037->type = alloc_MethodType(1, argcv_meth_ast_grandparent1037);
  meth_meth_ast_grandparent1037->definitionModule = modulename;
  meth_meth_ast_grandparent1037->definitionLine = 50;
// method "asString"
  struct UserObject *uo1042 = (struct UserObject*)obj1031;
  uo1042->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1042 = addmethod2pos(obj1031, "asString", &meth_ast_asString1042, 5);
  int argcv_meth_ast_asString1042[] = {0};
  meth_meth_ast_asString1042->type = alloc_MethodType(1, argcv_meth_ast_asString1042);
  meth_meth_ast_asString1042->definitionModule = modulename;
  meth_meth_ast_asString1042->definitionLine = 52;
// method "extend(_)"
  struct UserObject *uo1073 = (struct UserObject*)obj1031;
  uo1073->data[6] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1073 = addmethod2pos(obj1031, "extend(1)", &meth_ast_extend_40_1_41_1073, 6);
  int argcv_meth_ast_extend_40_1_41_1073[] = {1};
  meth_meth_ast_extend_40_1_41_1073->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1073);
  meth_meth_ast_extend_40_1_41_1073->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1073->definitionLine = 61;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  sourceObject = obj1031;
  objclass1031 = obj1031->class;
  objclass1031->definitionModule = modulename;
  objclass1031->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter1031;
  self = oldself1031;
  selfslot = oldselfslot1031;
  stackframe = oldstackframe1031;
  gc_frame_end(frame);
  return obj1031;
}
Object meth_ast_ancestorChain1079(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ancestorChain");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ancestorChain (depth = 3)
  gc_frame_end(frame);
  return *var_ancestorChain;
}
Object meth_ast_emptySeq1082(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptySeq");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_AstNode1085(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AstNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AstNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AstNode (depth = 3)
  gc_frame_end(frame);
  return *var_AstNode;
}
Object meth_ast_SymbolTable1087(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_SymbolTable;
}
Object meth_ast_isImplicit1092(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1093 = alloc_Boolean(1);
// compiled identifier node returning bool1093 (depth = 3)
  gc_frame_end(frame);
  return bool1093;
}
Object meth_ast_toGrace_40_1_41_1094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1095 == NULL) {
    strlit1095 = alloc_String("implicit");
    gc_root(strlit1095);
  }
// compiled string node returning strlit1095 (depth = 3)
  gc_frame_end(frame);
  return strlit1095;
}
Object meth_ast_asString1096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1097 == NULL) {
    strlit1097 = alloc_String("the implicit receiver");
    gc_root(strlit1097);
  }
// compiled string node returning strlit1097 (depth = 3)
  gc_frame_end(frame);
  return strlit1097;
}
Object meth_ast__61__61__40_1_41_1098(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1099 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1100 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1099);
// compiled call node returning call1100 (depth = 3)
  gc_frame_end(frame);
  return call1100;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1101(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1103 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1104 = callmethodflags(*var_visitor, "visitImplicit(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1103);
// compiled call node returning call1104 (depth = 3)
  gc_frame_end(frame);
  return call1104;
}
Object meth_ast_pretty_40_1_41_1105(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1106 == NULL) {
    strlit1106 = alloc_String("implicit");
    gc_root(strlit1106);
  }
// compiled string node returning strlit1106 (depth = 3)
  gc_frame_end(frame);
  return strlit1106;
}
Object meth_ast_implicit1119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "implicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_implicit = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_implicit (depth = 3)
  gc_frame_end(frame);
  return *var_implicit;
}
Object meth_ast_toGrace_40_1_41_1123(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1124 == NULL) {
    strlit1124 = alloc_String("// null");
    gc_root(strlit1124);
  }
// compiled string node returning strlit1124 (depth = 3)
  gc_frame_end(frame);
  return strlit1124;
}
Object meth_ast_asString1125(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1126 == NULL) {
    strlit1126 = alloc_String("the nullNode");
    gc_root(strlit1126);
  }
// compiled string node returning strlit1126 (depth = 3)
  gc_frame_end(frame);
  return strlit1126;
}
Object meth_ast__61__61__40_1_41_1127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1128 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1129 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1128);
// compiled call node returning call1129 (depth = 3)
  gc_frame_end(frame);
  return call1129;
}
Object meth_ast_nullNode1135(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nullNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  gc_frame_end(frame);
  return *var_nullNode;
}
Object meth_ast_asString1139(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1140 == NULL) {
    strlit1140 = alloc_String("the fakeSymbolTable");
    gc_root(strlit1140);
  }
// compiled string node returning strlit1140 (depth = 3)
  gc_frame_end(frame);
  return strlit1140;
}
Object meth_ast_addNode_40_1_41_as_40_1_41_1141(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addNode(1)as(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addNode(_)as(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addNode(_)");
  Object *var_kind = &(stackframe->slots[1]);
  *var_kind = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part as(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1142 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1144 == NULL) {
    strlit1144 = alloc_String("""\x22"" requested");
    gc_root(strlit1144);
  }
// compiled string node returning strlit1144 (depth = 5)
  int op_slot_right_1143 = gc_frame_newslot(strlit1144);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_kind (depth = 6)
  int op_slot_right_1146 = gc_frame_newslot(*var_kind);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1149 == NULL) {
    strlit1149 = alloc_String(") as ""\x22""");
    gc_root(strlit1149);
  }
// compiled string node returning strlit1149 (depth = 7)
  int op_slot_right_1148 = gc_frame_newslot(strlit1149);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_1151 = gc_frame_newslot(*var_n);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1154 == NULL) {
    strlit1154 = alloc_String(").addNode(");
    gc_root(strlit1154);
  }
// compiled string node returning strlit1154 (depth = 9)
  int op_slot_right_1153 = gc_frame_newslot(strlit1154);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1157 = gc_frame_new();
// call case 4: self request
  Object call1158 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1157);
// compiled member node returning call1158 (depth = 10)
  int op_slot_right_1156 = gc_frame_newslot(call1158);
// starting to compile string node (depth = 10)
  if (strlit1160 == NULL) {
    strlit1160 = alloc_String("fakeSymbolTable(on node ");
    gc_root(strlit1160);
  }
// compiled string node returning strlit1160 (depth = 10)
  int op_slot_left_1156 = gc_frame_newslot(strlit1160);
  params[0] = call1158;
  partcv[0] = 1;
  Object opresult1161 = callmethod(strlit1160, "++(1)", 1, partcv, params);
// compiled op node returning opresult1161 (depth = 9)
  int op_slot_left_1153 = gc_frame_newslot(opresult1161);
  params[0] = strlit1154;
  partcv[0] = 1;
  Object opresult1162 = callmethod(opresult1161, "++(1)", 1, partcv, params);
// compiled op node returning opresult1162 (depth = 8)
  int op_slot_left_1151 = gc_frame_newslot(opresult1162);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult1163 = callmethod(opresult1162, "++(1)", 1, partcv, params);
// compiled op node returning opresult1163 (depth = 7)
  int op_slot_left_1148 = gc_frame_newslot(opresult1163);
  params[0] = strlit1149;
  partcv[0] = 1;
  Object opresult1164 = callmethod(opresult1163, "++(1)", 1, partcv, params);
// compiled op node returning opresult1164 (depth = 6)
  int op_slot_left_1146 = gc_frame_newslot(opresult1164);
  params[0] = *var_kind;
  partcv[0] = 1;
  Object opresult1165 = callmethod(opresult1164, "++(1)", 1, partcv, params);
// compiled op node returning opresult1165 (depth = 5)
  int op_slot_left_1143 = gc_frame_newslot(opresult1165);
  params[0] = strlit1144;
  partcv[0] = 1;
  Object opresult1166 = callmethod(opresult1165, "++(1)", 1, partcv, params);
// compiled op node returning opresult1166 (depth = 4)
  gc_frame_newslot(opresult1166);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1167 = gc_frame_new();
// call case 5: prelude request
  Object call1168 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1167);
// compiled member node returning call1168 (depth = 4)
  params[0] = opresult1166;
  partcv[0] = 1;
  Object call1169 = callmethodflags(call1168, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1142);
// compiled call node returning call1169 (depth = 3)
  gc_frame_end(frame);
  return call1169;
}
Object meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "thatDefines(1)ifNone(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for thatDefines(_)ifNone(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part thatDefines(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifNone(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1171 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1173 == NULL) {
    strlit1173 = alloc_String(").");
    gc_root(strlit1173);
  }
// compiled string node returning strlit1173 (depth = 5)
  int op_slot_right_1172 = gc_frame_newslot(strlit1173);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_name (depth = 6)
  int op_slot_right_1175 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 6)
  if (strlit1177 == NULL) {
    strlit1177 = alloc_String("fakeSymbolTable.thatDefines(");
    gc_root(strlit1177);
  }
// compiled string node returning strlit1177 (depth = 6)
  int op_slot_left_1175 = gc_frame_newslot(strlit1177);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult1178 = callmethod(strlit1177, "++(1)", 1, partcv, params);
// compiled op node returning opresult1178 (depth = 5)
  int op_slot_left_1172 = gc_frame_newslot(opresult1178);
  params[0] = strlit1173;
  partcv[0] = 1;
  Object opresult1179 = callmethod(opresult1178, "++(1)", 1, partcv, params);
// compiled op node returning opresult1179 (depth = 4)
  gc_frame_newslot(opresult1179);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1180 = gc_frame_new();
// call case 5: prelude request
  Object call1181 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1180);
// compiled member node returning call1181 (depth = 4)
  params[0] = opresult1179;
  partcv[0] = 1;
  Object call1182 = callmethodflags(call1181, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1171);
// compiled call node returning call1182 (depth = 3)
  gc_frame_end(frame);
  return call1182;
}
Object meth_ast_enclosingObjectScope1183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1184 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1186 == NULL) {
    strlit1186 = alloc_String("");
    gc_root(strlit1186);
  }
// compiled string node returning strlit1186 (depth = 5)
  int op_slot_right_1185 = gc_frame_newslot(strlit1186);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1189 = gc_frame_new();
// call case 4: self request
  Object call1190 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compiled member node returning call1190 (depth = 6)
  int op_slot_right_1188 = gc_frame_newslot(call1190);
// starting to compile string node (depth = 6)
  if (strlit1192 == NULL) {
    strlit1192 = alloc_String("fakeSymbolTable.enclosingObjectScope on node ");
    gc_root(strlit1192);
  }
// compiled string node returning strlit1192 (depth = 6)
  int op_slot_left_1188 = gc_frame_newslot(strlit1192);
  params[0] = call1190;
  partcv[0] = 1;
  Object opresult1193 = callmethod(strlit1192, "++(1)", 1, partcv, params);
// compiled op node returning opresult1193 (depth = 5)
  int op_slot_left_1185 = gc_frame_newslot(opresult1193);
  params[0] = strlit1186;
  partcv[0] = 1;
  Object opresult1194 = callmethod(opresult1193, "++(1)", 1, partcv, params);
// compiled op node returning opresult1194 (depth = 4)
  gc_frame_newslot(opresult1194);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1195 = gc_frame_new();
// call case 5: prelude request
  Object call1196 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1195);
// compiled member node returning call1196 (depth = 4)
  params[0] = opresult1194;
  partcv[0] = 1;
  Object call1197 = callmethodflags(call1196, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1184);
// compiled call node returning call1197 (depth = 3)
  gc_frame_end(frame);
  return call1197;
}
Object meth_ast_variety1198(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "variety");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1199 == NULL) {
    strlit1199 = alloc_String("fake");
    gc_root(strlit1199);
  }
// compiled string node returning strlit1199 (depth = 3)
  gc_frame_end(frame);
  return strlit1199;
}
Object meth_ast__61__61__40_1_41_1200(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1201 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1202 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1201);
// compiled call node returning call1202 (depth = 3)
  gc_frame_end(frame);
  return call1202;
}
Object meth_ast_fakeSymbolTable1203(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fakeSymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_fakeSymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_fakeSymbolTable;
}
Object meth_ast_isSimple1214(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1215 = alloc_Boolean(0);
// compiled identifier node returning bool1215 (depth = 3)
  gc_frame_end(frame);
  return bool1215;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1218 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1219 = callmethodflags(*var_visitor, "visitIf(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1218);
// compiled call node returning call1219 (depth = 4)
  Object if1217 = done;
  if (istrue(call1219)) {
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1220 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call1221 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1220);
// compiled call node returning call1221 (depth = 5)
  *var_newChain = call1221;
  if (call1221 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1222 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1223 = gc_frame_new();
// call case 4: self request
  Object call1224 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1223);
// compiled member node returning call1224 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1225 = callmethodflags(call1224, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1222);
// compiled call node returning call1225 (depth = 4)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1226 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1227 = gc_frame_new();
// call case 4: self request
  Object call1228 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1227);
// compiled member node returning call1228 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1229 = callmethodflags(call1228, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1226);
// compiled call node returning call1229 (depth = 4)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1230 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1231 = gc_frame_new();
// call case 4: self request
  Object call1232 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1231);
// compiled member node returning call1232 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1233 = callmethodflags(call1232, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1230);
// compiled call node returning call1233 (depth = 4)
    gc_frame_newslot(call1233);
    if1217 = call1233;
  } else {
  }
// compiled if node returning if1217 (depth = 3)
  gc_frame_end(frame);
  return if1217;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1234(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1235 = gc_frame_new();
// call case 4: self request
  Object call1236 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1235);
// compiled member node returning call1236 (depth = 4)
  *var_n = call1236;
  if (call1236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1237 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1238 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1237);
// compiled call node returning call1238 (depth = 4)
  *var_newChain = call1238;
  if (call1238 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1239 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1240 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1241 = gc_frame_new();
// call case 4: self request
  Object call1242 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1241);
// compiled member node returning call1242 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1243 = callmethodflags(call1242, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1240);
// compiled call node returning call1243 (depth = 4)
  gc_frame_newslot(call1243);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1243;
  partcv[0] = 1;
  Object call1244 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1239);
// compiled call node returning call1244 (depth = 3)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1245 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1246 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1247 = gc_frame_new();
// call case 4: self request
  Object call1248 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1247);
// compiled member node returning call1248 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1249 = callmethodflags(call1248, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1246);
// compiled call node returning call1249 (depth = 4)
  gc_frame_newslot(call1249);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1249;
  partcv[0] = 1;
  Object call1250 = callmethodflags(*var_n, "thenblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1245);
// compiled call node returning call1250 (depth = 3)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1251 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1252 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1253 = gc_frame_new();
// call case 4: self request
  Object call1254 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1253);
// compiled member node returning call1254 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1255 = callmethodflags(call1254, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1252);
// compiled call node returning call1255 (depth = 4)
  gc_frame_newslot(call1255);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1255;
  partcv[0] = 1;
  Object call1256 = callmethodflags(*var_n, "elseblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1251);
// compiled call node returning call1256 (depth = 3)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1257 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1258 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1257);
// compiled call node returning call1258 (depth = 3)
  gc_frame_end(frame);
  return call1258;
}
Object meth_ast__apply_40_1_41_1267(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1269 == NULL) {
    strlit1269 = alloc_String("  ");
    gc_root(strlit1269);
  }
// compiled string node returning strlit1269 (depth = 7)
  int op_slot_right_1268 = gc_frame_newslot(strlit1269);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1268 = gc_frame_newslot(*var_spc);
  params[0] = strlit1269;
  partcv[0] = 1;
  Object opresult1271 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1271 (depth = 6)
  *var_spc = opresult1271;
  if (opresult1271 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1368(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1370 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1372 = alloc_Float64(2);
// compiled num node returning num1372 (depth = 10)
  int op_slot_right_1371 = gc_frame_newslot(num1372);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1371 = gc_frame_newslot(*var_depth);
  params[0] = num1372;
  partcv[0] = 1;
  Object sum1374 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1374 (depth = 9)
  gc_frame_newslot(sum1374);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1374;
  partcv[0] = 1;
  Object call1375 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1370);
// compiled call node returning call1375 (depth = 8)
  int op_slot_right_1369 = gc_frame_newslot(call1375);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1377 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1380 == NULL) {
    strlit1380 = alloc_String("""\x0a""  ");
    gc_root(strlit1380);
  }
// compiled string node returning strlit1380 (depth = 10)
  int op_slot_right_1379 = gc_frame_newslot(strlit1380);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1379 = gc_frame_newslot(*var_s);
  params[0] = strlit1380;
  partcv[0] = 1;
  Object opresult1382 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1382 (depth = 9)
  int op_slot_left_1377 = gc_frame_newslot(opresult1382);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1383 = callmethod(opresult1382, "++(1)", 1, partcv, params);
// compiled op node returning opresult1383 (depth = 8)
  int op_slot_left_1369 = gc_frame_newslot(opresult1383);
  params[0] = call1375;
  partcv[0] = 1;
  Object opresult1384 = callmethod(opresult1383, "++(1)", 1, partcv, params);
// compiled op node returning opresult1384 (depth = 7)
  *var_s = opresult1384;
  if (opresult1384 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1409 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1411 = alloc_Float64(2);
// compiled num node returning num1411 (depth = 10)
  int op_slot_right_1410 = gc_frame_newslot(num1411);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1410 = gc_frame_newslot(*var_depth);
  params[0] = num1411;
  partcv[0] = 1;
  Object sum1413 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1413 (depth = 9)
  gc_frame_newslot(sum1413);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1413;
  partcv[0] = 1;
  Object call1414 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1409);
// compiled call node returning call1414 (depth = 8)
  int op_slot_right_1408 = gc_frame_newslot(call1414);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1416 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1419 == NULL) {
    strlit1419 = alloc_String("""\x0a""  ");
    gc_root(strlit1419);
  }
// compiled string node returning strlit1419 (depth = 10)
  int op_slot_right_1418 = gc_frame_newslot(strlit1419);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1418 = gc_frame_newslot(*var_s);
  params[0] = strlit1419;
  partcv[0] = 1;
  Object opresult1421 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1421 (depth = 9)
  int op_slot_left_1416 = gc_frame_newslot(opresult1421);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1422 = callmethod(opresult1421, "++(1)", 1, partcv, params);
// compiled op node returning opresult1422 (depth = 8)
  int op_slot_left_1408 = gc_frame_newslot(opresult1422);
  params[0] = call1414;
  partcv[0] = 1;
  Object opresult1423 = callmethod(opresult1422, "++(1)", 1, partcv, params);
// compiled op node returning opresult1423 (depth = 7)
  *var_s = opresult1423;
  if (opresult1423 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_1259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1260 == NULL) {
    strlit1260 = alloc_String("");
    gc_root(strlit1260);
  }
// compiled string node returning strlit1260 (depth = 4)
  *var_spc = strlit1260;
  if (strlit1260 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1261 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_1262 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num1264 = alloc_Float64(0);
// compiled num node returning num1264 (depth = 5)
  int op_slot_left_1262 = gc_frame_newslot(num1264);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1265 = callmethod(num1264, "..(1)", 1, partcv, params);
// compiled op node returning opresult1265 (depth = 4)
  gc_frame_newslot(opresult1265);
// starting to compile block node (depth = 4)
  Object block1266 = alloc_Block(NULL, NULL, "ast", 281);
  gc_frame_newslot(block1266);
// method "_apply(_)"
  block_savedest(block1266);
  Object closure1267 = createclosure(2, "_apply(1)");
  setclosureframe(closure1267, stackframe);
  addtoclosure(closure1267, var_spc);
  addtoclosure(closure1267, selfslot);
  struct UserObject *uo1267 = (struct UserObject*)block1266;
  uo1267->data[0] = (Object)closure1267;
  Method *meth_meth_ast__apply_40_1_41_1267 = addmethod2pos(block1266, "_apply(1)", &meth_ast__apply_40_1_41_1267, 0);
  int argcv_meth_ast__apply_40_1_41_1267[] = {1};
  meth_meth_ast__apply_40_1_41_1267->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1267);
  meth_meth_ast__apply_40_1_41_1267->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1267->definitionLine = 2984;
// compiled block node returning block1266 (depth = 4)
  gc_frame_newslot(block1266);
// call case 5: prelude request
  params[0] = opresult1265;
  params[1] = block1266;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1274 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1261);
// compiled call node returning call1274 (depth = 3)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1276 == NULL) {
    strlit1276 = alloc_String("""\x0a""");
    gc_root(strlit1276);
  }
// compiled string node returning strlit1276 (depth = 5)
  int op_slot_right_1275 = gc_frame_newslot(strlit1276);
// starting to compile call node (depth = 5)
  int callframe1278 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1279 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1278);
// compiled call node returning call1279 (depth = 5)
  int op_slot_left_1275 = gc_frame_newslot(call1279);
  params[0] = strlit1276;
  partcv[0] = 1;
  Object opresult1280 = callmethod(call1279, "++(1)", 1, partcv, params);
// compiled op node returning opresult1280 (depth = 4)
  *var_s = opresult1280;
  if (opresult1280 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1282 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1284 = alloc_Float64(1);
// compiled num node returning num1284 (depth = 7)
  int op_slot_right_1283 = gc_frame_newslot(num1284);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1283 = gc_frame_newslot(*var_depth);
  params[0] = num1284;
  partcv[0] = 1;
  Object sum1286 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1286 (depth = 6)
  gc_frame_newslot(sum1286);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1287 = gc_frame_new();
// call case 4: self request
  Object call1288 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1287);
// compiled member node returning call1288 (depth = 6)
  params[0] = sum1286;
  partcv[0] = 1;
  Object call1289 = callmethodflags(call1288, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1282);
// compiled call node returning call1289 (depth = 5)
  int op_slot_right_1281 = gc_frame_newslot(call1289);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1291 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1291 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1293 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1293 (depth = 5)
  int op_slot_left_1281 = gc_frame_newslot(opresult1293);
  params[0] = call1289;
  partcv[0] = 1;
  Object opresult1294 = callmethod(opresult1293, "++(1)", 1, partcv, params);
// compiled op node returning opresult1294 (depth = 4)
  *var_s = opresult1294;
  if (opresult1294 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1297 == NULL) {
    strlit1297 = alloc_String("""\x0a""");
    gc_root(strlit1297);
  }
// compiled string node returning strlit1297 (depth = 5)
  int op_slot_right_1296 = gc_frame_newslot(strlit1297);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1296 = gc_frame_newslot(*var_s);
  params[0] = strlit1297;
  partcv[0] = 1;
  Object opresult1299 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1299 (depth = 4)
  *var_s = opresult1299;
  if (opresult1299 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1303 == NULL) {
    strlit1303 = alloc_String("symbols");
    gc_root(strlit1303);
  }
// compiled string node returning strlit1303 (depth = 5)
  int op_slot_right_1302 = gc_frame_newslot(strlit1303);
// starting to compile member node (depth = 5)
  int callframe1305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1306 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe1305);
// compiled member node returning call1306 (depth = 5)
  int op_slot_left_1302 = gc_frame_newslot(call1306);
  params[0] = strlit1303;
  partcv[0] = 1;
  Object opresult1307 = callmethod(call1306, "==(1)", 1, partcv, params);
// compiled op node returning opresult1307 (depth = 4)
  Object if1301 = done;
  if (istrue(opresult1307)) {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1310 == NULL) {
    strlit1310 = alloc_String("""\x0a""");
    gc_root(strlit1310);
  }
// compiled string node returning strlit1310 (depth = 7)
  int op_slot_right_1309 = gc_frame_newslot(strlit1310);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1313 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1315 = alloc_Float64(2);
// compiled num node returning num1315 (depth = 10)
  int op_slot_right_1314 = gc_frame_newslot(num1315);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1314 = gc_frame_newslot(*var_depth);
  params[0] = num1315;
  partcv[0] = 1;
  Object sum1317 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1317 (depth = 9)
  gc_frame_newslot(sum1317);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1318 = gc_frame_new();
// call case 4: self request
  Object call1319 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1318);
// compiled member node returning call1319 (depth = 9)
  params[0] = sum1317;
  partcv[0] = 1;
  Object call1320 = callmethodflags(call1319, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1313);
// compiled call node returning call1320 (depth = 8)
  int op_slot_right_1312 = gc_frame_newslot(call1320);
// starting to compile string node (depth = 8)
  if (strlit1322 == NULL) {
    strlit1322 = alloc_String("Then: ");
    gc_root(strlit1322);
  }
// compiled string node returning strlit1322 (depth = 8)
  int op_slot_left_1312 = gc_frame_newslot(strlit1322);
  params[0] = call1320;
  partcv[0] = 1;
  Object opresult1323 = callmethod(strlit1322, "++(1)", 1, partcv, params);
// compiled op node returning opresult1323 (depth = 7)
  int op_slot_left_1309 = gc_frame_newslot(opresult1323);
  params[0] = strlit1310;
  partcv[0] = 1;
  Object opresult1324 = callmethod(opresult1323, "++(1)", 1, partcv, params);
// compiled op node returning opresult1324 (depth = 6)
  int op_slot_right_1308 = gc_frame_newslot(opresult1324);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1326 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1326 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1328 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1328 (depth = 6)
  int op_slot_left_1308 = gc_frame_newslot(opresult1328);
  params[0] = opresult1324;
  partcv[0] = 1;
  Object opresult1329 = callmethod(opresult1328, "++(1)", 1, partcv, params);
// compiled op node returning opresult1329 (depth = 5)
  *var_s = opresult1329;
  if (opresult1329 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1333 == NULL) {
    strlit1333 = alloc_String("");
    gc_root(strlit1333);
  }
// compiled string node returning strlit1333 (depth = 7)
  int op_slot_right_1332 = gc_frame_newslot(strlit1333);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1336 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1338 = alloc_Float64(2);
// compiled num node returning num1338 (depth = 10)
  int op_slot_right_1337 = gc_frame_newslot(num1338);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1337 = gc_frame_newslot(*var_depth);
  params[0] = num1338;
  partcv[0] = 1;
  Object sum1340 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1340 (depth = 9)
  gc_frame_newslot(sum1340);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1341 = gc_frame_new();
// call case 4: self request
  Object call1342 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1341);
// compiled member node returning call1342 (depth = 9)
  params[0] = sum1340;
  partcv[0] = 1;
  Object call1343 = callmethodflags(call1342, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1336);
// compiled call node returning call1343 (depth = 8)
  int op_slot_right_1335 = gc_frame_newslot(call1343);
// starting to compile string node (depth = 8)
  if (strlit1345 == NULL) {
    strlit1345 = alloc_String("Else: ");
    gc_root(strlit1345);
  }
// compiled string node returning strlit1345 (depth = 8)
  int op_slot_left_1335 = gc_frame_newslot(strlit1345);
  params[0] = call1343;
  partcv[0] = 1;
  Object opresult1346 = callmethod(strlit1345, "++(1)", 1, partcv, params);
// compiled op node returning opresult1346 (depth = 7)
  int op_slot_left_1332 = gc_frame_newslot(opresult1346);
  params[0] = strlit1333;
  partcv[0] = 1;
  Object opresult1347 = callmethod(opresult1346, "++(1)", 1, partcv, params);
// compiled op node returning opresult1347 (depth = 6)
  int op_slot_right_1331 = gc_frame_newslot(opresult1347);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1349 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1349 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1351 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1351 (depth = 6)
  int op_slot_left_1331 = gc_frame_newslot(opresult1351);
  params[0] = opresult1347;
  partcv[0] = 1;
  Object opresult1352 = callmethod(opresult1351, "++(1)", 1, partcv, params);
// compiled op node returning opresult1352 (depth = 5)
  *var_s = opresult1352;
  if (opresult1352 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1301 = done;
  } else {
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1355 == NULL) {
    strlit1355 = alloc_String("Then:");
    gc_root(strlit1355);
  }
// compiled string node returning strlit1355 (depth = 6)
  int op_slot_right_1354 = gc_frame_newslot(strlit1355);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1357 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1357 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1359 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1359 (depth = 6)
  int op_slot_left_1354 = gc_frame_newslot(opresult1359);
  params[0] = strlit1355;
  partcv[0] = 1;
  Object opresult1360 = callmethod(opresult1359, "++(1)", 1, partcv, params);
// compiled op node returning opresult1360 (depth = 5)
  *var_s = opresult1360;
  if (opresult1360 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1362 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1363 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1364 = gc_frame_new();
// call case 4: self request
  Object call1365 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1364);
// compiled member node returning call1365 (depth = 6)
  Object call1366 = callmethodflags(call1365, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1363);
// compiled member node returning call1366 (depth = 5)
  gc_frame_newslot(call1366);
// starting to compile block node (depth = 5)
  Object block1367 = alloc_Block(NULL, NULL, "ast", 292);
  gc_frame_newslot(block1367);
// method "_apply(_)"
  block_savedest(block1367);
  Object closure1368 = createclosure(4, "_apply(1)");
  setclosureframe(closure1368, stackframe);
  addtoclosure(closure1368, var_depth);
  addtoclosure(closure1368, var_spc);
  addtoclosure(closure1368, var_s);
  addtoclosure(closure1368, selfslot);
  struct UserObject *uo1368 = (struct UserObject*)block1367;
  uo1368->data[0] = (Object)closure1368;
  Method *meth_meth_ast__apply_40_1_41_1368 = addmethod2pos(block1367, "_apply(1)", &meth_ast__apply_40_1_41_1368, 0);
  int argcv_meth_ast__apply_40_1_41_1368[] = {1};
  meth_meth_ast__apply_40_1_41_1368->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1368);
  meth_meth_ast__apply_40_1_41_1368->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1368->definitionLine = 2984;
// compiled block node returning block1367 (depth = 5)
  gc_frame_newslot(block1367);
// call case 5: prelude request
  params[0] = call1366;
  params[1] = block1367;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1387 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1362);
// compiled call node returning call1387 (depth = 4)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1389 == NULL) {
    strlit1389 = alloc_String("""\x0a""");
    gc_root(strlit1389);
  }
// compiled string node returning strlit1389 (depth = 6)
  int op_slot_right_1388 = gc_frame_newslot(strlit1389);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1388 = gc_frame_newslot(*var_s);
  params[0] = strlit1389;
  partcv[0] = 1;
  Object opresult1391 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1391 (depth = 5)
  *var_s = opresult1391;
  if (opresult1391 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1394 == NULL) {
    strlit1394 = alloc_String("Else:");
    gc_root(strlit1394);
  }
// compiled string node returning strlit1394 (depth = 6)
  int op_slot_right_1393 = gc_frame_newslot(strlit1394);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1396 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1396 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1398 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1398 (depth = 6)
  int op_slot_left_1393 = gc_frame_newslot(opresult1398);
  params[0] = strlit1394;
  partcv[0] = 1;
  Object opresult1399 = callmethod(opresult1398, "++(1)", 1, partcv, params);
// compiled op node returning opresult1399 (depth = 5)
  *var_s = opresult1399;
  if (opresult1399 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1401 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1403 = gc_frame_new();
// call case 4: self request
  Object call1404 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1403);
// compiled member node returning call1404 (depth = 6)
  Object call1405 = callmethodflags(call1404, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1402);
// compiled member node returning call1405 (depth = 5)
  gc_frame_newslot(call1405);
// starting to compile block node (depth = 5)
  Object block1406 = alloc_Block(NULL, NULL, "ast", 297);
  gc_frame_newslot(block1406);
// method "_apply(_)"
  block_savedest(block1406);
  Object closure1407 = createclosure(4, "_apply(1)");
  setclosureframe(closure1407, stackframe);
  addtoclosure(closure1407, var_depth);
  addtoclosure(closure1407, var_spc);
  addtoclosure(closure1407, var_s);
  addtoclosure(closure1407, selfslot);
  struct UserObject *uo1407 = (struct UserObject*)block1406;
  uo1407->data[0] = (Object)closure1407;
  Method *meth_meth_ast__apply_40_1_41_1407 = addmethod2pos(block1406, "_apply(1)", &meth_ast__apply_40_1_41_1407, 0);
  int argcv_meth_ast__apply_40_1_41_1407[] = {1};
  meth_meth_ast__apply_40_1_41_1407->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1407);
  meth_meth_ast__apply_40_1_41_1407->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1407->definitionLine = 2984;
// compiled block node returning block1406 (depth = 5)
  gc_frame_newslot(block1406);
// call case 5: prelude request
  params[0] = call1405;
  params[1] = block1406;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1426 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1401);
// compiled call node returning call1426 (depth = 4)
    gc_frame_newslot(call1426);
    if1301 = call1426;
  }
// compiled if node returning if1301 (depth = 3)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1431(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1433 == NULL) {
    strlit1433 = alloc_String("    ");
    gc_root(strlit1433);
  }
// compiled string node returning strlit1433 (depth = 7)
  int op_slot_right_1432 = gc_frame_newslot(strlit1433);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1432 = gc_frame_newslot(*var_spc);
  params[0] = strlit1433;
  partcv[0] = 1;
  Object opresult1435 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1435 (depth = 6)
  *var_spc = opresult1435;
  if (opresult1435 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1458(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1460 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1462 = alloc_Float64(1);
// compiled num node returning num1462 (depth = 9)
  int op_slot_right_1461 = gc_frame_newslot(num1462);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1461 = gc_frame_newslot(*var_depth);
  params[0] = num1462;
  partcv[0] = 1;
  Object sum1464 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1464 (depth = 8)
  gc_frame_newslot(sum1464);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  params[0] = sum1464;
  partcv[0] = 1;
  Object call1465 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1460);
// compiled call node returning call1465 (depth = 7)
  int op_slot_right_1459 = gc_frame_newslot(call1465);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1468 == NULL) {
    strlit1468 = alloc_String("    ");
    gc_root(strlit1468);
  }
// compiled string node returning strlit1468 (depth = 8)
  int op_slot_right_1467 = gc_frame_newslot(strlit1468);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1470 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1473 == NULL) {
    strlit1473 = alloc_String("""\x0a""");
    gc_root(strlit1473);
  }
// compiled string node returning strlit1473 (depth = 10)
  int op_slot_right_1472 = gc_frame_newslot(strlit1473);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1472 = gc_frame_newslot(*var_s);
  params[0] = strlit1473;
  partcv[0] = 1;
  Object opresult1475 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1475 (depth = 9)
  int op_slot_left_1470 = gc_frame_newslot(opresult1475);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1476 = callmethod(opresult1475, "++(1)", 1, partcv, params);
// compiled op node returning opresult1476 (depth = 8)
  int op_slot_left_1467 = gc_frame_newslot(opresult1476);
  params[0] = strlit1468;
  partcv[0] = 1;
  Object opresult1477 = callmethod(opresult1476, "++(1)", 1, partcv, params);
// compiled op node returning opresult1477 (depth = 7)
  int op_slot_left_1459 = gc_frame_newslot(opresult1477);
  params[0] = call1465;
  partcv[0] = 1;
  Object opresult1478 = callmethod(opresult1477, "++(1)", 1, partcv, params);
// compiled op node returning opresult1478 (depth = 6)
  *var_s = opresult1478;
  if (opresult1478 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1505(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1507 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1509 = alloc_Float64(1);
// compiled num node returning num1509 (depth = 10)
  int op_slot_right_1508 = gc_frame_newslot(num1509);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1508 = gc_frame_newslot(*var_depth);
  params[0] = num1509;
  partcv[0] = 1;
  Object sum1511 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1511 (depth = 9)
  gc_frame_newslot(sum1511);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1511;
  partcv[0] = 1;
  Object call1512 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1507);
// compiled call node returning call1512 (depth = 8)
  int op_slot_right_1506 = gc_frame_newslot(call1512);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1515 == NULL) {
    strlit1515 = alloc_String("    ");
    gc_root(strlit1515);
  }
// compiled string node returning strlit1515 (depth = 9)
  int op_slot_right_1514 = gc_frame_newslot(strlit1515);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_1517 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1520 == NULL) {
    strlit1520 = alloc_String("""\x0a""");
    gc_root(strlit1520);
  }
// compiled string node returning strlit1520 (depth = 11)
  int op_slot_right_1519 = gc_frame_newslot(strlit1520);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1519 = gc_frame_newslot(*var_s);
  params[0] = strlit1520;
  partcv[0] = 1;
  Object opresult1522 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1522 (depth = 10)
  int op_slot_left_1517 = gc_frame_newslot(opresult1522);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1523 = callmethod(opresult1522, "++(1)", 1, partcv, params);
// compiled op node returning opresult1523 (depth = 9)
  int op_slot_left_1514 = gc_frame_newslot(opresult1523);
  params[0] = strlit1515;
  partcv[0] = 1;
  Object opresult1524 = callmethod(opresult1523, "++(1)", 1, partcv, params);
// compiled op node returning opresult1524 (depth = 8)
  int op_slot_left_1506 = gc_frame_newslot(opresult1524);
  params[0] = call1512;
  partcv[0] = 1;
  Object opresult1525 = callmethod(opresult1524, "++(1)", 1, partcv, params);
// compiled op node returning opresult1525 (depth = 7)
  *var_s = opresult1525;
  if (opresult1525 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_1427(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1428 == NULL) {
    strlit1428 = alloc_String("");
    gc_root(strlit1428);
  }
// compiled string node returning strlit1428 (depth = 4)
  *var_spc = strlit1428;
  if (strlit1428 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1429 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block1430 = alloc_Block(NULL, NULL, "ast", 305);
  gc_frame_newslot(block1430);
// method "_apply"
  block_savedest(block1430);
  Object closure1431 = createclosure(2, "_apply");
  setclosureframe(closure1431, stackframe);
  addtoclosure(closure1431, var_spc);
  addtoclosure(closure1431, selfslot);
  struct UserObject *uo1431 = (struct UserObject*)block1430;
  uo1431->data[0] = (Object)closure1431;
  Method *meth_meth_ast__apply1431 = addmethod2pos(block1430, "_apply", &meth_ast__apply1431, 0);
  int argcv_meth_ast__apply1431[] = {0};
  meth_meth_ast__apply1431->type = alloc_MethodType(1, argcv_meth_ast__apply1431);
  meth_meth_ast__apply1431->definitionModule = modulename;
  meth_meth_ast__apply1431->definitionLine = 2984;
// compiled block node returning block1430 (depth = 4)
  gc_frame_newslot(block1430);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block1430;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1438 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1429);
// compiled call node returning call1438 (depth = 3)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1440 == NULL) {
    strlit1440 = alloc_String(") then {");
    gc_root(strlit1440);
  }
// compiled string node returning strlit1440 (depth = 5)
  int op_slot_right_1439 = gc_frame_newslot(strlit1440);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1443 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num1444 = alloc_Float64(0);
// compiled num node returning num1444 (depth = 7)
  gc_frame_newslot(num1444);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1445 = gc_frame_new();
// call case 4: self request
  Object call1446 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1445);
// compiled member node returning call1446 (depth = 7)
  params[0] = num1444;
  partcv[0] = 1;
  Object call1447 = callmethodflags(call1446, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1443);
// compiled call node returning call1447 (depth = 6)
  int op_slot_right_1442 = gc_frame_newslot(call1447);
// starting to compile string node (depth = 6)
  if (strlit1449 == NULL) {
    strlit1449 = alloc_String("if (");
    gc_root(strlit1449);
  }
// compiled string node returning strlit1449 (depth = 6)
  int op_slot_left_1442 = gc_frame_newslot(strlit1449);
  params[0] = call1447;
  partcv[0] = 1;
  Object opresult1450 = callmethod(strlit1449, "++(1)", 1, partcv, params);
// compiled op node returning opresult1450 (depth = 5)
  int op_slot_left_1439 = gc_frame_newslot(opresult1450);
  params[0] = strlit1440;
  partcv[0] = 1;
  Object opresult1451 = callmethod(opresult1450, "++(1)", 1, partcv, params);
// compiled op node returning opresult1451 (depth = 4)
  *var_s = opresult1451;
  if (opresult1451 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1452 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1454 = gc_frame_new();
// call case 4: self request
  Object call1455 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1454);
// compiled member node returning call1455 (depth = 5)
  Object call1456 = callmethodflags(call1455, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1453);
// compiled member node returning call1456 (depth = 4)
  gc_frame_newslot(call1456);
// starting to compile block node (depth = 4)
  Object block1457 = alloc_Block(NULL, NULL, "ast", 309);
  gc_frame_newslot(block1457);
// method "_apply(_)"
  block_savedest(block1457);
  Object closure1458 = createclosure(4, "_apply(1)");
  setclosureframe(closure1458, stackframe);
  addtoclosure(closure1458, var_depth);
  addtoclosure(closure1458, var_spc);
  addtoclosure(closure1458, var_s);
  addtoclosure(closure1458, selfslot);
  struct UserObject *uo1458 = (struct UserObject*)block1457;
  uo1458->data[0] = (Object)closure1458;
  Method *meth_meth_ast__apply_40_1_41_1458 = addmethod2pos(block1457, "_apply(1)", &meth_ast__apply_40_1_41_1458, 0);
  int argcv_meth_ast__apply_40_1_41_1458[] = {1};
  meth_meth_ast__apply_40_1_41_1458->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1458);
  meth_meth_ast__apply_40_1_41_1458->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1458->definitionLine = 2984;
// compiled block node returning block1457 (depth = 4)
  gc_frame_newslot(block1457);
// call case 5: prelude request
  params[0] = call1456;
  params[1] = block1457;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1481 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1452);
// compiled call node returning call1481 (depth = 3)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1483 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1484 = gc_frame_new();
// call case 4: self request
  Object call1485 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1484);
// compiled member node returning call1485 (depth = 5)
  Object call1486 = callmethodflags(call1485, "isntEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1483);
// compiled member node returning call1486 (depth = 4)
  Object if1482 = done;
  if (istrue(call1486)) {
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1488 == NULL) {
    strlit1488 = alloc_String("} else {");
    gc_root(strlit1488);
  }
// compiled string node returning strlit1488 (depth = 6)
  int op_slot_right_1487 = gc_frame_newslot(strlit1488);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1490 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1493 == NULL) {
    strlit1493 = alloc_String("""\x0a""");
    gc_root(strlit1493);
  }
// compiled string node returning strlit1493 (depth = 8)
  int op_slot_right_1492 = gc_frame_newslot(strlit1493);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1492 = gc_frame_newslot(*var_s);
  params[0] = strlit1493;
  partcv[0] = 1;
  Object opresult1495 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1495 (depth = 7)
  int op_slot_left_1490 = gc_frame_newslot(opresult1495);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1496 = callmethod(opresult1495, "++(1)", 1, partcv, params);
// compiled op node returning opresult1496 (depth = 6)
  int op_slot_left_1487 = gc_frame_newslot(opresult1496);
  params[0] = strlit1488;
  partcv[0] = 1;
  Object opresult1497 = callmethod(opresult1496, "++(1)", 1, partcv, params);
// compiled op node returning opresult1497 (depth = 5)
  *var_s = opresult1497;
  if (opresult1497 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1499 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1500 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1501 = gc_frame_new();
// call case 4: self request
  Object call1502 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1501);
// compiled member node returning call1502 (depth = 6)
  Object call1503 = callmethodflags(call1502, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1500);
// compiled member node returning call1503 (depth = 5)
  gc_frame_newslot(call1503);
// starting to compile block node (depth = 5)
  Object block1504 = alloc_Block(NULL, NULL, "ast", 314);
  gc_frame_newslot(block1504);
// method "_apply(_)"
  block_savedest(block1504);
  Object closure1505 = createclosure(4, "_apply(1)");
  setclosureframe(closure1505, stackframe);
  addtoclosure(closure1505, var_depth);
  addtoclosure(closure1505, var_spc);
  addtoclosure(closure1505, var_s);
  addtoclosure(closure1505, selfslot);
  struct UserObject *uo1505 = (struct UserObject*)block1504;
  uo1505->data[0] = (Object)closure1505;
  Method *meth_meth_ast__apply_40_1_41_1505 = addmethod2pos(block1504, "_apply(1)", &meth_ast__apply_40_1_41_1505, 0);
  int argcv_meth_ast__apply_40_1_41_1505[] = {1};
  meth_meth_ast__apply_40_1_41_1505->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1505);
  meth_meth_ast__apply_40_1_41_1505->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1505->definitionLine = 2984;
// compiled block node returning block1504 (depth = 5)
  gc_frame_newslot(block1504);
// call case 5: prelude request
  params[0] = call1503;
  params[1] = block1504;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1528 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1499);
// compiled call node returning call1528 (depth = 4)
    gc_frame_newslot(call1528);
    if1482 = call1528;
  } else {
  }
// compiled if node returning if1482 (depth = 3)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1530 == NULL) {
    strlit1530 = alloc_String("}");
    gc_root(strlit1530);
  }
// compiled string node returning strlit1530 (depth = 5)
  int op_slot_right_1529 = gc_frame_newslot(strlit1530);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1532 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1535 == NULL) {
    strlit1535 = alloc_String("""\x0a""");
    gc_root(strlit1535);
  }
// compiled string node returning strlit1535 (depth = 7)
  int op_slot_right_1534 = gc_frame_newslot(strlit1535);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1534 = gc_frame_newslot(*var_s);
  params[0] = strlit1535;
  partcv[0] = 1;
  Object opresult1537 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1537 (depth = 6)
  int op_slot_left_1532 = gc_frame_newslot(opresult1537);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1538 = callmethod(opresult1537, "++(1)", 1, partcv, params);
// compiled op node returning opresult1538 (depth = 5)
  int op_slot_left_1529 = gc_frame_newslot(opresult1538);
  params[0] = strlit1530;
  partcv[0] = 1;
  Object opresult1539 = callmethod(opresult1538, "++(1)", 1, partcv, params);
// compiled op node returning opresult1539 (depth = 4)
  *var_s = opresult1539;
  if (opresult1539 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy1541(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_ifNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1542 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1543 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ifNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call1544 = callmethodflags(*var_ifNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe1543);
// compiled call node returning call1544 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1545 = callmethodflags(call1544, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1542);
// compiled call node returning call1545 (depth = 3)
  gc_frame_end(frame);
  return call1545;
}
Object meth_ast_postCopy_40_1_41_1546(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1547 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1548 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1549 = callmethodflags(*var_other, "handledIdentifiers", 0, partcv, params, 0);
  gc_frame_end(callframe1548);
// compiled member node returning call1549 (depth = 4)
  gc_frame_newslot(call1549);
// call case 4: self request
  params[0] = call1549;
  partcv[0] = 1;
  Object call1550 = callmethodflags(self, "handledIdentifiers:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1547);
// compiled call node returning call1550 (depth = 3)
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_3_41_1206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1207 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1207 = alloc_userobj2(16,13, objclass1207);
  gc_frame_newslot(obj1207);
if (objclass1207 == NULL) {
  glfree(obj1207->class->name);
  obj1207->class->name = "ifNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1207, self, 0);
  addmethodreal(obj1207,"outer", &reader_ast_outer_1208);
  Object oldself1207 = self;
  struct StackFrameObject *oldstackframe1207 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1207);
  gc_frame_newslot((Object)stackframe);
  self = obj1207;
  Object *oldselfslot1207 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1207 = (*(struct UserObject *)self).data[0], lowerouter1207 = thisouter1207;
  if (inheritingObject1207) {
    struct UserObject *inho1207 = (struct UserObject *)inheritingObject1207;
    while (inho1207->super != GraceDefaultObject) inho1207 = (struct UserObject *)inho1207->super;
    inho1207->super = obj1207;
    self = inheritingObject1207;
    *selfslot = self;
    lowerouter1207 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1207;
  }
if (objclass1207 == NULL) {
  Method *reader1209 = addmethodrealflags(obj1207, "kind",&reader_ast_kind_1209, MFLAG_DEF);
  reader1209->definitionModule = modulename;
  reader1209->definitionLine = 257;
}
adddatum2(obj1207, alloc_Undefined(), 1);
if (objclass1207 == NULL) {
  Method *reader1210 = addmethodrealflags(obj1207, "value", &reader_ast_value_1210, 0);
  Method *writer1210 = addmethodrealflags(obj1207, "value:=(1)", &writer_ast_value_1210, 0);
  reader1210->definitionModule = modulename;
  writer1210->definitionModule = modulename;
  reader1210->definitionLine = 258;
  writer1210->definitionLine = 258;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 2);
if (objclass1207 == NULL) {
  Method *reader1211 = addmethodrealflags(obj1207, "thenblock", &reader_ast_thenblock_1211, 0);
  Method *writer1211 = addmethodrealflags(obj1207, "thenblock:=(1)", &writer_ast_thenblock_1211, 0);
  reader1211->definitionModule = modulename;
  writer1211->definitionModule = modulename;
  reader1211->definitionLine = 259;
  writer1211->definitionLine = 259;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 3);
if (objclass1207 == NULL) {
  Method *reader1212 = addmethodrealflags(obj1207, "elseblock", &reader_ast_elseblock_1212, 0);
  Method *writer1212 = addmethodrealflags(obj1207, "elseblock:=(1)", &writer_ast_elseblock_1212, 0);
  reader1212->definitionModule = modulename;
  writer1212->definitionModule = modulename;
  reader1212->definitionLine = 260;
  writer1212->definitionLine = 260;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 4);
if (objclass1207 == NULL) {
  Method *reader1213 = addmethodrealflags(obj1207, "handledIdentifiers", &reader_ast_handledIdentifiers_1213, 0);
  Method *writer1213 = addmethodrealflags(obj1207, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1213, 0);
  reader1213->definitionModule = modulename;
  writer1213->definitionModule = modulename;
  reader1213->definitionLine = 261;
  writer1213->definitionLine = 261;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1214 = (struct UserObject*)obj1207;
  uo1214->data[6] = emptyclosure;
  Method *meth_meth_ast_isSimple1214 = addmethod2pos(obj1207, "isSimple", &meth_ast_isSimple1214, 6);
  int argcv_meth_ast_isSimple1214[] = {0};
  meth_meth_ast_isSimple1214->type = alloc_MethodType(1, argcv_meth_ast_isSimple1214);
  meth_meth_ast_isSimple1214->definitionModule = modulename;
  meth_meth_ast_isSimple1214->definitionLine = 262;
// method "accept(_)from(_)"
  struct UserObject *uo1216 = (struct UserObject*)obj1207;
  uo1216->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1216 = addmethod2pos(obj1207, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1216, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1216[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1216);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->definitionLine = 263;
// method "map(_)ancestors(_)"
  struct UserObject *uo1234 = (struct UserObject*)obj1207;
  uo1234->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234 = addmethod2pos(obj1207, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1234, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1234[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1234);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->definitionLine = 271;
// method "pretty(_)"
  block_savedest(obj1207);
  Object closure1259 = createclosure(1, "pretty(1)");
  setclosureframe(closure1259, stackframe);
  addtoclosure(closure1259, var_util);
  struct UserObject *uo1259 = (struct UserObject*)obj1207;
  uo1259->data[9] = (Object)closure1259;
  Method *meth_meth_ast_pretty_40_1_41_1259 = addmethod2pos(obj1207, "pretty(1)", &meth_ast_pretty_40_1_41_1259, 9);
  int argcv_meth_ast_pretty_40_1_41_1259[] = {1};
  meth_meth_ast_pretty_40_1_41_1259->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1259);
  meth_meth_ast_pretty_40_1_41_1259->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1259->definitionLine = 279;
// method "toGrace(_)"
  struct UserObject *uo1427 = (struct UserObject*)obj1207;
  uo1427->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1427 = addmethod2pos(obj1207, "toGrace(1)", &meth_ast_toGrace_40_1_41_1427, 10);
  int argcv_meth_ast_toGrace_40_1_41_1427[] = {1};
  meth_meth_ast_toGrace_40_1_41_1427->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1427);
meth_meth_ast_toGrace_40_1_41_1427->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1427->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1427->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1427->definitionLine = 303;
// method "shallowCopy"
  block_savedest(obj1207);
  Object closure1541 = createclosure(2, "shallowCopy");
  setclosureframe(closure1541, stackframe);
  addtoclosure(closure1541, var_nullNode);
  addtoclosure(closure1541, var_ifNode);
  struct UserObject *uo1541 = (struct UserObject*)obj1207;
  uo1541->data[11] = (Object)closure1541;
  Method *meth_meth_ast_shallowCopy1541 = addmethod2pos(obj1207, "shallowCopy", &meth_ast_shallowCopy1541, 11);
  int argcv_meth_ast_shallowCopy1541[] = {0};
  meth_meth_ast_shallowCopy1541->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1541);
  meth_meth_ast_shallowCopy1541->definitionModule = modulename;
  meth_meth_ast_shallowCopy1541->definitionLine = 321;
// method "postCopy(_)"
  struct UserObject *uo1546 = (struct UserObject*)obj1207;
  uo1546->data[12] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_1546 = addmethod2pos(obj1207, "postCopy(1)", &meth_ast_postCopy_40_1_41_1546, 12);
  int argcv_meth_ast_postCopy_40_1_41_1546[] = {1};
  meth_meth_ast_postCopy_40_1_41_1546->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_1546);
  meth_meth_ast_postCopy_40_1_41_1546->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_1546->definitionLine = 324;
  sourceObject = obj1207;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1551 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1552 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1553 = gc_frame_new();
// call case 3: self.outer request
  Object call1554 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1553);
// compiled member node returning call1554 (depth = 5)
  Object call1555 = callmethodflags(call1554, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1552);
// compiled member node returning call1555 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1556 = callmethodflags(call1555, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1551);
// compiled call node returning call1556 (depth = 3)
  struct UserObject *obj1207_uo = (struct UserObject *)obj1207;
  obj1207_uo->super = call1556;
  sourceObject = obj1207;
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1557 == NULL) {
    strlit1557 = alloc_String("if");
    gc_root(strlit1557);
  }
// compiled string node returning strlit1557 (depth = 3)
  adddatum2(obj1207, strlit1557, 1);
  sourceObject = obj1207;
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1207, *var_cond, 2);
  sourceObject = obj1207;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1207, *var_thenblock_39_, 3);
  sourceObject = obj1207;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1207, *var_elseblock_39_, 4);
  sourceObject = obj1207;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1558 = alloc_Boolean(0);
// compiled identifier node returning bool1558 (depth = 3)
  adddatum2(obj1207, bool1558, 5);
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  objclass1207 = obj1207->class;
  objclass1207->definitionModule = modulename;
  objclass1207->definitionLine = 255;
  (*(struct UserObject *)self).data[0] = lowerouter1207;
  self = oldself1207;
  selfslot = oldselfslot1207;
  stackframe = oldstackframe1207;
  gc_frame_end(frame);
  return obj1207;
}
Object meth_ast_new_40_3_41_1206_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1207 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1207 = alloc_userobj2(16,13, objclass1207);
  gc_frame_newslot(obj1207);
if (objclass1207 == NULL) {
  glfree(obj1207->class->name);
  obj1207->class->name = "ifNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1207, self, 0);
  addmethodreal(obj1207,"outer", &reader_ast_outer_1208);
  Object oldself1207 = self;
  struct StackFrameObject *oldstackframe1207 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1207);
  gc_frame_newslot((Object)stackframe);
  self = obj1207;
  Object *oldselfslot1207 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1207 = (*(struct UserObject *)self).data[0], lowerouter1207 = thisouter1207;
  if (inheritingObject1207) {
    struct UserObject *inho1207 = (struct UserObject *)inheritingObject1207;
    while (inho1207->super != GraceDefaultObject) inho1207 = (struct UserObject *)inho1207->super;
    inho1207->super = obj1207;
    self = inheritingObject1207;
    *selfslot = self;
    lowerouter1207 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1207;
  }
if (objclass1207 == NULL) {
  Method *reader1209 = addmethodrealflags(obj1207, "kind",&reader_ast_kind_1209, MFLAG_DEF);
  reader1209->definitionModule = modulename;
  reader1209->definitionLine = 257;
}
adddatum2(obj1207, alloc_Undefined(), 1);
if (objclass1207 == NULL) {
  Method *reader1210 = addmethodrealflags(obj1207, "value", &reader_ast_value_1210, 0);
  Method *writer1210 = addmethodrealflags(obj1207, "value:=(1)", &writer_ast_value_1210, 0);
  reader1210->definitionModule = modulename;
  writer1210->definitionModule = modulename;
  reader1210->definitionLine = 258;
  writer1210->definitionLine = 258;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 2);
if (objclass1207 == NULL) {
  Method *reader1211 = addmethodrealflags(obj1207, "thenblock", &reader_ast_thenblock_1211, 0);
  Method *writer1211 = addmethodrealflags(obj1207, "thenblock:=(1)", &writer_ast_thenblock_1211, 0);
  reader1211->definitionModule = modulename;
  writer1211->definitionModule = modulename;
  reader1211->definitionLine = 259;
  writer1211->definitionLine = 259;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 3);
if (objclass1207 == NULL) {
  Method *reader1212 = addmethodrealflags(obj1207, "elseblock", &reader_ast_elseblock_1212, 0);
  Method *writer1212 = addmethodrealflags(obj1207, "elseblock:=(1)", &writer_ast_elseblock_1212, 0);
  reader1212->definitionModule = modulename;
  writer1212->definitionModule = modulename;
  reader1212->definitionLine = 260;
  writer1212->definitionLine = 260;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 4);
if (objclass1207 == NULL) {
  Method *reader1213 = addmethodrealflags(obj1207, "handledIdentifiers", &reader_ast_handledIdentifiers_1213, 0);
  Method *writer1213 = addmethodrealflags(obj1207, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1213, 0);
  reader1213->definitionModule = modulename;
  writer1213->definitionModule = modulename;
  reader1213->definitionLine = 261;
  writer1213->definitionLine = 261;
}
obj1207->flags |= OFLAG_MUTABLE;
adddatum2(obj1207, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1214 = (struct UserObject*)obj1207;
  uo1214->data[6] = emptyclosure;
  Method *meth_meth_ast_isSimple1214 = addmethod2pos(obj1207, "isSimple", &meth_ast_isSimple1214, 6);
  int argcv_meth_ast_isSimple1214[] = {0};
  meth_meth_ast_isSimple1214->type = alloc_MethodType(1, argcv_meth_ast_isSimple1214);
  meth_meth_ast_isSimple1214->definitionModule = modulename;
  meth_meth_ast_isSimple1214->definitionLine = 262;
// method "accept(_)from(_)"
  struct UserObject *uo1216 = (struct UserObject*)obj1207;
  uo1216->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1216 = addmethod2pos(obj1207, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1216, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1216[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1216);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1216->definitionLine = 263;
// method "map(_)ancestors(_)"
  struct UserObject *uo1234 = (struct UserObject*)obj1207;
  uo1234->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234 = addmethod2pos(obj1207, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1234, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1234[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1234);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1234->definitionLine = 271;
// method "pretty(_)"
  block_savedest(obj1207);
  Object closure1259 = createclosure(1, "pretty(1)");
  setclosureframe(closure1259, stackframe);
  addtoclosure(closure1259, var_util);
  struct UserObject *uo1259 = (struct UserObject*)obj1207;
  uo1259->data[9] = (Object)closure1259;
  Method *meth_meth_ast_pretty_40_1_41_1259 = addmethod2pos(obj1207, "pretty(1)", &meth_ast_pretty_40_1_41_1259, 9);
  int argcv_meth_ast_pretty_40_1_41_1259[] = {1};
  meth_meth_ast_pretty_40_1_41_1259->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1259);
  meth_meth_ast_pretty_40_1_41_1259->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1259->definitionLine = 279;
// method "toGrace(_)"
  struct UserObject *uo1427 = (struct UserObject*)obj1207;
  uo1427->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1427 = addmethod2pos(obj1207, "toGrace(1)", &meth_ast_toGrace_40_1_41_1427, 10);
  int argcv_meth_ast_toGrace_40_1_41_1427[] = {1};
  meth_meth_ast_toGrace_40_1_41_1427->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1427);
meth_meth_ast_toGrace_40_1_41_1427->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1427->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1427->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1427->definitionLine = 303;
// method "shallowCopy"
  block_savedest(obj1207);
  Object closure1541 = createclosure(2, "shallowCopy");
  setclosureframe(closure1541, stackframe);
  addtoclosure(closure1541, var_nullNode);
  addtoclosure(closure1541, var_ifNode);
  struct UserObject *uo1541 = (struct UserObject*)obj1207;
  uo1541->data[11] = (Object)closure1541;
  Method *meth_meth_ast_shallowCopy1541 = addmethod2pos(obj1207, "shallowCopy", &meth_ast_shallowCopy1541, 11);
  int argcv_meth_ast_shallowCopy1541[] = {0};
  meth_meth_ast_shallowCopy1541->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1541);
  meth_meth_ast_shallowCopy1541->definitionModule = modulename;
  meth_meth_ast_shallowCopy1541->definitionLine = 321;
// method "postCopy(_)"
  struct UserObject *uo1546 = (struct UserObject*)obj1207;
  uo1546->data[12] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_1546 = addmethod2pos(obj1207, "postCopy(1)", &meth_ast_postCopy_40_1_41_1546, 12);
  int argcv_meth_ast_postCopy_40_1_41_1546[] = {1};
  meth_meth_ast_postCopy_40_1_41_1546->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_1546);
  meth_meth_ast_postCopy_40_1_41_1546->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_1546->definitionLine = 324;
  sourceObject = obj1207;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1551 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1552 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1553 = gc_frame_new();
// call case 3: self.outer request
  Object call1554 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1553);
// compiled member node returning call1554 (depth = 5)
  Object call1555 = callmethodflags(call1554, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1552);
// compiled member node returning call1555 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1556 = callmethodflags(call1555, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1551);
// compiled call node returning call1556 (depth = 3)
  struct UserObject *obj1207_uo = (struct UserObject *)obj1207;
  obj1207_uo->super = call1556;
  sourceObject = obj1207;
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1557 == NULL) {
    strlit1557 = alloc_String("if");
    gc_root(strlit1557);
  }
// compiled string node returning strlit1557 (depth = 3)
  adddatum2(obj1207, strlit1557, 1);
  sourceObject = obj1207;
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1207, *var_cond, 2);
  sourceObject = obj1207;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1207, *var_thenblock_39_, 3);
  sourceObject = obj1207;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1207, *var_elseblock_39_, 4);
  sourceObject = obj1207;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1558 = alloc_Boolean(0);
// compiled identifier node returning bool1558 (depth = 3)
  adddatum2(obj1207, bool1558, 5);
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  sourceObject = obj1207;
  objclass1207 = obj1207->class;
  objclass1207->definitionModule = modulename;
  objclass1207->definitionLine = 255;
  (*(struct UserObject *)self).data[0] = lowerouter1207;
  self = oldself1207;
  selfslot = oldselfslot1207;
  stackframe = oldstackframe1207;
  gc_frame_end(frame);
  return obj1207;
}
Object meth_ast_ifNode1560(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ifNode (depth = 3)
  gc_frame_end(frame);
  return *var_ifNode;
}
Object meth_ast_isBlock1573(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1574 = alloc_Boolean(1);
// compiled identifier node returning bool1574 (depth = 3)
  gc_frame_end(frame);
  return bool1574;
}
Object meth_ast_isDelimited1575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1576 = alloc_Boolean(1);
// compiled identifier node returning bool1576 (depth = 3)
  gc_frame_end(frame);
  return bool1576;
}
Object meth_ast_isEmpty1577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1579 = alloc_Float64(0);
// compiled num node returning num1579 (depth = 4)
  int op_slot_right_1578 = gc_frame_newslot(num1579);
// starting to compile member node (depth = 4)
  int callframe1581 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1582 = gc_frame_new();
// call case 4: self request
  Object call1583 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1582);
// compiled member node returning call1583 (depth = 5)
  Object call1584 = callmethodflags(call1583, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1581);
// compiled member node returning call1584 (depth = 4)
  int op_slot_left_1578 = gc_frame_newslot(call1584);
  params[0] = num1579;
  partcv[0] = 1;
  Object opresult1585 = callmethod(call1584, "==(1)", 1, partcv, params);
// compiled op node returning opresult1585 (depth = 3)
  gc_frame_end(frame);
  return opresult1585;
}
Object meth_ast_isntEmpty1586(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isntEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1588 = alloc_Float64(0);
// compiled num node returning num1588 (depth = 4)
  int op_slot_right_1587 = gc_frame_newslot(num1588);
// starting to compile member node (depth = 4)
  int callframe1590 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1591 = gc_frame_new();
// call case 4: self request
  Object call1592 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1591);
// compiled member node returning call1592 (depth = 5)
  Object call1593 = callmethodflags(call1592, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1590);
// compiled member node returning call1593 (depth = 4)
  int op_slot_left_1587 = gc_frame_newslot(call1593);
  params[0] = num1588;
  partcv[0] = 1;
  Object opresult1594 = callmethod(call1593, ">(1)", 1, partcv, params);
// compiled op node returning opresult1594 (depth = 3)
  gc_frame_end(frame);
  return opresult1594;
}
Object meth_ast_scope_58__61__40_1_41_1595(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1596 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call1597 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1596);
// compiled call node returning call1597 (depth = 3)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1598 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1599 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1598);
// compiled call node returning call1599 (depth = 3)
  gc_frame_end(frame);
  return call1599;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_1600(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1601 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call1602 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe1601);
// compiled member node returning call1602 (depth = 3)
  gc_frame_end(frame);
  return call1602;
}
Object meth_ast_isMatchingBlock1603(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1605 = alloc_Float64(1);
// compiled num node returning num1605 (depth = 4)
  int op_slot_right_1604 = gc_frame_newslot(num1605);
// starting to compile member node (depth = 4)
  int callframe1607 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1608 = gc_frame_new();
// call case 4: self request
  Object call1609 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1608);
// compiled member node returning call1609 (depth = 5)
  Object call1610 = callmethodflags(call1609, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1607);
// compiled member node returning call1610 (depth = 4)
  int op_slot_left_1604 = gc_frame_newslot(call1610);
  params[0] = num1605;
  partcv[0] = 1;
  Object opresult1611 = callmethod(call1610, "==(1)", 1, partcv, params);
// compiled op node returning opresult1611 (depth = 3)
  gc_frame_end(frame);
  return opresult1611;
}
Object meth_ast__apply1615(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1616 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1618 = gc_frame_new();
// call case 4: self request
  Object call1619 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1618);
// compiled member node returning call1619 (depth = 7)
  Object call1620 = callmethodflags(call1619, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1617);
// compiled member node returning call1620 (depth = 6)
  Object call1621 = callmethodflags(call1620, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe1616);
// compiled member node returning call1621 (depth = 5)
  gc_frame_end(frame);
  return call1621;
}
Object meth_ast_returnsObject1612(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block1614 = alloc_Block(NULL, NULL, "ast", 356);
  gc_frame_newslot(block1614);
// method "_apply"
  block_savedest(block1614);
  Object closure1615 = createclosure(1, "_apply");
  setclosureframe(closure1615, stackframe);
  addtoclosure(closure1615, selfslot);
  struct UserObject *uo1615 = (struct UserObject*)block1614;
  uo1615->data[0] = (Object)closure1615;
  Method *meth_meth_ast__apply1615 = addmethod2pos(block1614, "_apply", &meth_ast__apply1615, 0);
  int argcv_meth_ast__apply1615[] = {0};
  meth_meth_ast__apply1615->type = alloc_MethodType(1, argcv_meth_ast__apply1615);
  meth_meth_ast__apply1615->definitionModule = modulename;
  meth_meth_ast__apply1615->definitionLine = 2984;
// compiled block node returning block1614 (depth = 4)
  int op_slot_right_1613 = gc_frame_newslot(block1614);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1625 = alloc_Float64(0);
// compiled num node returning num1625 (depth = 5)
  int op_slot_right_1624 = gc_frame_newslot(num1625);
// starting to compile member node (depth = 5)
  int callframe1627 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1628 = gc_frame_new();
// call case 4: self request
  Object call1629 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1628);
// compiled member node returning call1629 (depth = 6)
  Object call1630 = callmethodflags(call1629, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1627);
// compiled member node returning call1630 (depth = 5)
  int op_slot_left_1624 = gc_frame_newslot(call1630);
  params[0] = num1625;
  partcv[0] = 1;
  Object opresult1631 = callmethod(call1630, ">(1)", 1, partcv, params);
// compiled op node returning opresult1631 (depth = 4)
  int op_slot_left_1613 = gc_frame_newslot(opresult1631);
  params[0] = block1614;
  partcv[0] = 1;
  Object opresult1632 = callmethod(opresult1631, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1632 (depth = 3)
  gc_frame_end(frame);
  return opresult1632;
}
Object meth_ast_returnedObjectScope1633(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1634 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1635 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1636 = gc_frame_new();
// call case 4: self request
  Object call1637 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1636);
// compiled member node returning call1637 (depth = 5)
  Object call1638 = callmethodflags(call1637, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1635);
// compiled member node returning call1638 (depth = 4)
  Object call1639 = callmethodflags(call1638, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe1634);
// compiled member node returning call1639 (depth = 3)
  gc_frame_end(frame);
  return call1639;
}
Object meth_ast_parametersDo_40_1_41_1640(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1641 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1642 = gc_frame_new();
// call case 4: self request
  Object call1643 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1642);
// compiled member node returning call1643 (depth = 4)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call1644 = callmethodflags(call1643, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1641);
// compiled call node returning call1644 (depth = 3)
  gc_frame_end(frame);
  return call1644;
}
Object meth_ast__apply_40_1_41_1655(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1656 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1657 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1656);
// compiled call node returning call1657 (depth = 6)
  gc_frame_end(frame);
  return call1657;
}
Object meth_ast__apply_40_1_41_1664(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1665 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1666 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1665);
// compiled call node returning call1666 (depth = 6)
  gc_frame_end(frame);
  return call1666;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1645(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1647 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1648 = callmethodflags(*var_visitor, "visitBlock(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1647);
// compiled call node returning call1648 (depth = 4)
  Object if1646 = done;
  if (istrue(call1648)) {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1649 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call1650 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1649);
// compiled call node returning call1650 (depth = 5)
  *var_newChain = call1650;
  if (call1650 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1651 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1652 = gc_frame_new();
// call case 4: self request
  Object call1653 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1652);
// compiled member node returning call1653 (depth = 5)
  gc_frame_newslot(call1653);
// starting to compile block node (depth = 5)
  Object block1654 = alloc_Block(NULL, NULL, "ast", 368);
  gc_frame_newslot(block1654);
// method "_apply(_)"
  block_savedest(block1654);
  Object closure1655 = createclosure(3, "_apply(1)");
  setclosureframe(closure1655, stackframe);
  addtoclosure(closure1655, var_visitor);
  addtoclosure(closure1655, var_newChain);
  addtoclosure(closure1655, selfslot);
  struct UserObject *uo1655 = (struct UserObject*)block1654;
  uo1655->data[0] = (Object)closure1655;
  Method *meth_meth_ast__apply_40_1_41_1655 = addmethod2pos(block1654, "_apply(1)", &meth_ast__apply_40_1_41_1655, 0);
  int argcv_meth_ast__apply_40_1_41_1655[] = {1};
  meth_meth_ast__apply_40_1_41_1655->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1655);
  meth_meth_ast__apply_40_1_41_1655->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1655->definitionLine = 2984;
// compiled block node returning block1654 (depth = 5)
  gc_frame_newslot(block1654);
// call case 5: prelude request
  params[0] = call1653;
  params[1] = block1654;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1659 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1651);
// compiled call node returning call1659 (depth = 4)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1660 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1661 = gc_frame_new();
// call case 4: self request
  Object call1662 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1661);
// compiled member node returning call1662 (depth = 5)
  gc_frame_newslot(call1662);
// starting to compile block node (depth = 5)
  Object block1663 = alloc_Block(NULL, NULL, "ast", 371);
  gc_frame_newslot(block1663);
// method "_apply(_)"
  block_savedest(block1663);
  Object closure1664 = createclosure(3, "_apply(1)");
  setclosureframe(closure1664, stackframe);
  addtoclosure(closure1664, var_visitor);
  addtoclosure(closure1664, var_newChain);
  addtoclosure(closure1664, selfslot);
  struct UserObject *uo1664 = (struct UserObject*)block1663;
  uo1664->data[0] = (Object)closure1664;
  Method *meth_meth_ast__apply_40_1_41_1664 = addmethod2pos(block1663, "_apply(1)", &meth_ast__apply_40_1_41_1664, 0);
  int argcv_meth_ast__apply_40_1_41_1664[] = {1};
  meth_meth_ast__apply_40_1_41_1664->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1664);
  meth_meth_ast__apply_40_1_41_1664->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1664->definitionLine = 2984;
// compiled block node returning block1663 (depth = 5)
  gc_frame_newslot(block1663);
// call case 5: prelude request
  params[0] = call1662;
  params[1] = block1663;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1668 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1660);
// compiled call node returning call1668 (depth = 4)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1671 = gc_frame_new();
// call case 4: self request
  Object call1672 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1671);
// compiled member node returning call1672 (depth = 6)
  int op_slot_right_1670 = gc_frame_newslot(call1672);
// starting to compile identifier node (depth = 6)
  Object bool1674 = alloc_Boolean(0);
// compiled identifier node returning bool1674 (depth = 6)
  int op_slot_left_1670 = gc_frame_newslot(bool1674);
  params[0] = call1672;
  partcv[0] = 1;
  Object opresult1675 = callmethod(bool1674, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1675 (depth = 5)
  Object if1669 = done;
  if (istrue(opresult1675)) {
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1676 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1677 = gc_frame_new();
// call case 4: self request
  Object call1678 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1677);
// compiled member node returning call1678 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1679 = callmethodflags(call1678, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1676);
// compiled call node returning call1679 (depth = 5)
    gc_frame_newslot(call1679);
    if1669 = call1679;
  } else {
  }
// compiled if node returning if1669 (depth = 4)
    gc_frame_newslot(if1669);
    if1646 = if1669;
  } else {
  }
// compiled if node returning if1646 (depth = 3)
  gc_frame_end(frame);
  return if1646;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1680(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1681 = gc_frame_new();
// call case 4: self request
  Object call1682 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1681);
// compiled member node returning call1682 (depth = 4)
  *var_n = call1682;
  if (call1682 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1683 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1684 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1683);
// compiled call node returning call1684 (depth = 4)
  *var_newChain = call1684;
  if (call1684 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1685 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1686 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1687 = gc_frame_new();
// call case 4: self request
  Object call1688 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1687);
// compiled member node returning call1688 (depth = 5)
  gc_frame_newslot(call1688);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1689 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1690 = gc_frame_new();
// call case 3: self.outer request
  Object call1691 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1690);
// compiled member node returning call1691 (depth = 6)
  Object call1692 = callmethodflags(call1691, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1689);
// compiled member node returning call1692 (depth = 5)
  params[0] = call1688;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1693 = callmethodflags(call1692, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1686);
// compiled call node returning call1693 (depth = 4)
  gc_frame_newslot(call1693);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1693;
  partcv[0] = 1;
  Object call1694 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1685);
// compiled call node returning call1694 (depth = 3)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1695 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1696 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1697 = gc_frame_new();
// call case 4: self request
  Object call1698 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1697);
// compiled member node returning call1698 (depth = 5)
  gc_frame_newslot(call1698);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1699 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1700 = gc_frame_new();
// call case 3: self.outer request
  Object call1701 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1700);
// compiled member node returning call1701 (depth = 6)
  Object call1702 = callmethodflags(call1701, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1699);
// compiled member node returning call1702 (depth = 5)
  params[0] = call1698;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1703 = callmethodflags(call1702, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1696);
// compiled call node returning call1703 (depth = 4)
  gc_frame_newslot(call1703);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1703;
  partcv[0] = 1;
  Object call1704 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1695);
// compiled call node returning call1704 (depth = 3)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1705 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1706 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1707 = gc_frame_new();
// call case 4: self request
  Object call1708 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1707);
// compiled member node returning call1708 (depth = 5)
  gc_frame_newslot(call1708);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1709 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1710 = gc_frame_new();
// call case 3: self.outer request
  Object call1711 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1710);
// compiled member node returning call1711 (depth = 6)
  Object call1712 = callmethodflags(call1711, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1709);
// compiled member node returning call1712 (depth = 5)
  params[0] = call1708;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1713 = callmethodflags(call1712, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1706);
// compiled call node returning call1713 (depth = 4)
  gc_frame_newslot(call1713);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1713;
  partcv[0] = 1;
  Object call1714 = callmethodflags(*var_n, "matchingPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1705);
// compiled call node returning call1714 (depth = 3)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1715 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1716 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1715);
// compiled call node returning call1716 (depth = 3)
  gc_frame_end(frame);
  return call1716;
}
Object meth_ast__apply_40_1_41_1725(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1727 == NULL) {
    strlit1727 = alloc_String("  ");
    gc_root(strlit1727);
  }
// compiled string node returning strlit1727 (depth = 7)
  int op_slot_right_1726 = gc_frame_newslot(strlit1727);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1726 = gc_frame_newslot(*var_spc);
  params[0] = strlit1727;
  partcv[0] = 1;
  Object opresult1729 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1729 (depth = 6)
  *var_spc = opresult1729;
  if (opresult1729 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1751(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1753 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1755 = alloc_Float64(1);
// compiled num node returning num1755 (depth = 9)
  int op_slot_right_1754 = gc_frame_newslot(num1755);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1754 = gc_frame_newslot(*var_depth);
  params[0] = num1755;
  partcv[0] = 1;
  Object sum1757 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1757 (depth = 8)
  gc_frame_newslot(sum1757);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1757;
  partcv[0] = 1;
  Object call1758 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1753);
// compiled call node returning call1758 (depth = 7)
  int op_slot_right_1752 = gc_frame_newslot(call1758);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1760 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1763 == NULL) {
    strlit1763 = alloc_String("""\x0a""  ");
    gc_root(strlit1763);
  }
// compiled string node returning strlit1763 (depth = 9)
  int op_slot_right_1762 = gc_frame_newslot(strlit1763);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1762 = gc_frame_newslot(*var_s);
  params[0] = strlit1763;
  partcv[0] = 1;
  Object opresult1765 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1765 (depth = 8)
  int op_slot_left_1760 = gc_frame_newslot(opresult1765);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1766 = callmethod(opresult1765, "++(1)", 1, partcv, params);
// compiled op node returning opresult1766 (depth = 7)
  int op_slot_left_1752 = gc_frame_newslot(opresult1766);
  params[0] = call1758;
  partcv[0] = 1;
  Object opresult1767 = callmethod(opresult1766, "++(1)", 1, partcv, params);
// compiled op node returning opresult1767 (depth = 6)
  *var_s = opresult1767;
  if (opresult1767 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1788(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1790 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1792 = alloc_Float64(1);
// compiled num node returning num1792 (depth = 9)
  int op_slot_right_1791 = gc_frame_newslot(num1792);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1791 = gc_frame_newslot(*var_depth);
  params[0] = num1792;
  partcv[0] = 1;
  Object sum1794 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1794 (depth = 8)
  gc_frame_newslot(sum1794);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1794;
  partcv[0] = 1;
  Object call1795 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1790);
// compiled call node returning call1795 (depth = 7)
  int op_slot_right_1789 = gc_frame_newslot(call1795);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1797 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1800 == NULL) {
    strlit1800 = alloc_String("""\x0a""  ");
    gc_root(strlit1800);
  }
// compiled string node returning strlit1800 (depth = 9)
  int op_slot_right_1799 = gc_frame_newslot(strlit1800);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1799 = gc_frame_newslot(*var_s);
  params[0] = strlit1800;
  partcv[0] = 1;
  Object opresult1802 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1802 (depth = 8)
  int op_slot_left_1797 = gc_frame_newslot(opresult1802);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1803 = callmethod(opresult1802, "++(1)", 1, partcv, params);
// compiled op node returning opresult1803 (depth = 7)
  int op_slot_left_1789 = gc_frame_newslot(opresult1803);
  params[0] = call1795;
  partcv[0] = 1;
  Object opresult1804 = callmethod(opresult1803, "++(1)", 1, partcv, params);
// compiled op node returning opresult1804 (depth = 6)
  *var_s = opresult1804;
  if (opresult1804 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_1717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1718 == NULL) {
    strlit1718 = alloc_String("");
    gc_root(strlit1718);
  }
// compiled string node returning strlit1718 (depth = 4)
  *var_spc = strlit1718;
  if (strlit1718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1719 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_1720 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num1722 = alloc_Float64(0);
// compiled num node returning num1722 (depth = 5)
  int op_slot_left_1720 = gc_frame_newslot(num1722);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1723 = callmethod(num1722, "..(1)", 1, partcv, params);
// compiled op node returning opresult1723 (depth = 4)
  gc_frame_newslot(opresult1723);
// starting to compile block node (depth = 4)
  Object block1724 = alloc_Block(NULL, NULL, "ast", 389);
  gc_frame_newslot(block1724);
// method "_apply(_)"
  block_savedest(block1724);
  Object closure1725 = createclosure(2, "_apply(1)");
  setclosureframe(closure1725, stackframe);
  addtoclosure(closure1725, var_spc);
  addtoclosure(closure1725, selfslot);
  struct UserObject *uo1725 = (struct UserObject*)block1724;
  uo1725->data[0] = (Object)closure1725;
  Method *meth_meth_ast__apply_40_1_41_1725 = addmethod2pos(block1724, "_apply(1)", &meth_ast__apply_40_1_41_1725, 0);
  int argcv_meth_ast__apply_40_1_41_1725[] = {1};
  meth_meth_ast__apply_40_1_41_1725->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1725);
  meth_meth_ast__apply_40_1_41_1725->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1725->definitionLine = 2984;
// compiled block node returning block1724 (depth = 4)
  gc_frame_newslot(block1724);
// call case 5: prelude request
  params[0] = opresult1723;
  params[1] = block1724;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1732 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1719);
// compiled call node returning call1732 (depth = 3)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1734 == NULL) {
    strlit1734 = alloc_String("""\x0a""");
    gc_root(strlit1734);
  }
// compiled string node returning strlit1734 (depth = 5)
  int op_slot_right_1733 = gc_frame_newslot(strlit1734);
// starting to compile call node (depth = 5)
  int callframe1736 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1737 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1736);
// compiled call node returning call1737 (depth = 5)
  int op_slot_left_1733 = gc_frame_newslot(call1737);
  params[0] = strlit1734;
  partcv[0] = 1;
  Object opresult1738 = callmethod(call1737, "++(1)", 1, partcv, params);
// compiled op node returning opresult1738 (depth = 4)
  *var_s = opresult1738;
  if (opresult1738 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1740 == NULL) {
    strlit1740 = alloc_String("Parameters:");
    gc_root(strlit1740);
  }
// compiled string node returning strlit1740 (depth = 5)
  int op_slot_right_1739 = gc_frame_newslot(strlit1740);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1742 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1742 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1744 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1744 (depth = 5)
  int op_slot_left_1739 = gc_frame_newslot(opresult1744);
  params[0] = strlit1740;
  partcv[0] = 1;
  Object opresult1745 = callmethod(opresult1744, "++(1)", 1, partcv, params);
// compiled op node returning opresult1745 (depth = 4)
  *var_s = opresult1745;
  if (opresult1745 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1747 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1748 = gc_frame_new();
// call case 4: self request
  Object call1749 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1748);
// compiled member node returning call1749 (depth = 4)
  gc_frame_newslot(call1749);
// starting to compile block node (depth = 4)
  Object block1750 = alloc_Block(NULL, NULL, "ast", 394);
  gc_frame_newslot(block1750);
// method "_apply(_)"
  block_savedest(block1750);
  Object closure1751 = createclosure(4, "_apply(1)");
  setclosureframe(closure1751, stackframe);
  addtoclosure(closure1751, var_depth);
  addtoclosure(closure1751, var_spc);
  addtoclosure(closure1751, var_s);
  addtoclosure(closure1751, selfslot);
  struct UserObject *uo1751 = (struct UserObject*)block1750;
  uo1751->data[0] = (Object)closure1751;
  Method *meth_meth_ast__apply_40_1_41_1751 = addmethod2pos(block1750, "_apply(1)", &meth_ast__apply_40_1_41_1751, 0);
  int argcv_meth_ast__apply_40_1_41_1751[] = {1};
  meth_meth_ast__apply_40_1_41_1751->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1751);
  meth_meth_ast__apply_40_1_41_1751->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1751->definitionLine = 2984;
// compiled block node returning block1750 (depth = 4)
  gc_frame_newslot(block1750);
// call case 5: prelude request
  params[0] = call1749;
  params[1] = block1750;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1770 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1747);
// compiled call node returning call1770 (depth = 3)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1772 == NULL) {
    strlit1772 = alloc_String("""\x0a""");
    gc_root(strlit1772);
  }
// compiled string node returning strlit1772 (depth = 5)
  int op_slot_right_1771 = gc_frame_newslot(strlit1772);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1771 = gc_frame_newslot(*var_s);
  params[0] = strlit1772;
  partcv[0] = 1;
  Object opresult1774 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1774 (depth = 4)
  *var_s = opresult1774;
  if (opresult1774 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1777 == NULL) {
    strlit1777 = alloc_String("Body:");
    gc_root(strlit1777);
  }
// compiled string node returning strlit1777 (depth = 5)
  int op_slot_right_1776 = gc_frame_newslot(strlit1777);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1779 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1779 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1781 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1781 (depth = 5)
  int op_slot_left_1776 = gc_frame_newslot(opresult1781);
  params[0] = strlit1777;
  partcv[0] = 1;
  Object opresult1782 = callmethod(opresult1781, "++(1)", 1, partcv, params);
// compiled op node returning opresult1782 (depth = 4)
  *var_s = opresult1782;
  if (opresult1782 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1784 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1785 = gc_frame_new();
// call case 4: self request
  Object call1786 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1785);
// compiled member node returning call1786 (depth = 4)
  gc_frame_newslot(call1786);
// starting to compile block node (depth = 4)
  Object block1787 = alloc_Block(NULL, NULL, "ast", 399);
  gc_frame_newslot(block1787);
// method "_apply(_)"
  block_savedest(block1787);
  Object closure1788 = createclosure(4, "_apply(1)");
  setclosureframe(closure1788, stackframe);
  addtoclosure(closure1788, var_depth);
  addtoclosure(closure1788, var_spc);
  addtoclosure(closure1788, var_s);
  addtoclosure(closure1788, selfslot);
  struct UserObject *uo1788 = (struct UserObject*)block1787;
  uo1788->data[0] = (Object)closure1788;
  Method *meth_meth_ast__apply_40_1_41_1788 = addmethod2pos(block1787, "_apply(1)", &meth_ast__apply_40_1_41_1788, 0);
  int argcv_meth_ast__apply_40_1_41_1788[] = {1};
  meth_meth_ast__apply_40_1_41_1788->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1788);
  meth_meth_ast__apply_40_1_41_1788->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1788->definitionLine = 2984;
// compiled block node returning block1787 (depth = 4)
  gc_frame_newslot(block1787);
// call case 5: prelude request
  params[0] = call1786;
  params[1] = block1787;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1807 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1784);
// compiled call node returning call1807 (depth = 3)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1810 = gc_frame_new();
// call case 4: self request
  Object call1811 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1810);
// compiled member node returning call1811 (depth = 5)
  int op_slot_right_1809 = gc_frame_newslot(call1811);
// starting to compile identifier node (depth = 5)
  Object bool1813 = alloc_Boolean(0);
// compiled identifier node returning bool1813 (depth = 5)
  int op_slot_left_1809 = gc_frame_newslot(bool1813);
  params[0] = call1811;
  partcv[0] = 1;
  Object opresult1814 = callmethod(bool1813, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1814 (depth = 4)
  Object if1808 = done;
  if (istrue(opresult1814)) {
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1816 == NULL) {
    strlit1816 = alloc_String("""\x0a""");
    gc_root(strlit1816);
  }
// compiled string node returning strlit1816 (depth = 6)
  int op_slot_right_1815 = gc_frame_newslot(strlit1816);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1815 = gc_frame_newslot(*var_s);
  params[0] = strlit1816;
  partcv[0] = 1;
  Object opresult1818 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1818 (depth = 5)
  *var_s = opresult1818;
  if (opresult1818 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1821 == NULL) {
    strlit1821 = alloc_String("Pattern:");
    gc_root(strlit1821);
  }
// compiled string node returning strlit1821 (depth = 6)
  int op_slot_right_1820 = gc_frame_newslot(strlit1821);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1823 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1823 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1825 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 6)
  int op_slot_left_1820 = gc_frame_newslot(opresult1825);
  params[0] = strlit1821;
  partcv[0] = 1;
  Object opresult1826 = callmethod(opresult1825, "++(1)", 1, partcv, params);
// compiled op node returning opresult1826 (depth = 5)
  *var_s = opresult1826;
  if (opresult1826 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1829 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1831 = alloc_Float64(1);
// compiled num node returning num1831 (depth = 8)
  int op_slot_right_1830 = gc_frame_newslot(num1831);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_1830 = gc_frame_newslot(*var_depth);
  params[0] = num1831;
  partcv[0] = 1;
  Object sum1833 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1833 (depth = 7)
  gc_frame_newslot(sum1833);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1834 = gc_frame_new();
// call case 4: self request
  Object call1835 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1834);
// compiled member node returning call1835 (depth = 7)
  params[0] = sum1833;
  partcv[0] = 1;
  Object call1836 = callmethodflags(call1835, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1829);
// compiled call node returning call1836 (depth = 6)
  int op_slot_right_1828 = gc_frame_newslot(call1836);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1838 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1841 == NULL) {
    strlit1841 = alloc_String("""\x0a""  ");
    gc_root(strlit1841);
  }
// compiled string node returning strlit1841 (depth = 8)
  int op_slot_right_1840 = gc_frame_newslot(strlit1841);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1840 = gc_frame_newslot(*var_s);
  params[0] = strlit1841;
  partcv[0] = 1;
  Object opresult1843 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1843 (depth = 7)
  int op_slot_left_1838 = gc_frame_newslot(opresult1843);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1844 = callmethod(opresult1843, "++(1)", 1, partcv, params);
// compiled op node returning opresult1844 (depth = 6)
  int op_slot_left_1828 = gc_frame_newslot(opresult1844);
  params[0] = call1836;
  partcv[0] = 1;
  Object opresult1845 = callmethod(opresult1844, "++(1)", 1, partcv, params);
// compiled op node returning opresult1845 (depth = 5)
  *var_s = opresult1845;
  if (opresult1845 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1808 = done;
  } else {
  }
// compiled if node returning if1808 (depth = 3)
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1851(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1853 == NULL) {
    strlit1853 = alloc_String("    ");
    gc_root(strlit1853);
  }
// compiled string node returning strlit1853 (depth = 7)
  int op_slot_right_1852 = gc_frame_newslot(strlit1853);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1852 = gc_frame_newslot(*var_spc);
  params[0] = strlit1853;
  partcv[0] = 1;
  Object opresult1855 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1855 (depth = 6)
  *var_spc = opresult1855;
  if (opresult1855 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1880(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1881 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1882 = gc_frame_new();
// call case 4: self request
  Object call1883 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1882);
// compiled member node returning call1883 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1884 = callmethodflags(call1883, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1881);
// compiled call node returning call1884 (depth = 7)
  *var_p = call1884;
  if (call1884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1887 = gc_frame_new();
// call case 4: self request
  Object call1888 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1887);
// compiled member node returning call1888 (depth = 8)
  int op_slot_right_1886 = gc_frame_newslot(call1888);
// starting to compile identifier node (depth = 8)
  Object bool1890 = alloc_Boolean(0);
// compiled identifier node returning bool1890 (depth = 8)
  int op_slot_left_1886 = gc_frame_newslot(bool1890);
  params[0] = call1888;
  partcv[0] = 1;
  Object opresult1891 = callmethod(bool1890, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1891 (depth = 7)
  Object if1885 = done;
  if (istrue(opresult1891)) {
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1893 == NULL) {
    strlit1893 = alloc_String(")");
    gc_root(strlit1893);
  }
// compiled string node returning strlit1893 (depth = 9)
  int op_slot_right_1892 = gc_frame_newslot(strlit1893);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1896 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num1897 = alloc_Float64(0);
// compiled num node returning num1897 (depth = 11)
  gc_frame_newslot(num1897);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = num1897;
  partcv[0] = 1;
  Object call1898 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1896);
// compiled call node returning call1898 (depth = 10)
  int op_slot_right_1895 = gc_frame_newslot(call1898);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1901 == NULL) {
    strlit1901 = alloc_String("(");
    gc_root(strlit1901);
  }
// compiled string node returning strlit1901 (depth = 11)
  int op_slot_right_1900 = gc_frame_newslot(strlit1901);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1900 = gc_frame_newslot(*var_s);
  params[0] = strlit1901;
  partcv[0] = 1;
  Object opresult1903 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1903 (depth = 10)
  int op_slot_left_1895 = gc_frame_newslot(opresult1903);
  params[0] = call1898;
  partcv[0] = 1;
  Object opresult1904 = callmethod(opresult1903, "++(1)", 1, partcv, params);
// compiled op node returning opresult1904 (depth = 9)
  int op_slot_left_1892 = gc_frame_newslot(opresult1904);
  params[0] = strlit1893;
  partcv[0] = 1;
  Object opresult1905 = callmethod(opresult1904, "++(1)", 1, partcv, params);
// compiled op node returning opresult1905 (depth = 8)
  *var_s = opresult1905;
  if (opresult1905 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1885 = done;
  } else {
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1908 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1909 = alloc_Float64(0);
// compiled num node returning num1909 (depth = 10)
  gc_frame_newslot(num1909);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  params[0] = num1909;
  partcv[0] = 1;
  Object call1910 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1908);
// compiled call node returning call1910 (depth = 9)
  int op_slot_right_1907 = gc_frame_newslot(call1910);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1907 = gc_frame_newslot(*var_s);
  params[0] = call1910;
  partcv[0] = 1;
  Object opresult1912 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1912 (depth = 8)
  *var_s = opresult1912;
  if (opresult1912 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1885 = done;
  }
// compiled if node returning if1885 (depth = 6)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1916 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1917 = gc_frame_new();
// call case 4: self request
  Object call1918 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1917);
// compiled member node returning call1918 (depth = 9)
  Object call1919 = callmethodflags(call1918, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1916);
// compiled member node returning call1919 (depth = 8)
  int op_slot_right_1915 = gc_frame_newslot(call1919);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_1915 = gc_frame_newslot(*var_i);
  params[0] = call1919;
  partcv[0] = 1;
  Object opresult1921 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1921 (depth = 7)
  Object if1914 = done;
  if (istrue(opresult1921)) {
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1923 == NULL) {
    strlit1923 = alloc_String(", ");
    gc_root(strlit1923);
  }
// compiled string node returning strlit1923 (depth = 9)
  int op_slot_right_1922 = gc_frame_newslot(strlit1923);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1922 = gc_frame_newslot(*var_s);
  params[0] = strlit1923;
  partcv[0] = 1;
  Object opresult1925 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1925 (depth = 8)
  *var_s = opresult1925;
  if (opresult1925 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1914 = done;
  } else {
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1928 == NULL) {
    strlit1928 = alloc_String(" ""\xe2""""\x86""""\x92""");
    gc_root(strlit1928);
  }
// compiled string node returning strlit1928 (depth = 9)
  int op_slot_right_1927 = gc_frame_newslot(strlit1928);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1927 = gc_frame_newslot(*var_s);
  params[0] = strlit1928;
  partcv[0] = 1;
  Object opresult1930 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1930 (depth = 8)
  *var_s = opresult1930;
  if (opresult1930 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1914 = done;
  }
// compiled if node returning if1914 (depth = 6)
  gc_frame_end(frame);
  return if1914;
}
Object meth_ast__apply_40_1_41_1938(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1940 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1942 = alloc_Float64(1);
// compiled num node returning num1942 (depth = 9)
  int op_slot_right_1941 = gc_frame_newslot(num1942);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1941 = gc_frame_newslot(*var_depth);
  params[0] = num1942;
  partcv[0] = 1;
  Object sum1944 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1944 (depth = 8)
  gc_frame_newslot(sum1944);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1944;
  partcv[0] = 1;
  Object call1945 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1940);
// compiled call node returning call1945 (depth = 7)
  int op_slot_right_1939 = gc_frame_newslot(call1945);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1947 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1950 == NULL) {
    strlit1950 = alloc_String("""\x0a""");
    gc_root(strlit1950);
  }
// compiled string node returning strlit1950 (depth = 9)
  int op_slot_right_1949 = gc_frame_newslot(strlit1950);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1949 = gc_frame_newslot(*var_s);
  params[0] = strlit1950;
  partcv[0] = 1;
  Object opresult1952 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1952 (depth = 8)
  int op_slot_left_1947 = gc_frame_newslot(opresult1952);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1953 = callmethod(opresult1952, "++(1)", 1, partcv, params);
// compiled op node returning opresult1953 (depth = 7)
  int op_slot_left_1939 = gc_frame_newslot(opresult1953);
  params[0] = call1945;
  partcv[0] = 1;
  Object opresult1954 = callmethod(opresult1953, "++(1)", 1, partcv, params);
// compiled op node returning opresult1954 (depth = 6)
  *var_s = opresult1954;
  if (opresult1954 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1969(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1971 == NULL) {
    strlit1971 = alloc_String("    ");
    gc_root(strlit1971);
  }
// compiled string node returning strlit1971 (depth = 7)
  int op_slot_right_1970 = gc_frame_newslot(strlit1971);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1970 = gc_frame_newslot(*var_s);
  params[0] = strlit1971;
  partcv[0] = 1;
  Object opresult1973 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1973 (depth = 6)
  *var_s = opresult1973;
  if (opresult1973 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_1847(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1848 == NULL) {
    strlit1848 = alloc_String("");
    gc_root(strlit1848);
  }
// compiled string node returning strlit1848 (depth = 4)
  *var_spc = strlit1848;
  if (strlit1848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1849 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block1850 = alloc_Block(NULL, NULL, "ast", 411);
  gc_frame_newslot(block1850);
// method "_apply"
  block_savedest(block1850);
  Object closure1851 = createclosure(2, "_apply");
  setclosureframe(closure1851, stackframe);
  addtoclosure(closure1851, var_spc);
  addtoclosure(closure1851, selfslot);
  struct UserObject *uo1851 = (struct UserObject*)block1850;
  uo1851->data[0] = (Object)closure1851;
  Method *meth_meth_ast__apply1851 = addmethod2pos(block1850, "_apply", &meth_ast__apply1851, 0);
  int argcv_meth_ast__apply1851[] = {0};
  meth_meth_ast__apply1851->type = alloc_MethodType(1, argcv_meth_ast__apply1851);
  meth_meth_ast__apply1851->definitionModule = modulename;
  meth_meth_ast__apply1851->definitionLine = 2984;
// compiled block node returning block1850 (depth = 4)
  gc_frame_newslot(block1850);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block1850;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1858 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1849);
// compiled call node returning call1858 (depth = 3)
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1859 == NULL) {
    strlit1859 = alloc_String("{");
    gc_root(strlit1859);
  }
// compiled string node returning strlit1859 (depth = 4)
  *var_s = strlit1859;
  if (strlit1859 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1862 = alloc_Float64(0);
// compiled num node returning num1862 (depth = 5)
  int op_slot_right_1861 = gc_frame_newslot(num1862);
// starting to compile member node (depth = 5)
  int callframe1864 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1865 = gc_frame_new();
// call case 4: self request
  Object call1866 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1865);
// compiled member node returning call1866 (depth = 6)
  Object call1867 = callmethodflags(call1866, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1864);
// compiled member node returning call1867 (depth = 5)
  int op_slot_left_1861 = gc_frame_newslot(call1867);
  params[0] = num1862;
  partcv[0] = 1;
  Object opresult1868 = callmethod(call1867, ">(1)", 1, partcv, params);
// compiled op node returning opresult1868 (depth = 4)
  Object if1860 = done;
  if (istrue(opresult1868)) {
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1870 == NULL) {
    strlit1870 = alloc_String(" ");
    gc_root(strlit1870);
  }
// compiled string node returning strlit1870 (depth = 6)
  int op_slot_right_1869 = gc_frame_newslot(strlit1870);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1869 = gc_frame_newslot(*var_s);
  params[0] = strlit1870;
  partcv[0] = 1;
  Object opresult1872 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1872 (depth = 5)
  *var_s = opresult1872;
  if (opresult1872 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1874 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1875 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1876 = gc_frame_new();
// call case 4: self request
  Object call1877 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1876);
// compiled member node returning call1877 (depth = 6)
  Object call1878 = callmethodflags(call1877, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe1875);
// compiled member node returning call1878 (depth = 5)
  gc_frame_newslot(call1878);
// starting to compile block node (depth = 5)
  Object block1879 = alloc_Block(NULL, NULL, "ast", 417);
  gc_frame_newslot(block1879);
// method "_apply(_)"
  block_savedest(block1879);
  Object closure1880 = createclosure(2, "_apply(1)");
  setclosureframe(closure1880, stackframe);
  addtoclosure(closure1880, var_s);
  addtoclosure(closure1880, selfslot);
  struct UserObject *uo1880 = (struct UserObject*)block1879;
  uo1880->data[0] = (Object)closure1880;
  Method *meth_meth_ast__apply_40_1_41_1880 = addmethod2pos(block1879, "_apply(1)", &meth_ast__apply_40_1_41_1880, 0);
  int argcv_meth_ast__apply_40_1_41_1880[] = {1};
  meth_meth_ast__apply_40_1_41_1880->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1880);
  meth_meth_ast__apply_40_1_41_1880->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1880->definitionLine = 2984;
// compiled block node returning block1879 (depth = 5)
  gc_frame_newslot(block1879);
// call case 5: prelude request
  params[0] = call1878;
  params[1] = block1879;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1933 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1874);
// compiled call node returning call1933 (depth = 4)
    gc_frame_newslot(call1933);
    if1860 = call1933;
  } else {
  }
// compiled if node returning if1860 (depth = 3)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1934 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1935 = gc_frame_new();
// call case 4: self request
  Object call1936 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1935);
// compiled member node returning call1936 (depth = 4)
  gc_frame_newslot(call1936);
// starting to compile block node (depth = 4)
  Object block1937 = alloc_Block(NULL, NULL, "ast", 431);
  gc_frame_newslot(block1937);
// method "_apply(_)"
  block_savedest(block1937);
  Object closure1938 = createclosure(4, "_apply(1)");
  setclosureframe(closure1938, stackframe);
  addtoclosure(closure1938, var_depth);
  addtoclosure(closure1938, var_spc);
  addtoclosure(closure1938, var_s);
  addtoclosure(closure1938, selfslot);
  struct UserObject *uo1938 = (struct UserObject*)block1937;
  uo1938->data[0] = (Object)closure1938;
  Method *meth_meth_ast__apply_40_1_41_1938 = addmethod2pos(block1937, "_apply(1)", &meth_ast__apply_40_1_41_1938, 0);
  int argcv_meth_ast__apply_40_1_41_1938[] = {1};
  meth_meth_ast__apply_40_1_41_1938->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1938);
  meth_meth_ast__apply_40_1_41_1938->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1938->definitionLine = 2984;
// compiled block node returning block1937 (depth = 4)
  gc_frame_newslot(block1937);
// call case 5: prelude request
  params[0] = call1936;
  params[1] = block1937;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1957 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1934);
// compiled call node returning call1957 (depth = 3)
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1959 == NULL) {
    strlit1959 = alloc_String("""\x0a""");
    gc_root(strlit1959);
  }
// compiled string node returning strlit1959 (depth = 5)
  int op_slot_right_1958 = gc_frame_newslot(strlit1959);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1958 = gc_frame_newslot(*var_s);
  params[0] = strlit1959;
  partcv[0] = 1;
  Object opresult1961 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1961 (depth = 4)
  *var_s = opresult1961;
  if (opresult1961 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1963 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1965 = alloc_Float64(1);
// compiled num node returning num1965 (depth = 5)
  int op_slot_right_1964 = gc_frame_newslot(num1965);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_1964 = gc_frame_newslot(*var_depth);
  params[0] = num1965;
  partcv[0] = 1;
  Object diff1967 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff1967 (depth = 4)
  gc_frame_newslot(diff1967);
// starting to compile block node (depth = 4)
  Object block1968 = alloc_Block(NULL, NULL, "ast", 435);
  gc_frame_newslot(block1968);
// method "_apply"
  block_savedest(block1968);
  Object closure1969 = createclosure(2, "_apply");
  setclosureframe(closure1969, stackframe);
  addtoclosure(closure1969, var_s);
  addtoclosure(closure1969, selfslot);
  struct UserObject *uo1969 = (struct UserObject*)block1968;
  uo1969->data[0] = (Object)closure1969;
  Method *meth_meth_ast__apply1969 = addmethod2pos(block1968, "_apply", &meth_ast__apply1969, 0);
  int argcv_meth_ast__apply1969[] = {0};
  meth_meth_ast__apply1969->type = alloc_MethodType(1, argcv_meth_ast__apply1969);
  meth_meth_ast__apply1969->definitionModule = modulename;
  meth_meth_ast__apply1969->definitionLine = 2984;
// compiled block node returning block1968 (depth = 4)
  gc_frame_newslot(block1968);
// call case 5: prelude request
  params[0] = diff1967;
  params[1] = block1968;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1976 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1963);
// compiled call node returning call1976 (depth = 3)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1978 == NULL) {
    strlit1978 = alloc_String("}");
    gc_root(strlit1978);
  }
// compiled string node returning strlit1978 (depth = 4)
  int op_slot_right_1977 = gc_frame_newslot(strlit1978);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_1977 = gc_frame_newslot(*var_s);
  params[0] = strlit1978;
  partcv[0] = 1;
  Object opresult1980 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1980 (depth = 3)
  gc_frame_end(frame);
  return opresult1980;
}
Object meth_ast_shallowCopy1981(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1982 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1983 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1984 = gc_frame_new();
// call case 4: self request
  Object call1985 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1984);
// compiled member node returning call1985 (depth = 5)
  gc_frame_newslot(call1985);
// starting to compile member node (depth = 5)
  int callframe1986 = gc_frame_new();
// call case 4: self request
  Object call1987 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1986);
// compiled member node returning call1987 (depth = 5)
  gc_frame_newslot(call1987);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blockNode (depth = 5)
  params[0] = call1985;
  params[1] = call1987;
  partcv[0] = 2;
  Object call1988 = callmethodflags(*var_blockNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1983);
// compiled call node returning call1988 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1989 = callmethodflags(call1988, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1982);
// compiled call node returning call1989 (depth = 3)
  gc_frame_end(frame);
  return call1989;
}
Object meth_ast_postCopy_40_1_41_1990(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1991 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1992 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1993 = callmethodflags(*var_other, "matchingPattern", 0, partcv, params, 0);
  gc_frame_end(callframe1992);
// compiled member node returning call1993 (depth = 4)
  gc_frame_newslot(call1993);
// call case 4: self request
  params[0] = call1993;
  partcv[0] = 1;
  Object call1994 = callmethodflags(self, "matchingPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1991);
// compiled call node returning call1994 (depth = 3)
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1995 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1996 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1997 = callmethodflags(*var_other, "extraRuntimeData", 0, partcv, params, 0);
  gc_frame_end(callframe1996);
// compiled member node returning call1997 (depth = 4)
  gc_frame_newslot(call1997);
// call case 4: self request
  params[0] = call1997;
  partcv[0] = 1;
  Object call1998 = callmethodflags(self, "extraRuntimeData:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1995);
// compiled call node returning call1998 (depth = 3)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_1_41_2012(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2013 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_patternMarkVisitor (depth = 6)
  gc_frame_newslot(*var_patternMarkVisitor);
// starting to compile call node (depth = 6)
  int callframe2014 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ancestorChain (depth = 7)
  params[0] = self;
  partcv[0] = 1;
  Object call2015 = callmethodflags(*var_ancestorChain, "with(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2014);
// compiled call node returning call2015 (depth = 6)
  gc_frame_newslot(call2015);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  params[0] = *var_patternMarkVisitor;
  params[1] = call2015;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2016 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2013);
// compiled call node returning call2016 (depth = 5)
  gc_frame_end(frame);
  return call2016;
}
Object meth_ast_new_40_2_41_1563(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1564 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1564 = alloc_userobj2(28,25, objclass1564);
  gc_frame_newslot(obj1564);
if (objclass1564 == NULL) {
  glfree(obj1564->class->name);
  obj1564->class->name = "blockNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1564, self, 0);
  addmethodreal(obj1564,"outer", &reader_ast_outer_1565);
  Object oldself1564 = self;
  struct StackFrameObject *oldstackframe1564 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1564);
  gc_frame_newslot((Object)stackframe);
  self = obj1564;
  Object *oldselfslot1564 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1564 = (*(struct UserObject *)self).data[0], lowerouter1564 = thisouter1564;
  if (inheritingObject1564) {
    struct UserObject *inho1564 = (struct UserObject *)inheritingObject1564;
    while (inho1564->super != GraceDefaultObject) inho1564 = (struct UserObject *)inho1564->super;
    inho1564->super = obj1564;
    self = inheritingObject1564;
    *selfslot = self;
    lowerouter1564 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1564;
  }
if (objclass1564 == NULL) {
  Method *reader1566 = addmethodrealflags(obj1564, "kind",&reader_ast_kind_1566, MFLAG_DEF);
  reader1566->definitionModule = modulename;
  reader1566->definitionLine = 333;
}
adddatum2(obj1564, alloc_Undefined(), 1);
if (objclass1564 == NULL) {
  Method *reader1567 = addmethodrealflags(obj1564, "value",&reader_ast_value_1567, MFLAG_DEF);
  reader1567->definitionModule = modulename;
  reader1567->definitionLine = 334;
}
adddatum2(obj1564, alloc_Undefined(), 2);
if (objclass1564 == NULL) {
  Method *reader1568 = addmethodrealflags(obj1564, "params", &reader_ast_params_1568, 0);
  Method *writer1568 = addmethodrealflags(obj1564, "params:=(1)", &writer_ast_params_1568, 0);
  reader1568->definitionModule = modulename;
  writer1568->definitionModule = modulename;
  reader1568->definitionLine = 335;
  writer1568->definitionLine = 335;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 3);
if (objclass1564 == NULL) {
  Method *reader1569 = addmethodrealflags(obj1564, "body", &reader_ast_body_1569, 0);
  Method *writer1569 = addmethodrealflags(obj1564, "body:=(1)", &writer_ast_body_1569, 0);
  reader1569->definitionModule = modulename;
  writer1569->definitionModule = modulename;
  reader1569->definitionLine = 336;
  writer1569->definitionLine = 336;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 4);
if (objclass1564 == NULL) {
  Method *reader1570 = addmethodrealflags(obj1564, "selfclosure",&reader_ast_selfclosure_1570, MFLAG_DEF);
  reader1570->definitionModule = modulename;
  reader1570->definitionLine = 337;
}
adddatum2(obj1564, alloc_Undefined(), 5);
if (objclass1564 == NULL) {
  Method *reader1571 = addmethodrealflags(obj1564, "matchingPattern", &reader_ast_matchingPattern_1571, 0);
  Method *writer1571 = addmethodrealflags(obj1564, "matchingPattern:=(1)", &writer_ast_matchingPattern_1571, 0);
  reader1571->definitionModule = modulename;
  writer1571->definitionModule = modulename;
  reader1571->definitionLine = 338;
  writer1571->definitionLine = 338;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 6);
if (objclass1564 == NULL) {
  Method *reader1572 = addmethodrealflags(obj1564, "extraRuntimeData", &reader_ast_extraRuntimeData_1572, 0);
  Method *writer1572 = addmethodrealflags(obj1564, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1572, 0);
  reader1572->definitionModule = modulename;
  writer1572->definitionModule = modulename;
  reader1572->definitionLine = 339;
  writer1572->definitionLine = 339;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1573 = (struct UserObject*)obj1564;
  uo1573->data[8] = emptyclosure;
  Method *meth_meth_ast_isBlock1573 = addmethod2pos(obj1564, "isBlock", &meth_ast_isBlock1573, 8);
  int argcv_meth_ast_isBlock1573[] = {0};
  meth_meth_ast_isBlock1573->type = alloc_MethodType(1, argcv_meth_ast_isBlock1573);
  meth_meth_ast_isBlock1573->definitionModule = modulename;
  meth_meth_ast_isBlock1573->definitionLine = 343;
// method "isDelimited"
  struct UserObject *uo1575 = (struct UserObject*)obj1564;
  uo1575->data[9] = emptyclosure;
  Method *meth_meth_ast_isDelimited1575 = addmethod2pos(obj1564, "isDelimited", &meth_ast_isDelimited1575, 9);
  int argcv_meth_ast_isDelimited1575[] = {0};
  meth_meth_ast_isDelimited1575->type = alloc_MethodType(1, argcv_meth_ast_isDelimited1575);
  meth_meth_ast_isDelimited1575->definitionModule = modulename;
  meth_meth_ast_isDelimited1575->definitionLine = 344;
// method "isEmpty"
  struct UserObject *uo1577 = (struct UserObject*)obj1564;
  uo1577->data[10] = emptyclosure;
  Method *meth_meth_ast_isEmpty1577 = addmethod2pos(obj1564, "isEmpty", &meth_ast_isEmpty1577, 10);
  int argcv_meth_ast_isEmpty1577[] = {0};
  meth_meth_ast_isEmpty1577->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1577);
  meth_meth_ast_isEmpty1577->definitionModule = modulename;
  meth_meth_ast_isEmpty1577->definitionLine = 345;
// method "isntEmpty"
  struct UserObject *uo1586 = (struct UserObject*)obj1564;
  uo1586->data[11] = emptyclosure;
  Method *meth_meth_ast_isntEmpty1586 = addmethod2pos(obj1564, "isntEmpty", &meth_ast_isntEmpty1586, 11);
  int argcv_meth_ast_isntEmpty1586[] = {0};
  meth_meth_ast_isntEmpty1586->type = alloc_MethodType(1, argcv_meth_ast_isntEmpty1586);
  meth_meth_ast_isntEmpty1586->definitionModule = modulename;
  meth_meth_ast_isntEmpty1586->definitionLine = 346;
// method "scope:=(_)"
  struct UserObject *uo1595 = (struct UserObject*)obj1564;
  uo1595->data[12] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_1595 = addmethod2pos(obj1564, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_1595, 12);
  int argcv_meth_ast_scope_58__61__40_1_41_1595[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_1595->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_1595);
  meth_meth_ast_scope_58__61__40_1_41_1595->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_1595->definitionLine = 347;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1564);
  Object closure1600 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1600, stackframe);
  addtoclosure(closure1600, var_k);
  struct UserObject *uo1600 = (struct UserObject*)obj1564;
  uo1600->data[13] = (Object)closure1600;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_1600 = addmethod2pos(obj1564, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_1600, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_1600[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_1600);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->definitionLine = 353;
// method "isMatchingBlock"
  struct UserObject *uo1603 = (struct UserObject*)obj1564;
  uo1603->data[14] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1603 = addmethod2pos(obj1564, "isMatchingBlock", &meth_ast_isMatchingBlock1603, 14);
  int argcv_meth_ast_isMatchingBlock1603[] = {0};
  meth_meth_ast_isMatchingBlock1603->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1603);
  meth_meth_ast_isMatchingBlock1603->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1603->definitionLine = 354;
// method "returnsObject"
  struct UserObject *uo1612 = (struct UserObject*)obj1564;
  uo1612->data[15] = emptyclosure;
  Method *meth_meth_ast_returnsObject1612 = addmethod2pos(obj1564, "returnsObject", &meth_ast_returnsObject1612, 15);
  int argcv_meth_ast_returnsObject1612[] = {0};
  meth_meth_ast_returnsObject1612->type = alloc_MethodType(1, argcv_meth_ast_returnsObject1612);
  meth_meth_ast_returnsObject1612->definitionModule = modulename;
  meth_meth_ast_returnsObject1612->definitionLine = 355;
// method "returnedObjectScope"
  struct UserObject *uo1633 = (struct UserObject*)obj1564;
  uo1633->data[16] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope1633 = addmethod2pos(obj1564, "returnedObjectScope", &meth_ast_returnedObjectScope1633, 16);
  int argcv_meth_ast_returnedObjectScope1633[] = {0};
  meth_meth_ast_returnedObjectScope1633->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope1633);
  meth_meth_ast_returnedObjectScope1633->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope1633->definitionLine = 358;
// method "parametersDo(_)"
  struct UserObject *uo1640 = (struct UserObject*)obj1564;
  uo1640->data[17] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_1640 = addmethod2pos(obj1564, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_1640, 17);
  int argcv_meth_ast_parametersDo_40_1_41_1640[] = {1};
  meth_meth_ast_parametersDo_40_1_41_1640->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_1640);
  meth_meth_ast_parametersDo_40_1_41_1640->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_1640->definitionLine = 362;
// method "accept(_)from(_)"
  struct UserObject *uo1645 = (struct UserObject*)obj1564;
  uo1645->data[18] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1645 = addmethod2pos(obj1564, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1645, 18);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1645[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1645);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->definitionLine = 365;
// method "map(_)ancestors(_)"
  struct UserObject *uo1680 = (struct UserObject*)obj1564;
  uo1680->data[19] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680 = addmethod2pos(obj1564, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1680, 19);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1680[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1680);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->definitionLine = 379;
// method "pretty(_)"
  struct UserObject *uo1717 = (struct UserObject*)obj1564;
  uo1717->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1717 = addmethod2pos(obj1564, "pretty(1)", &meth_ast_pretty_40_1_41_1717, 20);
  int argcv_meth_ast_pretty_40_1_41_1717[] = {1};
  meth_meth_ast_pretty_40_1_41_1717->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1717);
  meth_meth_ast_pretty_40_1_41_1717->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1717->definitionLine = 387;
// method "toGrace(_)"
  struct UserObject *uo1847 = (struct UserObject*)obj1564;
  uo1847->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1847 = addmethod2pos(obj1564, "toGrace(1)", &meth_ast_toGrace_40_1_41_1847, 21);
  int argcv_meth_ast_toGrace_40_1_41_1847[] = {1};
  meth_meth_ast_toGrace_40_1_41_1847->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1847);
meth_meth_ast_toGrace_40_1_41_1847->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1847->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1847->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1847->definitionLine = 409;
// method "shallowCopy"
  block_savedest(obj1564);
  Object closure1981 = createclosure(1, "shallowCopy");
  setclosureframe(closure1981, stackframe);
  addtoclosure(closure1981, var_blockNode);
  struct UserObject *uo1981 = (struct UserObject*)obj1564;
  uo1981->data[22] = (Object)closure1981;
  Method *meth_meth_ast_shallowCopy1981 = addmethod2pos(obj1564, "shallowCopy", &meth_ast_shallowCopy1981, 22);
  int argcv_meth_ast_shallowCopy1981[] = {0};
  meth_meth_ast_shallowCopy1981->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1981);
  meth_meth_ast_shallowCopy1981->definitionModule = modulename;
  meth_meth_ast_shallowCopy1981->definitionLine = 438;
// method "postCopy(_)"
  struct UserObject *uo1990 = (struct UserObject*)obj1564;
  uo1990->data[23] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_1990 = addmethod2pos(obj1564, "postCopy(1)", &meth_ast_postCopy_40_1_41_1990, 23);
  int argcv_meth_ast_postCopy_40_1_41_1990[] = {1};
  meth_meth_ast_postCopy_40_1_41_1990->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_1990);
  meth_meth_ast_postCopy_40_1_41_1990->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_1990->definitionLine = 441;
  sourceObject = obj1564;
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1999 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2000 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2001 = gc_frame_new();
// call case 3: self.outer request
  Object call2002 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2001);
// compiled member node returning call2002 (depth = 5)
  Object call2003 = callmethodflags(call2002, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2000);
// compiled member node returning call2003 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2004 = callmethodflags(call2003, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1999);
// compiled call node returning call2004 (depth = 3)
  struct UserObject *obj1564_uo = (struct UserObject *)obj1564;
  obj1564_uo->super = call2004;
  sourceObject = obj1564;
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2005 == NULL) {
    strlit2005 = alloc_String("block");
    gc_root(strlit2005);
  }
// compiled string node returning strlit2005 (depth = 3)
  adddatum2(obj1564, strlit2005, 1);
  sourceObject = obj1564;
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2006 == NULL) {
    strlit2006 = alloc_String("block");
    gc_root(strlit2006);
  }
// compiled string node returning strlit2006 (depth = 3)
  adddatum2(obj1564, strlit2006, 2);
  sourceObject = obj1564;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1564, *var_params_39_, 3);
  sourceObject = obj1564;
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1564, *var_body_39_, 4);
  sourceObject = obj1564;
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2007 = alloc_Boolean(1);
// compiled identifier node returning bool2007 (depth = 3)
  adddatum2(obj1564, bool2007, 5);
  sourceObject = obj1564;
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2008 = alloc_Boolean(0);
// compiled identifier node returning bool2008 (depth = 3)
  adddatum2(obj1564, bool2008, 6);
  sourceObject = obj1564;
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2009 = alloc_Boolean(0);
// compiled identifier node returning bool2009 (depth = 3)
  adddatum2(obj1564, bool2009, 7);
  sourceObject = obj1564;
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2010 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2011 = alloc_Block(NULL, NULL, "ast", 340);
  gc_frame_newslot(block2011);
// method "_apply(_)"
  block_savedest(block2011);
  Object closure2012 = createclosure(3, "_apply(1)");
  setclosureframe(closure2012, stackframe);
  addtoclosure(closure2012, var_patternMarkVisitor);
  addtoclosure(closure2012, var_ancestorChain);
  addtoclosure(closure2012, selfslot);
  struct UserObject *uo2012 = (struct UserObject*)block2011;
  uo2012->data[0] = (Object)closure2012;
  Method *meth_meth_ast__apply_40_1_41_2012 = addmethod2pos(block2011, "_apply(1)", &meth_ast__apply_40_1_41_2012, 0);
  int argcv_meth_ast__apply_40_1_41_2012[] = {1};
  meth_meth_ast__apply_40_1_41_2012->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2012);
  meth_meth_ast__apply_40_1_41_2012->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2012->definitionLine = 2984;
// compiled block node returning block2011 (depth = 4)
  gc_frame_newslot(block2011);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2011;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2018 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2010);
// compiled call node returning call2018 (depth = 3)
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  objclass1564 = obj1564->class;
  objclass1564->definitionModule = modulename;
  objclass1564->definitionLine = 331;
  (*(struct UserObject *)self).data[0] = lowerouter1564;
  self = oldself1564;
  selfslot = oldselfslot1564;
  stackframe = oldstackframe1564;
  gc_frame_end(frame);
  return obj1564;
}
Object meth_ast_new_40_2_41_1563_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1564 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1564 = alloc_userobj2(28,25, objclass1564);
  gc_frame_newslot(obj1564);
if (objclass1564 == NULL) {
  glfree(obj1564->class->name);
  obj1564->class->name = "blockNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1564, self, 0);
  addmethodreal(obj1564,"outer", &reader_ast_outer_1565);
  Object oldself1564 = self;
  struct StackFrameObject *oldstackframe1564 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1564);
  gc_frame_newslot((Object)stackframe);
  self = obj1564;
  Object *oldselfslot1564 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1564 = (*(struct UserObject *)self).data[0], lowerouter1564 = thisouter1564;
  if (inheritingObject1564) {
    struct UserObject *inho1564 = (struct UserObject *)inheritingObject1564;
    while (inho1564->super != GraceDefaultObject) inho1564 = (struct UserObject *)inho1564->super;
    inho1564->super = obj1564;
    self = inheritingObject1564;
    *selfslot = self;
    lowerouter1564 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1564;
  }
if (objclass1564 == NULL) {
  Method *reader1566 = addmethodrealflags(obj1564, "kind",&reader_ast_kind_1566, MFLAG_DEF);
  reader1566->definitionModule = modulename;
  reader1566->definitionLine = 333;
}
adddatum2(obj1564, alloc_Undefined(), 1);
if (objclass1564 == NULL) {
  Method *reader1567 = addmethodrealflags(obj1564, "value",&reader_ast_value_1567, MFLAG_DEF);
  reader1567->definitionModule = modulename;
  reader1567->definitionLine = 334;
}
adddatum2(obj1564, alloc_Undefined(), 2);
if (objclass1564 == NULL) {
  Method *reader1568 = addmethodrealflags(obj1564, "params", &reader_ast_params_1568, 0);
  Method *writer1568 = addmethodrealflags(obj1564, "params:=(1)", &writer_ast_params_1568, 0);
  reader1568->definitionModule = modulename;
  writer1568->definitionModule = modulename;
  reader1568->definitionLine = 335;
  writer1568->definitionLine = 335;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 3);
if (objclass1564 == NULL) {
  Method *reader1569 = addmethodrealflags(obj1564, "body", &reader_ast_body_1569, 0);
  Method *writer1569 = addmethodrealflags(obj1564, "body:=(1)", &writer_ast_body_1569, 0);
  reader1569->definitionModule = modulename;
  writer1569->definitionModule = modulename;
  reader1569->definitionLine = 336;
  writer1569->definitionLine = 336;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 4);
if (objclass1564 == NULL) {
  Method *reader1570 = addmethodrealflags(obj1564, "selfclosure",&reader_ast_selfclosure_1570, MFLAG_DEF);
  reader1570->definitionModule = modulename;
  reader1570->definitionLine = 337;
}
adddatum2(obj1564, alloc_Undefined(), 5);
if (objclass1564 == NULL) {
  Method *reader1571 = addmethodrealflags(obj1564, "matchingPattern", &reader_ast_matchingPattern_1571, 0);
  Method *writer1571 = addmethodrealflags(obj1564, "matchingPattern:=(1)", &writer_ast_matchingPattern_1571, 0);
  reader1571->definitionModule = modulename;
  writer1571->definitionModule = modulename;
  reader1571->definitionLine = 338;
  writer1571->definitionLine = 338;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 6);
if (objclass1564 == NULL) {
  Method *reader1572 = addmethodrealflags(obj1564, "extraRuntimeData", &reader_ast_extraRuntimeData_1572, 0);
  Method *writer1572 = addmethodrealflags(obj1564, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1572, 0);
  reader1572->definitionModule = modulename;
  writer1572->definitionModule = modulename;
  reader1572->definitionLine = 339;
  writer1572->definitionLine = 339;
}
obj1564->flags |= OFLAG_MUTABLE;
adddatum2(obj1564, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1573 = (struct UserObject*)obj1564;
  uo1573->data[8] = emptyclosure;
  Method *meth_meth_ast_isBlock1573 = addmethod2pos(obj1564, "isBlock", &meth_ast_isBlock1573, 8);
  int argcv_meth_ast_isBlock1573[] = {0};
  meth_meth_ast_isBlock1573->type = alloc_MethodType(1, argcv_meth_ast_isBlock1573);
  meth_meth_ast_isBlock1573->definitionModule = modulename;
  meth_meth_ast_isBlock1573->definitionLine = 343;
// method "isDelimited"
  struct UserObject *uo1575 = (struct UserObject*)obj1564;
  uo1575->data[9] = emptyclosure;
  Method *meth_meth_ast_isDelimited1575 = addmethod2pos(obj1564, "isDelimited", &meth_ast_isDelimited1575, 9);
  int argcv_meth_ast_isDelimited1575[] = {0};
  meth_meth_ast_isDelimited1575->type = alloc_MethodType(1, argcv_meth_ast_isDelimited1575);
  meth_meth_ast_isDelimited1575->definitionModule = modulename;
  meth_meth_ast_isDelimited1575->definitionLine = 344;
// method "isEmpty"
  struct UserObject *uo1577 = (struct UserObject*)obj1564;
  uo1577->data[10] = emptyclosure;
  Method *meth_meth_ast_isEmpty1577 = addmethod2pos(obj1564, "isEmpty", &meth_ast_isEmpty1577, 10);
  int argcv_meth_ast_isEmpty1577[] = {0};
  meth_meth_ast_isEmpty1577->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1577);
  meth_meth_ast_isEmpty1577->definitionModule = modulename;
  meth_meth_ast_isEmpty1577->definitionLine = 345;
// method "isntEmpty"
  struct UserObject *uo1586 = (struct UserObject*)obj1564;
  uo1586->data[11] = emptyclosure;
  Method *meth_meth_ast_isntEmpty1586 = addmethod2pos(obj1564, "isntEmpty", &meth_ast_isntEmpty1586, 11);
  int argcv_meth_ast_isntEmpty1586[] = {0};
  meth_meth_ast_isntEmpty1586->type = alloc_MethodType(1, argcv_meth_ast_isntEmpty1586);
  meth_meth_ast_isntEmpty1586->definitionModule = modulename;
  meth_meth_ast_isntEmpty1586->definitionLine = 346;
// method "scope:=(_)"
  struct UserObject *uo1595 = (struct UserObject*)obj1564;
  uo1595->data[12] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_1595 = addmethod2pos(obj1564, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_1595, 12);
  int argcv_meth_ast_scope_58__61__40_1_41_1595[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_1595->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_1595);
  meth_meth_ast_scope_58__61__40_1_41_1595->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_1595->definitionLine = 347;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1564);
  Object closure1600 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1600, stackframe);
  addtoclosure(closure1600, var_k);
  struct UserObject *uo1600 = (struct UserObject*)obj1564;
  uo1600->data[13] = (Object)closure1600;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_1600 = addmethod2pos(obj1564, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_1600, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_1600[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_1600);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1600->definitionLine = 353;
// method "isMatchingBlock"
  struct UserObject *uo1603 = (struct UserObject*)obj1564;
  uo1603->data[14] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1603 = addmethod2pos(obj1564, "isMatchingBlock", &meth_ast_isMatchingBlock1603, 14);
  int argcv_meth_ast_isMatchingBlock1603[] = {0};
  meth_meth_ast_isMatchingBlock1603->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1603);
  meth_meth_ast_isMatchingBlock1603->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1603->definitionLine = 354;
// method "returnsObject"
  struct UserObject *uo1612 = (struct UserObject*)obj1564;
  uo1612->data[15] = emptyclosure;
  Method *meth_meth_ast_returnsObject1612 = addmethod2pos(obj1564, "returnsObject", &meth_ast_returnsObject1612, 15);
  int argcv_meth_ast_returnsObject1612[] = {0};
  meth_meth_ast_returnsObject1612->type = alloc_MethodType(1, argcv_meth_ast_returnsObject1612);
  meth_meth_ast_returnsObject1612->definitionModule = modulename;
  meth_meth_ast_returnsObject1612->definitionLine = 355;
// method "returnedObjectScope"
  struct UserObject *uo1633 = (struct UserObject*)obj1564;
  uo1633->data[16] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope1633 = addmethod2pos(obj1564, "returnedObjectScope", &meth_ast_returnedObjectScope1633, 16);
  int argcv_meth_ast_returnedObjectScope1633[] = {0};
  meth_meth_ast_returnedObjectScope1633->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope1633);
  meth_meth_ast_returnedObjectScope1633->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope1633->definitionLine = 358;
// method "parametersDo(_)"
  struct UserObject *uo1640 = (struct UserObject*)obj1564;
  uo1640->data[17] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_1640 = addmethod2pos(obj1564, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_1640, 17);
  int argcv_meth_ast_parametersDo_40_1_41_1640[] = {1};
  meth_meth_ast_parametersDo_40_1_41_1640->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_1640);
  meth_meth_ast_parametersDo_40_1_41_1640->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_1640->definitionLine = 362;
// method "accept(_)from(_)"
  struct UserObject *uo1645 = (struct UserObject*)obj1564;
  uo1645->data[18] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1645 = addmethod2pos(obj1564, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1645, 18);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1645[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1645);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1645->definitionLine = 365;
// method "map(_)ancestors(_)"
  struct UserObject *uo1680 = (struct UserObject*)obj1564;
  uo1680->data[19] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680 = addmethod2pos(obj1564, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1680, 19);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1680[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1680);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1680->definitionLine = 379;
// method "pretty(_)"
  struct UserObject *uo1717 = (struct UserObject*)obj1564;
  uo1717->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1717 = addmethod2pos(obj1564, "pretty(1)", &meth_ast_pretty_40_1_41_1717, 20);
  int argcv_meth_ast_pretty_40_1_41_1717[] = {1};
  meth_meth_ast_pretty_40_1_41_1717->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1717);
  meth_meth_ast_pretty_40_1_41_1717->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1717->definitionLine = 387;
// method "toGrace(_)"
  struct UserObject *uo1847 = (struct UserObject*)obj1564;
  uo1847->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1847 = addmethod2pos(obj1564, "toGrace(1)", &meth_ast_toGrace_40_1_41_1847, 21);
  int argcv_meth_ast_toGrace_40_1_41_1847[] = {1};
  meth_meth_ast_toGrace_40_1_41_1847->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1847);
meth_meth_ast_toGrace_40_1_41_1847->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1847->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1847->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1847->definitionLine = 409;
// method "shallowCopy"
  block_savedest(obj1564);
  Object closure1981 = createclosure(1, "shallowCopy");
  setclosureframe(closure1981, stackframe);
  addtoclosure(closure1981, var_blockNode);
  struct UserObject *uo1981 = (struct UserObject*)obj1564;
  uo1981->data[22] = (Object)closure1981;
  Method *meth_meth_ast_shallowCopy1981 = addmethod2pos(obj1564, "shallowCopy", &meth_ast_shallowCopy1981, 22);
  int argcv_meth_ast_shallowCopy1981[] = {0};
  meth_meth_ast_shallowCopy1981->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1981);
  meth_meth_ast_shallowCopy1981->definitionModule = modulename;
  meth_meth_ast_shallowCopy1981->definitionLine = 438;
// method "postCopy(_)"
  struct UserObject *uo1990 = (struct UserObject*)obj1564;
  uo1990->data[23] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_1990 = addmethod2pos(obj1564, "postCopy(1)", &meth_ast_postCopy_40_1_41_1990, 23);
  int argcv_meth_ast_postCopy_40_1_41_1990[] = {1};
  meth_meth_ast_postCopy_40_1_41_1990->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_1990);
  meth_meth_ast_postCopy_40_1_41_1990->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_1990->definitionLine = 441;
  sourceObject = obj1564;
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1999 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2000 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2001 = gc_frame_new();
// call case 3: self.outer request
  Object call2002 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2001);
// compiled member node returning call2002 (depth = 5)
  Object call2003 = callmethodflags(call2002, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2000);
// compiled member node returning call2003 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2004 = callmethodflags(call2003, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1999);
// compiled call node returning call2004 (depth = 3)
  struct UserObject *obj1564_uo = (struct UserObject *)obj1564;
  obj1564_uo->super = call2004;
  sourceObject = obj1564;
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2005 == NULL) {
    strlit2005 = alloc_String("block");
    gc_root(strlit2005);
  }
// compiled string node returning strlit2005 (depth = 3)
  adddatum2(obj1564, strlit2005, 1);
  sourceObject = obj1564;
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2006 == NULL) {
    strlit2006 = alloc_String("block");
    gc_root(strlit2006);
  }
// compiled string node returning strlit2006 (depth = 3)
  adddatum2(obj1564, strlit2006, 2);
  sourceObject = obj1564;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1564, *var_params_39_, 3);
  sourceObject = obj1564;
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1564, *var_body_39_, 4);
  sourceObject = obj1564;
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2007 = alloc_Boolean(1);
// compiled identifier node returning bool2007 (depth = 3)
  adddatum2(obj1564, bool2007, 5);
  sourceObject = obj1564;
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2008 = alloc_Boolean(0);
// compiled identifier node returning bool2008 (depth = 3)
  adddatum2(obj1564, bool2008, 6);
  sourceObject = obj1564;
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2009 = alloc_Boolean(0);
// compiled identifier node returning bool2009 (depth = 3)
  adddatum2(obj1564, bool2009, 7);
  sourceObject = obj1564;
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2010 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2011 = alloc_Block(NULL, NULL, "ast", 340);
  gc_frame_newslot(block2011);
// method "_apply(_)"
  block_savedest(block2011);
  Object closure2012 = createclosure(3, "_apply(1)");
  setclosureframe(closure2012, stackframe);
  addtoclosure(closure2012, var_patternMarkVisitor);
  addtoclosure(closure2012, var_ancestorChain);
  addtoclosure(closure2012, selfslot);
  struct UserObject *uo2012 = (struct UserObject*)block2011;
  uo2012->data[0] = (Object)closure2012;
  Method *meth_meth_ast__apply_40_1_41_2012 = addmethod2pos(block2011, "_apply(1)", &meth_ast__apply_40_1_41_2012, 0);
  int argcv_meth_ast__apply_40_1_41_2012[] = {1};
  meth_meth_ast__apply_40_1_41_2012->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2012);
  meth_meth_ast__apply_40_1_41_2012->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2012->definitionLine = 2984;
// compiled block node returning block2011 (depth = 4)
  gc_frame_newslot(block2011);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2011;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2018 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2010);
// compiled call node returning call2018 (depth = 3)
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  sourceObject = obj1564;
  objclass1564 = obj1564->class;
  objclass1564->definitionModule = modulename;
  objclass1564->definitionLine = 331;
  (*(struct UserObject *)self).data[0] = lowerouter1564;
  self = oldself1564;
  selfslot = oldselfslot1564;
  stackframe = oldstackframe1564;
  gc_frame_end(frame);
  return obj1564;
}
Object meth_ast_blockNode2020(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blockNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blockNode (depth = 3)
  gc_frame_end(frame);
  return *var_blockNode;
}
Object meth_ast_isSimple2030(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2031 = alloc_Boolean(0);
// compiled identifier node returning bool2031 (depth = 3)
  gc_frame_end(frame);
  return bool2031;
}
Object meth_ast__apply_40_1_41_2046(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2047 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2048 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2047);
// compiled call node returning call2048 (depth = 6)
  gc_frame_end(frame);
  return call2048;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2032(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2034 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2035 = callmethodflags(*var_visitor, "visitTryCatch(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2034);
// compiled call node returning call2035 (depth = 4)
  Object if2033 = done;
  if (istrue(call2035)) {
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2036 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2037 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2036);
// compiled call node returning call2037 (depth = 5)
  *var_newChain = call2037;
  if (call2037 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2038 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2039 = gc_frame_new();
// call case 4: self request
  Object call2040 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2039);
// compiled member node returning call2040 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2041 = callmethodflags(call2040, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2038);
// compiled call node returning call2041 (depth = 4)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2042 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2043 = gc_frame_new();
// call case 4: self request
  Object call2044 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2043);
// compiled member node returning call2044 (depth = 5)
  gc_frame_newslot(call2044);
// starting to compile block node (depth = 5)
  Object block2045 = alloc_Block(NULL, NULL, "ast", 461);
  gc_frame_newslot(block2045);
// method "_apply(_)"
  block_savedest(block2045);
  Object closure2046 = createclosure(3, "_apply(1)");
  setclosureframe(closure2046, stackframe);
  addtoclosure(closure2046, var_visitor);
  addtoclosure(closure2046, var_newChain);
  addtoclosure(closure2046, selfslot);
  struct UserObject *uo2046 = (struct UserObject*)block2045;
  uo2046->data[0] = (Object)closure2046;
  Method *meth_meth_ast__apply_40_1_41_2046 = addmethod2pos(block2045, "_apply(1)", &meth_ast__apply_40_1_41_2046, 0);
  int argcv_meth_ast__apply_40_1_41_2046[] = {1};
  meth_meth_ast__apply_40_1_41_2046->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2046);
  meth_meth_ast__apply_40_1_41_2046->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2046->definitionLine = 2984;
// compiled block node returning block2045 (depth = 5)
  gc_frame_newslot(block2045);
// call case 5: prelude request
  params[0] = call2044;
  params[1] = block2045;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2050 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2042);
// compiled call node returning call2050 (depth = 4)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2053 = gc_frame_new();
// call case 4: self request
  Object call2054 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2053);
// compiled member node returning call2054 (depth = 6)
  int op_slot_right_2052 = gc_frame_newslot(call2054);
// starting to compile identifier node (depth = 6)
  Object bool2056 = alloc_Boolean(0);
// compiled identifier node returning bool2056 (depth = 6)
  int op_slot_left_2052 = gc_frame_newslot(bool2056);
  params[0] = call2054;
  partcv[0] = 1;
  Object opresult2057 = callmethod(bool2056, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2057 (depth = 5)
  Object if2051 = done;
  if (istrue(opresult2057)) {
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2058 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2059 = gc_frame_new();
// call case 4: self request
  Object call2060 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2059);
// compiled member node returning call2060 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2061 = callmethodflags(call2060, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2058);
// compiled call node returning call2061 (depth = 5)
    gc_frame_newslot(call2061);
    if2051 = call2061;
  } else {
  }
// compiled if node returning if2051 (depth = 4)
    gc_frame_newslot(if2051);
    if2033 = if2051;
  } else {
  }
// compiled if node returning if2033 (depth = 3)
  gc_frame_end(frame);
  return if2033;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2062(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2063 = gc_frame_new();
// call case 4: self request
  Object call2064 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2063);
// compiled member node returning call2064 (depth = 4)
  *var_n = call2064;
  if (call2064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2065 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2066 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2065);
// compiled call node returning call2066 (depth = 4)
  *var_newChain = call2066;
  if (call2066 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2067 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2068 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2069 = gc_frame_new();
// call case 4: self request
  Object call2070 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2069);
// compiled member node returning call2070 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2071 = callmethodflags(call2070, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2068);
// compiled call node returning call2071 (depth = 4)
  gc_frame_newslot(call2071);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2071;
  partcv[0] = 1;
  Object call2072 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2067);
// compiled call node returning call2072 (depth = 3)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2073 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2074 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2075 = gc_frame_new();
// call case 4: self request
  Object call2076 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2075);
// compiled member node returning call2076 (depth = 5)
  gc_frame_newslot(call2076);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2077 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2078 = gc_frame_new();
// call case 3: self.outer request
  Object call2079 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2078);
// compiled member node returning call2079 (depth = 6)
  Object call2080 = callmethodflags(call2079, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2077);
// compiled member node returning call2080 (depth = 5)
  params[0] = call2076;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2081 = callmethodflags(call2080, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2074);
// compiled call node returning call2081 (depth = 4)
  gc_frame_newslot(call2081);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2081;
  partcv[0] = 1;
  Object call2082 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2073);
// compiled call node returning call2082 (depth = 3)
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2083 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2084 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2085 = gc_frame_new();
// call case 4: self request
  Object call2086 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2085);
// compiled member node returning call2086 (depth = 5)
  gc_frame_newslot(call2086);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2087 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2088 = gc_frame_new();
// call case 3: self.outer request
  Object call2089 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2088);
// compiled member node returning call2089 (depth = 6)
  Object call2090 = callmethodflags(call2089, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2087);
// compiled member node returning call2090 (depth = 5)
  params[0] = call2086;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2091 = callmethodflags(call2090, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2084);
// compiled call node returning call2091 (depth = 4)
  gc_frame_newslot(call2091);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2091;
  partcv[0] = 1;
  Object call2092 = callmethodflags(*var_n, "finally:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2083);
// compiled call node returning call2092 (depth = 3)
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2093 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2094 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2093);
// compiled call node returning call2094 (depth = 3)
  gc_frame_end(frame);
  return call2094;
}
Object meth_ast__apply_40_1_41_2103(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2105 == NULL) {
    strlit2105 = alloc_String("  ");
    gc_root(strlit2105);
  }
// compiled string node returning strlit2105 (depth = 7)
  int op_slot_right_2104 = gc_frame_newslot(strlit2105);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2104 = gc_frame_newslot(*var_spc);
  params[0] = strlit2105;
  partcv[0] = 1;
  Object opresult2107 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2107 (depth = 6)
  *var_spc = opresult2107;
  if (opresult2107 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2140(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2143 == NULL) {
    strlit2143 = alloc_String("");
    gc_root(strlit2143);
  }
// compiled string node returning strlit2143 (depth = 8)
  int op_slot_right_2142 = gc_frame_newslot(strlit2143);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2146 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2148 = alloc_Float64(2);
// compiled num node returning num2148 (depth = 11)
  int op_slot_right_2147 = gc_frame_newslot(num2148);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2147 = gc_frame_newslot(*var_depth);
  params[0] = num2148;
  partcv[0] = 1;
  Object sum2150 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2150 (depth = 10)
  gc_frame_newslot(sum2150);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2150;
  partcv[0] = 1;
  Object call2151 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2146);
// compiled call node returning call2151 (depth = 9)
  int op_slot_right_2145 = gc_frame_newslot(call2151);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2154 == NULL) {
    strlit2154 = alloc_String("  ");
    gc_root(strlit2154);
  }
// compiled string node returning strlit2154 (depth = 10)
  int op_slot_right_2153 = gc_frame_newslot(strlit2154);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2156 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2159 == NULL) {
    strlit2159 = alloc_String("Case:""\x0a""");
    gc_root(strlit2159);
  }
// compiled string node returning strlit2159 (depth = 12)
  int op_slot_right_2158 = gc_frame_newslot(strlit2159);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2161 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("""\x0a""");
    gc_root(strlit2163);
  }
// compiled string node returning strlit2163 (depth = 13)
  int op_slot_left_2161 = gc_frame_newslot(strlit2163);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2164 = callmethod(strlit2163, "++(1)", 1, partcv, params);
// compiled op node returning opresult2164 (depth = 12)
  int op_slot_left_2158 = gc_frame_newslot(opresult2164);
  params[0] = strlit2159;
  partcv[0] = 1;
  Object opresult2165 = callmethod(opresult2164, "++(1)", 1, partcv, params);
// compiled op node returning opresult2165 (depth = 11)
  int op_slot_left_2156 = gc_frame_newslot(opresult2165);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2166 = callmethod(opresult2165, "++(1)", 1, partcv, params);
// compiled op node returning opresult2166 (depth = 10)
  int op_slot_left_2153 = gc_frame_newslot(opresult2166);
  params[0] = strlit2154;
  partcv[0] = 1;
  Object opresult2167 = callmethod(opresult2166, "++(1)", 1, partcv, params);
// compiled op node returning opresult2167 (depth = 9)
  int op_slot_left_2145 = gc_frame_newslot(opresult2167);
  params[0] = call2151;
  partcv[0] = 1;
  Object opresult2168 = callmethod(opresult2167, "++(1)", 1, partcv, params);
// compiled op node returning opresult2168 (depth = 8)
  int op_slot_left_2142 = gc_frame_newslot(opresult2168);
  params[0] = strlit2143;
  partcv[0] = 1;
  Object opresult2169 = callmethod(opresult2168, "++(1)", 1, partcv, params);
// compiled op node returning opresult2169 (depth = 7)
  int op_slot_right_2141 = gc_frame_newslot(opresult2169);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2141 = gc_frame_newslot(*var_s);
  params[0] = opresult2169;
  partcv[0] = 1;
  Object opresult2171 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2171 (depth = 6)
  *var_s = opresult2171;
  if (opresult2171 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2095(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2096 == NULL) {
    strlit2096 = alloc_String("");
    gc_root(strlit2096);
  }
// compiled string node returning strlit2096 (depth = 4)
  *var_spc = strlit2096;
  if (strlit2096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2097 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2098 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2100 = alloc_Float64(0);
// compiled num node returning num2100 (depth = 5)
  int op_slot_left_2098 = gc_frame_newslot(num2100);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2101 = callmethod(num2100, "..(1)", 1, partcv, params);
// compiled op node returning opresult2101 (depth = 4)
  gc_frame_newslot(opresult2101);
// starting to compile block node (depth = 4)
  Object block2102 = alloc_Block(NULL, NULL, "ast", 479);
  gc_frame_newslot(block2102);
// method "_apply(_)"
  block_savedest(block2102);
  Object closure2103 = createclosure(2, "_apply(1)");
  setclosureframe(closure2103, stackframe);
  addtoclosure(closure2103, var_spc);
  addtoclosure(closure2103, selfslot);
  struct UserObject *uo2103 = (struct UserObject*)block2102;
  uo2103->data[0] = (Object)closure2103;
  Method *meth_meth_ast__apply_40_1_41_2103 = addmethod2pos(block2102, "_apply(1)", &meth_ast__apply_40_1_41_2103, 0);
  int argcv_meth_ast__apply_40_1_41_2103[] = {1};
  meth_meth_ast__apply_40_1_41_2103->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2103);
  meth_meth_ast__apply_40_1_41_2103->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2103->definitionLine = 2984;
// compiled block node returning block2102 (depth = 4)
  gc_frame_newslot(block2102);
// call case 5: prelude request
  params[0] = opresult2101;
  params[1] = block2102;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2110 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2097);
// compiled call node returning call2110 (depth = 3)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2112 == NULL) {
    strlit2112 = alloc_String("""\x0a""");
    gc_root(strlit2112);
  }
// compiled string node returning strlit2112 (depth = 5)
  int op_slot_right_2111 = gc_frame_newslot(strlit2112);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2115 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2116 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2115);
// compiled call node returning call2116 (depth = 6)
  int op_slot_right_2114 = gc_frame_newslot(call2116);
// starting to compile string node (depth = 6)
  if (strlit2118 == NULL) {
    strlit2118 = alloc_String("");
    gc_root(strlit2118);
  }
// compiled string node returning strlit2118 (depth = 6)
  int op_slot_left_2114 = gc_frame_newslot(strlit2118);
  params[0] = call2116;
  partcv[0] = 1;
  Object opresult2119 = callmethod(strlit2118, "++(1)", 1, partcv, params);
// compiled op node returning opresult2119 (depth = 5)
  int op_slot_left_2111 = gc_frame_newslot(opresult2119);
  params[0] = strlit2112;
  partcv[0] = 1;
  Object opresult2120 = callmethod(opresult2119, "++(1)", 1, partcv, params);
// compiled op node returning opresult2120 (depth = 4)
  *var_s = opresult2120;
  if (opresult2120 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2122 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2124 = alloc_Float64(2);
// compiled num node returning num2124 (depth = 7)
  int op_slot_right_2123 = gc_frame_newslot(num2124);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2123 = gc_frame_newslot(*var_depth);
  params[0] = num2124;
  partcv[0] = 1;
  Object sum2126 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2126 (depth = 6)
  gc_frame_newslot(sum2126);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2127 = gc_frame_new();
// call case 4: self request
  Object call2128 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2127);
// compiled member node returning call2128 (depth = 6)
  params[0] = sum2126;
  partcv[0] = 1;
  Object call2129 = callmethodflags(call2128, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2122);
// compiled call node returning call2129 (depth = 5)
  int op_slot_right_2121 = gc_frame_newslot(call2129);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2131 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2131 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2133 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2133 (depth = 5)
  int op_slot_left_2121 = gc_frame_newslot(opresult2133);
  params[0] = call2129;
  partcv[0] = 1;
  Object opresult2134 = callmethod(opresult2133, "++(1)", 1, partcv, params);
// compiled op node returning opresult2134 (depth = 4)
  *var_s = opresult2134;
  if (opresult2134 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2136 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2137 = gc_frame_new();
// call case 4: self request
  Object call2138 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2137);
// compiled member node returning call2138 (depth = 4)
  gc_frame_newslot(call2138);
// starting to compile block node (depth = 4)
  Object block2139 = alloc_Block(NULL, NULL, "ast", 484);
  gc_frame_newslot(block2139);
// method "_apply(_)"
  block_savedest(block2139);
  Object closure2140 = createclosure(4, "_apply(1)");
  setclosureframe(closure2140, stackframe);
  addtoclosure(closure2140, var_depth);
  addtoclosure(closure2140, var_spc);
  addtoclosure(closure2140, var_s);
  addtoclosure(closure2140, selfslot);
  struct UserObject *uo2140 = (struct UserObject*)block2139;
  uo2140->data[0] = (Object)closure2140;
  Method *meth_meth_ast__apply_40_1_41_2140 = addmethod2pos(block2139, "_apply(1)", &meth_ast__apply_40_1_41_2140, 0);
  int argcv_meth_ast__apply_40_1_41_2140[] = {1};
  meth_meth_ast__apply_40_1_41_2140->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2140);
  meth_meth_ast__apply_40_1_41_2140->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2140->definitionLine = 2984;
// compiled block node returning block2139 (depth = 4)
  gc_frame_newslot(block2139);
// call case 5: prelude request
  params[0] = call2138;
  params[1] = block2139;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2174 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2136);
// compiled call node returning call2174 (depth = 3)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2177 = gc_frame_new();
// call case 4: self request
  Object call2178 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2177);
// compiled member node returning call2178 (depth = 5)
  int op_slot_right_2176 = gc_frame_newslot(call2178);
// starting to compile identifier node (depth = 5)
  Object bool2180 = alloc_Boolean(0);
// compiled identifier node returning bool2180 (depth = 5)
  int op_slot_left_2176 = gc_frame_newslot(bool2180);
  params[0] = call2178;
  partcv[0] = 1;
  Object opresult2181 = callmethod(bool2180, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2181 (depth = 4)
  Object if2175 = done;
  if (istrue(opresult2181)) {
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2184 == NULL) {
    strlit2184 = alloc_String("");
    gc_root(strlit2184);
  }
// compiled string node returning strlit2184 (depth = 7)
  int op_slot_right_2183 = gc_frame_newslot(strlit2184);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2187 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2189 = alloc_Float64(2);
// compiled num node returning num2189 (depth = 10)
  int op_slot_right_2188 = gc_frame_newslot(num2189);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2188 = gc_frame_newslot(*var_depth);
  params[0] = num2189;
  partcv[0] = 1;
  Object sum2191 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2191 (depth = 9)
  gc_frame_newslot(sum2191);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2192 = gc_frame_new();
// call case 4: self request
  Object call2193 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2192);
// compiled member node returning call2193 (depth = 9)
  params[0] = sum2191;
  partcv[0] = 1;
  Object call2194 = callmethodflags(call2193, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2187);
// compiled call node returning call2194 (depth = 8)
  int op_slot_right_2186 = gc_frame_newslot(call2194);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2197 == NULL) {
    strlit2197 = alloc_String("  ");
    gc_root(strlit2197);
  }
// compiled string node returning strlit2197 (depth = 9)
  int op_slot_right_2196 = gc_frame_newslot(strlit2197);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2199 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2202 == NULL) {
    strlit2202 = alloc_String("Finally:""\x0a""");
    gc_root(strlit2202);
  }
// compiled string node returning strlit2202 (depth = 11)
  int op_slot_right_2201 = gc_frame_newslot(strlit2202);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2204 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 12)
  if (strlit2206 == NULL) {
    strlit2206 = alloc_String("""\x0a""");
    gc_root(strlit2206);
  }
// compiled string node returning strlit2206 (depth = 12)
  int op_slot_left_2204 = gc_frame_newslot(strlit2206);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2207 = callmethod(strlit2206, "++(1)", 1, partcv, params);
// compiled op node returning opresult2207 (depth = 11)
  int op_slot_left_2201 = gc_frame_newslot(opresult2207);
  params[0] = strlit2202;
  partcv[0] = 1;
  Object opresult2208 = callmethod(opresult2207, "++(1)", 1, partcv, params);
// compiled op node returning opresult2208 (depth = 10)
  int op_slot_left_2199 = gc_frame_newslot(opresult2208);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2209 = callmethod(opresult2208, "++(1)", 1, partcv, params);
// compiled op node returning opresult2209 (depth = 9)
  int op_slot_left_2196 = gc_frame_newslot(opresult2209);
  params[0] = strlit2197;
  partcv[0] = 1;
  Object opresult2210 = callmethod(opresult2209, "++(1)", 1, partcv, params);
// compiled op node returning opresult2210 (depth = 8)
  int op_slot_left_2186 = gc_frame_newslot(opresult2210);
  params[0] = call2194;
  partcv[0] = 1;
  Object opresult2211 = callmethod(opresult2210, "++(1)", 1, partcv, params);
// compiled op node returning opresult2211 (depth = 7)
  int op_slot_left_2183 = gc_frame_newslot(opresult2211);
  params[0] = strlit2184;
  partcv[0] = 1;
  Object opresult2212 = callmethod(opresult2211, "++(1)", 1, partcv, params);
// compiled op node returning opresult2212 (depth = 6)
  int op_slot_right_2182 = gc_frame_newslot(opresult2212);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2182 = gc_frame_newslot(*var_s);
  params[0] = opresult2212;
  partcv[0] = 1;
  Object opresult2214 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2214 (depth = 5)
  *var_s = opresult2214;
  if (opresult2214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2175 = done;
  } else {
  }
// compiled if node returning if2175 (depth = 3)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2228(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2230 == NULL) {
    strlit2230 = alloc_String("    ");
    gc_root(strlit2230);
  }
// compiled string node returning strlit2230 (depth = 7)
  int op_slot_right_2229 = gc_frame_newslot(strlit2230);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2229 = gc_frame_newslot(*var_spc);
  params[0] = strlit2230;
  partcv[0] = 1;
  Object opresult2232 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2232 (depth = 6)
  *var_spc = opresult2232;
  if (opresult2232 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2256(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2258 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2260 = alloc_Float64(1);
// compiled num node returning num2260 (depth = 9)
  int op_slot_right_2259 = gc_frame_newslot(num2260);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2259 = gc_frame_newslot(*var_depth);
  params[0] = num2260;
  partcv[0] = 1;
  Object sum2262 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2262 (depth = 8)
  gc_frame_newslot(sum2262);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2262;
  partcv[0] = 1;
  Object call2263 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2258);
// compiled call node returning call2263 (depth = 7)
  int op_slot_right_2257 = gc_frame_newslot(call2263);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2266 == NULL) {
    strlit2266 = alloc_String("catch ");
    gc_root(strlit2266);
  }
// compiled string node returning strlit2266 (depth = 8)
  int op_slot_right_2265 = gc_frame_newslot(strlit2266);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2269 == NULL) {
    strlit2269 = alloc_String("    ");
    gc_root(strlit2269);
  }
// compiled string node returning strlit2269 (depth = 9)
  int op_slot_right_2268 = gc_frame_newslot(strlit2269);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2271 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2274 == NULL) {
    strlit2274 = alloc_String("""\x0a""");
    gc_root(strlit2274);
  }
// compiled string node returning strlit2274 (depth = 11)
  int op_slot_right_2273 = gc_frame_newslot(strlit2274);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2273 = gc_frame_newslot(*var_s);
  params[0] = strlit2274;
  partcv[0] = 1;
  Object opresult2276 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2276 (depth = 10)
  int op_slot_left_2271 = gc_frame_newslot(opresult2276);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2277 = callmethod(opresult2276, "++(1)", 1, partcv, params);
// compiled op node returning opresult2277 (depth = 9)
  int op_slot_left_2268 = gc_frame_newslot(opresult2277);
  params[0] = strlit2269;
  partcv[0] = 1;
  Object opresult2278 = callmethod(opresult2277, "++(1)", 1, partcv, params);
// compiled op node returning opresult2278 (depth = 8)
  int op_slot_left_2265 = gc_frame_newslot(opresult2278);
  params[0] = strlit2266;
  partcv[0] = 1;
  Object opresult2279 = callmethod(opresult2278, "++(1)", 1, partcv, params);
// compiled op node returning opresult2279 (depth = 7)
  int op_slot_left_2257 = gc_frame_newslot(opresult2279);
  params[0] = call2263;
  partcv[0] = 1;
  Object opresult2280 = callmethod(opresult2279, "++(1)", 1, partcv, params);
// compiled op node returning opresult2280 (depth = 6)
  *var_s = opresult2280;
  if (opresult2280 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2217 == NULL) {
    strlit2217 = alloc_String("");
    gc_root(strlit2217);
  }
// compiled string node returning strlit2217 (depth = 4)
  *var_spc = strlit2217;
  if (strlit2217 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2218 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2221 = alloc_Float64(1);
// compiled num node returning num2221 (depth = 6)
  int op_slot_right_2220 = gc_frame_newslot(num2221);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2220 = gc_frame_newslot(*var_depth);
  params[0] = num2221;
  partcv[0] = 1;
  Object diff2223 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff2223 (depth = 5)
  int op_slot_right_2219 = gc_frame_newslot(diff2223);
// starting to compile num node (depth = 5)
  Object num2225 = alloc_Float64(0);
// compiled num node returning num2225 (depth = 5)
  int op_slot_left_2219 = gc_frame_newslot(num2225);
  params[0] = diff2223;
  partcv[0] = 1;
  Object opresult2226 = callmethod(num2225, "..(1)", 1, partcv, params);
// compiled op node returning opresult2226 (depth = 4)
  gc_frame_newslot(opresult2226);
// starting to compile block node (depth = 4)
  Object block2227 = alloc_Block(NULL, NULL, "ast", 494);
  gc_frame_newslot(block2227);
// method "_apply(_)"
  block_savedest(block2227);
  Object closure2228 = createclosure(2, "_apply(1)");
  setclosureframe(closure2228, stackframe);
  addtoclosure(closure2228, var_spc);
  addtoclosure(closure2228, selfslot);
  struct UserObject *uo2228 = (struct UserObject*)block2227;
  uo2228->data[0] = (Object)closure2228;
  Method *meth_meth_ast__apply_40_1_41_2228 = addmethod2pos(block2227, "_apply(1)", &meth_ast__apply_40_1_41_2228, 0);
  int argcv_meth_ast__apply_40_1_41_2228[] = {1};
  meth_meth_ast__apply_40_1_41_2228->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2228);
  meth_meth_ast__apply_40_1_41_2228->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2228->definitionLine = 2984;
// compiled block node returning block2227 (depth = 4)
  gc_frame_newslot(block2227);
// call case 5: prelude request
  params[0] = opresult2226;
  params[1] = block2227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2235 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2218);
// compiled call node returning call2235 (depth = 3)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2237 == NULL) {
    strlit2237 = alloc_String(" ");
    gc_root(strlit2237);
  }
// compiled string node returning strlit2237 (depth = 5)
  int op_slot_right_2236 = gc_frame_newslot(strlit2237);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2240 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2242 = alloc_Float64(1);
// compiled num node returning num2242 (depth = 8)
  int op_slot_right_2241 = gc_frame_newslot(num2242);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2241 = gc_frame_newslot(*var_depth);
  params[0] = num2242;
  partcv[0] = 1;
  Object sum2244 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2244 (depth = 7)
  gc_frame_newslot(sum2244);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2245 = gc_frame_new();
// call case 4: self request
  Object call2246 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2245);
// compiled member node returning call2246 (depth = 7)
  params[0] = sum2244;
  partcv[0] = 1;
  Object call2247 = callmethodflags(call2246, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2240);
// compiled call node returning call2247 (depth = 6)
  int op_slot_right_2239 = gc_frame_newslot(call2247);
// starting to compile string node (depth = 6)
  if (strlit2249 == NULL) {
    strlit2249 = alloc_String("try ");
    gc_root(strlit2249);
  }
// compiled string node returning strlit2249 (depth = 6)
  int op_slot_left_2239 = gc_frame_newslot(strlit2249);
  params[0] = call2247;
  partcv[0] = 1;
  Object opresult2250 = callmethod(strlit2249, "++(1)", 1, partcv, params);
// compiled op node returning opresult2250 (depth = 5)
  int op_slot_left_2236 = gc_frame_newslot(opresult2250);
  params[0] = strlit2237;
  partcv[0] = 1;
  Object opresult2251 = callmethod(opresult2250, "++(1)", 1, partcv, params);
// compiled op node returning opresult2251 (depth = 4)
  *var_s = opresult2251;
  if (opresult2251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2252 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2253 = gc_frame_new();
// call case 4: self request
  Object call2254 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2253);
// compiled member node returning call2254 (depth = 4)
  gc_frame_newslot(call2254);
// starting to compile block node (depth = 4)
  Object block2255 = alloc_Block(NULL, NULL, "ast", 498);
  gc_frame_newslot(block2255);
// method "_apply(_)"
  block_savedest(block2255);
  Object closure2256 = createclosure(4, "_apply(1)");
  setclosureframe(closure2256, stackframe);
  addtoclosure(closure2256, var_depth);
  addtoclosure(closure2256, var_spc);
  addtoclosure(closure2256, var_s);
  addtoclosure(closure2256, selfslot);
  struct UserObject *uo2256 = (struct UserObject*)block2255;
  uo2256->data[0] = (Object)closure2256;
  Method *meth_meth_ast__apply_40_1_41_2256 = addmethod2pos(block2255, "_apply(1)", &meth_ast__apply_40_1_41_2256, 0);
  int argcv_meth_ast__apply_40_1_41_2256[] = {1};
  meth_meth_ast__apply_40_1_41_2256->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2256);
  meth_meth_ast__apply_40_1_41_2256->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2256->definitionLine = 2984;
// compiled block node returning block2255 (depth = 4)
  gc_frame_newslot(block2255);
// call case 5: prelude request
  params[0] = call2254;
  params[1] = block2255;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2283 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2252);
// compiled call node returning call2283 (depth = 3)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2286 = gc_frame_new();
// call case 4: self request
  Object call2287 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2286);
// compiled member node returning call2287 (depth = 5)
  int op_slot_right_2285 = gc_frame_newslot(call2287);
// starting to compile identifier node (depth = 5)
  Object bool2289 = alloc_Boolean(0);
// compiled identifier node returning bool2289 (depth = 5)
  int op_slot_left_2285 = gc_frame_newslot(bool2289);
  params[0] = call2287;
  partcv[0] = 1;
  Object opresult2290 = callmethod(bool2289, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2290 (depth = 4)
  Object if2284 = done;
  if (istrue(opresult2290)) {
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2292 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2294 = alloc_Float64(1);
// compiled num node returning num2294 (depth = 8)
  int op_slot_right_2293 = gc_frame_newslot(num2294);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2293 = gc_frame_newslot(*var_depth);
  params[0] = num2294;
  partcv[0] = 1;
  Object sum2296 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2296 (depth = 7)
  gc_frame_newslot(sum2296);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2297 = gc_frame_new();
// call case 4: self request
  Object call2298 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2297);
// compiled member node returning call2298 (depth = 7)
  params[0] = sum2296;
  partcv[0] = 1;
  Object call2299 = callmethodflags(call2298, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2292);
// compiled call node returning call2299 (depth = 6)
  int op_slot_right_2291 = gc_frame_newslot(call2299);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2302 == NULL) {
    strlit2302 = alloc_String("finally ");
    gc_root(strlit2302);
  }
// compiled string node returning strlit2302 (depth = 7)
  int op_slot_right_2301 = gc_frame_newslot(strlit2302);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2305 == NULL) {
    strlit2305 = alloc_String("    ");
    gc_root(strlit2305);
  }
// compiled string node returning strlit2305 (depth = 8)
  int op_slot_right_2304 = gc_frame_newslot(strlit2305);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2307 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2310 == NULL) {
    strlit2310 = alloc_String("""\x0a""");
    gc_root(strlit2310);
  }
// compiled string node returning strlit2310 (depth = 10)
  int op_slot_right_2309 = gc_frame_newslot(strlit2310);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2309 = gc_frame_newslot(*var_s);
  params[0] = strlit2310;
  partcv[0] = 1;
  Object opresult2312 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2312 (depth = 9)
  int op_slot_left_2307 = gc_frame_newslot(opresult2312);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2313 = callmethod(opresult2312, "++(1)", 1, partcv, params);
// compiled op node returning opresult2313 (depth = 8)
  int op_slot_left_2304 = gc_frame_newslot(opresult2313);
  params[0] = strlit2305;
  partcv[0] = 1;
  Object opresult2314 = callmethod(opresult2313, "++(1)", 1, partcv, params);
// compiled op node returning opresult2314 (depth = 7)
  int op_slot_left_2301 = gc_frame_newslot(opresult2314);
  params[0] = strlit2302;
  partcv[0] = 1;
  Object opresult2315 = callmethod(opresult2314, "++(1)", 1, partcv, params);
// compiled op node returning opresult2315 (depth = 6)
  int op_slot_left_2291 = gc_frame_newslot(opresult2315);
  params[0] = call2299;
  partcv[0] = 1;
  Object opresult2316 = callmethod(opresult2315, "++(1)", 1, partcv, params);
// compiled op node returning opresult2316 (depth = 5)
  *var_s = opresult2316;
  if (opresult2316 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2284 = done;
  } else {
  }
// compiled if node returning if2284 (depth = 3)
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy2318(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2319 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2320 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool2321 = alloc_Boolean(0);
// compiled identifier node returning bool2321 (depth = 5)
  gc_frame_newslot(bool2321);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tryCatchNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2321;
  partcv[0] = 3;
  Object call2322 = callmethodflags(*var_tryCatchNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe2320);
// compiled call node returning call2322 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2323 = callmethodflags(call2322, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2319);
// compiled call node returning call2323 (depth = 3)
  gc_frame_end(frame);
  return call2323;
}
Object meth_ast_new_40_3_41_2023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2024 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2024 = alloc_userobj2(13,11, objclass2024);
  gc_frame_newslot(obj2024);
if (objclass2024 == NULL) {
  glfree(obj2024->class->name);
  obj2024->class->name = "tryCatchNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2024, self, 0);
  addmethodreal(obj2024,"outer", &reader_ast_outer_2025);
  Object oldself2024 = self;
  struct StackFrameObject *oldstackframe2024 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2024);
  gc_frame_newslot((Object)stackframe);
  self = obj2024;
  Object *oldselfslot2024 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2024 = (*(struct UserObject *)self).data[0], lowerouter2024 = thisouter2024;
  if (inheritingObject2024) {
    struct UserObject *inho2024 = (struct UserObject *)inheritingObject2024;
    while (inho2024->super != GraceDefaultObject) inho2024 = (struct UserObject *)inho2024->super;
    inho2024->super = obj2024;
    self = inheritingObject2024;
    *selfslot = self;
    lowerouter2024 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2024;
  }
if (objclass2024 == NULL) {
  Method *reader2026 = addmethodrealflags(obj2024, "kind",&reader_ast_kind_2026, MFLAG_DEF);
  reader2026->definitionModule = modulename;
  reader2026->definitionLine = 451;
}
adddatum2(obj2024, alloc_Undefined(), 1);
if (objclass2024 == NULL) {
  Method *reader2027 = addmethodrealflags(obj2024, "value", &reader_ast_value_2027, 0);
  Method *writer2027 = addmethodrealflags(obj2024, "value:=(1)", &writer_ast_value_2027, 0);
  reader2027->definitionModule = modulename;
  writer2027->definitionModule = modulename;
  reader2027->definitionLine = 452;
  writer2027->definitionLine = 452;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 2);
if (objclass2024 == NULL) {
  Method *reader2028 = addmethodrealflags(obj2024, "cases", &reader_ast_cases_2028, 0);
  Method *writer2028 = addmethodrealflags(obj2024, "cases:=(1)", &writer_ast_cases_2028, 0);
  reader2028->definitionModule = modulename;
  writer2028->definitionModule = modulename;
  reader2028->definitionLine = 453;
  writer2028->definitionLine = 453;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 3);
if (objclass2024 == NULL) {
  Method *reader2029 = addmethodrealflags(obj2024, "finally", &reader_ast_finally_2029, 0);
  Method *writer2029 = addmethodrealflags(obj2024, "finally:=(1)", &writer_ast_finally_2029, 0);
  reader2029->definitionModule = modulename;
  writer2029->definitionModule = modulename;
  reader2029->definitionLine = 454;
  writer2029->definitionLine = 454;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2030 = (struct UserObject*)obj2024;
  uo2030->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2030 = addmethod2pos(obj2024, "isSimple", &meth_ast_isSimple2030, 5);
  int argcv_meth_ast_isSimple2030[] = {0};
  meth_meth_ast_isSimple2030->type = alloc_MethodType(1, argcv_meth_ast_isSimple2030);
  meth_meth_ast_isSimple2030->definitionModule = modulename;
  meth_meth_ast_isSimple2030->definitionLine = 455;
// method "accept(_)from(_)"
  struct UserObject *uo2032 = (struct UserObject*)obj2024;
  uo2032->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2032 = addmethod2pos(obj2024, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2032, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2032[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2032);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->definitionLine = 457;
// method "map(_)ancestors(_)"
  struct UserObject *uo2062 = (struct UserObject*)obj2024;
  uo2062->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062 = addmethod2pos(obj2024, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2062, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2062[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2062);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->definitionLine = 469;
// method "pretty(_)"
  struct UserObject *uo2095 = (struct UserObject*)obj2024;
  uo2095->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2095 = addmethod2pos(obj2024, "pretty(1)", &meth_ast_pretty_40_1_41_2095, 8);
  int argcv_meth_ast_pretty_40_1_41_2095[] = {1};
  meth_meth_ast_pretty_40_1_41_2095->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2095);
  meth_meth_ast_pretty_40_1_41_2095->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2095->definitionLine = 477;
// method "toGrace(_)"
  struct UserObject *uo2216 = (struct UserObject*)obj2024;
  uo2216->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2216 = addmethod2pos(obj2024, "toGrace(1)", &meth_ast_toGrace_40_1_41_2216, 9);
  int argcv_meth_ast_toGrace_40_1_41_2216[] = {1};
  meth_meth_ast_toGrace_40_1_41_2216->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2216);
meth_meth_ast_toGrace_40_1_41_2216->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2216->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2216->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2216->definitionLine = 492;
// method "shallowCopy"
  block_savedest(obj2024);
  Object closure2318 = createclosure(3, "shallowCopy");
  setclosureframe(closure2318, stackframe);
  addtoclosure(closure2318, var_nullNode);
  addtoclosure(closure2318, var_emptySeq);
  addtoclosure(closure2318, var_tryCatchNode);
  struct UserObject *uo2318 = (struct UserObject*)obj2024;
  uo2318->data[10] = (Object)closure2318;
  Method *meth_meth_ast_shallowCopy2318 = addmethod2pos(obj2024, "shallowCopy", &meth_ast_shallowCopy2318, 10);
  int argcv_meth_ast_shallowCopy2318[] = {0};
  meth_meth_ast_shallowCopy2318->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2318);
  meth_meth_ast_shallowCopy2318->definitionModule = modulename;
  meth_meth_ast_shallowCopy2318->definitionLine = 506;
  sourceObject = obj2024;
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2324 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2325 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2326 = gc_frame_new();
// call case 3: self.outer request
  Object call2327 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2326);
// compiled member node returning call2327 (depth = 5)
  Object call2328 = callmethodflags(call2327, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2325);
// compiled member node returning call2328 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2329 = callmethodflags(call2328, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2324);
// compiled call node returning call2329 (depth = 3)
  struct UserObject *obj2024_uo = (struct UserObject *)obj2024;
  obj2024_uo->super = call2329;
  sourceObject = obj2024;
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2330 == NULL) {
    strlit2330 = alloc_String("trycatch");
    gc_root(strlit2330);
  }
// compiled string node returning strlit2330 (depth = 3)
  adddatum2(obj2024, strlit2330, 1);
  sourceObject = obj2024;
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2024, *var_block, 2);
  sourceObject = obj2024;
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2024, *var_cases_39_, 3);
  sourceObject = obj2024;
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2024, *var_finally_39_, 4);
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  objclass2024 = obj2024->class;
  objclass2024->definitionModule = modulename;
  objclass2024->definitionLine = 449;
  (*(struct UserObject *)self).data[0] = lowerouter2024;
  self = oldself2024;
  selfslot = oldselfslot2024;
  stackframe = oldstackframe2024;
  gc_frame_end(frame);
  return obj2024;
}
Object meth_ast_new_40_3_41_2023_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2024 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2024 = alloc_userobj2(13,11, objclass2024);
  gc_frame_newslot(obj2024);
if (objclass2024 == NULL) {
  glfree(obj2024->class->name);
  obj2024->class->name = "tryCatchNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2024, self, 0);
  addmethodreal(obj2024,"outer", &reader_ast_outer_2025);
  Object oldself2024 = self;
  struct StackFrameObject *oldstackframe2024 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2024);
  gc_frame_newslot((Object)stackframe);
  self = obj2024;
  Object *oldselfslot2024 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2024 = (*(struct UserObject *)self).data[0], lowerouter2024 = thisouter2024;
  if (inheritingObject2024) {
    struct UserObject *inho2024 = (struct UserObject *)inheritingObject2024;
    while (inho2024->super != GraceDefaultObject) inho2024 = (struct UserObject *)inho2024->super;
    inho2024->super = obj2024;
    self = inheritingObject2024;
    *selfslot = self;
    lowerouter2024 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2024;
  }
if (objclass2024 == NULL) {
  Method *reader2026 = addmethodrealflags(obj2024, "kind",&reader_ast_kind_2026, MFLAG_DEF);
  reader2026->definitionModule = modulename;
  reader2026->definitionLine = 451;
}
adddatum2(obj2024, alloc_Undefined(), 1);
if (objclass2024 == NULL) {
  Method *reader2027 = addmethodrealflags(obj2024, "value", &reader_ast_value_2027, 0);
  Method *writer2027 = addmethodrealflags(obj2024, "value:=(1)", &writer_ast_value_2027, 0);
  reader2027->definitionModule = modulename;
  writer2027->definitionModule = modulename;
  reader2027->definitionLine = 452;
  writer2027->definitionLine = 452;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 2);
if (objclass2024 == NULL) {
  Method *reader2028 = addmethodrealflags(obj2024, "cases", &reader_ast_cases_2028, 0);
  Method *writer2028 = addmethodrealflags(obj2024, "cases:=(1)", &writer_ast_cases_2028, 0);
  reader2028->definitionModule = modulename;
  writer2028->definitionModule = modulename;
  reader2028->definitionLine = 453;
  writer2028->definitionLine = 453;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 3);
if (objclass2024 == NULL) {
  Method *reader2029 = addmethodrealflags(obj2024, "finally", &reader_ast_finally_2029, 0);
  Method *writer2029 = addmethodrealflags(obj2024, "finally:=(1)", &writer_ast_finally_2029, 0);
  reader2029->definitionModule = modulename;
  writer2029->definitionModule = modulename;
  reader2029->definitionLine = 454;
  writer2029->definitionLine = 454;
}
obj2024->flags |= OFLAG_MUTABLE;
adddatum2(obj2024, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2030 = (struct UserObject*)obj2024;
  uo2030->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2030 = addmethod2pos(obj2024, "isSimple", &meth_ast_isSimple2030, 5);
  int argcv_meth_ast_isSimple2030[] = {0};
  meth_meth_ast_isSimple2030->type = alloc_MethodType(1, argcv_meth_ast_isSimple2030);
  meth_meth_ast_isSimple2030->definitionModule = modulename;
  meth_meth_ast_isSimple2030->definitionLine = 455;
// method "accept(_)from(_)"
  struct UserObject *uo2032 = (struct UserObject*)obj2024;
  uo2032->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2032 = addmethod2pos(obj2024, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2032, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2032[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2032);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2032->definitionLine = 457;
// method "map(_)ancestors(_)"
  struct UserObject *uo2062 = (struct UserObject*)obj2024;
  uo2062->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062 = addmethod2pos(obj2024, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2062, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2062[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2062);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2062->definitionLine = 469;
// method "pretty(_)"
  struct UserObject *uo2095 = (struct UserObject*)obj2024;
  uo2095->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2095 = addmethod2pos(obj2024, "pretty(1)", &meth_ast_pretty_40_1_41_2095, 8);
  int argcv_meth_ast_pretty_40_1_41_2095[] = {1};
  meth_meth_ast_pretty_40_1_41_2095->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2095);
  meth_meth_ast_pretty_40_1_41_2095->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2095->definitionLine = 477;
// method "toGrace(_)"
  struct UserObject *uo2216 = (struct UserObject*)obj2024;
  uo2216->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2216 = addmethod2pos(obj2024, "toGrace(1)", &meth_ast_toGrace_40_1_41_2216, 9);
  int argcv_meth_ast_toGrace_40_1_41_2216[] = {1};
  meth_meth_ast_toGrace_40_1_41_2216->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2216);
meth_meth_ast_toGrace_40_1_41_2216->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2216->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2216->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2216->definitionLine = 492;
// method "shallowCopy"
  block_savedest(obj2024);
  Object closure2318 = createclosure(3, "shallowCopy");
  setclosureframe(closure2318, stackframe);
  addtoclosure(closure2318, var_nullNode);
  addtoclosure(closure2318, var_emptySeq);
  addtoclosure(closure2318, var_tryCatchNode);
  struct UserObject *uo2318 = (struct UserObject*)obj2024;
  uo2318->data[10] = (Object)closure2318;
  Method *meth_meth_ast_shallowCopy2318 = addmethod2pos(obj2024, "shallowCopy", &meth_ast_shallowCopy2318, 10);
  int argcv_meth_ast_shallowCopy2318[] = {0};
  meth_meth_ast_shallowCopy2318->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2318);
  meth_meth_ast_shallowCopy2318->definitionModule = modulename;
  meth_meth_ast_shallowCopy2318->definitionLine = 506;
  sourceObject = obj2024;
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2324 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2325 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2326 = gc_frame_new();
// call case 3: self.outer request
  Object call2327 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2326);
// compiled member node returning call2327 (depth = 5)
  Object call2328 = callmethodflags(call2327, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2325);
// compiled member node returning call2328 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2329 = callmethodflags(call2328, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2324);
// compiled call node returning call2329 (depth = 3)
  struct UserObject *obj2024_uo = (struct UserObject *)obj2024;
  obj2024_uo->super = call2329;
  sourceObject = obj2024;
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2330 == NULL) {
    strlit2330 = alloc_String("trycatch");
    gc_root(strlit2330);
  }
// compiled string node returning strlit2330 (depth = 3)
  adddatum2(obj2024, strlit2330, 1);
  sourceObject = obj2024;
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2024, *var_block, 2);
  sourceObject = obj2024;
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2024, *var_cases_39_, 3);
  sourceObject = obj2024;
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2024, *var_finally_39_, 4);
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  sourceObject = obj2024;
  objclass2024 = obj2024->class;
  objclass2024->definitionModule = modulename;
  objclass2024->definitionLine = 449;
  (*(struct UserObject *)self).data[0] = lowerouter2024;
  self = oldself2024;
  selfslot = oldselfslot2024;
  stackframe = oldstackframe2024;
  gc_frame_end(frame);
  return obj2024;
}
Object meth_ast_tryCatchNode2332(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tryCatchNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tryCatchNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tryCatchNode (depth = 3)
  gc_frame_end(frame);
  return *var_tryCatchNode;
}
Object meth_ast_isSimple2342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2343 = alloc_Boolean(0);
// compiled identifier node returning bool2343 (depth = 3)
  gc_frame_end(frame);
  return bool2343;
}
Object meth_ast_matchee2344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "matchee");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2345 = gc_frame_new();
// call case 4: self request
  Object call2346 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2345);
// compiled member node returning call2346 (depth = 3)
  gc_frame_end(frame);
  return call2346;
}
Object meth_ast__apply_40_1_41_2361(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2362 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2363 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2362);
// compiled call node returning call2363 (depth = 6)
  gc_frame_end(frame);
  return call2363;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2347(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2349 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2350 = callmethodflags(*var_visitor, "visitMatchCase(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2349);
// compiled call node returning call2350 (depth = 4)
  Object if2348 = done;
  if (istrue(call2350)) {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2351 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2352 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2351);
// compiled call node returning call2352 (depth = 5)
  *var_newChain = call2352;
  if (call2352 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2353 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2354 = gc_frame_new();
// call case 4: self request
  Object call2355 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2354);
// compiled member node returning call2355 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2356 = callmethodflags(call2355, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2353);
// compiled call node returning call2356 (depth = 4)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2357 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2358 = gc_frame_new();
// call case 4: self request
  Object call2359 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2358);
// compiled member node returning call2359 (depth = 5)
  gc_frame_newslot(call2359);
// starting to compile block node (depth = 5)
  Object block2360 = alloc_Block(NULL, NULL, "ast", 524);
  gc_frame_newslot(block2360);
// method "_apply(_)"
  block_savedest(block2360);
  Object closure2361 = createclosure(3, "_apply(1)");
  setclosureframe(closure2361, stackframe);
  addtoclosure(closure2361, var_visitor);
  addtoclosure(closure2361, var_newChain);
  addtoclosure(closure2361, selfslot);
  struct UserObject *uo2361 = (struct UserObject*)block2360;
  uo2361->data[0] = (Object)closure2361;
  Method *meth_meth_ast__apply_40_1_41_2361 = addmethod2pos(block2360, "_apply(1)", &meth_ast__apply_40_1_41_2361, 0);
  int argcv_meth_ast__apply_40_1_41_2361[] = {1};
  meth_meth_ast__apply_40_1_41_2361->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2361);
  meth_meth_ast__apply_40_1_41_2361->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2361->definitionLine = 2984;
// compiled block node returning block2360 (depth = 5)
  gc_frame_newslot(block2360);
// call case 5: prelude request
  params[0] = call2359;
  params[1] = block2360;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2365 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2357);
// compiled call node returning call2365 (depth = 4)
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2368 = gc_frame_new();
// call case 4: self request
  Object call2369 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2368);
// compiled member node returning call2369 (depth = 6)
  int op_slot_right_2367 = gc_frame_newslot(call2369);
// starting to compile identifier node (depth = 6)
  Object bool2371 = alloc_Boolean(0);
// compiled identifier node returning bool2371 (depth = 6)
  int op_slot_left_2367 = gc_frame_newslot(bool2371);
  params[0] = call2369;
  partcv[0] = 1;
  Object opresult2372 = callmethod(bool2371, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2372 (depth = 5)
  Object if2366 = done;
  if (istrue(opresult2372)) {
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2373 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2374 = gc_frame_new();
// call case 4: self request
  Object call2375 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2374);
// compiled member node returning call2375 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2376 = callmethodflags(call2375, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2373);
// compiled call node returning call2376 (depth = 5)
    gc_frame_newslot(call2376);
    if2366 = call2376;
  } else {
  }
// compiled if node returning if2366 (depth = 4)
    gc_frame_newslot(if2366);
    if2348 = if2366;
  } else {
  }
// compiled if node returning if2348 (depth = 3)
  gc_frame_end(frame);
  return if2348;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2377(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2378 = gc_frame_new();
// call case 4: self request
  Object call2379 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2378);
// compiled member node returning call2379 (depth = 4)
  *var_n = call2379;
  if (call2379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2380 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2381 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2380);
// compiled call node returning call2381 (depth = 4)
  *var_newChain = call2381;
  if (call2381 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2382 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2383 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2384 = gc_frame_new();
// call case 4: self request
  Object call2385 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2384);
// compiled member node returning call2385 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2386 = callmethodflags(call2385, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2383);
// compiled call node returning call2386 (depth = 4)
  gc_frame_newslot(call2386);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2386;
  partcv[0] = 1;
  Object call2387 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2382);
// compiled call node returning call2387 (depth = 3)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2388 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2389 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2390 = gc_frame_new();
// call case 4: self request
  Object call2391 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled member node returning call2391 (depth = 5)
  gc_frame_newslot(call2391);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2392 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2393 = gc_frame_new();
// call case 3: self.outer request
  Object call2394 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2393);
// compiled member node returning call2394 (depth = 6)
  Object call2395 = callmethodflags(call2394, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2392);
// compiled member node returning call2395 (depth = 5)
  params[0] = call2391;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2396 = callmethodflags(call2395, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2389);
// compiled call node returning call2396 (depth = 4)
  gc_frame_newslot(call2396);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2396;
  partcv[0] = 1;
  Object call2397 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2388);
// compiled call node returning call2397 (depth = 3)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2398 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2399 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2400 = gc_frame_new();
// call case 4: self request
  Object call2401 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2400);
// compiled member node returning call2401 (depth = 5)
  gc_frame_newslot(call2401);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2403 = gc_frame_new();
// call case 3: self.outer request
  Object call2404 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2403);
// compiled member node returning call2404 (depth = 6)
  Object call2405 = callmethodflags(call2404, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2402);
// compiled member node returning call2405 (depth = 5)
  params[0] = call2401;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2406 = callmethodflags(call2405, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2399);
// compiled call node returning call2406 (depth = 4)
  gc_frame_newslot(call2406);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2406;
  partcv[0] = 1;
  Object call2407 = callmethodflags(*var_n, "elsecase:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2398);
// compiled call node returning call2407 (depth = 3)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2408 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2409 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2408);
// compiled call node returning call2409 (depth = 3)
  gc_frame_end(frame);
  return call2409;
}
Object meth_ast__apply_40_1_41_2418(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2420 == NULL) {
    strlit2420 = alloc_String("  ");
    gc_root(strlit2420);
  }
// compiled string node returning strlit2420 (depth = 7)
  int op_slot_right_2419 = gc_frame_newslot(strlit2420);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2419 = gc_frame_newslot(*var_spc);
  params[0] = strlit2420;
  partcv[0] = 1;
  Object opresult2422 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2422 (depth = 6)
  *var_spc = opresult2422;
  if (opresult2422 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2451(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2454 == NULL) {
    strlit2454 = alloc_String("");
    gc_root(strlit2454);
  }
// compiled string node returning strlit2454 (depth = 8)
  int op_slot_right_2453 = gc_frame_newslot(strlit2454);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2457 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2459 = alloc_Float64(2);
// compiled num node returning num2459 (depth = 11)
  int op_slot_right_2458 = gc_frame_newslot(num2459);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2458 = gc_frame_newslot(*var_depth);
  params[0] = num2459;
  partcv[0] = 1;
  Object sum2461 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2461 (depth = 10)
  gc_frame_newslot(sum2461);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2461;
  partcv[0] = 1;
  Object call2462 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2457);
// compiled call node returning call2462 (depth = 9)
  int op_slot_right_2456 = gc_frame_newslot(call2462);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2465 == NULL) {
    strlit2465 = alloc_String("  ");
    gc_root(strlit2465);
  }
// compiled string node returning strlit2465 (depth = 10)
  int op_slot_right_2464 = gc_frame_newslot(strlit2465);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2467 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2470 == NULL) {
    strlit2470 = alloc_String("Case:""\x0a""");
    gc_root(strlit2470);
  }
// compiled string node returning strlit2470 (depth = 12)
  int op_slot_right_2469 = gc_frame_newslot(strlit2470);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2472 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2474 == NULL) {
    strlit2474 = alloc_String("""\x0a""");
    gc_root(strlit2474);
  }
// compiled string node returning strlit2474 (depth = 13)
  int op_slot_left_2472 = gc_frame_newslot(strlit2474);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2475 = callmethod(strlit2474, "++(1)", 1, partcv, params);
// compiled op node returning opresult2475 (depth = 12)
  int op_slot_left_2469 = gc_frame_newslot(opresult2475);
  params[0] = strlit2470;
  partcv[0] = 1;
  Object opresult2476 = callmethod(opresult2475, "++(1)", 1, partcv, params);
// compiled op node returning opresult2476 (depth = 11)
  int op_slot_left_2467 = gc_frame_newslot(opresult2476);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2477 = callmethod(opresult2476, "++(1)", 1, partcv, params);
// compiled op node returning opresult2477 (depth = 10)
  int op_slot_left_2464 = gc_frame_newslot(opresult2477);
  params[0] = strlit2465;
  partcv[0] = 1;
  Object opresult2478 = callmethod(opresult2477, "++(1)", 1, partcv, params);
// compiled op node returning opresult2478 (depth = 9)
  int op_slot_left_2456 = gc_frame_newslot(opresult2478);
  params[0] = call2462;
  partcv[0] = 1;
  Object opresult2479 = callmethod(opresult2478, "++(1)", 1, partcv, params);
// compiled op node returning opresult2479 (depth = 8)
  int op_slot_left_2453 = gc_frame_newslot(opresult2479);
  params[0] = strlit2454;
  partcv[0] = 1;
  Object opresult2480 = callmethod(opresult2479, "++(1)", 1, partcv, params);
// compiled op node returning opresult2480 (depth = 7)
  int op_slot_right_2452 = gc_frame_newslot(opresult2480);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2452 = gc_frame_newslot(*var_s);
  params[0] = opresult2480;
  partcv[0] = 1;
  Object opresult2482 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2482 (depth = 6)
  *var_s = opresult2482;
  if (opresult2482 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2410(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2411 == NULL) {
    strlit2411 = alloc_String("");
    gc_root(strlit2411);
  }
// compiled string node returning strlit2411 (depth = 4)
  *var_spc = strlit2411;
  if (strlit2411 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2412 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2413 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2415 = alloc_Float64(0);
// compiled num node returning num2415 (depth = 5)
  int op_slot_left_2413 = gc_frame_newslot(num2415);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2416 = callmethod(num2415, "..(1)", 1, partcv, params);
// compiled op node returning opresult2416 (depth = 4)
  gc_frame_newslot(opresult2416);
// starting to compile block node (depth = 4)
  Object block2417 = alloc_Block(NULL, NULL, "ast", 542);
  gc_frame_newslot(block2417);
// method "_apply(_)"
  block_savedest(block2417);
  Object closure2418 = createclosure(2, "_apply(1)");
  setclosureframe(closure2418, stackframe);
  addtoclosure(closure2418, var_spc);
  addtoclosure(closure2418, selfslot);
  struct UserObject *uo2418 = (struct UserObject*)block2417;
  uo2418->data[0] = (Object)closure2418;
  Method *meth_meth_ast__apply_40_1_41_2418 = addmethod2pos(block2417, "_apply(1)", &meth_ast__apply_40_1_41_2418, 0);
  int argcv_meth_ast__apply_40_1_41_2418[] = {1};
  meth_meth_ast__apply_40_1_41_2418->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2418);
  meth_meth_ast__apply_40_1_41_2418->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2418->definitionLine = 2984;
// compiled block node returning block2417 (depth = 4)
  gc_frame_newslot(block2417);
// call case 5: prelude request
  params[0] = opresult2416;
  params[1] = block2417;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2425 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2412);
// compiled call node returning call2425 (depth = 3)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2427 == NULL) {
    strlit2427 = alloc_String("""\x0a""");
    gc_root(strlit2427);
  }
// compiled string node returning strlit2427 (depth = 5)
  int op_slot_right_2426 = gc_frame_newslot(strlit2427);
// starting to compile call node (depth = 5)
  int callframe2429 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2430 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2429);
// compiled call node returning call2430 (depth = 5)
  int op_slot_left_2426 = gc_frame_newslot(call2430);
  params[0] = strlit2427;
  partcv[0] = 1;
  Object opresult2431 = callmethod(call2430, "++(1)", 1, partcv, params);
// compiled op node returning opresult2431 (depth = 4)
  *var_s = opresult2431;
  if (opresult2431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2433 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2435 = alloc_Float64(2);
// compiled num node returning num2435 (depth = 7)
  int op_slot_right_2434 = gc_frame_newslot(num2435);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2434 = gc_frame_newslot(*var_depth);
  params[0] = num2435;
  partcv[0] = 1;
  Object sum2437 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2437 (depth = 6)
  gc_frame_newslot(sum2437);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2438 = gc_frame_new();
// call case 4: self request
  Object call2439 = callmethodflags(self, "matchee", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2438);
// compiled member node returning call2439 (depth = 6)
  params[0] = sum2437;
  partcv[0] = 1;
  Object call2440 = callmethodflags(call2439, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2433);
// compiled call node returning call2440 (depth = 5)
  int op_slot_right_2432 = gc_frame_newslot(call2440);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2442 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2442 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2444 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2444 (depth = 5)
  int op_slot_left_2432 = gc_frame_newslot(opresult2444);
  params[0] = call2440;
  partcv[0] = 1;
  Object opresult2445 = callmethod(opresult2444, "++(1)", 1, partcv, params);
// compiled op node returning opresult2445 (depth = 4)
  *var_s = opresult2445;
  if (opresult2445 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2447 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2448 = gc_frame_new();
// call case 4: self request
  Object call2449 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2448);
// compiled member node returning call2449 (depth = 4)
  gc_frame_newslot(call2449);
// starting to compile block node (depth = 4)
  Object block2450 = alloc_Block(NULL, NULL, "ast", 547);
  gc_frame_newslot(block2450);
// method "_apply(_)"
  block_savedest(block2450);
  Object closure2451 = createclosure(4, "_apply(1)");
  setclosureframe(closure2451, stackframe);
  addtoclosure(closure2451, var_depth);
  addtoclosure(closure2451, var_spc);
  addtoclosure(closure2451, var_s);
  addtoclosure(closure2451, selfslot);
  struct UserObject *uo2451 = (struct UserObject*)block2450;
  uo2451->data[0] = (Object)closure2451;
  Method *meth_meth_ast__apply_40_1_41_2451 = addmethod2pos(block2450, "_apply(1)", &meth_ast__apply_40_1_41_2451, 0);
  int argcv_meth_ast__apply_40_1_41_2451[] = {1};
  meth_meth_ast__apply_40_1_41_2451->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2451);
  meth_meth_ast__apply_40_1_41_2451->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2451->definitionLine = 2984;
// compiled block node returning block2450 (depth = 4)
  gc_frame_newslot(block2450);
// call case 5: prelude request
  params[0] = call2449;
  params[1] = block2450;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2485 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2447);
// compiled call node returning call2485 (depth = 3)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2488 = gc_frame_new();
// call case 4: self request
  Object call2489 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2488);
// compiled member node returning call2489 (depth = 5)
  int op_slot_right_2487 = gc_frame_newslot(call2489);
// starting to compile identifier node (depth = 5)
  Object bool2491 = alloc_Boolean(0);
// compiled identifier node returning bool2491 (depth = 5)
  int op_slot_left_2487 = gc_frame_newslot(bool2491);
  params[0] = call2489;
  partcv[0] = 1;
  Object opresult2492 = callmethod(bool2491, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2492 (depth = 4)
  Object if2486 = done;
  if (istrue(opresult2492)) {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2495 == NULL) {
    strlit2495 = alloc_String("");
    gc_root(strlit2495);
  }
// compiled string node returning strlit2495 (depth = 7)
  int op_slot_right_2494 = gc_frame_newslot(strlit2495);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2498 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2500 = alloc_Float64(2);
// compiled num node returning num2500 (depth = 10)
  int op_slot_right_2499 = gc_frame_newslot(num2500);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2499 = gc_frame_newslot(*var_depth);
  params[0] = num2500;
  partcv[0] = 1;
  Object sum2502 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2502 (depth = 9)
  gc_frame_newslot(sum2502);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2503 = gc_frame_new();
// call case 4: self request
  Object call2504 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2503);
// compiled member node returning call2504 (depth = 9)
  params[0] = sum2502;
  partcv[0] = 1;
  Object call2505 = callmethodflags(call2504, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2498);
// compiled call node returning call2505 (depth = 8)
  int op_slot_right_2497 = gc_frame_newslot(call2505);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2508 == NULL) {
    strlit2508 = alloc_String("  ");
    gc_root(strlit2508);
  }
// compiled string node returning strlit2508 (depth = 9)
  int op_slot_right_2507 = gc_frame_newslot(strlit2508);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2510 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2513 == NULL) {
    strlit2513 = alloc_String("Else:""\x0a""");
    gc_root(strlit2513);
  }
// compiled string node returning strlit2513 (depth = 11)
  int op_slot_right_2512 = gc_frame_newslot(strlit2513);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2515 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 12)
  if (strlit2517 == NULL) {
    strlit2517 = alloc_String("""\x0a""");
    gc_root(strlit2517);
  }
// compiled string node returning strlit2517 (depth = 12)
  int op_slot_left_2515 = gc_frame_newslot(strlit2517);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2518 = callmethod(strlit2517, "++(1)", 1, partcv, params);
// compiled op node returning opresult2518 (depth = 11)
  int op_slot_left_2512 = gc_frame_newslot(opresult2518);
  params[0] = strlit2513;
  partcv[0] = 1;
  Object opresult2519 = callmethod(opresult2518, "++(1)", 1, partcv, params);
// compiled op node returning opresult2519 (depth = 10)
  int op_slot_left_2510 = gc_frame_newslot(opresult2519);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2520 = callmethod(opresult2519, "++(1)", 1, partcv, params);
// compiled op node returning opresult2520 (depth = 9)
  int op_slot_left_2507 = gc_frame_newslot(opresult2520);
  params[0] = strlit2508;
  partcv[0] = 1;
  Object opresult2521 = callmethod(opresult2520, "++(1)", 1, partcv, params);
// compiled op node returning opresult2521 (depth = 8)
  int op_slot_left_2497 = gc_frame_newslot(opresult2521);
  params[0] = call2505;
  partcv[0] = 1;
  Object opresult2522 = callmethod(opresult2521, "++(1)", 1, partcv, params);
// compiled op node returning opresult2522 (depth = 7)
  int op_slot_left_2494 = gc_frame_newslot(opresult2522);
  params[0] = strlit2495;
  partcv[0] = 1;
  Object opresult2523 = callmethod(opresult2522, "++(1)", 1, partcv, params);
// compiled op node returning opresult2523 (depth = 6)
  int op_slot_right_2493 = gc_frame_newslot(opresult2523);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2493 = gc_frame_newslot(*var_s);
  params[0] = opresult2523;
  partcv[0] = 1;
  Object opresult2525 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2525 (depth = 5)
  *var_s = opresult2525;
  if (opresult2525 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2486 = done;
  } else {
  }
// compiled if node returning if2486 (depth = 3)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2539(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2541 == NULL) {
    strlit2541 = alloc_String("    ");
    gc_root(strlit2541);
  }
// compiled string node returning strlit2541 (depth = 7)
  int op_slot_right_2540 = gc_frame_newslot(strlit2541);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2540 = gc_frame_newslot(*var_spc);
  params[0] = strlit2541;
  partcv[0] = 1;
  Object opresult2543 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2543 (depth = 6)
  *var_spc = opresult2543;
  if (opresult2543 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2564(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2566 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2568 = alloc_Float64(2);
// compiled num node returning num2568 (depth = 9)
  int op_slot_right_2567 = gc_frame_newslot(num2568);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2567 = gc_frame_newslot(*var_depth);
  params[0] = num2568;
  partcv[0] = 1;
  Object sum2570 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2570 (depth = 8)
  gc_frame_newslot(sum2570);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2570;
  partcv[0] = 1;
  Object call2571 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2566);
// compiled call node returning call2571 (depth = 7)
  int op_slot_right_2565 = gc_frame_newslot(call2571);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2574 == NULL) {
    strlit2574 = alloc_String("case ");
    gc_root(strlit2574);
  }
// compiled string node returning strlit2574 (depth = 8)
  int op_slot_right_2573 = gc_frame_newslot(strlit2574);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2577 == NULL) {
    strlit2577 = alloc_String("    ");
    gc_root(strlit2577);
  }
// compiled string node returning strlit2577 (depth = 9)
  int op_slot_right_2576 = gc_frame_newslot(strlit2577);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2579 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2582 == NULL) {
    strlit2582 = alloc_String("""\x0a""");
    gc_root(strlit2582);
  }
// compiled string node returning strlit2582 (depth = 11)
  int op_slot_right_2581 = gc_frame_newslot(strlit2582);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2581 = gc_frame_newslot(*var_s);
  params[0] = strlit2582;
  partcv[0] = 1;
  Object opresult2584 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2584 (depth = 10)
  int op_slot_left_2579 = gc_frame_newslot(opresult2584);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2585 = callmethod(opresult2584, "++(1)", 1, partcv, params);
// compiled op node returning opresult2585 (depth = 9)
  int op_slot_left_2576 = gc_frame_newslot(opresult2585);
  params[0] = strlit2577;
  partcv[0] = 1;
  Object opresult2586 = callmethod(opresult2585, "++(1)", 1, partcv, params);
// compiled op node returning opresult2586 (depth = 8)
  int op_slot_left_2573 = gc_frame_newslot(opresult2586);
  params[0] = strlit2574;
  partcv[0] = 1;
  Object opresult2587 = callmethod(opresult2586, "++(1)", 1, partcv, params);
// compiled op node returning opresult2587 (depth = 7)
  int op_slot_left_2565 = gc_frame_newslot(opresult2587);
  params[0] = call2571;
  partcv[0] = 1;
  Object opresult2588 = callmethod(opresult2587, "++(1)", 1, partcv, params);
// compiled op node returning opresult2588 (depth = 6)
  *var_s = opresult2588;
  if (opresult2588 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2527(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2528 == NULL) {
    strlit2528 = alloc_String("");
    gc_root(strlit2528);
  }
// compiled string node returning strlit2528 (depth = 4)
  *var_spc = strlit2528;
  if (strlit2528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2529 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2532 = alloc_Float64(1);
// compiled num node returning num2532 (depth = 6)
  int op_slot_right_2531 = gc_frame_newslot(num2532);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2531 = gc_frame_newslot(*var_depth);
  params[0] = num2532;
  partcv[0] = 1;
  Object diff2534 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff2534 (depth = 5)
  int op_slot_right_2530 = gc_frame_newslot(diff2534);
// starting to compile num node (depth = 5)
  Object num2536 = alloc_Float64(0);
// compiled num node returning num2536 (depth = 5)
  int op_slot_left_2530 = gc_frame_newslot(num2536);
  params[0] = diff2534;
  partcv[0] = 1;
  Object opresult2537 = callmethod(num2536, "..(1)", 1, partcv, params);
// compiled op node returning opresult2537 (depth = 4)
  gc_frame_newslot(opresult2537);
// starting to compile block node (depth = 4)
  Object block2538 = alloc_Block(NULL, NULL, "ast", 557);
  gc_frame_newslot(block2538);
// method "_apply(_)"
  block_savedest(block2538);
  Object closure2539 = createclosure(2, "_apply(1)");
  setclosureframe(closure2539, stackframe);
  addtoclosure(closure2539, var_spc);
  addtoclosure(closure2539, selfslot);
  struct UserObject *uo2539 = (struct UserObject*)block2538;
  uo2539->data[0] = (Object)closure2539;
  Method *meth_meth_ast__apply_40_1_41_2539 = addmethod2pos(block2538, "_apply(1)", &meth_ast__apply_40_1_41_2539, 0);
  int argcv_meth_ast__apply_40_1_41_2539[] = {1};
  meth_meth_ast__apply_40_1_41_2539->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2539);
  meth_meth_ast__apply_40_1_41_2539->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2539->definitionLine = 2984;
// compiled block node returning block2538 (depth = 4)
  gc_frame_newslot(block2538);
// call case 5: prelude request
  params[0] = opresult2537;
  params[1] = block2538;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2546 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2529);
// compiled call node returning call2546 (depth = 3)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2548 == NULL) {
    strlit2548 = alloc_String(")");
    gc_root(strlit2548);
  }
// compiled string node returning strlit2548 (depth = 5)
  int op_slot_right_2547 = gc_frame_newslot(strlit2548);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2551 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num2552 = alloc_Float64(0);
// compiled num node returning num2552 (depth = 7)
  gc_frame_newslot(num2552);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2553 = gc_frame_new();
// call case 4: self request
  Object call2554 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2553);
// compiled member node returning call2554 (depth = 7)
  params[0] = num2552;
  partcv[0] = 1;
  Object call2555 = callmethodflags(call2554, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2551);
// compiled call node returning call2555 (depth = 6)
  int op_slot_right_2550 = gc_frame_newslot(call2555);
// starting to compile string node (depth = 6)
  if (strlit2557 == NULL) {
    strlit2557 = alloc_String("match(");
    gc_root(strlit2557);
  }
// compiled string node returning strlit2557 (depth = 6)
  int op_slot_left_2550 = gc_frame_newslot(strlit2557);
  params[0] = call2555;
  partcv[0] = 1;
  Object opresult2558 = callmethod(strlit2557, "++(1)", 1, partcv, params);
// compiled op node returning opresult2558 (depth = 5)
  int op_slot_left_2547 = gc_frame_newslot(opresult2558);
  params[0] = strlit2548;
  partcv[0] = 1;
  Object opresult2559 = callmethod(opresult2558, "++(1)", 1, partcv, params);
// compiled op node returning opresult2559 (depth = 4)
  *var_s = opresult2559;
  if (opresult2559 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2560 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2561 = gc_frame_new();
// call case 4: self request
  Object call2562 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2561);
// compiled member node returning call2562 (depth = 4)
  gc_frame_newslot(call2562);
// starting to compile block node (depth = 4)
  Object block2563 = alloc_Block(NULL, NULL, "ast", 561);
  gc_frame_newslot(block2563);
// method "_apply(_)"
  block_savedest(block2563);
  Object closure2564 = createclosure(4, "_apply(1)");
  setclosureframe(closure2564, stackframe);
  addtoclosure(closure2564, var_depth);
  addtoclosure(closure2564, var_spc);
  addtoclosure(closure2564, var_s);
  addtoclosure(closure2564, selfslot);
  struct UserObject *uo2564 = (struct UserObject*)block2563;
  uo2564->data[0] = (Object)closure2564;
  Method *meth_meth_ast__apply_40_1_41_2564 = addmethod2pos(block2563, "_apply(1)", &meth_ast__apply_40_1_41_2564, 0);
  int argcv_meth_ast__apply_40_1_41_2564[] = {1};
  meth_meth_ast__apply_40_1_41_2564->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2564);
  meth_meth_ast__apply_40_1_41_2564->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2564->definitionLine = 2984;
// compiled block node returning block2563 (depth = 4)
  gc_frame_newslot(block2563);
// call case 5: prelude request
  params[0] = call2562;
  params[1] = block2563;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2591 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2560);
// compiled call node returning call2591 (depth = 3)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2594 = gc_frame_new();
// call case 4: self request
  Object call2595 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2594);
// compiled member node returning call2595 (depth = 5)
  int op_slot_right_2593 = gc_frame_newslot(call2595);
// starting to compile identifier node (depth = 5)
  Object bool2597 = alloc_Boolean(0);
// compiled identifier node returning bool2597 (depth = 5)
  int op_slot_left_2593 = gc_frame_newslot(bool2597);
  params[0] = call2595;
  partcv[0] = 1;
  Object opresult2598 = callmethod(bool2597, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2598 (depth = 4)
  Object if2592 = done;
  if (istrue(opresult2598)) {
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2600 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2602 = alloc_Float64(2);
// compiled num node returning num2602 (depth = 8)
  int op_slot_right_2601 = gc_frame_newslot(num2602);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2601 = gc_frame_newslot(*var_depth);
  params[0] = num2602;
  partcv[0] = 1;
  Object sum2604 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2604 (depth = 7)
  gc_frame_newslot(sum2604);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2605 = gc_frame_new();
// call case 4: self request
  Object call2606 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2605);
// compiled member node returning call2606 (depth = 7)
  params[0] = sum2604;
  partcv[0] = 1;
  Object call2607 = callmethodflags(call2606, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2600);
// compiled call node returning call2607 (depth = 6)
  int op_slot_right_2599 = gc_frame_newslot(call2607);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2610 == NULL) {
    strlit2610 = alloc_String("else ");
    gc_root(strlit2610);
  }
// compiled string node returning strlit2610 (depth = 7)
  int op_slot_right_2609 = gc_frame_newslot(strlit2610);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2613 == NULL) {
    strlit2613 = alloc_String("    ");
    gc_root(strlit2613);
  }
// compiled string node returning strlit2613 (depth = 8)
  int op_slot_right_2612 = gc_frame_newslot(strlit2613);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2615 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2618 == NULL) {
    strlit2618 = alloc_String("""\x0a""");
    gc_root(strlit2618);
  }
// compiled string node returning strlit2618 (depth = 10)
  int op_slot_right_2617 = gc_frame_newslot(strlit2618);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2617 = gc_frame_newslot(*var_s);
  params[0] = strlit2618;
  partcv[0] = 1;
  Object opresult2620 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2620 (depth = 9)
  int op_slot_left_2615 = gc_frame_newslot(opresult2620);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2621 = callmethod(opresult2620, "++(1)", 1, partcv, params);
// compiled op node returning opresult2621 (depth = 8)
  int op_slot_left_2612 = gc_frame_newslot(opresult2621);
  params[0] = strlit2613;
  partcv[0] = 1;
  Object opresult2622 = callmethod(opresult2621, "++(1)", 1, partcv, params);
// compiled op node returning opresult2622 (depth = 7)
  int op_slot_left_2609 = gc_frame_newslot(opresult2622);
  params[0] = strlit2610;
  partcv[0] = 1;
  Object opresult2623 = callmethod(opresult2622, "++(1)", 1, partcv, params);
// compiled op node returning opresult2623 (depth = 6)
  int op_slot_left_2599 = gc_frame_newslot(opresult2623);
  params[0] = call2607;
  partcv[0] = 1;
  Object opresult2624 = callmethod(opresult2623, "++(1)", 1, partcv, params);
// compiled op node returning opresult2624 (depth = 5)
  *var_s = opresult2624;
  if (opresult2624 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2592 = done;
  } else {
  }
// compiled if node returning if2592 (depth = 3)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy2626(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2627 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2628 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool2629 = alloc_Boolean(0);
// compiled identifier node returning bool2629 (depth = 5)
  gc_frame_newslot(bool2629);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchCaseNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2629;
  partcv[0] = 3;
  Object call2630 = callmethodflags(*var_matchCaseNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe2628);
// compiled call node returning call2630 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2631 = callmethodflags(call2630, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2627);
// compiled call node returning call2631 (depth = 3)
  gc_frame_end(frame);
  return call2631;
}
Object meth_ast_new_40_3_41_2335(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2336 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2336 = alloc_userobj2(14,12, objclass2336);
  gc_frame_newslot(obj2336);
if (objclass2336 == NULL) {
  glfree(obj2336->class->name);
  obj2336->class->name = "matchCaseNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2336, self, 0);
  addmethodreal(obj2336,"outer", &reader_ast_outer_2337);
  Object oldself2336 = self;
  struct StackFrameObject *oldstackframe2336 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2336);
  gc_frame_newslot((Object)stackframe);
  self = obj2336;
  Object *oldselfslot2336 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2336 = (*(struct UserObject *)self).data[0], lowerouter2336 = thisouter2336;
  if (inheritingObject2336) {
    struct UserObject *inho2336 = (struct UserObject *)inheritingObject2336;
    while (inho2336->super != GraceDefaultObject) inho2336 = (struct UserObject *)inho2336->super;
    inho2336->super = obj2336;
    self = inheritingObject2336;
    *selfslot = self;
    lowerouter2336 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2336;
  }
if (objclass2336 == NULL) {
  Method *reader2338 = addmethodrealflags(obj2336, "kind",&reader_ast_kind_2338, MFLAG_DEF);
  reader2338->definitionModule = modulename;
  reader2338->definitionLine = 514;
}
adddatum2(obj2336, alloc_Undefined(), 1);
if (objclass2336 == NULL) {
  Method *reader2339 = addmethodrealflags(obj2336, "value", &reader_ast_value_2339, 0);
  Method *writer2339 = addmethodrealflags(obj2336, "value:=(1)", &writer_ast_value_2339, 0);
  reader2339->definitionModule = modulename;
  writer2339->definitionModule = modulename;
  reader2339->definitionLine = 515;
  writer2339->definitionLine = 515;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 2);
if (objclass2336 == NULL) {
  Method *reader2340 = addmethodrealflags(obj2336, "cases", &reader_ast_cases_2340, 0);
  Method *writer2340 = addmethodrealflags(obj2336, "cases:=(1)", &writer_ast_cases_2340, 0);
  reader2340->definitionModule = modulename;
  writer2340->definitionModule = modulename;
  reader2340->definitionLine = 516;
  writer2340->definitionLine = 516;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 3);
if (objclass2336 == NULL) {
  Method *reader2341 = addmethodrealflags(obj2336, "elsecase", &reader_ast_elsecase_2341, 0);
  Method *writer2341 = addmethodrealflags(obj2336, "elsecase:=(1)", &writer_ast_elsecase_2341, 0);
  reader2341->definitionModule = modulename;
  writer2341->definitionModule = modulename;
  reader2341->definitionLine = 517;
  writer2341->definitionLine = 517;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2342 = (struct UserObject*)obj2336;
  uo2342->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2342 = addmethod2pos(obj2336, "isSimple", &meth_ast_isSimple2342, 5);
  int argcv_meth_ast_isSimple2342[] = {0};
  meth_meth_ast_isSimple2342->type = alloc_MethodType(1, argcv_meth_ast_isSimple2342);
  meth_meth_ast_isSimple2342->definitionModule = modulename;
  meth_meth_ast_isSimple2342->definitionLine = 518;
// method "matchee"
  struct UserObject *uo2344 = (struct UserObject*)obj2336;
  uo2344->data[6] = emptyclosure;
  Method *meth_meth_ast_matchee2344 = addmethod2pos(obj2336, "matchee", &meth_ast_matchee2344, 6);
  int argcv_meth_ast_matchee2344[] = {0};
  meth_meth_ast_matchee2344->type = alloc_MethodType(1, argcv_meth_ast_matchee2344);
  meth_meth_ast_matchee2344->definitionModule = modulename;
  meth_meth_ast_matchee2344->definitionLine = 519;
// method "accept(_)from(_)"
  struct UserObject *uo2347 = (struct UserObject*)obj2336;
  uo2347->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2347 = addmethod2pos(obj2336, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2347, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2347[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2347);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->definitionLine = 520;
// method "map(_)ancestors(_)"
  struct UserObject *uo2377 = (struct UserObject*)obj2336;
  uo2377->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377 = addmethod2pos(obj2336, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2377, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2377[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2377);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->definitionLine = 532;
// method "pretty(_)"
  struct UserObject *uo2410 = (struct UserObject*)obj2336;
  uo2410->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2410 = addmethod2pos(obj2336, "pretty(1)", &meth_ast_pretty_40_1_41_2410, 9);
  int argcv_meth_ast_pretty_40_1_41_2410[] = {1};
  meth_meth_ast_pretty_40_1_41_2410->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2410);
  meth_meth_ast_pretty_40_1_41_2410->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2410->definitionLine = 540;
// method "toGrace(_)"
  struct UserObject *uo2527 = (struct UserObject*)obj2336;
  uo2527->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2527 = addmethod2pos(obj2336, "toGrace(1)", &meth_ast_toGrace_40_1_41_2527, 10);
  int argcv_meth_ast_toGrace_40_1_41_2527[] = {1};
  meth_meth_ast_toGrace_40_1_41_2527->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2527);
meth_meth_ast_toGrace_40_1_41_2527->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2527->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2527->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2527->definitionLine = 555;
// method "shallowCopy"
  block_savedest(obj2336);
  Object closure2626 = createclosure(3, "shallowCopy");
  setclosureframe(closure2626, stackframe);
  addtoclosure(closure2626, var_nullNode);
  addtoclosure(closure2626, var_emptySeq);
  addtoclosure(closure2626, var_matchCaseNode);
  struct UserObject *uo2626 = (struct UserObject*)obj2336;
  uo2626->data[11] = (Object)closure2626;
  Method *meth_meth_ast_shallowCopy2626 = addmethod2pos(obj2336, "shallowCopy", &meth_ast_shallowCopy2626, 11);
  int argcv_meth_ast_shallowCopy2626[] = {0};
  meth_meth_ast_shallowCopy2626->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2626);
  meth_meth_ast_shallowCopy2626->definitionModule = modulename;
  meth_meth_ast_shallowCopy2626->definitionLine = 569;
  sourceObject = obj2336;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2632 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2633 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2634 = gc_frame_new();
// call case 3: self.outer request
  Object call2635 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2634);
// compiled member node returning call2635 (depth = 5)
  Object call2636 = callmethodflags(call2635, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2633);
// compiled member node returning call2636 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2637 = callmethodflags(call2636, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2632);
// compiled call node returning call2637 (depth = 3)
  struct UserObject *obj2336_uo = (struct UserObject *)obj2336;
  obj2336_uo->super = call2637;
  sourceObject = obj2336;
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String("matchcase");
    gc_root(strlit2638);
  }
// compiled string node returning strlit2638 (depth = 3)
  adddatum2(obj2336, strlit2638, 1);
  sourceObject = obj2336;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2336, *var_matchee_39_, 2);
  sourceObject = obj2336;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2336, *var_cases_39_, 3);
  sourceObject = obj2336;
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elsecase_39_ (depth = 3)
  adddatum2(obj2336, *var_elsecase_39_, 4);
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  objclass2336 = obj2336->class;
  objclass2336->definitionModule = modulename;
  objclass2336->definitionLine = 512;
  (*(struct UserObject *)self).data[0] = lowerouter2336;
  self = oldself2336;
  selfslot = oldselfslot2336;
  stackframe = oldstackframe2336;
  gc_frame_end(frame);
  return obj2336;
}
Object meth_ast_new_40_3_41_2335_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2336 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2336 = alloc_userobj2(14,12, objclass2336);
  gc_frame_newslot(obj2336);
if (objclass2336 == NULL) {
  glfree(obj2336->class->name);
  obj2336->class->name = "matchCaseNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2336, self, 0);
  addmethodreal(obj2336,"outer", &reader_ast_outer_2337);
  Object oldself2336 = self;
  struct StackFrameObject *oldstackframe2336 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2336);
  gc_frame_newslot((Object)stackframe);
  self = obj2336;
  Object *oldselfslot2336 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2336 = (*(struct UserObject *)self).data[0], lowerouter2336 = thisouter2336;
  if (inheritingObject2336) {
    struct UserObject *inho2336 = (struct UserObject *)inheritingObject2336;
    while (inho2336->super != GraceDefaultObject) inho2336 = (struct UserObject *)inho2336->super;
    inho2336->super = obj2336;
    self = inheritingObject2336;
    *selfslot = self;
    lowerouter2336 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2336;
  }
if (objclass2336 == NULL) {
  Method *reader2338 = addmethodrealflags(obj2336, "kind",&reader_ast_kind_2338, MFLAG_DEF);
  reader2338->definitionModule = modulename;
  reader2338->definitionLine = 514;
}
adddatum2(obj2336, alloc_Undefined(), 1);
if (objclass2336 == NULL) {
  Method *reader2339 = addmethodrealflags(obj2336, "value", &reader_ast_value_2339, 0);
  Method *writer2339 = addmethodrealflags(obj2336, "value:=(1)", &writer_ast_value_2339, 0);
  reader2339->definitionModule = modulename;
  writer2339->definitionModule = modulename;
  reader2339->definitionLine = 515;
  writer2339->definitionLine = 515;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 2);
if (objclass2336 == NULL) {
  Method *reader2340 = addmethodrealflags(obj2336, "cases", &reader_ast_cases_2340, 0);
  Method *writer2340 = addmethodrealflags(obj2336, "cases:=(1)", &writer_ast_cases_2340, 0);
  reader2340->definitionModule = modulename;
  writer2340->definitionModule = modulename;
  reader2340->definitionLine = 516;
  writer2340->definitionLine = 516;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 3);
if (objclass2336 == NULL) {
  Method *reader2341 = addmethodrealflags(obj2336, "elsecase", &reader_ast_elsecase_2341, 0);
  Method *writer2341 = addmethodrealflags(obj2336, "elsecase:=(1)", &writer_ast_elsecase_2341, 0);
  reader2341->definitionModule = modulename;
  writer2341->definitionModule = modulename;
  reader2341->definitionLine = 517;
  writer2341->definitionLine = 517;
}
obj2336->flags |= OFLAG_MUTABLE;
adddatum2(obj2336, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2342 = (struct UserObject*)obj2336;
  uo2342->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2342 = addmethod2pos(obj2336, "isSimple", &meth_ast_isSimple2342, 5);
  int argcv_meth_ast_isSimple2342[] = {0};
  meth_meth_ast_isSimple2342->type = alloc_MethodType(1, argcv_meth_ast_isSimple2342);
  meth_meth_ast_isSimple2342->definitionModule = modulename;
  meth_meth_ast_isSimple2342->definitionLine = 518;
// method "matchee"
  struct UserObject *uo2344 = (struct UserObject*)obj2336;
  uo2344->data[6] = emptyclosure;
  Method *meth_meth_ast_matchee2344 = addmethod2pos(obj2336, "matchee", &meth_ast_matchee2344, 6);
  int argcv_meth_ast_matchee2344[] = {0};
  meth_meth_ast_matchee2344->type = alloc_MethodType(1, argcv_meth_ast_matchee2344);
  meth_meth_ast_matchee2344->definitionModule = modulename;
  meth_meth_ast_matchee2344->definitionLine = 519;
// method "accept(_)from(_)"
  struct UserObject *uo2347 = (struct UserObject*)obj2336;
  uo2347->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2347 = addmethod2pos(obj2336, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2347, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2347[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2347);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2347->definitionLine = 520;
// method "map(_)ancestors(_)"
  struct UserObject *uo2377 = (struct UserObject*)obj2336;
  uo2377->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377 = addmethod2pos(obj2336, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2377, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2377[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2377);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2377->definitionLine = 532;
// method "pretty(_)"
  struct UserObject *uo2410 = (struct UserObject*)obj2336;
  uo2410->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2410 = addmethod2pos(obj2336, "pretty(1)", &meth_ast_pretty_40_1_41_2410, 9);
  int argcv_meth_ast_pretty_40_1_41_2410[] = {1};
  meth_meth_ast_pretty_40_1_41_2410->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2410);
  meth_meth_ast_pretty_40_1_41_2410->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2410->definitionLine = 540;
// method "toGrace(_)"
  struct UserObject *uo2527 = (struct UserObject*)obj2336;
  uo2527->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2527 = addmethod2pos(obj2336, "toGrace(1)", &meth_ast_toGrace_40_1_41_2527, 10);
  int argcv_meth_ast_toGrace_40_1_41_2527[] = {1};
  meth_meth_ast_toGrace_40_1_41_2527->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2527);
meth_meth_ast_toGrace_40_1_41_2527->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2527->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2527->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2527->definitionLine = 555;
// method "shallowCopy"
  block_savedest(obj2336);
  Object closure2626 = createclosure(3, "shallowCopy");
  setclosureframe(closure2626, stackframe);
  addtoclosure(closure2626, var_nullNode);
  addtoclosure(closure2626, var_emptySeq);
  addtoclosure(closure2626, var_matchCaseNode);
  struct UserObject *uo2626 = (struct UserObject*)obj2336;
  uo2626->data[11] = (Object)closure2626;
  Method *meth_meth_ast_shallowCopy2626 = addmethod2pos(obj2336, "shallowCopy", &meth_ast_shallowCopy2626, 11);
  int argcv_meth_ast_shallowCopy2626[] = {0};
  meth_meth_ast_shallowCopy2626->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2626);
  meth_meth_ast_shallowCopy2626->definitionModule = modulename;
  meth_meth_ast_shallowCopy2626->definitionLine = 569;
  sourceObject = obj2336;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2632 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2633 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2634 = gc_frame_new();
// call case 3: self.outer request
  Object call2635 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2634);
// compiled member node returning call2635 (depth = 5)
  Object call2636 = callmethodflags(call2635, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2633);
// compiled member node returning call2636 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2637 = callmethodflags(call2636, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2632);
// compiled call node returning call2637 (depth = 3)
  struct UserObject *obj2336_uo = (struct UserObject *)obj2336;
  obj2336_uo->super = call2637;
  sourceObject = obj2336;
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String("matchcase");
    gc_root(strlit2638);
  }
// compiled string node returning strlit2638 (depth = 3)
  adddatum2(obj2336, strlit2638, 1);
  sourceObject = obj2336;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2336, *var_matchee_39_, 2);
  sourceObject = obj2336;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2336, *var_cases_39_, 3);
  sourceObject = obj2336;
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elsecase_39_ (depth = 3)
  adddatum2(obj2336, *var_elsecase_39_, 4);
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  sourceObject = obj2336;
  objclass2336 = obj2336->class;
  objclass2336->definitionModule = modulename;
  objclass2336->definitionLine = 512;
  (*(struct UserObject *)self).data[0] = lowerouter2336;
  self = oldself2336;
  selfslot = oldselfslot2336;
  stackframe = oldstackframe2336;
  gc_frame_end(frame);
  return obj2336;
}
Object meth_ast_matchCaseNode2640(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchCaseNode (depth = 3)
  gc_frame_end(frame);
  return *var_matchCaseNode;
}
Object meth_ast__apply_40_2_41_2654(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2656 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call2657 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe2656);
// compiled member node returning call2657 (depth = 6)
  int op_slot_right_2655 = gc_frame_newslot(call2657);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_2655 = gc_frame_newslot(*var_acc);
  params[0] = call2657;
  partcv[0] = 1;
  Object opresult2659 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2659 (depth = 5)
  gc_frame_end(frame);
  return opresult2659;
}
Object meth_ast_nameString2651(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2652 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2653 = alloc_Block(NULL, NULL, "ast", 588);
  gc_frame_newslot(block2653);
// method "_apply(_,_)"
  block_savedest(block2653);
  Object closure2654 = createclosure(1, "_apply(2)");
  setclosureframe(closure2654, stackframe);
  addtoclosure(closure2654, selfslot);
  struct UserObject *uo2654 = (struct UserObject*)block2653;
  uo2654->data[0] = (Object)closure2654;
  Method *meth_meth_ast__apply_40_2_41_2654 = addmethod2pos(block2653, "_apply(2)", &meth_ast__apply_40_2_41_2654, 0);
  int argcv_meth_ast__apply_40_2_41_2654[] = {2};
  meth_meth_ast__apply_40_2_41_2654->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_2654);
  meth_meth_ast__apply_40_2_41_2654->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_2654->definitionLine = 2984;
// compiled block node returning block2653 (depth = 4)
  gc_frame_newslot(block2653);
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2661 == NULL) {
    strlit2661 = alloc_String("");
    gc_root(strlit2661);
  }
// compiled string node returning strlit2661 (depth = 4)
  gc_frame_newslot(strlit2661);
// call case 6: other requests
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2662 = gc_frame_new();
// call case 4: self request
  Object call2663 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2662);
// compiled member node returning call2663 (depth = 4)
  params[0] = block2653;
  params[1] = strlit2661;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2664 = callmethodflags(call2663, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2652);
// compiled call node returning call2664 (depth = 3)
  gc_frame_end(frame);
  return call2664;
}
Object meth_ast_value2665(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2668 = gc_frame_new();
// call case 4: self request
  Object call2669 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2668);
// compiled member node returning call2669 (depth = 5)
  int op_slot_right_2667 = gc_frame_newslot(call2669);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_2667 = gc_frame_newslot(*var_uninitialized);
  params[0] = call2669;
  partcv[0] = 1;
  Object opresult2671 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult2671 (depth = 4)
  Object if2666 = done;
  if (istrue(opresult2671)) {
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2672 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe2673 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2674 = gc_frame_new();
// call case 4: self request
  Object call2675 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2674);
// compiled member node returning call2675 (depth = 6)
  gc_frame_newslot(call2675);
// starting to compile identifier node (depth = 6)
  Object bool2676 = alloc_Boolean(0);
// compiled identifier node returning bool2676 (depth = 6)
  gc_frame_newslot(bool2676);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call2675;
  params[1] = bool2676;
  partcv[0] = 2;
  Object call2677 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2673);
// compiled call node returning call2677 (depth = 5)
  gc_frame_newslot(call2677);
// call case 4: self request
  params[0] = call2677;
  partcv[0] = 1;
  Object call2678 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2672);
// compiled call node returning call2678 (depth = 4)
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2679 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2680 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2681 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2682 = gc_frame_new();
// call case 4: self request
  Object call2683 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2682);
// compiled member node returning call2683 (depth = 7)
  Object call2684 = callmethodflags(call2683, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2681);
// compiled member node returning call2684 (depth = 6)
  Object call2685 = callmethodflags(call2684, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2680);
// compiled member node returning call2685 (depth = 5)
  gc_frame_newslot(call2685);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2686 = gc_frame_new();
// call case 4: self request
  Object call2687 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2686);
// compiled member node returning call2687 (depth = 5)
  params[0] = call2685;
  partcv[0] = 1;
  Object call2688 = callmethodflags(call2687, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2679);
// compiled call node returning call2688 (depth = 4)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2689 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2690 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2691 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2692 = gc_frame_new();
// call case 4: self request
  Object call2693 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2692);
// compiled member node returning call2693 (depth = 7)
  Object call2694 = callmethodflags(call2693, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2691);
// compiled member node returning call2694 (depth = 6)
  Object call2695 = callmethodflags(call2694, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2690);
// compiled member node returning call2695 (depth = 5)
  gc_frame_newslot(call2695);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2696 = gc_frame_new();
// call case 4: self request
  Object call2697 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2696);
// compiled member node returning call2697 (depth = 5)
  params[0] = call2695;
  partcv[0] = 1;
  Object call2698 = callmethodflags(call2697, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2689);
// compiled call node returning call2698 (depth = 4)
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2699 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool2700 = alloc_Boolean(1);
// compiled identifier node returning bool2700 (depth = 5)
  gc_frame_newslot(bool2700);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2701 = gc_frame_new();
// call case 4: self request
  Object call2702 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2701);
// compiled member node returning call2702 (depth = 5)
  params[0] = bool2700;
  partcv[0] = 1;
  Object call2703 = callmethodflags(call2702, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2699);
// compiled call node returning call2703 (depth = 4)
    gc_frame_newslot(call2703);
    if2666 = call2703;
  } else {
  }
// compiled if node returning if2666 (depth = 3)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2704 = gc_frame_new();
// call case 4: self request
  Object call2705 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2704);
// compiled member node returning call2705 (depth = 3)
  gc_frame_end(frame);
  return call2705;
}
Object meth_ast_isExecutable2706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2707 = alloc_Boolean(0);
// compiled identifier node returning bool2707 (depth = 3)
  gc_frame_end(frame);
  return bool2707;
}
Object meth_ast__apply_40_1_41_2714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe2715 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2716 = callmethodflags(*var_b, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2715);
// compiled call node returning call2716 (depth = 7)
  gc_frame_end(frame);
  return call2716;
}
Object meth_ast__apply_40_1_41_2711(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2712 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2713 = alloc_Block(NULL, NULL, "ast", 603);
  gc_frame_newslot(block2713);
// method "_apply(_)"
  block_savedest(block2713);
  Object closure2714 = createclosure(2, "_apply(1)");
  setclosureframe(closure2714, stackframe);
  addtoclosure(closure2714, var_b);
  addtoclosure(closure2714, selfslot);
  struct UserObject *uo2714 = (struct UserObject*)block2713;
  uo2714->data[0] = (Object)closure2714;
  Method *meth_meth_ast__apply_40_1_41_2714 = addmethod2pos(block2713, "_apply(1)", &meth_ast__apply_40_1_41_2714, 0);
  int argcv_meth_ast__apply_40_1_41_2714[] = {1};
  meth_meth_ast__apply_40_1_41_2714->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2714);
  meth_meth_ast__apply_40_1_41_2714->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2714->definitionLine = 2984;
// compiled block node returning block2713 (depth = 6)
  gc_frame_newslot(block2713);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2718 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call2719 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2718);
// compiled member node returning call2719 (depth = 6)
  params[0] = block2713;
  partcv[0] = 1;
  Object call2720 = callmethodflags(call2719, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2712);
// compiled call node returning call2720 (depth = 5)
  gc_frame_end(frame);
  return call2720;
}
Object meth_ast_parametersDo_40_1_41_2708(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2709 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2710 = alloc_Block(NULL, NULL, "ast", 602);
  gc_frame_newslot(block2710);
// method "_apply(_)"
  block_savedest(block2710);
  Object closure2711 = createclosure(2, "_apply(1)");
  setclosureframe(closure2711, stackframe);
  addtoclosure(closure2711, var_b);
  addtoclosure(closure2711, selfslot);
  struct UserObject *uo2711 = (struct UserObject*)block2710;
  uo2711->data[0] = (Object)closure2711;
  Method *meth_meth_ast__apply_40_1_41_2711 = addmethod2pos(block2710, "_apply(1)", &meth_ast__apply_40_1_41_2711, 0);
  int argcv_meth_ast__apply_40_1_41_2711[] = {1};
  meth_meth_ast__apply_40_1_41_2711->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2711);
  meth_meth_ast__apply_40_1_41_2711->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2711->definitionLine = 2984;
// compiled block node returning block2710 (depth = 4)
  gc_frame_newslot(block2710);
// call case 6: other requests
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2722 = gc_frame_new();
// call case 4: self request
  Object call2723 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2722);
// compiled member node returning call2723 (depth = 4)
  params[0] = block2710;
  partcv[0] = 1;
  Object call2724 = callmethodflags(call2723, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2709);
// compiled call node returning call2724 (depth = 3)
  gc_frame_end(frame);
  return call2724;
}
Object meth_ast_scope_58__61__40_1_41_2725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2726 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call2727 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2726);
// compiled call node returning call2727 (depth = 3)
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2728 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2729 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2728);
// compiled call node returning call2729 (depth = 3)
  gc_frame_end(frame);
  return call2729;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_2730(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2731 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call2732 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe2731);
// compiled member node returning call2732 (depth = 3)
  gc_frame_end(frame);
  return call2732;
}
Object meth_ast__apply_40_1_41_2765(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2766 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2767 = callmethodflags(*var_part, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2766);
// compiled call node returning call2767 (depth = 6)
  gc_frame_end(frame);
  return call2767;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2733(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2735 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2736 = callmethodflags(*var_visitor, "visitMethodType(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2735);
// compiled call node returning call2736 (depth = 4)
  Object if2734 = done;
  if (istrue(call2736)) {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2737 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2738 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2737);
// compiled call node returning call2738 (depth = 5)
  *var_newChain = call2738;
  if (call2738 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2741 = gc_frame_new();
// call case 4: self request
  Object call2742 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2741);
// compiled member node returning call2742 (depth = 6)
  int op_slot_right_2740 = gc_frame_newslot(call2742);
// starting to compile identifier node (depth = 6)
  Object bool2744 = alloc_Boolean(0);
// compiled identifier node returning bool2744 (depth = 6)
  int op_slot_left_2740 = gc_frame_newslot(bool2744);
  params[0] = call2742;
  partcv[0] = 1;
  Object opresult2745 = callmethod(bool2744, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2745 (depth = 5)
  Object if2739 = done;
  if (istrue(opresult2745)) {
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2746 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2747 = gc_frame_new();
// call case 4: self request
  Object call2748 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2747);
// compiled member node returning call2748 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2749 = callmethodflags(call2748, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2746);
// compiled call node returning call2749 (depth = 5)
    gc_frame_newslot(call2749);
    if2739 = call2749;
  } else {
  }
// compiled if node returning if2739 (depth = 4)
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2752 = gc_frame_new();
// call case 4: self request
  Object call2753 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2752);
// compiled member node returning call2753 (depth = 6)
  int op_slot_right_2751 = gc_frame_newslot(call2753);
// starting to compile identifier node (depth = 6)
  Object bool2755 = alloc_Boolean(0);
// compiled identifier node returning bool2755 (depth = 6)
  int op_slot_left_2751 = gc_frame_newslot(bool2755);
  params[0] = call2753;
  partcv[0] = 1;
  Object opresult2756 = callmethod(bool2755, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2756 (depth = 5)
  Object if2750 = done;
  if (istrue(opresult2756)) {
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2757 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2758 = gc_frame_new();
// call case 4: self request
  Object call2759 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2758);
// compiled member node returning call2759 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2760 = callmethodflags(call2759, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2757);
// compiled call node returning call2760 (depth = 5)
    gc_frame_newslot(call2760);
    if2750 = call2760;
  } else {
  }
// compiled if node returning if2750 (depth = 4)
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2761 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2762 = gc_frame_new();
// call case 4: self request
  Object call2763 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2762);
// compiled member node returning call2763 (depth = 5)
  gc_frame_newslot(call2763);
// starting to compile block node (depth = 5)
  Object block2764 = alloc_Block(NULL, NULL, "ast", 622);
  gc_frame_newslot(block2764);
// method "_apply(_)"
  block_savedest(block2764);
  Object closure2765 = createclosure(3, "_apply(1)");
  setclosureframe(closure2765, stackframe);
  addtoclosure(closure2765, var_visitor);
  addtoclosure(closure2765, var_newChain);
  addtoclosure(closure2765, selfslot);
  struct UserObject *uo2765 = (struct UserObject*)block2764;
  uo2765->data[0] = (Object)closure2765;
  Method *meth_meth_ast__apply_40_1_41_2765 = addmethod2pos(block2764, "_apply(1)", &meth_ast__apply_40_1_41_2765, 0);
  int argcv_meth_ast__apply_40_1_41_2765[] = {1};
  meth_meth_ast__apply_40_1_41_2765->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2765);
  meth_meth_ast__apply_40_1_41_2765->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2765->definitionLine = 2984;
// compiled block node returning block2764 (depth = 5)
  gc_frame_newslot(block2764);
// call case 5: prelude request
  params[0] = call2763;
  params[1] = block2764;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2769 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2761);
// compiled call node returning call2769 (depth = 4)
    gc_frame_newslot(call2769);
    if2734 = call2769;
  } else {
  }
// compiled if node returning if2734 (depth = 3)
  gc_frame_end(frame);
  return if2734;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2771 = gc_frame_new();
// call case 4: self request
  Object call2772 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2771);
// compiled member node returning call2772 (depth = 4)
  *var_n = call2772;
  if (call2772 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2773 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2774 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2773);
// compiled call node returning call2774 (depth = 4)
  *var_newChain = call2774;
  if (call2774 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2775 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2776 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2777 = gc_frame_new();
// call case 4: self request
  Object call2778 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2777);
// compiled member node returning call2778 (depth = 5)
  gc_frame_newslot(call2778);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2779 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2780 = gc_frame_new();
// call case 3: self.outer request
  Object call2781 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2780);
// compiled member node returning call2781 (depth = 6)
  Object call2782 = callmethodflags(call2781, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2779);
// compiled member node returning call2782 (depth = 5)
  params[0] = call2778;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2783 = callmethodflags(call2782, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2776);
// compiled call node returning call2783 (depth = 4)
  gc_frame_newslot(call2783);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2783;
  partcv[0] = 1;
  Object call2784 = callmethodflags(*var_n, "rtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2775);
// compiled call node returning call2784 (depth = 3)
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2785 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2786 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2787 = gc_frame_new();
// call case 4: self request
  Object call2788 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2787);
// compiled member node returning call2788 (depth = 5)
  gc_frame_newslot(call2788);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2789 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2790 = gc_frame_new();
// call case 3: self.outer request
  Object call2791 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2790);
// compiled member node returning call2791 (depth = 6)
  Object call2792 = callmethodflags(call2791, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2789);
// compiled member node returning call2792 (depth = 5)
  params[0] = call2788;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2793 = callmethodflags(call2792, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2786);
// compiled call node returning call2793 (depth = 4)
  gc_frame_newslot(call2793);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2793;
  partcv[0] = 1;
  Object call2794 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2785);
// compiled call node returning call2794 (depth = 3)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2795 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2796 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2797 = gc_frame_new();
// call case 4: self request
  Object call2798 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2797);
// compiled member node returning call2798 (depth = 5)
  gc_frame_newslot(call2798);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2799 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2800 = gc_frame_new();
// call case 3: self.outer request
  Object call2801 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2800);
// compiled member node returning call2801 (depth = 6)
  Object call2802 = callmethodflags(call2801, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2799);
// compiled member node returning call2802 (depth = 5)
  params[0] = call2798;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2803 = callmethodflags(call2802, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2796);
// compiled call node returning call2803 (depth = 4)
  gc_frame_newslot(call2803);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2803;
  partcv[0] = 1;
  Object call2804 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2795);
// compiled call node returning call2804 (depth = 3)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2805 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2806 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2805);
// compiled call node returning call2806 (depth = 3)
  gc_frame_end(frame);
  return call2806;
}
Object meth_ast__apply_40_1_41_2815(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2817 == NULL) {
    strlit2817 = alloc_String("  ");
    gc_root(strlit2817);
  }
// compiled string node returning strlit2817 (depth = 7)
  int op_slot_right_2816 = gc_frame_newslot(strlit2817);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2816 = gc_frame_newslot(*var_spc);
  params[0] = strlit2817;
  partcv[0] = 1;
  Object opresult2819 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2819 (depth = 6)
  *var_spc = opresult2819;
  if (opresult2819 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2954(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2956 == NULL) {
    strlit2956 = alloc_String("");
    gc_root(strlit2956);
  }
// compiled string node returning strlit2956 (depth = 7)
  int op_slot_right_2955 = gc_frame_newslot(strlit2956);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2959 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2961 = alloc_Float64(2);
// compiled num node returning num2961 (depth = 10)
  int op_slot_right_2960 = gc_frame_newslot(num2961);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2960 = gc_frame_newslot(*var_depth);
  params[0] = num2961;
  partcv[0] = 1;
  Object sum2963 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2963 (depth = 9)
  gc_frame_newslot(sum2963);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  params[0] = sum2963;
  partcv[0] = 1;
  Object call2964 = callmethodflags(*var_part, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2959);
// compiled call node returning call2964 (depth = 8)
  int op_slot_right_2958 = gc_frame_newslot(call2964);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2967 == NULL) {
    strlit2967 = alloc_String("");
    gc_root(strlit2967);
  }
// compiled string node returning strlit2967 (depth = 9)
  int op_slot_right_2966 = gc_frame_newslot(strlit2967);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2969 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2972 == NULL) {
    strlit2972 = alloc_String("""\x0a""  ");
    gc_root(strlit2972);
  }
// compiled string node returning strlit2972 (depth = 11)
  int op_slot_right_2971 = gc_frame_newslot(strlit2972);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_2974 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit2976 == NULL) {
    strlit2976 = alloc_String("");
    gc_root(strlit2976);
  }
// compiled string node returning strlit2976 (depth = 12)
  int op_slot_left_2974 = gc_frame_newslot(strlit2976);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2977 = callmethod(strlit2976, "++(1)", 1, partcv, params);
// compiled op node returning opresult2977 (depth = 11)
  int op_slot_left_2971 = gc_frame_newslot(opresult2977);
  params[0] = strlit2972;
  partcv[0] = 1;
  Object opresult2978 = callmethod(opresult2977, "++(1)", 1, partcv, params);
// compiled op node returning opresult2978 (depth = 10)
  int op_slot_left_2969 = gc_frame_newslot(opresult2978);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2979 = callmethod(opresult2978, "++(1)", 1, partcv, params);
// compiled op node returning opresult2979 (depth = 9)
  int op_slot_left_2966 = gc_frame_newslot(opresult2979);
  params[0] = strlit2967;
  partcv[0] = 1;
  Object opresult2980 = callmethod(opresult2979, "++(1)", 1, partcv, params);
// compiled op node returning opresult2980 (depth = 8)
  int op_slot_left_2958 = gc_frame_newslot(opresult2980);
  params[0] = call2964;
  partcv[0] = 1;
  Object opresult2981 = callmethod(opresult2980, "++(1)", 1, partcv, params);
// compiled op node returning opresult2981 (depth = 7)
  int op_slot_left_2955 = gc_frame_newslot(opresult2981);
  params[0] = strlit2956;
  partcv[0] = 1;
  Object opresult2982 = callmethod(opresult2981, "++(1)", 1, partcv, params);
// compiled op node returning opresult2982 (depth = 6)
  *var_s = opresult2982;
  if (opresult2982 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2808 == NULL) {
    strlit2808 = alloc_String("");
    gc_root(strlit2808);
  }
// compiled string node returning strlit2808 (depth = 4)
  *var_spc = strlit2808;
  if (strlit2808 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2809 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2810 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2812 = alloc_Float64(0);
// compiled num node returning num2812 (depth = 5)
  int op_slot_left_2810 = gc_frame_newslot(num2812);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2813 = callmethod(num2812, "..(1)", 1, partcv, params);
// compiled op node returning opresult2813 (depth = 4)
  gc_frame_newslot(opresult2813);
// starting to compile block node (depth = 4)
  Object block2814 = alloc_Block(NULL, NULL, "ast", 637);
  gc_frame_newslot(block2814);
// method "_apply(_)"
  block_savedest(block2814);
  Object closure2815 = createclosure(2, "_apply(1)");
  setclosureframe(closure2815, stackframe);
  addtoclosure(closure2815, var_spc);
  addtoclosure(closure2815, selfslot);
  struct UserObject *uo2815 = (struct UserObject*)block2814;
  uo2815->data[0] = (Object)closure2815;
  Method *meth_meth_ast__apply_40_1_41_2815 = addmethod2pos(block2814, "_apply(1)", &meth_ast__apply_40_1_41_2815, 0);
  int argcv_meth_ast__apply_40_1_41_2815[] = {1};
  meth_meth_ast__apply_40_1_41_2815->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2815);
  meth_meth_ast__apply_40_1_41_2815->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2815->definitionLine = 2984;
// compiled block node returning block2814 (depth = 4)
  gc_frame_newslot(block2814);
// call case 5: prelude request
  params[0] = opresult2813;
  params[1] = block2814;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2822 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2809);
// compiled call node returning call2822 (depth = 3)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2824 == NULL) {
    strlit2824 = alloc_String("""\x0a""");
    gc_root(strlit2824);
  }
// compiled string node returning strlit2824 (depth = 5)
  int op_slot_right_2823 = gc_frame_newslot(strlit2824);
// starting to compile call node (depth = 5)
  int callframe2826 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2827 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2826);
// compiled call node returning call2827 (depth = 5)
  int op_slot_left_2823 = gc_frame_newslot(call2827);
  params[0] = strlit2824;
  partcv[0] = 1;
  Object opresult2828 = callmethod(call2827, "++(1)", 1, partcv, params);
// compiled op node returning opresult2828 (depth = 4)
  *var_s = opresult2828;
  if (opresult2828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2830 == NULL) {
    strlit2830 = alloc_String("""\x0a""");
    gc_root(strlit2830);
  }
// compiled string node returning strlit2830 (depth = 5)
  int op_slot_right_2829 = gc_frame_newslot(strlit2830);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2833 = gc_frame_new();
// call case 4: self request
  Object call2834 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2833);
// compiled member node returning call2834 (depth = 6)
  int op_slot_right_2832 = gc_frame_newslot(call2834);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2837 == NULL) {
    strlit2837 = alloc_String("Name: ");
    gc_root(strlit2837);
  }
// compiled string node returning strlit2837 (depth = 7)
  int op_slot_right_2836 = gc_frame_newslot(strlit2837);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2839 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2842 == NULL) {
    strlit2842 = alloc_String("");
    gc_root(strlit2842);
  }
// compiled string node returning strlit2842 (depth = 9)
  int op_slot_right_2841 = gc_frame_newslot(strlit2842);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_2844 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit2846 == NULL) {
    strlit2846 = alloc_String("");
    gc_root(strlit2846);
  }
// compiled string node returning strlit2846 (depth = 10)
  int op_slot_left_2844 = gc_frame_newslot(strlit2846);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2847 = callmethod(strlit2846, "++(1)", 1, partcv, params);
// compiled op node returning opresult2847 (depth = 9)
  int op_slot_left_2841 = gc_frame_newslot(opresult2847);
  params[0] = strlit2842;
  partcv[0] = 1;
  Object opresult2848 = callmethod(opresult2847, "++(1)", 1, partcv, params);
// compiled op node returning opresult2848 (depth = 8)
  int op_slot_left_2839 = gc_frame_newslot(opresult2848);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2849 = callmethod(opresult2848, "++(1)", 1, partcv, params);
// compiled op node returning opresult2849 (depth = 7)
  int op_slot_left_2836 = gc_frame_newslot(opresult2849);
  params[0] = strlit2837;
  partcv[0] = 1;
  Object opresult2850 = callmethod(opresult2849, "++(1)", 1, partcv, params);
// compiled op node returning opresult2850 (depth = 6)
  int op_slot_left_2832 = gc_frame_newslot(opresult2850);
  params[0] = call2834;
  partcv[0] = 1;
  Object opresult2851 = callmethod(opresult2850, "++(1)", 1, partcv, params);
// compiled op node returning opresult2851 (depth = 5)
  int op_slot_left_2829 = gc_frame_newslot(opresult2851);
  params[0] = strlit2830;
  partcv[0] = 1;
  Object opresult2852 = callmethod(opresult2851, "++(1)", 1, partcv, params);
// compiled op node returning opresult2852 (depth = 4)
  *var_s = opresult2852;
  if (opresult2852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2856 = gc_frame_new();
// call case 4: self request
  Object call2857 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2856);
// compiled member node returning call2857 (depth = 5)
  int op_slot_right_2855 = gc_frame_newslot(call2857);
// starting to compile identifier node (depth = 5)
  Object bool2859 = alloc_Boolean(0);
// compiled identifier node returning bool2859 (depth = 5)
  int op_slot_left_2855 = gc_frame_newslot(bool2859);
  params[0] = call2857;
  partcv[0] = 1;
  Object opresult2860 = callmethod(bool2859, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2860 (depth = 4)
  Object if2854 = done;
  if (istrue(opresult2860)) {
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2862 == NULL) {
    strlit2862 = alloc_String("");
    gc_root(strlit2862);
  }
// compiled string node returning strlit2862 (depth = 6)
  int op_slot_right_2861 = gc_frame_newslot(strlit2862);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2865 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2867 = alloc_Float64(2);
// compiled num node returning num2867 (depth = 9)
  int op_slot_right_2866 = gc_frame_newslot(num2867);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2866 = gc_frame_newslot(*var_depth);
  params[0] = num2867;
  partcv[0] = 1;
  Object sum2869 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2869 (depth = 8)
  gc_frame_newslot(sum2869);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2870 = gc_frame_new();
// call case 4: self request
  Object call2871 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2870);
// compiled member node returning call2871 (depth = 8)
  params[0] = sum2869;
  partcv[0] = 1;
  Object call2872 = callmethodflags(call2871, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2865);
// compiled call node returning call2872 (depth = 7)
  int op_slot_right_2864 = gc_frame_newslot(call2872);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2875 == NULL) {
    strlit2875 = alloc_String("");
    gc_root(strlit2875);
  }
// compiled string node returning strlit2875 (depth = 8)
  int op_slot_right_2874 = gc_frame_newslot(strlit2875);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2877 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2880 == NULL) {
    strlit2880 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit2880);
  }
// compiled string node returning strlit2880 (depth = 10)
  int op_slot_right_2879 = gc_frame_newslot(strlit2880);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2882 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2885 == NULL) {
    strlit2885 = alloc_String("");
    gc_root(strlit2885);
  }
// compiled string node returning strlit2885 (depth = 12)
  int op_slot_right_2884 = gc_frame_newslot(strlit2885);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_2887 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit2889 == NULL) {
    strlit2889 = alloc_String("");
    gc_root(strlit2889);
  }
// compiled string node returning strlit2889 (depth = 13)
  int op_slot_left_2887 = gc_frame_newslot(strlit2889);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2890 = callmethod(strlit2889, "++(1)", 1, partcv, params);
// compiled op node returning opresult2890 (depth = 12)
  int op_slot_left_2884 = gc_frame_newslot(opresult2890);
  params[0] = strlit2885;
  partcv[0] = 1;
  Object opresult2891 = callmethod(opresult2890, "++(1)", 1, partcv, params);
// compiled op node returning opresult2891 (depth = 11)
  int op_slot_left_2882 = gc_frame_newslot(opresult2891);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2892 = callmethod(opresult2891, "++(1)", 1, partcv, params);
// compiled op node returning opresult2892 (depth = 10)
  int op_slot_left_2879 = gc_frame_newslot(opresult2892);
  params[0] = strlit2880;
  partcv[0] = 1;
  Object opresult2893 = callmethod(opresult2892, "++(1)", 1, partcv, params);
// compiled op node returning opresult2893 (depth = 9)
  int op_slot_left_2877 = gc_frame_newslot(opresult2893);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2894 = callmethod(opresult2893, "++(1)", 1, partcv, params);
// compiled op node returning opresult2894 (depth = 8)
  int op_slot_left_2874 = gc_frame_newslot(opresult2894);
  params[0] = strlit2875;
  partcv[0] = 1;
  Object opresult2895 = callmethod(opresult2894, "++(1)", 1, partcv, params);
// compiled op node returning opresult2895 (depth = 7)
  int op_slot_left_2864 = gc_frame_newslot(opresult2895);
  params[0] = call2872;
  partcv[0] = 1;
  Object opresult2896 = callmethod(opresult2895, "++(1)", 1, partcv, params);
// compiled op node returning opresult2896 (depth = 6)
  int op_slot_left_2861 = gc_frame_newslot(opresult2896);
  params[0] = strlit2862;
  partcv[0] = 1;
  Object opresult2897 = callmethod(opresult2896, "++(1)", 1, partcv, params);
// compiled op node returning opresult2897 (depth = 5)
  *var_s = opresult2897;
  if (opresult2897 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2854 = done;
  } else {
  }
// compiled if node returning if2854 (depth = 3)
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2901 = gc_frame_new();
// call case 4: self request
  Object call2902 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2901);
// compiled member node returning call2902 (depth = 5)
  int op_slot_right_2900 = gc_frame_newslot(call2902);
// starting to compile identifier node (depth = 5)
  Object bool2904 = alloc_Boolean(0);
// compiled identifier node returning bool2904 (depth = 5)
  int op_slot_left_2900 = gc_frame_newslot(bool2904);
  params[0] = call2902;
  partcv[0] = 1;
  Object opresult2905 = callmethod(bool2904, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2905 (depth = 4)
  Object if2899 = done;
  if (istrue(opresult2905)) {
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2907 == NULL) {
    strlit2907 = alloc_String("TypeParams:""\x0a""");
    gc_root(strlit2907);
  }
// compiled string node returning strlit2907 (depth = 6)
  int op_slot_right_2906 = gc_frame_newslot(strlit2907);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2909 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2912 == NULL) {
    strlit2912 = alloc_String("""\x0a""");
    gc_root(strlit2912);
  }
// compiled string node returning strlit2912 (depth = 8)
  int op_slot_right_2911 = gc_frame_newslot(strlit2912);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_2914 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit2916 == NULL) {
    strlit2916 = alloc_String("");
    gc_root(strlit2916);
  }
// compiled string node returning strlit2916 (depth = 9)
  int op_slot_left_2914 = gc_frame_newslot(strlit2916);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2917 = callmethod(strlit2916, "++(1)", 1, partcv, params);
// compiled op node returning opresult2917 (depth = 8)
  int op_slot_left_2911 = gc_frame_newslot(opresult2917);
  params[0] = strlit2912;
  partcv[0] = 1;
  Object opresult2918 = callmethod(opresult2917, "++(1)", 1, partcv, params);
// compiled op node returning opresult2918 (depth = 7)
  int op_slot_left_2909 = gc_frame_newslot(opresult2918);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2919 = callmethod(opresult2918, "++(1)", 1, partcv, params);
// compiled op node returning opresult2919 (depth = 6)
  int op_slot_left_2906 = gc_frame_newslot(opresult2919);
  params[0] = strlit2907;
  partcv[0] = 1;
  Object opresult2920 = callmethod(opresult2919, "++(1)", 1, partcv, params);
// compiled op node returning opresult2920 (depth = 5)
  *var_s = opresult2920;
  if (opresult2920 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2923 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2925 = alloc_Float64(2);
// compiled num node returning num2925 (depth = 8)
  int op_slot_right_2924 = gc_frame_newslot(num2925);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2924 = gc_frame_newslot(*var_depth);
  params[0] = num2925;
  partcv[0] = 1;
  Object sum2927 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2927 (depth = 7)
  gc_frame_newslot(sum2927);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2928 = gc_frame_new();
// call case 4: self request
  Object call2929 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2928);
// compiled member node returning call2929 (depth = 7)
  params[0] = sum2927;
  partcv[0] = 1;
  Object call2930 = callmethodflags(call2929, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2923);
// compiled call node returning call2930 (depth = 6)
  int op_slot_right_2922 = gc_frame_newslot(call2930);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2922 = gc_frame_newslot(*var_s);
  params[0] = call2930;
  partcv[0] = 1;
  Object opresult2932 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2932 (depth = 5)
  *var_s = opresult2932;
  if (opresult2932 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2899 = done;
  } else {
  }
// compiled if node returning if2899 (depth = 3)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2935 == NULL) {
    strlit2935 = alloc_String("Signature:");
    gc_root(strlit2935);
  }
// compiled string node returning strlit2935 (depth = 5)
  int op_slot_right_2934 = gc_frame_newslot(strlit2935);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2937 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2940 == NULL) {
    strlit2940 = alloc_String("""\x0a""");
    gc_root(strlit2940);
  }
// compiled string node returning strlit2940 (depth = 7)
  int op_slot_right_2939 = gc_frame_newslot(strlit2940);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_2942 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit2944 == NULL) {
    strlit2944 = alloc_String("");
    gc_root(strlit2944);
  }
// compiled string node returning strlit2944 (depth = 8)
  int op_slot_left_2942 = gc_frame_newslot(strlit2944);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2945 = callmethod(strlit2944, "++(1)", 1, partcv, params);
// compiled op node returning opresult2945 (depth = 7)
  int op_slot_left_2939 = gc_frame_newslot(opresult2945);
  params[0] = strlit2940;
  partcv[0] = 1;
  Object opresult2946 = callmethod(opresult2945, "++(1)", 1, partcv, params);
// compiled op node returning opresult2946 (depth = 6)
  int op_slot_left_2937 = gc_frame_newslot(opresult2946);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2947 = callmethod(opresult2946, "++(1)", 1, partcv, params);
// compiled op node returning opresult2947 (depth = 5)
  int op_slot_left_2934 = gc_frame_newslot(opresult2947);
  params[0] = strlit2935;
  partcv[0] = 1;
  Object opresult2948 = callmethod(opresult2947, "++(1)", 1, partcv, params);
// compiled op node returning opresult2948 (depth = 4)
  *var_s = opresult2948;
  if (opresult2948 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2950 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2951 = gc_frame_new();
// call case 4: self request
  Object call2952 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2951);
// compiled member node returning call2952 (depth = 4)
  gc_frame_newslot(call2952);
// starting to compile block node (depth = 4)
  Object block2953 = alloc_Block(NULL, NULL, "ast", 650);
  gc_frame_newslot(block2953);
// method "_apply(_)"
  block_savedest(block2953);
  Object closure2954 = createclosure(4, "_apply(1)");
  setclosureframe(closure2954, stackframe);
  addtoclosure(closure2954, var_depth);
  addtoclosure(closure2954, var_spc);
  addtoclosure(closure2954, var_s);
  addtoclosure(closure2954, selfslot);
  struct UserObject *uo2954 = (struct UserObject*)block2953;
  uo2954->data[0] = (Object)closure2954;
  Method *meth_meth_ast__apply_40_1_41_2954 = addmethod2pos(block2953, "_apply(1)", &meth_ast__apply_40_1_41_2954, 0);
  int argcv_meth_ast__apply_40_1_41_2954[] = {1};
  meth_meth_ast__apply_40_1_41_2954->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2954);
  meth_meth_ast__apply_40_1_41_2954->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2954->definitionLine = 2984;
// compiled block node returning block2953 (depth = 4)
  gc_frame_newslot(block2953);
// call case 5: prelude request
  params[0] = call2952;
  params[1] = block2953;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2985 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2950);
// compiled call node returning call2985 (depth = 3)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2990(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2992 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2994 = alloc_Float64(1);
// compiled num node returning num2994 (depth = 9)
  int op_slot_right_2993 = gc_frame_newslot(num2994);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2993 = gc_frame_newslot(*var_depth);
  params[0] = num2994;
  partcv[0] = 1;
  Object sum2996 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2996 (depth = 8)
  gc_frame_newslot(sum2996);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum2996;
  partcv[0] = 1;
  Object call2997 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2992);
// compiled call node returning call2997 (depth = 7)
  int op_slot_right_2991 = gc_frame_newslot(call2997);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2991 = gc_frame_newslot(*var_s);
  params[0] = call2997;
  partcv[0] = 1;
  Object opresult2999 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2999 (depth = 6)
  *var_s = opresult2999;
  if (opresult2999 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2986(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2987 == NULL) {
    strlit2987 = alloc_String("");
    gc_root(strlit2987);
  }
// compiled string node returning strlit2987 (depth = 4)
  *var_s = strlit2987;
  if (strlit2987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2988 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2989 = alloc_Block(NULL, NULL, "ast", 657);
  gc_frame_newslot(block2989);
// method "_apply(_)"
  block_savedest(block2989);
  Object closure2990 = createclosure(3, "_apply(1)");
  setclosureframe(closure2990, stackframe);
  addtoclosure(closure2990, var_depth);
  addtoclosure(closure2990, var_s);
  addtoclosure(closure2990, selfslot);
  struct UserObject *uo2990 = (struct UserObject*)block2989;
  uo2990->data[0] = (Object)closure2990;
  Method *meth_meth_ast__apply_40_1_41_2990 = addmethod2pos(block2989, "_apply(1)", &meth_ast__apply_40_1_41_2990, 0);
  int argcv_meth_ast__apply_40_1_41_2990[] = {1};
  meth_meth_ast__apply_40_1_41_2990->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2990);
  meth_meth_ast__apply_40_1_41_2990->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2990->definitionLine = 2984;
// compiled block node returning block2989 (depth = 4)
  gc_frame_newslot(block2989);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3002 = gc_frame_new();
// call case 4: self request
  Object call3003 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3002);
// compiled member node returning call3003 (depth = 4)
  params[0] = block2989;
  partcv[0] = 1;
  Object call3004 = callmethodflags(call3003, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2988);
// compiled call node returning call3004 (depth = 3)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy3005(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3006 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3007 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3008 = gc_frame_new();
// call case 4: self request
  Object call3009 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3008);
// compiled member node returning call3009 (depth = 5)
  gc_frame_newslot(call3009);
// starting to compile member node (depth = 5)
  int callframe3010 = gc_frame_new();
// call case 4: self request
  Object call3011 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3010);
// compiled member node returning call3011 (depth = 5)
  gc_frame_newslot(call3011);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodTypeNode (depth = 5)
  params[0] = call3009;
  params[1] = call3011;
  partcv[0] = 2;
  Object call3012 = callmethodflags(*var_methodTypeNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3007);
// compiled call node returning call3012 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3013 = callmethodflags(call3012, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3006);
// compiled call node returning call3013 (depth = 3)
  gc_frame_end(frame);
  return call3013;
}
Object meth_ast_new_40_2_41_2643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2644 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2644 = alloc_userobj2(20,17, objclass2644);
  gc_frame_newslot(obj2644);
if (objclass2644 == NULL) {
  glfree(obj2644->class->name);
  obj2644->class->name = "methodTypeNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2644, self, 0);
  addmethodreal(obj2644,"outer", &reader_ast_outer_2645);
  Object oldself2644 = self;
  struct StackFrameObject *oldstackframe2644 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2644);
  gc_frame_newslot((Object)stackframe);
  self = obj2644;
  Object *oldselfslot2644 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2644 = (*(struct UserObject *)self).data[0], lowerouter2644 = thisouter2644;
  if (inheritingObject2644) {
    struct UserObject *inho2644 = (struct UserObject *)inheritingObject2644;
    while (inho2644->super != GraceDefaultObject) inho2644 = (struct UserObject *)inho2644->super;
    inho2644->super = obj2644;
    self = inheritingObject2644;
    *selfslot = self;
    lowerouter2644 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2644;
  }
if (objclass2644 == NULL) {
  Method *reader2646 = addmethodrealflags(obj2644, "kind",&reader_ast_kind_2646, MFLAG_DEF);
  reader2646->definitionModule = modulename;
  reader2646->definitionLine = 581;
}
adddatum2(obj2644, alloc_Undefined(), 1);
if (objclass2644 == NULL) {
  Method *reader2647 = addmethodrealflags(obj2644, "signature", &reader_ast_signature_2647, 0);
  Method *writer2647 = addmethodrealflags(obj2644, "signature:=(1)", &writer_ast_signature_2647, 0);
  reader2647->definitionModule = modulename;
  writer2647->definitionModule = modulename;
  reader2647->definitionLine = 582;
  writer2647->definitionLine = 582;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 2);
if (objclass2644 == NULL) {
  Method *reader2648 = addmethodrealflags(obj2644, "rtype", &reader_ast_rtype_2648, 0);
  Method *writer2648 = addmethodrealflags(obj2644, "rtype:=(1)", &writer_ast_rtype_2648, 0);
  reader2648->definitionModule = modulename;
  writer2648->definitionModule = modulename;
  reader2648->definitionLine = 583;
  writer2648->definitionLine = 583;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 3);
if (objclass2644 == NULL) {
  Method *reader2649 = addmethodrealflags(obj2644, "typeParams", &reader_ast_typeParams_2649, 0);
  Method *writer2649 = addmethodrealflags(obj2644, "typeParams:=(1)", &writer_ast_typeParams_2649, 0);
  reader2649->definitionModule = modulename;
  writer2649->definitionModule = modulename;
  reader2649->definitionLine = 584;
  writer2649->definitionLine = 584;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 4);
if (objclass2644 == NULL) {
  Method *reader2650 = addmethodrealflags(obj2644, "cachedIdentifier", &reader_ast_cachedIdentifier_2650, MFLAG_CONFIDENTIAL);
  Method *writer2650 = addmethodrealflags(obj2644, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2650, MFLAG_CONFIDENTIAL);
  reader2650->definitionModule = modulename;
  writer2650->definitionModule = modulename;
  reader2650->definitionLine = 585;
  writer2650->definitionLine = 585;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo2651 = (struct UserObject*)obj2644;
  uo2651->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString2651 = addmethod2pos(obj2644, "nameString", &meth_ast_nameString2651, 6);
  int argcv_meth_ast_nameString2651[] = {0};
  meth_meth_ast_nameString2651->type = alloc_MethodType(1, argcv_meth_ast_nameString2651);
  meth_meth_ast_nameString2651->definitionModule = modulename;
  meth_meth_ast_nameString2651->definitionLine = 587;
// method "value"
  block_savedest(obj2644);
  Object closure2665 = createclosure(2, "value");
  setclosureframe(closure2665, stackframe);
  addtoclosure(closure2665, var_uninitialized);
  addtoclosure(closure2665, var_identifierNode);
  struct UserObject *uo2665 = (struct UserObject*)obj2644;
  uo2665->data[7] = (Object)closure2665;
  Method *meth_meth_ast_value2665 = addmethod2pos(obj2644, "value", &meth_ast_value2665, 7);
  int argcv_meth_ast_value2665[] = {0};
  meth_meth_ast_value2665->type = alloc_MethodType(1, argcv_meth_ast_value2665);
  meth_meth_ast_value2665->definitionModule = modulename;
  meth_meth_ast_value2665->definitionLine = 591;
// method "isExecutable"
  struct UserObject *uo2706 = (struct UserObject*)obj2644;
  uo2706->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable2706 = addmethod2pos(obj2644, "isExecutable", &meth_ast_isExecutable2706, 8);
  int argcv_meth_ast_isExecutable2706[] = {0};
  meth_meth_ast_isExecutable2706->type = alloc_MethodType(1, argcv_meth_ast_isExecutable2706);
  meth_meth_ast_isExecutable2706->definitionModule = modulename;
  meth_meth_ast_isExecutable2706->definitionLine = 600;
// method "parametersDo(_)"
  struct UserObject *uo2708 = (struct UserObject*)obj2644;
  uo2708->data[9] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_2708 = addmethod2pos(obj2644, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_2708, 9);
  int argcv_meth_ast_parametersDo_40_1_41_2708[] = {1};
  meth_meth_ast_parametersDo_40_1_41_2708->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_2708);
  meth_meth_ast_parametersDo_40_1_41_2708->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_2708->definitionLine = 601;
// method "scope:=(_)"
  struct UserObject *uo2725 = (struct UserObject*)obj2644;
  uo2725->data[10] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_2725 = addmethod2pos(obj2644, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_2725, 10);
  int argcv_meth_ast_scope_58__61__40_1_41_2725[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_2725->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_2725);
  meth_meth_ast_scope_58__61__40_1_41_2725->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_2725->definitionLine = 606;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2644);
  Object closure2730 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure2730, stackframe);
  addtoclosure(closure2730, var_k);
  struct UserObject *uo2730 = (struct UserObject*)obj2644;
  uo2730->data[11] = (Object)closure2730;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_2730 = addmethod2pos(obj2644, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_2730, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_2730[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_2730);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->definitionLine = 612;
// method "accept(_)from(_)"
  struct UserObject *uo2733 = (struct UserObject*)obj2644;
  uo2733->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2733 = addmethod2pos(obj2644, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2733, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2733[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2733);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->definitionLine = 613;
// method "map(_)ancestors(_)"
  struct UserObject *uo2770 = (struct UserObject*)obj2644;
  uo2770->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770 = addmethod2pos(obj2644, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2770, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2770[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2770);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->definitionLine = 627;
// method "pretty(_)"
  struct UserObject *uo2807 = (struct UserObject*)obj2644;
  uo2807->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2807 = addmethod2pos(obj2644, "pretty(1)", &meth_ast_pretty_40_1_41_2807, 14);
  int argcv_meth_ast_pretty_40_1_41_2807[] = {1};
  meth_meth_ast_pretty_40_1_41_2807->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2807);
  meth_meth_ast_pretty_40_1_41_2807->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2807->definitionLine = 635;
// method "toGrace(_)"
  struct UserObject *uo2986 = (struct UserObject*)obj2644;
  uo2986->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2986 = addmethod2pos(obj2644, "toGrace(1)", &meth_ast_toGrace_40_1_41_2986, 15);
  int argcv_meth_ast_toGrace_40_1_41_2986[] = {1};
  meth_meth_ast_toGrace_40_1_41_2986->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2986);
meth_meth_ast_toGrace_40_1_41_2986->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2986->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2986->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2986->definitionLine = 655;
// method "shallowCopy"
  block_savedest(obj2644);
  Object closure3005 = createclosure(1, "shallowCopy");
  setclosureframe(closure3005, stackframe);
  addtoclosure(closure3005, var_methodTypeNode);
  struct UserObject *uo3005 = (struct UserObject*)obj2644;
  uo3005->data[16] = (Object)closure3005;
  Method *meth_meth_ast_shallowCopy3005 = addmethod2pos(obj2644, "shallowCopy", &meth_ast_shallowCopy3005, 16);
  int argcv_meth_ast_shallowCopy3005[] = {0};
  meth_meth_ast_shallowCopy3005->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3005);
  meth_meth_ast_shallowCopy3005->definitionModule = modulename;
  meth_meth_ast_shallowCopy3005->definitionLine = 660;
  sourceObject = obj2644;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3014 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3016 = gc_frame_new();
// call case 3: self.outer request
  Object call3017 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3016);
// compiled member node returning call3017 (depth = 5)
  Object call3018 = callmethodflags(call3017, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3015);
// compiled member node returning call3018 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3019 = callmethodflags(call3018, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3014);
// compiled call node returning call3019 (depth = 3)
  struct UserObject *obj2644_uo = (struct UserObject *)obj2644;
  obj2644_uo->super = call3019;
  sourceObject = obj2644;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3020 == NULL) {
    strlit3020 = alloc_String("methodtype");
    gc_root(strlit3020);
  }
// compiled string node returning strlit3020 (depth = 3)
  adddatum2(obj2644, strlit3020, 1);
  sourceObject = obj2644;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2644, *var_signature_39_, 2);
  sourceObject = obj2644;
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2644, *var_rtype_39_, 3);
  sourceObject = obj2644;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3021 = alloc_Boolean(0);
// compiled identifier node returning bool3021 (depth = 3)
  adddatum2(obj2644, bool3021, 4);
  sourceObject = obj2644;
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2644, *var_uninitialized, 5);
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  objclass2644 = obj2644->class;
  objclass2644->definitionModule = modulename;
  objclass2644->definitionLine = 575;
  (*(struct UserObject *)self).data[0] = lowerouter2644;
  self = oldself2644;
  selfslot = oldselfslot2644;
  stackframe = oldstackframe2644;
  gc_frame_end(frame);
  return obj2644;
}
Object meth_ast_new_40_2_41_2643_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2644 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2644 = alloc_userobj2(20,17, objclass2644);
  gc_frame_newslot(obj2644);
if (objclass2644 == NULL) {
  glfree(obj2644->class->name);
  obj2644->class->name = "methodTypeNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2644, self, 0);
  addmethodreal(obj2644,"outer", &reader_ast_outer_2645);
  Object oldself2644 = self;
  struct StackFrameObject *oldstackframe2644 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2644);
  gc_frame_newslot((Object)stackframe);
  self = obj2644;
  Object *oldselfslot2644 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2644 = (*(struct UserObject *)self).data[0], lowerouter2644 = thisouter2644;
  if (inheritingObject2644) {
    struct UserObject *inho2644 = (struct UserObject *)inheritingObject2644;
    while (inho2644->super != GraceDefaultObject) inho2644 = (struct UserObject *)inho2644->super;
    inho2644->super = obj2644;
    self = inheritingObject2644;
    *selfslot = self;
    lowerouter2644 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2644;
  }
if (objclass2644 == NULL) {
  Method *reader2646 = addmethodrealflags(obj2644, "kind",&reader_ast_kind_2646, MFLAG_DEF);
  reader2646->definitionModule = modulename;
  reader2646->definitionLine = 581;
}
adddatum2(obj2644, alloc_Undefined(), 1);
if (objclass2644 == NULL) {
  Method *reader2647 = addmethodrealflags(obj2644, "signature", &reader_ast_signature_2647, 0);
  Method *writer2647 = addmethodrealflags(obj2644, "signature:=(1)", &writer_ast_signature_2647, 0);
  reader2647->definitionModule = modulename;
  writer2647->definitionModule = modulename;
  reader2647->definitionLine = 582;
  writer2647->definitionLine = 582;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 2);
if (objclass2644 == NULL) {
  Method *reader2648 = addmethodrealflags(obj2644, "rtype", &reader_ast_rtype_2648, 0);
  Method *writer2648 = addmethodrealflags(obj2644, "rtype:=(1)", &writer_ast_rtype_2648, 0);
  reader2648->definitionModule = modulename;
  writer2648->definitionModule = modulename;
  reader2648->definitionLine = 583;
  writer2648->definitionLine = 583;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 3);
if (objclass2644 == NULL) {
  Method *reader2649 = addmethodrealflags(obj2644, "typeParams", &reader_ast_typeParams_2649, 0);
  Method *writer2649 = addmethodrealflags(obj2644, "typeParams:=(1)", &writer_ast_typeParams_2649, 0);
  reader2649->definitionModule = modulename;
  writer2649->definitionModule = modulename;
  reader2649->definitionLine = 584;
  writer2649->definitionLine = 584;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 4);
if (objclass2644 == NULL) {
  Method *reader2650 = addmethodrealflags(obj2644, "cachedIdentifier", &reader_ast_cachedIdentifier_2650, MFLAG_CONFIDENTIAL);
  Method *writer2650 = addmethodrealflags(obj2644, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2650, MFLAG_CONFIDENTIAL);
  reader2650->definitionModule = modulename;
  writer2650->definitionModule = modulename;
  reader2650->definitionLine = 585;
  writer2650->definitionLine = 585;
}
obj2644->flags |= OFLAG_MUTABLE;
adddatum2(obj2644, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo2651 = (struct UserObject*)obj2644;
  uo2651->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString2651 = addmethod2pos(obj2644, "nameString", &meth_ast_nameString2651, 6);
  int argcv_meth_ast_nameString2651[] = {0};
  meth_meth_ast_nameString2651->type = alloc_MethodType(1, argcv_meth_ast_nameString2651);
  meth_meth_ast_nameString2651->definitionModule = modulename;
  meth_meth_ast_nameString2651->definitionLine = 587;
// method "value"
  block_savedest(obj2644);
  Object closure2665 = createclosure(2, "value");
  setclosureframe(closure2665, stackframe);
  addtoclosure(closure2665, var_uninitialized);
  addtoclosure(closure2665, var_identifierNode);
  struct UserObject *uo2665 = (struct UserObject*)obj2644;
  uo2665->data[7] = (Object)closure2665;
  Method *meth_meth_ast_value2665 = addmethod2pos(obj2644, "value", &meth_ast_value2665, 7);
  int argcv_meth_ast_value2665[] = {0};
  meth_meth_ast_value2665->type = alloc_MethodType(1, argcv_meth_ast_value2665);
  meth_meth_ast_value2665->definitionModule = modulename;
  meth_meth_ast_value2665->definitionLine = 591;
// method "isExecutable"
  struct UserObject *uo2706 = (struct UserObject*)obj2644;
  uo2706->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable2706 = addmethod2pos(obj2644, "isExecutable", &meth_ast_isExecutable2706, 8);
  int argcv_meth_ast_isExecutable2706[] = {0};
  meth_meth_ast_isExecutable2706->type = alloc_MethodType(1, argcv_meth_ast_isExecutable2706);
  meth_meth_ast_isExecutable2706->definitionModule = modulename;
  meth_meth_ast_isExecutable2706->definitionLine = 600;
// method "parametersDo(_)"
  struct UserObject *uo2708 = (struct UserObject*)obj2644;
  uo2708->data[9] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_2708 = addmethod2pos(obj2644, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_2708, 9);
  int argcv_meth_ast_parametersDo_40_1_41_2708[] = {1};
  meth_meth_ast_parametersDo_40_1_41_2708->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_2708);
  meth_meth_ast_parametersDo_40_1_41_2708->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_2708->definitionLine = 601;
// method "scope:=(_)"
  struct UserObject *uo2725 = (struct UserObject*)obj2644;
  uo2725->data[10] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_2725 = addmethod2pos(obj2644, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_2725, 10);
  int argcv_meth_ast_scope_58__61__40_1_41_2725[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_2725->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_2725);
  meth_meth_ast_scope_58__61__40_1_41_2725->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_2725->definitionLine = 606;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2644);
  Object closure2730 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure2730, stackframe);
  addtoclosure(closure2730, var_k);
  struct UserObject *uo2730 = (struct UserObject*)obj2644;
  uo2730->data[11] = (Object)closure2730;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_2730 = addmethod2pos(obj2644, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_2730, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_2730[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_2730);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2730->definitionLine = 612;
// method "accept(_)from(_)"
  struct UserObject *uo2733 = (struct UserObject*)obj2644;
  uo2733->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2733 = addmethod2pos(obj2644, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2733, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2733[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2733);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2733->definitionLine = 613;
// method "map(_)ancestors(_)"
  struct UserObject *uo2770 = (struct UserObject*)obj2644;
  uo2770->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770 = addmethod2pos(obj2644, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2770, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2770[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2770);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2770->definitionLine = 627;
// method "pretty(_)"
  struct UserObject *uo2807 = (struct UserObject*)obj2644;
  uo2807->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2807 = addmethod2pos(obj2644, "pretty(1)", &meth_ast_pretty_40_1_41_2807, 14);
  int argcv_meth_ast_pretty_40_1_41_2807[] = {1};
  meth_meth_ast_pretty_40_1_41_2807->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2807);
  meth_meth_ast_pretty_40_1_41_2807->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2807->definitionLine = 635;
// method "toGrace(_)"
  struct UserObject *uo2986 = (struct UserObject*)obj2644;
  uo2986->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2986 = addmethod2pos(obj2644, "toGrace(1)", &meth_ast_toGrace_40_1_41_2986, 15);
  int argcv_meth_ast_toGrace_40_1_41_2986[] = {1};
  meth_meth_ast_toGrace_40_1_41_2986->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2986);
meth_meth_ast_toGrace_40_1_41_2986->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2986->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2986->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2986->definitionLine = 655;
// method "shallowCopy"
  block_savedest(obj2644);
  Object closure3005 = createclosure(1, "shallowCopy");
  setclosureframe(closure3005, stackframe);
  addtoclosure(closure3005, var_methodTypeNode);
  struct UserObject *uo3005 = (struct UserObject*)obj2644;
  uo3005->data[16] = (Object)closure3005;
  Method *meth_meth_ast_shallowCopy3005 = addmethod2pos(obj2644, "shallowCopy", &meth_ast_shallowCopy3005, 16);
  int argcv_meth_ast_shallowCopy3005[] = {0};
  meth_meth_ast_shallowCopy3005->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3005);
  meth_meth_ast_shallowCopy3005->definitionModule = modulename;
  meth_meth_ast_shallowCopy3005->definitionLine = 660;
  sourceObject = obj2644;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3014 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3016 = gc_frame_new();
// call case 3: self.outer request
  Object call3017 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3016);
// compiled member node returning call3017 (depth = 5)
  Object call3018 = callmethodflags(call3017, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3015);
// compiled member node returning call3018 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3019 = callmethodflags(call3018, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3014);
// compiled call node returning call3019 (depth = 3)
  struct UserObject *obj2644_uo = (struct UserObject *)obj2644;
  obj2644_uo->super = call3019;
  sourceObject = obj2644;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3020 == NULL) {
    strlit3020 = alloc_String("methodtype");
    gc_root(strlit3020);
  }
// compiled string node returning strlit3020 (depth = 3)
  adddatum2(obj2644, strlit3020, 1);
  sourceObject = obj2644;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2644, *var_signature_39_, 2);
  sourceObject = obj2644;
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2644, *var_rtype_39_, 3);
  sourceObject = obj2644;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3021 = alloc_Boolean(0);
// compiled identifier node returning bool3021 (depth = 3)
  adddatum2(obj2644, bool3021, 4);
  sourceObject = obj2644;
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2644, *var_uninitialized, 5);
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  sourceObject = obj2644;
  objclass2644 = obj2644->class;
  objclass2644->definitionModule = modulename;
  objclass2644->definitionLine = 575;
  (*(struct UserObject *)self).data[0] = lowerouter2644;
  self = oldself2644;
  selfslot = oldselfslot2644;
  stackframe = oldstackframe2644;
  gc_frame_end(frame);
  return obj2644;
}
Object meth_ast_methodTypeNode3023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodTypeNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodTypeNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodTypeNode;
}
Object meth_ast_name3035(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3036 = gc_frame_new();
// call case 4: self request
  Object call3037 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3036);
// compiled member node returning call3037 (depth = 3)
  gc_frame_end(frame);
  return call3037;
}
Object meth_ast_name_58__61__40_1_41_3038(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method name:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for name:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part name:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3039 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3040 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3039);
// compiled call node returning call3040 (depth = 3)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3041 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3042 = alloc_Boolean(0);
// compiled identifier node returning bool3042 (depth = 4)
  gc_frame_newslot(bool3042);
// call case 4: self request
  params[0] = bool3042;
  partcv[0] = 1;
  Object call3043 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3041);
// compiled call node returning call3043 (depth = 3)
  gc_frame_end(frame);
  return call3043;
}
Object meth_ast_asString3044(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3046 == NULL) {
    strlit3046 = alloc_String("");
    gc_root(strlit3046);
  }
// compiled string node returning strlit3046 (depth = 4)
  int op_slot_right_3045 = gc_frame_newslot(strlit3046);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3049 = gc_frame_new();
// call case 4: self request
  Object call3050 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3049);
// compiled member node returning call3050 (depth = 5)
  int op_slot_right_3048 = gc_frame_newslot(call3050);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3053 == NULL) {
    strlit3053 = alloc_String(", types = ");
    gc_root(strlit3053);
  }
// compiled string node returning strlit3053 (depth = 6)
  int op_slot_right_3052 = gc_frame_newslot(strlit3053);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3056 = gc_frame_new();
// call case 4: self request
  Object call3057 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3056);
// compiled member node returning call3057 (depth = 7)
  int op_slot_right_3055 = gc_frame_newslot(call3057);
// starting to compile string node (depth = 7)
  if (strlit3059 == NULL) {
    strlit3059 = alloc_String("typeliteral: methods = ");
    gc_root(strlit3059);
  }
// compiled string node returning strlit3059 (depth = 7)
  int op_slot_left_3055 = gc_frame_newslot(strlit3059);
  params[0] = call3057;
  partcv[0] = 1;
  Object opresult3060 = callmethod(strlit3059, "++(1)", 1, partcv, params);
// compiled op node returning opresult3060 (depth = 6)
  int op_slot_left_3052 = gc_frame_newslot(opresult3060);
  params[0] = strlit3053;
  partcv[0] = 1;
  Object opresult3061 = callmethod(opresult3060, "++(1)", 1, partcv, params);
// compiled op node returning opresult3061 (depth = 5)
  int op_slot_left_3048 = gc_frame_newslot(opresult3061);
  params[0] = call3050;
  partcv[0] = 1;
  Object opresult3062 = callmethod(opresult3061, "++(1)", 1, partcv, params);
// compiled op node returning opresult3062 (depth = 4)
  int op_slot_left_3045 = gc_frame_newslot(opresult3062);
  params[0] = strlit3046;
  partcv[0] = 1;
  Object opresult3063 = callmethod(opresult3062, "++(1)", 1, partcv, params);
// compiled op node returning opresult3063 (depth = 3)
  gc_frame_end(frame);
  return opresult3063;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3065 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3066 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe3065);
// compiled member node returning call3066 (depth = 3)
  gc_frame_end(frame);
  return call3066;
}
Object meth_ast_isExecutable3067(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3068 = alloc_Boolean(0);
// compiled identifier node returning bool3068 (depth = 3)
  gc_frame_end(frame);
  return bool3068;
}
Object meth_ast__apply_40_1_41_3079(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3080 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3081 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3080);
// compiled call node returning call3081 (depth = 6)
  gc_frame_end(frame);
  return call3081;
}
Object meth_ast__apply_40_1_41_3088(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3089 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3090 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3089);
// compiled call node returning call3090 (depth = 6)
  gc_frame_end(frame);
  return call3090;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3069(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3071 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3072 = callmethodflags(*var_visitor, "visitTypeLiteral(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3071);
// compiled call node returning call3072 (depth = 4)
  Object if3070 = done;
  if (istrue(call3072)) {
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3073 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3074 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3073);
// compiled call node returning call3074 (depth = 5)
  *var_newChain = call3074;
  if (call3074 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3075 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3076 = gc_frame_new();
// call case 4: self request
  Object call3077 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3076);
// compiled member node returning call3077 (depth = 5)
  gc_frame_newslot(call3077);
// starting to compile block node (depth = 5)
  Object block3078 = alloc_Block(NULL, NULL, "ast", 689);
  gc_frame_newslot(block3078);
// method "_apply(_)"
  block_savedest(block3078);
  Object closure3079 = createclosure(3, "_apply(1)");
  setclosureframe(closure3079, stackframe);
  addtoclosure(closure3079, var_visitor);
  addtoclosure(closure3079, var_newChain);
  addtoclosure(closure3079, selfslot);
  struct UserObject *uo3079 = (struct UserObject*)block3078;
  uo3079->data[0] = (Object)closure3079;
  Method *meth_meth_ast__apply_40_1_41_3079 = addmethod2pos(block3078, "_apply(1)", &meth_ast__apply_40_1_41_3079, 0);
  int argcv_meth_ast__apply_40_1_41_3079[] = {1};
  meth_meth_ast__apply_40_1_41_3079->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3079);
  meth_meth_ast__apply_40_1_41_3079->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3079->definitionLine = 2984;
// compiled block node returning block3078 (depth = 5)
  gc_frame_newslot(block3078);
// call case 5: prelude request
  params[0] = call3077;
  params[1] = block3078;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3083 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3075);
// compiled call node returning call3083 (depth = 4)
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3084 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3085 = gc_frame_new();
// call case 4: self request
  Object call3086 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3085);
// compiled member node returning call3086 (depth = 5)
  gc_frame_newslot(call3086);
// starting to compile block node (depth = 5)
  Object block3087 = alloc_Block(NULL, NULL, "ast", 692);
  gc_frame_newslot(block3087);
// method "_apply(_)"
  block_savedest(block3087);
  Object closure3088 = createclosure(3, "_apply(1)");
  setclosureframe(closure3088, stackframe);
  addtoclosure(closure3088, var_visitor);
  addtoclosure(closure3088, var_newChain);
  addtoclosure(closure3088, selfslot);
  struct UserObject *uo3088 = (struct UserObject*)block3087;
  uo3088->data[0] = (Object)closure3088;
  Method *meth_meth_ast__apply_40_1_41_3088 = addmethod2pos(block3087, "_apply(1)", &meth_ast__apply_40_1_41_3088, 0);
  int argcv_meth_ast__apply_40_1_41_3088[] = {1};
  meth_meth_ast__apply_40_1_41_3088->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3088);
  meth_meth_ast__apply_40_1_41_3088->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3088->definitionLine = 2984;
// compiled block node returning block3087 (depth = 5)
  gc_frame_newslot(block3087);
// call case 5: prelude request
  params[0] = call3086;
  params[1] = block3087;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3092 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3084);
// compiled call node returning call3092 (depth = 4)
    gc_frame_newslot(call3092);
    if3070 = call3092;
  } else {
  }
// compiled if node returning if3070 (depth = 3)
  gc_frame_end(frame);
  return if3070;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_3093(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3094 = gc_frame_new();
// call case 4: self request
  Object call3095 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3094);
// compiled member node returning call3095 (depth = 4)
  *var_n = call3095;
  if (call3095 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3096 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3097 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3096);
// compiled call node returning call3097 (depth = 4)
  *var_newChain = call3097;
  if (call3097 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3098 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3099 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3100 = gc_frame_new();
// call case 4: self request
  Object call3101 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3100);
// compiled member node returning call3101 (depth = 5)
  gc_frame_newslot(call3101);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3102 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3103 = gc_frame_new();
// call case 3: self.outer request
  Object call3104 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3103);
// compiled member node returning call3104 (depth = 6)
  Object call3105 = callmethodflags(call3104, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3102);
// compiled member node returning call3105 (depth = 5)
  params[0] = call3101;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3106 = callmethodflags(call3105, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3099);
// compiled call node returning call3106 (depth = 4)
  gc_frame_newslot(call3106);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3106;
  partcv[0] = 1;
  Object call3107 = callmethodflags(*var_n, "methods:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3098);
// compiled call node returning call3107 (depth = 3)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3108 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3109 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3110 = gc_frame_new();
// call case 4: self request
  Object call3111 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3110);
// compiled member node returning call3111 (depth = 5)
  gc_frame_newslot(call3111);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3112 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3113 = gc_frame_new();
// call case 3: self.outer request
  Object call3114 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3113);
// compiled member node returning call3114 (depth = 6)
  Object call3115 = callmethodflags(call3114, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3112);
// compiled member node returning call3115 (depth = 5)
  params[0] = call3111;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3116 = callmethodflags(call3115, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3109);
// compiled call node returning call3116 (depth = 4)
  gc_frame_newslot(call3116);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3116;
  partcv[0] = 1;
  Object call3117 = callmethodflags(*var_n, "types:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3108);
// compiled call node returning call3117 (depth = 3)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3118 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3119 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3118);
// compiled call node returning call3119 (depth = 3)
  gc_frame_end(frame);
  return call3119;
}
Object meth_ast__apply_40_1_41_3128(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3130 == NULL) {
    strlit3130 = alloc_String("  ");
    gc_root(strlit3130);
  }
// compiled string node returning strlit3130 (depth = 7)
  int op_slot_right_3129 = gc_frame_newslot(strlit3130);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3129 = gc_frame_newslot(*var_spc);
  params[0] = strlit3130;
  partcv[0] = 1;
  Object opresult3132 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3132 (depth = 6)
  *var_spc = opresult3132;
  if (opresult3132 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3160 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3162 = alloc_Float64(2);
// compiled num node returning num3162 (depth = 9)
  int op_slot_right_3161 = gc_frame_newslot(num3162);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3161 = gc_frame_newslot(*var_depth);
  params[0] = num3162;
  partcv[0] = 1;
  Object sum3164 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3164 (depth = 8)
  gc_frame_newslot(sum3164);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3164;
  partcv[0] = 1;
  Object call3165 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3160);
// compiled call node returning call3165 (depth = 7)
  int op_slot_right_3159 = gc_frame_newslot(call3165);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3167 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3170 == NULL) {
    strlit3170 = alloc_String("""\x0a""  ");
    gc_root(strlit3170);
  }
// compiled string node returning strlit3170 (depth = 9)
  int op_slot_right_3169 = gc_frame_newslot(strlit3170);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3169 = gc_frame_newslot(*var_s);
  params[0] = strlit3170;
  partcv[0] = 1;
  Object opresult3172 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3172 (depth = 8)
  int op_slot_left_3167 = gc_frame_newslot(opresult3172);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3173 = callmethod(opresult3172, "++(1)", 1, partcv, params);
// compiled op node returning opresult3173 (depth = 7)
  int op_slot_left_3159 = gc_frame_newslot(opresult3173);
  params[0] = call3165;
  partcv[0] = 1;
  Object opresult3174 = callmethod(opresult3173, "++(1)", 1, partcv, params);
// compiled op node returning opresult3174 (depth = 6)
  *var_s = opresult3174;
  if (opresult3174 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3194(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3196 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3198 = alloc_Float64(2);
// compiled num node returning num3198 (depth = 9)
  int op_slot_right_3197 = gc_frame_newslot(num3198);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3197 = gc_frame_newslot(*var_depth);
  params[0] = num3198;
  partcv[0] = 1;
  Object sum3200 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3200 (depth = 8)
  gc_frame_newslot(sum3200);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3200;
  partcv[0] = 1;
  Object call3201 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3196);
// compiled call node returning call3201 (depth = 7)
  int op_slot_right_3195 = gc_frame_newslot(call3201);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3203 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3206 == NULL) {
    strlit3206 = alloc_String("""\x0a""  ");
    gc_root(strlit3206);
  }
// compiled string node returning strlit3206 (depth = 9)
  int op_slot_right_3205 = gc_frame_newslot(strlit3206);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3205 = gc_frame_newslot(*var_s);
  params[0] = strlit3206;
  partcv[0] = 1;
  Object opresult3208 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3208 (depth = 8)
  int op_slot_left_3203 = gc_frame_newslot(opresult3208);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3209 = callmethod(opresult3208, "++(1)", 1, partcv, params);
// compiled op node returning opresult3209 (depth = 7)
  int op_slot_left_3195 = gc_frame_newslot(opresult3209);
  params[0] = call3201;
  partcv[0] = 1;
  Object opresult3210 = callmethod(opresult3209, "++(1)", 1, partcv, params);
// compiled op node returning opresult3210 (depth = 6)
  *var_s = opresult3210;
  if (opresult3210 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_3120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3121 == NULL) {
    strlit3121 = alloc_String("");
    gc_root(strlit3121);
  }
// compiled string node returning strlit3121 (depth = 4)
  *var_spc = strlit3121;
  if (strlit3121 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3122 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3123 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num3125 = alloc_Float64(0);
// compiled num node returning num3125 (depth = 5)
  int op_slot_left_3123 = gc_frame_newslot(num3125);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3126 = callmethod(num3125, "..(1)", 1, partcv, params);
// compiled op node returning opresult3126 (depth = 4)
  gc_frame_newslot(opresult3126);
// starting to compile block node (depth = 4)
  Object block3127 = alloc_Block(NULL, NULL, "ast", 706);
  gc_frame_newslot(block3127);
// method "_apply(_)"
  block_savedest(block3127);
  Object closure3128 = createclosure(2, "_apply(1)");
  setclosureframe(closure3128, stackframe);
  addtoclosure(closure3128, var_spc);
  addtoclosure(closure3128, selfslot);
  struct UserObject *uo3128 = (struct UserObject*)block3127;
  uo3128->data[0] = (Object)closure3128;
  Method *meth_meth_ast__apply_40_1_41_3128 = addmethod2pos(block3127, "_apply(1)", &meth_ast__apply_40_1_41_3128, 0);
  int argcv_meth_ast__apply_40_1_41_3128[] = {1};
  meth_meth_ast__apply_40_1_41_3128->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3128);
  meth_meth_ast__apply_40_1_41_3128->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3128->definitionLine = 2984;
// compiled block node returning block3127 (depth = 4)
  gc_frame_newslot(block3127);
// call case 5: prelude request
  params[0] = opresult3126;
  params[1] = block3127;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3135 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3122);
// compiled call node returning call3135 (depth = 3)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3137 == NULL) {
    strlit3137 = alloc_String("""\x0a""");
    gc_root(strlit3137);
  }
// compiled string node returning strlit3137 (depth = 5)
  int op_slot_right_3136 = gc_frame_newslot(strlit3137);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3140 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3141 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3140);
// compiled call node returning call3141 (depth = 6)
  int op_slot_right_3139 = gc_frame_newslot(call3141);
// starting to compile string node (depth = 6)
  if (strlit3143 == NULL) {
    strlit3143 = alloc_String("");
    gc_root(strlit3143);
  }
// compiled string node returning strlit3143 (depth = 6)
  int op_slot_left_3139 = gc_frame_newslot(strlit3143);
  params[0] = call3141;
  partcv[0] = 1;
  Object opresult3144 = callmethod(strlit3143, "++(1)", 1, partcv, params);
// compiled op node returning opresult3144 (depth = 5)
  int op_slot_left_3136 = gc_frame_newslot(opresult3144);
  params[0] = strlit3137;
  partcv[0] = 1;
  Object opresult3145 = callmethod(opresult3144, "++(1)", 1, partcv, params);
// compiled op node returning opresult3145 (depth = 4)
  *var_s = opresult3145;
  if (opresult3145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3147 == NULL) {
    strlit3147 = alloc_String("Types:");
    gc_root(strlit3147);
  }
// compiled string node returning strlit3147 (depth = 5)
  int op_slot_right_3146 = gc_frame_newslot(strlit3147);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3149 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3149 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3151 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3151 (depth = 5)
  int op_slot_left_3146 = gc_frame_newslot(opresult3151);
  params[0] = strlit3147;
  partcv[0] = 1;
  Object opresult3152 = callmethod(opresult3151, "++(1)", 1, partcv, params);
// compiled op node returning opresult3152 (depth = 4)
  *var_s = opresult3152;
  if (opresult3152 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3154 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3155 = gc_frame_new();
// call case 4: self request
  Object call3156 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3155);
// compiled member node returning call3156 (depth = 4)
  gc_frame_newslot(call3156);
// starting to compile block node (depth = 4)
  Object block3157 = alloc_Block(NULL, NULL, "ast", 711);
  gc_frame_newslot(block3157);
// method "_apply(_)"
  block_savedest(block3157);
  Object closure3158 = createclosure(4, "_apply(1)");
  setclosureframe(closure3158, stackframe);
  addtoclosure(closure3158, var_depth);
  addtoclosure(closure3158, var_spc);
  addtoclosure(closure3158, var_s);
  addtoclosure(closure3158, selfslot);
  struct UserObject *uo3158 = (struct UserObject*)block3157;
  uo3158->data[0] = (Object)closure3158;
  Method *meth_meth_ast__apply_40_1_41_3158 = addmethod2pos(block3157, "_apply(1)", &meth_ast__apply_40_1_41_3158, 0);
  int argcv_meth_ast__apply_40_1_41_3158[] = {1};
  meth_meth_ast__apply_40_1_41_3158->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3158);
  meth_meth_ast__apply_40_1_41_3158->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3158->definitionLine = 2984;
// compiled block node returning block3157 (depth = 4)
  gc_frame_newslot(block3157);
// call case 5: prelude request
  params[0] = call3156;
  params[1] = block3157;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3177 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3154);
// compiled call node returning call3177 (depth = 3)
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3179 == NULL) {
    strlit3179 = alloc_String("Methods:");
    gc_root(strlit3179);
  }
// compiled string node returning strlit3179 (depth = 5)
  int op_slot_right_3178 = gc_frame_newslot(strlit3179);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3181 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3184 == NULL) {
    strlit3184 = alloc_String("""\x0a""");
    gc_root(strlit3184);
  }
// compiled string node returning strlit3184 (depth = 7)
  int op_slot_right_3183 = gc_frame_newslot(strlit3184);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3183 = gc_frame_newslot(*var_s);
  params[0] = strlit3184;
  partcv[0] = 1;
  Object opresult3186 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3186 (depth = 6)
  int op_slot_left_3181 = gc_frame_newslot(opresult3186);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3187 = callmethod(opresult3186, "++(1)", 1, partcv, params);
// compiled op node returning opresult3187 (depth = 5)
  int op_slot_left_3178 = gc_frame_newslot(opresult3187);
  params[0] = strlit3179;
  partcv[0] = 1;
  Object opresult3188 = callmethod(opresult3187, "++(1)", 1, partcv, params);
// compiled op node returning opresult3188 (depth = 4)
  *var_s = opresult3188;
  if (opresult3188 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3190 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3191 = gc_frame_new();
// call case 4: self request
  Object call3192 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3191);
// compiled member node returning call3192 (depth = 4)
  gc_frame_newslot(call3192);
// starting to compile block node (depth = 4)
  Object block3193 = alloc_Block(NULL, NULL, "ast", 715);
  gc_frame_newslot(block3193);
// method "_apply(_)"
  block_savedest(block3193);
  Object closure3194 = createclosure(4, "_apply(1)");
  setclosureframe(closure3194, stackframe);
  addtoclosure(closure3194, var_depth);
  addtoclosure(closure3194, var_spc);
  addtoclosure(closure3194, var_s);
  addtoclosure(closure3194, selfslot);
  struct UserObject *uo3194 = (struct UserObject*)block3193;
  uo3194->data[0] = (Object)closure3194;
  Method *meth_meth_ast__apply_40_1_41_3194 = addmethod2pos(block3193, "_apply(1)", &meth_ast__apply_40_1_41_3194, 0);
  int argcv_meth_ast__apply_40_1_41_3194[] = {1};
  meth_meth_ast__apply_40_1_41_3194->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3194);
  meth_meth_ast__apply_40_1_41_3194->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3194->definitionLine = 2984;
// compiled block node returning block3193 (depth = 4)
  gc_frame_newslot(block3193);
// call case 5: prelude request
  params[0] = call3192;
  params[1] = block3193;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3213 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3190);
// compiled call node returning call3213 (depth = 3)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3215 == NULL) {
    strlit3215 = alloc_String("""\x0a""");
    gc_root(strlit3215);
  }
// compiled string node returning strlit3215 (depth = 5)
  int op_slot_right_3214 = gc_frame_newslot(strlit3215);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3214 = gc_frame_newslot(*var_s);
  params[0] = strlit3215;
  partcv[0] = 1;
  Object opresult3217 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3217 (depth = 4)
  *var_s = opresult3217;
  if (opresult3217 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_3231(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3233 == NULL) {
    strlit3233 = alloc_String("    ");
    gc_root(strlit3233);
  }
// compiled string node returning strlit3233 (depth = 7)
  int op_slot_right_3232 = gc_frame_newslot(strlit3233);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3232 = gc_frame_newslot(*var_spc);
  params[0] = strlit3233;
  partcv[0] = 1;
  Object opresult3235 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3235 (depth = 6)
  *var_spc = opresult3235;
  if (opresult3235 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3249(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3251 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3253 = alloc_Float64(1);
// compiled num node returning num3253 (depth = 9)
  int op_slot_right_3252 = gc_frame_newslot(num3253);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3252 = gc_frame_newslot(*var_depth);
  params[0] = num3253;
  partcv[0] = 1;
  Object sum3255 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3255 (depth = 8)
  gc_frame_newslot(sum3255);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3255;
  partcv[0] = 1;
  Object call3256 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3251);
// compiled call node returning call3256 (depth = 7)
  int op_slot_right_3250 = gc_frame_newslot(call3256);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3259 == NULL) {
    strlit3259 = alloc_String("    ");
    gc_root(strlit3259);
  }
// compiled string node returning strlit3259 (depth = 8)
  int op_slot_right_3258 = gc_frame_newslot(strlit3259);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3261 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3264 == NULL) {
    strlit3264 = alloc_String("""\x0a""");
    gc_root(strlit3264);
  }
// compiled string node returning strlit3264 (depth = 10)
  int op_slot_right_3263 = gc_frame_newslot(strlit3264);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3263 = gc_frame_newslot(*var_s);
  params[0] = strlit3264;
  partcv[0] = 1;
  Object opresult3266 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3266 (depth = 9)
  int op_slot_left_3261 = gc_frame_newslot(opresult3266);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3267 = callmethod(opresult3266, "++(1)", 1, partcv, params);
// compiled op node returning opresult3267 (depth = 8)
  int op_slot_left_3258 = gc_frame_newslot(opresult3267);
  params[0] = strlit3259;
  partcv[0] = 1;
  Object opresult3268 = callmethod(opresult3267, "++(1)", 1, partcv, params);
// compiled op node returning opresult3268 (depth = 7)
  int op_slot_left_3250 = gc_frame_newslot(opresult3268);
  params[0] = call3256;
  partcv[0] = 1;
  Object opresult3269 = callmethod(opresult3268, "++(1)", 1, partcv, params);
// compiled op node returning opresult3269 (depth = 6)
  *var_s = opresult3269;
  if (opresult3269 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3277(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3279 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3281 = alloc_Float64(1);
// compiled num node returning num3281 (depth = 9)
  int op_slot_right_3280 = gc_frame_newslot(num3281);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3280 = gc_frame_newslot(*var_depth);
  params[0] = num3281;
  partcv[0] = 1;
  Object sum3283 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3283 (depth = 8)
  gc_frame_newslot(sum3283);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3283;
  partcv[0] = 1;
  Object call3284 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3279);
// compiled call node returning call3284 (depth = 7)
  int op_slot_right_3278 = gc_frame_newslot(call3284);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3287 == NULL) {
    strlit3287 = alloc_String("    ");
    gc_root(strlit3287);
  }
// compiled string node returning strlit3287 (depth = 8)
  int op_slot_right_3286 = gc_frame_newslot(strlit3287);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3289 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3292 == NULL) {
    strlit3292 = alloc_String("""\x0a""");
    gc_root(strlit3292);
  }
// compiled string node returning strlit3292 (depth = 10)
  int op_slot_right_3291 = gc_frame_newslot(strlit3292);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3291 = gc_frame_newslot(*var_s);
  params[0] = strlit3292;
  partcv[0] = 1;
  Object opresult3294 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3294 (depth = 9)
  int op_slot_left_3289 = gc_frame_newslot(opresult3294);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3295 = callmethod(opresult3294, "++(1)", 1, partcv, params);
// compiled op node returning opresult3295 (depth = 8)
  int op_slot_left_3286 = gc_frame_newslot(opresult3295);
  params[0] = strlit3287;
  partcv[0] = 1;
  Object opresult3296 = callmethod(opresult3295, "++(1)", 1, partcv, params);
// compiled op node returning opresult3296 (depth = 7)
  int op_slot_left_3278 = gc_frame_newslot(opresult3296);
  params[0] = call3284;
  partcv[0] = 1;
  Object opresult3297 = callmethod(opresult3296, "++(1)", 1, partcv, params);
// compiled op node returning opresult3297 (depth = 6)
  *var_s = opresult3297;
  if (opresult3297 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_3219(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3220 == NULL) {
    strlit3220 = alloc_String("");
    gc_root(strlit3220);
  }
// compiled string node returning strlit3220 (depth = 4)
  *var_spc = strlit3220;
  if (strlit3220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3221 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3224 = alloc_Float64(1);
// compiled num node returning num3224 (depth = 6)
  int op_slot_right_3223 = gc_frame_newslot(num3224);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3223 = gc_frame_newslot(*var_depth);
  params[0] = num3224;
  partcv[0] = 1;
  Object diff3226 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff3226 (depth = 5)
  int op_slot_right_3222 = gc_frame_newslot(diff3226);
// starting to compile num node (depth = 5)
  Object num3228 = alloc_Float64(0);
// compiled num node returning num3228 (depth = 5)
  int op_slot_left_3222 = gc_frame_newslot(num3228);
  params[0] = diff3226;
  partcv[0] = 1;
  Object opresult3229 = callmethod(num3228, "..(1)", 1, partcv, params);
// compiled op node returning opresult3229 (depth = 4)
  gc_frame_newslot(opresult3229);
// starting to compile block node (depth = 4)
  Object block3230 = alloc_Block(NULL, NULL, "ast", 723);
  gc_frame_newslot(block3230);
// method "_apply(_)"
  block_savedest(block3230);
  Object closure3231 = createclosure(2, "_apply(1)");
  setclosureframe(closure3231, stackframe);
  addtoclosure(closure3231, var_spc);
  addtoclosure(closure3231, selfslot);
  struct UserObject *uo3231 = (struct UserObject*)block3230;
  uo3231->data[0] = (Object)closure3231;
  Method *meth_meth_ast__apply_40_1_41_3231 = addmethod2pos(block3230, "_apply(1)", &meth_ast__apply_40_1_41_3231, 0);
  int argcv_meth_ast__apply_40_1_41_3231[] = {1};
  meth_meth_ast__apply_40_1_41_3231->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3231);
  meth_meth_ast__apply_40_1_41_3231->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3231->definitionLine = 2984;
// compiled block node returning block3230 (depth = 4)
  gc_frame_newslot(block3230);
// call case 5: prelude request
  params[0] = opresult3229;
  params[1] = block3230;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3238 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3221);
// compiled call node returning call3238 (depth = 3)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3239 == NULL) {
    strlit3239 = alloc_String("type");
    gc_root(strlit3239);
  }
// compiled string node returning strlit3239 (depth = 4)
  *var_s = strlit3239;
  if (strlit3239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3241 == NULL) {
    strlit3241 = alloc_String(" = {");
    gc_root(strlit3241);
  }
// compiled string node returning strlit3241 (depth = 5)
  int op_slot_right_3240 = gc_frame_newslot(strlit3241);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3240 = gc_frame_newslot(*var_s);
  params[0] = strlit3241;
  partcv[0] = 1;
  Object opresult3243 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3243 (depth = 4)
  *var_s = opresult3243;
  if (opresult3243 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3245 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3246 = gc_frame_new();
// call case 4: self request
  Object call3247 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3246);
// compiled member node returning call3247 (depth = 4)
  gc_frame_newslot(call3247);
// starting to compile block node (depth = 4)
  Object block3248 = alloc_Block(NULL, NULL, "ast", 728);
  gc_frame_newslot(block3248);
// method "_apply(_)"
  block_savedest(block3248);
  Object closure3249 = createclosure(4, "_apply(1)");
  setclosureframe(closure3249, stackframe);
  addtoclosure(closure3249, var_depth);
  addtoclosure(closure3249, var_spc);
  addtoclosure(closure3249, var_s);
  addtoclosure(closure3249, selfslot);
  struct UserObject *uo3249 = (struct UserObject*)block3248;
  uo3249->data[0] = (Object)closure3249;
  Method *meth_meth_ast__apply_40_1_41_3249 = addmethod2pos(block3248, "_apply(1)", &meth_ast__apply_40_1_41_3249, 0);
  int argcv_meth_ast__apply_40_1_41_3249[] = {1};
  meth_meth_ast__apply_40_1_41_3249->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3249);
  meth_meth_ast__apply_40_1_41_3249->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3249->definitionLine = 2984;
// compiled block node returning block3248 (depth = 4)
  gc_frame_newslot(block3248);
// call case 5: prelude request
  params[0] = call3247;
  params[1] = block3248;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3272 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3245);
// compiled call node returning call3272 (depth = 3)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3273 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3274 = gc_frame_new();
// call case 4: self request
  Object call3275 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3274);
// compiled member node returning call3275 (depth = 4)
  gc_frame_newslot(call3275);
// starting to compile block node (depth = 4)
  Object block3276 = alloc_Block(NULL, NULL, "ast", 731);
  gc_frame_newslot(block3276);
// method "_apply(_)"
  block_savedest(block3276);
  Object closure3277 = createclosure(4, "_apply(1)");
  setclosureframe(closure3277, stackframe);
  addtoclosure(closure3277, var_depth);
  addtoclosure(closure3277, var_spc);
  addtoclosure(closure3277, var_s);
  addtoclosure(closure3277, selfslot);
  struct UserObject *uo3277 = (struct UserObject*)block3276;
  uo3277->data[0] = (Object)closure3277;
  Method *meth_meth_ast__apply_40_1_41_3277 = addmethod2pos(block3276, "_apply(1)", &meth_ast__apply_40_1_41_3277, 0);
  int argcv_meth_ast__apply_40_1_41_3277[] = {1};
  meth_meth_ast__apply_40_1_41_3277->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3277);
  meth_meth_ast__apply_40_1_41_3277->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3277->definitionLine = 2984;
// compiled block node returning block3276 (depth = 4)
  gc_frame_newslot(block3276);
// call case 5: prelude request
  params[0] = call3275;
  params[1] = block3276;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3300 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3273);
// compiled call node returning call3300 (depth = 3)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3302 == NULL) {
    strlit3302 = alloc_String("}");
    gc_root(strlit3302);
  }
// compiled string node returning strlit3302 (depth = 4)
  int op_slot_right_3301 = gc_frame_newslot(strlit3302);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_3301 = gc_frame_newslot(*var_s);
  params[0] = strlit3302;
  partcv[0] = 1;
  Object opresult3304 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3304 (depth = 3)
  gc_frame_end(frame);
  return opresult3304;
}
Object meth_ast_shallowCopy3305(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3306 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3307 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeLiteralNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call3308 = callmethodflags(*var_typeLiteralNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3307);
// compiled call node returning call3308 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3309 = callmethodflags(call3308, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3306);
// compiled call node returning call3309 (depth = 3)
  gc_frame_end(frame);
  return call3309;
}
Object meth_ast_postCopy_40_1_41_3310(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3311 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3312 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3313 = callmethodflags(*var_other, "nominal", 0, partcv, params, 0);
  gc_frame_end(callframe3312);
// compiled member node returning call3313 (depth = 4)
  gc_frame_newslot(call3313);
// call case 4: self request
  params[0] = call3313;
  partcv[0] = 1;
  Object call3314 = callmethodflags(self, "nominal:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3311);
// compiled call node returning call3314 (depth = 3)
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3315 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3316 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3317 = callmethodflags(*var_other, "anonymous", 0, partcv, params, 0);
  gc_frame_end(callframe3316);
// compiled member node returning call3317 (depth = 4)
  gc_frame_newslot(call3317);
// call case 4: self request
  params[0] = call3317;
  partcv[0] = 1;
  Object call3318 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3315);
// compiled call node returning call3318 (depth = 3)
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3319 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3320 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3321 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3320);
// compiled member node returning call3321 (depth = 4)
  gc_frame_newslot(call3321);
// call case 4: self request
  params[0] = call3321;
  partcv[0] = 1;
  Object call3322 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3319);
// compiled call node returning call3322 (depth = 3)
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_2_41_3026(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeLiteralNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3027 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3027 = alloc_userobj2(22,18, objclass3027);
  gc_frame_newslot(obj3027);
if (objclass3027 == NULL) {
  glfree(obj3027->class->name);
  obj3027->class->name = "typeLiteralNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3027, self, 0);
  addmethodreal(obj3027,"outer", &reader_ast_outer_3028);
  Object oldself3027 = self;
  struct StackFrameObject *oldstackframe3027 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3027);
  gc_frame_newslot((Object)stackframe);
  self = obj3027;
  Object *oldselfslot3027 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3027 = (*(struct UserObject *)self).data[0], lowerouter3027 = thisouter3027;
  if (inheritingObject3027) {
    struct UserObject *inho3027 = (struct UserObject *)inheritingObject3027;
    while (inho3027->super != GraceDefaultObject) inho3027 = (struct UserObject *)inho3027->super;
    inho3027->super = obj3027;
    self = inheritingObject3027;
    *selfslot = self;
    lowerouter3027 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3027;
  }
if (objclass3027 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3027, "kind",&reader_ast_kind_3029, MFLAG_DEF);
  reader3029->definitionModule = modulename;
  reader3029->definitionLine = 668;
}
adddatum2(obj3027, alloc_Undefined(), 1);
if (objclass3027 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3027, "methods", &reader_ast_methods_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3027, "methods:=(1)", &writer_ast_methods_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 669;
  writer3030->definitionLine = 669;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 2);
if (objclass3027 == NULL) {
  Method *reader3031 = addmethodrealflags(obj3027, "types", &reader_ast_types_3031, 0);
  Method *writer3031 = addmethodrealflags(obj3027, "types:=(1)", &writer_ast_types_3031, 0);
  reader3031->definitionModule = modulename;
  writer3031->definitionModule = modulename;
  reader3031->definitionLine = 670;
  writer3031->definitionLine = 670;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 3);
if (objclass3027 == NULL) {
  Method *reader3032 = addmethodrealflags(obj3027, "nominal", &reader_ast_nominal_3032, 0);
  Method *writer3032 = addmethodrealflags(obj3027, "nominal:=(1)", &writer_ast_nominal_3032, 0);
  reader3032->definitionModule = modulename;
  writer3032->definitionModule = modulename;
  reader3032->definitionLine = 671;
  writer3032->definitionLine = 671;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 4);
if (objclass3027 == NULL) {
  Method *reader3033 = addmethodrealflags(obj3027, "anonymous", &reader_ast_anonymous_3033, 0);
  Method *writer3033 = addmethodrealflags(obj3027, "anonymous:=(1)", &writer_ast_anonymous_3033, 0);
  reader3033->definitionModule = modulename;
  writer3033->definitionModule = modulename;
  reader3033->definitionLine = 672;
  writer3033->definitionLine = 672;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 5);
if (objclass3027 == NULL) {
  Method *reader3034 = addmethodrealflags(obj3027, "value", &reader_ast_value_3034, 0);
  Method *writer3034 = addmethodrealflags(obj3027, "value:=(1)", &writer_ast_value_3034, 0);
  reader3034->definitionModule = modulename;
  writer3034->definitionModule = modulename;
  reader3034->definitionLine = 673;
  writer3034->definitionLine = 673;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3035 = (struct UserObject*)obj3027;
  uo3035->data[7] = emptyclosure;
  Method *meth_meth_ast_name3035 = addmethod2pos(obj3027, "name", &meth_ast_name3035, 7);
  int argcv_meth_ast_name3035[] = {0};
  meth_meth_ast_name3035->type = alloc_MethodType(1, argcv_meth_ast_name3035);
  meth_meth_ast_name3035->definitionModule = modulename;
  meth_meth_ast_name3035->definitionLine = 675;
// method "name:=(_)"
  struct UserObject *uo3038 = (struct UserObject*)obj3027;
  uo3038->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61__40_1_41_3038 = addmethod2pos(obj3027, "name:=(1)", &meth_ast_name_58__61__40_1_41_3038, 8);
  int argcv_meth_ast_name_58__61__40_1_41_3038[] = {1};
  meth_meth_ast_name_58__61__40_1_41_3038->type = alloc_MethodType(1, argcv_meth_ast_name_58__61__40_1_41_3038);
  meth_meth_ast_name_58__61__40_1_41_3038->definitionModule = modulename;
  meth_meth_ast_name_58__61__40_1_41_3038->definitionLine = 676;
// method "asString"
  struct UserObject *uo3044 = (struct UserObject*)obj3027;
  uo3044->data[9] = emptyclosure;
  Method *meth_meth_ast_asString3044 = addmethod2pos(obj3027, "asString", &meth_ast_asString3044, 9);
  int argcv_meth_ast_asString3044[] = {0};
  meth_meth_ast_asString3044->type = alloc_MethodType(1, argcv_meth_ast_asString3044);
  meth_meth_ast_asString3044->definitionModule = modulename;
  meth_meth_ast_asString3044->definitionLine = 680;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3027);
  Object closure3064 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3064, stackframe);
  addtoclosure(closure3064, var_k);
  struct UserObject *uo3064 = (struct UserObject*)obj3027;
  uo3064->data[10] = (Object)closure3064;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3064 = addmethod2pos(obj3027, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3064, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3064[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3064);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->definitionLine = 683;
// method "isExecutable"
  struct UserObject *uo3067 = (struct UserObject*)obj3027;
  uo3067->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable3067 = addmethod2pos(obj3027, "isExecutable", &meth_ast_isExecutable3067, 11);
  int argcv_meth_ast_isExecutable3067[] = {0};
  meth_meth_ast_isExecutable3067->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3067);
  meth_meth_ast_isExecutable3067->definitionModule = modulename;
  meth_meth_ast_isExecutable3067->definitionLine = 684;
// method "accept(_)from(_)"
  struct UserObject *uo3069 = (struct UserObject*)obj3027;
  uo3069->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3069 = addmethod2pos(obj3027, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3069, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3069[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3069);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->definitionLine = 686;
// method "map(_)ancestors(_)"
  struct UserObject *uo3093 = (struct UserObject*)obj3027;
  uo3093->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093 = addmethod2pos(obj3027, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3093, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3093[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3093);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->definitionLine = 697;
// method "pretty(_)"
  struct UserObject *uo3120 = (struct UserObject*)obj3027;
  uo3120->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3120 = addmethod2pos(obj3027, "pretty(1)", &meth_ast_pretty_40_1_41_3120, 14);
  int argcv_meth_ast_pretty_40_1_41_3120[] = {1};
  meth_meth_ast_pretty_40_1_41_3120->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3120);
  meth_meth_ast_pretty_40_1_41_3120->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3120->definitionLine = 704;
// method "toGrace(_)"
  struct UserObject *uo3219 = (struct UserObject*)obj3027;
  uo3219->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3219 = addmethod2pos(obj3027, "toGrace(1)", &meth_ast_toGrace_40_1_41_3219, 15);
  int argcv_meth_ast_toGrace_40_1_41_3219[] = {1};
  meth_meth_ast_toGrace_40_1_41_3219->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3219);
meth_meth_ast_toGrace_40_1_41_3219->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3219->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3219->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3219->definitionLine = 721;
// method "shallowCopy"
  block_savedest(obj3027);
  Object closure3305 = createclosure(2, "shallowCopy");
  setclosureframe(closure3305, stackframe);
  addtoclosure(closure3305, var_emptySeq);
  addtoclosure(closure3305, var_typeLiteralNode);
  struct UserObject *uo3305 = (struct UserObject*)obj3027;
  uo3305->data[16] = (Object)closure3305;
  Method *meth_meth_ast_shallowCopy3305 = addmethod2pos(obj3027, "shallowCopy", &meth_ast_shallowCopy3305, 16);
  int argcv_meth_ast_shallowCopy3305[] = {0};
  meth_meth_ast_shallowCopy3305->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3305);
  meth_meth_ast_shallowCopy3305->definitionModule = modulename;
  meth_meth_ast_shallowCopy3305->definitionLine = 736;
// method "postCopy(_)"
  struct UserObject *uo3310 = (struct UserObject*)obj3027;
  uo3310->data[17] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_3310 = addmethod2pos(obj3027, "postCopy(1)", &meth_ast_postCopy_40_1_41_3310, 17);
  int argcv_meth_ast_postCopy_40_1_41_3310[] = {1};
  meth_meth_ast_postCopy_40_1_41_3310->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_3310);
  meth_meth_ast_postCopy_40_1_41_3310->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_3310->definitionLine = 739;
  sourceObject = obj3027;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3323 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3324 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3325 = gc_frame_new();
// call case 3: self.outer request
  Object call3326 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3325);
// compiled member node returning call3326 (depth = 5)
  Object call3327 = callmethodflags(call3326, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3324);
// compiled member node returning call3327 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3328 = callmethodflags(call3327, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3323);
// compiled call node returning call3328 (depth = 3)
  struct UserObject *obj3027_uo = (struct UserObject *)obj3027;
  obj3027_uo->super = call3328;
  sourceObject = obj3027;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3329 == NULL) {
    strlit3329 = alloc_String("typeliteral");
    gc_root(strlit3329);
  }
// compiled string node returning strlit3329 (depth = 3)
  adddatum2(obj3027, strlit3329, 1);
  sourceObject = obj3027;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3027, *var_methods_39_, 2);
  sourceObject = obj3027;
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3027, *var_types_39_, 3);
  sourceObject = obj3027;
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3330 = alloc_Boolean(0);
// compiled identifier node returning bool3330 (depth = 3)
  adddatum2(obj3027, bool3330, 4);
  sourceObject = obj3027;
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3331 = alloc_Boolean(1);
// compiled identifier node returning bool3331 (depth = 3)
  adddatum2(obj3027, bool3331, 5);
  sourceObject = obj3027;
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3332 == NULL) {
    strlit3332 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3332);
  }
// compiled string node returning strlit3332 (depth = 3)
  adddatum2(obj3027, strlit3332, 6);
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  objclass3027 = obj3027->class;
  objclass3027->definitionModule = modulename;
  objclass3027->definitionLine = 666;
  (*(struct UserObject *)self).data[0] = lowerouter3027;
  self = oldself3027;
  selfslot = oldselfslot3027;
  stackframe = oldstackframe3027;
  gc_frame_end(frame);
  return obj3027;
}
Object meth_ast_new_40_2_41_3026_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeLiteralNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3027 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3027 = alloc_userobj2(22,18, objclass3027);
  gc_frame_newslot(obj3027);
if (objclass3027 == NULL) {
  glfree(obj3027->class->name);
  obj3027->class->name = "typeLiteralNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3027, self, 0);
  addmethodreal(obj3027,"outer", &reader_ast_outer_3028);
  Object oldself3027 = self;
  struct StackFrameObject *oldstackframe3027 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3027);
  gc_frame_newslot((Object)stackframe);
  self = obj3027;
  Object *oldselfslot3027 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3027 = (*(struct UserObject *)self).data[0], lowerouter3027 = thisouter3027;
  if (inheritingObject3027) {
    struct UserObject *inho3027 = (struct UserObject *)inheritingObject3027;
    while (inho3027->super != GraceDefaultObject) inho3027 = (struct UserObject *)inho3027->super;
    inho3027->super = obj3027;
    self = inheritingObject3027;
    *selfslot = self;
    lowerouter3027 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3027;
  }
if (objclass3027 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3027, "kind",&reader_ast_kind_3029, MFLAG_DEF);
  reader3029->definitionModule = modulename;
  reader3029->definitionLine = 668;
}
adddatum2(obj3027, alloc_Undefined(), 1);
if (objclass3027 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3027, "methods", &reader_ast_methods_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3027, "methods:=(1)", &writer_ast_methods_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 669;
  writer3030->definitionLine = 669;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 2);
if (objclass3027 == NULL) {
  Method *reader3031 = addmethodrealflags(obj3027, "types", &reader_ast_types_3031, 0);
  Method *writer3031 = addmethodrealflags(obj3027, "types:=(1)", &writer_ast_types_3031, 0);
  reader3031->definitionModule = modulename;
  writer3031->definitionModule = modulename;
  reader3031->definitionLine = 670;
  writer3031->definitionLine = 670;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 3);
if (objclass3027 == NULL) {
  Method *reader3032 = addmethodrealflags(obj3027, "nominal", &reader_ast_nominal_3032, 0);
  Method *writer3032 = addmethodrealflags(obj3027, "nominal:=(1)", &writer_ast_nominal_3032, 0);
  reader3032->definitionModule = modulename;
  writer3032->definitionModule = modulename;
  reader3032->definitionLine = 671;
  writer3032->definitionLine = 671;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 4);
if (objclass3027 == NULL) {
  Method *reader3033 = addmethodrealflags(obj3027, "anonymous", &reader_ast_anonymous_3033, 0);
  Method *writer3033 = addmethodrealflags(obj3027, "anonymous:=(1)", &writer_ast_anonymous_3033, 0);
  reader3033->definitionModule = modulename;
  writer3033->definitionModule = modulename;
  reader3033->definitionLine = 672;
  writer3033->definitionLine = 672;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 5);
if (objclass3027 == NULL) {
  Method *reader3034 = addmethodrealflags(obj3027, "value", &reader_ast_value_3034, 0);
  Method *writer3034 = addmethodrealflags(obj3027, "value:=(1)", &writer_ast_value_3034, 0);
  reader3034->definitionModule = modulename;
  writer3034->definitionModule = modulename;
  reader3034->definitionLine = 673;
  writer3034->definitionLine = 673;
}
obj3027->flags |= OFLAG_MUTABLE;
adddatum2(obj3027, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3035 = (struct UserObject*)obj3027;
  uo3035->data[7] = emptyclosure;
  Method *meth_meth_ast_name3035 = addmethod2pos(obj3027, "name", &meth_ast_name3035, 7);
  int argcv_meth_ast_name3035[] = {0};
  meth_meth_ast_name3035->type = alloc_MethodType(1, argcv_meth_ast_name3035);
  meth_meth_ast_name3035->definitionModule = modulename;
  meth_meth_ast_name3035->definitionLine = 675;
// method "name:=(_)"
  struct UserObject *uo3038 = (struct UserObject*)obj3027;
  uo3038->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61__40_1_41_3038 = addmethod2pos(obj3027, "name:=(1)", &meth_ast_name_58__61__40_1_41_3038, 8);
  int argcv_meth_ast_name_58__61__40_1_41_3038[] = {1};
  meth_meth_ast_name_58__61__40_1_41_3038->type = alloc_MethodType(1, argcv_meth_ast_name_58__61__40_1_41_3038);
  meth_meth_ast_name_58__61__40_1_41_3038->definitionModule = modulename;
  meth_meth_ast_name_58__61__40_1_41_3038->definitionLine = 676;
// method "asString"
  struct UserObject *uo3044 = (struct UserObject*)obj3027;
  uo3044->data[9] = emptyclosure;
  Method *meth_meth_ast_asString3044 = addmethod2pos(obj3027, "asString", &meth_ast_asString3044, 9);
  int argcv_meth_ast_asString3044[] = {0};
  meth_meth_ast_asString3044->type = alloc_MethodType(1, argcv_meth_ast_asString3044);
  meth_meth_ast_asString3044->definitionModule = modulename;
  meth_meth_ast_asString3044->definitionLine = 680;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3027);
  Object closure3064 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3064, stackframe);
  addtoclosure(closure3064, var_k);
  struct UserObject *uo3064 = (struct UserObject*)obj3027;
  uo3064->data[10] = (Object)closure3064;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3064 = addmethod2pos(obj3027, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3064, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3064[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3064);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3064->definitionLine = 683;
// method "isExecutable"
  struct UserObject *uo3067 = (struct UserObject*)obj3027;
  uo3067->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable3067 = addmethod2pos(obj3027, "isExecutable", &meth_ast_isExecutable3067, 11);
  int argcv_meth_ast_isExecutable3067[] = {0};
  meth_meth_ast_isExecutable3067->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3067);
  meth_meth_ast_isExecutable3067->definitionModule = modulename;
  meth_meth_ast_isExecutable3067->definitionLine = 684;
// method "accept(_)from(_)"
  struct UserObject *uo3069 = (struct UserObject*)obj3027;
  uo3069->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3069 = addmethod2pos(obj3027, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3069, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3069[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3069);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3069->definitionLine = 686;
// method "map(_)ancestors(_)"
  struct UserObject *uo3093 = (struct UserObject*)obj3027;
  uo3093->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093 = addmethod2pos(obj3027, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3093, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3093[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3093);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3093->definitionLine = 697;
// method "pretty(_)"
  struct UserObject *uo3120 = (struct UserObject*)obj3027;
  uo3120->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3120 = addmethod2pos(obj3027, "pretty(1)", &meth_ast_pretty_40_1_41_3120, 14);
  int argcv_meth_ast_pretty_40_1_41_3120[] = {1};
  meth_meth_ast_pretty_40_1_41_3120->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3120);
  meth_meth_ast_pretty_40_1_41_3120->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3120->definitionLine = 704;
// method "toGrace(_)"
  struct UserObject *uo3219 = (struct UserObject*)obj3027;
  uo3219->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3219 = addmethod2pos(obj3027, "toGrace(1)", &meth_ast_toGrace_40_1_41_3219, 15);
  int argcv_meth_ast_toGrace_40_1_41_3219[] = {1};
  meth_meth_ast_toGrace_40_1_41_3219->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3219);
meth_meth_ast_toGrace_40_1_41_3219->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3219->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3219->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3219->definitionLine = 721;
// method "shallowCopy"
  block_savedest(obj3027);
  Object closure3305 = createclosure(2, "shallowCopy");
  setclosureframe(closure3305, stackframe);
  addtoclosure(closure3305, var_emptySeq);
  addtoclosure(closure3305, var_typeLiteralNode);
  struct UserObject *uo3305 = (struct UserObject*)obj3027;
  uo3305->data[16] = (Object)closure3305;
  Method *meth_meth_ast_shallowCopy3305 = addmethod2pos(obj3027, "shallowCopy", &meth_ast_shallowCopy3305, 16);
  int argcv_meth_ast_shallowCopy3305[] = {0};
  meth_meth_ast_shallowCopy3305->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3305);
  meth_meth_ast_shallowCopy3305->definitionModule = modulename;
  meth_meth_ast_shallowCopy3305->definitionLine = 736;
// method "postCopy(_)"
  struct UserObject *uo3310 = (struct UserObject*)obj3027;
  uo3310->data[17] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_3310 = addmethod2pos(obj3027, "postCopy(1)", &meth_ast_postCopy_40_1_41_3310, 17);
  int argcv_meth_ast_postCopy_40_1_41_3310[] = {1};
  meth_meth_ast_postCopy_40_1_41_3310->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_3310);
  meth_meth_ast_postCopy_40_1_41_3310->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_3310->definitionLine = 739;
  sourceObject = obj3027;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3323 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3324 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3325 = gc_frame_new();
// call case 3: self.outer request
  Object call3326 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3325);
// compiled member node returning call3326 (depth = 5)
  Object call3327 = callmethodflags(call3326, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3324);
// compiled member node returning call3327 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3328 = callmethodflags(call3327, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3323);
// compiled call node returning call3328 (depth = 3)
  struct UserObject *obj3027_uo = (struct UserObject *)obj3027;
  obj3027_uo->super = call3328;
  sourceObject = obj3027;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3329 == NULL) {
    strlit3329 = alloc_String("typeliteral");
    gc_root(strlit3329);
  }
// compiled string node returning strlit3329 (depth = 3)
  adddatum2(obj3027, strlit3329, 1);
  sourceObject = obj3027;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3027, *var_methods_39_, 2);
  sourceObject = obj3027;
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3027, *var_types_39_, 3);
  sourceObject = obj3027;
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3330 = alloc_Boolean(0);
// compiled identifier node returning bool3330 (depth = 3)
  adddatum2(obj3027, bool3330, 4);
  sourceObject = obj3027;
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3331 = alloc_Boolean(1);
// compiled identifier node returning bool3331 (depth = 3)
  adddatum2(obj3027, bool3331, 5);
  sourceObject = obj3027;
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3332 == NULL) {
    strlit3332 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3332);
  }
// compiled string node returning strlit3332 (depth = 3)
  adddatum2(obj3027, strlit3332, 6);
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  sourceObject = obj3027;
  objclass3027 = obj3027->class;
  objclass3027->definitionModule = modulename;
  objclass3027->definitionLine = 666;
  (*(struct UserObject *)self).data[0] = lowerouter3027;
  self = oldself3027;
  selfslot = oldselfslot3027;
  stackframe = oldstackframe3027;
  gc_frame_end(frame);
  return obj3027;
}
Object meth_ast_typeLiteralNode3334(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeLiteralNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeLiteralNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeLiteralNode;
}
Object meth_ast_isLegalInTrait3346(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3347 = alloc_Boolean(1);
// compiled identifier node returning bool3347 (depth = 3)
  gc_frame_end(frame);
  return bool3347;
}
Object meth_ast_isTypeDec3348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3349 = alloc_Boolean(1);
// compiled identifier node returning bool3349 (depth = 3)
  gc_frame_end(frame);
  return bool3349;
}
Object meth_ast_scope_58__61__40_1_41_3350(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3351 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3352 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3351);
// compiled call node returning call3352 (depth = 3)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3353 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3354 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3353);
// compiled call node returning call3354 (depth = 3)
  gc_frame_end(frame);
  return call3354;
}
Object meth_ast_isExecutable3355(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3356 = alloc_Boolean(1);
// compiled identifier node returning bool3356 (depth = 3)
  gc_frame_end(frame);
  return bool3356;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3357(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3358 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3359 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe3358);
// compiled member node returning call3359 (depth = 3)
  gc_frame_end(frame);
  return call3359;
}
Object meth_ast_isConfidential3360(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3363 = alloc_Float64(0);
// compiled num node returning num3363 (depth = 5)
  int op_slot_right_3362 = gc_frame_newslot(num3363);
// starting to compile member node (depth = 5)
  int callframe3365 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3366 = gc_frame_new();
// call case 4: self request
  Object call3367 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3366);
// compiled member node returning call3367 (depth = 6)
  Object call3368 = callmethodflags(call3367, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3365);
// compiled member node returning call3368 (depth = 5)
  int op_slot_left_3362 = gc_frame_newslot(call3368);
  params[0] = num3363;
  partcv[0] = 1;
  Object opresult3369 = callmethod(call3368, "==(1)", 1, partcv, params);
// compiled op node returning opresult3369 (depth = 4)
  Object if3361 = done;
  if (istrue(opresult3369)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3370 = alloc_Boolean(0);
// compiled identifier node returning bool3370 (depth = 5)
  return bool3370;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3361 = undefined;
  } else {
  }
// compiled if node returning if3361 (depth = 3)
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3371 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit3372 == NULL) {
    strlit3372 = alloc_String("confidential");
    gc_root(strlit3372);
  }
// compiled string node returning strlit3372 (depth = 4)
  gc_frame_newslot(strlit3372);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3373 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3374 = gc_frame_new();
// call case 3: self.outer request
  Object call3375 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3374);
// compiled member node returning call3375 (depth = 5)
  Object call3376 = callmethodflags(call3375, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3373);
// compiled member node returning call3376 (depth = 4)
  params[0] = self;
  params[1] = strlit3372;
  partcv[0] = 2;
  Object call3377 = callmethodflags(call3376, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3371);
// compiled call node returning call3377 (depth = 3)
  gc_frame_end(frame);
  return call3377;
}
Object meth_ast_isPublic3378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3379 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3380 = gc_frame_new();
// call case 4: self request
  Object call3381 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3380);
// compiled member node returning call3381 (depth = 4)
  Object call3382 = callmethodflags(call3381, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3379);
// compiled member node returning call3382 (depth = 3)
  gc_frame_end(frame);
  return call3382;
}
Object meth_ast_isWritable3383(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3384 = alloc_Boolean(0);
// compiled identifier node returning bool3384 (depth = 3)
  gc_frame_end(frame);
  return bool3384;
}
Object meth_ast_isReadable3385(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3386 = gc_frame_new();
// call case 4: self request
  Object call3387 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3386);
// compiled member node returning call3387 (depth = 3)
  gc_frame_end(frame);
  return call3387;
}
Object meth_ast__apply_40_1_41_3411(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe3412 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3413 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3412);
// compiled call node returning call3413 (depth = 6)
  gc_frame_end(frame);
  return call3413;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3388(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3390 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3391 = callmethodflags(*var_visitor, "visitTypeDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3390);
// compiled call node returning call3391 (depth = 4)
  Object if3389 = done;
  if (istrue(call3391)) {
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3392 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3393 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3392);
// compiled call node returning call3393 (depth = 5)
  *var_newChain = call3393;
  if (call3393 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3394 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3395 = gc_frame_new();
// call case 4: self request
  Object call3396 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3395);
// compiled member node returning call3396 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3397 = callmethodflags(call3396, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3394);
// compiled call node returning call3397 (depth = 4)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3400 = gc_frame_new();
// call case 4: self request
  Object call3401 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3400);
// compiled member node returning call3401 (depth = 6)
  int op_slot_right_3399 = gc_frame_newslot(call3401);
// starting to compile identifier node (depth = 6)
  Object bool3403 = alloc_Boolean(0);
// compiled identifier node returning bool3403 (depth = 6)
  int op_slot_left_3399 = gc_frame_newslot(bool3403);
  params[0] = call3401;
  partcv[0] = 1;
  Object opresult3404 = callmethod(bool3403, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3404 (depth = 5)
  Object if3398 = done;
  if (istrue(opresult3404)) {
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3405 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3406 = gc_frame_new();
// call case 4: self request
  Object call3407 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3406);
// compiled member node returning call3407 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3408 = callmethodflags(call3407, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3405);
// compiled call node returning call3408 (depth = 5)
    gc_frame_newslot(call3408);
    if3398 = call3408;
  } else {
  }
// compiled if node returning if3398 (depth = 4)
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3409 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3410 = alloc_Block(NULL, NULL, "ast", 784);
  gc_frame_newslot(block3410);
// method "_apply(_)"
  block_savedest(block3410);
  Object closure3411 = createclosure(3, "_apply(1)");
  setclosureframe(closure3411, stackframe);
  addtoclosure(closure3411, var_visitor);
  addtoclosure(closure3411, var_newChain);
  addtoclosure(closure3411, selfslot);
  struct UserObject *uo3411 = (struct UserObject*)block3410;
  uo3411->data[0] = (Object)closure3411;
  Method *meth_meth_ast__apply_40_1_41_3411 = addmethod2pos(block3410, "_apply(1)", &meth_ast__apply_40_1_41_3411, 0);
  int argcv_meth_ast__apply_40_1_41_3411[] = {1};
  meth_meth_ast__apply_40_1_41_3411->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3411);
  meth_meth_ast__apply_40_1_41_3411->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3411->definitionLine = 2984;
// compiled block node returning block3410 (depth = 5)
  gc_frame_newslot(block3410);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3415 = gc_frame_new();
// call case 4: self request
  Object call3416 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3415);
// compiled member node returning call3416 (depth = 5)
  params[0] = block3410;
  partcv[0] = 1;
  Object call3417 = callmethodflags(call3416, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3409);
// compiled call node returning call3417 (depth = 4)
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3418 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3419 = gc_frame_new();
// call case 4: self request
  Object call3420 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3419);
// compiled member node returning call3420 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3421 = callmethodflags(call3420, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3418);
// compiled call node returning call3421 (depth = 4)
    gc_frame_newslot(call3421);
    if3389 = call3421;
  } else {
  }
// compiled if node returning if3389 (depth = 3)
  gc_frame_end(frame);
  return if3389;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_3422(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3423 = gc_frame_new();
// call case 4: self request
  Object call3424 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3423);
// compiled member node returning call3424 (depth = 4)
  *var_n = call3424;
  if (call3424 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3425 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3426 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3425);
// compiled call node returning call3426 (depth = 4)
  *var_newChain = call3426;
  if (call3426 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3427 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3428 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3429 = gc_frame_new();
// call case 4: self request
  Object call3430 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3429);
// compiled member node returning call3430 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3431 = callmethodflags(call3430, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3428);
// compiled call node returning call3431 (depth = 4)
  gc_frame_newslot(call3431);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3431;
  partcv[0] = 1;
  Object call3432 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3427);
// compiled call node returning call3432 (depth = 3)
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3433 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3434 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3435 = gc_frame_new();
// call case 4: self request
  Object call3436 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3435);
// compiled member node returning call3436 (depth = 5)
  gc_frame_newslot(call3436);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3437 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3438 = gc_frame_new();
// call case 3: self.outer request
  Object call3439 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3438);
// compiled member node returning call3439 (depth = 6)
  Object call3440 = callmethodflags(call3439, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3437);
// compiled member node returning call3440 (depth = 5)
  params[0] = call3436;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3441 = callmethodflags(call3440, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3434);
// compiled call node returning call3441 (depth = 4)
  gc_frame_newslot(call3441);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3441;
  partcv[0] = 1;
  Object call3442 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3433);
// compiled call node returning call3442 (depth = 3)
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3443 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3444 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3445 = gc_frame_new();
// call case 4: self request
  Object call3446 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3445);
// compiled member node returning call3446 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3447 = callmethodflags(call3446, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3444);
// compiled call node returning call3447 (depth = 4)
  gc_frame_newslot(call3447);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3447;
  partcv[0] = 1;
  Object call3448 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3443);
// compiled call node returning call3448 (depth = 3)
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3449 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3450 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3451 = gc_frame_new();
// call case 4: self request
  Object call3452 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3451);
// compiled member node returning call3452 (depth = 5)
  gc_frame_newslot(call3452);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3454 = gc_frame_new();
// call case 3: self.outer request
  Object call3455 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3454);
// compiled member node returning call3455 (depth = 6)
  Object call3456 = callmethodflags(call3455, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3453);
// compiled member node returning call3456 (depth = 5)
  params[0] = call3452;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3457 = callmethodflags(call3456, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3450);
// compiled call node returning call3457 (depth = 4)
  gc_frame_newslot(call3457);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3457;
  partcv[0] = 1;
  Object call3458 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3449);
// compiled call node returning call3458 (depth = 3)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3459 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3460 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3459);
// compiled call node returning call3460 (depth = 3)
  gc_frame_end(frame);
  return call3460;
}
Object meth_ast__apply_40_1_41_3469(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3471 == NULL) {
    strlit3471 = alloc_String("  ");
    gc_root(strlit3471);
  }
// compiled string node returning strlit3471 (depth = 7)
  int op_slot_right_3470 = gc_frame_newslot(strlit3471);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3470 = gc_frame_newslot(*var_spc);
  params[0] = strlit3471;
  partcv[0] = 1;
  Object opresult3473 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3473 (depth = 6)
  *var_spc = opresult3473;
  if (opresult3473 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_3461(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3462 == NULL) {
    strlit3462 = alloc_String("");
    gc_root(strlit3462);
  }
// compiled string node returning strlit3462 (depth = 4)
  *var_spc = strlit3462;
  if (strlit3462 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3463 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3464 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num3466 = alloc_Float64(0);
// compiled num node returning num3466 (depth = 5)
  int op_slot_left_3464 = gc_frame_newslot(num3466);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3467 = callmethod(num3466, "..(1)", 1, partcv, params);
// compiled op node returning opresult3467 (depth = 4)
  gc_frame_newslot(opresult3467);
// starting to compile block node (depth = 4)
  Object block3468 = alloc_Block(NULL, NULL, "ast", 799);
  gc_frame_newslot(block3468);
// method "_apply(_)"
  block_savedest(block3468);
  Object closure3469 = createclosure(2, "_apply(1)");
  setclosureframe(closure3469, stackframe);
  addtoclosure(closure3469, var_spc);
  addtoclosure(closure3469, selfslot);
  struct UserObject *uo3469 = (struct UserObject*)block3468;
  uo3469->data[0] = (Object)closure3469;
  Method *meth_meth_ast__apply_40_1_41_3469 = addmethod2pos(block3468, "_apply(1)", &meth_ast__apply_40_1_41_3469, 0);
  int argcv_meth_ast__apply_40_1_41_3469[] = {1};
  meth_meth_ast__apply_40_1_41_3469->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3469);
  meth_meth_ast__apply_40_1_41_3469->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3469->definitionLine = 2984;
// compiled block node returning block3468 (depth = 4)
  gc_frame_newslot(block3468);
// call case 5: prelude request
  params[0] = opresult3467;
  params[1] = block3468;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3476 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3463);
// compiled call node returning call3476 (depth = 3)
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3478 == NULL) {
    strlit3478 = alloc_String("""\x0a""");
    gc_root(strlit3478);
  }
// compiled string node returning strlit3478 (depth = 5)
  int op_slot_right_3477 = gc_frame_newslot(strlit3478);
// starting to compile call node (depth = 5)
  int callframe3480 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3481 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3480);
// compiled call node returning call3481 (depth = 5)
  int op_slot_left_3477 = gc_frame_newslot(call3481);
  params[0] = strlit3478;
  partcv[0] = 1;
  Object opresult3482 = callmethod(call3481, "++(1)", 1, partcv, params);
// compiled op node returning opresult3482 (depth = 4)
  *var_s = opresult3482;
  if (opresult3482 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3484 == NULL) {
    strlit3484 = alloc_String("""\x0a""");
    gc_root(strlit3484);
  }
// compiled string node returning strlit3484 (depth = 5)
  int op_slot_right_3483 = gc_frame_newslot(strlit3484);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3487 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3489 = alloc_Float64(1);
// compiled num node returning num3489 (depth = 8)
  int op_slot_right_3488 = gc_frame_newslot(num3489);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3488 = gc_frame_newslot(*var_depth);
  params[0] = num3489;
  partcv[0] = 1;
  Object sum3491 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3491 (depth = 7)
  gc_frame_newslot(sum3491);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3492 = gc_frame_new();
// call case 4: self request
  Object call3493 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3492);
// compiled member node returning call3493 (depth = 7)
  params[0] = sum3491;
  partcv[0] = 1;
  Object call3494 = callmethodflags(call3493, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3487);
// compiled call node returning call3494 (depth = 6)
  int op_slot_right_3486 = gc_frame_newslot(call3494);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3496 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3496 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3498 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3498 (depth = 6)
  int op_slot_left_3486 = gc_frame_newslot(opresult3498);
  params[0] = call3494;
  partcv[0] = 1;
  Object opresult3499 = callmethod(opresult3498, "++(1)", 1, partcv, params);
// compiled op node returning opresult3499 (depth = 5)
  int op_slot_left_3483 = gc_frame_newslot(opresult3499);
  params[0] = strlit3484;
  partcv[0] = 1;
  Object opresult3500 = callmethod(opresult3499, "++(1)", 1, partcv, params);
// compiled op node returning opresult3500 (depth = 4)
  *var_s = opresult3500;
  if (opresult3500 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3504 = gc_frame_new();
// call case 4: self request
  Object call3505 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3504);
// compiled member node returning call3505 (depth = 5)
  int op_slot_right_3503 = gc_frame_newslot(call3505);
// starting to compile identifier node (depth = 5)
  Object bool3507 = alloc_Boolean(0);
// compiled identifier node returning bool3507 (depth = 5)
  int op_slot_left_3503 = gc_frame_newslot(bool3507);
  params[0] = call3505;
  partcv[0] = 1;
  Object opresult3508 = callmethod(bool3507, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3508 (depth = 4)
  Object if3502 = done;
  if (istrue(opresult3508)) {
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3510 == NULL) {
    strlit3510 = alloc_String("""\x0a""");
    gc_root(strlit3510);
  }
// compiled string node returning strlit3510 (depth = 6)
  int op_slot_right_3509 = gc_frame_newslot(strlit3510);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3513 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3515 = alloc_Float64(2);
// compiled num node returning num3515 (depth = 9)
  int op_slot_right_3514 = gc_frame_newslot(num3515);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3514 = gc_frame_newslot(*var_depth);
  params[0] = num3515;
  partcv[0] = 1;
  Object sum3517 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3517 (depth = 8)
  gc_frame_newslot(sum3517);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3518 = gc_frame_new();
// call case 4: self request
  Object call3519 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3518);
// compiled member node returning call3519 (depth = 8)
  params[0] = sum3517;
  partcv[0] = 1;
  Object call3520 = callmethodflags(call3519, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3513);
// compiled call node returning call3520 (depth = 7)
  int op_slot_right_3512 = gc_frame_newslot(call3520);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3523 == NULL) {
    strlit3523 = alloc_String("Type parameters:""\x0a""");
    gc_root(strlit3523);
  }
// compiled string node returning strlit3523 (depth = 8)
  int op_slot_right_3522 = gc_frame_newslot(strlit3523);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3525 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3528 == NULL) {
    strlit3528 = alloc_String("");
    gc_root(strlit3528);
  }
// compiled string node returning strlit3528 (depth = 10)
  int op_slot_right_3527 = gc_frame_newslot(strlit3528);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_3530 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit3532 == NULL) {
    strlit3532 = alloc_String("");
    gc_root(strlit3532);
  }
// compiled string node returning strlit3532 (depth = 11)
  int op_slot_left_3530 = gc_frame_newslot(strlit3532);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3533 = callmethod(strlit3532, "++(1)", 1, partcv, params);
// compiled op node returning opresult3533 (depth = 10)
  int op_slot_left_3527 = gc_frame_newslot(opresult3533);
  params[0] = strlit3528;
  partcv[0] = 1;
  Object opresult3534 = callmethod(opresult3533, "++(1)", 1, partcv, params);
// compiled op node returning opresult3534 (depth = 9)
  int op_slot_left_3525 = gc_frame_newslot(opresult3534);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3535 = callmethod(opresult3534, "++(1)", 1, partcv, params);
// compiled op node returning opresult3535 (depth = 8)
  int op_slot_left_3522 = gc_frame_newslot(opresult3535);
  params[0] = strlit3523;
  partcv[0] = 1;
  Object opresult3536 = callmethod(opresult3535, "++(1)", 1, partcv, params);
// compiled op node returning opresult3536 (depth = 7)
  int op_slot_left_3512 = gc_frame_newslot(opresult3536);
  params[0] = call3520;
  partcv[0] = 1;
  Object opresult3537 = callmethod(opresult3536, "++(1)", 1, partcv, params);
// compiled op node returning opresult3537 (depth = 6)
  int op_slot_left_3509 = gc_frame_newslot(opresult3537);
  params[0] = strlit3510;
  partcv[0] = 1;
  Object opresult3538 = callmethod(opresult3537, "++(1)", 1, partcv, params);
// compiled op node returning opresult3538 (depth = 5)
  *var_s = opresult3538;
  if (opresult3538 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3502 = done;
  } else {
  }
// compiled if node returning if3502 (depth = 3)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3541 == NULL) {
    strlit3541 = alloc_String("Value:");
    gc_root(strlit3541);
  }
// compiled string node returning strlit3541 (depth = 5)
  int op_slot_right_3540 = gc_frame_newslot(strlit3541);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3543 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3543 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3545 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3545 (depth = 5)
  int op_slot_left_3540 = gc_frame_newslot(opresult3545);
  params[0] = strlit3541;
  partcv[0] = 1;
  Object opresult3546 = callmethod(opresult3545, "++(1)", 1, partcv, params);
// compiled op node returning opresult3546 (depth = 4)
  *var_s = opresult3546;
  if (opresult3546 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3549 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3551 = alloc_Float64(2);
// compiled num node returning num3551 (depth = 7)
  int op_slot_right_3550 = gc_frame_newslot(num3551);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_3550 = gc_frame_newslot(*var_depth);
  params[0] = num3551;
  partcv[0] = 1;
  Object sum3553 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3553 (depth = 6)
  gc_frame_newslot(sum3553);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3554 = gc_frame_new();
// call case 4: self request
  Object call3555 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3554);
// compiled member node returning call3555 (depth = 6)
  params[0] = sum3553;
  partcv[0] = 1;
  Object call3556 = callmethodflags(call3555, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3549);
// compiled call node returning call3556 (depth = 5)
  int op_slot_right_3548 = gc_frame_newslot(call3556);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3548 = gc_frame_newslot(*var_s);
  params[0] = call3556;
  partcv[0] = 1;
  Object opresult3558 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3558 (depth = 4)
  *var_s = opresult3558;
  if (opresult3558 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3561 == NULL) {
    strlit3561 = alloc_String("""\x0a""");
    gc_root(strlit3561);
  }
// compiled string node returning strlit3561 (depth = 5)
  int op_slot_right_3560 = gc_frame_newslot(strlit3561);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3560 = gc_frame_newslot(*var_s);
  params[0] = strlit3561;
  partcv[0] = 1;
  Object opresult3563 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3563 (depth = 4)
  *var_s = opresult3563;
  if (opresult3563 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3567 = gc_frame_new();
// call case 4: self request
  Object call3568 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3567);
// compiled member node returning call3568 (depth = 5)
  int op_slot_right_3566 = gc_frame_newslot(call3568);
// starting to compile identifier node (depth = 5)
  Object bool3570 = alloc_Boolean(0);
// compiled identifier node returning bool3570 (depth = 5)
  int op_slot_left_3566 = gc_frame_newslot(bool3570);
  params[0] = call3568;
  partcv[0] = 1;
  Object opresult3571 = callmethod(bool3570, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3571 (depth = 4)
  Object if3565 = done;
  if (istrue(opresult3571)) {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3573 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3575 = alloc_Float64(2);
// compiled num node returning num3575 (depth = 8)
  int op_slot_right_3574 = gc_frame_newslot(num3575);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3574 = gc_frame_newslot(*var_depth);
  params[0] = num3575;
  partcv[0] = 1;
  Object sum3577 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3577 (depth = 7)
  gc_frame_newslot(sum3577);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3578 = gc_frame_new();
// call case 4: self request
  Object call3579 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3578);
// compiled member node returning call3579 (depth = 7)
  params[0] = sum3577;
  partcv[0] = 1;
  Object call3580 = callmethodflags(call3579, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3573);
// compiled call node returning call3580 (depth = 6)
  int op_slot_right_3572 = gc_frame_newslot(call3580);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3572 = gc_frame_newslot(*var_s);
  params[0] = call3580;
  partcv[0] = 1;
  Object opresult3582 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3582 (depth = 5)
  *var_s = opresult3582;
  if (opresult3582 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3565 = done;
  } else {
  }
// compiled if node returning if3565 (depth = 3)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_3596(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3598 == NULL) {
    strlit3598 = alloc_String("    ");
    gc_root(strlit3598);
  }
// compiled string node returning strlit3598 (depth = 7)
  int op_slot_right_3597 = gc_frame_newslot(strlit3598);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3597 = gc_frame_newslot(*var_spc);
  params[0] = strlit3598;
  partcv[0] = 1;
  Object opresult3600 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3600 (depth = 6)
  *var_spc = opresult3600;
  if (opresult3600 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_3584(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3585 == NULL) {
    strlit3585 = alloc_String("");
    gc_root(strlit3585);
  }
// compiled string node returning strlit3585 (depth = 4)
  *var_spc = strlit3585;
  if (strlit3585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3586 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3589 = alloc_Float64(1);
// compiled num node returning num3589 (depth = 6)
  int op_slot_right_3588 = gc_frame_newslot(num3589);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3588 = gc_frame_newslot(*var_depth);
  params[0] = num3589;
  partcv[0] = 1;
  Object diff3591 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff3591 (depth = 5)
  int op_slot_right_3587 = gc_frame_newslot(diff3591);
// starting to compile num node (depth = 5)
  Object num3593 = alloc_Float64(0);
// compiled num node returning num3593 (depth = 5)
  int op_slot_left_3587 = gc_frame_newslot(num3593);
  params[0] = diff3591;
  partcv[0] = 1;
  Object opresult3594 = callmethod(num3593, "..(1)", 1, partcv, params);
// compiled op node returning opresult3594 (depth = 4)
  gc_frame_newslot(opresult3594);
// starting to compile block node (depth = 4)
  Object block3595 = alloc_Block(NULL, NULL, "ast", 817);
  gc_frame_newslot(block3595);
// method "_apply(_)"
  block_savedest(block3595);
  Object closure3596 = createclosure(2, "_apply(1)");
  setclosureframe(closure3596, stackframe);
  addtoclosure(closure3596, var_spc);
  addtoclosure(closure3596, selfslot);
  struct UserObject *uo3596 = (struct UserObject*)block3595;
  uo3596->data[0] = (Object)closure3596;
  Method *meth_meth_ast__apply_40_1_41_3596 = addmethod2pos(block3595, "_apply(1)", &meth_ast__apply_40_1_41_3596, 0);
  int argcv_meth_ast__apply_40_1_41_3596[] = {1};
  meth_meth_ast__apply_40_1_41_3596->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3596);
  meth_meth_ast__apply_40_1_41_3596->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3596->definitionLine = 2984;
// compiled block node returning block3595 (depth = 4)
  gc_frame_newslot(block3595);
// call case 5: prelude request
  params[0] = opresult3594;
  params[1] = block3595;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3603 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3586);
// compiled call node returning call3603 (depth = 3)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3604 == NULL) {
    strlit3604 = alloc_String("");
    gc_root(strlit3604);
  }
// compiled string node returning strlit3604 (depth = 4)
  *var_s = strlit3604;
  if (strlit3604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3606 == NULL) {
    strlit3606 = alloc_String("");
    gc_root(strlit3606);
  }
// compiled string node returning strlit3606 (depth = 5)
  int op_slot_right_3605 = gc_frame_newslot(strlit3606);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3609 = gc_frame_new();
// call case 4: self request
  Object call3610 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3609);
// compiled member node returning call3610 (depth = 6)
  int op_slot_right_3608 = gc_frame_newslot(call3610);
// starting to compile string node (depth = 6)
  if (strlit3612 == NULL) {
    strlit3612 = alloc_String("type ");
    gc_root(strlit3612);
  }
// compiled string node returning strlit3612 (depth = 6)
  int op_slot_left_3608 = gc_frame_newslot(strlit3612);
  params[0] = call3610;
  partcv[0] = 1;
  Object opresult3613 = callmethod(strlit3612, "++(1)", 1, partcv, params);
// compiled op node returning opresult3613 (depth = 5)
  int op_slot_left_3605 = gc_frame_newslot(opresult3613);
  params[0] = strlit3606;
  partcv[0] = 1;
  Object opresult3614 = callmethod(opresult3613, "++(1)", 1, partcv, params);
// compiled op node returning opresult3614 (depth = 4)
  *var_s = opresult3614;
  if (opresult3614 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3618 = gc_frame_new();
// call case 4: self request
  Object call3619 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3618);
// compiled member node returning call3619 (depth = 5)
  int op_slot_right_3617 = gc_frame_newslot(call3619);
// starting to compile identifier node (depth = 5)
  Object bool3621 = alloc_Boolean(0);
// compiled identifier node returning bool3621 (depth = 5)
  int op_slot_left_3617 = gc_frame_newslot(bool3621);
  params[0] = call3619;
  partcv[0] = 1;
  Object opresult3622 = callmethod(bool3621, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3622 (depth = 4)
  Object if3616 = done;
  if (istrue(opresult3622)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3623 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num3624 = alloc_Float64(0);
// compiled num node returning num3624 (depth = 5)
  gc_frame_newslot(num3624);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3625 = gc_frame_new();
// call case 4: self request
  Object call3626 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3625);
// compiled member node returning call3626 (depth = 5)
  params[0] = num3624;
  partcv[0] = 1;
  Object call3627 = callmethodflags(call3626, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3623);
// compiled call node returning call3627 (depth = 4)
    gc_frame_newslot(call3627);
    if3616 = call3627;
  } else {
  }
// compiled if node returning if3616 (depth = 3)
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3629 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3631 = alloc_Float64(2);
// compiled num node returning num3631 (depth = 6)
  int op_slot_right_3630 = gc_frame_newslot(num3631);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3630 = gc_frame_newslot(*var_depth);
  params[0] = num3631;
  partcv[0] = 1;
  Object sum3633 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3633 (depth = 5)
  gc_frame_newslot(sum3633);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3634 = gc_frame_new();
// call case 4: self request
  Object call3635 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3634);
// compiled member node returning call3635 (depth = 5)
  params[0] = sum3633;
  partcv[0] = 1;
  Object call3636 = callmethodflags(call3635, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3629);
// compiled call node returning call3636 (depth = 4)
  int op_slot_right_3628 = gc_frame_newslot(call3636);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3639 == NULL) {
    strlit3639 = alloc_String(" = ");
    gc_root(strlit3639);
  }
// compiled string node returning strlit3639 (depth = 5)
  int op_slot_right_3638 = gc_frame_newslot(strlit3639);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3638 = gc_frame_newslot(*var_s);
  params[0] = strlit3639;
  partcv[0] = 1;
  Object opresult3641 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3641 (depth = 4)
  int op_slot_left_3628 = gc_frame_newslot(opresult3641);
  params[0] = call3636;
  partcv[0] = 1;
  Object opresult3642 = callmethod(opresult3641, "++(1)", 1, partcv, params);
// compiled op node returning opresult3642 (depth = 3)
  gc_frame_end(frame);
  return opresult3642;
}
Object meth_ast_shallowCopy3643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3644 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3645 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3646 = gc_frame_new();
// call case 4: self request
  Object call3647 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3646);
// compiled member node returning call3647 (depth = 5)
  gc_frame_newslot(call3647);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeDecNode (depth = 5)
  params[0] = call3647;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call3648 = callmethodflags(*var_typeDecNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3645);
// compiled call node returning call3648 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3649 = callmethodflags(call3648, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3644);
// compiled call node returning call3649 (depth = 3)
  gc_frame_end(frame);
  return call3649;
}
Object meth_ast_new_40_2_41_3337(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3338 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3338 = alloc_userobj2(24,21, objclass3338);
  gc_frame_newslot(obj3338);
if (objclass3338 == NULL) {
  glfree(obj3338->class->name);
  obj3338->class->name = "typeDecNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3338, self, 0);
  addmethodreal(obj3338,"outer", &reader_ast_outer_3339);
  Object oldself3338 = self;
  struct StackFrameObject *oldstackframe3338 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3338);
  gc_frame_newslot((Object)stackframe);
  self = obj3338;
  Object *oldselfslot3338 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3338 = (*(struct UserObject *)self).data[0], lowerouter3338 = thisouter3338;
  if (inheritingObject3338) {
    struct UserObject *inho3338 = (struct UserObject *)inheritingObject3338;
    while (inho3338->super != GraceDefaultObject) inho3338 = (struct UserObject *)inho3338->super;
    inho3338->super = obj3338;
    self = inheritingObject3338;
    *selfslot = self;
    lowerouter3338 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3338;
  }
if (objclass3338 == NULL) {
  Method *reader3340 = addmethodrealflags(obj3338, "kind",&reader_ast_kind_3340, MFLAG_DEF);
  reader3340->definitionModule = modulename;
  reader3340->definitionLine = 751;
}
adddatum2(obj3338, alloc_Undefined(), 1);
if (objclass3338 == NULL) {
  Method *reader3341 = addmethodrealflags(obj3338, "name", &reader_ast_name_3341, 0);
  Method *writer3341 = addmethodrealflags(obj3338, "name:=(1)", &writer_ast_name_3341, 0);
  reader3341->definitionModule = modulename;
  writer3341->definitionModule = modulename;
  reader3341->definitionLine = 752;
  writer3341->definitionLine = 752;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 2);
if (objclass3338 == NULL) {
  Method *reader3342 = addmethodrealflags(obj3338, "value", &reader_ast_value_3342, 0);
  Method *writer3342 = addmethodrealflags(obj3338, "value:=(1)", &writer_ast_value_3342, 0);
  reader3342->definitionModule = modulename;
  writer3342->definitionModule = modulename;
  reader3342->definitionLine = 753;
  writer3342->definitionLine = 753;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 3);
if (objclass3338 == NULL) {
  Method *reader3343 = addmethodrealflags(obj3338, "nameString",&reader_ast_nameString_3343, MFLAG_DEF);
  reader3343->definitionModule = modulename;
  reader3343->definitionLine = 754;
}
adddatum2(obj3338, alloc_Undefined(), 4);
if (objclass3338 == NULL) {
  Method *reader3344 = addmethodrealflags(obj3338, "annotations", &reader_ast_annotations_3344, 0);
  Method *writer3344 = addmethodrealflags(obj3338, "annotations:=(1)", &writer_ast_annotations_3344, 0);
  reader3344->definitionModule = modulename;
  writer3344->definitionModule = modulename;
  reader3344->definitionLine = 755;
  writer3344->definitionLine = 755;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 5);
if (objclass3338 == NULL) {
  Method *reader3345 = addmethodrealflags(obj3338, "typeParams", &reader_ast_typeParams_3345, 0);
  Method *writer3345 = addmethodrealflags(obj3338, "typeParams:=(1)", &writer_ast_typeParams_3345, 0);
  reader3345->definitionModule = modulename;
  writer3345->definitionModule = modulename;
  reader3345->definitionLine = 756;
  writer3345->definitionLine = 756;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo3346 = (struct UserObject*)obj3338;
  uo3346->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3346 = addmethod2pos(obj3338, "isLegalInTrait", &meth_ast_isLegalInTrait3346, 7);
  int argcv_meth_ast_isLegalInTrait3346[] = {0};
  meth_meth_ast_isLegalInTrait3346->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3346);
  meth_meth_ast_isLegalInTrait3346->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3346->definitionLine = 758;
// method "isTypeDec"
  struct UserObject *uo3348 = (struct UserObject*)obj3338;
  uo3348->data[8] = emptyclosure;
  Method *meth_meth_ast_isTypeDec3348 = addmethod2pos(obj3338, "isTypeDec", &meth_ast_isTypeDec3348, 8);
  int argcv_meth_ast_isTypeDec3348[] = {0};
  meth_meth_ast_isTypeDec3348->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec3348);
  meth_meth_ast_isTypeDec3348->definitionModule = modulename;
  meth_meth_ast_isTypeDec3348->definitionLine = 759;
// method "scope:=(_)"
  struct UserObject *uo3350 = (struct UserObject*)obj3338;
  uo3350->data[9] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3350 = addmethod2pos(obj3338, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3350, 9);
  int argcv_meth_ast_scope_58__61__40_1_41_3350[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3350->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3350);
  meth_meth_ast_scope_58__61__40_1_41_3350->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3350->definitionLine = 760;
// method "isExecutable"
  struct UserObject *uo3355 = (struct UserObject*)obj3338;
  uo3355->data[10] = emptyclosure;
  Method *meth_meth_ast_isExecutable3355 = addmethod2pos(obj3338, "isExecutable", &meth_ast_isExecutable3355, 10);
  int argcv_meth_ast_isExecutable3355[] = {0};
  meth_meth_ast_isExecutable3355->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3355);
  meth_meth_ast_isExecutable3355->definitionModule = modulename;
  meth_meth_ast_isExecutable3355->definitionLine = 767;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3338);
  Object closure3357 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3357, stackframe);
  addtoclosure(closure3357, var_k);
  struct UserObject *uo3357 = (struct UserObject*)obj3338;
  uo3357->data[11] = (Object)closure3357;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3357 = addmethod2pos(obj3338, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3357, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3357[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3357);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->definitionLine = 768;
// method "isConfidential"
  struct UserObject *uo3360 = (struct UserObject*)obj3338;
  uo3360->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3360 = addmethod2pos(obj3338, "isConfidential", &meth_ast_isConfidential3360, 12);
  int argcv_meth_ast_isConfidential3360[] = {0};
  meth_meth_ast_isConfidential3360->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3360);
  meth_meth_ast_isConfidential3360->definitionModule = modulename;
  meth_meth_ast_isConfidential3360->definitionLine = 769;
// method "isPublic"
  struct UserObject *uo3378 = (struct UserObject*)obj3338;
  uo3378->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3378 = addmethod2pos(obj3338, "isPublic", &meth_ast_isPublic3378, 13);
  int argcv_meth_ast_isPublic3378[] = {0};
  meth_meth_ast_isPublic3378->type = alloc_MethodType(1, argcv_meth_ast_isPublic3378);
  meth_meth_ast_isPublic3378->definitionModule = modulename;
  meth_meth_ast_isPublic3378->definitionLine = 773;
// method "isWritable"
  struct UserObject *uo3383 = (struct UserObject*)obj3338;
  uo3383->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3383 = addmethod2pos(obj3338, "isWritable", &meth_ast_isWritable3383, 14);
  int argcv_meth_ast_isWritable3383[] = {0};
  meth_meth_ast_isWritable3383->type = alloc_MethodType(1, argcv_meth_ast_isWritable3383);
  meth_meth_ast_isWritable3383->definitionModule = modulename;
  meth_meth_ast_isWritable3383->definitionLine = 774;
// method "isReadable"
  struct UserObject *uo3385 = (struct UserObject*)obj3338;
  uo3385->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3385 = addmethod2pos(obj3338, "isReadable", &meth_ast_isReadable3385, 15);
  int argcv_meth_ast_isReadable3385[] = {0};
  meth_meth_ast_isReadable3385->type = alloc_MethodType(1, argcv_meth_ast_isReadable3385);
  meth_meth_ast_isReadable3385->definitionModule = modulename;
  meth_meth_ast_isReadable3385->definitionLine = 775;
// method "accept(_)from(_)"
  struct UserObject *uo3388 = (struct UserObject*)obj3338;
  uo3388->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3388 = addmethod2pos(obj3338, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3388, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3388[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3388);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->definitionLine = 777;
// method "map(_)ancestors(_)"
  struct UserObject *uo3422 = (struct UserObject*)obj3338;
  uo3422->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422 = addmethod2pos(obj3338, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3422, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3422[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3422);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->definitionLine = 788;
// method "pretty(_)"
  struct UserObject *uo3461 = (struct UserObject*)obj3338;
  uo3461->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3461 = addmethod2pos(obj3338, "pretty(1)", &meth_ast_pretty_40_1_41_3461, 18);
  int argcv_meth_ast_pretty_40_1_41_3461[] = {1};
  meth_meth_ast_pretty_40_1_41_3461->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3461);
  meth_meth_ast_pretty_40_1_41_3461->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3461->definitionLine = 797;
// method "toGrace(_)"
  struct UserObject *uo3584 = (struct UserObject*)obj3338;
  uo3584->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3584 = addmethod2pos(obj3338, "toGrace(1)", &meth_ast_toGrace_40_1_41_3584, 19);
  int argcv_meth_ast_toGrace_40_1_41_3584[] = {1};
  meth_meth_ast_toGrace_40_1_41_3584->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3584);
meth_meth_ast_toGrace_40_1_41_3584->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3584->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3584->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3584->definitionLine = 815;
// method "shallowCopy"
  block_savedest(obj3338);
  Object closure3643 = createclosure(2, "shallowCopy");
  setclosureframe(closure3643, stackframe);
  addtoclosure(closure3643, var_nullNode);
  addtoclosure(closure3643, var_typeDecNode);
  struct UserObject *uo3643 = (struct UserObject*)obj3338;
  uo3643->data[20] = (Object)closure3643;
  Method *meth_meth_ast_shallowCopy3643 = addmethod2pos(obj3338, "shallowCopy", &meth_ast_shallowCopy3643, 20);
  int argcv_meth_ast_shallowCopy3643[] = {0};
  meth_meth_ast_shallowCopy3643->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3643);
  meth_meth_ast_shallowCopy3643->definitionModule = modulename;
  meth_meth_ast_shallowCopy3643->definitionLine = 827;
  sourceObject = obj3338;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3650 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3651 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3652 = gc_frame_new();
// call case 3: self.outer request
  Object call3653 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3652);
// compiled member node returning call3653 (depth = 5)
  Object call3654 = callmethodflags(call3653, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3651);
// compiled member node returning call3654 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3655 = callmethodflags(call3654, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3650);
// compiled call node returning call3655 (depth = 3)
  struct UserObject *obj3338_uo = (struct UserObject *)obj3338;
  obj3338_uo->super = call3655;
  sourceObject = obj3338;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3656 == NULL) {
    strlit3656 = alloc_String("typedec");
    gc_root(strlit3656);
  }
// compiled string node returning strlit3656 (depth = 3)
  adddatum2(obj3338, strlit3656, 1);
  sourceObject = obj3338;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3338, *var_name_39_, 2);
  sourceObject = obj3338;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3338, *var_typeValue, 3);
  sourceObject = obj3338;
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3657 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3658 = gc_frame_new();
// call case 4: self request
  Object call3659 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3658);
// compiled member node returning call3659 (depth = 4)
  Object call3660 = callmethodflags(call3659, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3657);
// compiled member node returning call3660 (depth = 3)
  adddatum2(obj3338, call3660, 4);
  sourceObject = obj3338;
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3661 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3661 (depth = 3)
  adddatum2(obj3338, array3661, 5);
  sourceObject = obj3338;
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3662 = alloc_Boolean(0);
// compiled identifier node returning bool3662 (depth = 3)
  adddatum2(obj3338, bool3662, 6);
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  objclass3338 = obj3338->class;
  objclass3338->definitionModule = modulename;
  objclass3338->definitionLine = 749;
  (*(struct UserObject *)self).data[0] = lowerouter3338;
  self = oldself3338;
  selfslot = oldselfslot3338;
  stackframe = oldstackframe3338;
  gc_frame_end(frame);
  return obj3338;
}
Object meth_ast_new_40_2_41_3337_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3338 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3338 = alloc_userobj2(24,21, objclass3338);
  gc_frame_newslot(obj3338);
if (objclass3338 == NULL) {
  glfree(obj3338->class->name);
  obj3338->class->name = "typeDecNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3338, self, 0);
  addmethodreal(obj3338,"outer", &reader_ast_outer_3339);
  Object oldself3338 = self;
  struct StackFrameObject *oldstackframe3338 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3338);
  gc_frame_newslot((Object)stackframe);
  self = obj3338;
  Object *oldselfslot3338 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3338 = (*(struct UserObject *)self).data[0], lowerouter3338 = thisouter3338;
  if (inheritingObject3338) {
    struct UserObject *inho3338 = (struct UserObject *)inheritingObject3338;
    while (inho3338->super != GraceDefaultObject) inho3338 = (struct UserObject *)inho3338->super;
    inho3338->super = obj3338;
    self = inheritingObject3338;
    *selfslot = self;
    lowerouter3338 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3338;
  }
if (objclass3338 == NULL) {
  Method *reader3340 = addmethodrealflags(obj3338, "kind",&reader_ast_kind_3340, MFLAG_DEF);
  reader3340->definitionModule = modulename;
  reader3340->definitionLine = 751;
}
adddatum2(obj3338, alloc_Undefined(), 1);
if (objclass3338 == NULL) {
  Method *reader3341 = addmethodrealflags(obj3338, "name", &reader_ast_name_3341, 0);
  Method *writer3341 = addmethodrealflags(obj3338, "name:=(1)", &writer_ast_name_3341, 0);
  reader3341->definitionModule = modulename;
  writer3341->definitionModule = modulename;
  reader3341->definitionLine = 752;
  writer3341->definitionLine = 752;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 2);
if (objclass3338 == NULL) {
  Method *reader3342 = addmethodrealflags(obj3338, "value", &reader_ast_value_3342, 0);
  Method *writer3342 = addmethodrealflags(obj3338, "value:=(1)", &writer_ast_value_3342, 0);
  reader3342->definitionModule = modulename;
  writer3342->definitionModule = modulename;
  reader3342->definitionLine = 753;
  writer3342->definitionLine = 753;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 3);
if (objclass3338 == NULL) {
  Method *reader3343 = addmethodrealflags(obj3338, "nameString",&reader_ast_nameString_3343, MFLAG_DEF);
  reader3343->definitionModule = modulename;
  reader3343->definitionLine = 754;
}
adddatum2(obj3338, alloc_Undefined(), 4);
if (objclass3338 == NULL) {
  Method *reader3344 = addmethodrealflags(obj3338, "annotations", &reader_ast_annotations_3344, 0);
  Method *writer3344 = addmethodrealflags(obj3338, "annotations:=(1)", &writer_ast_annotations_3344, 0);
  reader3344->definitionModule = modulename;
  writer3344->definitionModule = modulename;
  reader3344->definitionLine = 755;
  writer3344->definitionLine = 755;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 5);
if (objclass3338 == NULL) {
  Method *reader3345 = addmethodrealflags(obj3338, "typeParams", &reader_ast_typeParams_3345, 0);
  Method *writer3345 = addmethodrealflags(obj3338, "typeParams:=(1)", &writer_ast_typeParams_3345, 0);
  reader3345->definitionModule = modulename;
  writer3345->definitionModule = modulename;
  reader3345->definitionLine = 756;
  writer3345->definitionLine = 756;
}
obj3338->flags |= OFLAG_MUTABLE;
adddatum2(obj3338, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo3346 = (struct UserObject*)obj3338;
  uo3346->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3346 = addmethod2pos(obj3338, "isLegalInTrait", &meth_ast_isLegalInTrait3346, 7);
  int argcv_meth_ast_isLegalInTrait3346[] = {0};
  meth_meth_ast_isLegalInTrait3346->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3346);
  meth_meth_ast_isLegalInTrait3346->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3346->definitionLine = 758;
// method "isTypeDec"
  struct UserObject *uo3348 = (struct UserObject*)obj3338;
  uo3348->data[8] = emptyclosure;
  Method *meth_meth_ast_isTypeDec3348 = addmethod2pos(obj3338, "isTypeDec", &meth_ast_isTypeDec3348, 8);
  int argcv_meth_ast_isTypeDec3348[] = {0};
  meth_meth_ast_isTypeDec3348->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec3348);
  meth_meth_ast_isTypeDec3348->definitionModule = modulename;
  meth_meth_ast_isTypeDec3348->definitionLine = 759;
// method "scope:=(_)"
  struct UserObject *uo3350 = (struct UserObject*)obj3338;
  uo3350->data[9] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3350 = addmethod2pos(obj3338, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3350, 9);
  int argcv_meth_ast_scope_58__61__40_1_41_3350[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3350->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3350);
  meth_meth_ast_scope_58__61__40_1_41_3350->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3350->definitionLine = 760;
// method "isExecutable"
  struct UserObject *uo3355 = (struct UserObject*)obj3338;
  uo3355->data[10] = emptyclosure;
  Method *meth_meth_ast_isExecutable3355 = addmethod2pos(obj3338, "isExecutable", &meth_ast_isExecutable3355, 10);
  int argcv_meth_ast_isExecutable3355[] = {0};
  meth_meth_ast_isExecutable3355->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3355);
  meth_meth_ast_isExecutable3355->definitionModule = modulename;
  meth_meth_ast_isExecutable3355->definitionLine = 767;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3338);
  Object closure3357 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3357, stackframe);
  addtoclosure(closure3357, var_k);
  struct UserObject *uo3357 = (struct UserObject*)obj3338;
  uo3357->data[11] = (Object)closure3357;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3357 = addmethod2pos(obj3338, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3357, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3357[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3357);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3357->definitionLine = 768;
// method "isConfidential"
  struct UserObject *uo3360 = (struct UserObject*)obj3338;
  uo3360->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3360 = addmethod2pos(obj3338, "isConfidential", &meth_ast_isConfidential3360, 12);
  int argcv_meth_ast_isConfidential3360[] = {0};
  meth_meth_ast_isConfidential3360->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3360);
  meth_meth_ast_isConfidential3360->definitionModule = modulename;
  meth_meth_ast_isConfidential3360->definitionLine = 769;
// method "isPublic"
  struct UserObject *uo3378 = (struct UserObject*)obj3338;
  uo3378->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3378 = addmethod2pos(obj3338, "isPublic", &meth_ast_isPublic3378, 13);
  int argcv_meth_ast_isPublic3378[] = {0};
  meth_meth_ast_isPublic3378->type = alloc_MethodType(1, argcv_meth_ast_isPublic3378);
  meth_meth_ast_isPublic3378->definitionModule = modulename;
  meth_meth_ast_isPublic3378->definitionLine = 773;
// method "isWritable"
  struct UserObject *uo3383 = (struct UserObject*)obj3338;
  uo3383->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3383 = addmethod2pos(obj3338, "isWritable", &meth_ast_isWritable3383, 14);
  int argcv_meth_ast_isWritable3383[] = {0};
  meth_meth_ast_isWritable3383->type = alloc_MethodType(1, argcv_meth_ast_isWritable3383);
  meth_meth_ast_isWritable3383->definitionModule = modulename;
  meth_meth_ast_isWritable3383->definitionLine = 774;
// method "isReadable"
  struct UserObject *uo3385 = (struct UserObject*)obj3338;
  uo3385->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3385 = addmethod2pos(obj3338, "isReadable", &meth_ast_isReadable3385, 15);
  int argcv_meth_ast_isReadable3385[] = {0};
  meth_meth_ast_isReadable3385->type = alloc_MethodType(1, argcv_meth_ast_isReadable3385);
  meth_meth_ast_isReadable3385->definitionModule = modulename;
  meth_meth_ast_isReadable3385->definitionLine = 775;
// method "accept(_)from(_)"
  struct UserObject *uo3388 = (struct UserObject*)obj3338;
  uo3388->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3388 = addmethod2pos(obj3338, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3388, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3388[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3388);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3388->definitionLine = 777;
// method "map(_)ancestors(_)"
  struct UserObject *uo3422 = (struct UserObject*)obj3338;
  uo3422->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422 = addmethod2pos(obj3338, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3422, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3422[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3422);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3422->definitionLine = 788;
// method "pretty(_)"
  struct UserObject *uo3461 = (struct UserObject*)obj3338;
  uo3461->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3461 = addmethod2pos(obj3338, "pretty(1)", &meth_ast_pretty_40_1_41_3461, 18);
  int argcv_meth_ast_pretty_40_1_41_3461[] = {1};
  meth_meth_ast_pretty_40_1_41_3461->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3461);
  meth_meth_ast_pretty_40_1_41_3461->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3461->definitionLine = 797;
// method "toGrace(_)"
  struct UserObject *uo3584 = (struct UserObject*)obj3338;
  uo3584->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3584 = addmethod2pos(obj3338, "toGrace(1)", &meth_ast_toGrace_40_1_41_3584, 19);
  int argcv_meth_ast_toGrace_40_1_41_3584[] = {1};
  meth_meth_ast_toGrace_40_1_41_3584->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3584);
meth_meth_ast_toGrace_40_1_41_3584->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3584->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3584->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3584->definitionLine = 815;
// method "shallowCopy"
  block_savedest(obj3338);
  Object closure3643 = createclosure(2, "shallowCopy");
  setclosureframe(closure3643, stackframe);
  addtoclosure(closure3643, var_nullNode);
  addtoclosure(closure3643, var_typeDecNode);
  struct UserObject *uo3643 = (struct UserObject*)obj3338;
  uo3643->data[20] = (Object)closure3643;
  Method *meth_meth_ast_shallowCopy3643 = addmethod2pos(obj3338, "shallowCopy", &meth_ast_shallowCopy3643, 20);
  int argcv_meth_ast_shallowCopy3643[] = {0};
  meth_meth_ast_shallowCopy3643->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3643);
  meth_meth_ast_shallowCopy3643->definitionModule = modulename;
  meth_meth_ast_shallowCopy3643->definitionLine = 827;
  sourceObject = obj3338;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3650 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3651 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3652 = gc_frame_new();
// call case 3: self.outer request
  Object call3653 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3652);
// compiled member node returning call3653 (depth = 5)
  Object call3654 = callmethodflags(call3653, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3651);
// compiled member node returning call3654 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3655 = callmethodflags(call3654, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3650);
// compiled call node returning call3655 (depth = 3)
  struct UserObject *obj3338_uo = (struct UserObject *)obj3338;
  obj3338_uo->super = call3655;
  sourceObject = obj3338;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3656 == NULL) {
    strlit3656 = alloc_String("typedec");
    gc_root(strlit3656);
  }
// compiled string node returning strlit3656 (depth = 3)
  adddatum2(obj3338, strlit3656, 1);
  sourceObject = obj3338;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3338, *var_name_39_, 2);
  sourceObject = obj3338;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3338, *var_typeValue, 3);
  sourceObject = obj3338;
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3657 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3658 = gc_frame_new();
// call case 4: self request
  Object call3659 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3658);
// compiled member node returning call3659 (depth = 4)
  Object call3660 = callmethodflags(call3659, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3657);
// compiled member node returning call3660 (depth = 3)
  adddatum2(obj3338, call3660, 4);
  sourceObject = obj3338;
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3661 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3661 (depth = 3)
  adddatum2(obj3338, array3661, 5);
  sourceObject = obj3338;
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3662 = alloc_Boolean(0);
// compiled identifier node returning bool3662 (depth = 3)
  adddatum2(obj3338, bool3662, 6);
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  sourceObject = obj3338;
  objclass3338 = obj3338->class;
  objclass3338->definitionModule = modulename;
  objclass3338->definitionLine = 749;
  (*(struct UserObject *)self).data[0] = lowerouter3338;
  self = oldself3338;
  selfslot = oldselfslot3338;
  stackframe = oldstackframe3338;
  gc_frame_end(frame);
  return obj3338;
}
Object meth_ast_typeDecNode3664(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeDecNode;
}
Object meth_ast_new_40_3_41_scope_40_1_41_3667(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_signature = &(stackframe->slots[0]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_body = &(stackframe->slots[1]);
  *var_body = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[2]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3668 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_signature;
  params[1] = *var_body;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call3669 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3668);
// compiled call node returning call3669 (depth = 4)
  *var_result = call3669;
  if (call3669 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3670 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call3671 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3670);
// compiled call node returning call3671 (depth = 3)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_appliedOccurence3686(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "appliedOccurence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3687 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3688 = alloc_Boolean(0);
// compiled identifier node returning bool3688 (depth = 4)
  gc_frame_newslot(bool3688);
// call case 4: self request
  params[0] = bool3688;
  partcv[0] = 1;
  Object call3689 = callmethodflags(self, "isBindingOccurence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3687);
// compiled call node returning call3689 (depth = 3)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3692 = gc_frame_new();
// call case 4: self request
  Object call3693 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3692);
// compiled member node returning call3693 (depth = 5)
  int op_slot_right_3691 = gc_frame_newslot(call3693);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_3691 = gc_frame_newslot(*var_uninitialized);
  params[0] = call3693;
  partcv[0] = 1;
  Object opresult3695 = callmethod(*var_uninitialized, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3695 (depth = 4)
  Object if3690 = done;
  if (istrue(opresult3695)) {
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3696 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool3697 = alloc_Boolean(0);
// compiled identifier node returning bool3697 (depth = 5)
  gc_frame_newslot(bool3697);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3698 = gc_frame_new();
// call case 4: self request
  Object call3699 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3698);
// compiled member node returning call3699 (depth = 5)
  params[0] = bool3697;
  partcv[0] = 1;
  Object call3700 = callmethodflags(call3699, "isBindingOccurence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3696);
// compiled call node returning call3700 (depth = 4)
    gc_frame_newslot(call3700);
    if3690 = call3700;
  } else {
  }
// compiled if node returning if3690 (depth = 3)
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_2_41_3704(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3706 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  Object call3707 = callmethodflags(*var_p, "numParams", 0, partcv, params, 0);
  gc_frame_end(callframe3706);
// compiled member node returning call3707 (depth = 6)
  int op_slot_right_3705 = gc_frame_newslot(call3707);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_3705 = gc_frame_newslot(*var_acc);
  params[0] = call3707;
  partcv[0] = 1;
  Object sum3709 = callmethod(*var_acc, "+(1)", 1, partcv, params);
// compiled op node returning sum3709 (depth = 5)
  gc_frame_end(frame);
  return sum3709;
}
Object meth_ast_numParams3701(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3702 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3703 = alloc_Block(NULL, NULL, "ast", 869);
  gc_frame_newslot(block3703);
// method "_apply(_,_)"
  block_savedest(block3703);
  Object closure3704 = createclosure(1, "_apply(2)");
  setclosureframe(closure3704, stackframe);
  addtoclosure(closure3704, selfslot);
  struct UserObject *uo3704 = (struct UserObject*)block3703;
  uo3704->data[0] = (Object)closure3704;
  Method *meth_meth_ast__apply_40_2_41_3704 = addmethod2pos(block3703, "_apply(2)", &meth_ast__apply_40_2_41_3704, 0);
  int argcv_meth_ast__apply_40_2_41_3704[] = {2};
  meth_meth_ast__apply_40_2_41_3704->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_3704);
  meth_meth_ast__apply_40_2_41_3704->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_3704->definitionLine = 2984;
// compiled block node returning block3703 (depth = 4)
  gc_frame_newslot(block3703);
// starting to compile num node (depth = 4)
  Object num3711 = alloc_Float64(0);
// compiled num node returning num3711 (depth = 4)
  gc_frame_newslot(num3711);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3712 = gc_frame_new();
// call case 4: self request
  Object call3713 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3712);
// compiled member node returning call3713 (depth = 4)
  params[0] = block3703;
  params[1] = num3711;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3714 = callmethodflags(call3713, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3702);
// compiled call node returning call3714 (depth = 3)
  gc_frame_end(frame);
  return call3714;
}
Object meth_ast_endPos3715(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "endPos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lastPart = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lastPart");
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3717 = gc_frame_new();
// call case 4: self request
  Object call3718 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3717);
// compiled member node returning call3718 (depth = 5)
  Object call3719 = callmethodflags(call3718, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3716);
// compiled member node returning call3719 (depth = 4)
  *var_lastPart = call3719;
  if (call3719 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3721 = alloc_Float64(1);
// compiled num node returning num3721 (depth = 4)
  int op_slot_right_3720 = gc_frame_newslot(num3721);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3724 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastPart (depth = 7)
  Object call3726 = callmethodflags(*var_lastPart, "name", 0, partcv, params, 0);
  gc_frame_end(callframe3725);
// compiled member node returning call3726 (depth = 6)
  Object call3727 = callmethodflags(call3726, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3724);
// compiled member node returning call3727 (depth = 5)
  int op_slot_right_3723 = gc_frame_newslot(call3727);
// starting to compile member node (depth = 5)
  int callframe3729 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastPart (depth = 6)
  Object call3730 = callmethodflags(*var_lastPart, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3729);
// compiled member node returning call3730 (depth = 5)
  int op_slot_left_3723 = gc_frame_newslot(call3730);
  params[0] = call3727;
  partcv[0] = 1;
  Object sum3731 = callmethod(call3730, "+(1)", 1, partcv, params);
// compiled op node returning sum3731 (depth = 4)
  int op_slot_left_3720 = gc_frame_newslot(sum3731);
  params[0] = num3721;
  partcv[0] = 1;
  Object diff3732 = callmethod(sum3731, "-(1)", 1, partcv, params);
// compiled op node returning diff3732 (depth = 3)
  gc_frame_end(frame);
  return diff3732;
}
Object meth_ast__apply_40_2_41_3736(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3738 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call3739 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe3738);
// compiled member node returning call3739 (depth = 6)
  int op_slot_right_3737 = gc_frame_newslot(call3739);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_3737 = gc_frame_newslot(*var_acc);
  params[0] = call3739;
  partcv[0] = 1;
  Object opresult3741 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3741 (depth = 5)
  gc_frame_end(frame);
  return opresult3741;
}
Object meth_ast_nameString3733(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3734 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3735 = alloc_Block(NULL, NULL, "ast", 877);
  gc_frame_newslot(block3735);
// method "_apply(_,_)"
  block_savedest(block3735);
  Object closure3736 = createclosure(1, "_apply(2)");
  setclosureframe(closure3736, stackframe);
  addtoclosure(closure3736, selfslot);
  struct UserObject *uo3736 = (struct UserObject*)block3735;
  uo3736->data[0] = (Object)closure3736;
  Method *meth_meth_ast__apply_40_2_41_3736 = addmethod2pos(block3735, "_apply(2)", &meth_ast__apply_40_2_41_3736, 0);
  int argcv_meth_ast__apply_40_2_41_3736[] = {2};
  meth_meth_ast__apply_40_2_41_3736->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_3736);
  meth_meth_ast__apply_40_2_41_3736->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_3736->definitionLine = 2984;
// compiled block node returning block3735 (depth = 4)
  gc_frame_newslot(block3735);
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("");
    gc_root(strlit3743);
  }
// compiled string node returning strlit3743 (depth = 4)
  gc_frame_newslot(strlit3743);
// call case 6: other requests
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3744 = gc_frame_new();
// call case 4: self request
  Object call3745 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3744);
// compiled member node returning call3745 (depth = 4)
  params[0] = block3735;
  params[1] = strlit3743;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3746 = callmethodflags(call3745, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3734);
// compiled call node returning call3746 (depth = 3)
  gc_frame_end(frame);
  return call3746;
}
Object meth_ast_asIdentifier3747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3750 = gc_frame_new();
// call case 4: self request
  Object call3751 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3750);
// compiled member node returning call3751 (depth = 5)
  int op_slot_right_3749 = gc_frame_newslot(call3751);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_3749 = gc_frame_newslot(*var_uninitialized);
  params[0] = call3751;
  partcv[0] = 1;
  Object opresult3753 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult3753 (depth = 4)
  Object if3748 = done;
  if (istrue(opresult3753)) {
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3754 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3755 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3756 = gc_frame_new();
// call case 4: self request
  Object call3757 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3756);
// compiled member node returning call3757 (depth = 6)
  gc_frame_newslot(call3757);
// starting to compile identifier node (depth = 6)
  Object bool3758 = alloc_Boolean(0);
// compiled identifier node returning bool3758 (depth = 6)
  gc_frame_newslot(bool3758);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call3757;
  params[1] = bool3758;
  partcv[0] = 2;
  Object call3759 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3755);
// compiled call node returning call3759 (depth = 5)
  gc_frame_newslot(call3759);
// call case 4: self request
  params[0] = call3759;
  partcv[0] = 1;
  Object call3760 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3754);
// compiled call node returning call3760 (depth = 4)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3761 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3762 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3763 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3764 = gc_frame_new();
// call case 4: self request
  Object call3765 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3764);
// compiled member node returning call3765 (depth = 7)
  Object call3766 = callmethodflags(call3765, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3763);
// compiled member node returning call3766 (depth = 6)
  Object call3767 = callmethodflags(call3766, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3762);
// compiled member node returning call3767 (depth = 5)
  gc_frame_newslot(call3767);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3768 = gc_frame_new();
// call case 4: self request
  Object call3769 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3768);
// compiled member node returning call3769 (depth = 5)
  params[0] = call3767;
  partcv[0] = 1;
  Object call3770 = callmethodflags(call3769, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3761);
// compiled call node returning call3770 (depth = 4)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3771 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3773 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3774 = gc_frame_new();
// call case 4: self request
  Object call3775 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3774);
// compiled member node returning call3775 (depth = 7)
  Object call3776 = callmethodflags(call3775, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3773);
// compiled member node returning call3776 (depth = 6)
  Object call3777 = callmethodflags(call3776, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3772);
// compiled member node returning call3777 (depth = 5)
  gc_frame_newslot(call3777);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3778 = gc_frame_new();
// call case 4: self request
  Object call3779 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3778);
// compiled member node returning call3779 (depth = 5)
  params[0] = call3777;
  partcv[0] = 1;
  Object call3780 = callmethodflags(call3779, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3771);
// compiled call node returning call3780 (depth = 4)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3781 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3782 = gc_frame_new();
// call case 4: self request
  Object call3783 = callmethodflags(self, "isBindingOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3782);
// compiled member node returning call3783 (depth = 5)
  gc_frame_newslot(call3783);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3784 = gc_frame_new();
// call case 4: self request
  Object call3785 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3784);
// compiled member node returning call3785 (depth = 5)
  params[0] = call3783;
  partcv[0] = 1;
  Object call3786 = callmethodflags(call3785, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3781);
// compiled call node returning call3786 (depth = 4)
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3787 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3788 = gc_frame_new();
// call case 4: self request
  Object call3789 = callmethodflags(self, "canonicalName", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3788);
// compiled member node returning call3789 (depth = 5)
  gc_frame_newslot(call3789);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3790 = gc_frame_new();
// call case 4: self request
  Object call3791 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3790);
// compiled member node returning call3791 (depth = 5)
  params[0] = call3789;
  partcv[0] = 1;
  Object call3792 = callmethodflags(call3791, "canonicalName:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3787);
// compiled call node returning call3792 (depth = 4)
    gc_frame_newslot(call3792);
    if3748 = call3792;
  } else {
  }
// compiled if node returning if3748 (depth = 3)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3793 = gc_frame_new();
// call case 4: self request
  Object call3794 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3793);
// compiled member node returning call3794 (depth = 3)
  gc_frame_end(frame);
  return call3794;
}
Object meth_ast_value3795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3796 = gc_frame_new();
// call case 4: self request
  Object call3797 = callmethodflags(self, "asIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3796);
// compiled member node returning call3797 (depth = 3)
  gc_frame_end(frame);
  return call3797;
}
Object meth_ast__apply_40_2_41_3801(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3803 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call3804 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe3803);
// compiled member node returning call3804 (depth = 6)
  int op_slot_right_3802 = gc_frame_newslot(call3804);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_3802 = gc_frame_newslot(*var_acc);
  params[0] = call3804;
  partcv[0] = 1;
  Object opresult3806 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3806 (depth = 5)
  gc_frame_end(frame);
  return opresult3806;
}
Object meth_ast_canonicalName3798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3799 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3800 = alloc_Block(NULL, NULL, "ast", 892);
  gc_frame_newslot(block3800);
// method "_apply(_,_)"
  block_savedest(block3800);
  Object closure3801 = createclosure(1, "_apply(2)");
  setclosureframe(closure3801, stackframe);
  addtoclosure(closure3801, selfslot);
  struct UserObject *uo3801 = (struct UserObject*)block3800;
  uo3801->data[0] = (Object)closure3801;
  Method *meth_meth_ast__apply_40_2_41_3801 = addmethod2pos(block3800, "_apply(2)", &meth_ast__apply_40_2_41_3801, 0);
  int argcv_meth_ast__apply_40_2_41_3801[] = {2};
  meth_meth_ast__apply_40_2_41_3801->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_3801);
  meth_meth_ast__apply_40_2_41_3801->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_3801->definitionLine = 2984;
// compiled block node returning block3800 (depth = 4)
  gc_frame_newslot(block3800);
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3808 == NULL) {
    strlit3808 = alloc_String("");
    gc_root(strlit3808);
  }
// compiled string node returning strlit3808 (depth = 4)
  gc_frame_newslot(strlit3808);
// call case 6: other requests
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3809 = gc_frame_new();
// call case 4: self request
  Object call3810 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3809);
// compiled member node returning call3810 (depth = 4)
  params[0] = block3800;
  params[1] = strlit3808;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3811 = callmethodflags(call3810, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3799);
// compiled call node returning call3811 (depth = 3)
  gc_frame_end(frame);
  return call3811;
}
Object meth_ast_hasParams3812(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3813 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3815 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3816 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3817 = gc_frame_new();
// call case 4: self request
  Object call3818 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3817);
// compiled member node returning call3818 (depth = 7)
  Object call3819 = callmethodflags(call3818, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3816);
// compiled member node returning call3819 (depth = 6)
  Object call3820 = callmethodflags(call3819, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3815);
// compiled member node returning call3820 (depth = 5)
  Object call3821 = callmethodflags(call3820, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3814);
// compiled member node returning call3821 (depth = 4)
  Object call3822 = callmethodflags(call3821, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3813);
// compiled member node returning call3822 (depth = 3)
  gc_frame_end(frame);
  return call3822;
}
Object meth_ast_numParamLists3823(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParamLists");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sigSz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sigSz");
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3824 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3825 = gc_frame_new();
// call case 4: self request
  Object call3826 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3825);
// compiled member node returning call3826 (depth = 5)
  Object call3827 = callmethodflags(call3826, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3824);
// compiled member node returning call3827 (depth = 4)
  *var_sigSz = call3827;
  if (call3827 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3830 = alloc_Float64(1);
// compiled num node returning num3830 (depth = 5)
  int op_slot_right_3829 = gc_frame_newslot(num3830);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  int op_slot_left_3829 = gc_frame_newslot(*var_sigSz);
  params[0] = num3830;
  partcv[0] = 1;
  Object opresult3832 = callmethod(*var_sigSz, ">(1)", 1, partcv, params);
// compiled op node returning opresult3832 (depth = 4)
  Object if3828 = done;
  if (istrue(opresult3832)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  return *var_sigSz;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3828 = undefined;
  } else {
  }
// compiled if node returning if3828 (depth = 3)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3834 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3835 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3836 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3837 = gc_frame_new();
// call case 4: self request
  Object call3838 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3837);
// compiled member node returning call3838 (depth = 7)
  Object call3839 = callmethodflags(call3838, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3836);
// compiled member node returning call3839 (depth = 6)
  Object call3840 = callmethodflags(call3839, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3835);
// compiled member node returning call3840 (depth = 5)
  Object call3841 = callmethodflags(call3840, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3834);
// compiled member node returning call3841 (depth = 4)
  Object if3833 = done;
  if (istrue(call3841)) {
// starting to compile return node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3842 = alloc_Float64(0);
// compiled num node returning num3842 (depth = 5)
  return num3842;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3833 = undefined;
  } else {
  }
// compiled if node returning if3833 (depth = 3)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3843 = alloc_Float64(1);
// compiled num node returning num3843 (depth = 4)
  return num3843;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_hasTypeParams3844(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasTypeParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3846 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3847 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3848 = gc_frame_new();
// call case 4: self request
  Object call3849 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3848);
// compiled member node returning call3849 (depth = 6)
  Object call3850 = callmethodflags(call3849, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3847);
// compiled member node returning call3850 (depth = 5)
  Object call3851 = callmethodflags(call3850, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe3846);
// compiled member node returning call3851 (depth = 4)
  int op_slot_right_3845 = gc_frame_newslot(call3851);
// starting to compile identifier node (depth = 4)
  Object bool3853 = alloc_Boolean(0);
// compiled identifier node returning bool3853 (depth = 4)
  int op_slot_left_3845 = gc_frame_newslot(bool3853);
  params[0] = call3851;
  partcv[0] = 1;
  Object opresult3854 = callmethod(bool3853, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3854 (depth = 3)
  gc_frame_end(frame);
  return opresult3854;
}
Object meth_ast_isMethod3855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3856 = alloc_Boolean(1);
// compiled identifier node returning bool3856 (depth = 3)
  gc_frame_end(frame);
  return bool3856;
}
Object meth_ast_isExecutable3857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3858 = alloc_Boolean(0);
// compiled identifier node returning bool3858 (depth = 3)
  gc_frame_end(frame);
  return bool3858;
}
Object meth_ast_isLegalInTrait3859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3860 = alloc_Boolean(1);
// compiled identifier node returning bool3860 (depth = 3)
  gc_frame_end(frame);
  return bool3860;
}
Object meth_ast_isClass3861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3863 = gc_frame_new();
// call case 4: self request
  Object call3864 = callmethodflags(self, "usesClassSyntax", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3863);
// compiled member node returning call3864 (depth = 4)
  int op_slot_right_3862 = gc_frame_newslot(call3864);
// starting to compile member node (depth = 4)
  int callframe3866 = gc_frame_new();
// call case 4: self request
  Object call3867 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3866);
// compiled member node returning call3867 (depth = 4)
  int op_slot_left_3862 = gc_frame_newslot(call3867);
  params[0] = call3864;
  partcv[0] = 1;
  Object opresult3868 = callmethod(call3867, "||(1)", 1, partcv, params);
// compiled op node returning opresult3868 (depth = 3)
  gc_frame_end(frame);
  return opresult3868;
}
Object meth_ast_isTrait3869(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3871 = gc_frame_new();
// call case 4: self request
  Object call3872 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3871);
// compiled member node returning call3872 (depth = 4)
  Object if3870 = done;
  if (istrue(call3872)) {
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3873 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3874 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3875 = gc_frame_new();
// call case 4: self request
  Object call3876 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3875);
// compiled member node returning call3876 (depth = 6)
  Object call3877 = callmethodflags(call3876, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3874);
// compiled member node returning call3877 (depth = 5)
  Object call3878 = callmethodflags(call3877, "isTrait", 0, partcv, params, 0);
  gc_frame_end(callframe3873);
// compiled member node returning call3878 (depth = 4)
    gc_frame_newslot(call3878);
    if3870 = call3878;
  } else {
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool3879 = alloc_Boolean(0);
// compiled identifier node returning bool3879 (depth = 4)
    gc_frame_newslot(bool3879);
    if3870 = bool3879;
  }
// compiled if node returning if3870 (depth = 3)
  gc_frame_end(frame);
  return if3870;
}
Object meth_ast__apply3890(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3892 == NULL) {
    strlit3892 = alloc_String("Unknown");
    gc_root(strlit3892);
  }
// compiled string node returning strlit3892 (depth = 11)
  int op_slot_right_3891 = gc_frame_newslot(strlit3892);
// starting to compile member node (depth = 11)
  int callframe3894 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  Object call3896 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe3895);
// compiled member node returning call3896 (depth = 12)
  Object call3897 = callmethodflags(call3896, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe3894);
// compiled member node returning call3897 (depth = 11)
  int op_slot_left_3891 = gc_frame_newslot(call3897);
  params[0] = strlit3892;
  partcv[0] = 1;
  Object opresult3898 = callmethod(call3897, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3898 (depth = 10)
  gc_frame_end(frame);
  return opresult3898;
}
Object meth_ast__apply_40_1_41_3886(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block3889 = alloc_Block(NULL, NULL, "ast", 919);
  gc_frame_newslot(block3889);
// method "_apply"
  block_savedest(block3889);
  Object closure3890 = createclosure(2, "_apply");
  setclosureframe(closure3890, stackframe);
  addtoclosure(closure3890, var_p);
  addtoclosure(closure3890, selfslot);
  struct UserObject *uo3890 = (struct UserObject*)block3889;
  uo3890->data[0] = (Object)closure3890;
  Method *meth_meth_ast__apply3890 = addmethod2pos(block3889, "_apply", &meth_ast__apply3890, 0);
  int argcv_meth_ast__apply3890[] = {0};
  meth_meth_ast__apply3890->type = alloc_MethodType(1, argcv_meth_ast__apply3890);
  meth_meth_ast__apply3890->definitionModule = modulename;
  meth_meth_ast__apply3890->definitionLine = 2984;
// compiled block node returning block3889 (depth = 9)
  int op_slot_right_3888 = gc_frame_newslot(block3889);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  Object call3903 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe3902);
// compiled member node returning call3903 (depth = 10)
  int op_slot_right_3901 = gc_frame_newslot(call3903);
// starting to compile identifier node (depth = 10)
  Object bool3905 = alloc_Boolean(0);
// compiled identifier node returning bool3905 (depth = 10)
  int op_slot_left_3901 = gc_frame_newslot(bool3905);
  params[0] = call3903;
  partcv[0] = 1;
  Object opresult3906 = callmethod(bool3905, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3906 (depth = 9)
  int op_slot_left_3888 = gc_frame_newslot(opresult3906);
  params[0] = block3889;
  partcv[0] = 1;
  Object opresult3907 = callmethod(opresult3906, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3907 (depth = 8)
  Object if3887 = done;
  if (istrue(opresult3907)) {
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3908 = alloc_Boolean(1);
// compiled identifier node returning bool3908 (depth = 9)
  block_return(realself, bool3908);
// compiled return node returning undefined (depth = 8)
    gc_frame_newslot(undefined);
    if3887 = undefined;
  } else {
  }
// compiled if node returning if3887 (depth = 7)
  gc_frame_end(frame);
  return if3887;
}
Object meth_ast__apply_40_1_41_3883(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3884 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3885 = alloc_Block(NULL, NULL, "ast", 918);
  gc_frame_newslot(block3885);
// method "_apply(_)"
  block_savedest(block3885);
  Object closure3886 = createclosure(1, "_apply(1)");
  setclosureframe(closure3886, stackframe);
  addtoclosure(closure3886, selfslot);
  struct UserObject *uo3886 = (struct UserObject*)block3885;
  uo3886->data[0] = (Object)closure3886;
  Method *meth_meth_ast__apply_40_1_41_3886 = addmethod2pos(block3885, "_apply(1)", &meth_ast__apply_40_1_41_3886, 0);
  int argcv_meth_ast__apply_40_1_41_3886[] = {1};
  meth_meth_ast__apply_40_1_41_3886->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3886);
  meth_meth_ast__apply_40_1_41_3886->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3886->definitionLine = 2984;
// compiled block node returning block3885 (depth = 6)
  gc_frame_newslot(block3885);
// call case 6: other requests
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3910 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call3911 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3910);
// compiled member node returning call3911 (depth = 6)
  params[0] = block3885;
  partcv[0] = 1;
  Object call3912 = callmethodflags(call3911, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3884);
// compiled call node returning call3912 (depth = 5)
  gc_frame_end(frame);
  return call3912;
}
Object meth_ast_needsArgChecks3880(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "needsArgChecks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3881 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3882 = alloc_Block(NULL, NULL, "ast", 917);
  gc_frame_newslot(block3882);
// method "_apply(_)"
  block_savedest(block3882);
  Object closure3883 = createclosure(1, "_apply(1)");
  setclosureframe(closure3883, stackframe);
  addtoclosure(closure3883, selfslot);
  struct UserObject *uo3883 = (struct UserObject*)block3882;
  uo3883->data[0] = (Object)closure3883;
  Method *meth_meth_ast__apply_40_1_41_3883 = addmethod2pos(block3882, "_apply(1)", &meth_ast__apply_40_1_41_3883, 0);
  int argcv_meth_ast__apply_40_1_41_3883[] = {1};
  meth_meth_ast__apply_40_1_41_3883->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3883);
  meth_meth_ast__apply_40_1_41_3883->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3883->definitionLine = 2984;
// compiled block node returning block3882 (depth = 4)
  gc_frame_newslot(block3882);
// call case 6: other requests
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3914 = gc_frame_new();
// call case 4: self request
  Object call3915 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3914);
// compiled member node returning call3915 (depth = 4)
  params[0] = block3882;
  partcv[0] = 1;
  Object call3916 = callmethodflags(call3915, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3881);
// compiled call node returning call3916 (depth = 3)
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool3917 = alloc_Boolean(0);
// compiled identifier node returning bool3917 (depth = 4)
  return bool3917;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_scope_58__61__40_1_41_3918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3919 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3920 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3919);
// compiled call node returning call3920 (depth = 3)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3921 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3922 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3921);
// compiled call node returning call3922 (depth = 3)
  gc_frame_end(frame);
  return call3922;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3923(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3924 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3925 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe3924);
// compiled member node returning call3925 (depth = 3)
  gc_frame_end(frame);
  return call3925;
}
Object meth_ast_isConfidential3926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3929 = alloc_Float64(0);
// compiled num node returning num3929 (depth = 5)
  int op_slot_right_3928 = gc_frame_newslot(num3929);
// starting to compile member node (depth = 5)
  int callframe3931 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3932 = gc_frame_new();
// call case 4: self request
  Object call3933 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3932);
// compiled member node returning call3933 (depth = 6)
  Object call3934 = callmethodflags(call3933, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3931);
// compiled member node returning call3934 (depth = 5)
  int op_slot_left_3928 = gc_frame_newslot(call3934);
  params[0] = num3929;
  partcv[0] = 1;
  Object opresult3935 = callmethod(call3934, "==(1)", 1, partcv, params);
// compiled op node returning opresult3935 (depth = 4)
  Object if3927 = done;
  if (istrue(opresult3935)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3936 = alloc_Boolean(0);
// compiled identifier node returning bool3936 (depth = 5)
  return bool3936;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3927 = undefined;
  } else {
  }
// compiled if node returning if3927 (depth = 3)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3937 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit3938 == NULL) {
    strlit3938 = alloc_String("confidential");
    gc_root(strlit3938);
  }
// compiled string node returning strlit3938 (depth = 4)
  gc_frame_newslot(strlit3938);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3939 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3940 = gc_frame_new();
// call case 3: self.outer request
  Object call3941 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3940);
// compiled member node returning call3941 (depth = 5)
  Object call3942 = callmethodflags(call3941, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3939);
// compiled member node returning call3942 (depth = 4)
  params[0] = self;
  params[1] = strlit3938;
  partcv[0] = 2;
  Object call3943 = callmethodflags(call3942, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3937);
// compiled call node returning call3943 (depth = 3)
  gc_frame_end(frame);
  return call3943;
}
Object meth_ast_isPublic3944(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3945 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3946 = gc_frame_new();
// call case 4: self request
  Object call3947 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3946);
// compiled member node returning call3947 (depth = 4)
  Object call3948 = callmethodflags(call3947, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3945);
// compiled member node returning call3948 (depth = 3)
  gc_frame_end(frame);
  return call3948;
}
Object meth_ast_isWritable3949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3950 = alloc_Boolean(0);
// compiled identifier node returning bool3950 (depth = 3)
  gc_frame_end(frame);
  return bool3950;
}
Object meth_ast_isReadable3951(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3952 = gc_frame_new();
// call case 4: self request
  Object call3953 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3952);
// compiled member node returning call3953 (depth = 3)
  gc_frame_end(frame);
  return call3953;
}
Object meth_ast_usesAsType_40_1_41_3954(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3956 = gc_frame_new();
// call case 4: self request
  Object call3957 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3956);
// compiled member node returning call3957 (depth = 4)
  int op_slot_right_3955 = gc_frame_newslot(call3957);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_3955 = gc_frame_newslot(*var_aNode);
  params[0] = call3957;
  partcv[0] = 1;
  Object opresult3959 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3959 (depth = 3)
  gc_frame_end(frame);
  return opresult3959;
}
Object meth_ast__apply3963(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe3964 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3965 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3966 = gc_frame_new();
// call case 4: self request
  Object call3967 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3966);
// compiled member node returning call3967 (depth = 7)
  Object call3968 = callmethodflags(call3967, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3965);
// compiled member node returning call3968 (depth = 6)
  Object call3969 = callmethodflags(call3968, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe3964);
// compiled member node returning call3969 (depth = 5)
  gc_frame_end(frame);
  return call3969;
}
Object meth_ast_returnsObject3960(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block3962 = alloc_Block(NULL, NULL, "ast", 945);
  gc_frame_newslot(block3962);
// method "_apply"
  block_savedest(block3962);
  Object closure3963 = createclosure(1, "_apply");
  setclosureframe(closure3963, stackframe);
  addtoclosure(closure3963, selfslot);
  struct UserObject *uo3963 = (struct UserObject*)block3962;
  uo3963->data[0] = (Object)closure3963;
  Method *meth_meth_ast__apply3963 = addmethod2pos(block3962, "_apply", &meth_ast__apply3963, 0);
  int argcv_meth_ast__apply3963[] = {0};
  meth_meth_ast__apply3963->type = alloc_MethodType(1, argcv_meth_ast__apply3963);
  meth_meth_ast__apply3963->definitionModule = modulename;
  meth_meth_ast__apply3963->definitionLine = 2984;
// compiled block node returning block3962 (depth = 4)
  int op_slot_right_3961 = gc_frame_newslot(block3962);
// starting to compile member node (depth = 4)
  int callframe3972 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3973 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3974 = gc_frame_new();
// call case 4: self request
  Object call3975 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3974);
// compiled member node returning call3975 (depth = 6)
  Object call3976 = callmethodflags(call3975, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3973);
// compiled member node returning call3976 (depth = 5)
  Object call3977 = callmethodflags(call3976, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3972);
// compiled member node returning call3977 (depth = 4)
  int op_slot_left_3961 = gc_frame_newslot(call3977);
  params[0] = block3962;
  partcv[0] = 1;
  Object opresult3978 = callmethod(call3977, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3978 (depth = 3)
  gc_frame_end(frame);
  return opresult3978;
}
Object meth_ast_returnedObjectScope3979(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3980 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3981 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3982 = gc_frame_new();
// call case 4: self request
  Object call3983 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3982);
// compiled member node returning call3983 (depth = 5)
  Object call3984 = callmethodflags(call3983, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3981);
// compiled member node returning call3984 (depth = 4)
  Object call3985 = callmethodflags(call3984, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe3980);
// compiled member node returning call3985 (depth = 3)
  gc_frame_end(frame);
  return call3985;
}
Object meth_ast__apply_40_1_41_4016(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4017 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4018 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4017);
// compiled call node returning call4018 (depth = 8)
  gc_frame_end(frame);
  return call4018;
}
Object meth_ast__apply_40_1_41_4011(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4012 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4013 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4014 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4013);
// compiled member node returning call4014 (depth = 7)
  gc_frame_newslot(call4014);
// starting to compile block node (depth = 7)
  Object block4015 = alloc_Block(NULL, NULL, "ast", 959);
  gc_frame_newslot(block4015);
// method "_apply(_)"
  block_savedest(block4015);
  Object closure4016 = createclosure(3, "_apply(1)");
  setclosureframe(closure4016, stackframe);
  addtoclosure(closure4016, var_visitor);
  addtoclosure(closure4016, var_newChain);
  addtoclosure(closure4016, selfslot);
  struct UserObject *uo4016 = (struct UserObject*)block4015;
  uo4016->data[0] = (Object)closure4016;
  Method *meth_meth_ast__apply_40_1_41_4016 = addmethod2pos(block4015, "_apply(1)", &meth_ast__apply_40_1_41_4016, 0);
  int argcv_meth_ast__apply_40_1_41_4016[] = {1};
  meth_meth_ast__apply_40_1_41_4016->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4016);
  meth_meth_ast__apply_40_1_41_4016->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4016->definitionLine = 2984;
// compiled block node returning block4015 (depth = 7)
  gc_frame_newslot(block4015);
// call case 5: prelude request
  params[0] = call4014;
  params[1] = block4015;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4020 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4012);
// compiled call node returning call4020 (depth = 6)
  gc_frame_end(frame);
  return call4020;
}
Object meth_ast__apply_40_1_41_4038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4039 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4040 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4039);
// compiled call node returning call4040 (depth = 6)
  gc_frame_end(frame);
  return call4040;
}
Object meth_ast__apply_40_1_41_4047(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4048 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4049 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4048);
// compiled call node returning call4049 (depth = 6)
  gc_frame_end(frame);
  return call4049;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3986(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3988 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3989 = callmethodflags(*var_visitor, "visitMethod(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3988);
// compiled call node returning call3989 (depth = 4)
  Object if3987 = done;
  if (istrue(call3989)) {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3990 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3991 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3990);
// compiled call node returning call3991 (depth = 5)
  *var_newChain = call3991;
  if (call3991 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3992 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3993 = gc_frame_new();
// call case 4: self request
  Object call3994 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3993);
// compiled member node returning call3994 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3995 = callmethodflags(call3994, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3992);
// compiled call node returning call3995 (depth = 4)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3998 = gc_frame_new();
// call case 4: self request
  Object call3999 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3998);
// compiled member node returning call3999 (depth = 6)
  int op_slot_right_3997 = gc_frame_newslot(call3999);
// starting to compile identifier node (depth = 6)
  Object bool4001 = alloc_Boolean(0);
// compiled identifier node returning bool4001 (depth = 6)
  int op_slot_left_3997 = gc_frame_newslot(bool4001);
  params[0] = call3999;
  partcv[0] = 1;
  Object opresult4002 = callmethod(bool4001, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4002 (depth = 5)
  Object if3996 = done;
  if (istrue(opresult4002)) {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4003 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4004 = gc_frame_new();
// call case 4: self request
  Object call4005 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4004);
// compiled member node returning call4005 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4006 = callmethodflags(call4005, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4003);
// compiled call node returning call4006 (depth = 5)
    gc_frame_newslot(call4006);
    if3996 = call4006;
  } else {
  }
// compiled if node returning if3996 (depth = 4)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4007 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4008 = gc_frame_new();
// call case 4: self request
  Object call4009 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4008);
// compiled member node returning call4009 (depth = 5)
  gc_frame_newslot(call4009);
// starting to compile block node (depth = 5)
  Object block4010 = alloc_Block(NULL, NULL, "ast", 958);
  gc_frame_newslot(block4010);
// method "_apply(_)"
  block_savedest(block4010);
  Object closure4011 = createclosure(3, "_apply(1)");
  setclosureframe(closure4011, stackframe);
  addtoclosure(closure4011, var_visitor);
  addtoclosure(closure4011, var_newChain);
  addtoclosure(closure4011, selfslot);
  struct UserObject *uo4011 = (struct UserObject*)block4010;
  uo4011->data[0] = (Object)closure4011;
  Method *meth_meth_ast__apply_40_1_41_4011 = addmethod2pos(block4010, "_apply(1)", &meth_ast__apply_40_1_41_4011, 0);
  int argcv_meth_ast__apply_40_1_41_4011[] = {1};
  meth_meth_ast__apply_40_1_41_4011->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4011);
  meth_meth_ast__apply_40_1_41_4011->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4011->definitionLine = 2984;
// compiled block node returning block4010 (depth = 5)
  gc_frame_newslot(block4010);
// call case 5: prelude request
  params[0] = call4009;
  params[1] = block4010;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4022 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4007);
// compiled call node returning call4022 (depth = 4)
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4025 = gc_frame_new();
// call case 4: self request
  Object call4026 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4025);
// compiled member node returning call4026 (depth = 6)
  int op_slot_right_4024 = gc_frame_newslot(call4026);
// starting to compile identifier node (depth = 6)
  Object bool4028 = alloc_Boolean(0);
// compiled identifier node returning bool4028 (depth = 6)
  int op_slot_left_4024 = gc_frame_newslot(bool4028);
  params[0] = call4026;
  partcv[0] = 1;
  Object opresult4029 = callmethod(bool4028, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4029 (depth = 5)
  Object if4023 = done;
  if (istrue(opresult4029)) {
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4030 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4031 = gc_frame_new();
// call case 4: self request
  Object call4032 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4031);
// compiled member node returning call4032 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4033 = callmethodflags(call4032, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4030);
// compiled call node returning call4033 (depth = 5)
    gc_frame_newslot(call4033);
    if4023 = call4033;
  } else {
  }
// compiled if node returning if4023 (depth = 4)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4034 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4035 = gc_frame_new();
// call case 4: self request
  Object call4036 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4035);
// compiled member node returning call4036 (depth = 5)
  gc_frame_newslot(call4036);
// starting to compile block node (depth = 5)
  Object block4037 = alloc_Block(NULL, NULL, "ast", 966);
  gc_frame_newslot(block4037);
// method "_apply(_)"
  block_savedest(block4037);
  Object closure4038 = createclosure(3, "_apply(1)");
  setclosureframe(closure4038, stackframe);
  addtoclosure(closure4038, var_visitor);
  addtoclosure(closure4038, var_newChain);
  addtoclosure(closure4038, selfslot);
  struct UserObject *uo4038 = (struct UserObject*)block4037;
  uo4038->data[0] = (Object)closure4038;
  Method *meth_meth_ast__apply_40_1_41_4038 = addmethod2pos(block4037, "_apply(1)", &meth_ast__apply_40_1_41_4038, 0);
  int argcv_meth_ast__apply_40_1_41_4038[] = {1};
  meth_meth_ast__apply_40_1_41_4038->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4038);
  meth_meth_ast__apply_40_1_41_4038->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4038->definitionLine = 2984;
// compiled block node returning block4037 (depth = 5)
  gc_frame_newslot(block4037);
// call case 5: prelude request
  params[0] = call4036;
  params[1] = block4037;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4042 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4034);
// compiled call node returning call4042 (depth = 4)
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4043 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4044 = gc_frame_new();
// call case 4: self request
  Object call4045 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4044);
// compiled member node returning call4045 (depth = 5)
  gc_frame_newslot(call4045);
// starting to compile block node (depth = 5)
  Object block4046 = alloc_Block(NULL, NULL, "ast", 969);
  gc_frame_newslot(block4046);
// method "_apply(_)"
  block_savedest(block4046);
  Object closure4047 = createclosure(3, "_apply(1)");
  setclosureframe(closure4047, stackframe);
  addtoclosure(closure4047, var_visitor);
  addtoclosure(closure4047, var_newChain);
  addtoclosure(closure4047, selfslot);
  struct UserObject *uo4047 = (struct UserObject*)block4046;
  uo4047->data[0] = (Object)closure4047;
  Method *meth_meth_ast__apply_40_1_41_4047 = addmethod2pos(block4046, "_apply(1)", &meth_ast__apply_40_1_41_4047, 0);
  int argcv_meth_ast__apply_40_1_41_4047[] = {1};
  meth_meth_ast__apply_40_1_41_4047->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4047);
  meth_meth_ast__apply_40_1_41_4047->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4047->definitionLine = 2984;
// compiled block node returning block4046 (depth = 5)
  gc_frame_newslot(block4046);
// call case 5: prelude request
  params[0] = call4045;
  params[1] = block4046;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4051 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4043);
// compiled call node returning call4051 (depth = 4)
    gc_frame_newslot(call4051);
    if3987 = call4051;
  } else {
  }
// compiled if node returning if3987 (depth = 3)
  gc_frame_end(frame);
  return if3987;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_4052(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4053 = gc_frame_new();
// call case 4: self request
  Object call4054 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4053);
// compiled member node returning call4054 (depth = 4)
  *var_n = call4054;
  if (call4054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4055 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4056 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4055);
// compiled call node returning call4056 (depth = 4)
  *var_newChain = call4056;
  if (call4056 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4057 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4058 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4059 = gc_frame_new();
// call case 4: self request
  Object call4060 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4059);
// compiled member node returning call4060 (depth = 5)
  gc_frame_newslot(call4060);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4061 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4062 = gc_frame_new();
// call case 3: self.outer request
  Object call4063 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4062);
// compiled member node returning call4063 (depth = 6)
  Object call4064 = callmethodflags(call4063, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4061);
// compiled member node returning call4064 (depth = 5)
  params[0] = call4060;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4065 = callmethodflags(call4064, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4058);
// compiled call node returning call4065 (depth = 4)
  gc_frame_newslot(call4065);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4065;
  partcv[0] = 1;
  Object call4066 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4057);
// compiled call node returning call4066 (depth = 3)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4067 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4068 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4069 = gc_frame_new();
// call case 4: self request
  Object call4070 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4069);
// compiled member node returning call4070 (depth = 5)
  gc_frame_newslot(call4070);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4071 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4072 = gc_frame_new();
// call case 3: self.outer request
  Object call4073 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4072);
// compiled member node returning call4073 (depth = 6)
  Object call4074 = callmethodflags(call4073, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4071);
// compiled member node returning call4074 (depth = 5)
  params[0] = call4070;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4075 = callmethodflags(call4074, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4068);
// compiled call node returning call4075 (depth = 4)
  gc_frame_newslot(call4075);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4075;
  partcv[0] = 1;
  Object call4076 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4067);
// compiled call node returning call4076 (depth = 3)
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4077 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4078 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4079 = gc_frame_new();
// call case 4: self request
  Object call4080 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4079);
// compiled member node returning call4080 (depth = 5)
  gc_frame_newslot(call4080);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4081 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4082 = gc_frame_new();
// call case 3: self.outer request
  Object call4083 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4082);
// compiled member node returning call4083 (depth = 6)
  Object call4084 = callmethodflags(call4083, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4081);
// compiled member node returning call4084 (depth = 5)
  params[0] = call4080;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4085 = callmethodflags(call4084, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4078);
// compiled call node returning call4085 (depth = 4)
  gc_frame_newslot(call4085);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4085;
  partcv[0] = 1;
  Object call4086 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4077);
// compiled call node returning call4086 (depth = 3)
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4087 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4088 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4089 = gc_frame_new();
// call case 4: self request
  Object call4090 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4089);
// compiled member node returning call4090 (depth = 5)
  gc_frame_newslot(call4090);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4091 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4092 = gc_frame_new();
// call case 3: self.outer request
  Object call4093 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4092);
// compiled member node returning call4093 (depth = 6)
  Object call4094 = callmethodflags(call4093, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4091);
// compiled member node returning call4094 (depth = 5)
  params[0] = call4090;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4095 = callmethodflags(call4094, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4088);
// compiled call node returning call4095 (depth = 4)
  gc_frame_newslot(call4095);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4095;
  partcv[0] = 1;
  Object call4096 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4087);
// compiled call node returning call4096 (depth = 3)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4097 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4098 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4099 = gc_frame_new();
// call case 4: self request
  Object call4100 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4099);
// compiled member node returning call4100 (depth = 5)
  gc_frame_newslot(call4100);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4101 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4102 = gc_frame_new();
// call case 3: self.outer request
  Object call4103 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4102);
// compiled member node returning call4103 (depth = 6)
  Object call4104 = callmethodflags(call4103, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4101);
// compiled member node returning call4104 (depth = 5)
  params[0] = call4100;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4105 = callmethodflags(call4104, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4098);
// compiled call node returning call4105 (depth = 4)
  gc_frame_newslot(call4105);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4105;
  partcv[0] = 1;
  Object call4106 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4097);
// compiled call node returning call4106 (depth = 3)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4107 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call4108 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4107);
// compiled call node returning call4108 (depth = 3)
  gc_frame_end(frame);
  return call4108;
}
Object meth_ast__apply_40_1_41_4117(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4119 == NULL) {
    strlit4119 = alloc_String("  ");
    gc_root(strlit4119);
  }
// compiled string node returning strlit4119 (depth = 7)
  int op_slot_right_4118 = gc_frame_newslot(strlit4119);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_4118 = gc_frame_newslot(*var_spc);
  params[0] = strlit4119;
  partcv[0] = 1;
  Object opresult4121 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4121 (depth = 6)
  *var_spc = opresult4121;
  if (opresult4121 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4282(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4284 == NULL) {
    strlit4284 = alloc_String("");
    gc_root(strlit4284);
  }
// compiled string node returning strlit4284 (depth = 9)
  int op_slot_right_4283 = gc_frame_newslot(strlit4284);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4287 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4289 = alloc_Float64(4);
// compiled num node returning num4289 (depth = 12)
  int op_slot_right_4288 = gc_frame_newslot(num4289);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4288 = gc_frame_newslot(*var_depth);
  params[0] = num4289;
  partcv[0] = 1;
  Object sum4291 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4291 (depth = 11)
  gc_frame_newslot(sum4291);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4291;
  partcv[0] = 1;
  Object call4292 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4287);
// compiled call node returning call4292 (depth = 10)
  int op_slot_right_4286 = gc_frame_newslot(call4292);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4295 == NULL) {
    strlit4295 = alloc_String("");
    gc_root(strlit4295);
  }
// compiled string node returning strlit4295 (depth = 11)
  int op_slot_right_4294 = gc_frame_newslot(strlit4295);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_4297 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit4300 == NULL) {
    strlit4300 = alloc_String("""\x0a""      ");
    gc_root(strlit4300);
  }
// compiled string node returning strlit4300 (depth = 13)
  int op_slot_right_4299 = gc_frame_newslot(strlit4300);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_4302 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit4304 == NULL) {
    strlit4304 = alloc_String("");
    gc_root(strlit4304);
  }
// compiled string node returning strlit4304 (depth = 14)
  int op_slot_left_4302 = gc_frame_newslot(strlit4304);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4305 = callmethod(strlit4304, "++(1)", 1, partcv, params);
// compiled op node returning opresult4305 (depth = 13)
  int op_slot_left_4299 = gc_frame_newslot(opresult4305);
  params[0] = strlit4300;
  partcv[0] = 1;
  Object opresult4306 = callmethod(opresult4305, "++(1)", 1, partcv, params);
// compiled op node returning opresult4306 (depth = 12)
  int op_slot_left_4297 = gc_frame_newslot(opresult4306);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4307 = callmethod(opresult4306, "++(1)", 1, partcv, params);
// compiled op node returning opresult4307 (depth = 11)
  int op_slot_left_4294 = gc_frame_newslot(opresult4307);
  params[0] = strlit4295;
  partcv[0] = 1;
  Object opresult4308 = callmethod(opresult4307, "++(1)", 1, partcv, params);
// compiled op node returning opresult4308 (depth = 10)
  int op_slot_left_4286 = gc_frame_newslot(opresult4308);
  params[0] = call4292;
  partcv[0] = 1;
  Object opresult4309 = callmethod(opresult4308, "++(1)", 1, partcv, params);
// compiled op node returning opresult4309 (depth = 9)
  int op_slot_left_4283 = gc_frame_newslot(opresult4309);
  params[0] = strlit4284;
  partcv[0] = 1;
  Object opresult4310 = callmethod(opresult4309, "++(1)", 1, partcv, params);
// compiled op node returning opresult4310 (depth = 8)
  *var_s = opresult4310;
  if (opresult4310 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4236(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4238 == NULL) {
    strlit4238 = alloc_String("");
    gc_root(strlit4238);
  }
// compiled string node returning strlit4238 (depth = 7)
  int op_slot_right_4237 = gc_frame_newslot(strlit4238);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4241 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4242 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4241);
// compiled member node returning call4242 (depth = 8)
  int op_slot_right_4240 = gc_frame_newslot(call4242);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4245 == NULL) {
    strlit4245 = alloc_String("Part: ");
    gc_root(strlit4245);
  }
// compiled string node returning strlit4245 (depth = 9)
  int op_slot_right_4244 = gc_frame_newslot(strlit4245);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_4247 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4250 == NULL) {
    strlit4250 = alloc_String("""\x0a""  ");
    gc_root(strlit4250);
  }
// compiled string node returning strlit4250 (depth = 11)
  int op_slot_right_4249 = gc_frame_newslot(strlit4250);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_4252 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit4254 == NULL) {
    strlit4254 = alloc_String("");
    gc_root(strlit4254);
  }
// compiled string node returning strlit4254 (depth = 12)
  int op_slot_left_4252 = gc_frame_newslot(strlit4254);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4255 = callmethod(strlit4254, "++(1)", 1, partcv, params);
// compiled op node returning opresult4255 (depth = 11)
  int op_slot_left_4249 = gc_frame_newslot(opresult4255);
  params[0] = strlit4250;
  partcv[0] = 1;
  Object opresult4256 = callmethod(opresult4255, "++(1)", 1, partcv, params);
// compiled op node returning opresult4256 (depth = 10)
  int op_slot_left_4247 = gc_frame_newslot(opresult4256);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4257 = callmethod(opresult4256, "++(1)", 1, partcv, params);
// compiled op node returning opresult4257 (depth = 9)
  int op_slot_left_4244 = gc_frame_newslot(opresult4257);
  params[0] = strlit4245;
  partcv[0] = 1;
  Object opresult4258 = callmethod(opresult4257, "++(1)", 1, partcv, params);
// compiled op node returning opresult4258 (depth = 8)
  int op_slot_left_4240 = gc_frame_newslot(opresult4258);
  params[0] = call4242;
  partcv[0] = 1;
  Object opresult4259 = callmethod(opresult4258, "++(1)", 1, partcv, params);
// compiled op node returning opresult4259 (depth = 7)
  int op_slot_left_4237 = gc_frame_newslot(opresult4259);
  params[0] = strlit4238;
  partcv[0] = 1;
  Object opresult4260 = callmethod(opresult4259, "++(1)", 1, partcv, params);
// compiled op node returning opresult4260 (depth = 6)
  *var_s = opresult4260;
  if (opresult4260 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4263 == NULL) {
    strlit4263 = alloc_String("Parameters:");
    gc_root(strlit4263);
  }
// compiled string node returning strlit4263 (depth = 7)
  int op_slot_right_4262 = gc_frame_newslot(strlit4263);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4265 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4268 == NULL) {
    strlit4268 = alloc_String("""\x0a""    ");
    gc_root(strlit4268);
  }
// compiled string node returning strlit4268 (depth = 9)
  int op_slot_right_4267 = gc_frame_newslot(strlit4268);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_4270 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit4272 == NULL) {
    strlit4272 = alloc_String("");
    gc_root(strlit4272);
  }
// compiled string node returning strlit4272 (depth = 10)
  int op_slot_left_4270 = gc_frame_newslot(strlit4272);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4273 = callmethod(strlit4272, "++(1)", 1, partcv, params);
// compiled op node returning opresult4273 (depth = 9)
  int op_slot_left_4267 = gc_frame_newslot(opresult4273);
  params[0] = strlit4268;
  partcv[0] = 1;
  Object opresult4274 = callmethod(opresult4273, "++(1)", 1, partcv, params);
// compiled op node returning opresult4274 (depth = 8)
  int op_slot_left_4265 = gc_frame_newslot(opresult4274);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4275 = callmethod(opresult4274, "++(1)", 1, partcv, params);
// compiled op node returning opresult4275 (depth = 7)
  int op_slot_left_4262 = gc_frame_newslot(opresult4275);
  params[0] = strlit4263;
  partcv[0] = 1;
  Object opresult4276 = callmethod(opresult4275, "++(1)", 1, partcv, params);
// compiled op node returning opresult4276 (depth = 6)
  *var_s = opresult4276;
  if (opresult4276 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4278 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4279 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4280 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4279);
// compiled member node returning call4280 (depth = 6)
  gc_frame_newslot(call4280);
// starting to compile block node (depth = 6)
  Object block4281 = alloc_Block(NULL, NULL, "ast", 1001);
  gc_frame_newslot(block4281);
// method "_apply(_)"
  block_savedest(block4281);
  Object closure4282 = createclosure(4, "_apply(1)");
  setclosureframe(closure4282, stackframe);
  addtoclosure(closure4282, var_depth);
  addtoclosure(closure4282, var_spc);
  addtoclosure(closure4282, var_s);
  addtoclosure(closure4282, selfslot);
  struct UserObject *uo4282 = (struct UserObject*)block4281;
  uo4282->data[0] = (Object)closure4282;
  Method *meth_meth_ast__apply_40_1_41_4282 = addmethod2pos(block4281, "_apply(1)", &meth_ast__apply_40_1_41_4282, 0);
  int argcv_meth_ast__apply_40_1_41_4282[] = {1};
  meth_meth_ast__apply_40_1_41_4282->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4282);
  meth_meth_ast__apply_40_1_41_4282->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4282->definitionLine = 2984;
// compiled block node returning block4281 (depth = 6)
  gc_frame_newslot(block4281);
// call case 5: prelude request
  params[0] = call4280;
  params[1] = block4281;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4313 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4278);
// compiled call node returning call4313 (depth = 5)
  gc_frame_end(frame);
  return call4313;
}
Object meth_ast__apply_40_1_41_4346(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4348 == NULL) {
    strlit4348 = alloc_String("");
    gc_root(strlit4348);
  }
// compiled string node returning strlit4348 (depth = 8)
  int op_slot_right_4347 = gc_frame_newslot(strlit4348);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4351 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4352 = alloc_Float64(0);
// compiled num node returning num4352 (depth = 10)
  gc_frame_newslot(num4352);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = num4352;
  partcv[0] = 1;
  Object call4353 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4351);
// compiled call node returning call4353 (depth = 9)
  int op_slot_right_4350 = gc_frame_newslot(call4353);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4356 == NULL) {
    strlit4356 = alloc_String("  ");
    gc_root(strlit4356);
  }
// compiled string node returning strlit4356 (depth = 10)
  int op_slot_right_4355 = gc_frame_newslot(strlit4356);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4358 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4361 == NULL) {
    strlit4361 = alloc_String("""\x0a""");
    gc_root(strlit4361);
  }
// compiled string node returning strlit4361 (depth = 12)
  int op_slot_right_4360 = gc_frame_newslot(strlit4361);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4363 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4365 == NULL) {
    strlit4365 = alloc_String("");
    gc_root(strlit4365);
  }
// compiled string node returning strlit4365 (depth = 13)
  int op_slot_left_4363 = gc_frame_newslot(strlit4365);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4366 = callmethod(strlit4365, "++(1)", 1, partcv, params);
// compiled op node returning opresult4366 (depth = 12)
  int op_slot_left_4360 = gc_frame_newslot(opresult4366);
  params[0] = strlit4361;
  partcv[0] = 1;
  Object opresult4367 = callmethod(opresult4366, "++(1)", 1, partcv, params);
// compiled op node returning opresult4367 (depth = 11)
  int op_slot_left_4358 = gc_frame_newslot(opresult4367);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4368 = callmethod(opresult4367, "++(1)", 1, partcv, params);
// compiled op node returning opresult4368 (depth = 10)
  int op_slot_left_4355 = gc_frame_newslot(opresult4368);
  params[0] = strlit4356;
  partcv[0] = 1;
  Object opresult4369 = callmethod(opresult4368, "++(1)", 1, partcv, params);
// compiled op node returning opresult4369 (depth = 9)
  int op_slot_left_4350 = gc_frame_newslot(opresult4369);
  params[0] = call4353;
  partcv[0] = 1;
  Object opresult4370 = callmethod(opresult4369, "++(1)", 1, partcv, params);
// compiled op node returning opresult4370 (depth = 8)
  int op_slot_left_4347 = gc_frame_newslot(opresult4370);
  params[0] = strlit4348;
  partcv[0] = 1;
  Object opresult4371 = callmethod(opresult4370, "++(1)", 1, partcv, params);
// compiled op node returning opresult4371 (depth = 7)
  *var_s = opresult4371;
  if (opresult4371 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4411(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_an = &(stackframe->slots[0]);
  *var_an = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4413 == NULL) {
    strlit4413 = alloc_String("");
    gc_root(strlit4413);
  }
// compiled string node returning strlit4413 (depth = 8)
  int op_slot_right_4412 = gc_frame_newslot(strlit4413);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4416 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num4418 = alloc_Float64(2);
// compiled num node returning num4418 (depth = 11)
  int op_slot_right_4417 = gc_frame_newslot(num4418);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_4417 = gc_frame_newslot(*var_depth);
  params[0] = num4418;
  partcv[0] = 1;
  Object sum4420 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4420 (depth = 10)
  gc_frame_newslot(sum4420);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_an (depth = 10)
  params[0] = sum4420;
  partcv[0] = 1;
  Object call4421 = callmethodflags(*var_an, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4416);
// compiled call node returning call4421 (depth = 9)
  int op_slot_right_4415 = gc_frame_newslot(call4421);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4424 == NULL) {
    strlit4424 = alloc_String("  ");
    gc_root(strlit4424);
  }
// compiled string node returning strlit4424 (depth = 10)
  int op_slot_right_4423 = gc_frame_newslot(strlit4424);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4426 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4429 == NULL) {
    strlit4429 = alloc_String("""\x0a""");
    gc_root(strlit4429);
  }
// compiled string node returning strlit4429 (depth = 12)
  int op_slot_right_4428 = gc_frame_newslot(strlit4429);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4431 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4433 == NULL) {
    strlit4433 = alloc_String("");
    gc_root(strlit4433);
  }
// compiled string node returning strlit4433 (depth = 13)
  int op_slot_left_4431 = gc_frame_newslot(strlit4433);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4434 = callmethod(strlit4433, "++(1)", 1, partcv, params);
// compiled op node returning opresult4434 (depth = 12)
  int op_slot_left_4428 = gc_frame_newslot(opresult4434);
  params[0] = strlit4429;
  partcv[0] = 1;
  Object opresult4435 = callmethod(opresult4434, "++(1)", 1, partcv, params);
// compiled op node returning opresult4435 (depth = 11)
  int op_slot_left_4426 = gc_frame_newslot(opresult4435);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4436 = callmethod(opresult4435, "++(1)", 1, partcv, params);
// compiled op node returning opresult4436 (depth = 10)
  int op_slot_left_4423 = gc_frame_newslot(opresult4436);
  params[0] = strlit4424;
  partcv[0] = 1;
  Object opresult4437 = callmethod(opresult4436, "++(1)", 1, partcv, params);
// compiled op node returning opresult4437 (depth = 9)
  int op_slot_left_4415 = gc_frame_newslot(opresult4437);
  params[0] = call4421;
  partcv[0] = 1;
  Object opresult4438 = callmethod(opresult4437, "++(1)", 1, partcv, params);
// compiled op node returning opresult4438 (depth = 8)
  int op_slot_left_4412 = gc_frame_newslot(opresult4438);
  params[0] = strlit4413;
  partcv[0] = 1;
  Object opresult4439 = callmethod(opresult4438, "++(1)", 1, partcv, params);
// compiled op node returning opresult4439 (depth = 7)
  *var_s = opresult4439;
  if (opresult4439 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4460(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4462 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4464 = alloc_Float64(2);
// compiled num node returning num4464 (depth = 9)
  int op_slot_right_4463 = gc_frame_newslot(num4464);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4463 = gc_frame_newslot(*var_depth);
  params[0] = num4464;
  partcv[0] = 1;
  Object sum4466 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4466 (depth = 8)
  gc_frame_newslot(sum4466);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum4466;
  partcv[0] = 1;
  Object call4467 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4462);
// compiled call node returning call4467 (depth = 7)
  int op_slot_right_4461 = gc_frame_newslot(call4467);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4469 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4472 == NULL) {
    strlit4472 = alloc_String("""\x0a""  ");
    gc_root(strlit4472);
  }
// compiled string node returning strlit4472 (depth = 9)
  int op_slot_right_4471 = gc_frame_newslot(strlit4472);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4471 = gc_frame_newslot(*var_s);
  params[0] = strlit4472;
  partcv[0] = 1;
  Object opresult4474 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4474 (depth = 8)
  int op_slot_left_4469 = gc_frame_newslot(opresult4474);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4475 = callmethod(opresult4474, "++(1)", 1, partcv, params);
// compiled op node returning opresult4475 (depth = 7)
  int op_slot_left_4461 = gc_frame_newslot(opresult4475);
  params[0] = call4467;
  partcv[0] = 1;
  Object opresult4476 = callmethod(opresult4475, "++(1)", 1, partcv, params);
// compiled op node returning opresult4476 (depth = 6)
  *var_s = opresult4476;
  if (opresult4476 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_4109(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4110 == NULL) {
    strlit4110 = alloc_String("");
    gc_root(strlit4110);
  }
// compiled string node returning strlit4110 (depth = 4)
  *var_spc = strlit4110;
  if (strlit4110 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4111 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_4112 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num4114 = alloc_Float64(0);
// compiled num node returning num4114 (depth = 5)
  int op_slot_left_4112 = gc_frame_newslot(num4114);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4115 = callmethod(num4114, "..(1)", 1, partcv, params);
// compiled op node returning opresult4115 (depth = 4)
  gc_frame_newslot(opresult4115);
// starting to compile block node (depth = 4)
  Object block4116 = alloc_Block(NULL, NULL, "ast", 986);
  gc_frame_newslot(block4116);
// method "_apply(_)"
  block_savedest(block4116);
  Object closure4117 = createclosure(2, "_apply(1)");
  setclosureframe(closure4117, stackframe);
  addtoclosure(closure4117, var_spc);
  addtoclosure(closure4117, selfslot);
  struct UserObject *uo4117 = (struct UserObject*)block4116;
  uo4117->data[0] = (Object)closure4117;
  Method *meth_meth_ast__apply_40_1_41_4117 = addmethod2pos(block4116, "_apply(1)", &meth_ast__apply_40_1_41_4117, 0);
  int argcv_meth_ast__apply_40_1_41_4117[] = {1};
  meth_meth_ast__apply_40_1_41_4117->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4117);
  meth_meth_ast__apply_40_1_41_4117->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4117->definitionLine = 2984;
// compiled block node returning block4116 (depth = 4)
  gc_frame_newslot(block4116);
// call case 5: prelude request
  params[0] = opresult4115;
  params[1] = block4116;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4124 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4111);
// compiled call node returning call4124 (depth = 3)
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4126 == NULL) {
    strlit4126 = alloc_String("""\x0a""");
    gc_root(strlit4126);
  }
// compiled string node returning strlit4126 (depth = 5)
  int op_slot_right_4125 = gc_frame_newslot(strlit4126);
// starting to compile call node (depth = 5)
  int callframe4128 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4129 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4128);
// compiled call node returning call4129 (depth = 5)
  int op_slot_left_4125 = gc_frame_newslot(call4129);
  params[0] = strlit4126;
  partcv[0] = 1;
  Object opresult4130 = callmethod(call4129, "++(1)", 1, partcv, params);
// compiled op node returning opresult4130 (depth = 4)
  *var_s = opresult4130;
  if (opresult4130 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4132 == NULL) {
    strlit4132 = alloc_String("""\x0a""");
    gc_root(strlit4132);
  }
// compiled string node returning strlit4132 (depth = 5)
  int op_slot_right_4131 = gc_frame_newslot(strlit4132);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4135 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4137 = alloc_Float64(1);
// compiled num node returning num4137 (depth = 8)
  int op_slot_right_4136 = gc_frame_newslot(num4137);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4136 = gc_frame_newslot(*var_depth);
  params[0] = num4137;
  partcv[0] = 1;
  Object sum4139 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4139 (depth = 7)
  gc_frame_newslot(sum4139);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4140 = gc_frame_new();
// call case 4: self request
  Object call4141 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4140);
// compiled member node returning call4141 (depth = 7)
  params[0] = sum4139;
  partcv[0] = 1;
  Object call4142 = callmethodflags(call4141, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4135);
// compiled call node returning call4142 (depth = 6)
  int op_slot_right_4134 = gc_frame_newslot(call4142);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4145 == NULL) {
    strlit4145 = alloc_String("Name: ");
    gc_root(strlit4145);
  }
// compiled string node returning strlit4145 (depth = 7)
  int op_slot_right_4144 = gc_frame_newslot(strlit4145);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4147 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4147 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4149 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4149 (depth = 7)
  int op_slot_left_4144 = gc_frame_newslot(opresult4149);
  params[0] = strlit4145;
  partcv[0] = 1;
  Object opresult4150 = callmethod(opresult4149, "++(1)", 1, partcv, params);
// compiled op node returning opresult4150 (depth = 6)
  int op_slot_left_4134 = gc_frame_newslot(opresult4150);
  params[0] = call4142;
  partcv[0] = 1;
  Object opresult4151 = callmethod(opresult4150, "++(1)", 1, partcv, params);
// compiled op node returning opresult4151 (depth = 5)
  int op_slot_left_4131 = gc_frame_newslot(opresult4151);
  params[0] = strlit4132;
  partcv[0] = 1;
  Object opresult4152 = callmethod(opresult4151, "++(1)", 1, partcv, params);
// compiled op node returning opresult4152 (depth = 4)
  *var_s = opresult4152;
  if (opresult4152 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4156 = gc_frame_new();
// call case 4: self request
  Object call4157 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4156);
// compiled member node returning call4157 (depth = 5)
  int op_slot_right_4155 = gc_frame_newslot(call4157);
// starting to compile identifier node (depth = 5)
  Object bool4159 = alloc_Boolean(0);
// compiled identifier node returning bool4159 (depth = 5)
  int op_slot_left_4155 = gc_frame_newslot(bool4159);
  params[0] = call4157;
  partcv[0] = 1;
  Object opresult4160 = callmethod(bool4159, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4160 (depth = 4)
  Object if4154 = done;
  if (istrue(opresult4160)) {
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4162 == NULL) {
    strlit4162 = alloc_String("  ");
    gc_root(strlit4162);
  }
// compiled string node returning strlit4162 (depth = 6)
  int op_slot_right_4161 = gc_frame_newslot(strlit4162);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4164 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4167 == NULL) {
    strlit4167 = alloc_String("Returns:""\x0a""");
    gc_root(strlit4167);
  }
// compiled string node returning strlit4167 (depth = 8)
  int op_slot_right_4166 = gc_frame_newslot(strlit4167);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_4169 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4169 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4171 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4171 (depth = 8)
  int op_slot_left_4166 = gc_frame_newslot(opresult4171);
  params[0] = strlit4167;
  partcv[0] = 1;
  Object opresult4172 = callmethod(opresult4171, "++(1)", 1, partcv, params);
// compiled op node returning opresult4172 (depth = 7)
  int op_slot_left_4164 = gc_frame_newslot(opresult4172);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4173 = callmethod(opresult4172, "++(1)", 1, partcv, params);
// compiled op node returning opresult4173 (depth = 6)
  int op_slot_left_4161 = gc_frame_newslot(opresult4173);
  params[0] = strlit4162;
  partcv[0] = 1;
  Object opresult4174 = callmethod(opresult4173, "++(1)", 1, partcv, params);
// compiled op node returning opresult4174 (depth = 5)
  *var_s = opresult4174;
  if (opresult4174 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4177 == NULL) {
    strlit4177 = alloc_String("""\x0a""");
    gc_root(strlit4177);
  }
// compiled string node returning strlit4177 (depth = 6)
  int op_slot_right_4176 = gc_frame_newslot(strlit4177);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4180 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4182 = alloc_Float64(2);
// compiled num node returning num4182 (depth = 9)
  int op_slot_right_4181 = gc_frame_newslot(num4182);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4181 = gc_frame_newslot(*var_depth);
  params[0] = num4182;
  partcv[0] = 1;
  Object sum4184 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4184 (depth = 8)
  gc_frame_newslot(sum4184);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4185 = gc_frame_new();
// call case 4: self request
  Object call4186 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4185);
// compiled member node returning call4186 (depth = 8)
  params[0] = sum4184;
  partcv[0] = 1;
  Object call4187 = callmethodflags(call4186, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4180);
// compiled call node returning call4187 (depth = 7)
  int op_slot_right_4179 = gc_frame_newslot(call4187);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4179 = gc_frame_newslot(*var_s);
  params[0] = call4187;
  partcv[0] = 1;
  Object opresult4189 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4189 (depth = 6)
  int op_slot_left_4176 = gc_frame_newslot(opresult4189);
  params[0] = strlit4177;
  partcv[0] = 1;
  Object opresult4190 = callmethod(opresult4189, "++(1)", 1, partcv, params);
// compiled op node returning opresult4190 (depth = 5)
  *var_s = opresult4190;
  if (opresult4190 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4154 = done;
  } else {
  }
// compiled if node returning if4154 (depth = 3)
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4193 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4194 = gc_frame_new();
// call case 4: self request
  Object call4195 = callmethodflags(self, "isBindingOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4194);
// compiled member node returning call4195 (depth = 5)
  Object call4196 = callmethodflags(call4195, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4193);
// compiled member node returning call4196 (depth = 4)
  Object if4192 = done;
  if (istrue(call4196)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4198 == NULL) {
    strlit4198 = alloc_String("Applied""\x0a""");
    gc_root(strlit4198);
  }
// compiled string node returning strlit4198 (depth = 6)
  int op_slot_right_4197 = gc_frame_newslot(strlit4198);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4200 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4200 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4202 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4202 (depth = 6)
  int op_slot_left_4197 = gc_frame_newslot(opresult4202);
  params[0] = strlit4198;
  partcv[0] = 1;
  Object opresult4203 = callmethod(opresult4202, "++(1)", 1, partcv, params);
// compiled op node returning opresult4203 (depth = 5)
  *var_s = opresult4203;
  if (opresult4203 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4192 = done;
  } else {
  }
// compiled if node returning if4192 (depth = 3)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4206 = gc_frame_new();
// call case 4: self request
  Object call4207 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4206);
// compiled member node returning call4207 (depth = 4)
  Object if4205 = done;
  if (istrue(call4207)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4209 == NULL) {
    strlit4209 = alloc_String("Fresh""\x0a""");
    gc_root(strlit4209);
  }
// compiled string node returning strlit4209 (depth = 6)
  int op_slot_right_4208 = gc_frame_newslot(strlit4209);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4211 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4211 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4213 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4213 (depth = 6)
  int op_slot_left_4208 = gc_frame_newslot(opresult4213);
  params[0] = strlit4209;
  partcv[0] = 1;
  Object opresult4214 = callmethod(opresult4213, "++(1)", 1, partcv, params);
// compiled op node returning opresult4214 (depth = 5)
  *var_s = opresult4214;
  if (opresult4214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4205 = done;
  } else {
  }
// compiled if node returning if4205 (depth = 3)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4217 == NULL) {
    strlit4217 = alloc_String("Signature:");
    gc_root(strlit4217);
  }
// compiled string node returning strlit4217 (depth = 5)
  int op_slot_right_4216 = gc_frame_newslot(strlit4217);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4219 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4222 == NULL) {
    strlit4222 = alloc_String("");
    gc_root(strlit4222);
  }
// compiled string node returning strlit4222 (depth = 7)
  int op_slot_right_4221 = gc_frame_newslot(strlit4222);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_4224 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit4226 == NULL) {
    strlit4226 = alloc_String("");
    gc_root(strlit4226);
  }
// compiled string node returning strlit4226 (depth = 8)
  int op_slot_left_4224 = gc_frame_newslot(strlit4226);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4227 = callmethod(strlit4226, "++(1)", 1, partcv, params);
// compiled op node returning opresult4227 (depth = 7)
  int op_slot_left_4221 = gc_frame_newslot(opresult4227);
  params[0] = strlit4222;
  partcv[0] = 1;
  Object opresult4228 = callmethod(opresult4227, "++(1)", 1, partcv, params);
// compiled op node returning opresult4228 (depth = 6)
  int op_slot_left_4219 = gc_frame_newslot(opresult4228);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4229 = callmethod(opresult4228, "++(1)", 1, partcv, params);
// compiled op node returning opresult4229 (depth = 5)
  int op_slot_left_4216 = gc_frame_newslot(opresult4229);
  params[0] = strlit4217;
  partcv[0] = 1;
  Object opresult4230 = callmethod(opresult4229, "++(1)", 1, partcv, params);
// compiled op node returning opresult4230 (depth = 4)
  *var_s = opresult4230;
  if (opresult4230 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4232 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4233 = gc_frame_new();
// call case 4: self request
  Object call4234 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4233);
// compiled member node returning call4234 (depth = 4)
  gc_frame_newslot(call4234);
// starting to compile block node (depth = 4)
  Object block4235 = alloc_Block(NULL, NULL, "ast", 998);
  gc_frame_newslot(block4235);
// method "_apply(_)"
  block_savedest(block4235);
  Object closure4236 = createclosure(4, "_apply(1)");
  setclosureframe(closure4236, stackframe);
  addtoclosure(closure4236, var_spc);
  addtoclosure(closure4236, var_s);
  addtoclosure(closure4236, var_depth);
  addtoclosure(closure4236, selfslot);
  struct UserObject *uo4236 = (struct UserObject*)block4235;
  uo4236->data[0] = (Object)closure4236;
  Method *meth_meth_ast__apply_40_1_41_4236 = addmethod2pos(block4235, "_apply(1)", &meth_ast__apply_40_1_41_4236, 0);
  int argcv_meth_ast__apply_40_1_41_4236[] = {1};
  meth_meth_ast__apply_40_1_41_4236->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4236);
  meth_meth_ast__apply_40_1_41_4236->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4236->definitionLine = 2984;
// compiled block node returning block4235 (depth = 4)
  gc_frame_newslot(block4235);
// call case 5: prelude request
  params[0] = call4234;
  params[1] = block4235;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4315 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4232);
// compiled call node returning call4315 (depth = 3)
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4317 == NULL) {
    strlit4317 = alloc_String("""\x0a""");
    gc_root(strlit4317);
  }
// compiled string node returning strlit4317 (depth = 5)
  int op_slot_right_4316 = gc_frame_newslot(strlit4317);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4316 = gc_frame_newslot(*var_s);
  params[0] = strlit4317;
  partcv[0] = 1;
  Object opresult4319 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4319 (depth = 4)
  *var_s = opresult4319;
  if (opresult4319 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4323 = gc_frame_new();
// call case 4: self request
  Object call4324 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4323);
// compiled member node returning call4324 (depth = 5)
  int op_slot_right_4322 = gc_frame_newslot(call4324);
// starting to compile identifier node (depth = 5)
  Object bool4326 = alloc_Boolean(0);
// compiled identifier node returning bool4326 (depth = 5)
  int op_slot_left_4322 = gc_frame_newslot(bool4326);
  params[0] = call4324;
  partcv[0] = 1;
  Object opresult4327 = callmethod(bool4326, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4327 (depth = 4)
  Object if4321 = done;
  if (istrue(opresult4327)) {
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4329 == NULL) {
    strlit4329 = alloc_String("Generics:");
    gc_root(strlit4329);
  }
// compiled string node returning strlit4329 (depth = 6)
  int op_slot_right_4328 = gc_frame_newslot(strlit4329);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4331 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4334 == NULL) {
    strlit4334 = alloc_String("");
    gc_root(strlit4334);
  }
// compiled string node returning strlit4334 (depth = 8)
  int op_slot_right_4333 = gc_frame_newslot(strlit4334);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4336 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4338 == NULL) {
    strlit4338 = alloc_String("");
    gc_root(strlit4338);
  }
// compiled string node returning strlit4338 (depth = 9)
  int op_slot_left_4336 = gc_frame_newslot(strlit4338);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4339 = callmethod(strlit4338, "++(1)", 1, partcv, params);
// compiled op node returning opresult4339 (depth = 8)
  int op_slot_left_4333 = gc_frame_newslot(opresult4339);
  params[0] = strlit4334;
  partcv[0] = 1;
  Object opresult4340 = callmethod(opresult4339, "++(1)", 1, partcv, params);
// compiled op node returning opresult4340 (depth = 7)
  int op_slot_left_4331 = gc_frame_newslot(opresult4340);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4341 = callmethod(opresult4340, "++(1)", 1, partcv, params);
// compiled op node returning opresult4341 (depth = 6)
  int op_slot_left_4328 = gc_frame_newslot(opresult4341);
  params[0] = strlit4329;
  partcv[0] = 1;
  Object opresult4342 = callmethod(opresult4341, "++(1)", 1, partcv, params);
// compiled op node returning opresult4342 (depth = 5)
  *var_s = opresult4342;
  if (opresult4342 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4344 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4345 = alloc_Block(NULL, NULL, "ast", 1008);
  gc_frame_newslot(block4345);
// method "_apply(_)"
  block_savedest(block4345);
  Object closure4346 = createclosure(3, "_apply(1)");
  setclosureframe(closure4346, stackframe);
  addtoclosure(closure4346, var_spc);
  addtoclosure(closure4346, var_s);
  addtoclosure(closure4346, selfslot);
  struct UserObject *uo4346 = (struct UserObject*)block4345;
  uo4346->data[0] = (Object)closure4346;
  Method *meth_meth_ast__apply_40_1_41_4346 = addmethod2pos(block4345, "_apply(1)", &meth_ast__apply_40_1_41_4346, 0);
  int argcv_meth_ast__apply_40_1_41_4346[] = {1};
  meth_meth_ast__apply_40_1_41_4346->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4346);
  meth_meth_ast__apply_40_1_41_4346->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4346->definitionLine = 2984;
// compiled block node returning block4345 (depth = 5)
  gc_frame_newslot(block4345);
// call case 6: other requests
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4374 = gc_frame_new();
// call case 4: self request
  Object call4375 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4374);
// compiled member node returning call4375 (depth = 5)
  params[0] = block4345;
  partcv[0] = 1;
  Object call4376 = callmethodflags(call4375, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4344);
// compiled call node returning call4376 (depth = 4)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4378 == NULL) {
    strlit4378 = alloc_String("""\x0a""");
    gc_root(strlit4378);
  }
// compiled string node returning strlit4378 (depth = 6)
  int op_slot_right_4377 = gc_frame_newslot(strlit4378);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4377 = gc_frame_newslot(*var_s);
  params[0] = strlit4378;
  partcv[0] = 1;
  Object opresult4380 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4380 (depth = 5)
  *var_s = opresult4380;
  if (opresult4380 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4321 = done;
  } else {
  }
// compiled if node returning if4321 (depth = 3)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4384 = alloc_Float64(0);
// compiled num node returning num4384 (depth = 5)
  int op_slot_right_4383 = gc_frame_newslot(num4384);
// starting to compile member node (depth = 5)
  int callframe4386 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4387 = gc_frame_new();
// call case 4: self request
  Object call4388 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4387);
// compiled member node returning call4388 (depth = 6)
  Object call4389 = callmethodflags(call4388, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4386);
// compiled member node returning call4389 (depth = 5)
  int op_slot_left_4383 = gc_frame_newslot(call4389);
  params[0] = num4384;
  partcv[0] = 1;
  Object opresult4390 = callmethod(call4389, ">(1)", 1, partcv, params);
// compiled op node returning opresult4390 (depth = 4)
  Object if4382 = done;
  if (istrue(opresult4390)) {
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4392 == NULL) {
    strlit4392 = alloc_String("Annotations:");
    gc_root(strlit4392);
  }
// compiled string node returning strlit4392 (depth = 6)
  int op_slot_right_4391 = gc_frame_newslot(strlit4392);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4394 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4397 == NULL) {
    strlit4397 = alloc_String("");
    gc_root(strlit4397);
  }
// compiled string node returning strlit4397 (depth = 8)
  int op_slot_right_4396 = gc_frame_newslot(strlit4397);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4399 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4401 == NULL) {
    strlit4401 = alloc_String("");
    gc_root(strlit4401);
  }
// compiled string node returning strlit4401 (depth = 9)
  int op_slot_left_4399 = gc_frame_newslot(strlit4401);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4402 = callmethod(strlit4401, "++(1)", 1, partcv, params);
// compiled op node returning opresult4402 (depth = 8)
  int op_slot_left_4396 = gc_frame_newslot(opresult4402);
  params[0] = strlit4397;
  partcv[0] = 1;
  Object opresult4403 = callmethod(opresult4402, "++(1)", 1, partcv, params);
// compiled op node returning opresult4403 (depth = 7)
  int op_slot_left_4394 = gc_frame_newslot(opresult4403);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4404 = callmethod(opresult4403, "++(1)", 1, partcv, params);
// compiled op node returning opresult4404 (depth = 6)
  int op_slot_left_4391 = gc_frame_newslot(opresult4404);
  params[0] = strlit4392;
  partcv[0] = 1;
  Object opresult4405 = callmethod(opresult4404, "++(1)", 1, partcv, params);
// compiled op node returning opresult4405 (depth = 5)
  *var_s = opresult4405;
  if (opresult4405 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4407 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4408 = gc_frame_new();
// call case 4: self request
  Object call4409 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4408);
// compiled member node returning call4409 (depth = 5)
  gc_frame_newslot(call4409);
// starting to compile block node (depth = 5)
  Object block4410 = alloc_Block(NULL, NULL, "ast", 1015);
  gc_frame_newslot(block4410);
// method "_apply(_)"
  block_savedest(block4410);
  Object closure4411 = createclosure(4, "_apply(1)");
  setclosureframe(closure4411, stackframe);
  addtoclosure(closure4411, var_depth);
  addtoclosure(closure4411, var_spc);
  addtoclosure(closure4411, var_s);
  addtoclosure(closure4411, selfslot);
  struct UserObject *uo4411 = (struct UserObject*)block4410;
  uo4411->data[0] = (Object)closure4411;
  Method *meth_meth_ast__apply_40_1_41_4411 = addmethod2pos(block4410, "_apply(1)", &meth_ast__apply_40_1_41_4411, 0);
  int argcv_meth_ast__apply_40_1_41_4411[] = {1};
  meth_meth_ast__apply_40_1_41_4411->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4411);
  meth_meth_ast__apply_40_1_41_4411->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4411->definitionLine = 2984;
// compiled block node returning block4410 (depth = 5)
  gc_frame_newslot(block4410);
// call case 5: prelude request
  params[0] = call4409;
  params[1] = block4410;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4442 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4407);
// compiled call node returning call4442 (depth = 4)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4444 == NULL) {
    strlit4444 = alloc_String("""\x0a""");
    gc_root(strlit4444);
  }
// compiled string node returning strlit4444 (depth = 6)
  int op_slot_right_4443 = gc_frame_newslot(strlit4444);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4443 = gc_frame_newslot(*var_s);
  params[0] = strlit4444;
  partcv[0] = 1;
  Object opresult4446 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4446 (depth = 5)
  *var_s = opresult4446;
  if (opresult4446 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4382 = done;
  } else {
  }
// compiled if node returning if4382 (depth = 3)
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4449 == NULL) {
    strlit4449 = alloc_String("Body:");
    gc_root(strlit4449);
  }
// compiled string node returning strlit4449 (depth = 5)
  int op_slot_right_4448 = gc_frame_newslot(strlit4449);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4451 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4451 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4453 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4453 (depth = 5)
  int op_slot_left_4448 = gc_frame_newslot(opresult4453);
  params[0] = strlit4449;
  partcv[0] = 1;
  Object opresult4454 = callmethod(opresult4453, "++(1)", 1, partcv, params);
// compiled op node returning opresult4454 (depth = 4)
  *var_s = opresult4454;
  if (opresult4454 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4456 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4457 = gc_frame_new();
// call case 4: self request
  Object call4458 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4457);
// compiled member node returning call4458 (depth = 4)
  gc_frame_newslot(call4458);
// starting to compile block node (depth = 4)
  Object block4459 = alloc_Block(NULL, NULL, "ast", 1021);
  gc_frame_newslot(block4459);
// method "_apply(_)"
  block_savedest(block4459);
  Object closure4460 = createclosure(4, "_apply(1)");
  setclosureframe(closure4460, stackframe);
  addtoclosure(closure4460, var_depth);
  addtoclosure(closure4460, var_spc);
  addtoclosure(closure4460, var_s);
  addtoclosure(closure4460, selfslot);
  struct UserObject *uo4460 = (struct UserObject*)block4459;
  uo4460->data[0] = (Object)closure4460;
  Method *meth_meth_ast__apply_40_1_41_4460 = addmethod2pos(block4459, "_apply(1)", &meth_ast__apply_40_1_41_4460, 0);
  int argcv_meth_ast__apply_40_1_41_4460[] = {1};
  meth_meth_ast__apply_40_1_41_4460->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4460);
  meth_meth_ast__apply_40_1_41_4460->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4460->definitionLine = 2984;
// compiled block node returning block4459 (depth = 4)
  gc_frame_newslot(block4459);
// call case 5: prelude request
  params[0] = call4458;
  params[1] = block4459;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4479 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4456);
// compiled call node returning call4479 (depth = 3)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4482 = gc_frame_new();
// call case 4: self request
  Object call4483 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4482);
// compiled member node returning call4483 (depth = 5)
  int op_slot_right_4481 = gc_frame_newslot(call4483);
// starting to compile identifier node (depth = 5)
  Object bool4485 = alloc_Boolean(0);
// compiled identifier node returning bool4485 (depth = 5)
  int op_slot_left_4481 = gc_frame_newslot(bool4485);
  params[0] = call4483;
  partcv[0] = 1;
  Object opresult4486 = callmethod(bool4485, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4486 (depth = 4)
  Object if4480 = done;
  if (istrue(opresult4486)) {
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4488 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4490 = alloc_Float64(2);
// compiled num node returning num4490 (depth = 8)
  int op_slot_right_4489 = gc_frame_newslot(num4490);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4489 = gc_frame_newslot(*var_depth);
  params[0] = num4490;
  partcv[0] = 1;
  Object sum4492 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4492 (depth = 7)
  gc_frame_newslot(sum4492);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4493 = gc_frame_new();
// call case 4: self request
  Object call4494 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4493);
// compiled member node returning call4494 (depth = 7)
  params[0] = sum4492;
  partcv[0] = 1;
  Object call4495 = callmethodflags(call4494, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4488);
// compiled call node returning call4495 (depth = 6)
  int op_slot_right_4487 = gc_frame_newslot(call4495);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4487 = gc_frame_newslot(*var_s);
  params[0] = call4495;
  partcv[0] = 1;
  Object opresult4497 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4497 (depth = 5)
  *var_s = opresult4497;
  if (opresult4497 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4480 = done;
  } else {
  }
// compiled if node returning if4480 (depth = 3)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_4511(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4513 == NULL) {
    strlit4513 = alloc_String("    ");
    gc_root(strlit4513);
  }
// compiled string node returning strlit4513 (depth = 7)
  int op_slot_right_4512 = gc_frame_newslot(strlit4513);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_4512 = gc_frame_newslot(*var_spc);
  params[0] = strlit4513;
  partcv[0] = 1;
  Object opresult4515 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4515 (depth = 6)
  *var_spc = opresult4515;
  if (opresult4515 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4535(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4537 = gc_frame_new();
// call case 4: self request
  Object call4538 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4537);
// compiled member node returning call4538 (depth = 9)
  int op_slot_right_4536 = gc_frame_newslot(call4538);
// starting to compile identifier node (depth = 9)
  Object bool4540 = alloc_Boolean(0);
// compiled identifier node returning bool4540 (depth = 9)
  int op_slot_left_4536 = gc_frame_newslot(bool4540);
  params[0] = call4538;
  partcv[0] = 1;
  Object opresult4541 = callmethod(bool4540, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4541 (depth = 8)
  gc_frame_end(frame);
  return opresult4541;
}
Object meth_ast__apply_40_1_41_4579(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4580 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  gc_frame_newslot(*var_pnr);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4581 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  Object call4582 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4581);
// compiled member node returning call4582 (depth = 10)
  params[0] = *var_pnr;
  partcv[0] = 1;
  Object call4583 = callmethodflags(call4582, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4580);
// compiled call node returning call4583 (depth = 9)
  *var_p = call4583;
  if (call4583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4585 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4587 = alloc_Float64(1);
// compiled num node returning num4587 (depth = 12)
  int op_slot_right_4586 = gc_frame_newslot(num4587);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4586 = gc_frame_newslot(*var_depth);
  params[0] = num4587;
  partcv[0] = 1;
  Object sum4589 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4589 (depth = 11)
  gc_frame_newslot(sum4589);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4589;
  partcv[0] = 1;
  Object call4590 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4585);
// compiled call node returning call4590 (depth = 10)
  int op_slot_right_4584 = gc_frame_newslot(call4590);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4584 = gc_frame_newslot(*var_s);
  params[0] = call4590;
  partcv[0] = 1;
  Object opresult4592 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4592 (depth = 9)
  *var_s = opresult4592;
  if (opresult4592 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe4596 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe4597 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  Object call4598 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4597);
// compiled member node returning call4598 (depth = 11)
  Object call4599 = callmethodflags(call4598, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4596);
// compiled member node returning call4599 (depth = 10)
  int op_slot_right_4595 = gc_frame_newslot(call4599);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  int op_slot_left_4595 = gc_frame_newslot(*var_pnr);
  params[0] = call4599;
  partcv[0] = 1;
  Object opresult4601 = callmethod(*var_pnr, "<(1)", 1, partcv, params);
// compiled op node returning opresult4601 (depth = 9)
  Object if4594 = done;
  if (istrue(opresult4601)) {
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4603 == NULL) {
    strlit4603 = alloc_String(", ");
    gc_root(strlit4603);
  }
// compiled string node returning strlit4603 (depth = 11)
  int op_slot_right_4602 = gc_frame_newslot(strlit4603);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4602 = gc_frame_newslot(*var_s);
  params[0] = strlit4603;
  partcv[0] = 1;
  Object opresult4605 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4605 (depth = 10)
  *var_s = opresult4605;
  if (opresult4605 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if4594 = done;
  } else {
  }
// compiled if node returning if4594 (depth = 8)
  gc_frame_end(frame);
  return if4594;
}
Object meth_ast__apply_40_1_41_4525(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_firstPart = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4527 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4528 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4527);
// compiled member node returning call4528 (depth = 7)
  int op_slot_right_4526 = gc_frame_newslot(call4528);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4526 = gc_frame_newslot(*var_s);
  params[0] = call4528;
  partcv[0] = 1;
  Object opresult4530 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4530 (depth = 6)
  *var_s = opresult4530;
  if (opresult4530 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block4534 = alloc_Block(NULL, NULL, "ast", 1038);
  gc_frame_newslot(block4534);
// method "_apply"
  block_savedest(block4534);
  Object closure4535 = createclosure(1, "_apply");
  setclosureframe(closure4535, stackframe);
  addtoclosure(closure4535, selfslot);
  struct UserObject *uo4535 = (struct UserObject*)block4534;
  uo4535->data[0] = (Object)closure4535;
  Method *meth_meth_ast__apply4535 = addmethod2pos(block4534, "_apply", &meth_ast__apply4535, 0);
  int argcv_meth_ast__apply4535[] = {0};
  meth_meth_ast__apply4535->type = alloc_MethodType(1, argcv_meth_ast__apply4535);
  meth_meth_ast__apply4535->definitionModule = modulename;
  meth_meth_ast__apply4535->definitionLine = 2984;
// compiled block node returning block4534 (depth = 7)
  int op_slot_right_4533 = gc_frame_newslot(block4534);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_firstPart (depth = 7)
  int op_slot_left_4533 = gc_frame_newslot(*var_firstPart);
  params[0] = block4534;
  partcv[0] = 1;
  Object opresult4544 = callmethod(*var_firstPart, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4544 (depth = 6)
  Object if4532 = done;
  if (istrue(opresult4544)) {
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4546 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4548 = alloc_Float64(1);
// compiled num node returning num4548 (depth = 10)
  int op_slot_right_4547 = gc_frame_newslot(num4548);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_4547 = gc_frame_newslot(*var_depth);
  params[0] = num4548;
  partcv[0] = 1;
  Object sum4550 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4550 (depth = 9)
  gc_frame_newslot(sum4550);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4551 = gc_frame_new();
// call case 4: self request
  Object call4552 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4551);
// compiled member node returning call4552 (depth = 9)
  params[0] = sum4550;
  partcv[0] = 1;
  Object call4553 = callmethodflags(call4552, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4546);
// compiled call node returning call4553 (depth = 8)
  int op_slot_right_4545 = gc_frame_newslot(call4553);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4545 = gc_frame_newslot(*var_s);
  params[0] = call4553;
  partcv[0] = 1;
  Object opresult4555 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4555 (depth = 7)
  *var_s = opresult4555;
  if (opresult4555 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4532 = done;
  } else {
  }
// compiled if node returning if4532 (depth = 5)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4557 = alloc_Boolean(0);
// compiled identifier node returning bool4557 (depth = 6)
  *var_firstPart = bool4557;
  if (bool4557 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num4561 = alloc_Float64(0);
// compiled num node returning num4561 (depth = 7)
  int op_slot_right_4560 = gc_frame_newslot(num4561);
// starting to compile member node (depth = 7)
  int callframe4563 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4564 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4565 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4564);
// compiled member node returning call4565 (depth = 8)
  Object call4566 = callmethodflags(call4565, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4563);
// compiled member node returning call4566 (depth = 7)
  int op_slot_left_4560 = gc_frame_newslot(call4566);
  params[0] = num4561;
  partcv[0] = 1;
  Object opresult4567 = callmethod(call4566, ">(1)", 1, partcv, params);
// compiled op node returning opresult4567 (depth = 6)
  Object if4559 = done;
  if (istrue(opresult4567)) {
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4569 == NULL) {
    strlit4569 = alloc_String("(");
    gc_root(strlit4569);
  }
// compiled string node returning strlit4569 (depth = 8)
  int op_slot_right_4568 = gc_frame_newslot(strlit4569);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4568 = gc_frame_newslot(*var_s);
  params[0] = strlit4569;
  partcv[0] = 1;
  Object opresult4571 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4571 (depth = 7)
  *var_s = opresult4571;
  if (opresult4571 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4573 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4574 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4575 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4576 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4575);
// compiled member node returning call4576 (depth = 8)
  Object call4577 = callmethodflags(call4576, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe4574);
// compiled member node returning call4577 (depth = 7)
  gc_frame_newslot(call4577);
// starting to compile block node (depth = 7)
  Object block4578 = alloc_Block(NULL, NULL, "ast", 1044);
  gc_frame_newslot(block4578);
// method "_apply(_)"
  block_savedest(block4578);
  Object closure4579 = createclosure(4, "_apply(1)");
  setclosureframe(closure4579, stackframe);
  addtoclosure(closure4579, var_part);
  addtoclosure(closure4579, var_depth);
  addtoclosure(closure4579, var_s);
  addtoclosure(closure4579, selfslot);
  struct UserObject *uo4579 = (struct UserObject*)block4578;
  uo4579->data[0] = (Object)closure4579;
  Method *meth_meth_ast__apply_40_1_41_4579 = addmethod2pos(block4578, "_apply(1)", &meth_ast__apply_40_1_41_4579, 0);
  int argcv_meth_ast__apply_40_1_41_4579[] = {1};
  meth_meth_ast__apply_40_1_41_4579->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4579);
  meth_meth_ast__apply_40_1_41_4579->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4579->definitionLine = 2984;
// compiled block node returning block4578 (depth = 7)
  gc_frame_newslot(block4578);
// call case 5: prelude request
  params[0] = call4577;
  params[1] = block4578;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4608 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4573);
// compiled call node returning call4608 (depth = 6)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4610 == NULL) {
    strlit4610 = alloc_String(")");
    gc_root(strlit4610);
  }
// compiled string node returning strlit4610 (depth = 8)
  int op_slot_right_4609 = gc_frame_newslot(strlit4610);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4609 = gc_frame_newslot(*var_s);
  params[0] = strlit4610;
  partcv[0] = 1;
  Object opresult4612 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4612 (depth = 7)
  *var_s = opresult4612;
  if (opresult4612 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4559 = done;
  } else {
  }
// compiled if node returning if4559 (depth = 5)
  gc_frame_end(frame);
  return if4559;
}
Object meth_ast__apply_40_2_41_4657(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4659 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4660 = alloc_Float64(0);
// compiled num node returning num4660 (depth = 10)
  gc_frame_newslot(num4660);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num4660;
  partcv[0] = 1;
  Object call4661 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4659);
// compiled call node returning call4661 (depth = 9)
  int op_slot_right_4658 = gc_frame_newslot(call4661);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4665 == NULL) {
    strlit4665 = alloc_String("");
    gc_root(strlit4665);
  }
// compiled string node returning strlit4665 (depth = 11)
  int op_slot_right_4664 = gc_frame_newslot(strlit4665);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4664 = gc_frame_newslot(*var_a);
  params[0] = strlit4665;
  partcv[0] = 1;
  Object opresult4667 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4667 (depth = 10)
  Object if4663 = done;
struct StackFrameObject *iftmpstackframe4663 = stackframe;
  if (istrue(opresult4667)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4663);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4669 == NULL) {
    strlit4669 = alloc_String(", ");
    gc_root(strlit4669);
  }
// compiled string node returning strlit4669 (depth = 11)
  int op_slot_right_4668 = gc_frame_newslot(strlit4669);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4668 = gc_frame_newslot(*var_a);
  params[0] = strlit4669;
  partcv[0] = 1;
  Object opresult4671 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult4671 (depth = 10)
    gc_frame_newslot(opresult4671);
    if4663 = opresult4671;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4663);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit4672 == NULL) {
    strlit4672 = alloc_String("");
    gc_root(strlit4672);
  }
// compiled string node returning strlit4672 (depth = 10)
    gc_frame_newslot(strlit4672);
    if4663 = strlit4672;
  }
stackframe = iftmpstackframe4663;
// compiled if node returning if4663 (depth = 9)
  int op_slot_left_4658 = gc_frame_newslot(if4663);
  params[0] = call4661;
  partcv[0] = 1;
  Object opresult4673 = callmethod(if4663, "++(1)", 1, partcv, params);
// compiled op node returning opresult4673 (depth = 8)
  gc_frame_end(frame);
  return opresult4673;
}
Object meth_ast__apply_40_1_41_4710(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4712 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4714 = alloc_Float64(1);
// compiled num node returning num4714 (depth = 9)
  int op_slot_right_4713 = gc_frame_newslot(num4714);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4713 = gc_frame_newslot(*var_depth);
  params[0] = num4714;
  partcv[0] = 1;
  Object sum4716 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4716 (depth = 8)
  gc_frame_newslot(sum4716);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum4716;
  partcv[0] = 1;
  Object call4717 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4712);
// compiled call node returning call4717 (depth = 7)
  int op_slot_right_4711 = gc_frame_newslot(call4717);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4720 == NULL) {
    strlit4720 = alloc_String("    ");
    gc_root(strlit4720);
  }
// compiled string node returning strlit4720 (depth = 8)
  int op_slot_right_4719 = gc_frame_newslot(strlit4720);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_4722 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4725 == NULL) {
    strlit4725 = alloc_String("""\x0a""");
    gc_root(strlit4725);
  }
// compiled string node returning strlit4725 (depth = 10)
  int op_slot_right_4724 = gc_frame_newslot(strlit4725);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4724 = gc_frame_newslot(*var_s);
  params[0] = strlit4725;
  partcv[0] = 1;
  Object opresult4727 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4727 (depth = 9)
  int op_slot_left_4722 = gc_frame_newslot(opresult4727);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4728 = callmethod(opresult4727, "++(1)", 1, partcv, params);
// compiled op node returning opresult4728 (depth = 8)
  int op_slot_left_4719 = gc_frame_newslot(opresult4728);
  params[0] = strlit4720;
  partcv[0] = 1;
  Object opresult4729 = callmethod(opresult4728, "++(1)", 1, partcv, params);
// compiled op node returning opresult4729 (depth = 7)
  int op_slot_left_4711 = gc_frame_newslot(opresult4729);
  params[0] = call4717;
  partcv[0] = 1;
  Object opresult4730 = callmethod(opresult4729, "++(1)", 1, partcv, params);
// compiled op node returning opresult4730 (depth = 6)
  *var_s = opresult4730;
  if (opresult4730 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_4499(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_firstPart = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "firstPart");
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4500 == NULL) {
    strlit4500 = alloc_String("");
    gc_root(strlit4500);
  }
// compiled string node returning strlit4500 (depth = 4)
  *var_spc = strlit4500;
  if (strlit4500 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4501 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4504 = alloc_Float64(1);
// compiled num node returning num4504 (depth = 6)
  int op_slot_right_4503 = gc_frame_newslot(num4504);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_4503 = gc_frame_newslot(*var_depth);
  params[0] = num4504;
  partcv[0] = 1;
  Object diff4506 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff4506 (depth = 5)
  int op_slot_right_4502 = gc_frame_newslot(diff4506);
// starting to compile num node (depth = 5)
  Object num4508 = alloc_Float64(0);
// compiled num node returning num4508 (depth = 5)
  int op_slot_left_4502 = gc_frame_newslot(num4508);
  params[0] = diff4506;
  partcv[0] = 1;
  Object opresult4509 = callmethod(num4508, "..(1)", 1, partcv, params);
// compiled op node returning opresult4509 (depth = 4)
  gc_frame_newslot(opresult4509);
// starting to compile block node (depth = 4)
  Object block4510 = alloc_Block(NULL, NULL, "ast", 1031);
  gc_frame_newslot(block4510);
// method "_apply(_)"
  block_savedest(block4510);
  Object closure4511 = createclosure(2, "_apply(1)");
  setclosureframe(closure4511, stackframe);
  addtoclosure(closure4511, var_spc);
  addtoclosure(closure4511, selfslot);
  struct UserObject *uo4511 = (struct UserObject*)block4510;
  uo4511->data[0] = (Object)closure4511;
  Method *meth_meth_ast__apply_40_1_41_4511 = addmethod2pos(block4510, "_apply(1)", &meth_ast__apply_40_1_41_4511, 0);
  int argcv_meth_ast__apply_40_1_41_4511[] = {1};
  meth_meth_ast__apply_40_1_41_4511->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4511);
  meth_meth_ast__apply_40_1_41_4511->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4511->definitionLine = 2984;
// compiled block node returning block4510 (depth = 4)
  gc_frame_newslot(block4510);
// call case 5: prelude request
  params[0] = opresult4509;
  params[1] = block4510;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4518 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4501);
// compiled call node returning call4518 (depth = 3)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4519 == NULL) {
    strlit4519 = alloc_String("method ");
    gc_root(strlit4519);
  }
// compiled string node returning strlit4519 (depth = 4)
  *var_s = strlit4519;
  if (strlit4519 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4520 = alloc_Boolean(1);
// compiled identifier node returning bool4520 (depth = 4)
  *var_firstPart = bool4520;
  if (bool4520 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4521 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4522 = gc_frame_new();
// call case 4: self request
  Object call4523 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4522);
// compiled member node returning call4523 (depth = 4)
  gc_frame_newslot(call4523);
// starting to compile block node (depth = 4)
  Object block4524 = alloc_Block(NULL, NULL, "ast", 1036);
  gc_frame_newslot(block4524);
// method "_apply(_)"
  block_savedest(block4524);
  Object closure4525 = createclosure(4, "_apply(1)");
  setclosureframe(closure4525, stackframe);
  addtoclosure(closure4525, var_s);
  addtoclosure(closure4525, var_firstPart);
  addtoclosure(closure4525, var_depth);
  addtoclosure(closure4525, selfslot);
  struct UserObject *uo4525 = (struct UserObject*)block4524;
  uo4525->data[0] = (Object)closure4525;
  Method *meth_meth_ast__apply_40_1_41_4525 = addmethod2pos(block4524, "_apply(1)", &meth_ast__apply_40_1_41_4525, 0);
  int argcv_meth_ast__apply_40_1_41_4525[] = {1};
  meth_meth_ast__apply_40_1_41_4525->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4525);
  meth_meth_ast__apply_40_1_41_4525->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4525->definitionLine = 2984;
// compiled block node returning block4524 (depth = 4)
  gc_frame_newslot(block4524);
// call case 5: prelude request
  params[0] = call4523;
  params[1] = block4524;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4615 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4521);
// compiled call node returning call4615 (depth = 3)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4618 = gc_frame_new();
// call case 4: self request
  Object call4619 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4618);
// compiled member node returning call4619 (depth = 5)
  int op_slot_right_4617 = gc_frame_newslot(call4619);
// starting to compile identifier node (depth = 5)
  Object bool4621 = alloc_Boolean(0);
// compiled identifier node returning bool4621 (depth = 5)
  int op_slot_left_4617 = gc_frame_newslot(bool4621);
  params[0] = call4619;
  partcv[0] = 1;
  Object opresult4622 = callmethod(bool4621, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4622 (depth = 4)
  Object if4616 = done;
  if (istrue(opresult4622)) {
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4625 == NULL) {
    strlit4625 = alloc_String("");
    gc_root(strlit4625);
  }
// compiled string node returning strlit4625 (depth = 7)
  int op_slot_right_4624 = gc_frame_newslot(strlit4625);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4628 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num4629 = alloc_Float64(0);
// compiled num node returning num4629 (depth = 9)
  gc_frame_newslot(num4629);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4630 = gc_frame_new();
// call case 4: self request
  Object call4631 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4630);
// compiled member node returning call4631 (depth = 9)
  params[0] = num4629;
  partcv[0] = 1;
  Object call4632 = callmethodflags(call4631, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4628);
// compiled call node returning call4632 (depth = 8)
  int op_slot_right_4627 = gc_frame_newslot(call4632);
// starting to compile string node (depth = 8)
  if (strlit4634 == NULL) {
    strlit4634 = alloc_String(" -> ");
    gc_root(strlit4634);
  }
// compiled string node returning strlit4634 (depth = 8)
  int op_slot_left_4627 = gc_frame_newslot(strlit4634);
  params[0] = call4632;
  partcv[0] = 1;
  Object opresult4635 = callmethod(strlit4634, "++(1)", 1, partcv, params);
// compiled op node returning opresult4635 (depth = 7)
  int op_slot_left_4624 = gc_frame_newslot(opresult4635);
  params[0] = strlit4625;
  partcv[0] = 1;
  Object opresult4636 = callmethod(opresult4635, "++(1)", 1, partcv, params);
// compiled op node returning opresult4636 (depth = 6)
  int op_slot_right_4623 = gc_frame_newslot(opresult4636);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4623 = gc_frame_newslot(*var_s);
  params[0] = opresult4636;
  partcv[0] = 1;
  Object opresult4638 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4638 (depth = 5)
  *var_s = opresult4638;
  if (opresult4638 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4616 = done;
  } else {
  }
// compiled if node returning if4616 (depth = 3)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4642 = alloc_Float64(0);
// compiled num node returning num4642 (depth = 5)
  int op_slot_right_4641 = gc_frame_newslot(num4642);
// starting to compile member node (depth = 5)
  int callframe4644 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4645 = gc_frame_new();
// call case 4: self request
  Object call4646 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4645);
// compiled member node returning call4646 (depth = 6)
  Object call4647 = callmethodflags(call4646, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4644);
// compiled member node returning call4647 (depth = 5)
  int op_slot_left_4641 = gc_frame_newslot(call4647);
  params[0] = num4642;
  partcv[0] = 1;
  Object opresult4648 = callmethod(call4647, ">(1)", 1, partcv, params);
// compiled op node returning opresult4648 (depth = 4)
  Object if4640 = done;
  if (istrue(opresult4648)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4650 == NULL) {
    strlit4650 = alloc_String(" is ");
    gc_root(strlit4650);
  }
// compiled string node returning strlit4650 (depth = 6)
  int op_slot_right_4649 = gc_frame_newslot(strlit4650);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4649 = gc_frame_newslot(*var_s);
  params[0] = strlit4650;
  partcv[0] = 1;
  Object opresult4652 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4652 (depth = 5)
  *var_s = opresult4652;
  if (opresult4652 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4655 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block4656 = alloc_Block(NULL, NULL, "ast", 1059);
  gc_frame_newslot(block4656);
// method "_apply(_,_)"
  block_savedest(block4656);
  Object closure4657 = createclosure(1, "_apply(2)");
  setclosureframe(closure4657, stackframe);
  addtoclosure(closure4657, selfslot);
  struct UserObject *uo4657 = (struct UserObject*)block4656;
  uo4657->data[0] = (Object)closure4657;
  Method *meth_meth_ast__apply_40_2_41_4657 = addmethod2pos(block4656, "_apply(2)", &meth_ast__apply_40_2_41_4657, 0);
  int argcv_meth_ast__apply_40_2_41_4657[] = {2};
  meth_meth_ast__apply_40_2_41_4657->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4657);
  meth_meth_ast__apply_40_2_41_4657->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4657->definitionLine = 2984;
// compiled block node returning block4656 (depth = 7)
  gc_frame_newslot(block4656);
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4675 == NULL) {
    strlit4675 = alloc_String("");
    gc_root(strlit4675);
  }
// compiled string node returning strlit4675 (depth = 7)
  gc_frame_newslot(strlit4675);
// call case 6: other requests
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4676 = gc_frame_new();
// call case 4: self request
  Object call4677 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4676);
// compiled member node returning call4677 (depth = 7)
  params[0] = block4656;
  params[1] = strlit4675;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4678 = callmethodflags(call4677, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4655);
// compiled call node returning call4678 (depth = 6)
  int op_slot_right_4654 = gc_frame_newslot(call4678);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4654 = gc_frame_newslot(*var_s);
  params[0] = call4678;
  partcv[0] = 1;
  Object opresult4680 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4680 (depth = 5)
  *var_s = opresult4680;
  if (opresult4680 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4640 = done;
  } else {
  }
// compiled if node returning if4640 (depth = 3)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4683 == NULL) {
    strlit4683 = alloc_String(" {");
    gc_root(strlit4683);
  }
// compiled string node returning strlit4683 (depth = 5)
  int op_slot_right_4682 = gc_frame_newslot(strlit4683);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4682 = gc_frame_newslot(*var_s);
  params[0] = strlit4683;
  partcv[0] = 1;
  Object opresult4685 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4685 (depth = 4)
  *var_s = opresult4685;
  if (opresult4685 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4689 = gc_frame_new();
// call case 4: self request
  Object call4690 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4689);
// compiled member node returning call4690 (depth = 5)
  int op_slot_right_4688 = gc_frame_newslot(call4690);
// starting to compile identifier node (depth = 5)
  Object bool4692 = alloc_Boolean(0);
// compiled identifier node returning bool4692 (depth = 5)
  int op_slot_left_4688 = gc_frame_newslot(bool4692);
  params[0] = call4690;
  partcv[0] = 1;
  Object opresult4693 = callmethod(bool4692, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4693 (depth = 4)
  Object if4687 = done;
  if (istrue(opresult4693)) {
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4695 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4697 = alloc_Float64(1);
// compiled num node returning num4697 (depth = 8)
  int op_slot_right_4696 = gc_frame_newslot(num4697);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4696 = gc_frame_newslot(*var_depth);
  params[0] = num4697;
  partcv[0] = 1;
  Object sum4699 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4699 (depth = 7)
  gc_frame_newslot(sum4699);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4700 = gc_frame_new();
// call case 4: self request
  Object call4701 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4700);
// compiled member node returning call4701 (depth = 7)
  params[0] = sum4699;
  partcv[0] = 1;
  Object call4702 = callmethodflags(call4701, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4695);
// compiled call node returning call4702 (depth = 6)
  int op_slot_right_4694 = gc_frame_newslot(call4702);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4694 = gc_frame_newslot(*var_s);
  params[0] = call4702;
  partcv[0] = 1;
  Object opresult4704 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4704 (depth = 5)
  *var_s = opresult4704;
  if (opresult4704 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4687 = done;
  } else {
  }
// compiled if node returning if4687 (depth = 3)
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4706 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4707 = gc_frame_new();
// call case 4: self request
  Object call4708 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4707);
// compiled member node returning call4708 (depth = 4)
  gc_frame_newslot(call4708);
// starting to compile block node (depth = 4)
  Object block4709 = alloc_Block(NULL, NULL, "ast", 1067);
  gc_frame_newslot(block4709);
// method "_apply(_)"
  block_savedest(block4709);
  Object closure4710 = createclosure(4, "_apply(1)");
  setclosureframe(closure4710, stackframe);
  addtoclosure(closure4710, var_depth);
  addtoclosure(closure4710, var_spc);
  addtoclosure(closure4710, var_s);
  addtoclosure(closure4710, selfslot);
  struct UserObject *uo4710 = (struct UserObject*)block4709;
  uo4710->data[0] = (Object)closure4710;
  Method *meth_meth_ast__apply_40_1_41_4710 = addmethod2pos(block4709, "_apply(1)", &meth_ast__apply_40_1_41_4710, 0);
  int argcv_meth_ast__apply_40_1_41_4710[] = {1};
  meth_meth_ast__apply_40_1_41_4710->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4710);
  meth_meth_ast__apply_40_1_41_4710->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4710->definitionLine = 2984;
// compiled block node returning block4709 (depth = 4)
  gc_frame_newslot(block4709);
// call case 5: prelude request
  params[0] = call4708;
  params[1] = block4709;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4733 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4706);
// compiled call node returning call4733 (depth = 3)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4735 == NULL) {
    strlit4735 = alloc_String("}");
    gc_root(strlit4735);
  }
// compiled string node returning strlit4735 (depth = 5)
  int op_slot_right_4734 = gc_frame_newslot(strlit4735);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4737 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4740 == NULL) {
    strlit4740 = alloc_String("""\x0a""");
    gc_root(strlit4740);
  }
// compiled string node returning strlit4740 (depth = 7)
  int op_slot_right_4739 = gc_frame_newslot(strlit4740);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4739 = gc_frame_newslot(*var_s);
  params[0] = strlit4740;
  partcv[0] = 1;
  Object opresult4742 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4742 (depth = 6)
  int op_slot_left_4737 = gc_frame_newslot(opresult4742);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4743 = callmethod(opresult4742, "++(1)", 1, partcv, params);
// compiled op node returning opresult4743 (depth = 5)
  int op_slot_left_4734 = gc_frame_newslot(opresult4743);
  params[0] = strlit4735;
  partcv[0] = 1;
  Object opresult4744 = callmethod(opresult4743, "++(1)", 1, partcv, params);
// compiled op node returning opresult4744 (depth = 4)
  *var_s = opresult4744;
  if (opresult4744 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy4746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4747 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe4748 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4749 = gc_frame_new();
// call case 4: self request
  Object call4750 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4749);
// compiled member node returning call4750 (depth = 5)
  gc_frame_newslot(call4750);
// starting to compile member node (depth = 5)
  int callframe4751 = gc_frame_new();
// call case 4: self request
  Object call4752 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4751);
// compiled member node returning call4752 (depth = 5)
  gc_frame_newslot(call4752);
// starting to compile member node (depth = 5)
  int callframe4753 = gc_frame_new();
// call case 4: self request
  Object call4754 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4753);
// compiled member node returning call4754 (depth = 5)
  gc_frame_newslot(call4754);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodNode (depth = 5)
  params[0] = call4750;
  params[1] = call4752;
  params[2] = call4754;
  partcv[0] = 3;
  Object call4755 = callmethodflags(*var_methodNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe4748);
// compiled call node returning call4755 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call4756 = callmethodflags(call4755, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4747);
// compiled call node returning call4756 (depth = 3)
  gc_frame_end(frame);
  return call4756;
}
Object meth_ast_postCopy_40_1_41_4757(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4758 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4759 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call4760 = callmethodflags(*var_other, "isFresh", 0, partcv, params, 0);
  gc_frame_end(callframe4759);
// compiled member node returning call4760 (depth = 4)
  gc_frame_newslot(call4760);
// call case 4: self request
  params[0] = call4760;
  partcv[0] = 1;
  Object call4761 = callmethodflags(self, "isFresh:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4758);
// compiled call node returning call4761 (depth = 3)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4762 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4763 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call4764 = callmethodflags(*var_other, "selfclosure", 0, partcv, params, 0);
  gc_frame_end(callframe4763);
// compiled member node returning call4764 (depth = 4)
  gc_frame_newslot(call4764);
// call case 4: self request
  params[0] = call4764;
  partcv[0] = 1;
  Object call4765 = callmethodflags(self, "selfclosure:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4762);
// compiled call node returning call4765 (depth = 3)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4767 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4768 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call4769 = callmethodflags(*var_other, "isBindingOccurence", 0, partcv, params, 0);
  gc_frame_end(callframe4768);
// compiled member node returning call4769 (depth = 5)
  Object call4770 = callmethodflags(call4769, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4767);
// compiled member node returning call4770 (depth = 4)
  Object if4766 = done;
  if (istrue(call4770)) {
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4771 = gc_frame_new();
// call case 4: self request
  Object call4772 = callmethodflags(self, "appliedOccurence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4771);
// compiled member node returning call4772 (depth = 4)
    gc_frame_newslot(call4772);
    if4766 = call4772;
  } else {
  }
// compiled if node returning if4766 (depth = 3)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_3_41_3672(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3673 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3673 = alloc_userobj2(52,43, objclass3673);
  gc_frame_newslot(obj3673);
if (objclass3673 == NULL) {
  glfree(obj3673->class->name);
  obj3673->class->name = "methodNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3673, self, 0);
  addmethodreal(obj3673,"outer", &reader_ast_outer_3674);
  Object oldself3673 = self;
  struct StackFrameObject *oldstackframe3673 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3673);
  gc_frame_newslot((Object)stackframe);
  self = obj3673;
  Object *oldselfslot3673 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3673 = (*(struct UserObject *)self).data[0], lowerouter3673 = thisouter3673;
  if (inheritingObject3673) {
    struct UserObject *inho3673 = (struct UserObject *)inheritingObject3673;
    while (inho3673->super != GraceDefaultObject) inho3673 = (struct UserObject *)inho3673->super;
    inho3673->super = obj3673;
    self = inheritingObject3673;
    *selfslot = self;
    lowerouter3673 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3673;
  }
if (objclass3673 == NULL) {
  Method *reader3675 = addmethodrealflags(obj3673, "kind",&reader_ast_kind_3675, MFLAG_DEF);
  reader3675->definitionModule = modulename;
  reader3675->definitionLine = 848;
}
adddatum2(obj3673, alloc_Undefined(), 1);
if (objclass3673 == NULL) {
  Method *reader3676 = addmethodrealflags(obj3673, "signature", &reader_ast_signature_3676, 0);
  Method *writer3676 = addmethodrealflags(obj3673, "signature:=(1)", &writer_ast_signature_3676, 0);
  reader3676->definitionModule = modulename;
  writer3676->definitionModule = modulename;
  reader3676->definitionLine = 849;
  writer3676->definitionLine = 849;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 2);
if (objclass3673 == NULL) {
  Method *reader3677 = addmethodrealflags(obj3673, "body", &reader_ast_body_3677, 0);
  Method *writer3677 = addmethodrealflags(obj3673, "body:=(1)", &writer_ast_body_3677, 0);
  reader3677->definitionModule = modulename;
  writer3677->definitionModule = modulename;
  reader3677->definitionLine = 850;
  writer3677->definitionLine = 850;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 3);
if (objclass3673 == NULL) {
  Method *reader3678 = addmethodrealflags(obj3673, "dtype", &reader_ast_dtype_3678, 0);
  Method *writer3678 = addmethodrealflags(obj3673, "dtype:=(1)", &writer_ast_dtype_3678, 0);
  reader3678->definitionModule = modulename;
  writer3678->definitionModule = modulename;
  reader3678->definitionLine = 851;
  writer3678->definitionLine = 851;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 4);
if (objclass3673 == NULL) {
  Method *reader3679 = addmethodrealflags(obj3673, "typeParams", &reader_ast_typeParams_3679, 0);
  Method *writer3679 = addmethodrealflags(obj3673, "typeParams:=(1)", &writer_ast_typeParams_3679, 0);
  reader3679->definitionModule = modulename;
  writer3679->definitionModule = modulename;
  reader3679->definitionLine = 852;
  writer3679->definitionLine = 852;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 5);
if (objclass3673 == NULL) {
  Method *reader3680 = addmethodrealflags(obj3673, "selfclosure", &reader_ast_selfclosure_3680, 0);
  Method *writer3680 = addmethodrealflags(obj3673, "selfclosure:=(1)", &writer_ast_selfclosure_3680, 0);
  reader3680->definitionModule = modulename;
  writer3680->definitionModule = modulename;
  reader3680->definitionLine = 853;
  writer3680->definitionLine = 853;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 6);
if (objclass3673 == NULL) {
  Method *reader3681 = addmethodrealflags(obj3673, "annotations", &reader_ast_annotations_3681, 0);
  Method *writer3681 = addmethodrealflags(obj3673, "annotations:=(1)", &writer_ast_annotations_3681, 0);
  reader3681->definitionModule = modulename;
  writer3681->definitionModule = modulename;
  reader3681->definitionLine = 854;
  writer3681->definitionLine = 854;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 7);
if (objclass3673 == NULL) {
  Method *reader3682 = addmethodrealflags(obj3673, "isFresh", &reader_ast_isFresh_3682, 0);
  Method *writer3682 = addmethodrealflags(obj3673, "isFresh:=(1)", &writer_ast_isFresh_3682, 0);
  reader3682->definitionModule = modulename;
  writer3682->definitionModule = modulename;
  reader3682->definitionLine = 855;
  writer3682->definitionLine = 855;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 8);
if (objclass3673 == NULL) {
  Method *reader3683 = addmethodrealflags(obj3673, "usesClassSyntax", &reader_ast_usesClassSyntax_3683, 0);
  Method *writer3683 = addmethodrealflags(obj3673, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3683, 0);
  reader3683->definitionModule = modulename;
  writer3683->definitionModule = modulename;
  reader3683->definitionLine = 856;
  writer3683->definitionLine = 856;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 9);
if (objclass3673 == NULL) {
  Method *reader3684 = addmethodrealflags(obj3673, "cachedIdentifier", &reader_ast_cachedIdentifier_3684, MFLAG_CONFIDENTIAL);
  Method *writer3684 = addmethodrealflags(obj3673, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3684, MFLAG_CONFIDENTIAL);
  reader3684->definitionModule = modulename;
  writer3684->definitionModule = modulename;
  reader3684->definitionLine = 857;
  writer3684->definitionLine = 857;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 10);
if (objclass3673 == NULL) {
  Method *reader3685 = addmethodrealflags(obj3673, "isBindingOccurence", &reader_ast_isBindingOccurence_3685, 0);
  Method *writer3685 = addmethodrealflags(obj3673, "isBindingOccurence:=(1)", &writer_ast_isBindingOccurence_3685, MFLAG_CONFIDENTIAL);
  reader3685->definitionModule = modulename;
  writer3685->definitionModule = modulename;
  reader3685->definitionLine = 858;
  writer3685->definitionLine = 858;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 11);
// method "appliedOccurence"
  block_savedest(obj3673);
  Object closure3686 = createclosure(1, "appliedOccurence");
  setclosureframe(closure3686, stackframe);
  addtoclosure(closure3686, var_uninitialized);
  struct UserObject *uo3686 = (struct UserObject*)obj3673;
  uo3686->data[12] = (Object)closure3686;
  Method *meth_meth_ast_appliedOccurence3686 = addmethod2pos(obj3673, "appliedOccurence", &meth_ast_appliedOccurence3686, 12);
  int argcv_meth_ast_appliedOccurence3686[] = {0};
  meth_meth_ast_appliedOccurence3686->type = alloc_MethodType(1, argcv_meth_ast_appliedOccurence3686);
  meth_meth_ast_appliedOccurence3686->definitionModule = modulename;
  meth_meth_ast_appliedOccurence3686->definitionLine = 861;
// method "numParams"
  struct UserObject *uo3701 = (struct UserObject*)obj3673;
  uo3701->data[13] = emptyclosure;
  Method *meth_meth_ast_numParams3701 = addmethod2pos(obj3673, "numParams", &meth_ast_numParams3701, 13);
  int argcv_meth_ast_numParams3701[] = {0};
  meth_meth_ast_numParams3701->type = alloc_MethodType(1, argcv_meth_ast_numParams3701);
  meth_meth_ast_numParams3701->definitionModule = modulename;
  meth_meth_ast_numParams3701->definitionLine = 868;
// method "endPos"
  struct UserObject *uo3715 = (struct UserObject*)obj3673;
  uo3715->data[14] = emptyclosure;
  Method *meth_meth_ast_endPos3715 = addmethod2pos(obj3673, "endPos", &meth_ast_endPos3715, 14);
  int argcv_meth_ast_endPos3715[] = {0};
  meth_meth_ast_endPos3715->type = alloc_MethodType(1, argcv_meth_ast_endPos3715);
  meth_meth_ast_endPos3715->definitionModule = modulename;
  meth_meth_ast_endPos3715->definitionLine = 871;
// method "nameString"
  struct UserObject *uo3733 = (struct UserObject*)obj3673;
  uo3733->data[15] = emptyclosure;
  Method *meth_meth_ast_nameString3733 = addmethod2pos(obj3673, "nameString", &meth_ast_nameString3733, 15);
  int argcv_meth_ast_nameString3733[] = {0};
  meth_meth_ast_nameString3733->type = alloc_MethodType(1, argcv_meth_ast_nameString3733);
  meth_meth_ast_nameString3733->definitionModule = modulename;
  meth_meth_ast_nameString3733->definitionLine = 876;
// method "asIdentifier"
  block_savedest(obj3673);
  Object closure3747 = createclosure(2, "asIdentifier");
  setclosureframe(closure3747, stackframe);
  addtoclosure(closure3747, var_uninitialized);
  addtoclosure(closure3747, var_identifierNode);
  struct UserObject *uo3747 = (struct UserObject*)obj3673;
  uo3747->data[16] = (Object)closure3747;
  Method *meth_meth_ast_asIdentifier3747 = addmethod2pos(obj3673, "asIdentifier", &meth_ast_asIdentifier3747, 16);
  int argcv_meth_ast_asIdentifier3747[] = {0};
  meth_meth_ast_asIdentifier3747->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier3747);
  meth_meth_ast_asIdentifier3747->definitionModule = modulename;
  meth_meth_ast_asIdentifier3747->definitionLine = 880;
// method "value"
  struct UserObject *uo3795 = (struct UserObject*)obj3673;
  uo3795->data[17] = emptyclosure;
  Method *meth_meth_ast_value3795 = addmethod2pos(obj3673, "value", &meth_ast_value3795, 17);
  int argcv_meth_ast_value3795[] = {0};
  meth_meth_ast_value3795->type = alloc_MethodType(1, argcv_meth_ast_value3795);
  meth_meth_ast_value3795->definitionModule = modulename;
  meth_meth_ast_value3795->definitionLine = 890;
// method "canonicalName"
  struct UserObject *uo3798 = (struct UserObject*)obj3673;
  uo3798->data[18] = emptyclosure;
  Method *meth_meth_ast_canonicalName3798 = addmethod2pos(obj3673, "canonicalName", &meth_ast_canonicalName3798, 18);
  int argcv_meth_ast_canonicalName3798[] = {0};
  meth_meth_ast_canonicalName3798->type = alloc_MethodType(1, argcv_meth_ast_canonicalName3798);
  meth_meth_ast_canonicalName3798->definitionModule = modulename;
  meth_meth_ast_canonicalName3798->definitionLine = 891;
// method "hasParams"
  struct UserObject *uo3812 = (struct UserObject*)obj3673;
  uo3812->data[19] = emptyclosure;
  Method *meth_meth_ast_hasParams3812 = addmethod2pos(obj3673, "hasParams", &meth_ast_hasParams3812, 19);
  int argcv_meth_ast_hasParams3812[] = {0};
  meth_meth_ast_hasParams3812->type = alloc_MethodType(1, argcv_meth_ast_hasParams3812);
  meth_meth_ast_hasParams3812->definitionModule = modulename;
  meth_meth_ast_hasParams3812->definitionLine = 895;
// method "numParamLists"
  struct UserObject *uo3823 = (struct UserObject*)obj3673;
  uo3823->data[20] = emptyclosure;
  Method *meth_meth_ast_numParamLists3823 = addmethod2pos(obj3673, "numParamLists", &meth_ast_numParamLists3823, 20);
  int argcv_meth_ast_numParamLists3823[] = {0};
  meth_meth_ast_numParamLists3823->type = alloc_MethodType(1, argcv_meth_ast_numParamLists3823);
  meth_meth_ast_numParamLists3823->definitionModule = modulename;
  meth_meth_ast_numParamLists3823->definitionLine = 896;
// method "hasTypeParams"
  struct UserObject *uo3844 = (struct UserObject*)obj3673;
  uo3844->data[21] = emptyclosure;
  Method *meth_meth_ast_hasTypeParams3844 = addmethod2pos(obj3673, "hasTypeParams", &meth_ast_hasTypeParams3844, 21);
  int argcv_meth_ast_hasTypeParams3844[] = {0};
  meth_meth_ast_hasTypeParams3844->type = alloc_MethodType(1, argcv_meth_ast_hasTypeParams3844);
  meth_meth_ast_hasTypeParams3844->definitionModule = modulename;
  meth_meth_ast_hasTypeParams3844->definitionLine = 904;
// method "isMethod"
  struct UserObject *uo3855 = (struct UserObject*)obj3673;
  uo3855->data[22] = emptyclosure;
  Method *meth_meth_ast_isMethod3855 = addmethod2pos(obj3673, "isMethod", &meth_ast_isMethod3855, 22);
  int argcv_meth_ast_isMethod3855[] = {0};
  meth_meth_ast_isMethod3855->type = alloc_MethodType(1, argcv_meth_ast_isMethod3855);
  meth_meth_ast_isMethod3855->definitionModule = modulename;
  meth_meth_ast_isMethod3855->definitionLine = 905;
// method "isExecutable"
  struct UserObject *uo3857 = (struct UserObject*)obj3673;
  uo3857->data[23] = emptyclosure;
  Method *meth_meth_ast_isExecutable3857 = addmethod2pos(obj3673, "isExecutable", &meth_ast_isExecutable3857, 23);
  int argcv_meth_ast_isExecutable3857[] = {0};
  meth_meth_ast_isExecutable3857->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3857);
  meth_meth_ast_isExecutable3857->definitionModule = modulename;
  meth_meth_ast_isExecutable3857->definitionLine = 906;
// method "isLegalInTrait"
  struct UserObject *uo3859 = (struct UserObject*)obj3673;
  uo3859->data[24] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3859 = addmethod2pos(obj3673, "isLegalInTrait", &meth_ast_isLegalInTrait3859, 24);
  int argcv_meth_ast_isLegalInTrait3859[] = {0};
  meth_meth_ast_isLegalInTrait3859->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3859);
  meth_meth_ast_isLegalInTrait3859->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3859->definitionLine = 907;
// method "isClass"
  struct UserObject *uo3861 = (struct UserObject*)obj3673;
  uo3861->data[25] = emptyclosure;
  Method *meth_meth_ast_isClass3861 = addmethod2pos(obj3673, "isClass", &meth_ast_isClass3861, 25);
  int argcv_meth_ast_isClass3861[] = {0};
  meth_meth_ast_isClass3861->type = alloc_MethodType(1, argcv_meth_ast_isClass3861);
  meth_meth_ast_isClass3861->definitionModule = modulename;
  meth_meth_ast_isClass3861->definitionLine = 908;
// method "isTrait"
  struct UserObject *uo3869 = (struct UserObject*)obj3673;
  uo3869->data[26] = emptyclosure;
  Method *meth_meth_ast_isTrait3869 = addmethod2pos(obj3673, "isTrait", &meth_ast_isTrait3869, 26);
  int argcv_meth_ast_isTrait3869[] = {0};
  meth_meth_ast_isTrait3869->type = alloc_MethodType(1, argcv_meth_ast_isTrait3869);
  meth_meth_ast_isTrait3869->definitionModule = modulename;
  meth_meth_ast_isTrait3869->definitionLine = 909;
// method "needsArgChecks"
  struct UserObject *uo3880 = (struct UserObject*)obj3673;
  uo3880->data[27] = emptyclosure;
  Method *meth_meth_ast_needsArgChecks3880 = addmethod2pos(obj3673, "needsArgChecks", &meth_ast_needsArgChecks3880, 27);
  int argcv_meth_ast_needsArgChecks3880[] = {0};
  meth_meth_ast_needsArgChecks3880->type = alloc_MethodType(1, argcv_meth_ast_needsArgChecks3880);
  meth_meth_ast_needsArgChecks3880->definitionModule = modulename;
  meth_meth_ast_needsArgChecks3880->definitionLine = 916;
// method "scope:=(_)"
  struct UserObject *uo3918 = (struct UserObject*)obj3673;
  uo3918->data[28] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3918 = addmethod2pos(obj3673, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3918, 28);
  int argcv_meth_ast_scope_58__61__40_1_41_3918[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3918->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3918);
  meth_meth_ast_scope_58__61__40_1_41_3918->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3918->definitionLine = 927;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3673);
  Object closure3923 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3923, stackframe);
  addtoclosure(closure3923, var_k);
  struct UserObject *uo3923 = (struct UserObject*)obj3673;
  uo3923->data[29] = (Object)closure3923;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3923 = addmethod2pos(obj3673, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3923, 29);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3923[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3923);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->definitionLine = 933;
// method "isConfidential"
  struct UserObject *uo3926 = (struct UserObject*)obj3673;
  uo3926->data[30] = emptyclosure;
  Method *meth_meth_ast_isConfidential3926 = addmethod2pos(obj3673, "isConfidential", &meth_ast_isConfidential3926, 30);
  int argcv_meth_ast_isConfidential3926[] = {0};
  meth_meth_ast_isConfidential3926->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3926);
  meth_meth_ast_isConfidential3926->definitionModule = modulename;
  meth_meth_ast_isConfidential3926->definitionLine = 934;
// method "isPublic"
  struct UserObject *uo3944 = (struct UserObject*)obj3673;
  uo3944->data[31] = emptyclosure;
  Method *meth_meth_ast_isPublic3944 = addmethod2pos(obj3673, "isPublic", &meth_ast_isPublic3944, 31);
  int argcv_meth_ast_isPublic3944[] = {0};
  meth_meth_ast_isPublic3944->type = alloc_MethodType(1, argcv_meth_ast_isPublic3944);
  meth_meth_ast_isPublic3944->definitionModule = modulename;
  meth_meth_ast_isPublic3944->definitionLine = 938;
// method "isWritable"
  struct UserObject *uo3949 = (struct UserObject*)obj3673;
  uo3949->data[32] = emptyclosure;
  Method *meth_meth_ast_isWritable3949 = addmethod2pos(obj3673, "isWritable", &meth_ast_isWritable3949, 32);
  int argcv_meth_ast_isWritable3949[] = {0};
  meth_meth_ast_isWritable3949->type = alloc_MethodType(1, argcv_meth_ast_isWritable3949);
  meth_meth_ast_isWritable3949->definitionModule = modulename;
  meth_meth_ast_isWritable3949->definitionLine = 939;
// method "isReadable"
  struct UserObject *uo3951 = (struct UserObject*)obj3673;
  uo3951->data[33] = emptyclosure;
  Method *meth_meth_ast_isReadable3951 = addmethod2pos(obj3673, "isReadable", &meth_ast_isReadable3951, 33);
  int argcv_meth_ast_isReadable3951[] = {0};
  meth_meth_ast_isReadable3951->type = alloc_MethodType(1, argcv_meth_ast_isReadable3951);
  meth_meth_ast_isReadable3951->definitionModule = modulename;
  meth_meth_ast_isReadable3951->definitionLine = 940;
// method "usesAsType(_)"
  struct UserObject *uo3954 = (struct UserObject*)obj3673;
  uo3954->data[34] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_3954 = addmethod2pos(obj3673, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_3954, 34);
  int argcv_meth_ast_usesAsType_40_1_41_3954[] = {1};
  meth_meth_ast_usesAsType_40_1_41_3954->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_3954);
  meth_meth_ast_usesAsType_40_1_41_3954->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_3954->definitionLine = 941;
// method "returnsObject"
  struct UserObject *uo3960 = (struct UserObject*)obj3673;
  uo3960->data[35] = emptyclosure;
  Method *meth_meth_ast_returnsObject3960 = addmethod2pos(obj3673, "returnsObject", &meth_ast_returnsObject3960, 35);
  int argcv_meth_ast_returnsObject3960[] = {0};
  meth_meth_ast_returnsObject3960->type = alloc_MethodType(1, argcv_meth_ast_returnsObject3960);
  meth_meth_ast_returnsObject3960->definitionModule = modulename;
  meth_meth_ast_returnsObject3960->definitionLine = 944;
// method "returnedObjectScope"
  struct UserObject *uo3979 = (struct UserObject*)obj3673;
  uo3979->data[36] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope3979 = addmethod2pos(obj3673, "returnedObjectScope", &meth_ast_returnedObjectScope3979, 36);
  int argcv_meth_ast_returnedObjectScope3979[] = {0};
  meth_meth_ast_returnedObjectScope3979->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope3979);
  meth_meth_ast_returnedObjectScope3979->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope3979->definitionLine = 947;
// method "accept(_)from(_)"
  struct UserObject *uo3986 = (struct UserObject*)obj3673;
  uo3986->data[37] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3986 = addmethod2pos(obj3673, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3986, 37);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3986[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3986);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->definitionLine = 951;
// method "map(_)ancestors(_)"
  struct UserObject *uo4052 = (struct UserObject*)obj3673;
  uo4052->data[38] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052 = addmethod2pos(obj3673, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4052, 38);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4052[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4052);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->definitionLine = 974;
// method "pretty(_)"
  struct UserObject *uo4109 = (struct UserObject*)obj3673;
  uo4109->data[39] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4109 = addmethod2pos(obj3673, "pretty(1)", &meth_ast_pretty_40_1_41_4109, 39);
  int argcv_meth_ast_pretty_40_1_41_4109[] = {1};
  meth_meth_ast_pretty_40_1_41_4109->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4109);
  meth_meth_ast_pretty_40_1_41_4109->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4109->definitionLine = 984;
// method "toGrace(_)"
  struct UserObject *uo4499 = (struct UserObject*)obj3673;
  uo4499->data[40] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_4499 = addmethod2pos(obj3673, "toGrace(1)", &meth_ast_toGrace_40_1_41_4499, 40);
  int argcv_meth_ast_toGrace_40_1_41_4499[] = {1};
  meth_meth_ast_toGrace_40_1_41_4499->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_4499);
meth_meth_ast_toGrace_40_1_41_4499->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_4499->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_4499->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_4499->definitionLine = 1029;
// method "shallowCopy"
  block_savedest(obj3673);
  Object closure4746 = createclosure(1, "shallowCopy");
  setclosureframe(closure4746, stackframe);
  addtoclosure(closure4746, var_methodNode);
  struct UserObject *uo4746 = (struct UserObject*)obj3673;
  uo4746->data[41] = (Object)closure4746;
  Method *meth_meth_ast_shallowCopy4746 = addmethod2pos(obj3673, "shallowCopy", &meth_ast_shallowCopy4746, 41);
  int argcv_meth_ast_shallowCopy4746[] = {0};
  meth_meth_ast_shallowCopy4746->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy4746);
  meth_meth_ast_shallowCopy4746->definitionModule = modulename;
  meth_meth_ast_shallowCopy4746->definitionLine = 1073;
// method "postCopy(_)"
  struct UserObject *uo4757 = (struct UserObject*)obj3673;
  uo4757->data[42] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_4757 = addmethod2pos(obj3673, "postCopy(1)", &meth_ast_postCopy_40_1_41_4757, 42);
  int argcv_meth_ast_postCopy_40_1_41_4757[] = {1};
  meth_meth_ast_postCopy_40_1_41_4757->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_4757);
  meth_meth_ast_postCopy_40_1_41_4757->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_4757->definitionLine = 1076;
  sourceObject = obj3673;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4773 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4774 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4775 = gc_frame_new();
// call case 3: self.outer request
  Object call4776 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4775);
// compiled member node returning call4776 (depth = 5)
  Object call4777 = callmethodflags(call4776, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4774);
// compiled member node returning call4777 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4778 = callmethodflags(call4777, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4773);
// compiled call node returning call4778 (depth = 3)
  struct UserObject *obj3673_uo = (struct UserObject *)obj3673;
  obj3673_uo->super = call4778;
  sourceObject = obj3673;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit4779 == NULL) {
    strlit4779 = alloc_String("method");
    gc_root(strlit4779);
  }
// compiled string node returning strlit4779 (depth = 3)
  adddatum2(obj3673, strlit4779, 1);
  sourceObject = obj3673;
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3673, *var_signature_39_, 2);
  sourceObject = obj3673;
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3673, *var_body_39_, 3);
  sourceObject = obj3673;
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3673, *var_dtype_39_, 4);
  sourceObject = obj3673;
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4780 = alloc_Boolean(0);
// compiled identifier node returning bool4780 (depth = 3)
  adddatum2(obj3673, bool4780, 5);
  sourceObject = obj3673;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4781 = alloc_Boolean(0);
// compiled identifier node returning bool4781 (depth = 3)
  adddatum2(obj3673, bool4781, 6);
  sourceObject = obj3673;
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4782 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4782 (depth = 3)
  adddatum2(obj3673, array4782, 7);
  sourceObject = obj3673;
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4783 = alloc_Boolean(0);
// compiled identifier node returning bool4783 (depth = 3)
  adddatum2(obj3673, bool4783, 8);
  sourceObject = obj3673;
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4784 = alloc_Boolean(0);
// compiled identifier node returning bool4784 (depth = 3)
  adddatum2(obj3673, bool4784, 9);
  sourceObject = obj3673;
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3673, *var_uninitialized, 10);
  sourceObject = obj3673;
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4785 = alloc_Boolean(1);
// compiled identifier node returning bool4785 (depth = 3)
  adddatum2(obj3673, bool4785, 11);
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  objclass3673 = obj3673->class;
  objclass3673->definitionModule = modulename;
  objclass3673->definitionLine = 840;
  (*(struct UserObject *)self).data[0] = lowerouter3673;
  self = oldself3673;
  selfslot = oldselfslot3673;
  stackframe = oldstackframe3673;
  gc_frame_end(frame);
  return obj3673;
}
Object meth_ast_new_40_3_41_3672_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3673 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3673 = alloc_userobj2(52,43, objclass3673);
  gc_frame_newslot(obj3673);
if (objclass3673 == NULL) {
  glfree(obj3673->class->name);
  obj3673->class->name = "methodNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3673, self, 0);
  addmethodreal(obj3673,"outer", &reader_ast_outer_3674);
  Object oldself3673 = self;
  struct StackFrameObject *oldstackframe3673 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3673);
  gc_frame_newslot((Object)stackframe);
  self = obj3673;
  Object *oldselfslot3673 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3673 = (*(struct UserObject *)self).data[0], lowerouter3673 = thisouter3673;
  if (inheritingObject3673) {
    struct UserObject *inho3673 = (struct UserObject *)inheritingObject3673;
    while (inho3673->super != GraceDefaultObject) inho3673 = (struct UserObject *)inho3673->super;
    inho3673->super = obj3673;
    self = inheritingObject3673;
    *selfslot = self;
    lowerouter3673 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3673;
  }
if (objclass3673 == NULL) {
  Method *reader3675 = addmethodrealflags(obj3673, "kind",&reader_ast_kind_3675, MFLAG_DEF);
  reader3675->definitionModule = modulename;
  reader3675->definitionLine = 848;
}
adddatum2(obj3673, alloc_Undefined(), 1);
if (objclass3673 == NULL) {
  Method *reader3676 = addmethodrealflags(obj3673, "signature", &reader_ast_signature_3676, 0);
  Method *writer3676 = addmethodrealflags(obj3673, "signature:=(1)", &writer_ast_signature_3676, 0);
  reader3676->definitionModule = modulename;
  writer3676->definitionModule = modulename;
  reader3676->definitionLine = 849;
  writer3676->definitionLine = 849;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 2);
if (objclass3673 == NULL) {
  Method *reader3677 = addmethodrealflags(obj3673, "body", &reader_ast_body_3677, 0);
  Method *writer3677 = addmethodrealflags(obj3673, "body:=(1)", &writer_ast_body_3677, 0);
  reader3677->definitionModule = modulename;
  writer3677->definitionModule = modulename;
  reader3677->definitionLine = 850;
  writer3677->definitionLine = 850;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 3);
if (objclass3673 == NULL) {
  Method *reader3678 = addmethodrealflags(obj3673, "dtype", &reader_ast_dtype_3678, 0);
  Method *writer3678 = addmethodrealflags(obj3673, "dtype:=(1)", &writer_ast_dtype_3678, 0);
  reader3678->definitionModule = modulename;
  writer3678->definitionModule = modulename;
  reader3678->definitionLine = 851;
  writer3678->definitionLine = 851;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 4);
if (objclass3673 == NULL) {
  Method *reader3679 = addmethodrealflags(obj3673, "typeParams", &reader_ast_typeParams_3679, 0);
  Method *writer3679 = addmethodrealflags(obj3673, "typeParams:=(1)", &writer_ast_typeParams_3679, 0);
  reader3679->definitionModule = modulename;
  writer3679->definitionModule = modulename;
  reader3679->definitionLine = 852;
  writer3679->definitionLine = 852;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 5);
if (objclass3673 == NULL) {
  Method *reader3680 = addmethodrealflags(obj3673, "selfclosure", &reader_ast_selfclosure_3680, 0);
  Method *writer3680 = addmethodrealflags(obj3673, "selfclosure:=(1)", &writer_ast_selfclosure_3680, 0);
  reader3680->definitionModule = modulename;
  writer3680->definitionModule = modulename;
  reader3680->definitionLine = 853;
  writer3680->definitionLine = 853;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 6);
if (objclass3673 == NULL) {
  Method *reader3681 = addmethodrealflags(obj3673, "annotations", &reader_ast_annotations_3681, 0);
  Method *writer3681 = addmethodrealflags(obj3673, "annotations:=(1)", &writer_ast_annotations_3681, 0);
  reader3681->definitionModule = modulename;
  writer3681->definitionModule = modulename;
  reader3681->definitionLine = 854;
  writer3681->definitionLine = 854;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 7);
if (objclass3673 == NULL) {
  Method *reader3682 = addmethodrealflags(obj3673, "isFresh", &reader_ast_isFresh_3682, 0);
  Method *writer3682 = addmethodrealflags(obj3673, "isFresh:=(1)", &writer_ast_isFresh_3682, 0);
  reader3682->definitionModule = modulename;
  writer3682->definitionModule = modulename;
  reader3682->definitionLine = 855;
  writer3682->definitionLine = 855;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 8);
if (objclass3673 == NULL) {
  Method *reader3683 = addmethodrealflags(obj3673, "usesClassSyntax", &reader_ast_usesClassSyntax_3683, 0);
  Method *writer3683 = addmethodrealflags(obj3673, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3683, 0);
  reader3683->definitionModule = modulename;
  writer3683->definitionModule = modulename;
  reader3683->definitionLine = 856;
  writer3683->definitionLine = 856;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 9);
if (objclass3673 == NULL) {
  Method *reader3684 = addmethodrealflags(obj3673, "cachedIdentifier", &reader_ast_cachedIdentifier_3684, MFLAG_CONFIDENTIAL);
  Method *writer3684 = addmethodrealflags(obj3673, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3684, MFLAG_CONFIDENTIAL);
  reader3684->definitionModule = modulename;
  writer3684->definitionModule = modulename;
  reader3684->definitionLine = 857;
  writer3684->definitionLine = 857;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 10);
if (objclass3673 == NULL) {
  Method *reader3685 = addmethodrealflags(obj3673, "isBindingOccurence", &reader_ast_isBindingOccurence_3685, 0);
  Method *writer3685 = addmethodrealflags(obj3673, "isBindingOccurence:=(1)", &writer_ast_isBindingOccurence_3685, MFLAG_CONFIDENTIAL);
  reader3685->definitionModule = modulename;
  writer3685->definitionModule = modulename;
  reader3685->definitionLine = 858;
  writer3685->definitionLine = 858;
}
obj3673->flags |= OFLAG_MUTABLE;
adddatum2(obj3673, alloc_Undefined(), 11);
// method "appliedOccurence"
  block_savedest(obj3673);
  Object closure3686 = createclosure(1, "appliedOccurence");
  setclosureframe(closure3686, stackframe);
  addtoclosure(closure3686, var_uninitialized);
  struct UserObject *uo3686 = (struct UserObject*)obj3673;
  uo3686->data[12] = (Object)closure3686;
  Method *meth_meth_ast_appliedOccurence3686 = addmethod2pos(obj3673, "appliedOccurence", &meth_ast_appliedOccurence3686, 12);
  int argcv_meth_ast_appliedOccurence3686[] = {0};
  meth_meth_ast_appliedOccurence3686->type = alloc_MethodType(1, argcv_meth_ast_appliedOccurence3686);
  meth_meth_ast_appliedOccurence3686->definitionModule = modulename;
  meth_meth_ast_appliedOccurence3686->definitionLine = 861;
// method "numParams"
  struct UserObject *uo3701 = (struct UserObject*)obj3673;
  uo3701->data[13] = emptyclosure;
  Method *meth_meth_ast_numParams3701 = addmethod2pos(obj3673, "numParams", &meth_ast_numParams3701, 13);
  int argcv_meth_ast_numParams3701[] = {0};
  meth_meth_ast_numParams3701->type = alloc_MethodType(1, argcv_meth_ast_numParams3701);
  meth_meth_ast_numParams3701->definitionModule = modulename;
  meth_meth_ast_numParams3701->definitionLine = 868;
// method "endPos"
  struct UserObject *uo3715 = (struct UserObject*)obj3673;
  uo3715->data[14] = emptyclosure;
  Method *meth_meth_ast_endPos3715 = addmethod2pos(obj3673, "endPos", &meth_ast_endPos3715, 14);
  int argcv_meth_ast_endPos3715[] = {0};
  meth_meth_ast_endPos3715->type = alloc_MethodType(1, argcv_meth_ast_endPos3715);
  meth_meth_ast_endPos3715->definitionModule = modulename;
  meth_meth_ast_endPos3715->definitionLine = 871;
// method "nameString"
  struct UserObject *uo3733 = (struct UserObject*)obj3673;
  uo3733->data[15] = emptyclosure;
  Method *meth_meth_ast_nameString3733 = addmethod2pos(obj3673, "nameString", &meth_ast_nameString3733, 15);
  int argcv_meth_ast_nameString3733[] = {0};
  meth_meth_ast_nameString3733->type = alloc_MethodType(1, argcv_meth_ast_nameString3733);
  meth_meth_ast_nameString3733->definitionModule = modulename;
  meth_meth_ast_nameString3733->definitionLine = 876;
// method "asIdentifier"
  block_savedest(obj3673);
  Object closure3747 = createclosure(2, "asIdentifier");
  setclosureframe(closure3747, stackframe);
  addtoclosure(closure3747, var_uninitialized);
  addtoclosure(closure3747, var_identifierNode);
  struct UserObject *uo3747 = (struct UserObject*)obj3673;
  uo3747->data[16] = (Object)closure3747;
  Method *meth_meth_ast_asIdentifier3747 = addmethod2pos(obj3673, "asIdentifier", &meth_ast_asIdentifier3747, 16);
  int argcv_meth_ast_asIdentifier3747[] = {0};
  meth_meth_ast_asIdentifier3747->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier3747);
  meth_meth_ast_asIdentifier3747->definitionModule = modulename;
  meth_meth_ast_asIdentifier3747->definitionLine = 880;
// method "value"
  struct UserObject *uo3795 = (struct UserObject*)obj3673;
  uo3795->data[17] = emptyclosure;
  Method *meth_meth_ast_value3795 = addmethod2pos(obj3673, "value", &meth_ast_value3795, 17);
  int argcv_meth_ast_value3795[] = {0};
  meth_meth_ast_value3795->type = alloc_MethodType(1, argcv_meth_ast_value3795);
  meth_meth_ast_value3795->definitionModule = modulename;
  meth_meth_ast_value3795->definitionLine = 890;
// method "canonicalName"
  struct UserObject *uo3798 = (struct UserObject*)obj3673;
  uo3798->data[18] = emptyclosure;
  Method *meth_meth_ast_canonicalName3798 = addmethod2pos(obj3673, "canonicalName", &meth_ast_canonicalName3798, 18);
  int argcv_meth_ast_canonicalName3798[] = {0};
  meth_meth_ast_canonicalName3798->type = alloc_MethodType(1, argcv_meth_ast_canonicalName3798);
  meth_meth_ast_canonicalName3798->definitionModule = modulename;
  meth_meth_ast_canonicalName3798->definitionLine = 891;
// method "hasParams"
  struct UserObject *uo3812 = (struct UserObject*)obj3673;
  uo3812->data[19] = emptyclosure;
  Method *meth_meth_ast_hasParams3812 = addmethod2pos(obj3673, "hasParams", &meth_ast_hasParams3812, 19);
  int argcv_meth_ast_hasParams3812[] = {0};
  meth_meth_ast_hasParams3812->type = alloc_MethodType(1, argcv_meth_ast_hasParams3812);
  meth_meth_ast_hasParams3812->definitionModule = modulename;
  meth_meth_ast_hasParams3812->definitionLine = 895;
// method "numParamLists"
  struct UserObject *uo3823 = (struct UserObject*)obj3673;
  uo3823->data[20] = emptyclosure;
  Method *meth_meth_ast_numParamLists3823 = addmethod2pos(obj3673, "numParamLists", &meth_ast_numParamLists3823, 20);
  int argcv_meth_ast_numParamLists3823[] = {0};
  meth_meth_ast_numParamLists3823->type = alloc_MethodType(1, argcv_meth_ast_numParamLists3823);
  meth_meth_ast_numParamLists3823->definitionModule = modulename;
  meth_meth_ast_numParamLists3823->definitionLine = 896;
// method "hasTypeParams"
  struct UserObject *uo3844 = (struct UserObject*)obj3673;
  uo3844->data[21] = emptyclosure;
  Method *meth_meth_ast_hasTypeParams3844 = addmethod2pos(obj3673, "hasTypeParams", &meth_ast_hasTypeParams3844, 21);
  int argcv_meth_ast_hasTypeParams3844[] = {0};
  meth_meth_ast_hasTypeParams3844->type = alloc_MethodType(1, argcv_meth_ast_hasTypeParams3844);
  meth_meth_ast_hasTypeParams3844->definitionModule = modulename;
  meth_meth_ast_hasTypeParams3844->definitionLine = 904;
// method "isMethod"
  struct UserObject *uo3855 = (struct UserObject*)obj3673;
  uo3855->data[22] = emptyclosure;
  Method *meth_meth_ast_isMethod3855 = addmethod2pos(obj3673, "isMethod", &meth_ast_isMethod3855, 22);
  int argcv_meth_ast_isMethod3855[] = {0};
  meth_meth_ast_isMethod3855->type = alloc_MethodType(1, argcv_meth_ast_isMethod3855);
  meth_meth_ast_isMethod3855->definitionModule = modulename;
  meth_meth_ast_isMethod3855->definitionLine = 905;
// method "isExecutable"
  struct UserObject *uo3857 = (struct UserObject*)obj3673;
  uo3857->data[23] = emptyclosure;
  Method *meth_meth_ast_isExecutable3857 = addmethod2pos(obj3673, "isExecutable", &meth_ast_isExecutable3857, 23);
  int argcv_meth_ast_isExecutable3857[] = {0};
  meth_meth_ast_isExecutable3857->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3857);
  meth_meth_ast_isExecutable3857->definitionModule = modulename;
  meth_meth_ast_isExecutable3857->definitionLine = 906;
// method "isLegalInTrait"
  struct UserObject *uo3859 = (struct UserObject*)obj3673;
  uo3859->data[24] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3859 = addmethod2pos(obj3673, "isLegalInTrait", &meth_ast_isLegalInTrait3859, 24);
  int argcv_meth_ast_isLegalInTrait3859[] = {0};
  meth_meth_ast_isLegalInTrait3859->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3859);
  meth_meth_ast_isLegalInTrait3859->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3859->definitionLine = 907;
// method "isClass"
  struct UserObject *uo3861 = (struct UserObject*)obj3673;
  uo3861->data[25] = emptyclosure;
  Method *meth_meth_ast_isClass3861 = addmethod2pos(obj3673, "isClass", &meth_ast_isClass3861, 25);
  int argcv_meth_ast_isClass3861[] = {0};
  meth_meth_ast_isClass3861->type = alloc_MethodType(1, argcv_meth_ast_isClass3861);
  meth_meth_ast_isClass3861->definitionModule = modulename;
  meth_meth_ast_isClass3861->definitionLine = 908;
// method "isTrait"
  struct UserObject *uo3869 = (struct UserObject*)obj3673;
  uo3869->data[26] = emptyclosure;
  Method *meth_meth_ast_isTrait3869 = addmethod2pos(obj3673, "isTrait", &meth_ast_isTrait3869, 26);
  int argcv_meth_ast_isTrait3869[] = {0};
  meth_meth_ast_isTrait3869->type = alloc_MethodType(1, argcv_meth_ast_isTrait3869);
  meth_meth_ast_isTrait3869->definitionModule = modulename;
  meth_meth_ast_isTrait3869->definitionLine = 909;
// method "needsArgChecks"
  struct UserObject *uo3880 = (struct UserObject*)obj3673;
  uo3880->data[27] = emptyclosure;
  Method *meth_meth_ast_needsArgChecks3880 = addmethod2pos(obj3673, "needsArgChecks", &meth_ast_needsArgChecks3880, 27);
  int argcv_meth_ast_needsArgChecks3880[] = {0};
  meth_meth_ast_needsArgChecks3880->type = alloc_MethodType(1, argcv_meth_ast_needsArgChecks3880);
  meth_meth_ast_needsArgChecks3880->definitionModule = modulename;
  meth_meth_ast_needsArgChecks3880->definitionLine = 916;
// method "scope:=(_)"
  struct UserObject *uo3918 = (struct UserObject*)obj3673;
  uo3918->data[28] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3918 = addmethod2pos(obj3673, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3918, 28);
  int argcv_meth_ast_scope_58__61__40_1_41_3918[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3918->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3918);
  meth_meth_ast_scope_58__61__40_1_41_3918->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3918->definitionLine = 927;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3673);
  Object closure3923 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3923, stackframe);
  addtoclosure(closure3923, var_k);
  struct UserObject *uo3923 = (struct UserObject*)obj3673;
  uo3923->data[29] = (Object)closure3923;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3923 = addmethod2pos(obj3673, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3923, 29);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3923[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3923);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3923->definitionLine = 933;
// method "isConfidential"
  struct UserObject *uo3926 = (struct UserObject*)obj3673;
  uo3926->data[30] = emptyclosure;
  Method *meth_meth_ast_isConfidential3926 = addmethod2pos(obj3673, "isConfidential", &meth_ast_isConfidential3926, 30);
  int argcv_meth_ast_isConfidential3926[] = {0};
  meth_meth_ast_isConfidential3926->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3926);
  meth_meth_ast_isConfidential3926->definitionModule = modulename;
  meth_meth_ast_isConfidential3926->definitionLine = 934;
// method "isPublic"
  struct UserObject *uo3944 = (struct UserObject*)obj3673;
  uo3944->data[31] = emptyclosure;
  Method *meth_meth_ast_isPublic3944 = addmethod2pos(obj3673, "isPublic", &meth_ast_isPublic3944, 31);
  int argcv_meth_ast_isPublic3944[] = {0};
  meth_meth_ast_isPublic3944->type = alloc_MethodType(1, argcv_meth_ast_isPublic3944);
  meth_meth_ast_isPublic3944->definitionModule = modulename;
  meth_meth_ast_isPublic3944->definitionLine = 938;
// method "isWritable"
  struct UserObject *uo3949 = (struct UserObject*)obj3673;
  uo3949->data[32] = emptyclosure;
  Method *meth_meth_ast_isWritable3949 = addmethod2pos(obj3673, "isWritable", &meth_ast_isWritable3949, 32);
  int argcv_meth_ast_isWritable3949[] = {0};
  meth_meth_ast_isWritable3949->type = alloc_MethodType(1, argcv_meth_ast_isWritable3949);
  meth_meth_ast_isWritable3949->definitionModule = modulename;
  meth_meth_ast_isWritable3949->definitionLine = 939;
// method "isReadable"
  struct UserObject *uo3951 = (struct UserObject*)obj3673;
  uo3951->data[33] = emptyclosure;
  Method *meth_meth_ast_isReadable3951 = addmethod2pos(obj3673, "isReadable", &meth_ast_isReadable3951, 33);
  int argcv_meth_ast_isReadable3951[] = {0};
  meth_meth_ast_isReadable3951->type = alloc_MethodType(1, argcv_meth_ast_isReadable3951);
  meth_meth_ast_isReadable3951->definitionModule = modulename;
  meth_meth_ast_isReadable3951->definitionLine = 940;
// method "usesAsType(_)"
  struct UserObject *uo3954 = (struct UserObject*)obj3673;
  uo3954->data[34] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_3954 = addmethod2pos(obj3673, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_3954, 34);
  int argcv_meth_ast_usesAsType_40_1_41_3954[] = {1};
  meth_meth_ast_usesAsType_40_1_41_3954->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_3954);
  meth_meth_ast_usesAsType_40_1_41_3954->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_3954->definitionLine = 941;
// method "returnsObject"
  struct UserObject *uo3960 = (struct UserObject*)obj3673;
  uo3960->data[35] = emptyclosure;
  Method *meth_meth_ast_returnsObject3960 = addmethod2pos(obj3673, "returnsObject", &meth_ast_returnsObject3960, 35);
  int argcv_meth_ast_returnsObject3960[] = {0};
  meth_meth_ast_returnsObject3960->type = alloc_MethodType(1, argcv_meth_ast_returnsObject3960);
  meth_meth_ast_returnsObject3960->definitionModule = modulename;
  meth_meth_ast_returnsObject3960->definitionLine = 944;
// method "returnedObjectScope"
  struct UserObject *uo3979 = (struct UserObject*)obj3673;
  uo3979->data[36] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope3979 = addmethod2pos(obj3673, "returnedObjectScope", &meth_ast_returnedObjectScope3979, 36);
  int argcv_meth_ast_returnedObjectScope3979[] = {0};
  meth_meth_ast_returnedObjectScope3979->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope3979);
  meth_meth_ast_returnedObjectScope3979->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope3979->definitionLine = 947;
// method "accept(_)from(_)"
  struct UserObject *uo3986 = (struct UserObject*)obj3673;
  uo3986->data[37] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3986 = addmethod2pos(obj3673, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3986, 37);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3986[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3986);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3986->definitionLine = 951;
// method "map(_)ancestors(_)"
  struct UserObject *uo4052 = (struct UserObject*)obj3673;
  uo4052->data[38] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052 = addmethod2pos(obj3673, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4052, 38);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4052[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4052);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4052->definitionLine = 974;
// method "pretty(_)"
  struct UserObject *uo4109 = (struct UserObject*)obj3673;
  uo4109->data[39] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4109 = addmethod2pos(obj3673, "pretty(1)", &meth_ast_pretty_40_1_41_4109, 39);
  int argcv_meth_ast_pretty_40_1_41_4109[] = {1};
  meth_meth_ast_pretty_40_1_41_4109->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4109);
  meth_meth_ast_pretty_40_1_41_4109->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4109->definitionLine = 984;
// method "toGrace(_)"
  struct UserObject *uo4499 = (struct UserObject*)obj3673;
  uo4499->data[40] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_4499 = addmethod2pos(obj3673, "toGrace(1)", &meth_ast_toGrace_40_1_41_4499, 40);
  int argcv_meth_ast_toGrace_40_1_41_4499[] = {1};
  meth_meth_ast_toGrace_40_1_41_4499->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_4499);
meth_meth_ast_toGrace_40_1_41_4499->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_4499->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_4499->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_4499->definitionLine = 1029;
// method "shallowCopy"
  block_savedest(obj3673);
  Object closure4746 = createclosure(1, "shallowCopy");
  setclosureframe(closure4746, stackframe);
  addtoclosure(closure4746, var_methodNode);
  struct UserObject *uo4746 = (struct UserObject*)obj3673;
  uo4746->data[41] = (Object)closure4746;
  Method *meth_meth_ast_shallowCopy4746 = addmethod2pos(obj3673, "shallowCopy", &meth_ast_shallowCopy4746, 41);
  int argcv_meth_ast_shallowCopy4746[] = {0};
  meth_meth_ast_shallowCopy4746->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy4746);
  meth_meth_ast_shallowCopy4746->definitionModule = modulename;
  meth_meth_ast_shallowCopy4746->definitionLine = 1073;
// method "postCopy(_)"
  struct UserObject *uo4757 = (struct UserObject*)obj3673;
  uo4757->data[42] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_4757 = addmethod2pos(obj3673, "postCopy(1)", &meth_ast_postCopy_40_1_41_4757, 42);
  int argcv_meth_ast_postCopy_40_1_41_4757[] = {1};
  meth_meth_ast_postCopy_40_1_41_4757->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_4757);
  meth_meth_ast_postCopy_40_1_41_4757->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_4757->definitionLine = 1076;
  sourceObject = obj3673;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4773 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4774 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4775 = gc_frame_new();
// call case 3: self.outer request
  Object call4776 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4775);
// compiled member node returning call4776 (depth = 5)
  Object call4777 = callmethodflags(call4776, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4774);
// compiled member node returning call4777 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4778 = callmethodflags(call4777, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4773);
// compiled call node returning call4778 (depth = 3)
  struct UserObject *obj3673_uo = (struct UserObject *)obj3673;
  obj3673_uo->super = call4778;
  sourceObject = obj3673;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit4779 == NULL) {
    strlit4779 = alloc_String("method");
    gc_root(strlit4779);
  }
// compiled string node returning strlit4779 (depth = 3)
  adddatum2(obj3673, strlit4779, 1);
  sourceObject = obj3673;
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3673, *var_signature_39_, 2);
  sourceObject = obj3673;
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3673, *var_body_39_, 3);
  sourceObject = obj3673;
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3673, *var_dtype_39_, 4);
  sourceObject = obj3673;
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4780 = alloc_Boolean(0);
// compiled identifier node returning bool4780 (depth = 3)
  adddatum2(obj3673, bool4780, 5);
  sourceObject = obj3673;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4781 = alloc_Boolean(0);
// compiled identifier node returning bool4781 (depth = 3)
  adddatum2(obj3673, bool4781, 6);
  sourceObject = obj3673;
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4782 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4782 (depth = 3)
  adddatum2(obj3673, array4782, 7);
  sourceObject = obj3673;
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4783 = alloc_Boolean(0);
// compiled identifier node returning bool4783 (depth = 3)
  adddatum2(obj3673, bool4783, 8);
  sourceObject = obj3673;
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4784 = alloc_Boolean(0);
// compiled identifier node returning bool4784 (depth = 3)
  adddatum2(obj3673, bool4784, 9);
  sourceObject = obj3673;
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3673, *var_uninitialized, 10);
  sourceObject = obj3673;
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4785 = alloc_Boolean(1);
// compiled identifier node returning bool4785 (depth = 3)
  adddatum2(obj3673, bool4785, 11);
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  sourceObject = obj3673;
  objclass3673 = obj3673->class;
  objclass3673->definitionModule = modulename;
  objclass3673->definitionLine = 840;
  (*(struct UserObject *)self).data[0] = lowerouter3673;
  self = oldself3673;
  selfslot = oldselfslot3673;
  stackframe = oldstackframe3673;
  gc_frame_end(frame);
  return obj3673;
}
Object meth_ast_methodNode4787(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_4790(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_receiver = &(stackframe->slots[0]);
  *var_receiver = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4791 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_parts (depth = 5)
  gc_frame_newslot(*var_parts);
// call case 4: self request
  params[0] = *var_receiver;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call4792 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4791);
// compiled call node returning call4792 (depth = 4)
  *var_result = call4792;
  if (call4792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4793 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call4794 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4793);
// compiled call node returning call4794 (depth = 3)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_onSelf4804(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4805 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool4806 = alloc_Boolean(1);
// compiled identifier node returning bool4806 (depth = 4)
  gc_frame_newslot(bool4806);
// call case 4: self request
  params[0] = bool4806;
  partcv[0] = 1;
  Object call4807 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4805);
// compiled call node returning call4807 (depth = 3)
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_2_41_4811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4813 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4814 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe4813);
// compiled member node returning call4814 (depth = 6)
  int op_slot_right_4812 = gc_frame_newslot(call4814);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4812 = gc_frame_newslot(*var_acc);
  params[0] = call4814;
  partcv[0] = 1;
  Object opresult4816 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4816 (depth = 5)
  gc_frame_end(frame);
  return opresult4816;
}
Object meth_ast_nameString4808(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4809 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4810 = alloc_Block(NULL, NULL, "ast", 1113);
  gc_frame_newslot(block4810);
// method "_apply(_,_)"
  block_savedest(block4810);
  Object closure4811 = createclosure(1, "_apply(2)");
  setclosureframe(closure4811, stackframe);
  addtoclosure(closure4811, selfslot);
  struct UserObject *uo4811 = (struct UserObject*)block4810;
  uo4811->data[0] = (Object)closure4811;
  Method *meth_meth_ast__apply_40_2_41_4811 = addmethod2pos(block4810, "_apply(2)", &meth_ast__apply_40_2_41_4811, 0);
  int argcv_meth_ast__apply_40_2_41_4811[] = {2};
  meth_meth_ast__apply_40_2_41_4811->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4811);
  meth_meth_ast__apply_40_2_41_4811->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4811->definitionLine = 2984;
// compiled block node returning block4810 (depth = 4)
  gc_frame_newslot(block4810);
// starting to compile string node (depth = 4)
  if (strlit4818 == NULL) {
    strlit4818 = alloc_String("");
    gc_root(strlit4818);
  }
// compiled string node returning strlit4818 (depth = 4)
  gc_frame_newslot(strlit4818);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4819 = gc_frame_new();
// call case 4: self request
  Object call4820 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4819);
// compiled member node returning call4820 (depth = 4)
  params[0] = block4810;
  params[1] = strlit4818;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4821 = callmethodflags(call4820, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4809);
// compiled call node returning call4821 (depth = 3)
  gc_frame_end(frame);
  return call4821;
}
Object meth_ast__apply_40_2_41_4825(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4827 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4828 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe4827);
// compiled member node returning call4828 (depth = 6)
  int op_slot_right_4826 = gc_frame_newslot(call4828);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4826 = gc_frame_newslot(*var_acc);
  params[0] = call4828;
  partcv[0] = 1;
  Object opresult4830 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4830 (depth = 5)
  gc_frame_end(frame);
  return opresult4830;
}
Object meth_ast_canonicalName4822(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4823 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4824 = alloc_Block(NULL, NULL, "ast", 1118);
  gc_frame_newslot(block4824);
// method "_apply(_,_)"
  block_savedest(block4824);
  Object closure4825 = createclosure(1, "_apply(2)");
  setclosureframe(closure4825, stackframe);
  addtoclosure(closure4825, selfslot);
  struct UserObject *uo4825 = (struct UserObject*)block4824;
  uo4825->data[0] = (Object)closure4825;
  Method *meth_meth_ast__apply_40_2_41_4825 = addmethod2pos(block4824, "_apply(2)", &meth_ast__apply_40_2_41_4825, 0);
  int argcv_meth_ast__apply_40_2_41_4825[] = {2};
  meth_meth_ast__apply_40_2_41_4825->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4825);
  meth_meth_ast__apply_40_2_41_4825->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4825->definitionLine = 2984;
// compiled block node returning block4824 (depth = 4)
  gc_frame_newslot(block4824);
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4832 == NULL) {
    strlit4832 = alloc_String("");
    gc_root(strlit4832);
  }
// compiled string node returning strlit4832 (depth = 4)
  gc_frame_newslot(strlit4832);
// call case 6: other requests
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4833 = gc_frame_new();
// call case 4: self request
  Object call4834 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4833);
// compiled member node returning call4834 (depth = 4)
  params[0] = block4824;
  params[1] = strlit4832;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4835 = callmethodflags(call4834, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4823);
// compiled call node returning call4835 (depth = 3)
  gc_frame_end(frame);
  return call4835;
}
Object meth_ast_isCall4836(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4837 = alloc_Boolean(1);
// compiled identifier node returning bool4837 (depth = 3)
  gc_frame_end(frame);
  return bool4837;
}
Object meth_ast_returnsObject4838(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4842 == NULL) {
    strlit4842 = alloc_String("clone(1)");
    gc_root(strlit4842);
  }
// compiled string node returning strlit4842 (depth = 6)
  int op_slot_right_4841 = gc_frame_newslot(strlit4842);
// starting to compile member node (depth = 6)
  int callframe4844 = gc_frame_new();
// call case 4: self request
  Object call4845 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4844);
// compiled member node returning call4845 (depth = 6)
  int op_slot_left_4841 = gc_frame_newslot(call4845);
  params[0] = strlit4842;
  partcv[0] = 1;
  Object opresult4846 = callmethod(call4845, "==(1)", 1, partcv, params);
// compiled op node returning opresult4846 (depth = 5)
  int op_slot_right_4840 = gc_frame_newslot(opresult4846);
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4849 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4850 = gc_frame_new();
// call case 4: self request
  Object call4851 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4850);
// compiled member node returning call4851 (depth = 7)
  Object call4852 = callmethodflags(call4851, "isPrelude", 0, partcv, params, 0);
  gc_frame_end(callframe4849);
// compiled member node returning call4852 (depth = 6)
  int op_slot_right_4848 = gc_frame_newslot(call4852);
// starting to compile member node (depth = 6)
  int callframe4854 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4855 = gc_frame_new();
// call case 4: self request
  Object call4856 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4855);
// compiled member node returning call4856 (depth = 7)
  Object call4857 = callmethodflags(call4856, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe4854);
// compiled member node returning call4857 (depth = 6)
  int op_slot_left_4848 = gc_frame_newslot(call4857);
  params[0] = call4852;
  partcv[0] = 1;
  Object opresult4858 = callmethod(call4857, "||(1)", 1, partcv, params);
// compiled op node returning opresult4858 (depth = 5)
  int op_slot_left_4840 = gc_frame_newslot(opresult4858);
  params[0] = opresult4846;
  partcv[0] = 1;
  Object opresult4859 = callmethod(opresult4858, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4859 (depth = 4)
  Object if4839 = done;
  if (istrue(opresult4859)) {
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4860 = alloc_Boolean(1);
// compiled identifier node returning bool4860 (depth = 5)
  return bool4860;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4839 = undefined;
  } else {
  }
// compiled if node returning if4839 (depth = 3)
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4864 == NULL) {
    strlit4864 = alloc_String("copy");
    gc_root(strlit4864);
  }
// compiled string node returning strlit4864 (depth = 6)
  int op_slot_right_4863 = gc_frame_newslot(strlit4864);
// starting to compile member node (depth = 6)
  int callframe4866 = gc_frame_new();
// call case 4: self request
  Object call4867 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4866);
// compiled member node returning call4867 (depth = 6)
  int op_slot_left_4863 = gc_frame_newslot(call4867);
  params[0] = strlit4864;
  partcv[0] = 1;
  Object opresult4868 = callmethod(call4867, "==(1)", 1, partcv, params);
// compiled op node returning opresult4868 (depth = 5)
  int op_slot_right_4862 = gc_frame_newslot(opresult4868);
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4871 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4872 = gc_frame_new();
// call case 4: self request
  Object call4873 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4872);
// compiled member node returning call4873 (depth = 7)
  Object call4874 = callmethodflags(call4873, "isSelf", 0, partcv, params, 0);
  gc_frame_end(callframe4871);
// compiled member node returning call4874 (depth = 6)
  int op_slot_right_4870 = gc_frame_newslot(call4874);
// starting to compile member node (depth = 6)
  int callframe4876 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4877 = gc_frame_new();
// call case 4: self request
  Object call4878 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4877);
// compiled member node returning call4878 (depth = 7)
  Object call4879 = callmethodflags(call4878, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe4876);
// compiled member node returning call4879 (depth = 6)
  int op_slot_left_4870 = gc_frame_newslot(call4879);
  params[0] = call4874;
  partcv[0] = 1;
  Object opresult4880 = callmethod(call4879, "||(1)", 1, partcv, params);
// compiled op node returning opresult4880 (depth = 5)
  int op_slot_left_4862 = gc_frame_newslot(opresult4880);
  params[0] = opresult4868;
  partcv[0] = 1;
  Object opresult4881 = callmethod(opresult4880, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4881 (depth = 4)
  Object if4861 = done;
  if (istrue(opresult4881)) {
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4882 = alloc_Boolean(1);
// compiled identifier node returning bool4882 (depth = 5)
  return bool4882;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4861 = undefined;
  } else {
  }
// compiled if node returning if4861 (depth = 3)
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4883 = alloc_Boolean(0);
// compiled identifier node returning bool4883 (depth = 4)
  return bool4883;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_returnedObjectScope4884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4885 = gc_frame_new();
// call case 4: self request
  Object call4886 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4885);
// compiled member node returning call4886 (depth = 3)
  gc_frame_end(frame);
  return call4886;
}
Object meth_ast__apply_40_1_41_4898(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4899 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_result (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call4900 = callmethodflags(*var_result, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4899);
// compiled call node returning call4900 (depth = 7)
  gc_frame_end(frame);
  return call4900;
}
Object meth_ast__apply_40_1_41_4893(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4894 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4896 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4895);
// compiled member node returning call4896 (depth = 6)
  gc_frame_newslot(call4896);
// starting to compile block node (depth = 6)
  Object block4897 = alloc_Block(NULL, NULL, "ast", 1139);
  gc_frame_newslot(block4897);
// method "_apply(_)"
  block_savedest(block4897);
  Object closure4898 = createclosure(2, "_apply(1)");
  setclosureframe(closure4898, stackframe);
  addtoclosure(closure4898, var_result);
  addtoclosure(closure4898, selfslot);
  struct UserObject *uo4898 = (struct UserObject*)block4897;
  uo4898->data[0] = (Object)closure4898;
  Method *meth_meth_ast__apply_40_1_41_4898 = addmethod2pos(block4897, "_apply(1)", &meth_ast__apply_40_1_41_4898, 0);
  int argcv_meth_ast__apply_40_1_41_4898[] = {1};
  meth_meth_ast__apply_40_1_41_4898->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4898);
  meth_meth_ast__apply_40_1_41_4898->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4898->definitionLine = 2984;
// compiled block node returning block4897 (depth = 6)
  gc_frame_newslot(block4897);
// call case 5: prelude request
  params[0] = call4896;
  params[1] = block4897;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4902 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4894);
// compiled call node returning call4902 (depth = 5)
  gc_frame_end(frame);
  return call4902;
}
Object meth_ast_arguments4887(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array4888 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4888 (depth = 4)
  *var_result = array4888;
  if (array4888 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4889 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4890 = gc_frame_new();
// call case 4: self request
  Object call4891 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4890);
// compiled member node returning call4891 (depth = 4)
  gc_frame_newslot(call4891);
// starting to compile block node (depth = 4)
  Object block4892 = alloc_Block(NULL, NULL, "ast", 1138);
  gc_frame_newslot(block4892);
// method "_apply(_)"
  block_savedest(block4892);
  Object closure4893 = createclosure(2, "_apply(1)");
  setclosureframe(closure4893, stackframe);
  addtoclosure(closure4893, var_result);
  addtoclosure(closure4893, selfslot);
  struct UserObject *uo4893 = (struct UserObject*)block4892;
  uo4893->data[0] = (Object)closure4893;
  Method *meth_meth_ast__apply_40_1_41_4893 = addmethod2pos(block4892, "_apply(1)", &meth_ast__apply_40_1_41_4893, 0);
  int argcv_meth_ast__apply_40_1_41_4893[] = {1};
  meth_meth_ast__apply_40_1_41_4893->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4893);
  meth_meth_ast__apply_40_1_41_4893->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4893->definitionLine = 2984;
// compiled block node returning block4892 (depth = 4)
  gc_frame_newslot(block4892);
// call case 5: prelude request
  params[0] = call4891;
  params[1] = block4892;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4904 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4889);
// compiled call node returning call4904 (depth = 3)
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast__apply_40_1_41_4915(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4916 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_action (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call4917 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4916);
// compiled call node returning call4917 (depth = 7)
  gc_frame_end(frame);
  return call4917;
}
Object meth_ast__apply_40_1_41_4910(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4911 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4912 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4913 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4912);
// compiled member node returning call4913 (depth = 6)
  gc_frame_newslot(call4913);
// starting to compile block node (depth = 6)
  Object block4914 = alloc_Block(NULL, NULL, "ast", 1146);
  gc_frame_newslot(block4914);
// method "_apply(_)"
  block_savedest(block4914);
  Object closure4915 = createclosure(2, "_apply(1)");
  setclosureframe(closure4915, stackframe);
  addtoclosure(closure4915, var_action);
  addtoclosure(closure4915, selfslot);
  struct UserObject *uo4915 = (struct UserObject*)block4914;
  uo4915->data[0] = (Object)closure4915;
  Method *meth_meth_ast__apply_40_1_41_4915 = addmethod2pos(block4914, "_apply(1)", &meth_ast__apply_40_1_41_4915, 0);
  int argcv_meth_ast__apply_40_1_41_4915[] = {1};
  meth_meth_ast__apply_40_1_41_4915->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4915);
  meth_meth_ast__apply_40_1_41_4915->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4915->definitionLine = 2984;
// compiled block node returning block4914 (depth = 6)
  gc_frame_newslot(block4914);
// call case 5: prelude request
  params[0] = call4913;
  params[1] = block4914;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4919 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4911);
// compiled call node returning call4919 (depth = 5)
  gc_frame_end(frame);
  return call4919;
}
Object meth_ast_argumentsDo_40_1_41_4905(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method argumentsDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for argumentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part argumentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4906 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4907 = gc_frame_new();
// call case 4: self request
  Object call4908 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4907);
// compiled member node returning call4908 (depth = 4)
  gc_frame_newslot(call4908);
// starting to compile block node (depth = 4)
  Object block4909 = alloc_Block(NULL, NULL, "ast", 1145);
  gc_frame_newslot(block4909);
// method "_apply(_)"
  block_savedest(block4909);
  Object closure4910 = createclosure(2, "_apply(1)");
  setclosureframe(closure4910, stackframe);
  addtoclosure(closure4910, var_action);
  addtoclosure(closure4910, selfslot);
  struct UserObject *uo4910 = (struct UserObject*)block4909;
  uo4910->data[0] = (Object)closure4910;
  Method *meth_meth_ast__apply_40_1_41_4910 = addmethod2pos(block4909, "_apply(1)", &meth_ast__apply_40_1_41_4910, 0);
  int argcv_meth_ast__apply_40_1_41_4910[] = {1};
  meth_meth_ast__apply_40_1_41_4910->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4910);
  meth_meth_ast__apply_40_1_41_4910->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4910->definitionLine = 2984;
// compiled block node returning block4909 (depth = 4)
  gc_frame_newslot(block4909);
// call case 5: prelude request
  params[0] = call4908;
  params[1] = block4909;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4921 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4906);
// compiled call node returning call4921 (depth = 3)
  gc_frame_end(frame);
  return call4921;
}
Object meth_ast__apply_40_1_41_4941(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4942 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4943 = callmethodflags(*var_arg, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4942);
// compiled call node returning call4943 (depth = 8)
  gc_frame_end(frame);
  return call4943;
}
Object meth_ast__apply_40_1_41_4936(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4937 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4938 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4939 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4938);
// compiled member node returning call4939 (depth = 7)
  gc_frame_newslot(call4939);
// starting to compile block node (depth = 7)
  Object block4940 = alloc_Block(NULL, NULL, "ast", 1155);
  gc_frame_newslot(block4940);
// method "_apply(_)"
  block_savedest(block4940);
  Object closure4941 = createclosure(3, "_apply(1)");
  setclosureframe(closure4941, stackframe);
  addtoclosure(closure4941, var_visitor);
  addtoclosure(closure4941, var_newChain);
  addtoclosure(closure4941, selfslot);
  struct UserObject *uo4941 = (struct UserObject*)block4940;
  uo4941->data[0] = (Object)closure4941;
  Method *meth_meth_ast__apply_40_1_41_4941 = addmethod2pos(block4940, "_apply(1)", &meth_ast__apply_40_1_41_4941, 0);
  int argcv_meth_ast__apply_40_1_41_4941[] = {1};
  meth_meth_ast__apply_40_1_41_4941->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4941);
  meth_meth_ast__apply_40_1_41_4941->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4941->definitionLine = 2984;
// compiled block node returning block4940 (depth = 7)
  gc_frame_newslot(block4940);
// call case 5: prelude request
  params[0] = call4939;
  params[1] = block4940;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4945 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4937);
// compiled call node returning call4945 (depth = 6)
  gc_frame_end(frame);
  return call4945;
}
Object meth_ast__apply_40_1_41_4957(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4958 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4959 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4958);
// compiled call node returning call4959 (depth = 7)
  gc_frame_end(frame);
  return call4959;
}
Object meth_ast_accept_40_1_41_from_40_1_41_4922(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4924 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4925 = callmethodflags(*var_visitor, "visitCall(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4924);
// compiled call node returning call4925 (depth = 4)
  Object if4923 = done;
  if (istrue(call4925)) {
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4926 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call4927 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4926);
// compiled call node returning call4927 (depth = 5)
  *var_newChain = call4927;
  if (call4927 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4928 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4929 = gc_frame_new();
// call case 4: self request
  Object call4930 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4929);
// compiled member node returning call4930 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4931 = callmethodflags(call4930, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4928);
// compiled call node returning call4931 (depth = 4)
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4932 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4933 = gc_frame_new();
// call case 4: self request
  Object call4934 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4933);
// compiled member node returning call4934 (depth = 5)
  gc_frame_newslot(call4934);
// starting to compile block node (depth = 5)
  Object block4935 = alloc_Block(NULL, NULL, "ast", 1154);
  gc_frame_newslot(block4935);
// method "_apply(_)"
  block_savedest(block4935);
  Object closure4936 = createclosure(3, "_apply(1)");
  setclosureframe(closure4936, stackframe);
  addtoclosure(closure4936, var_visitor);
  addtoclosure(closure4936, var_newChain);
  addtoclosure(closure4936, selfslot);
  struct UserObject *uo4936 = (struct UserObject*)block4935;
  uo4936->data[0] = (Object)closure4936;
  Method *meth_meth_ast__apply_40_1_41_4936 = addmethod2pos(block4935, "_apply(1)", &meth_ast__apply_40_1_41_4936, 0);
  int argcv_meth_ast__apply_40_1_41_4936[] = {1};
  meth_meth_ast__apply_40_1_41_4936->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4936);
  meth_meth_ast__apply_40_1_41_4936->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4936->definitionLine = 2984;
// compiled block node returning block4935 (depth = 5)
  gc_frame_newslot(block4935);
// call case 5: prelude request
  params[0] = call4934;
  params[1] = block4935;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4947 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4932);
// compiled call node returning call4947 (depth = 4)
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4950 = gc_frame_new();
// call case 4: self request
  Object call4951 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4950);
// compiled member node returning call4951 (depth = 6)
  int op_slot_right_4949 = gc_frame_newslot(call4951);
// starting to compile identifier node (depth = 6)
  Object bool4953 = alloc_Boolean(0);
// compiled identifier node returning bool4953 (depth = 6)
  int op_slot_left_4949 = gc_frame_newslot(bool4953);
  params[0] = call4951;
  partcv[0] = 1;
  Object opresult4954 = callmethod(bool4953, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4954 (depth = 5)
  Object if4948 = done;
  if (istrue(opresult4954)) {
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4955 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4956 = alloc_Block(NULL, NULL, "ast", 1160);
  gc_frame_newslot(block4956);
// method "_apply(_)"
  block_savedest(block4956);
  Object closure4957 = createclosure(3, "_apply(1)");
  setclosureframe(closure4957, stackframe);
  addtoclosure(closure4957, var_visitor);
  addtoclosure(closure4957, var_newChain);
  addtoclosure(closure4957, selfslot);
  struct UserObject *uo4957 = (struct UserObject*)block4956;
  uo4957->data[0] = (Object)closure4957;
  Method *meth_meth_ast__apply_40_1_41_4957 = addmethod2pos(block4956, "_apply(1)", &meth_ast__apply_40_1_41_4957, 0);
  int argcv_meth_ast__apply_40_1_41_4957[] = {1};
  meth_meth_ast__apply_40_1_41_4957->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4957);
  meth_meth_ast__apply_40_1_41_4957->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4957->definitionLine = 2984;
// compiled block node returning block4956 (depth = 6)
  gc_frame_newslot(block4956);
// call case 6: other requests
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4961 = gc_frame_new();
// call case 4: self request
  Object call4962 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4961);
// compiled member node returning call4962 (depth = 6)
  params[0] = block4956;
  partcv[0] = 1;
  Object call4963 = callmethodflags(call4962, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4955);
// compiled call node returning call4963 (depth = 5)
    gc_frame_newslot(call4963);
    if4948 = call4963;
  } else {
  }
// compiled if node returning if4948 (depth = 4)
    gc_frame_newslot(if4948);
    if4923 = if4948;
  } else {
  }
// compiled if node returning if4923 (depth = 3)
  gc_frame_end(frame);
  return if4923;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_4964(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4965 = gc_frame_new();
// call case 4: self request
  Object call4966 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4965);
// compiled member node returning call4966 (depth = 4)
  *var_n = call4966;
  if (call4966 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4967 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4968 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4967);
// compiled call node returning call4968 (depth = 4)
  *var_newChain = call4968;
  if (call4968 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4969 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4970 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4971 = gc_frame_new();
// call case 4: self request
  Object call4972 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4971);
// compiled member node returning call4972 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4973 = callmethodflags(call4972, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4970);
// compiled call node returning call4973 (depth = 4)
  gc_frame_newslot(call4973);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4973;
  partcv[0] = 1;
  Object call4974 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4969);
// compiled call node returning call4974 (depth = 3)
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4975 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4976 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4977 = gc_frame_new();
// call case 4: self request
  Object call4978 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4977);
// compiled member node returning call4978 (depth = 5)
  gc_frame_newslot(call4978);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4979 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4980 = gc_frame_new();
// call case 3: self.outer request
  Object call4981 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4980);
// compiled member node returning call4981 (depth = 6)
  Object call4982 = callmethodflags(call4981, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4979);
// compiled member node returning call4982 (depth = 5)
  params[0] = call4978;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4983 = callmethodflags(call4982, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4976);
// compiled call node returning call4983 (depth = 4)
  gc_frame_newslot(call4983);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4983;
  partcv[0] = 1;
  Object call4984 = callmethodflags(*var_n, "with:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4975);
// compiled call node returning call4984 (depth = 3)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4985 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4986 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4987 = gc_frame_new();
// call case 4: self request
  Object call4988 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4987);
// compiled member node returning call4988 (depth = 5)
  gc_frame_newslot(call4988);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4989 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4990 = gc_frame_new();
// call case 3: self.outer request
  Object call4991 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4990);
// compiled member node returning call4991 (depth = 6)
  Object call4992 = callmethodflags(call4991, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4989);
// compiled member node returning call4992 (depth = 5)
  params[0] = call4988;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4993 = callmethodflags(call4992, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4986);
// compiled call node returning call4993 (depth = 4)
  gc_frame_newslot(call4993);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4993;
  partcv[0] = 1;
  Object call4994 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4985);
// compiled call node returning call4994 (depth = 3)
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4995 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call4996 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4995);
// compiled call node returning call4996 (depth = 3)
  gc_frame_end(frame);
  return call4996;
}
Object meth_ast__apply_40_1_41_5005(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5007 == NULL) {
    strlit5007 = alloc_String("  ");
    gc_root(strlit5007);
  }
// compiled string node returning strlit5007 (depth = 7)
  int op_slot_right_5006 = gc_frame_newslot(strlit5007);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5006 = gc_frame_newslot(*var_spc);
  params[0] = strlit5007;
  partcv[0] = 1;
  Object opresult5009 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5009 (depth = 6)
  *var_spc = opresult5009;
  if (opresult5009 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5083(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5085 == NULL) {
    strlit5085 = alloc_String("""\x0a""");
    gc_root(strlit5085);
  }
// compiled string node returning strlit5085 (depth = 8)
  int op_slot_right_5084 = gc_frame_newslot(strlit5085);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5088 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5090 = alloc_Float64(2);
// compiled num node returning num5090 (depth = 11)
  int op_slot_right_5089 = gc_frame_newslot(num5090);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5089 = gc_frame_newslot(*var_depth);
  params[0] = num5090;
  partcv[0] = 1;
  Object sum5092 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5092 (depth = 10)
  gc_frame_newslot(sum5092);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = sum5092;
  partcv[0] = 1;
  Object call5093 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5088);
// compiled call node returning call5093 (depth = 9)
  int op_slot_right_5087 = gc_frame_newslot(call5093);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5096 == NULL) {
    strlit5096 = alloc_String("    ");
    gc_root(strlit5096);
  }
// compiled string node returning strlit5096 (depth = 10)
  int op_slot_right_5095 = gc_frame_newslot(strlit5096);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5098 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5098 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5100 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5100 (depth = 10)
  int op_slot_left_5095 = gc_frame_newslot(opresult5100);
  params[0] = strlit5096;
  partcv[0] = 1;
  Object opresult5101 = callmethod(opresult5100, "++(1)", 1, partcv, params);
// compiled op node returning opresult5101 (depth = 9)
  int op_slot_left_5087 = gc_frame_newslot(opresult5101);
  params[0] = call5093;
  partcv[0] = 1;
  Object opresult5102 = callmethod(opresult5101, "++(1)", 1, partcv, params);
// compiled op node returning opresult5102 (depth = 8)
  int op_slot_left_5084 = gc_frame_newslot(opresult5102);
  params[0] = strlit5085;
  partcv[0] = 1;
  Object opresult5103 = callmethod(opresult5102, "++(1)", 1, partcv, params);
// compiled op node returning opresult5103 (depth = 7)
  *var_s = opresult5103;
  if (opresult5103 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5141(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5143 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5145 = alloc_Float64(2);
// compiled num node returning num5145 (depth = 11)
  int op_slot_right_5144 = gc_frame_newslot(num5145);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5144 = gc_frame_newslot(*var_depth);
  params[0] = num5145;
  partcv[0] = 1;
  Object sum5147 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5147 (depth = 10)
  gc_frame_newslot(sum5147);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_arg (depth = 10)
  params[0] = sum5147;
  partcv[0] = 1;
  Object call5148 = callmethodflags(*var_arg, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5143);
// compiled call node returning call5148 (depth = 9)
  int op_slot_right_5142 = gc_frame_newslot(call5148);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_5150 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5153 == NULL) {
    strlit5153 = alloc_String("""\x0a""      ");
    gc_root(strlit5153);
  }
// compiled string node returning strlit5153 (depth = 11)
  int op_slot_right_5152 = gc_frame_newslot(strlit5153);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5152 = gc_frame_newslot(*var_s);
  params[0] = strlit5153;
  partcv[0] = 1;
  Object opresult5155 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5155 (depth = 10)
  int op_slot_left_5150 = gc_frame_newslot(opresult5155);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5156 = callmethod(opresult5155, "++(1)", 1, partcv, params);
// compiled op node returning opresult5156 (depth = 9)
  int op_slot_left_5142 = gc_frame_newslot(opresult5156);
  params[0] = call5148;
  partcv[0] = 1;
  Object opresult5157 = callmethod(opresult5156, "++(1)", 1, partcv, params);
// compiled op node returning opresult5157 (depth = 8)
  *var_s = opresult5157;
  if (opresult5157 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5119(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5121 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call5122 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5121);
// compiled member node returning call5122 (depth = 7)
  int op_slot_right_5120 = gc_frame_newslot(call5122);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5125 == NULL) {
    strlit5125 = alloc_String("Part: ");
    gc_root(strlit5125);
  }
// compiled string node returning strlit5125 (depth = 8)
  int op_slot_right_5124 = gc_frame_newslot(strlit5125);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5127 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5130 == NULL) {
    strlit5130 = alloc_String("""\x0a""  ");
    gc_root(strlit5130);
  }
// compiled string node returning strlit5130 (depth = 10)
  int op_slot_right_5129 = gc_frame_newslot(strlit5130);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5129 = gc_frame_newslot(*var_s);
  params[0] = strlit5130;
  partcv[0] = 1;
  Object opresult5132 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5132 (depth = 9)
  int op_slot_left_5127 = gc_frame_newslot(opresult5132);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5133 = callmethod(opresult5132, "++(1)", 1, partcv, params);
// compiled op node returning opresult5133 (depth = 8)
  int op_slot_left_5124 = gc_frame_newslot(opresult5133);
  params[0] = strlit5125;
  partcv[0] = 1;
  Object opresult5134 = callmethod(opresult5133, "++(1)", 1, partcv, params);
// compiled op node returning opresult5134 (depth = 7)
  int op_slot_left_5120 = gc_frame_newslot(opresult5134);
  params[0] = call5122;
  partcv[0] = 1;
  Object opresult5135 = callmethod(opresult5134, "++(1)", 1, partcv, params);
// compiled op node returning opresult5135 (depth = 6)
  *var_s = opresult5135;
  if (opresult5135 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5137 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5138 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call5139 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5138);
// compiled member node returning call5139 (depth = 6)
  gc_frame_newslot(call5139);
// starting to compile block node (depth = 6)
  Object block5140 = alloc_Block(NULL, NULL, "ast", 1192);
  gc_frame_newslot(block5140);
// method "_apply(_)"
  block_savedest(block5140);
  Object closure5141 = createclosure(4, "_apply(1)");
  setclosureframe(closure5141, stackframe);
  addtoclosure(closure5141, var_depth);
  addtoclosure(closure5141, var_spc);
  addtoclosure(closure5141, var_s);
  addtoclosure(closure5141, selfslot);
  struct UserObject *uo5141 = (struct UserObject*)block5140;
  uo5141->data[0] = (Object)closure5141;
  Method *meth_meth_ast__apply_40_1_41_5141 = addmethod2pos(block5140, "_apply(1)", &meth_ast__apply_40_1_41_5141, 0);
  int argcv_meth_ast__apply_40_1_41_5141[] = {1};
  meth_meth_ast__apply_40_1_41_5141->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5141);
  meth_meth_ast__apply_40_1_41_5141->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5141->definitionLine = 2984;
// compiled block node returning block5140 (depth = 6)
  gc_frame_newslot(block5140);
// call case 5: prelude request
  params[0] = call5139;
  params[1] = block5140;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5160 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5137);
// compiled call node returning call5160 (depth = 5)
  gc_frame_end(frame);
  return call5160;
}
Object meth_ast_pretty_40_1_41_4997(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4998 == NULL) {
    strlit4998 = alloc_String("");
    gc_root(strlit4998);
  }
// compiled string node returning strlit4998 (depth = 4)
  *var_spc = strlit4998;
  if (strlit4998 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4999 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_5000 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num5002 = alloc_Float64(0);
// compiled num node returning num5002 (depth = 5)
  int op_slot_left_5000 = gc_frame_newslot(num5002);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5003 = callmethod(num5002, "..(1)", 1, partcv, params);
// compiled op node returning opresult5003 (depth = 4)
  gc_frame_newslot(opresult5003);
// starting to compile block node (depth = 4)
  Object block5004 = alloc_Block(NULL, NULL, "ast", 1176);
  gc_frame_newslot(block5004);
// method "_apply(_)"
  block_savedest(block5004);
  Object closure5005 = createclosure(2, "_apply(1)");
  setclosureframe(closure5005, stackframe);
  addtoclosure(closure5005, var_spc);
  addtoclosure(closure5005, selfslot);
  struct UserObject *uo5005 = (struct UserObject*)block5004;
  uo5005->data[0] = (Object)closure5005;
  Method *meth_meth_ast__apply_40_1_41_5005 = addmethod2pos(block5004, "_apply(1)", &meth_ast__apply_40_1_41_5005, 0);
  int argcv_meth_ast__apply_40_1_41_5005[] = {1};
  meth_meth_ast__apply_40_1_41_5005->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5005);
  meth_meth_ast__apply_40_1_41_5005->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5005->definitionLine = 2984;
// compiled block node returning block5004 (depth = 4)
  gc_frame_newslot(block5004);
// call case 5: prelude request
  params[0] = opresult5003;
  params[1] = block5004;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5012 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4999);
// compiled call node returning call5012 (depth = 3)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5013 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5014 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5013);
// compiled call node returning call5014 (depth = 4)
  *var_s = call5014;
  if (call5014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5017 = gc_frame_new();
// call case 4: self request
  Object call5018 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5017);
// compiled member node returning call5018 (depth = 6)
  Object if5016 = done;
struct StackFrameObject *iftmpstackframe5016 = stackframe;
  if (istrue(call5018)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5016);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit5019 == NULL) {
    strlit5019 = alloc_String(" on self""\x0a""");
    gc_root(strlit5019);
  }
// compiled string node returning strlit5019 (depth = 6)
    gc_frame_newslot(strlit5019);
    if5016 = strlit5019;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5016);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit5020 == NULL) {
    strlit5020 = alloc_String("""\x0a""");
    gc_root(strlit5020);
  }
// compiled string node returning strlit5020 (depth = 6)
    gc_frame_newslot(strlit5020);
    if5016 = strlit5020;
  }
stackframe = iftmpstackframe5016;
// compiled if node returning if5016 (depth = 5)
  int op_slot_right_5015 = gc_frame_newslot(if5016);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_5015 = gc_frame_newslot(*var_s);
  params[0] = if5016;
  partcv[0] = 1;
  Object opresult5022 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5022 (depth = 4)
  *var_s = opresult5022;
  if (opresult5022 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5026 == NULL) {
    strlit5026 = alloc_String("""\x0a""");
    gc_root(strlit5026);
  }
// compiled string node returning strlit5026 (depth = 6)
  int op_slot_right_5025 = gc_frame_newslot(strlit5026);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5029 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5031 = alloc_Float64(1);
// compiled num node returning num5031 (depth = 9)
  int op_slot_right_5030 = gc_frame_newslot(num5031);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5030 = gc_frame_newslot(*var_depth);
  params[0] = num5031;
  partcv[0] = 1;
  Object sum5033 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5033 (depth = 8)
  gc_frame_newslot(sum5033);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5034 = gc_frame_new();
// call case 4: self request
  Object call5035 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5034);
// compiled member node returning call5035 (depth = 8)
  params[0] = sum5033;
  partcv[0] = 1;
  Object call5036 = callmethodflags(call5035, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5029);
// compiled call node returning call5036 (depth = 7)
  int op_slot_right_5028 = gc_frame_newslot(call5036);
// starting to compile string node (depth = 7)
  if (strlit5038 == NULL) {
    strlit5038 = alloc_String("Receiver: ");
    gc_root(strlit5038);
  }
// compiled string node returning strlit5038 (depth = 7)
  int op_slot_left_5028 = gc_frame_newslot(strlit5038);
  params[0] = call5036;
  partcv[0] = 1;
  Object opresult5039 = callmethod(strlit5038, "++(1)", 1, partcv, params);
// compiled op node returning opresult5039 (depth = 6)
  int op_slot_left_5025 = gc_frame_newslot(opresult5039);
  params[0] = strlit5026;
  partcv[0] = 1;
  Object opresult5040 = callmethod(opresult5039, "++(1)", 1, partcv, params);
// compiled op node returning opresult5040 (depth = 5)
  int op_slot_right_5024 = gc_frame_newslot(opresult5040);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5042 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5042 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5044 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5044 (depth = 5)
  int op_slot_left_5024 = gc_frame_newslot(opresult5044);
  params[0] = opresult5040;
  partcv[0] = 1;
  Object opresult5045 = callmethod(opresult5044, "++(1)", 1, partcv, params);
// compiled op node returning opresult5045 (depth = 4)
  *var_s = opresult5045;
  if (opresult5045 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5049 == NULL) {
    strlit5049 = alloc_String("""\x0a""");
    gc_root(strlit5049);
  }
// compiled string node returning strlit5049 (depth = 6)
  int op_slot_right_5048 = gc_frame_newslot(strlit5049);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5052 = gc_frame_new();
// call case 4: self request
  Object call5053 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5052);
// compiled member node returning call5053 (depth = 7)
  int op_slot_right_5051 = gc_frame_newslot(call5053);
// starting to compile string node (depth = 7)
  if (strlit5055 == NULL) {
    strlit5055 = alloc_String("Method Name: ");
    gc_root(strlit5055);
  }
// compiled string node returning strlit5055 (depth = 7)
  int op_slot_left_5051 = gc_frame_newslot(strlit5055);
  params[0] = call5053;
  partcv[0] = 1;
  Object opresult5056 = callmethod(strlit5055, "++(1)", 1, partcv, params);
// compiled op node returning opresult5056 (depth = 6)
  int op_slot_left_5048 = gc_frame_newslot(opresult5056);
  params[0] = strlit5049;
  partcv[0] = 1;
  Object opresult5057 = callmethod(opresult5056, "++(1)", 1, partcv, params);
// compiled op node returning opresult5057 (depth = 5)
  int op_slot_right_5047 = gc_frame_newslot(opresult5057);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5059 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5059 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5061 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5061 (depth = 5)
  int op_slot_left_5047 = gc_frame_newslot(opresult5061);
  params[0] = opresult5057;
  partcv[0] = 1;
  Object opresult5062 = callmethod(opresult5061, "++(1)", 1, partcv, params);
// compiled op node returning opresult5062 (depth = 4)
  *var_s = opresult5062;
  if (opresult5062 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5066 = gc_frame_new();
// call case 4: self request
  Object call5067 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5066);
// compiled member node returning call5067 (depth = 5)
  int op_slot_right_5065 = gc_frame_newslot(call5067);
// starting to compile identifier node (depth = 5)
  Object bool5069 = alloc_Boolean(0);
// compiled identifier node returning bool5069 (depth = 5)
  int op_slot_left_5065 = gc_frame_newslot(bool5069);
  params[0] = call5067;
  partcv[0] = 1;
  Object opresult5070 = callmethod(bool5069, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5070 (depth = 4)
  Object if5064 = done;
  if (istrue(opresult5070)) {
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5072 == NULL) {
    strlit5072 = alloc_String("  Generics:""\x0a""");
    gc_root(strlit5072);
  }
// compiled string node returning strlit5072 (depth = 6)
  int op_slot_right_5071 = gc_frame_newslot(strlit5072);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5074 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5074 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5076 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5076 (depth = 6)
  int op_slot_left_5071 = gc_frame_newslot(opresult5076);
  params[0] = strlit5072;
  partcv[0] = 1;
  Object opresult5077 = callmethod(opresult5076, "++(1)", 1, partcv, params);
// compiled op node returning opresult5077 (depth = 5)
  *var_s = opresult5077;
  if (opresult5077 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5079 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5080 = gc_frame_new();
// call case 4: self request
  Object call5081 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5080);
// compiled member node returning call5081 (depth = 5)
  gc_frame_newslot(call5081);
// starting to compile block node (depth = 5)
  Object block5082 = alloc_Block(NULL, NULL, "ast", 1185);
  gc_frame_newslot(block5082);
// method "_apply(_)"
  block_savedest(block5082);
  Object closure5083 = createclosure(4, "_apply(1)");
  setclosureframe(closure5083, stackframe);
  addtoclosure(closure5083, var_depth);
  addtoclosure(closure5083, var_spc);
  addtoclosure(closure5083, var_s);
  addtoclosure(closure5083, selfslot);
  struct UserObject *uo5083 = (struct UserObject*)block5082;
  uo5083->data[0] = (Object)closure5083;
  Method *meth_meth_ast__apply_40_1_41_5083 = addmethod2pos(block5082, "_apply(1)", &meth_ast__apply_40_1_41_5083, 0);
  int argcv_meth_ast__apply_40_1_41_5083[] = {1};
  meth_meth_ast__apply_40_1_41_5083->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5083);
  meth_meth_ast__apply_40_1_41_5083->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5083->definitionLine = 2984;
// compiled block node returning block5082 (depth = 5)
  gc_frame_newslot(block5082);
// call case 5: prelude request
  params[0] = call5081;
  params[1] = block5082;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5106 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5079);
// compiled call node returning call5106 (depth = 4)
    gc_frame_newslot(call5106);
    if5064 = call5106;
  } else {
  }
// compiled if node returning if5064 (depth = 3)
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5108 == NULL) {
    strlit5108 = alloc_String("Arguments:");
    gc_root(strlit5108);
  }
// compiled string node returning strlit5108 (depth = 5)
  int op_slot_right_5107 = gc_frame_newslot(strlit5108);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5110 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5110 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5112 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5112 (depth = 5)
  int op_slot_left_5107 = gc_frame_newslot(opresult5112);
  params[0] = strlit5108;
  partcv[0] = 1;
  Object opresult5113 = callmethod(opresult5112, "++(1)", 1, partcv, params);
// compiled op node returning opresult5113 (depth = 4)
  *var_s = opresult5113;
  if (opresult5113 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5115 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5116 = gc_frame_new();
// call case 4: self request
  Object call5117 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5116);
// compiled member node returning call5117 (depth = 4)
  gc_frame_newslot(call5117);
// starting to compile block node (depth = 4)
  Object block5118 = alloc_Block(NULL, NULL, "ast", 1190);
  gc_frame_newslot(block5118);
// method "_apply(_)"
  block_savedest(block5118);
  Object closure5119 = createclosure(4, "_apply(1)");
  setclosureframe(closure5119, stackframe);
  addtoclosure(closure5119, var_spc);
  addtoclosure(closure5119, var_s);
  addtoclosure(closure5119, var_depth);
  addtoclosure(closure5119, selfslot);
  struct UserObject *uo5119 = (struct UserObject*)block5118;
  uo5119->data[0] = (Object)closure5119;
  Method *meth_meth_ast__apply_40_1_41_5119 = addmethod2pos(block5118, "_apply(1)", &meth_ast__apply_40_1_41_5119, 0);
  int argcv_meth_ast__apply_40_1_41_5119[] = {1};
  meth_meth_ast__apply_40_1_41_5119->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5119);
  meth_meth_ast__apply_40_1_41_5119->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5119->definitionLine = 2984;
// compiled block node returning block5118 (depth = 4)
  gc_frame_newslot(block5118);
// call case 5: prelude request
  params[0] = call5117;
  params[1] = block5118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5162 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5115);
// compiled call node returning call5162 (depth = 3)
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_5213(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5215 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5217 = alloc_Float64(1);
// compiled num node returning num5217 (depth = 9)
  int op_slot_right_5216 = gc_frame_newslot(num5217);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5216 = gc_frame_newslot(*var_depth);
  params[0] = num5217;
  partcv[0] = 1;
  Object sum5219 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5219 (depth = 8)
  gc_frame_newslot(sum5219);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum5219;
  partcv[0] = 1;
  Object call5220 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5215);
// compiled call node returning call5220 (depth = 7)
  int op_slot_right_5214 = gc_frame_newslot(call5220);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5214 = gc_frame_newslot(*var_s);
  params[0] = call5220;
  partcv[0] = 1;
  Object opresult5222 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5222 (depth = 6)
  *var_s = opresult5222;
  if (opresult5222 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5226(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5228 == NULL) {
    strlit5228 = alloc_String(" ");
    gc_root(strlit5228);
  }
// compiled string node returning strlit5228 (depth = 7)
  int op_slot_right_5227 = gc_frame_newslot(strlit5228);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5227 = gc_frame_newslot(*var_s);
  params[0] = strlit5228;
  partcv[0] = 1;
  Object opresult5230 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5230 (depth = 6)
  *var_s = opresult5230;
  if (opresult5230 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_5163(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5164 == NULL) {
    strlit5164 = alloc_String("");
    gc_root(strlit5164);
  }
// compiled string node returning strlit5164 (depth = 4)
  *var_s = strlit5164;
  if (strlit5164 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5166 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5167 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5168 = gc_frame_new();
// call case 4: self request
  Object call5169 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5168);
// compiled member node returning call5169 (depth = 6)
  Object call5170 = callmethodflags(call5169, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe5167);
// compiled member node returning call5170 (depth = 5)
  Object call5171 = callmethodflags(call5170, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5166);
// compiled member node returning call5171 (depth = 4)
  Object if5165 = done;
  if (istrue(call5171)) {
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5173 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5174 = gc_frame_new();
// call case 4: self request
  Object call5175 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5174);
// compiled member node returning call5175 (depth = 6)
  Object call5176 = callmethodflags(call5175, "isSimple", 0, partcv, params, 0);
  gc_frame_end(callframe5173);
// compiled member node returning call5176 (depth = 5)
  Object if5172 = done;
  if (istrue(call5176)) {
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5178 == NULL) {
    strlit5178 = alloc_String(".");
    gc_root(strlit5178);
  }
// compiled string node returning strlit5178 (depth = 7)
  int op_slot_right_5177 = gc_frame_newslot(strlit5178);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5181 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5183 = alloc_Float64(1);
// compiled num node returning num5183 (depth = 10)
  int op_slot_right_5182 = gc_frame_newslot(num5183);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5182 = gc_frame_newslot(*var_depth);
  params[0] = num5183;
  partcv[0] = 1;
  Object sum5185 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5185 (depth = 9)
  gc_frame_newslot(sum5185);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5186 = gc_frame_new();
// call case 4: self request
  Object call5187 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5186);
// compiled member node returning call5187 (depth = 9)
  params[0] = sum5185;
  partcv[0] = 1;
  Object call5188 = callmethodflags(call5187, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5181);
// compiled call node returning call5188 (depth = 8)
  int op_slot_right_5180 = gc_frame_newslot(call5188);
// starting to compile string node (depth = 8)
  if (strlit5190 == NULL) {
    strlit5190 = alloc_String("");
    gc_root(strlit5190);
  }
// compiled string node returning strlit5190 (depth = 8)
  int op_slot_left_5180 = gc_frame_newslot(strlit5190);
  params[0] = call5188;
  partcv[0] = 1;
  Object opresult5191 = callmethod(strlit5190, "++(1)", 1, partcv, params);
// compiled op node returning opresult5191 (depth = 7)
  int op_slot_left_5177 = gc_frame_newslot(opresult5191);
  params[0] = strlit5178;
  partcv[0] = 1;
  Object opresult5192 = callmethod(opresult5191, "++(1)", 1, partcv, params);
// compiled op node returning opresult5192 (depth = 6)
  *var_s = opresult5192;
  if (opresult5192 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5172 = done;
  } else {
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5195 == NULL) {
    strlit5195 = alloc_String(").");
    gc_root(strlit5195);
  }
// compiled string node returning strlit5195 (depth = 7)
  int op_slot_right_5194 = gc_frame_newslot(strlit5195);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5198 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5200 = alloc_Float64(1);
// compiled num node returning num5200 (depth = 10)
  int op_slot_right_5199 = gc_frame_newslot(num5200);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5199 = gc_frame_newslot(*var_depth);
  params[0] = num5200;
  partcv[0] = 1;
  Object sum5202 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5202 (depth = 9)
  gc_frame_newslot(sum5202);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5203 = gc_frame_new();
// call case 4: self request
  Object call5204 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5203);
// compiled member node returning call5204 (depth = 9)
  params[0] = sum5202;
  partcv[0] = 1;
  Object call5205 = callmethodflags(call5204, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5198);
// compiled call node returning call5205 (depth = 8)
  int op_slot_right_5197 = gc_frame_newslot(call5205);
// starting to compile string node (depth = 8)
  if (strlit5207 == NULL) {
    strlit5207 = alloc_String("(");
    gc_root(strlit5207);
  }
// compiled string node returning strlit5207 (depth = 8)
  int op_slot_left_5197 = gc_frame_newslot(strlit5207);
  params[0] = call5205;
  partcv[0] = 1;
  Object opresult5208 = callmethod(strlit5207, "++(1)", 1, partcv, params);
// compiled op node returning opresult5208 (depth = 7)
  int op_slot_left_5194 = gc_frame_newslot(opresult5208);
  params[0] = strlit5195;
  partcv[0] = 1;
  Object opresult5209 = callmethod(opresult5208, "++(1)", 1, partcv, params);
// compiled op node returning opresult5209 (depth = 6)
  *var_s = opresult5209;
  if (opresult5209 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5172 = done;
  }
// compiled if node returning if5172 (depth = 4)
    gc_frame_newslot(if5172);
    if5165 = if5172;
  } else {
  }
// compiled if node returning if5165 (depth = 3)
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5211 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5212 = alloc_Block(NULL, NULL, "ast", 1207);
  gc_frame_newslot(block5212);
// method "_apply(_)"
  block_savedest(block5212);
  Object closure5213 = createclosure(3, "_apply(1)");
  setclosureframe(closure5213, stackframe);
  addtoclosure(closure5213, var_depth);
  addtoclosure(closure5213, var_s);
  addtoclosure(closure5213, selfslot);
  struct UserObject *uo5213 = (struct UserObject*)block5212;
  uo5213->data[0] = (Object)closure5213;
  Method *meth_meth_ast__apply_40_1_41_5213 = addmethod2pos(block5212, "_apply(1)", &meth_ast__apply_40_1_41_5213, 0);
  int argcv_meth_ast__apply_40_1_41_5213[] = {1};
  meth_meth_ast__apply_40_1_41_5213->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5213);
  meth_meth_ast__apply_40_1_41_5213->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5213->definitionLine = 2984;
// compiled block node returning block5212 (depth = 4)
  gc_frame_newslot(block5212);
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block5225 = alloc_Block(NULL, NULL, "ast", 1208);
  gc_frame_newslot(block5225);
// method "_apply"
  block_savedest(block5225);
  Object closure5226 = createclosure(2, "_apply");
  setclosureframe(closure5226, stackframe);
  addtoclosure(closure5226, var_s);
  addtoclosure(closure5226, selfslot);
  struct UserObject *uo5226 = (struct UserObject*)block5225;
  uo5226->data[0] = (Object)closure5226;
  Method *meth_meth_ast__apply5226 = addmethod2pos(block5225, "_apply", &meth_ast__apply5226, 0);
  int argcv_meth_ast__apply5226[] = {0};
  meth_meth_ast__apply5226->type = alloc_MethodType(1, argcv_meth_ast__apply5226);
  meth_meth_ast__apply5226->definitionModule = modulename;
  meth_meth_ast__apply5226->definitionLine = 2984;
// compiled block node returning block5225 (depth = 4)
  gc_frame_newslot(block5225);
// call case 6: other requests
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5233 = gc_frame_new();
// call case 4: self request
  Object call5234 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5233);
// compiled member node returning call5234 (depth = 4)
  params[0] = block5212;
  params[1] = block5225;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5235 = callmethodflags(call5234, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5211);
// compiled call node returning call5235 (depth = 3)
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asIdentifier5236(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5239 = gc_frame_new();
// call case 4: self request
  Object call5240 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5239);
// compiled member node returning call5240 (depth = 5)
  int op_slot_right_5238 = gc_frame_newslot(call5240);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fakeSymbolTable (depth = 5)
  int op_slot_left_5238 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call5240;
  partcv[0] = 1;
  Object opresult5242 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult5242 (depth = 4)
  Object if5237 = done;
  if (istrue(opresult5242)) {
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5243 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5245 == NULL) {
    strlit5245 = alloc_String(" when scope was fake");
    gc_root(strlit5245);
  }
// compiled string node returning strlit5245 (depth = 6)
  int op_slot_right_5244 = gc_frame_newslot(strlit5245);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5248 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num5249 = alloc_Float64(0);
// compiled num node returning num5249 (depth = 8)
  gc_frame_newslot(num5249);
// call case 4: self request
  params[0] = num5249;
  partcv[0] = 1;
  Object call5250 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5248);
// compiled call node returning call5250 (depth = 7)
  int op_slot_right_5247 = gc_frame_newslot(call5250);
// starting to compile string node (depth = 7)
  if (strlit5252 == NULL) {
    strlit5252 = alloc_String("asIdentifier requested on ");
    gc_root(strlit5252);
  }
// compiled string node returning strlit5252 (depth = 7)
  int op_slot_left_5247 = gc_frame_newslot(strlit5252);
  params[0] = call5250;
  partcv[0] = 1;
  Object opresult5253 = callmethod(strlit5252, "++(1)", 1, partcv, params);
// compiled op node returning opresult5253 (depth = 6)
  int op_slot_left_5244 = gc_frame_newslot(opresult5253);
  params[0] = strlit5245;
  partcv[0] = 1;
  Object opresult5254 = callmethod(opresult5253, "++(1)", 1, partcv, params);
// compiled op node returning opresult5254 (depth = 5)
  gc_frame_newslot(opresult5254);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5255 = gc_frame_new();
// call case 5: prelude request
  Object call5256 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5255);
// compiled member node returning call5256 (depth = 5)
  params[0] = opresult5254;
  partcv[0] = 1;
  Object call5257 = callmethodflags(call5256, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5243);
// compiled call node returning call5257 (depth = 4)
    gc_frame_newslot(call5257);
    if5237 = call5257;
  } else {
  }
// compiled if node returning if5237 (depth = 3)
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5258 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5259 = gc_frame_new();
// call case 4: self request
  Object call5260 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5259);
// compiled member node returning call5260 (depth = 5)
  gc_frame_newslot(call5260);
// starting to compile identifier node (depth = 5)
  Object bool5261 = alloc_Boolean(0);
// compiled identifier node returning bool5261 (depth = 5)
  gc_frame_newslot(bool5261);
// starting to compile member node (depth = 5)
  int callframe5262 = gc_frame_new();
// call case 4: self request
  Object call5263 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5262);
// compiled member node returning call5263 (depth = 5)
  gc_frame_newslot(call5263);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call5260;
  params[1] = bool5261;
  params[2] = call5263;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5264 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5258);
// compiled call node returning call5264 (depth = 4)
  *var_resultNode = call5264;
  if (call5264 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5265 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool5266 = alloc_Boolean(1);
// compiled identifier node returning bool5266 (depth = 4)
  gc_frame_newslot(bool5266);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool5266;
  partcv[0] = 1;
  Object call5267 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5265);
// compiled call node returning call5267 (depth = 3)
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5268 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5269 = gc_frame_new();
// call case 4: self request
  Object call5270 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5269);
// compiled member node returning call5270 (depth = 4)
  gc_frame_newslot(call5270);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call5270;
  partcv[0] = 1;
  Object call5271 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5268);
// compiled call node returning call5271 (depth = 3)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5272 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5273 = gc_frame_new();
// call case 4: self request
  Object call5274 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5273);
// compiled member node returning call5274 (depth = 4)
  gc_frame_newslot(call5274);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call5274;
  partcv[0] = 1;
  Object call5275 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5272);
// compiled call node returning call5275 (depth = 3)
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_asString5276(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5278 == NULL) {
    strlit5278 = alloc_String("");
    gc_root(strlit5278);
  }
// compiled string node returning strlit5278 (depth = 4)
  int op_slot_right_5277 = gc_frame_newslot(strlit5278);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5281 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num5282 = alloc_Float64(0);
// compiled num node returning num5282 (depth = 6)
  gc_frame_newslot(num5282);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5283 = gc_frame_new();
// call case 4: self request
  Object call5284 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5283);
// compiled member node returning call5284 (depth = 6)
  params[0] = num5282;
  partcv[0] = 1;
  Object call5285 = callmethodflags(call5284, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5281);
// compiled call node returning call5285 (depth = 5)
  int op_slot_right_5280 = gc_frame_newslot(call5285);
// starting to compile string node (depth = 5)
  if (strlit5287 == NULL) {
    strlit5287 = alloc_String("call ");
    gc_root(strlit5287);
  }
// compiled string node returning strlit5287 (depth = 5)
  int op_slot_left_5280 = gc_frame_newslot(strlit5287);
  params[0] = call5285;
  partcv[0] = 1;
  Object opresult5288 = callmethod(strlit5287, "++(1)", 1, partcv, params);
// compiled op node returning opresult5288 (depth = 4)
  int op_slot_left_5277 = gc_frame_newslot(opresult5288);
  params[0] = strlit5278;
  partcv[0] = 1;
  Object opresult5289 = callmethod(opresult5288, "++(1)", 1, partcv, params);
// compiled op node returning opresult5289 (depth = 3)
  gc_frame_end(frame);
  return opresult5289;
}
Object meth_ast_shallowCopy5290(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5291 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5292 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5293 = gc_frame_new();
// call case 4: self request
  Object call5294 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5293);
// compiled member node returning call5294 (depth = 5)
  gc_frame_newslot(call5294);
// starting to compile member node (depth = 5)
  int callframe5295 = gc_frame_new();
// call case 4: self request
  Object call5296 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5295);
// compiled member node returning call5296 (depth = 5)
  gc_frame_newslot(call5296);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_callNode (depth = 5)
  params[0] = call5294;
  params[1] = call5296;
  partcv[0] = 2;
  Object call5297 = callmethodflags(*var_callNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5292);
// compiled call node returning call5297 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5298 = callmethodflags(call5297, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5291);
// compiled call node returning call5298 (depth = 3)
  gc_frame_end(frame);
  return call5298;
}
Object meth_ast_postCopy_40_1_41_5299(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5300 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5301 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5302 = callmethodflags(*var_other, "isPattern", 0, partcv, params, 0);
  gc_frame_end(callframe5301);
// compiled member node returning call5302 (depth = 4)
  gc_frame_newslot(call5302);
// call case 4: self request
  params[0] = call5302;
  partcv[0] = 1;
  Object call5303 = callmethodflags(self, "isPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5300);
// compiled call node returning call5303 (depth = 3)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5304 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5306 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe5305);
// compiled member node returning call5306 (depth = 4)
  gc_frame_newslot(call5306);
// call case 4: self request
  params[0] = call5306;
  partcv[0] = 1;
  Object call5307 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5304);
// compiled call node returning call5307 (depth = 3)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName5308(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5309 == NULL) {
    strlit5309 = alloc_String("request");
    gc_root(strlit5309);
  }
// compiled string node returning strlit5309 (depth = 3)
  gc_frame_end(frame);
  return strlit5309;
}
Object meth_ast_new_40_2_41_4795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_callNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4796 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4796 = alloc_userobj2(28,24, objclass4796);
  gc_frame_newslot(obj4796);
if (objclass4796 == NULL) {
  glfree(obj4796->class->name);
  obj4796->class->name = "callNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4796, self, 0);
  addmethodreal(obj4796,"outer", &reader_ast_outer_4797);
  Object oldself4796 = self;
  struct StackFrameObject *oldstackframe4796 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4796);
  gc_frame_newslot((Object)stackframe);
  self = obj4796;
  Object *oldselfslot4796 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4796 = (*(struct UserObject *)self).data[0], lowerouter4796 = thisouter4796;
  if (inheritingObject4796) {
    struct UserObject *inho4796 = (struct UserObject *)inheritingObject4796;
    while (inho4796->super != GraceDefaultObject) inho4796 = (struct UserObject *)inho4796->super;
    inho4796->super = obj4796;
    self = inheritingObject4796;
    *selfslot = self;
    lowerouter4796 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4796;
  }
if (objclass4796 == NULL) {
  Method *reader4798 = addmethodrealflags(obj4796, "kind",&reader_ast_kind_4798, MFLAG_DEF);
  reader4798->definitionModule = modulename;
  reader4798->definitionLine = 1098;
}
adddatum2(obj4796, alloc_Undefined(), 1);
if (objclass4796 == NULL) {
  Method *reader4799 = addmethodrealflags(obj4796, "with", &reader_ast_with_4799, 0);
  Method *writer4799 = addmethodrealflags(obj4796, "with:=(1)", &writer_ast_with_4799, 0);
  reader4799->definitionModule = modulename;
  writer4799->definitionModule = modulename;
  reader4799->definitionLine = 1099;
  writer4799->definitionLine = 1099;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 2);
if (objclass4796 == NULL) {
  Method *reader4800 = addmethodrealflags(obj4796, "generics", &reader_ast_generics_4800, 0);
  Method *writer4800 = addmethodrealflags(obj4796, "generics:=(1)", &writer_ast_generics_4800, 0);
  reader4800->definitionModule = modulename;
  writer4800->definitionModule = modulename;
  reader4800->definitionLine = 1100;
  writer4800->definitionLine = 1100;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 3);
if (objclass4796 == NULL) {
  Method *reader4801 = addmethodrealflags(obj4796, "isPattern", &reader_ast_isPattern_4801, 0);
  Method *writer4801 = addmethodrealflags(obj4796, "isPattern:=(1)", &writer_ast_isPattern_4801, 0);
  reader4801->definitionModule = modulename;
  writer4801->definitionModule = modulename;
  reader4801->definitionLine = 1101;
  writer4801->definitionLine = 1101;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 4);
if (objclass4796 == NULL) {
  Method *reader4802 = addmethodrealflags(obj4796, "receiver", &reader_ast_receiver_4802, 0);
  Method *writer4802 = addmethodrealflags(obj4796, "receiver:=(1)", &writer_ast_receiver_4802, 0);
  reader4802->definitionModule = modulename;
  writer4802->definitionModule = modulename;
  reader4802->definitionLine = 1102;
  writer4802->definitionLine = 1102;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 5);
if (objclass4796 == NULL) {
  Method *reader4803 = addmethodrealflags(obj4796, "isSelfRequest", &reader_ast_isSelfRequest_4803, 0);
  Method *writer4803 = addmethodrealflags(obj4796, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_4803, 0);
  reader4803->definitionModule = modulename;
  writer4803->definitionModule = modulename;
  reader4803->definitionLine = 1103;
  writer4803->definitionLine = 1103;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 6);
// method "onSelf"
  struct UserObject *uo4804 = (struct UserObject*)obj4796;
  uo4804->data[7] = emptyclosure;
  Method *meth_meth_ast_onSelf4804 = addmethod2pos(obj4796, "onSelf", &meth_ast_onSelf4804, 7);
  int argcv_meth_ast_onSelf4804[] = {0};
  meth_meth_ast_onSelf4804->type = alloc_MethodType(1, argcv_meth_ast_onSelf4804);
  meth_meth_ast_onSelf4804->definitionModule = modulename;
  meth_meth_ast_onSelf4804->definitionLine = 1105;
// method "nameString"
  struct UserObject *uo4808 = (struct UserObject*)obj4796;
  uo4808->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString4808 = addmethod2pos(obj4796, "nameString", &meth_ast_nameString4808, 8);
  int argcv_meth_ast_nameString4808[] = {0};
  meth_meth_ast_nameString4808->type = alloc_MethodType(1, argcv_meth_ast_nameString4808);
  meth_meth_ast_nameString4808->definitionModule = modulename;
  meth_meth_ast_nameString4808->definitionLine = 1111;
// method "canonicalName"
  struct UserObject *uo4822 = (struct UserObject*)obj4796;
  uo4822->data[9] = emptyclosure;
  Method *meth_meth_ast_canonicalName4822 = addmethod2pos(obj4796, "canonicalName", &meth_ast_canonicalName4822, 9);
  int argcv_meth_ast_canonicalName4822[] = {0};
  meth_meth_ast_canonicalName4822->type = alloc_MethodType(1, argcv_meth_ast_canonicalName4822);
  meth_meth_ast_canonicalName4822->definitionModule = modulename;
  meth_meth_ast_canonicalName4822->definitionLine = 1116;
// method "isCall"
  struct UserObject *uo4836 = (struct UserObject*)obj4796;
  uo4836->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall4836 = addmethod2pos(obj4796, "isCall", &meth_ast_isCall4836, 10);
  int argcv_meth_ast_isCall4836[] = {0};
  meth_meth_ast_isCall4836->type = alloc_MethodType(1, argcv_meth_ast_isCall4836);
  meth_meth_ast_isCall4836->definitionModule = modulename;
  meth_meth_ast_isCall4836->definitionLine = 1122;
// method "returnsObject"
  struct UserObject *uo4838 = (struct UserObject*)obj4796;
  uo4838->data[11] = emptyclosure;
  Method *meth_meth_ast_returnsObject4838 = addmethod2pos(obj4796, "returnsObject", &meth_ast_returnsObject4838, 11);
  int argcv_meth_ast_returnsObject4838[] = {0};
  meth_meth_ast_returnsObject4838->type = alloc_MethodType(1, argcv_meth_ast_returnsObject4838);
  meth_meth_ast_returnsObject4838->definitionModule = modulename;
  meth_meth_ast_returnsObject4838->definitionLine = 1123;
// method "returnedObjectScope"
  struct UserObject *uo4884 = (struct UserObject*)obj4796;
  uo4884->data[12] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope4884 = addmethod2pos(obj4796, "returnedObjectScope", &meth_ast_returnedObjectScope4884, 12);
  int argcv_meth_ast_returnedObjectScope4884[] = {0};
  meth_meth_ast_returnedObjectScope4884->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope4884);
  meth_meth_ast_returnedObjectScope4884->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope4884->definitionLine = 1132;
// method "arguments"
  struct UserObject *uo4887 = (struct UserObject*)obj4796;
  uo4887->data[13] = emptyclosure;
  Method *meth_meth_ast_arguments4887 = addmethod2pos(obj4796, "arguments", &meth_ast_arguments4887, 13);
  int argcv_meth_ast_arguments4887[] = {0};
  meth_meth_ast_arguments4887->type = alloc_MethodType(1, argcv_meth_ast_arguments4887);
  meth_meth_ast_arguments4887->definitionModule = modulename;
  meth_meth_ast_arguments4887->definitionLine = 1136;
// method "argumentsDo(_)"
  struct UserObject *uo4905 = (struct UserObject*)obj4796;
  uo4905->data[14] = emptyclosure;
  Method *meth_meth_ast_argumentsDo_40_1_41_4905 = addmethod2pos(obj4796, "argumentsDo(1)", &meth_ast_argumentsDo_40_1_41_4905, 14);
  int argcv_meth_ast_argumentsDo_40_1_41_4905[] = {1};
  meth_meth_ast_argumentsDo_40_1_41_4905->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo_40_1_41_4905);
  meth_meth_ast_argumentsDo_40_1_41_4905->definitionModule = modulename;
  meth_meth_ast_argumentsDo_40_1_41_4905->definitionLine = 1144;
// method "accept(_)from(_)"
  struct UserObject *uo4922 = (struct UserObject*)obj4796;
  uo4922->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_4922 = addmethod2pos(obj4796, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_4922, 15);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_4922[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_4922);
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->definitionLine = 1150;
// method "map(_)ancestors(_)"
  struct UserObject *uo4964 = (struct UserObject*)obj4796;
  uo4964->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964 = addmethod2pos(obj4796, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4964, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4964[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4964);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->definitionLine = 1166;
// method "pretty(_)"
  struct UserObject *uo4997 = (struct UserObject*)obj4796;
  uo4997->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4997 = addmethod2pos(obj4796, "pretty(1)", &meth_ast_pretty_40_1_41_4997, 17);
  int argcv_meth_ast_pretty_40_1_41_4997[] = {1};
  meth_meth_ast_pretty_40_1_41_4997->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4997);
  meth_meth_ast_pretty_40_1_41_4997->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4997->definitionLine = 1174;
// method "toGrace(_)"
  struct UserObject *uo5163 = (struct UserObject*)obj4796;
  uo5163->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5163 = addmethod2pos(obj4796, "toGrace(1)", &meth_ast_toGrace_40_1_41_5163, 18);
  int argcv_meth_ast_toGrace_40_1_41_5163[] = {1};
  meth_meth_ast_toGrace_40_1_41_5163->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5163);
meth_meth_ast_toGrace_40_1_41_5163->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5163->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5163->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5163->definitionLine = 1198;
// method "asIdentifier"
  block_savedest(obj4796);
  Object closure5236 = createclosure(2, "asIdentifier");
  setclosureframe(closure5236, stackframe);
  addtoclosure(closure5236, var_fakeSymbolTable);
  addtoclosure(closure5236, var_identifierNode);
  struct UserObject *uo5236 = (struct UserObject*)obj4796;
  uo5236->data[19] = (Object)closure5236;
  Method *meth_meth_ast_asIdentifier5236 = addmethod2pos(obj4796, "asIdentifier", &meth_ast_asIdentifier5236, 19);
  int argcv_meth_ast_asIdentifier5236[] = {0};
  meth_meth_ast_asIdentifier5236->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier5236);
  meth_meth_ast_asIdentifier5236->definitionModule = modulename;
  meth_meth_ast_asIdentifier5236->definitionLine = 1211;
// method "asString"
  struct UserObject *uo5276 = (struct UserObject*)obj4796;
  uo5276->data[20] = emptyclosure;
  Method *meth_meth_ast_asString5276 = addmethod2pos(obj4796, "asString", &meth_ast_asString5276, 20);
  int argcv_meth_ast_asString5276[] = {0};
  meth_meth_ast_asString5276->type = alloc_MethodType(1, argcv_meth_ast_asString5276);
  meth_meth_ast_asString5276->definitionModule = modulename;
  meth_meth_ast_asString5276->definitionLine = 1222;
// method "shallowCopy"
  block_savedest(obj4796);
  Object closure5290 = createclosure(1, "shallowCopy");
  setclosureframe(closure5290, stackframe);
  addtoclosure(closure5290, var_callNode);
  struct UserObject *uo5290 = (struct UserObject*)obj4796;
  uo5290->data[21] = (Object)closure5290;
  Method *meth_meth_ast_shallowCopy5290 = addmethod2pos(obj4796, "shallowCopy", &meth_ast_shallowCopy5290, 21);
  int argcv_meth_ast_shallowCopy5290[] = {0};
  meth_meth_ast_shallowCopy5290->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5290);
  meth_meth_ast_shallowCopy5290->definitionModule = modulename;
  meth_meth_ast_shallowCopy5290->definitionLine = 1223;
// method "postCopy(_)"
  struct UserObject *uo5299 = (struct UserObject*)obj4796;
  uo5299->data[22] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5299 = addmethod2pos(obj4796, "postCopy(1)", &meth_ast_postCopy_40_1_41_5299, 22);
  int argcv_meth_ast_postCopy_40_1_41_5299[] = {1};
  meth_meth_ast_postCopy_40_1_41_5299->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5299);
  meth_meth_ast_postCopy_40_1_41_5299->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5299->definitionLine = 1226;
// method "statementName"
  struct UserObject *uo5308 = (struct UserObject*)obj4796;
  uo5308->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName5308 = addmethod2pos(obj4796, "statementName", &meth_ast_statementName5308, 23);
  int argcv_meth_ast_statementName5308[] = {0};
  meth_meth_ast_statementName5308->type = alloc_MethodType(1, argcv_meth_ast_statementName5308);
  meth_meth_ast_statementName5308->definitionModule = modulename;
  meth_meth_ast_statementName5308->definitionLine = 1231;
  sourceObject = obj4796;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5310 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5311 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5312 = gc_frame_new();
// call case 3: self.outer request
  Object call5313 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5312);
// compiled member node returning call5313 (depth = 5)
  Object call5314 = callmethodflags(call5313, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5311);
// compiled member node returning call5314 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5315 = callmethodflags(call5314, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5310);
// compiled call node returning call5315 (depth = 3)
  struct UserObject *obj4796_uo = (struct UserObject *)obj4796;
  obj4796_uo->super = call5315;
  sourceObject = obj4796;
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5316 == NULL) {
    strlit5316 = alloc_String("call");
    gc_root(strlit5316);
  }
// compiled string node returning strlit5316 (depth = 3)
  adddatum2(obj4796, strlit5316, 1);
  sourceObject = obj4796;
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj4796, *var_parts, 2);
  sourceObject = obj4796;
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5317 = alloc_Boolean(0);
// compiled identifier node returning bool5317 (depth = 3)
  adddatum2(obj4796, bool5317, 3);
  sourceObject = obj4796;
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5318 = alloc_Boolean(0);
// compiled identifier node returning bool5318 (depth = 3)
  adddatum2(obj4796, bool5318, 4);
  sourceObject = obj4796;
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj4796, *var_receiver_39_, 5);
  sourceObject = obj4796;
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5319 = alloc_Boolean(0);
// compiled identifier node returning bool5319 (depth = 3)
  adddatum2(obj4796, bool5319, 6);
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  objclass4796 = obj4796->class;
  objclass4796->definitionModule = modulename;
  objclass4796->definitionLine = 1092;
  (*(struct UserObject *)self).data[0] = lowerouter4796;
  self = oldself4796;
  selfslot = oldselfslot4796;
  stackframe = oldstackframe4796;
  gc_frame_end(frame);
  return obj4796;
}
Object meth_ast_new_40_2_41_4795_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_callNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4796 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4796 = alloc_userobj2(28,24, objclass4796);
  gc_frame_newslot(obj4796);
if (objclass4796 == NULL) {
  glfree(obj4796->class->name);
  obj4796->class->name = "callNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4796, self, 0);
  addmethodreal(obj4796,"outer", &reader_ast_outer_4797);
  Object oldself4796 = self;
  struct StackFrameObject *oldstackframe4796 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4796);
  gc_frame_newslot((Object)stackframe);
  self = obj4796;
  Object *oldselfslot4796 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4796 = (*(struct UserObject *)self).data[0], lowerouter4796 = thisouter4796;
  if (inheritingObject4796) {
    struct UserObject *inho4796 = (struct UserObject *)inheritingObject4796;
    while (inho4796->super != GraceDefaultObject) inho4796 = (struct UserObject *)inho4796->super;
    inho4796->super = obj4796;
    self = inheritingObject4796;
    *selfslot = self;
    lowerouter4796 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4796;
  }
if (objclass4796 == NULL) {
  Method *reader4798 = addmethodrealflags(obj4796, "kind",&reader_ast_kind_4798, MFLAG_DEF);
  reader4798->definitionModule = modulename;
  reader4798->definitionLine = 1098;
}
adddatum2(obj4796, alloc_Undefined(), 1);
if (objclass4796 == NULL) {
  Method *reader4799 = addmethodrealflags(obj4796, "with", &reader_ast_with_4799, 0);
  Method *writer4799 = addmethodrealflags(obj4796, "with:=(1)", &writer_ast_with_4799, 0);
  reader4799->definitionModule = modulename;
  writer4799->definitionModule = modulename;
  reader4799->definitionLine = 1099;
  writer4799->definitionLine = 1099;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 2);
if (objclass4796 == NULL) {
  Method *reader4800 = addmethodrealflags(obj4796, "generics", &reader_ast_generics_4800, 0);
  Method *writer4800 = addmethodrealflags(obj4796, "generics:=(1)", &writer_ast_generics_4800, 0);
  reader4800->definitionModule = modulename;
  writer4800->definitionModule = modulename;
  reader4800->definitionLine = 1100;
  writer4800->definitionLine = 1100;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 3);
if (objclass4796 == NULL) {
  Method *reader4801 = addmethodrealflags(obj4796, "isPattern", &reader_ast_isPattern_4801, 0);
  Method *writer4801 = addmethodrealflags(obj4796, "isPattern:=(1)", &writer_ast_isPattern_4801, 0);
  reader4801->definitionModule = modulename;
  writer4801->definitionModule = modulename;
  reader4801->definitionLine = 1101;
  writer4801->definitionLine = 1101;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 4);
if (objclass4796 == NULL) {
  Method *reader4802 = addmethodrealflags(obj4796, "receiver", &reader_ast_receiver_4802, 0);
  Method *writer4802 = addmethodrealflags(obj4796, "receiver:=(1)", &writer_ast_receiver_4802, 0);
  reader4802->definitionModule = modulename;
  writer4802->definitionModule = modulename;
  reader4802->definitionLine = 1102;
  writer4802->definitionLine = 1102;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 5);
if (objclass4796 == NULL) {
  Method *reader4803 = addmethodrealflags(obj4796, "isSelfRequest", &reader_ast_isSelfRequest_4803, 0);
  Method *writer4803 = addmethodrealflags(obj4796, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_4803, 0);
  reader4803->definitionModule = modulename;
  writer4803->definitionModule = modulename;
  reader4803->definitionLine = 1103;
  writer4803->definitionLine = 1103;
}
obj4796->flags |= OFLAG_MUTABLE;
adddatum2(obj4796, alloc_Undefined(), 6);
// method "onSelf"
  struct UserObject *uo4804 = (struct UserObject*)obj4796;
  uo4804->data[7] = emptyclosure;
  Method *meth_meth_ast_onSelf4804 = addmethod2pos(obj4796, "onSelf", &meth_ast_onSelf4804, 7);
  int argcv_meth_ast_onSelf4804[] = {0};
  meth_meth_ast_onSelf4804->type = alloc_MethodType(1, argcv_meth_ast_onSelf4804);
  meth_meth_ast_onSelf4804->definitionModule = modulename;
  meth_meth_ast_onSelf4804->definitionLine = 1105;
// method "nameString"
  struct UserObject *uo4808 = (struct UserObject*)obj4796;
  uo4808->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString4808 = addmethod2pos(obj4796, "nameString", &meth_ast_nameString4808, 8);
  int argcv_meth_ast_nameString4808[] = {0};
  meth_meth_ast_nameString4808->type = alloc_MethodType(1, argcv_meth_ast_nameString4808);
  meth_meth_ast_nameString4808->definitionModule = modulename;
  meth_meth_ast_nameString4808->definitionLine = 1111;
// method "canonicalName"
  struct UserObject *uo4822 = (struct UserObject*)obj4796;
  uo4822->data[9] = emptyclosure;
  Method *meth_meth_ast_canonicalName4822 = addmethod2pos(obj4796, "canonicalName", &meth_ast_canonicalName4822, 9);
  int argcv_meth_ast_canonicalName4822[] = {0};
  meth_meth_ast_canonicalName4822->type = alloc_MethodType(1, argcv_meth_ast_canonicalName4822);
  meth_meth_ast_canonicalName4822->definitionModule = modulename;
  meth_meth_ast_canonicalName4822->definitionLine = 1116;
// method "isCall"
  struct UserObject *uo4836 = (struct UserObject*)obj4796;
  uo4836->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall4836 = addmethod2pos(obj4796, "isCall", &meth_ast_isCall4836, 10);
  int argcv_meth_ast_isCall4836[] = {0};
  meth_meth_ast_isCall4836->type = alloc_MethodType(1, argcv_meth_ast_isCall4836);
  meth_meth_ast_isCall4836->definitionModule = modulename;
  meth_meth_ast_isCall4836->definitionLine = 1122;
// method "returnsObject"
  struct UserObject *uo4838 = (struct UserObject*)obj4796;
  uo4838->data[11] = emptyclosure;
  Method *meth_meth_ast_returnsObject4838 = addmethod2pos(obj4796, "returnsObject", &meth_ast_returnsObject4838, 11);
  int argcv_meth_ast_returnsObject4838[] = {0};
  meth_meth_ast_returnsObject4838->type = alloc_MethodType(1, argcv_meth_ast_returnsObject4838);
  meth_meth_ast_returnsObject4838->definitionModule = modulename;
  meth_meth_ast_returnsObject4838->definitionLine = 1123;
// method "returnedObjectScope"
  struct UserObject *uo4884 = (struct UserObject*)obj4796;
  uo4884->data[12] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope4884 = addmethod2pos(obj4796, "returnedObjectScope", &meth_ast_returnedObjectScope4884, 12);
  int argcv_meth_ast_returnedObjectScope4884[] = {0};
  meth_meth_ast_returnedObjectScope4884->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope4884);
  meth_meth_ast_returnedObjectScope4884->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope4884->definitionLine = 1132;
// method "arguments"
  struct UserObject *uo4887 = (struct UserObject*)obj4796;
  uo4887->data[13] = emptyclosure;
  Method *meth_meth_ast_arguments4887 = addmethod2pos(obj4796, "arguments", &meth_ast_arguments4887, 13);
  int argcv_meth_ast_arguments4887[] = {0};
  meth_meth_ast_arguments4887->type = alloc_MethodType(1, argcv_meth_ast_arguments4887);
  meth_meth_ast_arguments4887->definitionModule = modulename;
  meth_meth_ast_arguments4887->definitionLine = 1136;
// method "argumentsDo(_)"
  struct UserObject *uo4905 = (struct UserObject*)obj4796;
  uo4905->data[14] = emptyclosure;
  Method *meth_meth_ast_argumentsDo_40_1_41_4905 = addmethod2pos(obj4796, "argumentsDo(1)", &meth_ast_argumentsDo_40_1_41_4905, 14);
  int argcv_meth_ast_argumentsDo_40_1_41_4905[] = {1};
  meth_meth_ast_argumentsDo_40_1_41_4905->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo_40_1_41_4905);
  meth_meth_ast_argumentsDo_40_1_41_4905->definitionModule = modulename;
  meth_meth_ast_argumentsDo_40_1_41_4905->definitionLine = 1144;
// method "accept(_)from(_)"
  struct UserObject *uo4922 = (struct UserObject*)obj4796;
  uo4922->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_4922 = addmethod2pos(obj4796, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_4922, 15);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_4922[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_4922);
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_4922->definitionLine = 1150;
// method "map(_)ancestors(_)"
  struct UserObject *uo4964 = (struct UserObject*)obj4796;
  uo4964->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964 = addmethod2pos(obj4796, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4964, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4964[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4964);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4964->definitionLine = 1166;
// method "pretty(_)"
  struct UserObject *uo4997 = (struct UserObject*)obj4796;
  uo4997->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4997 = addmethod2pos(obj4796, "pretty(1)", &meth_ast_pretty_40_1_41_4997, 17);
  int argcv_meth_ast_pretty_40_1_41_4997[] = {1};
  meth_meth_ast_pretty_40_1_41_4997->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4997);
  meth_meth_ast_pretty_40_1_41_4997->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4997->definitionLine = 1174;
// method "toGrace(_)"
  struct UserObject *uo5163 = (struct UserObject*)obj4796;
  uo5163->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5163 = addmethod2pos(obj4796, "toGrace(1)", &meth_ast_toGrace_40_1_41_5163, 18);
  int argcv_meth_ast_toGrace_40_1_41_5163[] = {1};
  meth_meth_ast_toGrace_40_1_41_5163->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5163);
meth_meth_ast_toGrace_40_1_41_5163->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5163->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5163->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5163->definitionLine = 1198;
// method "asIdentifier"
  block_savedest(obj4796);
  Object closure5236 = createclosure(2, "asIdentifier");
  setclosureframe(closure5236, stackframe);
  addtoclosure(closure5236, var_fakeSymbolTable);
  addtoclosure(closure5236, var_identifierNode);
  struct UserObject *uo5236 = (struct UserObject*)obj4796;
  uo5236->data[19] = (Object)closure5236;
  Method *meth_meth_ast_asIdentifier5236 = addmethod2pos(obj4796, "asIdentifier", &meth_ast_asIdentifier5236, 19);
  int argcv_meth_ast_asIdentifier5236[] = {0};
  meth_meth_ast_asIdentifier5236->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier5236);
  meth_meth_ast_asIdentifier5236->definitionModule = modulename;
  meth_meth_ast_asIdentifier5236->definitionLine = 1211;
// method "asString"
  struct UserObject *uo5276 = (struct UserObject*)obj4796;
  uo5276->data[20] = emptyclosure;
  Method *meth_meth_ast_asString5276 = addmethod2pos(obj4796, "asString", &meth_ast_asString5276, 20);
  int argcv_meth_ast_asString5276[] = {0};
  meth_meth_ast_asString5276->type = alloc_MethodType(1, argcv_meth_ast_asString5276);
  meth_meth_ast_asString5276->definitionModule = modulename;
  meth_meth_ast_asString5276->definitionLine = 1222;
// method "shallowCopy"
  block_savedest(obj4796);
  Object closure5290 = createclosure(1, "shallowCopy");
  setclosureframe(closure5290, stackframe);
  addtoclosure(closure5290, var_callNode);
  struct UserObject *uo5290 = (struct UserObject*)obj4796;
  uo5290->data[21] = (Object)closure5290;
  Method *meth_meth_ast_shallowCopy5290 = addmethod2pos(obj4796, "shallowCopy", &meth_ast_shallowCopy5290, 21);
  int argcv_meth_ast_shallowCopy5290[] = {0};
  meth_meth_ast_shallowCopy5290->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5290);
  meth_meth_ast_shallowCopy5290->definitionModule = modulename;
  meth_meth_ast_shallowCopy5290->definitionLine = 1223;
// method "postCopy(_)"
  struct UserObject *uo5299 = (struct UserObject*)obj4796;
  uo5299->data[22] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5299 = addmethod2pos(obj4796, "postCopy(1)", &meth_ast_postCopy_40_1_41_5299, 22);
  int argcv_meth_ast_postCopy_40_1_41_5299[] = {1};
  meth_meth_ast_postCopy_40_1_41_5299->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5299);
  meth_meth_ast_postCopy_40_1_41_5299->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5299->definitionLine = 1226;
// method "statementName"
  struct UserObject *uo5308 = (struct UserObject*)obj4796;
  uo5308->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName5308 = addmethod2pos(obj4796, "statementName", &meth_ast_statementName5308, 23);
  int argcv_meth_ast_statementName5308[] = {0};
  meth_meth_ast_statementName5308->type = alloc_MethodType(1, argcv_meth_ast_statementName5308);
  meth_meth_ast_statementName5308->definitionModule = modulename;
  meth_meth_ast_statementName5308->definitionLine = 1231;
  sourceObject = obj4796;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5310 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5311 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5312 = gc_frame_new();
// call case 3: self.outer request
  Object call5313 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5312);
// compiled member node returning call5313 (depth = 5)
  Object call5314 = callmethodflags(call5313, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5311);
// compiled member node returning call5314 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5315 = callmethodflags(call5314, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5310);
// compiled call node returning call5315 (depth = 3)
  struct UserObject *obj4796_uo = (struct UserObject *)obj4796;
  obj4796_uo->super = call5315;
  sourceObject = obj4796;
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5316 == NULL) {
    strlit5316 = alloc_String("call");
    gc_root(strlit5316);
  }
// compiled string node returning strlit5316 (depth = 3)
  adddatum2(obj4796, strlit5316, 1);
  sourceObject = obj4796;
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj4796, *var_parts, 2);
  sourceObject = obj4796;
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5317 = alloc_Boolean(0);
// compiled identifier node returning bool5317 (depth = 3)
  adddatum2(obj4796, bool5317, 3);
  sourceObject = obj4796;
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5318 = alloc_Boolean(0);
// compiled identifier node returning bool5318 (depth = 3)
  adddatum2(obj4796, bool5318, 4);
  sourceObject = obj4796;
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj4796, *var_receiver_39_, 5);
  sourceObject = obj4796;
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5319 = alloc_Boolean(0);
// compiled identifier node returning bool5319 (depth = 3)
  adddatum2(obj4796, bool5319, 6);
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  sourceObject = obj4796;
  objclass4796 = obj4796->class;
  objclass4796->definitionModule = modulename;
  objclass4796->definitionLine = 1092;
  (*(struct UserObject *)self).data[0] = lowerouter4796;
  self = oldself4796;
  selfslot = oldselfslot4796;
  stackframe = oldstackframe4796;
  gc_frame_end(frame);
  return obj4796;
}
Object meth_ast_callNode5321(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_callNode (depth = 3)
  gc_frame_end(frame);
  return *var_callNode;
}
Object meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5325 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5326 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5325);
// compiled call node returning call5326 (depth = 4)
  *var_result = call5326;
  if (call5326 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5327 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5328 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5327);
// compiled call node returning call5328 (depth = 3)
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5329 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5330 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5329);
// compiled call node returning call5330 (depth = 3)
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_body_40_1_41_named_40_1_41_5331(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5332 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5333 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5332);
// compiled call node returning call5333 (depth = 4)
  *var_result = call5333;
  if (call5333 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5334 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5335 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5334);
// compiled call node returning call5335 (depth = 3)
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isModule5342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isModule");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5343 = alloc_Boolean(1);
// compiled identifier node returning bool5343 (depth = 3)
  gc_frame_end(frame);
  return bool5343;
}
Object meth_ast_returnsObject5344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5345 = alloc_Boolean(0);
// compiled identifier node returning bool5345 (depth = 3)
  gc_frame_end(frame);
  return bool5345;
}
Object meth_ast__apply_40_1_41_5349(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5351 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5352 = callmethodflags(*var_o, "isExternal", 0, partcv, params, 0);
  gc_frame_end(callframe5351);
// compiled member node returning call5352 (depth = 6)
  Object if5350 = done;
  if (istrue(call5352)) {
// starting to compile call node (depth = 6)
  int callframe5353 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5354 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5353);
// compiled call node returning call5354 (depth = 6)
    gc_frame_newslot(call5354);
    if5350 = call5354;
  } else {
  }
// compiled if node returning if5350 (depth = 5)
  gc_frame_end(frame);
  return if5350;
}
Object meth_ast_externalsDo_40_1_41_5346(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "externalsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method externalsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for externalsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part externalsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5347 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5348 = alloc_Block(NULL, NULL, "ast", 1257);
  gc_frame_newslot(block5348);
// method "_apply(_)"
  block_savedest(block5348);
  Object closure5349 = createclosure(2, "_apply(1)");
  setclosureframe(closure5349, stackframe);
  addtoclosure(closure5349, var_action);
  addtoclosure(closure5349, selfslot);
  struct UserObject *uo5349 = (struct UserObject*)block5348;
  uo5349->data[0] = (Object)closure5349;
  Method *meth_meth_ast__apply_40_1_41_5349 = addmethod2pos(block5348, "_apply(1)", &meth_ast__apply_40_1_41_5349, 0);
  int argcv_meth_ast__apply_40_1_41_5349[] = {1};
  meth_meth_ast__apply_40_1_41_5349->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5349);
  meth_meth_ast__apply_40_1_41_5349->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5349->definitionLine = 2984;
// compiled block node returning block5348 (depth = 4)
  gc_frame_newslot(block5348);
// call case 6: other requests
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5356 = gc_frame_new();
// call case 4: self request
  Object call5357 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5356);
// compiled member node returning call5357 (depth = 4)
  params[0] = block5348;
  partcv[0] = 1;
  Object call5358 = callmethodflags(call5357, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5347);
// compiled call node returning call5358 (depth = 3)
  gc_frame_end(frame);
  return call5358;
}
Object meth_ast__apply_40_1_41_5380(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5381 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5382 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5381);
// compiled call node returning call5382 (depth = 6)
  gc_frame_end(frame);
  return call5382;
}
Object meth_ast_accept_40_1_41_from_40_1_41_5359(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5361 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5362 = callmethodflags(*var_visitor, "visitModule(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5361);
// compiled call node returning call5362 (depth = 4)
  Object if5360 = done;
  if (istrue(call5362)) {
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5363 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5364 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5363);
// compiled call node returning call5364 (depth = 5)
  *var_newChain = call5364;
  if (call5364 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5367 = gc_frame_new();
// call case 4: self request
  Object call5368 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5367);
// compiled member node returning call5368 (depth = 6)
  int op_slot_right_5366 = gc_frame_newslot(call5368);
// starting to compile identifier node (depth = 6)
  Object bool5370 = alloc_Boolean(0);
// compiled identifier node returning bool5370 (depth = 6)
  int op_slot_left_5366 = gc_frame_newslot(bool5370);
  params[0] = call5368;
  partcv[0] = 1;
  Object opresult5371 = callmethod(bool5370, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5371 (depth = 5)
  Object if5365 = done;
  if (istrue(opresult5371)) {
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5372 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5373 = gc_frame_new();
// call case 4: self request
  Object call5374 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5373);
// compiled member node returning call5374 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5375 = callmethodflags(call5374, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5372);
// compiled call node returning call5375 (depth = 5)
    gc_frame_newslot(call5375);
    if5365 = call5375;
  } else {
  }
// compiled if node returning if5365 (depth = 4)
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5376 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5377 = gc_frame_new();
// call case 4: self request
  Object call5378 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5377);
// compiled member node returning call5378 (depth = 5)
  gc_frame_newslot(call5378);
// starting to compile block node (depth = 5)
  Object block5379 = alloc_Block(NULL, NULL, "ast", 1267);
  gc_frame_newslot(block5379);
// method "_apply(_)"
  block_savedest(block5379);
  Object closure5380 = createclosure(3, "_apply(1)");
  setclosureframe(closure5380, stackframe);
  addtoclosure(closure5380, var_visitor);
  addtoclosure(closure5380, var_newChain);
  addtoclosure(closure5380, selfslot);
  struct UserObject *uo5380 = (struct UserObject*)block5379;
  uo5380->data[0] = (Object)closure5380;
  Method *meth_meth_ast__apply_40_1_41_5380 = addmethod2pos(block5379, "_apply(1)", &meth_ast__apply_40_1_41_5380, 0);
  int argcv_meth_ast__apply_40_1_41_5380[] = {1};
  meth_meth_ast__apply_40_1_41_5380->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5380);
  meth_meth_ast__apply_40_1_41_5380->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5380->definitionLine = 2984;
// compiled block node returning block5379 (depth = 5)
  gc_frame_newslot(block5379);
// call case 5: prelude request
  params[0] = call5378;
  params[1] = block5379;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5384 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5376);
// compiled call node returning call5384 (depth = 4)
    gc_frame_newslot(call5384);
    if5360 = call5384;
  } else {
  }
// compiled if node returning if5360 (depth = 3)
  gc_frame_end(frame);
  return if5360;
}
Object meth_ast_shallowCopy5385(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5386 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5387 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call5388 = callmethodflags(*var_moduleNode, "body(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5387);
// compiled call node returning call5388 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5389 = callmethodflags(call5388, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5386);
// compiled call node returning call5389 (depth = 3)
  gc_frame_end(frame);
  return call5389;
}
Object meth_ast_postCopy_40_1_41_5390(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5391 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5393 = callmethodflags(*var_other, "imports", 0, partcv, params, 0);
  gc_frame_end(callframe5392);
// compiled member node returning call5393 (depth = 4)
  gc_frame_newslot(call5393);
// call case 4: self request
  params[0] = call5393;
  partcv[0] = 1;
  Object call5394 = callmethodflags(self, "imports:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5391);
// compiled call node returning call5394 (depth = 3)
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5395 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5396 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5397 = callmethodflags(*var_other, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5396);
// compiled member node returning call5397 (depth = 4)
  gc_frame_newslot(call5397);
// call case 4: self request
  params[0] = call5397;
  partcv[0] = 1;
  Object call5398 = callmethodflags(self, "name:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5395);
// compiled call node returning call5398 (depth = 3)
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5399 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5400 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5401 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5400);
// compiled member node returning call5401 (depth = 4)
  gc_frame_newslot(call5401);
// call case 4: self request
  params[0] = call5401;
  partcv[0] = 1;
  Object call5402 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5399);
// compiled call node returning call5402 (depth = 3)
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5403 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5404 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5405 = callmethodflags(*var_other, "superclass", 0, partcv, params, 0);
  gc_frame_end(callframe5404);
// compiled member node returning call5405 (depth = 4)
  gc_frame_newslot(call5405);
// call case 4: self request
  params[0] = call5405;
  partcv[0] = 1;
  Object call5406 = callmethodflags(self, "superclass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5403);
// compiled call node returning call5406 (depth = 3)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5407 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5408 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5409 = callmethodflags(*var_other, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe5408);
// compiled member node returning call5409 (depth = 4)
  gc_frame_newslot(call5409);
// call case 4: self request
  params[0] = call5409;
  partcv[0] = 1;
  Object call5410 = callmethodflags(self, "usedTraits:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5407);
// compiled call node returning call5410 (depth = 3)
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5411 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5413 = callmethodflags(*var_other, "inClass", 0, partcv, params, 0);
  gc_frame_end(callframe5412);
// compiled member node returning call5413 (depth = 4)
  gc_frame_newslot(call5413);
// call case 4: self request
  params[0] = call5413;
  partcv[0] = 1;
  Object call5414 = callmethodflags(self, "inClass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5411);
// compiled call node returning call5414 (depth = 3)
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5415 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5416 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5417 = callmethodflags(*var_other, "inTrait", 0, partcv, params, 0);
  gc_frame_end(callframe5416);
// compiled member node returning call5417 (depth = 4)
  gc_frame_newslot(call5417);
// call case 4: self request
  params[0] = call5417;
  partcv[0] = 1;
  Object call5418 = callmethodflags(self, "inTrait:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5415);
// compiled call node returning call5418 (depth = 3)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5419 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5421 = callmethodflags(*var_other, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe5420);
// compiled member node returning call5421 (depth = 4)
  gc_frame_newslot(call5421);
// call case 4: self request
  params[0] = call5421;
  partcv[0] = 1;
  Object call5422 = callmethodflags(self, "annotations:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5419);
// compiled call node returning call5422 (depth = 3)
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_body_40_1_41_5336(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5337 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5337 = alloc_userobj2(12,12, objclass5337);
  gc_frame_newslot(obj5337);
if (objclass5337 == NULL) {
  glfree(obj5337->class->name);
  obj5337->class->name = "moduleNode.body(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5337, self, 0);
  addmethodreal(obj5337,"outer", &reader_ast_outer_5338);
  Object oldself5337 = self;
  struct StackFrameObject *oldstackframe5337 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5337);
  gc_frame_newslot((Object)stackframe);
  self = obj5337;
  Object *oldselfslot5337 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5337 = (*(struct UserObject *)self).data[0], lowerouter5337 = thisouter5337;
  if (inheritingObject5337) {
    struct UserObject *inho5337 = (struct UserObject *)inheritingObject5337;
    while (inho5337->super != GraceDefaultObject) inho5337 = (struct UserObject *)inho5337->super;
    inho5337->super = obj5337;
    self = inheritingObject5337;
    *selfslot = self;
    lowerouter5337 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5337;
  }
if (objclass5337 == NULL) {
  Method *reader5339 = addmethodrealflags(obj5337, "kind",&reader_ast_kind_5339, MFLAG_DEF);
  reader5339->definitionModule = modulename;
  reader5339->definitionLine = 1248;
}
adddatum2(obj5337, alloc_Undefined(), 1);
if (objclass5337 == NULL) {
  Method *reader5340 = addmethodrealflags(obj5337, "sourceLines",&reader_ast_sourceLines_5340, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5340->definitionModule = modulename;
  reader5340->definitionLine = 1249;
}
adddatum2(obj5337, alloc_Undefined(), 2);
if (objclass5337 == NULL) {
  Method *reader5341 = addmethodrealflags(obj5337, "imports", &reader_ast_imports_5341, 0);
  Method *writer5341 = addmethodrealflags(obj5337, "imports:=(1)", &writer_ast_imports_5341, 0);
  reader5341->definitionModule = modulename;
  writer5341->definitionModule = modulename;
  reader5341->definitionLine = 1252;
  writer5341->definitionLine = 1252;
}
obj5337->flags |= OFLAG_MUTABLE;
adddatum2(obj5337, alloc_Undefined(), 3);
// method "isModule"
  struct UserObject *uo5342 = (struct UserObject*)obj5337;
  uo5342->data[4] = emptyclosure;
  Method *meth_meth_ast_isModule5342 = addmethod2pos(obj5337, "isModule", &meth_ast_isModule5342, 4);
  int argcv_meth_ast_isModule5342[] = {0};
  meth_meth_ast_isModule5342->type = alloc_MethodType(1, argcv_meth_ast_isModule5342);
  meth_meth_ast_isModule5342->definitionModule = modulename;
  meth_meth_ast_isModule5342->definitionLine = 1254;
// method "returnsObject"
  struct UserObject *uo5344 = (struct UserObject*)obj5337;
  uo5344->data[5] = emptyclosure;
  Method *meth_meth_ast_returnsObject5344 = addmethod2pos(obj5337, "returnsObject", &meth_ast_returnsObject5344, 5);
  int argcv_meth_ast_returnsObject5344[] = {0};
  meth_meth_ast_returnsObject5344->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5344);
  meth_meth_ast_returnsObject5344->definitionModule = modulename;
  meth_meth_ast_returnsObject5344->definitionLine = 1255;
// method "externalsDo(_)"
  struct UserObject *uo5346 = (struct UserObject*)obj5337;
  uo5346->data[6] = emptyclosure;
  Method *meth_meth_ast_externalsDo_40_1_41_5346 = addmethod2pos(obj5337, "externalsDo(1)", &meth_ast_externalsDo_40_1_41_5346, 6);
  int argcv_meth_ast_externalsDo_40_1_41_5346[] = {1};
  meth_meth_ast_externalsDo_40_1_41_5346->type = alloc_MethodType(1, argcv_meth_ast_externalsDo_40_1_41_5346);
  meth_meth_ast_externalsDo_40_1_41_5346->definitionModule = modulename;
  meth_meth_ast_externalsDo_40_1_41_5346->definitionLine = 1256;
// method "accept(_)from(_)"
  struct UserObject *uo5359 = (struct UserObject*)obj5337;
  uo5359->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5359 = addmethod2pos(obj5337, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5359, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5359[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5359);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->definitionLine = 1261;
// method "shallowCopy"
  block_savedest(obj5337);
  Object closure5385 = createclosure(2, "shallowCopy");
  setclosureframe(closure5385, stackframe);
  addtoclosure(closure5385, var_emptySeq);
  addtoclosure(closure5385, var_moduleNode);
  struct UserObject *uo5385 = (struct UserObject*)obj5337;
  uo5385->data[8] = (Object)closure5385;
  Method *meth_meth_ast_shallowCopy5385 = addmethod2pos(obj5337, "shallowCopy", &meth_ast_shallowCopy5385, 8);
  int argcv_meth_ast_shallowCopy5385[] = {0};
  meth_meth_ast_shallowCopy5385->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5385);
  meth_meth_ast_shallowCopy5385->definitionModule = modulename;
  meth_meth_ast_shallowCopy5385->definitionLine = 1272;
// method "postCopy(_)"
  struct UserObject *uo5390 = (struct UserObject*)obj5337;
  uo5390->data[9] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5390 = addmethod2pos(obj5337, "postCopy(1)", &meth_ast_postCopy_40_1_41_5390, 9);
  int argcv_meth_ast_postCopy_40_1_41_5390[] = {1};
  meth_meth_ast_postCopy_40_1_41_5390->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5390);
  meth_meth_ast_postCopy_40_1_41_5390->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5390->definitionLine = 1275;
  sourceObject = obj5337;
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5423 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5424 = alloc_Boolean(0);
// compiled identifier node returning bool5424 (depth = 4)
  gc_frame_newslot(bool5424);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5424;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5425 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5423);
// compiled call node returning call5425 (depth = 3)
  struct UserObject *obj5337_uo = (struct UserObject *)obj5337;
  obj5337_uo->super = call5425;
  sourceObject = obj5337;
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5426 == NULL) {
    strlit5426 = alloc_String("module");
    gc_root(strlit5426);
  }
// compiled string node returning strlit5426 (depth = 3)
  adddatum2(obj5337, strlit5426, 1);
  sourceObject = obj5337;
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5428 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5427);
// compiled member node returning call5428 (depth = 3)
  adddatum2(obj5337, call5428, 2);
  sourceObject = obj5337;
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5429 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5430 = alloc_Float64(0);
// compiled num node returning num5430 (depth = 4)
  gc_frame_newslot(num5430);
// call case 4: self request
  params[0] = num5430;
  partcv[0] = 1;
  Object call5431 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5429);
// compiled call node returning call5431 (depth = 3)
  sourceObject = obj5337;
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5432 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5433 = alloc_Float64(0);
// compiled num node returning num5433 (depth = 4)
  gc_frame_newslot(num5433);
// call case 4: self request
  params[0] = num5433;
  partcv[0] = 1;
  Object call5434 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5432);
// compiled call node returning call5434 (depth = 3)
  sourceObject = obj5337;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5435 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5435 (depth = 3)
  adddatum2(obj5337, array5435, 3);
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  objclass5337 = obj5337->class;
  objclass5337->definitionModule = modulename;
  objclass5337->definitionLine = 1246;
  (*(struct UserObject *)self).data[0] = lowerouter5337;
  self = oldself5337;
  selfslot = oldselfslot5337;
  stackframe = oldstackframe5337;
  gc_frame_end(frame);
  return obj5337;
}
Object meth_ast_body_40_1_41_5336_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5337 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5337 = alloc_userobj2(12,12, objclass5337);
  gc_frame_newslot(obj5337);
if (objclass5337 == NULL) {
  glfree(obj5337->class->name);
  obj5337->class->name = "moduleNode.body(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5337, self, 0);
  addmethodreal(obj5337,"outer", &reader_ast_outer_5338);
  Object oldself5337 = self;
  struct StackFrameObject *oldstackframe5337 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5337);
  gc_frame_newslot((Object)stackframe);
  self = obj5337;
  Object *oldselfslot5337 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5337 = (*(struct UserObject *)self).data[0], lowerouter5337 = thisouter5337;
  if (inheritingObject5337) {
    struct UserObject *inho5337 = (struct UserObject *)inheritingObject5337;
    while (inho5337->super != GraceDefaultObject) inho5337 = (struct UserObject *)inho5337->super;
    inho5337->super = obj5337;
    self = inheritingObject5337;
    *selfslot = self;
    lowerouter5337 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5337;
  }
if (objclass5337 == NULL) {
  Method *reader5339 = addmethodrealflags(obj5337, "kind",&reader_ast_kind_5339, MFLAG_DEF);
  reader5339->definitionModule = modulename;
  reader5339->definitionLine = 1248;
}
adddatum2(obj5337, alloc_Undefined(), 1);
if (objclass5337 == NULL) {
  Method *reader5340 = addmethodrealflags(obj5337, "sourceLines",&reader_ast_sourceLines_5340, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5340->definitionModule = modulename;
  reader5340->definitionLine = 1249;
}
adddatum2(obj5337, alloc_Undefined(), 2);
if (objclass5337 == NULL) {
  Method *reader5341 = addmethodrealflags(obj5337, "imports", &reader_ast_imports_5341, 0);
  Method *writer5341 = addmethodrealflags(obj5337, "imports:=(1)", &writer_ast_imports_5341, 0);
  reader5341->definitionModule = modulename;
  writer5341->definitionModule = modulename;
  reader5341->definitionLine = 1252;
  writer5341->definitionLine = 1252;
}
obj5337->flags |= OFLAG_MUTABLE;
adddatum2(obj5337, alloc_Undefined(), 3);
// method "isModule"
  struct UserObject *uo5342 = (struct UserObject*)obj5337;
  uo5342->data[4] = emptyclosure;
  Method *meth_meth_ast_isModule5342 = addmethod2pos(obj5337, "isModule", &meth_ast_isModule5342, 4);
  int argcv_meth_ast_isModule5342[] = {0};
  meth_meth_ast_isModule5342->type = alloc_MethodType(1, argcv_meth_ast_isModule5342);
  meth_meth_ast_isModule5342->definitionModule = modulename;
  meth_meth_ast_isModule5342->definitionLine = 1254;
// method "returnsObject"
  struct UserObject *uo5344 = (struct UserObject*)obj5337;
  uo5344->data[5] = emptyclosure;
  Method *meth_meth_ast_returnsObject5344 = addmethod2pos(obj5337, "returnsObject", &meth_ast_returnsObject5344, 5);
  int argcv_meth_ast_returnsObject5344[] = {0};
  meth_meth_ast_returnsObject5344->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5344);
  meth_meth_ast_returnsObject5344->definitionModule = modulename;
  meth_meth_ast_returnsObject5344->definitionLine = 1255;
// method "externalsDo(_)"
  struct UserObject *uo5346 = (struct UserObject*)obj5337;
  uo5346->data[6] = emptyclosure;
  Method *meth_meth_ast_externalsDo_40_1_41_5346 = addmethod2pos(obj5337, "externalsDo(1)", &meth_ast_externalsDo_40_1_41_5346, 6);
  int argcv_meth_ast_externalsDo_40_1_41_5346[] = {1};
  meth_meth_ast_externalsDo_40_1_41_5346->type = alloc_MethodType(1, argcv_meth_ast_externalsDo_40_1_41_5346);
  meth_meth_ast_externalsDo_40_1_41_5346->definitionModule = modulename;
  meth_meth_ast_externalsDo_40_1_41_5346->definitionLine = 1256;
// method "accept(_)from(_)"
  struct UserObject *uo5359 = (struct UserObject*)obj5337;
  uo5359->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5359 = addmethod2pos(obj5337, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5359, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5359[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5359);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5359->definitionLine = 1261;
// method "shallowCopy"
  block_savedest(obj5337);
  Object closure5385 = createclosure(2, "shallowCopy");
  setclosureframe(closure5385, stackframe);
  addtoclosure(closure5385, var_emptySeq);
  addtoclosure(closure5385, var_moduleNode);
  struct UserObject *uo5385 = (struct UserObject*)obj5337;
  uo5385->data[8] = (Object)closure5385;
  Method *meth_meth_ast_shallowCopy5385 = addmethod2pos(obj5337, "shallowCopy", &meth_ast_shallowCopy5385, 8);
  int argcv_meth_ast_shallowCopy5385[] = {0};
  meth_meth_ast_shallowCopy5385->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5385);
  meth_meth_ast_shallowCopy5385->definitionModule = modulename;
  meth_meth_ast_shallowCopy5385->definitionLine = 1272;
// method "postCopy(_)"
  struct UserObject *uo5390 = (struct UserObject*)obj5337;
  uo5390->data[9] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5390 = addmethod2pos(obj5337, "postCopy(1)", &meth_ast_postCopy_40_1_41_5390, 9);
  int argcv_meth_ast_postCopy_40_1_41_5390[] = {1};
  meth_meth_ast_postCopy_40_1_41_5390->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5390);
  meth_meth_ast_postCopy_40_1_41_5390->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5390->definitionLine = 1275;
  sourceObject = obj5337;
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5423 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5424 = alloc_Boolean(0);
// compiled identifier node returning bool5424 (depth = 4)
  gc_frame_newslot(bool5424);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5424;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5425 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5423);
// compiled call node returning call5425 (depth = 3)
  struct UserObject *obj5337_uo = (struct UserObject *)obj5337;
  obj5337_uo->super = call5425;
  sourceObject = obj5337;
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5426 == NULL) {
    strlit5426 = alloc_String("module");
    gc_root(strlit5426);
  }
// compiled string node returning strlit5426 (depth = 3)
  adddatum2(obj5337, strlit5426, 1);
  sourceObject = obj5337;
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5428 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5427);
// compiled member node returning call5428 (depth = 3)
  adddatum2(obj5337, call5428, 2);
  sourceObject = obj5337;
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5429 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5430 = alloc_Float64(0);
// compiled num node returning num5430 (depth = 4)
  gc_frame_newslot(num5430);
// call case 4: self request
  params[0] = num5430;
  partcv[0] = 1;
  Object call5431 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5429);
// compiled call node returning call5431 (depth = 3)
  sourceObject = obj5337;
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5432 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5433 = alloc_Float64(0);
// compiled num node returning num5433 (depth = 4)
  gc_frame_newslot(num5433);
// call case 4: self request
  params[0] = num5433;
  partcv[0] = 1;
  Object call5434 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5432);
// compiled call node returning call5434 (depth = 3)
  sourceObject = obj5337;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5435 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5435 (depth = 3)
  adddatum2(obj5337, array5435, 3);
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  sourceObject = obj5337;
  objclass5337 = obj5337->class;
  objclass5337->definitionModule = modulename;
  objclass5337->definitionLine = 1246;
  (*(struct UserObject *)self).data[0] = lowerouter5337;
  self = oldself5337;
  selfslot = oldselfslot5337;
  stackframe = oldstackframe5337;
  gc_frame_end(frame);
  return obj5337;
}
Object meth_ast_moduleNode5437(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "moduleNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleNode (depth = 3)
  gc_frame_end(frame);
  return *var_moduleNode;
}
Object meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5441 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 5)
  Object bool5442 = alloc_Boolean(0);
// compiled identifier node returning bool5442 (depth = 5)
  gc_frame_newslot(bool5442);
// call case 4: self request
  params[0] = *var_b;
  params[1] = bool5442;
  partcv[0] = 2;
  Object call5443 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5441);
// compiled call node returning call5443 (depth = 4)
  *var_result = call5443;
  if (call5443 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5444 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5445 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5444);
// compiled call node returning call5445 (depth = 3)
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5446 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5447 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5446);
// compiled call node returning call5447 (depth = 3)
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_body_40_1_41_named_40_1_41_5448(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[3];
  int partcv[3];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5449 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_fakeSymbolTable (depth = 4)
  gc_frame_newslot(*var_fakeSymbolTable);
// call case 4: self request
  params[0] = *var_b;
  params[1] = *var_n;
  params[2] = *var_fakeSymbolTable;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5450 = callmethodflags(self, "body(1)named(1)scope(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5449);
// compiled call node returning call5450 (depth = 3)
  gc_frame_end(frame);
  return call5450;
}
Object meth_ast_description5463(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5465 = gc_frame_new();
// call case 4: self request
  Object call5466 = callmethodflags(self, "isTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5465);
// compiled member node returning call5466 (depth = 4)
  Object if5464 = done;
  if (istrue(call5466)) {
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5468 == NULL) {
    strlit5468 = alloc_String(" (trait)");
    gc_root(strlit5468);
  }
// compiled string node returning strlit5468 (depth = 5)
  int op_slot_right_5467 = gc_frame_newslot(strlit5468);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5471 = gc_frame_new();
// call case 4: self request
  Object call5472 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5471);
// compiled member node returning call5472 (depth = 6)
  int op_slot_right_5470 = gc_frame_newslot(call5472);
// starting to compile string node (depth = 6)
  if (strlit5474 == NULL) {
    strlit5474 = alloc_String("");
    gc_root(strlit5474);
  }
// compiled string node returning strlit5474 (depth = 6)
  int op_slot_left_5470 = gc_frame_newslot(strlit5474);
  params[0] = call5472;
  partcv[0] = 1;
  Object opresult5475 = callmethod(strlit5474, "++(1)", 1, partcv, params);
// compiled op node returning opresult5475 (depth = 5)
  int op_slot_left_5467 = gc_frame_newslot(opresult5475);
  params[0] = strlit5468;
  partcv[0] = 1;
  Object opresult5476 = callmethod(opresult5475, "++(1)", 1, partcv, params);
// compiled op node returning opresult5476 (depth = 4)
    gc_frame_newslot(opresult5476);
    if5464 = opresult5476;
  } else {
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5478 = gc_frame_new();
// call case 4: self request
  Object call5479 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5478);
// compiled member node returning call5479 (depth = 5)
  Object if5477 = done;
  if (istrue(call5479)) {
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5481 == NULL) {
    strlit5481 = alloc_String(" (class)");
    gc_root(strlit5481);
  }
// compiled string node returning strlit5481 (depth = 6)
  int op_slot_right_5480 = gc_frame_newslot(strlit5481);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5484 = gc_frame_new();
// call case 4: self request
  Object call5485 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5484);
// compiled member node returning call5485 (depth = 7)
  int op_slot_right_5483 = gc_frame_newslot(call5485);
// starting to compile string node (depth = 7)
  if (strlit5487 == NULL) {
    strlit5487 = alloc_String("");
    gc_root(strlit5487);
  }
// compiled string node returning strlit5487 (depth = 7)
  int op_slot_left_5483 = gc_frame_newslot(strlit5487);
  params[0] = call5485;
  partcv[0] = 1;
  Object opresult5488 = callmethod(strlit5487, "++(1)", 1, partcv, params);
// compiled op node returning opresult5488 (depth = 6)
  int op_slot_left_5480 = gc_frame_newslot(opresult5488);
  params[0] = strlit5481;
  partcv[0] = 1;
  Object opresult5489 = callmethod(opresult5488, "++(1)", 1, partcv, params);
// compiled op node returning opresult5489 (depth = 5)
    gc_frame_newslot(opresult5489);
    if5477 = opresult5489;
  } else {
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5490 = gc_frame_new();
// call case 4: self request
  Object call5491 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5490);
// compiled member node returning call5491 (depth = 5)
    gc_frame_newslot(call5491);
    if5477 = call5491;
  }
// compiled if node returning if5477 (depth = 4)
    gc_frame_newslot(if5477);
    if5464 = if5477;
  }
// compiled if node returning if5464 (depth = 3)
  gc_frame_end(frame);
  return if5464;
}
Object meth_ast__apply_40_1_41_5507(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5509 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5510 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call5511 = callmethodflags(*var_each, "isLegalInTrait", 0, partcv, params, 0);
  gc_frame_end(callframe5510);
// compiled member node returning call5511 (depth = 7)
  Object call5512 = callmethodflags(call5511, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5509);
// compiled member node returning call5512 (depth = 6)
  Object if5508 = done;
  if (istrue(call5512)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool5513 = alloc_Boolean(0);
// compiled identifier node returning bool5513 (depth = 7)
  block_return(realself, bool5513);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if5508 = undefined;
  } else {
  }
// compiled if node returning if5508 (depth = 5)
  gc_frame_end(frame);
  return if5508;
}
Object meth_ast_isTrait5492(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5494 = gc_frame_new();
// call case 4: self request
  Object call5495 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5494);
// compiled member node returning call5495 (depth = 4)
  Object if5493 = done;
  if (istrue(call5495)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5496 = alloc_Boolean(1);
// compiled identifier node returning bool5496 (depth = 5)
  return bool5496;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5493 = undefined;
  } else {
  }
// compiled if node returning if5493 (depth = 3)
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5499 = gc_frame_new();
// call case 4: self request
  Object call5500 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5499);
// compiled member node returning call5500 (depth = 5)
  int op_slot_right_5498 = gc_frame_newslot(call5500);
// starting to compile identifier node (depth = 5)
  Object bool5502 = alloc_Boolean(0);
// compiled identifier node returning bool5502 (depth = 5)
  int op_slot_left_5498 = gc_frame_newslot(bool5502);
  params[0] = call5500;
  partcv[0] = 1;
  Object opresult5503 = callmethod(bool5502, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5503 (depth = 4)
  Object if5497 = done;
  if (istrue(opresult5503)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5504 = alloc_Boolean(0);
// compiled identifier node returning bool5504 (depth = 5)
  return bool5504;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5497 = undefined;
  } else {
  }
// compiled if node returning if5497 (depth = 3)
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5505 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5506 = alloc_Block(NULL, NULL, "ast", 1329);
  gc_frame_newslot(block5506);
// method "_apply(_)"
  block_savedest(block5506);
  Object closure5507 = createclosure(1, "_apply(1)");
  setclosureframe(closure5507, stackframe);
  addtoclosure(closure5507, selfslot);
  struct UserObject *uo5507 = (struct UserObject*)block5506;
  uo5507->data[0] = (Object)closure5507;
  Method *meth_meth_ast__apply_40_1_41_5507 = addmethod2pos(block5506, "_apply(1)", &meth_ast__apply_40_1_41_5507, 0);
  int argcv_meth_ast__apply_40_1_41_5507[] = {1};
  meth_meth_ast__apply_40_1_41_5507->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5507);
  meth_meth_ast__apply_40_1_41_5507->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5507->definitionLine = 2984;
// compiled block node returning block5506 (depth = 4)
  gc_frame_newslot(block5506);
// call case 6: other requests
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5515 = gc_frame_new();
// call case 4: self request
  Object call5516 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5515);
// compiled member node returning call5516 (depth = 4)
  params[0] = block5506;
  partcv[0] = 1;
  Object call5517 = callmethodflags(call5516, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5505);
// compiled call node returning call5517 (depth = 3)
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5518 = alloc_Boolean(1);
// compiled identifier node returning bool5518 (depth = 4)
  return bool5518;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply_40_1_41_5533(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5536 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5537 = callmethodflags(*var_node, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe5536);
// compiled member node returning call5537 (depth = 8)
  int op_slot_right_5535 = gc_frame_newslot(call5537);
// starting to compile member node (depth = 8)
  int callframe5539 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5540 = callmethodflags(*var_node, "isFieldDec", 0, partcv, params, 0);
  gc_frame_end(callframe5539);
// compiled member node returning call5540 (depth = 8)
  int op_slot_left_5535 = gc_frame_newslot(call5540);
  params[0] = call5537;
  partcv[0] = 1;
  Object opresult5541 = callmethod(call5540, "||(1)", 1, partcv, params);
// compiled op node returning opresult5541 (depth = 7)
  Object if5534 = done;
  if (istrue(opresult5541)) {
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5542 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe5543 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5544 = callmethodflags(*var_node, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe5543);
// compiled member node returning call5544 (depth = 8)
  gc_frame_newslot(call5544);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5545 = gc_frame_new();
// call case 4: self request
  Object call5546 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5545);
// compiled member node returning call5546 (depth = 8)
  params[0] = call5544;
  partcv[0] = 1;
  Object call5547 = callmethodflags(call5546, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5542);
// compiled call node returning call5547 (depth = 7)
    gc_frame_newslot(call5547);
    if5534 = call5547;
  } else {
  }
// compiled if node returning if5534 (depth = 6)
  gc_frame_end(frame);
  return if5534;
}
Object meth_ast_localNames5519(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "localNames");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5522 = gc_frame_new();
// call case 4: self request
  Object call5523 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5522);
// compiled member node returning call5523 (depth = 5)
  int op_slot_right_5521 = gc_frame_newslot(call5523);
// starting to compile identifier node (depth = 5)
  Object bool5525 = alloc_Boolean(0);
// compiled identifier node returning bool5525 (depth = 5)
  int op_slot_left_5521 = gc_frame_newslot(bool5525);
  params[0] = call5523;
  partcv[0] = 1;
  Object opresult5526 = callmethod(bool5525, "==(1)", 1, partcv, params);
// compiled op node returning opresult5526 (depth = 4)
  Object if5520 = done;
  if (istrue(opresult5526)) {
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5527 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5528 = gc_frame_new();
// call case 5: prelude request
  Object call5529 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5528);
// compiled member node returning call5529 (depth = 5)
  gc_frame_newslot(call5529);
// call case 4: self request
  params[0] = call5529;
  partcv[0] = 1;
  Object call5530 = callmethodflags(self, "myLocalNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5527);
// compiled call node returning call5530 (depth = 4)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5531 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5532 = alloc_Block(NULL, NULL, "ast", 1340);
  gc_frame_newslot(block5532);
// method "_apply(_)"
  block_savedest(block5532);
  Object closure5533 = createclosure(1, "_apply(1)");
  setclosureframe(closure5533, stackframe);
  addtoclosure(closure5533, selfslot);
  struct UserObject *uo5533 = (struct UserObject*)block5532;
  uo5533->data[0] = (Object)closure5533;
  Method *meth_meth_ast__apply_40_1_41_5533 = addmethod2pos(block5532, "_apply(1)", &meth_ast__apply_40_1_41_5533, 0);
  int argcv_meth_ast__apply_40_1_41_5533[] = {1};
  meth_meth_ast__apply_40_1_41_5533->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5533);
  meth_meth_ast__apply_40_1_41_5533->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5533->definitionLine = 2984;
// compiled block node returning block5532 (depth = 5)
  gc_frame_newslot(block5532);
// call case 6: other requests
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5549 = gc_frame_new();
// call case 4: self request
  Object call5550 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5549);
// compiled member node returning call5550 (depth = 5)
  params[0] = block5532;
  partcv[0] = 1;
  Object call5551 = callmethodflags(call5550, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5531);
// compiled call node returning call5551 (depth = 4)
    gc_frame_newslot(call5551);
    if5520 = call5551;
  } else {
  }
// compiled if node returning if5520 (depth = 3)
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5552 = gc_frame_new();
// call case 4: self request
  Object call5553 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5552);
// compiled member node returning call5553 (depth = 3)
  gc_frame_end(frame);
  return call5553;
}
Object meth_ast__apply_40_1_41_5568(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe5569 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call5570 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5569);
// compiled call node returning call5570 (depth = 5)
  gc_frame_end(frame);
  return call5570;
}
Object meth_ast_parentsDo_40_1_41_5554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5557 = gc_frame_new();
// call case 4: self request
  Object call5558 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5557);
// compiled member node returning call5558 (depth = 5)
  int op_slot_right_5556 = gc_frame_newslot(call5558);
// starting to compile identifier node (depth = 5)
  Object bool5560 = alloc_Boolean(0);
// compiled identifier node returning bool5560 (depth = 5)
  int op_slot_left_5556 = gc_frame_newslot(bool5560);
  params[0] = call5558;
  partcv[0] = 1;
  Object opresult5561 = callmethod(bool5560, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5561 (depth = 4)
  Object if5555 = done;
  if (istrue(opresult5561)) {
// starting to compile call node (depth = 4)
  int callframe5562 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5563 = gc_frame_new();
// call case 4: self request
  Object call5564 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5563);
// compiled member node returning call5564 (depth = 5)
  gc_frame_newslot(call5564);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_action (depth = 5)
  params[0] = call5564;
  partcv[0] = 1;
  Object call5565 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5562);
// compiled call node returning call5565 (depth = 4)
    gc_frame_newslot(call5565);
    if5555 = call5565;
  } else {
  }
// compiled if node returning if5555 (depth = 3)
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5566 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5567 = alloc_Block(NULL, NULL, "ast", 1353);
  gc_frame_newslot(block5567);
// method "_apply(_)"
  block_savedest(block5567);
  Object closure5568 = createclosure(2, "_apply(1)");
  setclosureframe(closure5568, stackframe);
  addtoclosure(closure5568, var_action);
  addtoclosure(closure5568, selfslot);
  struct UserObject *uo5568 = (struct UserObject*)block5567;
  uo5568->data[0] = (Object)closure5568;
  Method *meth_meth_ast__apply_40_1_41_5568 = addmethod2pos(block5567, "_apply(1)", &meth_ast__apply_40_1_41_5568, 0);
  int argcv_meth_ast__apply_40_1_41_5568[] = {1};
  meth_meth_ast__apply_40_1_41_5568->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5568);
  meth_meth_ast__apply_40_1_41_5568->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5568->definitionLine = 2984;
// compiled block node returning block5567 (depth = 4)
  gc_frame_newslot(block5567);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5572 = gc_frame_new();
// call case 4: self request
  Object call5573 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5572);
// compiled member node returning call5573 (depth = 4)
  params[0] = block5567;
  partcv[0] = 1;
  Object call5574 = callmethodflags(call5573, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5566);
// compiled call node returning call5574 (depth = 3)
  gc_frame_end(frame);
  return call5574;
}
Object meth_ast__apply_40_1_41_5578(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5581 = callmethodflags(*var_o, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe5580);
// compiled member node returning call5581 (depth = 6)
  Object if5579 = done;
  if (istrue(call5581)) {
// starting to compile call node (depth = 6)
  int callframe5582 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5583 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5582);
// compiled call node returning call5583 (depth = 6)
    gc_frame_newslot(call5583);
    if5579 = call5583;
  } else {
  }
// compiled if node returning if5579 (depth = 5)
  gc_frame_end(frame);
  return if5579;
}
Object meth_ast_methodsDo_40_1_41_5575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "methodsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method methodsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part methodsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5576 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5577 = alloc_Block(NULL, NULL, "ast", 1359);
  gc_frame_newslot(block5577);
// method "_apply(_)"
  block_savedest(block5577);
  Object closure5578 = createclosure(2, "_apply(1)");
  setclosureframe(closure5578, stackframe);
  addtoclosure(closure5578, var_action);
  addtoclosure(closure5578, selfslot);
  struct UserObject *uo5578 = (struct UserObject*)block5577;
  uo5578->data[0] = (Object)closure5578;
  Method *meth_meth_ast__apply_40_1_41_5578 = addmethod2pos(block5577, "_apply(1)", &meth_ast__apply_40_1_41_5578, 0);
  int argcv_meth_ast__apply_40_1_41_5578[] = {1};
  meth_meth_ast__apply_40_1_41_5578->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5578);
  meth_meth_ast__apply_40_1_41_5578->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5578->definitionLine = 2984;
// compiled block node returning block5577 (depth = 4)
  gc_frame_newslot(block5577);
// call case 6: other requests
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5585 = gc_frame_new();
// call case 4: self request
  Object call5586 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5585);
// compiled member node returning call5586 (depth = 4)
  params[0] = block5577;
  partcv[0] = 1;
  Object call5587 = callmethodflags(call5586, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5576);
// compiled call node returning call5587 (depth = 3)
  gc_frame_end(frame);
  return call5587;
}
Object meth_ast__apply_40_1_41_5591(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5593 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5594 = callmethodflags(*var_o, "isExecutable", 0, partcv, params, 0);
  gc_frame_end(callframe5593);
// compiled member node returning call5594 (depth = 6)
  Object if5592 = done;
  if (istrue(call5594)) {
// starting to compile call node (depth = 6)
  int callframe5595 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5596 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5595);
// compiled call node returning call5596 (depth = 6)
    gc_frame_newslot(call5596);
    if5592 = call5596;
  } else {
  }
// compiled if node returning if5592 (depth = 5)
  gc_frame_end(frame);
  return if5592;
}
Object meth_ast_executableComponentsDo_40_1_41_5588(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "executableComponentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method executableComponentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for executableComponentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part executableComponentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5589 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5590 = alloc_Block(NULL, NULL, "ast", 1367);
  gc_frame_newslot(block5590);
// method "_apply(_)"
  block_savedest(block5590);
  Object closure5591 = createclosure(2, "_apply(1)");
  setclosureframe(closure5591, stackframe);
  addtoclosure(closure5591, var_action);
  addtoclosure(closure5591, selfslot);
  struct UserObject *uo5591 = (struct UserObject*)block5590;
  uo5591->data[0] = (Object)closure5591;
  Method *meth_meth_ast__apply_40_1_41_5591 = addmethod2pos(block5590, "_apply(1)", &meth_ast__apply_40_1_41_5591, 0);
  int argcv_meth_ast__apply_40_1_41_5591[] = {1};
  meth_meth_ast__apply_40_1_41_5591->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5591);
  meth_meth_ast__apply_40_1_41_5591->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5591->definitionLine = 2984;
// compiled block node returning block5590 (depth = 4)
  gc_frame_newslot(block5590);
// call case 6: other requests
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5598 = gc_frame_new();
// call case 4: self request
  Object call5599 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5598);
// compiled member node returning call5599 (depth = 4)
  params[0] = block5590;
  partcv[0] = 1;
  Object call5600 = callmethodflags(call5599, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5589);
// compiled call node returning call5600 (depth = 3)
  gc_frame_end(frame);
  return call5600;
}
Object meth_ast_scope_58__61__40_1_41_5601(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5602 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call5603 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5602);
// compiled call node returning call5603 (depth = 3)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5604 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5605 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5604);
// compiled call node returning call5605 (depth = 3)
  gc_frame_end(frame);
  return call5605;
}
Object meth_ast_body5606(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5607 = gc_frame_new();
// call case 4: self request
  Object call5608 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5607);
// compiled member node returning call5608 (depth = 3)
  gc_frame_end(frame);
  return call5608;
}
Object meth_ast_returnsObject5609(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5610 = alloc_Boolean(1);
// compiled identifier node returning bool5610 (depth = 3)
  gc_frame_end(frame);
  return bool5610;
}
Object meth_ast_returnedObjectScope5611(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5612 = gc_frame_new();
// call case 4: self request
  Object call5613 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5612);
// compiled member node returning call5613 (depth = 3)
  gc_frame_end(frame);
  return call5613;
}
Object meth_ast_canInherit5614(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5615 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5616 = gc_frame_new();
// call case 4: self request
  Object call5617 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5616);
// compiled member node returning call5617 (depth = 4)
  Object call5618 = callmethodflags(call5617, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5615);
// compiled member node returning call5618 (depth = 3)
  gc_frame_end(frame);
  return call5618;
}
Object meth_ast_canUse5619(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canUse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5620 = alloc_Boolean(1);
// compiled identifier node returning bool5620 (depth = 3)
  gc_frame_end(frame);
  return bool5620;
}
Object meth_ast_isObject5621(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5622 = alloc_Boolean(1);
// compiled identifier node returning bool5622 (depth = 3)
  gc_frame_end(frame);
  return bool5622;
}
Object meth_ast__apply_40_1_41_5642(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5643 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5644 = callmethodflags(*var_t, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5643);
// compiled call node returning call5644 (depth = 6)
  gc_frame_end(frame);
  return call5644;
}
Object meth_ast__apply_40_1_41_5651(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5652 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5653 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5652);
// compiled call node returning call5653 (depth = 6)
  gc_frame_end(frame);
  return call5653;
}
Object meth_ast_accept_40_1_41_from_40_1_41_5623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5625 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5626 = callmethodflags(*var_visitor, "visitObject(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5625);
// compiled call node returning call5626 (depth = 4)
  Object if5624 = done;
  if (istrue(call5626)) {
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5627 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5628 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5627);
// compiled call node returning call5628 (depth = 5)
  *var_newChain = call5628;
  if (call5628 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5631 = gc_frame_new();
// call case 4: self request
  Object call5632 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5631);
// compiled member node returning call5632 (depth = 6)
  int op_slot_right_5630 = gc_frame_newslot(call5632);
// starting to compile identifier node (depth = 6)
  Object bool5634 = alloc_Boolean(0);
// compiled identifier node returning bool5634 (depth = 6)
  int op_slot_left_5630 = gc_frame_newslot(bool5634);
  params[0] = call5632;
  partcv[0] = 1;
  Object opresult5635 = callmethod(bool5634, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5635 (depth = 5)
  Object if5629 = done;
  if (istrue(opresult5635)) {
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5636 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5637 = gc_frame_new();
// call case 4: self request
  Object call5638 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5637);
// compiled member node returning call5638 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5639 = callmethodflags(call5638, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5636);
// compiled call node returning call5639 (depth = 5)
    gc_frame_newslot(call5639);
    if5629 = call5639;
  } else {
  }
// compiled if node returning if5629 (depth = 4)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5640 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5641 = alloc_Block(NULL, NULL, "ast", 1390);
  gc_frame_newslot(block5641);
// method "_apply(_)"
  block_savedest(block5641);
  Object closure5642 = createclosure(3, "_apply(1)");
  setclosureframe(closure5642, stackframe);
  addtoclosure(closure5642, var_visitor);
  addtoclosure(closure5642, var_newChain);
  addtoclosure(closure5642, selfslot);
  struct UserObject *uo5642 = (struct UserObject*)block5641;
  uo5642->data[0] = (Object)closure5642;
  Method *meth_meth_ast__apply_40_1_41_5642 = addmethod2pos(block5641, "_apply(1)", &meth_ast__apply_40_1_41_5642, 0);
  int argcv_meth_ast__apply_40_1_41_5642[] = {1};
  meth_meth_ast__apply_40_1_41_5642->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5642);
  meth_meth_ast__apply_40_1_41_5642->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5642->definitionLine = 2984;
// compiled block node returning block5641 (depth = 5)
  gc_frame_newslot(block5641);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5646 = gc_frame_new();
// call case 4: self request
  Object call5647 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5646);
// compiled member node returning call5647 (depth = 5)
  params[0] = block5641;
  partcv[0] = 1;
  Object call5648 = callmethodflags(call5647, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5640);
// compiled call node returning call5648 (depth = 4)
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5649 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5650 = alloc_Block(NULL, NULL, "ast", 1391);
  gc_frame_newslot(block5650);
// method "_apply(_)"
  block_savedest(block5650);
  Object closure5651 = createclosure(3, "_apply(1)");
  setclosureframe(closure5651, stackframe);
  addtoclosure(closure5651, var_visitor);
  addtoclosure(closure5651, var_newChain);
  addtoclosure(closure5651, selfslot);
  struct UserObject *uo5651 = (struct UserObject*)block5650;
  uo5651->data[0] = (Object)closure5651;
  Method *meth_meth_ast__apply_40_1_41_5651 = addmethod2pos(block5650, "_apply(1)", &meth_ast__apply_40_1_41_5651, 0);
  int argcv_meth_ast__apply_40_1_41_5651[] = {1};
  meth_meth_ast__apply_40_1_41_5651->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5651);
  meth_meth_ast__apply_40_1_41_5651->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5651->definitionLine = 2984;
// compiled block node returning block5650 (depth = 5)
  gc_frame_newslot(block5650);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5655 = gc_frame_new();
// call case 4: self request
  Object call5656 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5655);
// compiled member node returning call5656 (depth = 5)
  params[0] = block5650;
  partcv[0] = 1;
  Object call5657 = callmethodflags(call5656, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5649);
// compiled call node returning call5657 (depth = 4)
    gc_frame_newslot(call5657);
    if5624 = call5657;
  } else {
  }
// compiled if node returning if5624 (depth = 3)
  gc_frame_end(frame);
  return if5624;
}
Object meth_ast_nameString5658(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5661 == NULL) {
    strlit5661 = alloc_String("object");
    gc_root(strlit5661);
  }
// compiled string node returning strlit5661 (depth = 5)
  int op_slot_right_5660 = gc_frame_newslot(strlit5661);
// starting to compile member node (depth = 5)
  int callframe5663 = gc_frame_new();
// call case 4: self request
  Object call5664 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5663);
// compiled member node returning call5664 (depth = 5)
  int op_slot_left_5660 = gc_frame_newslot(call5664);
  params[0] = strlit5661;
  partcv[0] = 1;
  Object opresult5665 = callmethod(call5664, "==(1)", 1, partcv, params);
// compiled op node returning opresult5665 (depth = 4)
  Object if5659 = done;
  if (istrue(opresult5665)) {
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5667 == NULL) {
    strlit5667 = alloc_String("");
    gc_root(strlit5667);
  }
// compiled string node returning strlit5667 (depth = 5)
  int op_slot_right_5666 = gc_frame_newslot(strlit5667);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5670 = gc_frame_new();
// call case 4: self request
  Object call5671 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5670);
// compiled member node returning call5671 (depth = 6)
  int op_slot_right_5669 = gc_frame_newslot(call5671);
// starting to compile string node (depth = 6)
  if (strlit5673 == NULL) {
    strlit5673 = alloc_String("object_on_line_");
    gc_root(strlit5673);
  }
// compiled string node returning strlit5673 (depth = 6)
  int op_slot_left_5669 = gc_frame_newslot(strlit5673);
  params[0] = call5671;
  partcv[0] = 1;
  Object opresult5674 = callmethod(strlit5673, "++(1)", 1, partcv, params);
// compiled op node returning opresult5674 (depth = 5)
  int op_slot_left_5666 = gc_frame_newslot(opresult5674);
  params[0] = strlit5667;
  partcv[0] = 1;
  Object opresult5675 = callmethod(opresult5674, "++(1)", 1, partcv, params);
// compiled op node returning opresult5675 (depth = 4)
    gc_frame_newslot(opresult5675);
    if5659 = opresult5675;
  } else {
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5676 = gc_frame_new();
// call case 4: self request
  Object call5677 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5676);
// compiled member node returning call5677 (depth = 4)
    gc_frame_newslot(call5677);
    if5659 = call5677;
  }
// compiled if node returning if5659 (depth = 3)
  gc_frame_end(frame);
  return if5659;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_5678(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5679 = gc_frame_new();
// call case 4: self request
  Object call5680 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5679);
// compiled member node returning call5680 (depth = 4)
  *var_n = call5680;
  if (call5680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5681 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5682 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5681);
// compiled call node returning call5682 (depth = 4)
  *var_newChain = call5682;
  if (call5682 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5683 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5684 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5685 = gc_frame_new();
// call case 4: self request
  Object call5686 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5685);
// compiled member node returning call5686 (depth = 5)
  gc_frame_newslot(call5686);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5687 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5688 = gc_frame_new();
// call case 3: self.outer request
  Object call5689 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5688);
// compiled member node returning call5689 (depth = 6)
  Object call5690 = callmethodflags(call5689, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5687);
// compiled member node returning call5690 (depth = 5)
  params[0] = call5686;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5691 = callmethodflags(call5690, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5684);
// compiled call node returning call5691 (depth = 4)
  gc_frame_newslot(call5691);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5691;
  partcv[0] = 1;
  Object call5692 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5683);
// compiled call node returning call5692 (depth = 3)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5693 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5694 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5695 = gc_frame_new();
// call case 4: self request
  Object call5696 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5695);
// compiled member node returning call5696 (depth = 5)
  gc_frame_newslot(call5696);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5697 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5698 = gc_frame_new();
// call case 3: self.outer request
  Object call5699 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5698);
// compiled member node returning call5699 (depth = 6)
  Object call5700 = callmethodflags(call5699, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5697);
// compiled member node returning call5700 (depth = 5)
  params[0] = call5696;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5701 = callmethodflags(call5700, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5694);
// compiled call node returning call5701 (depth = 4)
  gc_frame_newslot(call5701);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5701;
  partcv[0] = 1;
  Object call5702 = callmethodflags(*var_n, "superclass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5693);
// compiled call node returning call5702 (depth = 3)
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5703 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5704 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5705 = gc_frame_new();
// call case 4: self request
  Object call5706 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5705);
// compiled member node returning call5706 (depth = 5)
  gc_frame_newslot(call5706);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5707 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5708 = gc_frame_new();
// call case 3: self.outer request
  Object call5709 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5708);
// compiled member node returning call5709 (depth = 6)
  Object call5710 = callmethodflags(call5709, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5707);
// compiled member node returning call5710 (depth = 5)
  params[0] = call5706;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5711 = callmethodflags(call5710, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5704);
// compiled call node returning call5711 (depth = 4)
  gc_frame_newslot(call5711);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5711;
  partcv[0] = 1;
  Object call5712 = callmethodflags(*var_n, "usedTraits:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5703);
// compiled call node returning call5712 (depth = 3)
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5713 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call5714 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5713);
// compiled call node returning call5714 (depth = 3)
  gc_frame_end(frame);
  return call5714;
}
Object meth_ast__apply_40_1_41_5723(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5725 == NULL) {
    strlit5725 = alloc_String("  ");
    gc_root(strlit5725);
  }
// compiled string node returning strlit5725 (depth = 7)
  int op_slot_right_5724 = gc_frame_newslot(strlit5725);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5724 = gc_frame_newslot(*var_spc);
  params[0] = strlit5725;
  partcv[0] = 1;
  Object opresult5727 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5727 (depth = 6)
  *var_spc = opresult5727;
  if (opresult5727 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5809(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5811 == NULL) {
    strlit5811 = alloc_String("");
    gc_root(strlit5811);
  }
// compiled string node returning strlit5811 (depth = 8)
  int op_slot_right_5810 = gc_frame_newslot(strlit5811);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5814 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5816 = alloc_Float64(1);
// compiled num node returning num5816 (depth = 11)
  int op_slot_right_5815 = gc_frame_newslot(num5816);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5815 = gc_frame_newslot(*var_depth);
  params[0] = num5816;
  partcv[0] = 1;
  Object sum5818 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5818 (depth = 10)
  gc_frame_newslot(sum5818);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  params[0] = sum5818;
  partcv[0] = 1;
  Object call5819 = callmethodflags(*var_t, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5814);
// compiled call node returning call5819 (depth = 9)
  int op_slot_right_5813 = gc_frame_newslot(call5819);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5822 == NULL) {
    strlit5822 = alloc_String("  ");
    gc_root(strlit5822);
  }
// compiled string node returning strlit5822 (depth = 10)
  int op_slot_right_5821 = gc_frame_newslot(strlit5822);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5824 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5827 == NULL) {
    strlit5827 = alloc_String("""\x0a""");
    gc_root(strlit5827);
  }
// compiled string node returning strlit5827 (depth = 12)
  int op_slot_right_5826 = gc_frame_newslot(strlit5827);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_5829 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit5831 == NULL) {
    strlit5831 = alloc_String("");
    gc_root(strlit5831);
  }
// compiled string node returning strlit5831 (depth = 13)
  int op_slot_left_5829 = gc_frame_newslot(strlit5831);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5832 = callmethod(strlit5831, "++(1)", 1, partcv, params);
// compiled op node returning opresult5832 (depth = 12)
  int op_slot_left_5826 = gc_frame_newslot(opresult5832);
  params[0] = strlit5827;
  partcv[0] = 1;
  Object opresult5833 = callmethod(opresult5832, "++(1)", 1, partcv, params);
// compiled op node returning opresult5833 (depth = 11)
  int op_slot_left_5824 = gc_frame_newslot(opresult5833);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5834 = callmethod(opresult5833, "++(1)", 1, partcv, params);
// compiled op node returning opresult5834 (depth = 10)
  int op_slot_left_5821 = gc_frame_newslot(opresult5834);
  params[0] = strlit5822;
  partcv[0] = 1;
  Object opresult5835 = callmethod(opresult5834, "++(1)", 1, partcv, params);
// compiled op node returning opresult5835 (depth = 9)
  int op_slot_left_5813 = gc_frame_newslot(opresult5835);
  params[0] = call5819;
  partcv[0] = 1;
  Object opresult5836 = callmethod(opresult5835, "++(1)", 1, partcv, params);
// compiled op node returning opresult5836 (depth = 8)
  int op_slot_left_5810 = gc_frame_newslot(opresult5836);
  params[0] = strlit5811;
  partcv[0] = 1;
  Object opresult5837 = callmethod(opresult5836, "++(1)", 1, partcv, params);
// compiled op node returning opresult5837 (depth = 7)
  *var_s = opresult5837;
  if (opresult5837 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5845(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5847 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5849 = alloc_Float64(1);
// compiled num node returning num5849 (depth = 9)
  int op_slot_right_5848 = gc_frame_newslot(num5849);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5848 = gc_frame_newslot(*var_depth);
  params[0] = num5849;
  partcv[0] = 1;
  Object sum5851 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5851 (depth = 8)
  gc_frame_newslot(sum5851);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum5851;
  partcv[0] = 1;
  Object call5852 = callmethodflags(*var_x, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5847);
// compiled call node returning call5852 (depth = 7)
  int op_slot_right_5846 = gc_frame_newslot(call5852);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5854 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5857 == NULL) {
    strlit5857 = alloc_String("""\x0a""");
    gc_root(strlit5857);
  }
// compiled string node returning strlit5857 (depth = 9)
  int op_slot_right_5856 = gc_frame_newslot(strlit5857);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5856 = gc_frame_newslot(*var_s);
  params[0] = strlit5857;
  partcv[0] = 1;
  Object opresult5859 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5859 (depth = 8)
  int op_slot_left_5854 = gc_frame_newslot(opresult5859);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5860 = callmethod(opresult5859, "++(1)", 1, partcv, params);
// compiled op node returning opresult5860 (depth = 7)
  int op_slot_left_5846 = gc_frame_newslot(opresult5860);
  params[0] = call5852;
  partcv[0] = 1;
  Object opresult5861 = callmethod(opresult5860, "++(1)", 1, partcv, params);
// compiled op node returning opresult5861 (depth = 6)
  *var_s = opresult5861;
  if (opresult5861 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_5715(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth_39_ = &(stackframe->slots[0]);
  *var_depth_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_depth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "depth");
  Object *var_spc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spc");
  Object *var_s = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s");
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth_39_ (depth = 4)
  *var_depth = *var_depth_39_;
  if (*var_depth_39_ == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5716 == NULL) {
    strlit5716 = alloc_String("");
    gc_root(strlit5716);
  }
// compiled string node returning strlit5716 (depth = 4)
  *var_spc = strlit5716;
  if (strlit5716 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5717 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_5718 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num5720 = alloc_Float64(0);
// compiled num node returning num5720 (depth = 5)
  int op_slot_left_5718 = gc_frame_newslot(num5720);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5721 = callmethod(num5720, "..(1)", 1, partcv, params);
// compiled op node returning opresult5721 (depth = 4)
  gc_frame_newslot(opresult5721);
// starting to compile block node (depth = 4)
  Object block5722 = alloc_Block(NULL, NULL, "ast", 1412);
  gc_frame_newslot(block5722);
// method "_apply(_)"
  block_savedest(block5722);
  Object closure5723 = createclosure(2, "_apply(1)");
  setclosureframe(closure5723, stackframe);
  addtoclosure(closure5723, var_spc);
  addtoclosure(closure5723, selfslot);
  struct UserObject *uo5723 = (struct UserObject*)block5722;
  uo5723->data[0] = (Object)closure5723;
  Method *meth_meth_ast__apply_40_1_41_5723 = addmethod2pos(block5722, "_apply(1)", &meth_ast__apply_40_1_41_5723, 0);
  int argcv_meth_ast__apply_40_1_41_5723[] = {1};
  meth_meth_ast__apply_40_1_41_5723->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5723);
  meth_meth_ast__apply_40_1_41_5723->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5723->definitionLine = 2984;
// compiled block node returning block5722 (depth = 4)
  gc_frame_newslot(block5722);
// call case 5: prelude request
  params[0] = opresult5721;
  params[1] = block5722;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5730 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5717);
// compiled call node returning call5730 (depth = 3)
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5731 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5732 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5731);
// compiled call node returning call5732 (depth = 4)
  *var_s = call5732;
  if (call5732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5734 == NULL) {
    strlit5734 = alloc_String("");
    gc_root(strlit5734);
  }
// compiled string node returning strlit5734 (depth = 5)
  int op_slot_right_5733 = gc_frame_newslot(strlit5734);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5737 = gc_frame_new();
// call case 4: self request
  Object call5738 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5737);
// compiled member node returning call5738 (depth = 6)
  int op_slot_right_5736 = gc_frame_newslot(call5738);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5741 == NULL) {
    strlit5741 = alloc_String("Name: ");
    gc_root(strlit5741);
  }
// compiled string node returning strlit5741 (depth = 7)
  int op_slot_right_5740 = gc_frame_newslot(strlit5741);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5743 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5746 == NULL) {
    strlit5746 = alloc_String("""\x0a""");
    gc_root(strlit5746);
  }
// compiled string node returning strlit5746 (depth = 9)
  int op_slot_right_5745 = gc_frame_newslot(strlit5746);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_5748 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit5750 == NULL) {
    strlit5750 = alloc_String("");
    gc_root(strlit5750);
  }
// compiled string node returning strlit5750 (depth = 10)
  int op_slot_left_5748 = gc_frame_newslot(strlit5750);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5751 = callmethod(strlit5750, "++(1)", 1, partcv, params);
// compiled op node returning opresult5751 (depth = 9)
  int op_slot_left_5745 = gc_frame_newslot(opresult5751);
  params[0] = strlit5746;
  partcv[0] = 1;
  Object opresult5752 = callmethod(opresult5751, "++(1)", 1, partcv, params);
// compiled op node returning opresult5752 (depth = 8)
  int op_slot_left_5743 = gc_frame_newslot(opresult5752);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5753 = callmethod(opresult5752, "++(1)", 1, partcv, params);
// compiled op node returning opresult5753 (depth = 7)
  int op_slot_left_5740 = gc_frame_newslot(opresult5753);
  params[0] = strlit5741;
  partcv[0] = 1;
  Object opresult5754 = callmethod(opresult5753, "++(1)", 1, partcv, params);
// compiled op node returning opresult5754 (depth = 6)
  int op_slot_left_5736 = gc_frame_newslot(opresult5754);
  params[0] = call5738;
  partcv[0] = 1;
  Object opresult5755 = callmethod(opresult5754, "++(1)", 1, partcv, params);
// compiled op node returning opresult5755 (depth = 5)
  int op_slot_left_5733 = gc_frame_newslot(opresult5755);
  params[0] = strlit5734;
  partcv[0] = 1;
  Object opresult5756 = callmethod(opresult5755, "++(1)", 1, partcv, params);
// compiled op node returning opresult5756 (depth = 4)
  *var_s = opresult5756;
  if (opresult5756 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5760 = gc_frame_new();
// call case 4: self request
  Object call5761 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5760);
// compiled member node returning call5761 (depth = 5)
  int op_slot_right_5759 = gc_frame_newslot(call5761);
// starting to compile identifier node (depth = 5)
  Object bool5763 = alloc_Boolean(0);
// compiled identifier node returning bool5763 (depth = 5)
  int op_slot_left_5759 = gc_frame_newslot(bool5763);
  params[0] = call5761;
  partcv[0] = 1;
  Object opresult5764 = callmethod(bool5763, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5764 (depth = 4)
  Object if5758 = done;
  if (istrue(opresult5764)) {
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5766 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5768 = alloc_Float64(1);
// compiled num node returning num5768 (depth = 8)
  int op_slot_right_5767 = gc_frame_newslot(num5768);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_5767 = gc_frame_newslot(*var_depth);
  params[0] = num5768;
  partcv[0] = 1;
  Object sum5770 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5770 (depth = 7)
  gc_frame_newslot(sum5770);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5771 = gc_frame_new();
// call case 4: self request
  Object call5772 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5771);
// compiled member node returning call5772 (depth = 7)
  params[0] = sum5770;
  partcv[0] = 1;
  Object call5773 = callmethodflags(call5772, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5766);
// compiled call node returning call5773 (depth = 6)
  int op_slot_right_5765 = gc_frame_newslot(call5773);
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5776 == NULL) {
    strlit5776 = alloc_String("Superclass: ");
    gc_root(strlit5776);
  }
// compiled string node returning strlit5776 (depth = 7)
  int op_slot_right_5775 = gc_frame_newslot(strlit5776);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5778 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5781 == NULL) {
    strlit5781 = alloc_String("""\x0a""");
    gc_root(strlit5781);
  }
// compiled string node returning strlit5781 (depth = 9)
  int op_slot_right_5780 = gc_frame_newslot(strlit5781);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5780 = gc_frame_newslot(*var_s);
  params[0] = strlit5781;
  partcv[0] = 1;
  Object opresult5783 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5783 (depth = 8)
  int op_slot_left_5778 = gc_frame_newslot(opresult5783);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5784 = callmethod(opresult5783, "++(1)", 1, partcv, params);
// compiled op node returning opresult5784 (depth = 7)
  int op_slot_left_5775 = gc_frame_newslot(opresult5784);
  params[0] = strlit5776;
  partcv[0] = 1;
  Object opresult5785 = callmethod(opresult5784, "++(1)", 1, partcv, params);
// compiled op node returning opresult5785 (depth = 6)
  int op_slot_left_5765 = gc_frame_newslot(opresult5785);
  params[0] = call5773;
  partcv[0] = 1;
  Object opresult5786 = callmethod(opresult5785, "++(1)", 1, partcv, params);
// compiled op node returning opresult5786 (depth = 5)
  *var_s = opresult5786;
  if (opresult5786 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5758 = done;
  } else {
  }
// compiled if node returning if5758 (depth = 3)
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5789 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5790 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5791 = gc_frame_new();
// call case 4: self request
  Object call5792 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5791);
// compiled member node returning call5792 (depth = 6)
  Object call5793 = callmethodflags(call5792, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe5790);
// compiled member node returning call5793 (depth = 5)
  Object call5794 = callmethodflags(call5793, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5789);
// compiled member node returning call5794 (depth = 4)
  Object if5788 = done;
  if (istrue(call5794)) {
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5796 == NULL) {
    strlit5796 = alloc_String("Traits:");
    gc_root(strlit5796);
  }
// compiled string node returning strlit5796 (depth = 6)
  int op_slot_right_5795 = gc_frame_newslot(strlit5796);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5798 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5801 == NULL) {
    strlit5801 = alloc_String("""\x0a""");
    gc_root(strlit5801);
  }
// compiled string node returning strlit5801 (depth = 8)
  int op_slot_right_5800 = gc_frame_newslot(strlit5801);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5800 = gc_frame_newslot(*var_s);
  params[0] = strlit5801;
  partcv[0] = 1;
  Object opresult5803 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5803 (depth = 7)
  int op_slot_left_5798 = gc_frame_newslot(opresult5803);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5804 = callmethod(opresult5803, "++(1)", 1, partcv, params);
// compiled op node returning opresult5804 (depth = 6)
  int op_slot_left_5795 = gc_frame_newslot(opresult5804);
  params[0] = strlit5796;
  partcv[0] = 1;
  Object opresult5805 = callmethod(opresult5804, "++(1)", 1, partcv, params);
// compiled op node returning opresult5805 (depth = 5)
  *var_s = opresult5805;
  if (opresult5805 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5807 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5808 = alloc_Block(NULL, NULL, "ast", 1423);
  gc_frame_newslot(block5808);
// method "_apply(_)"
  block_savedest(block5808);
  Object closure5809 = createclosure(4, "_apply(1)");
  setclosureframe(closure5809, stackframe);
  addtoclosure(closure5809, var_depth);
  addtoclosure(closure5809, var_spc);
  addtoclosure(closure5809, var_s);
  addtoclosure(closure5809, selfslot);
  struct UserObject *uo5809 = (struct UserObject*)block5808;
  uo5809->data[0] = (Object)closure5809;
  Method *meth_meth_ast__apply_40_1_41_5809 = addmethod2pos(block5808, "_apply(1)", &meth_ast__apply_40_1_41_5809, 0);
  int argcv_meth_ast__apply_40_1_41_5809[] = {1};
  meth_meth_ast__apply_40_1_41_5809->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5809);
  meth_meth_ast__apply_40_1_41_5809->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5809->definitionLine = 2984;
// compiled block node returning block5808 (depth = 5)
  gc_frame_newslot(block5808);
// call case 6: other requests
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5840 = gc_frame_new();
// call case 4: self request
  Object call5841 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5840);
// compiled member node returning call5841 (depth = 5)
  params[0] = block5808;
  partcv[0] = 1;
  Object call5842 = callmethodflags(call5841, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5807);
// compiled call node returning call5842 (depth = 4)
    gc_frame_newslot(call5842);
    if5788 = call5842;
  } else {
  }
// compiled if node returning if5788 (depth = 3)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5843 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5844 = alloc_Block(NULL, NULL, "ast", 1427);
  gc_frame_newslot(block5844);
// method "_apply(_)"
  block_savedest(block5844);
  Object closure5845 = createclosure(4, "_apply(1)");
  setclosureframe(closure5845, stackframe);
  addtoclosure(closure5845, var_depth);
  addtoclosure(closure5845, var_spc);
  addtoclosure(closure5845, var_s);
  addtoclosure(closure5845, selfslot);
  struct UserObject *uo5845 = (struct UserObject*)block5844;
  uo5845->data[0] = (Object)closure5845;
  Method *meth_meth_ast__apply_40_1_41_5845 = addmethod2pos(block5844, "_apply(1)", &meth_ast__apply_40_1_41_5845, 0);
  int argcv_meth_ast__apply_40_1_41_5845[] = {1};
  meth_meth_ast__apply_40_1_41_5845->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5845);
  meth_meth_ast__apply_40_1_41_5845->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5845->definitionLine = 2984;
// compiled block node returning block5844 (depth = 4)
  gc_frame_newslot(block5844);
// call case 6: other requests
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5864 = gc_frame_new();
// call case 4: self request
  Object call5865 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5864);
// compiled member node returning call5865 (depth = 4)
  params[0] = block5844;
  partcv[0] = 1;
  Object call5866 = callmethodflags(call5865, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5843);
// compiled call node returning call5866 (depth = 3)
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_5879(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5881 == NULL) {
    strlit5881 = alloc_String("    ");
    gc_root(strlit5881);
  }
// compiled string node returning strlit5881 (depth = 7)
  int op_slot_right_5880 = gc_frame_newslot(strlit5881);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5880 = gc_frame_newslot(*var_spc);
  params[0] = strlit5881;
  partcv[0] = 1;
  Object opresult5883 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5883 (depth = 6)
  *var_spc = opresult5883;
  if (opresult5883 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5929(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5931 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5933 = alloc_Float64(1);
// compiled num node returning num5933 (depth = 9)
  int op_slot_right_5932 = gc_frame_newslot(num5933);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5932 = gc_frame_newslot(*var_depth);
  params[0] = num5933;
  partcv[0] = 1;
  Object sum5935 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5935 (depth = 8)
  gc_frame_newslot(sum5935);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  params[0] = sum5935;
  partcv[0] = 1;
  Object call5936 = callmethodflags(*var_t, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5931);
// compiled call node returning call5936 (depth = 7)
  int op_slot_right_5930 = gc_frame_newslot(call5936);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5939 == NULL) {
    strlit5939 = alloc_String("""\x0a""");
    gc_root(strlit5939);
  }
// compiled string node returning strlit5939 (depth = 8)
  int op_slot_right_5938 = gc_frame_newslot(strlit5939);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5938 = gc_frame_newslot(*var_s);
  params[0] = strlit5939;
  partcv[0] = 1;
  Object opresult5941 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5941 (depth = 7)
  int op_slot_left_5930 = gc_frame_newslot(opresult5941);
  params[0] = call5936;
  partcv[0] = 1;
  Object opresult5942 = callmethod(opresult5941, "++(1)", 1, partcv, params);
// compiled op node returning opresult5942 (depth = 6)
  *var_s = opresult5942;
  if (opresult5942 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5950(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5952 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5954 = alloc_Float64(1);
// compiled num node returning num5954 (depth = 9)
  int op_slot_right_5953 = gc_frame_newslot(num5954);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5953 = gc_frame_newslot(*var_depth);
  params[0] = num5954;
  partcv[0] = 1;
  Object sum5956 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5956 (depth = 8)
  gc_frame_newslot(sum5956);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum5956;
  partcv[0] = 1;
  Object call5957 = callmethodflags(*var_x, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5952);
// compiled call node returning call5957 (depth = 7)
  int op_slot_right_5951 = gc_frame_newslot(call5957);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5960 == NULL) {
    strlit5960 = alloc_String("    ");
    gc_root(strlit5960);
  }
// compiled string node returning strlit5960 (depth = 8)
  int op_slot_right_5959 = gc_frame_newslot(strlit5960);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5962 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5965 == NULL) {
    strlit5965 = alloc_String("""\x0a""");
    gc_root(strlit5965);
  }
// compiled string node returning strlit5965 (depth = 10)
  int op_slot_right_5964 = gc_frame_newslot(strlit5965);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5964 = gc_frame_newslot(*var_s);
  params[0] = strlit5965;
  partcv[0] = 1;
  Object opresult5967 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5967 (depth = 9)
  int op_slot_left_5962 = gc_frame_newslot(opresult5967);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5968 = callmethod(opresult5967, "++(1)", 1, partcv, params);
// compiled op node returning opresult5968 (depth = 8)
  int op_slot_left_5959 = gc_frame_newslot(opresult5968);
  params[0] = strlit5960;
  partcv[0] = 1;
  Object opresult5969 = callmethod(opresult5968, "++(1)", 1, partcv, params);
// compiled op node returning opresult5969 (depth = 7)
  int op_slot_left_5951 = gc_frame_newslot(opresult5969);
  params[0] = call5957;
  partcv[0] = 1;
  Object opresult5970 = callmethod(opresult5969, "++(1)", 1, partcv, params);
// compiled op node returning opresult5970 (depth = 6)
  *var_s = opresult5970;
  if (opresult5970 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_5867(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5868 == NULL) {
    strlit5868 = alloc_String("");
    gc_root(strlit5868);
  }
// compiled string node returning strlit5868 (depth = 4)
  *var_spc = strlit5868;
  if (strlit5868 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5869 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5872 = alloc_Float64(1);
// compiled num node returning num5872 (depth = 6)
  int op_slot_right_5871 = gc_frame_newslot(num5872);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_5871 = gc_frame_newslot(*var_depth);
  params[0] = num5872;
  partcv[0] = 1;
  Object diff5874 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff5874 (depth = 5)
  int op_slot_right_5870 = gc_frame_newslot(diff5874);
// starting to compile num node (depth = 5)
  Object num5876 = alloc_Float64(0);
// compiled num node returning num5876 (depth = 5)
  int op_slot_left_5870 = gc_frame_newslot(num5876);
  params[0] = diff5874;
  partcv[0] = 1;
  Object opresult5877 = callmethod(num5876, "..(1)", 1, partcv, params);
// compiled op node returning opresult5877 (depth = 4)
  gc_frame_newslot(opresult5877);
// starting to compile block node (depth = 4)
  Object block5878 = alloc_Block(NULL, NULL, "ast", 1434);
  gc_frame_newslot(block5878);
// method "_apply(_)"
  block_savedest(block5878);
  Object closure5879 = createclosure(2, "_apply(1)");
  setclosureframe(closure5879, stackframe);
  addtoclosure(closure5879, var_spc);
  addtoclosure(closure5879, selfslot);
  struct UserObject *uo5879 = (struct UserObject*)block5878;
  uo5879->data[0] = (Object)closure5879;
  Method *meth_meth_ast__apply_40_1_41_5879 = addmethod2pos(block5878, "_apply(1)", &meth_ast__apply_40_1_41_5879, 0);
  int argcv_meth_ast__apply_40_1_41_5879[] = {1};
  meth_meth_ast__apply_40_1_41_5879->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5879);
  meth_meth_ast__apply_40_1_41_5879->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5879->definitionLine = 2984;
// compiled block node returning block5878 (depth = 4)
  gc_frame_newslot(block5878);
// call case 5: prelude request
  params[0] = opresult5877;
  params[1] = block5878;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5886 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5869);
// compiled call node returning call5886 (depth = 3)
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5887 == NULL) {
    strlit5887 = alloc_String("object {");
    gc_root(strlit5887);
  }
// compiled string node returning strlit5887 (depth = 4)
  *var_s = strlit5887;
  if (strlit5887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5889 = gc_frame_new();
// call case 4: self request
  Object call5890 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5889);
// compiled member node returning call5890 (depth = 4)
  Object if5888 = done;
  if (istrue(call5890)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5892 == NULL) {
    strlit5892 = alloc_String("   // trait");
    gc_root(strlit5892);
  }
// compiled string node returning strlit5892 (depth = 6)
  int op_slot_right_5891 = gc_frame_newslot(strlit5892);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5891 = gc_frame_newslot(*var_s);
  params[0] = strlit5892;
  partcv[0] = 1;
  Object opresult5894 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5894 (depth = 5)
  *var_s = opresult5894;
  if (opresult5894 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5888 = done;
  } else {
  }
// compiled if node returning if5888 (depth = 3)
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5897 = gc_frame_new();
// call case 4: self request
  Object call5898 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5897);
// compiled member node returning call5898 (depth = 4)
  Object if5896 = done;
  if (istrue(call5898)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5900 == NULL) {
    strlit5900 = alloc_String("   // class");
    gc_root(strlit5900);
  }
// compiled string node returning strlit5900 (depth = 6)
  int op_slot_right_5899 = gc_frame_newslot(strlit5900);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5899 = gc_frame_newslot(*var_s);
  params[0] = strlit5900;
  partcv[0] = 1;
  Object opresult5902 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5902 (depth = 5)
  *var_s = opresult5902;
  if (opresult5902 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5896 = done;
  } else {
  }
// compiled if node returning if5896 (depth = 3)
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5906 = gc_frame_new();
// call case 4: self request
  Object call5907 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5906);
// compiled member node returning call5907 (depth = 5)
  int op_slot_right_5905 = gc_frame_newslot(call5907);
// starting to compile identifier node (depth = 5)
  Object bool5909 = alloc_Boolean(0);
// compiled identifier node returning bool5909 (depth = 5)
  int op_slot_left_5905 = gc_frame_newslot(bool5909);
  params[0] = call5907;
  partcv[0] = 1;
  Object opresult5910 = callmethod(bool5909, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5910 (depth = 4)
  Object if5904 = done;
  if (istrue(opresult5910)) {
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5912 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5914 = alloc_Float64(1);
// compiled num node returning num5914 (depth = 8)
  int op_slot_right_5913 = gc_frame_newslot(num5914);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_5913 = gc_frame_newslot(*var_depth);
  params[0] = num5914;
  partcv[0] = 1;
  Object sum5916 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5916 (depth = 7)
  gc_frame_newslot(sum5916);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5917 = gc_frame_new();
// call case 4: self request
  Object call5918 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5917);
// compiled member node returning call5918 (depth = 7)
  params[0] = sum5916;
  partcv[0] = 1;
  Object call5919 = callmethodflags(call5918, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5912);
// compiled call node returning call5919 (depth = 6)
  int op_slot_right_5911 = gc_frame_newslot(call5919);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5922 == NULL) {
    strlit5922 = alloc_String("""\x0a""");
    gc_root(strlit5922);
  }
// compiled string node returning strlit5922 (depth = 7)
  int op_slot_right_5921 = gc_frame_newslot(strlit5922);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5921 = gc_frame_newslot(*var_s);
  params[0] = strlit5922;
  partcv[0] = 1;
  Object opresult5924 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5924 (depth = 6)
  int op_slot_left_5911 = gc_frame_newslot(opresult5924);
  params[0] = call5919;
  partcv[0] = 1;
  Object opresult5925 = callmethod(opresult5924, "++(1)", 1, partcv, params);
// compiled op node returning opresult5925 (depth = 5)
  *var_s = opresult5925;
  if (opresult5925 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5904 = done;
  } else {
  }
// compiled if node returning if5904 (depth = 3)
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5927 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5928 = alloc_Block(NULL, NULL, "ast", 1443);
  gc_frame_newslot(block5928);
// method "_apply(_)"
  block_savedest(block5928);
  Object closure5929 = createclosure(3, "_apply(1)");
  setclosureframe(closure5929, stackframe);
  addtoclosure(closure5929, var_depth);
  addtoclosure(closure5929, var_s);
  addtoclosure(closure5929, selfslot);
  struct UserObject *uo5929 = (struct UserObject*)block5928;
  uo5929->data[0] = (Object)closure5929;
  Method *meth_meth_ast__apply_40_1_41_5929 = addmethod2pos(block5928, "_apply(1)", &meth_ast__apply_40_1_41_5929, 0);
  int argcv_meth_ast__apply_40_1_41_5929[] = {1};
  meth_meth_ast__apply_40_1_41_5929->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5929);
  meth_meth_ast__apply_40_1_41_5929->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5929->definitionLine = 2984;
// compiled block node returning block5928 (depth = 4)
  gc_frame_newslot(block5928);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5945 = gc_frame_new();
// call case 4: self request
  Object call5946 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5945);
// compiled member node returning call5946 (depth = 4)
  params[0] = block5928;
  partcv[0] = 1;
  Object call5947 = callmethodflags(call5946, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5927);
// compiled call node returning call5947 (depth = 3)
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5948 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5949 = alloc_Block(NULL, NULL, "ast", 1444);
  gc_frame_newslot(block5949);
// method "_apply(_)"
  block_savedest(block5949);
  Object closure5950 = createclosure(4, "_apply(1)");
  setclosureframe(closure5950, stackframe);
  addtoclosure(closure5950, var_depth);
  addtoclosure(closure5950, var_spc);
  addtoclosure(closure5950, var_s);
  addtoclosure(closure5950, selfslot);
  struct UserObject *uo5950 = (struct UserObject*)block5949;
  uo5950->data[0] = (Object)closure5950;
  Method *meth_meth_ast__apply_40_1_41_5950 = addmethod2pos(block5949, "_apply(1)", &meth_ast__apply_40_1_41_5950, 0);
  int argcv_meth_ast__apply_40_1_41_5950[] = {1};
  meth_meth_ast__apply_40_1_41_5950->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5950);
  meth_meth_ast__apply_40_1_41_5950->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5950->definitionLine = 2984;
// compiled block node returning block5949 (depth = 4)
  gc_frame_newslot(block5949);
// call case 6: other requests
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5973 = gc_frame_new();
// call case 4: self request
  Object call5974 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5973);
// compiled member node returning call5974 (depth = 4)
  params[0] = block5949;
  partcv[0] = 1;
  Object call5975 = callmethodflags(call5974, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5948);
// compiled call node returning call5975 (depth = 3)
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5977 == NULL) {
    strlit5977 = alloc_String("}");
    gc_root(strlit5977);
  }
// compiled string node returning strlit5977 (depth = 5)
  int op_slot_right_5976 = gc_frame_newslot(strlit5977);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5979 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5982 == NULL) {
    strlit5982 = alloc_String("""\x0a""");
    gc_root(strlit5982);
  }
// compiled string node returning strlit5982 (depth = 7)
  int op_slot_right_5981 = gc_frame_newslot(strlit5982);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5981 = gc_frame_newslot(*var_s);
  params[0] = strlit5982;
  partcv[0] = 1;
  Object opresult5984 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5984 (depth = 6)
  int op_slot_left_5979 = gc_frame_newslot(opresult5984);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5985 = callmethod(opresult5984, "++(1)", 1, partcv, params);
// compiled op node returning opresult5985 (depth = 5)
  int op_slot_left_5976 = gc_frame_newslot(opresult5985);
  params[0] = strlit5977;
  partcv[0] = 1;
  Object opresult5986 = callmethod(opresult5985, "++(1)", 1, partcv, params);
// compiled op node returning opresult5986 (depth = 4)
  *var_s = opresult5986;
  if (opresult5986 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy5988(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5989 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5990 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool5991 = alloc_Boolean(0);
// compiled identifier node returning bool5991 (depth = 5)
  gc_frame_newslot(bool5991);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objectNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = bool5991;
  partcv[0] = 2;
  Object call5992 = callmethodflags(*var_objectNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5990);
// compiled call node returning call5992 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5993 = callmethodflags(call5992, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5989);
// compiled call node returning call5993 (depth = 3)
  gc_frame_end(frame);
  return call5993;
}
Object meth_ast_postCopy_40_1_41_5994(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5995 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5996 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5997 = callmethodflags(*var_other, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5996);
// compiled member node returning call5997 (depth = 4)
  gc_frame_newslot(call5997);
// call case 4: self request
  params[0] = call5997;
  partcv[0] = 1;
  Object call5998 = callmethodflags(self, "name:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5995);
// compiled call node returning call5998 (depth = 3)
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5999 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6000 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6001 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6000);
// compiled member node returning call6001 (depth = 4)
  gc_frame_newslot(call6001);
// call case 4: self request
  params[0] = call6001;
  partcv[0] = 1;
  Object call6002 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5999);
// compiled call node returning call6002 (depth = 3)
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6003 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6004 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6005 = callmethodflags(*var_other, "superclass", 0, partcv, params, 0);
  gc_frame_end(callframe6004);
// compiled member node returning call6005 (depth = 4)
  gc_frame_newslot(call6005);
// call case 4: self request
  params[0] = call6005;
  partcv[0] = 1;
  Object call6006 = callmethodflags(self, "superclass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6003);
// compiled call node returning call6006 (depth = 3)
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6007 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6008 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6009 = callmethodflags(*var_other, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe6008);
// compiled member node returning call6009 (depth = 4)
  gc_frame_newslot(call6009);
// call case 4: self request
  params[0] = call6009;
  partcv[0] = 1;
  Object call6010 = callmethodflags(self, "usedTraits:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6007);
// compiled call node returning call6010 (depth = 3)
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6011 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6012 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6013 = callmethodflags(*var_other, "inClass", 0, partcv, params, 0);
  gc_frame_end(callframe6012);
// compiled member node returning call6013 (depth = 4)
  gc_frame_newslot(call6013);
// call case 4: self request
  params[0] = call6013;
  partcv[0] = 1;
  Object call6014 = callmethodflags(self, "inClass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6011);
// compiled call node returning call6014 (depth = 3)
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6015 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6017 = callmethodflags(*var_other, "inTrait", 0, partcv, params, 0);
  gc_frame_end(callframe6016);
// compiled member node returning call6017 (depth = 4)
  gc_frame_newslot(call6017);
// call case 4: self request
  params[0] = call6017;
  partcv[0] = 1;
  Object call6018 = callmethodflags(self, "inTrait:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6015);
// compiled call node returning call6018 (depth = 3)
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6019 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6020 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6021 = callmethodflags(*var_other, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe6020);
// compiled member node returning call6021 (depth = 4)
  gc_frame_newslot(call6021);
// call case 4: self request
  params[0] = call6021;
  partcv[0] = 1;
  Object call6022 = callmethodflags(self, "annotations:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6019);
// compiled call node returning call6022 (depth = 3)
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString6023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6025 == NULL) {
    strlit6025 = alloc_String("");
    gc_root(strlit6025);
  }
// compiled string node returning strlit6025 (depth = 4)
  int op_slot_right_6024 = gc_frame_newslot(strlit6025);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6028 = gc_frame_new();
// call case 4: self request
  Object call6029 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6028);
// compiled member node returning call6029 (depth = 5)
  int op_slot_right_6027 = gc_frame_newslot(call6029);
// starting to compile string node (depth = 5)
  if (strlit6031 == NULL) {
    strlit6031 = alloc_String("object ");
    gc_root(strlit6031);
  }
// compiled string node returning strlit6031 (depth = 5)
  int op_slot_left_6027 = gc_frame_newslot(strlit6031);
  params[0] = call6029;
  partcv[0] = 1;
  Object opresult6032 = callmethod(strlit6031, "++(1)", 1, partcv, params);
// compiled op node returning opresult6032 (depth = 4)
  int op_slot_left_6024 = gc_frame_newslot(opresult6032);
  params[0] = strlit6025;
  partcv[0] = 1;
  Object opresult6033 = callmethod(opresult6032, "++(1)", 1, partcv, params);
// compiled op node returning opresult6033 (depth = 3)
  gc_frame_end(frame);
  return opresult6033;
}
Object meth_ast_new_40_2_41_5451(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5452 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5452 = alloc_userobj2(38,31, objclass5452);
  gc_frame_newslot(obj5452);
if (objclass5452 == NULL) {
  glfree(obj5452->class->name);
  obj5452->class->name = "objectNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5452, self, 0);
  addmethodreal(obj5452,"outer", &reader_ast_outer_5453);
  Object oldself5452 = self;
  struct StackFrameObject *oldstackframe5452 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5452);
  gc_frame_newslot((Object)stackframe);
  self = obj5452;
  Object *oldselfslot5452 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5452 = (*(struct UserObject *)self).data[0], lowerouter5452 = thisouter5452;
  if (inheritingObject5452) {
    struct UserObject *inho5452 = (struct UserObject *)inheritingObject5452;
    while (inho5452->super != GraceDefaultObject) inho5452 = (struct UserObject *)inho5452->super;
    inho5452->super = obj5452;
    self = inheritingObject5452;
    *selfslot = self;
    lowerouter5452 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5452;
  }
if (objclass5452 == NULL) {
  Method *reader5454 = addmethodrealflags(obj5452, "kind",&reader_ast_kind_5454, MFLAG_DEF);
  reader5454->definitionModule = modulename;
  reader5454->definitionLine = 1304;
}
adddatum2(obj5452, alloc_Undefined(), 1);
if (objclass5452 == NULL) {
  Method *reader5455 = addmethodrealflags(obj5452, "value", &reader_ast_value_5455, 0);
  Method *writer5455 = addmethodrealflags(obj5452, "value:=(1)", &writer_ast_value_5455, 0);
  reader5455->definitionModule = modulename;
  writer5455->definitionModule = modulename;
  reader5455->definitionLine = 1305;
  writer5455->definitionLine = 1305;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 2);
if (objclass5452 == NULL) {
  Method *reader5456 = addmethodrealflags(obj5452, "superclass", &reader_ast_superclass_5456, 0);
  Method *writer5456 = addmethodrealflags(obj5452, "superclass:=(1)", &writer_ast_superclass_5456, 0);
  reader5456->definitionModule = modulename;
  writer5456->definitionModule = modulename;
  reader5456->definitionLine = 1306;
  writer5456->definitionLine = 1306;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 3);
if (objclass5452 == NULL) {
  Method *reader5457 = addmethodrealflags(obj5452, "usedTraits", &reader_ast_usedTraits_5457, 0);
  Method *writer5457 = addmethodrealflags(obj5452, "usedTraits:=(1)", &writer_ast_usedTraits_5457, 0);
  reader5457->definitionModule = modulename;
  writer5457->definitionModule = modulename;
  reader5457->definitionLine = 1307;
  writer5457->definitionLine = 1307;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 4);
if (objclass5452 == NULL) {
  Method *reader5458 = addmethodrealflags(obj5452, "name", &reader_ast_name_5458, 0);
  Method *writer5458 = addmethodrealflags(obj5452, "name:=(1)", &writer_ast_name_5458, 0);
  reader5458->definitionModule = modulename;
  writer5458->definitionModule = modulename;
  reader5458->definitionLine = 1308;
  writer5458->definitionLine = 1308;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 5);
if (objclass5452 == NULL) {
  Method *reader5459 = addmethodrealflags(obj5452, "inClass", &reader_ast_inClass_5459, 0);
  Method *writer5459 = addmethodrealflags(obj5452, "inClass:=(1)", &writer_ast_inClass_5459, 0);
  reader5459->definitionModule = modulename;
  writer5459->definitionModule = modulename;
  reader5459->definitionLine = 1309;
  writer5459->definitionLine = 1309;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 6);
if (objclass5452 == NULL) {
  Method *reader5460 = addmethodrealflags(obj5452, "inTrait", &reader_ast_inTrait_5460, 0);
  Method *writer5460 = addmethodrealflags(obj5452, "inTrait:=(1)", &writer_ast_inTrait_5460, 0);
  reader5460->definitionModule = modulename;
  writer5460->definitionModule = modulename;
  reader5460->definitionLine = 1310;
  writer5460->definitionLine = 1310;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 7);
if (objclass5452 == NULL) {
  Method *reader5461 = addmethodrealflags(obj5452, "myLocalNames", &reader_ast_myLocalNames_5461, MFLAG_CONFIDENTIAL);
  Method *writer5461 = addmethodrealflags(obj5452, "myLocalNames:=(1)", &writer_ast_myLocalNames_5461, MFLAG_CONFIDENTIAL);
  reader5461->definitionModule = modulename;
  writer5461->definitionModule = modulename;
  reader5461->definitionLine = 1311;
  writer5461->definitionLine = 1311;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 8);
if (objclass5452 == NULL) {
  Method *reader5462 = addmethodrealflags(obj5452, "annotations", &reader_ast_annotations_5462, 0);
  Method *writer5462 = addmethodrealflags(obj5452, "annotations:=(1)", &writer_ast_annotations_5462, 0);
  reader5462->definitionModule = modulename;
  writer5462->definitionModule = modulename;
  reader5462->definitionLine = 1312;
  writer5462->definitionLine = 1312;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 9);
// method "description"
  struct UserObject *uo5463 = (struct UserObject*)obj5452;
  uo5463->data[10] = emptyclosure;
  Method *meth_meth_ast_description5463 = addmethod2pos(obj5452, "description", &meth_ast_description5463, 10);
  int argcv_meth_ast_description5463[] = {0};
  meth_meth_ast_description5463->type = alloc_MethodType(1, argcv_meth_ast_description5463);
  meth_meth_ast_description5463->definitionModule = modulename;
  meth_meth_ast_description5463->definitionLine = 1314;
// method "isTrait"
  struct UserObject *uo5492 = (struct UserObject*)obj5452;
  uo5492->data[11] = emptyclosure;
  Method *meth_meth_ast_isTrait5492 = addmethod2pos(obj5452, "isTrait", &meth_ast_isTrait5492, 11);
  int argcv_meth_ast_isTrait5492[] = {0};
  meth_meth_ast_isTrait5492->type = alloc_MethodType(1, argcv_meth_ast_isTrait5492);
  meth_meth_ast_isTrait5492->definitionModule = modulename;
  meth_meth_ast_isTrait5492->definitionLine = 1323;
// method "localNames"
  struct UserObject *uo5519 = (struct UserObject*)obj5452;
  uo5519->data[12] = emptyclosure;
  Method *meth_meth_ast_localNames5519 = addmethod2pos(obj5452, "localNames", &meth_ast_localNames5519, 12);
  int argcv_meth_ast_localNames5519[] = {0};
  meth_meth_ast_localNames5519->type = alloc_MethodType(1, argcv_meth_ast_localNames5519);
  meth_meth_ast_localNames5519->definitionModule = modulename;
  meth_meth_ast_localNames5519->definitionLine = 1335;
// method "parentsDo(_)"
  struct UserObject *uo5554 = (struct UserObject*)obj5452;
  uo5554->data[13] = emptyclosure;
  Method *meth_meth_ast_parentsDo_40_1_41_5554 = addmethod2pos(obj5452, "parentsDo(1)", &meth_ast_parentsDo_40_1_41_5554, 13);
  int argcv_meth_ast_parentsDo_40_1_41_5554[] = {1};
  meth_meth_ast_parentsDo_40_1_41_5554->type = alloc_MethodType(1, argcv_meth_ast_parentsDo_40_1_41_5554);
  meth_meth_ast_parentsDo_40_1_41_5554->definitionModule = modulename;
  meth_meth_ast_parentsDo_40_1_41_5554->definitionLine = 1349;
// method "methodsDo(_)"
  struct UserObject *uo5575 = (struct UserObject*)obj5452;
  uo5575->data[14] = emptyclosure;
  Method *meth_meth_ast_methodsDo_40_1_41_5575 = addmethod2pos(obj5452, "methodsDo(1)", &meth_ast_methodsDo_40_1_41_5575, 14);
  int argcv_meth_ast_methodsDo_40_1_41_5575[] = {1};
  meth_meth_ast_methodsDo_40_1_41_5575->type = alloc_MethodType(1, argcv_meth_ast_methodsDo_40_1_41_5575);
  meth_meth_ast_methodsDo_40_1_41_5575->definitionModule = modulename;
  meth_meth_ast_methodsDo_40_1_41_5575->definitionLine = 1356;
// method "executableComponentsDo(_)"
  struct UserObject *uo5588 = (struct UserObject*)obj5452;
  uo5588->data[15] = emptyclosure;
  Method *meth_meth_ast_executableComponentsDo_40_1_41_5588 = addmethod2pos(obj5452, "executableComponentsDo(1)", &meth_ast_executableComponentsDo_40_1_41_5588, 15);
  int argcv_meth_ast_executableComponentsDo_40_1_41_5588[] = {1};
  meth_meth_ast_executableComponentsDo_40_1_41_5588->type = alloc_MethodType(1, argcv_meth_ast_executableComponentsDo_40_1_41_5588);
  meth_meth_ast_executableComponentsDo_40_1_41_5588->definitionModule = modulename;
  meth_meth_ast_executableComponentsDo_40_1_41_5588->definitionLine = 1364;
// method "scope:=(_)"
  struct UserObject *uo5601 = (struct UserObject*)obj5452;
  uo5601->data[16] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_5601 = addmethod2pos(obj5452, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_5601, 16);
  int argcv_meth_ast_scope_58__61__40_1_41_5601[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_5601->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_5601);
  meth_meth_ast_scope_58__61__40_1_41_5601->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_5601->definitionLine = 1372;
// method "body"
  struct UserObject *uo5606 = (struct UserObject*)obj5452;
  uo5606->data[17] = emptyclosure;
  Method *meth_meth_ast_body5606 = addmethod2pos(obj5452, "body", &meth_ast_body5606, 17);
  int argcv_meth_ast_body5606[] = {0};
  meth_meth_ast_body5606->type = alloc_MethodType(1, argcv_meth_ast_body5606);
  meth_meth_ast_body5606->definitionModule = modulename;
  meth_meth_ast_body5606->definitionLine = 1378;
// method "returnsObject"
  struct UserObject *uo5609 = (struct UserObject*)obj5452;
  uo5609->data[18] = emptyclosure;
  Method *meth_meth_ast_returnsObject5609 = addmethod2pos(obj5452, "returnsObject", &meth_ast_returnsObject5609, 18);
  int argcv_meth_ast_returnsObject5609[] = {0};
  meth_meth_ast_returnsObject5609->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5609);
  meth_meth_ast_returnsObject5609->definitionModule = modulename;
  meth_meth_ast_returnsObject5609->definitionLine = 1379;
// method "returnedObjectScope"
  struct UserObject *uo5611 = (struct UserObject*)obj5452;
  uo5611->data[19] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope5611 = addmethod2pos(obj5452, "returnedObjectScope", &meth_ast_returnedObjectScope5611, 19);
  int argcv_meth_ast_returnedObjectScope5611[] = {0};
  meth_meth_ast_returnedObjectScope5611->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope5611);
  meth_meth_ast_returnedObjectScope5611->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope5611->definitionLine = 1380;
// method "canInherit"
  struct UserObject *uo5614 = (struct UserObject*)obj5452;
  uo5614->data[20] = emptyclosure;
  Method *meth_meth_ast_canInherit5614 = addmethod2pos(obj5452, "canInherit", &meth_ast_canInherit5614, 20);
  int argcv_meth_ast_canInherit5614[] = {0};
  meth_meth_ast_canInherit5614->type = alloc_MethodType(1, argcv_meth_ast_canInherit5614);
  meth_meth_ast_canInherit5614->definitionModule = modulename;
  meth_meth_ast_canInherit5614->definitionLine = 1381;
// method "canUse"
  struct UserObject *uo5619 = (struct UserObject*)obj5452;
  uo5619->data[21] = emptyclosure;
  Method *meth_meth_ast_canUse5619 = addmethod2pos(obj5452, "canUse", &meth_ast_canUse5619, 21);
  int argcv_meth_ast_canUse5619[] = {0};
  meth_meth_ast_canUse5619->type = alloc_MethodType(1, argcv_meth_ast_canUse5619);
  meth_meth_ast_canUse5619->definitionModule = modulename;
  meth_meth_ast_canUse5619->definitionLine = 1382;
// method "isObject"
  struct UserObject *uo5621 = (struct UserObject*)obj5452;
  uo5621->data[22] = emptyclosure;
  Method *meth_meth_ast_isObject5621 = addmethod2pos(obj5452, "isObject", &meth_ast_isObject5621, 22);
  int argcv_meth_ast_isObject5621[] = {0};
  meth_meth_ast_isObject5621->type = alloc_MethodType(1, argcv_meth_ast_isObject5621);
  meth_meth_ast_isObject5621->definitionModule = modulename;
  meth_meth_ast_isObject5621->definitionLine = 1383;
// method "accept(_)from(_)"
  struct UserObject *uo5623 = (struct UserObject*)obj5452;
  uo5623->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5623 = addmethod2pos(obj5452, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5623, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5623[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5623);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->definitionLine = 1384;
// method "nameString"
  struct UserObject *uo5658 = (struct UserObject*)obj5452;
  uo5658->data[24] = emptyclosure;
  Method *meth_meth_ast_nameString5658 = addmethod2pos(obj5452, "nameString", &meth_ast_nameString5658, 24);
  int argcv_meth_ast_nameString5658[] = {0};
  meth_meth_ast_nameString5658->type = alloc_MethodType(1, argcv_meth_ast_nameString5658);
  meth_meth_ast_nameString5658->definitionModule = modulename;
  meth_meth_ast_nameString5658->definitionLine = 1394;
// method "map(_)ancestors(_)"
  struct UserObject *uo5678 = (struct UserObject*)obj5452;
  uo5678->data[25] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678 = addmethod2pos(obj5452, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5678, 25);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5678[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5678);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->definitionLine = 1401;
// method "pretty(_)"
  struct UserObject *uo5715 = (struct UserObject*)obj5452;
  uo5715->data[26] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5715 = addmethod2pos(obj5452, "pretty(1)", &meth_ast_pretty_40_1_41_5715, 26);
  int argcv_meth_ast_pretty_40_1_41_5715[] = {1};
  meth_meth_ast_pretty_40_1_41_5715->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5715);
  meth_meth_ast_pretty_40_1_41_5715->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5715->definitionLine = 1409;
// method "toGrace(_)"
  struct UserObject *uo5867 = (struct UserObject*)obj5452;
  uo5867->data[27] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5867 = addmethod2pos(obj5452, "toGrace(1)", &meth_ast_toGrace_40_1_41_5867, 27);
  int argcv_meth_ast_toGrace_40_1_41_5867[] = {1};
  meth_meth_ast_toGrace_40_1_41_5867->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5867);
meth_meth_ast_toGrace_40_1_41_5867->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5867->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5867->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5867->definitionLine = 1432;
// method "shallowCopy"
  block_savedest(obj5452);
  Object closure5988 = createclosure(2, "shallowCopy");
  setclosureframe(closure5988, stackframe);
  addtoclosure(closure5988, var_emptySeq);
  addtoclosure(closure5988, var_objectNode);
  struct UserObject *uo5988 = (struct UserObject*)obj5452;
  uo5988->data[28] = (Object)closure5988;
  Method *meth_meth_ast_shallowCopy5988 = addmethod2pos(obj5452, "shallowCopy", &meth_ast_shallowCopy5988, 28);
  int argcv_meth_ast_shallowCopy5988[] = {0};
  meth_meth_ast_shallowCopy5988->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5988);
  meth_meth_ast_shallowCopy5988->definitionModule = modulename;
  meth_meth_ast_shallowCopy5988->definitionLine = 1450;
// method "postCopy(_)"
  struct UserObject *uo5994 = (struct UserObject*)obj5452;
  uo5994->data[29] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5994 = addmethod2pos(obj5452, "postCopy(1)", &meth_ast_postCopy_40_1_41_5994, 29);
  int argcv_meth_ast_postCopy_40_1_41_5994[] = {1};
  meth_meth_ast_postCopy_40_1_41_5994->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5994);
  meth_meth_ast_postCopy_40_1_41_5994->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5994->definitionLine = 1453;
// method "asString"
  struct UserObject *uo6023 = (struct UserObject*)obj5452;
  uo6023->data[30] = emptyclosure;
  Method *meth_meth_ast_asString6023 = addmethod2pos(obj5452, "asString", &meth_ast_asString6023, 30);
  int argcv_meth_ast_asString6023[] = {0};
  meth_meth_ast_asString6023->type = alloc_MethodType(1, argcv_meth_ast_asString6023);
  meth_meth_ast_asString6023->definitionModule = modulename;
  meth_meth_ast_asString6023->definitionLine = 1463;
  sourceObject = obj5452;
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6034 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6035 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6036 = gc_frame_new();
// call case 3: self.outer request
  Object call6037 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6036);
// compiled member node returning call6037 (depth = 5)
  Object call6038 = callmethodflags(call6037, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6035);
// compiled member node returning call6038 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6039 = callmethodflags(call6038, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6034);
// compiled call node returning call6039 (depth = 3)
  struct UserObject *obj5452_uo = (struct UserObject *)obj5452;
  obj5452_uo->super = call6039;
  sourceObject = obj5452;
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String("object");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 3)
  adddatum2(obj5452, strlit6040, 1);
  sourceObject = obj5452;
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5452, *var_b, 2);
  sourceObject = obj5452;
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5452, *var_superclass_39_, 3);
  sourceObject = obj5452;
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6041 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6041 (depth = 3)
  adddatum2(obj5452, array6041, 4);
  sourceObject = obj5452;
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6042 == NULL) {
    strlit6042 = alloc_String("object");
    gc_root(strlit6042);
  }
// compiled string node returning strlit6042 (depth = 3)
  adddatum2(obj5452, strlit6042, 5);
  sourceObject = obj5452;
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6043 = alloc_Boolean(0);
// compiled identifier node returning bool6043 (depth = 3)
  adddatum2(obj5452, bool6043, 6);
  sourceObject = obj5452;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6044 = alloc_Boolean(0);
// compiled identifier node returning bool6044 (depth = 3)
  adddatum2(obj5452, bool6044, 7);
  sourceObject = obj5452;
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6045 = alloc_Boolean(0);
// compiled identifier node returning bool6045 (depth = 3)
  adddatum2(obj5452, bool6045, 8);
  sourceObject = obj5452;
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6046 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6046 (depth = 3)
  adddatum2(obj5452, array6046, 9);
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  objclass5452 = obj5452->class;
  objclass5452->definitionModule = modulename;
  objclass5452->definitionLine = 1302;
  (*(struct UserObject *)self).data[0] = lowerouter5452;
  self = oldself5452;
  selfslot = oldselfslot5452;
  stackframe = oldstackframe5452;
  gc_frame_end(frame);
  return obj5452;
}
Object meth_ast_new_40_2_41_5451_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5452 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5452 = alloc_userobj2(38,31, objclass5452);
  gc_frame_newslot(obj5452);
if (objclass5452 == NULL) {
  glfree(obj5452->class->name);
  obj5452->class->name = "objectNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5452, self, 0);
  addmethodreal(obj5452,"outer", &reader_ast_outer_5453);
  Object oldself5452 = self;
  struct StackFrameObject *oldstackframe5452 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5452);
  gc_frame_newslot((Object)stackframe);
  self = obj5452;
  Object *oldselfslot5452 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5452 = (*(struct UserObject *)self).data[0], lowerouter5452 = thisouter5452;
  if (inheritingObject5452) {
    struct UserObject *inho5452 = (struct UserObject *)inheritingObject5452;
    while (inho5452->super != GraceDefaultObject) inho5452 = (struct UserObject *)inho5452->super;
    inho5452->super = obj5452;
    self = inheritingObject5452;
    *selfslot = self;
    lowerouter5452 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5452;
  }
if (objclass5452 == NULL) {
  Method *reader5454 = addmethodrealflags(obj5452, "kind",&reader_ast_kind_5454, MFLAG_DEF);
  reader5454->definitionModule = modulename;
  reader5454->definitionLine = 1304;
}
adddatum2(obj5452, alloc_Undefined(), 1);
if (objclass5452 == NULL) {
  Method *reader5455 = addmethodrealflags(obj5452, "value", &reader_ast_value_5455, 0);
  Method *writer5455 = addmethodrealflags(obj5452, "value:=(1)", &writer_ast_value_5455, 0);
  reader5455->definitionModule = modulename;
  writer5455->definitionModule = modulename;
  reader5455->definitionLine = 1305;
  writer5455->definitionLine = 1305;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 2);
if (objclass5452 == NULL) {
  Method *reader5456 = addmethodrealflags(obj5452, "superclass", &reader_ast_superclass_5456, 0);
  Method *writer5456 = addmethodrealflags(obj5452, "superclass:=(1)", &writer_ast_superclass_5456, 0);
  reader5456->definitionModule = modulename;
  writer5456->definitionModule = modulename;
  reader5456->definitionLine = 1306;
  writer5456->definitionLine = 1306;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 3);
if (objclass5452 == NULL) {
  Method *reader5457 = addmethodrealflags(obj5452, "usedTraits", &reader_ast_usedTraits_5457, 0);
  Method *writer5457 = addmethodrealflags(obj5452, "usedTraits:=(1)", &writer_ast_usedTraits_5457, 0);
  reader5457->definitionModule = modulename;
  writer5457->definitionModule = modulename;
  reader5457->definitionLine = 1307;
  writer5457->definitionLine = 1307;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 4);
if (objclass5452 == NULL) {
  Method *reader5458 = addmethodrealflags(obj5452, "name", &reader_ast_name_5458, 0);
  Method *writer5458 = addmethodrealflags(obj5452, "name:=(1)", &writer_ast_name_5458, 0);
  reader5458->definitionModule = modulename;
  writer5458->definitionModule = modulename;
  reader5458->definitionLine = 1308;
  writer5458->definitionLine = 1308;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 5);
if (objclass5452 == NULL) {
  Method *reader5459 = addmethodrealflags(obj5452, "inClass", &reader_ast_inClass_5459, 0);
  Method *writer5459 = addmethodrealflags(obj5452, "inClass:=(1)", &writer_ast_inClass_5459, 0);
  reader5459->definitionModule = modulename;
  writer5459->definitionModule = modulename;
  reader5459->definitionLine = 1309;
  writer5459->definitionLine = 1309;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 6);
if (objclass5452 == NULL) {
  Method *reader5460 = addmethodrealflags(obj5452, "inTrait", &reader_ast_inTrait_5460, 0);
  Method *writer5460 = addmethodrealflags(obj5452, "inTrait:=(1)", &writer_ast_inTrait_5460, 0);
  reader5460->definitionModule = modulename;
  writer5460->definitionModule = modulename;
  reader5460->definitionLine = 1310;
  writer5460->definitionLine = 1310;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 7);
if (objclass5452 == NULL) {
  Method *reader5461 = addmethodrealflags(obj5452, "myLocalNames", &reader_ast_myLocalNames_5461, MFLAG_CONFIDENTIAL);
  Method *writer5461 = addmethodrealflags(obj5452, "myLocalNames:=(1)", &writer_ast_myLocalNames_5461, MFLAG_CONFIDENTIAL);
  reader5461->definitionModule = modulename;
  writer5461->definitionModule = modulename;
  reader5461->definitionLine = 1311;
  writer5461->definitionLine = 1311;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 8);
if (objclass5452 == NULL) {
  Method *reader5462 = addmethodrealflags(obj5452, "annotations", &reader_ast_annotations_5462, 0);
  Method *writer5462 = addmethodrealflags(obj5452, "annotations:=(1)", &writer_ast_annotations_5462, 0);
  reader5462->definitionModule = modulename;
  writer5462->definitionModule = modulename;
  reader5462->definitionLine = 1312;
  writer5462->definitionLine = 1312;
}
obj5452->flags |= OFLAG_MUTABLE;
adddatum2(obj5452, alloc_Undefined(), 9);
// method "description"
  struct UserObject *uo5463 = (struct UserObject*)obj5452;
  uo5463->data[10] = emptyclosure;
  Method *meth_meth_ast_description5463 = addmethod2pos(obj5452, "description", &meth_ast_description5463, 10);
  int argcv_meth_ast_description5463[] = {0};
  meth_meth_ast_description5463->type = alloc_MethodType(1, argcv_meth_ast_description5463);
  meth_meth_ast_description5463->definitionModule = modulename;
  meth_meth_ast_description5463->definitionLine = 1314;
// method "isTrait"
  struct UserObject *uo5492 = (struct UserObject*)obj5452;
  uo5492->data[11] = emptyclosure;
  Method *meth_meth_ast_isTrait5492 = addmethod2pos(obj5452, "isTrait", &meth_ast_isTrait5492, 11);
  int argcv_meth_ast_isTrait5492[] = {0};
  meth_meth_ast_isTrait5492->type = alloc_MethodType(1, argcv_meth_ast_isTrait5492);
  meth_meth_ast_isTrait5492->definitionModule = modulename;
  meth_meth_ast_isTrait5492->definitionLine = 1323;
// method "localNames"
  struct UserObject *uo5519 = (struct UserObject*)obj5452;
  uo5519->data[12] = emptyclosure;
  Method *meth_meth_ast_localNames5519 = addmethod2pos(obj5452, "localNames", &meth_ast_localNames5519, 12);
  int argcv_meth_ast_localNames5519[] = {0};
  meth_meth_ast_localNames5519->type = alloc_MethodType(1, argcv_meth_ast_localNames5519);
  meth_meth_ast_localNames5519->definitionModule = modulename;
  meth_meth_ast_localNames5519->definitionLine = 1335;
// method "parentsDo(_)"
  struct UserObject *uo5554 = (struct UserObject*)obj5452;
  uo5554->data[13] = emptyclosure;
  Method *meth_meth_ast_parentsDo_40_1_41_5554 = addmethod2pos(obj5452, "parentsDo(1)", &meth_ast_parentsDo_40_1_41_5554, 13);
  int argcv_meth_ast_parentsDo_40_1_41_5554[] = {1};
  meth_meth_ast_parentsDo_40_1_41_5554->type = alloc_MethodType(1, argcv_meth_ast_parentsDo_40_1_41_5554);
  meth_meth_ast_parentsDo_40_1_41_5554->definitionModule = modulename;
  meth_meth_ast_parentsDo_40_1_41_5554->definitionLine = 1349;
// method "methodsDo(_)"
  struct UserObject *uo5575 = (struct UserObject*)obj5452;
  uo5575->data[14] = emptyclosure;
  Method *meth_meth_ast_methodsDo_40_1_41_5575 = addmethod2pos(obj5452, "methodsDo(1)", &meth_ast_methodsDo_40_1_41_5575, 14);
  int argcv_meth_ast_methodsDo_40_1_41_5575[] = {1};
  meth_meth_ast_methodsDo_40_1_41_5575->type = alloc_MethodType(1, argcv_meth_ast_methodsDo_40_1_41_5575);
  meth_meth_ast_methodsDo_40_1_41_5575->definitionModule = modulename;
  meth_meth_ast_methodsDo_40_1_41_5575->definitionLine = 1356;
// method "executableComponentsDo(_)"
  struct UserObject *uo5588 = (struct UserObject*)obj5452;
  uo5588->data[15] = emptyclosure;
  Method *meth_meth_ast_executableComponentsDo_40_1_41_5588 = addmethod2pos(obj5452, "executableComponentsDo(1)", &meth_ast_executableComponentsDo_40_1_41_5588, 15);
  int argcv_meth_ast_executableComponentsDo_40_1_41_5588[] = {1};
  meth_meth_ast_executableComponentsDo_40_1_41_5588->type = alloc_MethodType(1, argcv_meth_ast_executableComponentsDo_40_1_41_5588);
  meth_meth_ast_executableComponentsDo_40_1_41_5588->definitionModule = modulename;
  meth_meth_ast_executableComponentsDo_40_1_41_5588->definitionLine = 1364;
// method "scope:=(_)"
  struct UserObject *uo5601 = (struct UserObject*)obj5452;
  uo5601->data[16] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_5601 = addmethod2pos(obj5452, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_5601, 16);
  int argcv_meth_ast_scope_58__61__40_1_41_5601[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_5601->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_5601);
  meth_meth_ast_scope_58__61__40_1_41_5601->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_5601->definitionLine = 1372;
// method "body"
  struct UserObject *uo5606 = (struct UserObject*)obj5452;
  uo5606->data[17] = emptyclosure;
  Method *meth_meth_ast_body5606 = addmethod2pos(obj5452, "body", &meth_ast_body5606, 17);
  int argcv_meth_ast_body5606[] = {0};
  meth_meth_ast_body5606->type = alloc_MethodType(1, argcv_meth_ast_body5606);
  meth_meth_ast_body5606->definitionModule = modulename;
  meth_meth_ast_body5606->definitionLine = 1378;
// method "returnsObject"
  struct UserObject *uo5609 = (struct UserObject*)obj5452;
  uo5609->data[18] = emptyclosure;
  Method *meth_meth_ast_returnsObject5609 = addmethod2pos(obj5452, "returnsObject", &meth_ast_returnsObject5609, 18);
  int argcv_meth_ast_returnsObject5609[] = {0};
  meth_meth_ast_returnsObject5609->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5609);
  meth_meth_ast_returnsObject5609->definitionModule = modulename;
  meth_meth_ast_returnsObject5609->definitionLine = 1379;
// method "returnedObjectScope"
  struct UserObject *uo5611 = (struct UserObject*)obj5452;
  uo5611->data[19] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope5611 = addmethod2pos(obj5452, "returnedObjectScope", &meth_ast_returnedObjectScope5611, 19);
  int argcv_meth_ast_returnedObjectScope5611[] = {0};
  meth_meth_ast_returnedObjectScope5611->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope5611);
  meth_meth_ast_returnedObjectScope5611->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope5611->definitionLine = 1380;
// method "canInherit"
  struct UserObject *uo5614 = (struct UserObject*)obj5452;
  uo5614->data[20] = emptyclosure;
  Method *meth_meth_ast_canInherit5614 = addmethod2pos(obj5452, "canInherit", &meth_ast_canInherit5614, 20);
  int argcv_meth_ast_canInherit5614[] = {0};
  meth_meth_ast_canInherit5614->type = alloc_MethodType(1, argcv_meth_ast_canInherit5614);
  meth_meth_ast_canInherit5614->definitionModule = modulename;
  meth_meth_ast_canInherit5614->definitionLine = 1381;
// method "canUse"
  struct UserObject *uo5619 = (struct UserObject*)obj5452;
  uo5619->data[21] = emptyclosure;
  Method *meth_meth_ast_canUse5619 = addmethod2pos(obj5452, "canUse", &meth_ast_canUse5619, 21);
  int argcv_meth_ast_canUse5619[] = {0};
  meth_meth_ast_canUse5619->type = alloc_MethodType(1, argcv_meth_ast_canUse5619);
  meth_meth_ast_canUse5619->definitionModule = modulename;
  meth_meth_ast_canUse5619->definitionLine = 1382;
// method "isObject"
  struct UserObject *uo5621 = (struct UserObject*)obj5452;
  uo5621->data[22] = emptyclosure;
  Method *meth_meth_ast_isObject5621 = addmethod2pos(obj5452, "isObject", &meth_ast_isObject5621, 22);
  int argcv_meth_ast_isObject5621[] = {0};
  meth_meth_ast_isObject5621->type = alloc_MethodType(1, argcv_meth_ast_isObject5621);
  meth_meth_ast_isObject5621->definitionModule = modulename;
  meth_meth_ast_isObject5621->definitionLine = 1383;
// method "accept(_)from(_)"
  struct UserObject *uo5623 = (struct UserObject*)obj5452;
  uo5623->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5623 = addmethod2pos(obj5452, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5623, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5623[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5623);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5623->definitionLine = 1384;
// method "nameString"
  struct UserObject *uo5658 = (struct UserObject*)obj5452;
  uo5658->data[24] = emptyclosure;
  Method *meth_meth_ast_nameString5658 = addmethod2pos(obj5452, "nameString", &meth_ast_nameString5658, 24);
  int argcv_meth_ast_nameString5658[] = {0};
  meth_meth_ast_nameString5658->type = alloc_MethodType(1, argcv_meth_ast_nameString5658);
  meth_meth_ast_nameString5658->definitionModule = modulename;
  meth_meth_ast_nameString5658->definitionLine = 1394;
// method "map(_)ancestors(_)"
  struct UserObject *uo5678 = (struct UserObject*)obj5452;
  uo5678->data[25] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678 = addmethod2pos(obj5452, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5678, 25);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5678[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5678);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5678->definitionLine = 1401;
// method "pretty(_)"
  struct UserObject *uo5715 = (struct UserObject*)obj5452;
  uo5715->data[26] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5715 = addmethod2pos(obj5452, "pretty(1)", &meth_ast_pretty_40_1_41_5715, 26);
  int argcv_meth_ast_pretty_40_1_41_5715[] = {1};
  meth_meth_ast_pretty_40_1_41_5715->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5715);
  meth_meth_ast_pretty_40_1_41_5715->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5715->definitionLine = 1409;
// method "toGrace(_)"
  struct UserObject *uo5867 = (struct UserObject*)obj5452;
  uo5867->data[27] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5867 = addmethod2pos(obj5452, "toGrace(1)", &meth_ast_toGrace_40_1_41_5867, 27);
  int argcv_meth_ast_toGrace_40_1_41_5867[] = {1};
  meth_meth_ast_toGrace_40_1_41_5867->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5867);
meth_meth_ast_toGrace_40_1_41_5867->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5867->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5867->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5867->definitionLine = 1432;
// method "shallowCopy"
  block_savedest(obj5452);
  Object closure5988 = createclosure(2, "shallowCopy");
  setclosureframe(closure5988, stackframe);
  addtoclosure(closure5988, var_emptySeq);
  addtoclosure(closure5988, var_objectNode);
  struct UserObject *uo5988 = (struct UserObject*)obj5452;
  uo5988->data[28] = (Object)closure5988;
  Method *meth_meth_ast_shallowCopy5988 = addmethod2pos(obj5452, "shallowCopy", &meth_ast_shallowCopy5988, 28);
  int argcv_meth_ast_shallowCopy5988[] = {0};
  meth_meth_ast_shallowCopy5988->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5988);
  meth_meth_ast_shallowCopy5988->definitionModule = modulename;
  meth_meth_ast_shallowCopy5988->definitionLine = 1450;
// method "postCopy(_)"
  struct UserObject *uo5994 = (struct UserObject*)obj5452;
  uo5994->data[29] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_5994 = addmethod2pos(obj5452, "postCopy(1)", &meth_ast_postCopy_40_1_41_5994, 29);
  int argcv_meth_ast_postCopy_40_1_41_5994[] = {1};
  meth_meth_ast_postCopy_40_1_41_5994->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_5994);
  meth_meth_ast_postCopy_40_1_41_5994->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_5994->definitionLine = 1453;
// method "asString"
  struct UserObject *uo6023 = (struct UserObject*)obj5452;
  uo6023->data[30] = emptyclosure;
  Method *meth_meth_ast_asString6023 = addmethod2pos(obj5452, "asString", &meth_ast_asString6023, 30);
  int argcv_meth_ast_asString6023[] = {0};
  meth_meth_ast_asString6023->type = alloc_MethodType(1, argcv_meth_ast_asString6023);
  meth_meth_ast_asString6023->definitionModule = modulename;
  meth_meth_ast_asString6023->definitionLine = 1463;
  sourceObject = obj5452;
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6034 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6035 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6036 = gc_frame_new();
// call case 3: self.outer request
  Object call6037 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6036);
// compiled member node returning call6037 (depth = 5)
  Object call6038 = callmethodflags(call6037, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6035);
// compiled member node returning call6038 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6039 = callmethodflags(call6038, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6034);
// compiled call node returning call6039 (depth = 3)
  struct UserObject *obj5452_uo = (struct UserObject *)obj5452;
  obj5452_uo->super = call6039;
  sourceObject = obj5452;
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String("object");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 3)
  adddatum2(obj5452, strlit6040, 1);
  sourceObject = obj5452;
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5452, *var_b, 2);
  sourceObject = obj5452;
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5452, *var_superclass_39_, 3);
  sourceObject = obj5452;
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6041 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6041 (depth = 3)
  adddatum2(obj5452, array6041, 4);
  sourceObject = obj5452;
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6042 == NULL) {
    strlit6042 = alloc_String("object");
    gc_root(strlit6042);
  }
// compiled string node returning strlit6042 (depth = 3)
  adddatum2(obj5452, strlit6042, 5);
  sourceObject = obj5452;
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6043 = alloc_Boolean(0);
// compiled identifier node returning bool6043 (depth = 3)
  adddatum2(obj5452, bool6043, 6);
  sourceObject = obj5452;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6044 = alloc_Boolean(0);
// compiled identifier node returning bool6044 (depth = 3)
  adddatum2(obj5452, bool6044, 7);
  sourceObject = obj5452;
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6045 = alloc_Boolean(0);
// compiled identifier node returning bool6045 (depth = 3)
  adddatum2(obj5452, bool6045, 8);
  sourceObject = obj5452;
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array6046 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6046 (depth = 3)
  adddatum2(obj5452, array6046, 9);
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  sourceObject = obj5452;
  objclass5452 = obj5452->class;
  objclass5452->definitionModule = modulename;
  objclass5452->definitionLine = 1302;
  (*(struct UserObject *)self).data[0] = lowerouter5452;
  self = oldself5452;
  selfslot = oldselfslot5452;
  stackframe = oldstackframe5452;
  gc_frame_end(frame);
  return obj5452;
}
Object meth_ast_objectNode6048(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "objectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objectNode (depth = 3)
  gc_frame_end(frame);
  return *var_objectNode;
}
Object meth_ast__apply_40_1_41_6066(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6067 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ax (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6068 = callmethodflags(*var_ax, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6067);
// compiled call node returning call6068 (depth = 6)
  gc_frame_end(frame);
  return call6068;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6056(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6058 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6059 = callmethodflags(*var_visitor, "visitArray(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6058);
// compiled call node returning call6059 (depth = 4)
  Object if6057 = done;
  if (istrue(call6059)) {
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6060 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6061 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6060);
// compiled call node returning call6061 (depth = 5)
  *var_newChain = call6061;
  if (call6061 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6062 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6063 = gc_frame_new();
// call case 4: self request
  Object call6064 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6063);
// compiled member node returning call6064 (depth = 5)
  gc_frame_newslot(call6064);
// starting to compile block node (depth = 5)
  Object block6065 = alloc_Block(NULL, NULL, "ast", 1476);
  gc_frame_newslot(block6065);
// method "_apply(_)"
  block_savedest(block6065);
  Object closure6066 = createclosure(3, "_apply(1)");
  setclosureframe(closure6066, stackframe);
  addtoclosure(closure6066, var_visitor);
  addtoclosure(closure6066, var_newChain);
  addtoclosure(closure6066, selfslot);
  struct UserObject *uo6066 = (struct UserObject*)block6065;
  uo6066->data[0] = (Object)closure6066;
  Method *meth_meth_ast__apply_40_1_41_6066 = addmethod2pos(block6065, "_apply(1)", &meth_ast__apply_40_1_41_6066, 0);
  int argcv_meth_ast__apply_40_1_41_6066[] = {1};
  meth_meth_ast__apply_40_1_41_6066->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6066);
  meth_meth_ast__apply_40_1_41_6066->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6066->definitionLine = 2984;
// compiled block node returning block6065 (depth = 5)
  gc_frame_newslot(block6065);
// call case 5: prelude request
  params[0] = call6064;
  params[1] = block6065;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6070 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6062);
// compiled call node returning call6070 (depth = 4)
    gc_frame_newslot(call6070);
    if6057 = call6070;
  } else {
  }
// compiled if node returning if6057 (depth = 3)
  gc_frame_end(frame);
  return if6057;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6072 = gc_frame_new();
// call case 4: self request
  Object call6073 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6072);
// compiled member node returning call6073 (depth = 4)
  *var_n = call6073;
  if (call6073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6074 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6075 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6074);
// compiled call node returning call6075 (depth = 4)
  *var_newChain = call6075;
  if (call6075 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6076 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6077 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6078 = gc_frame_new();
// call case 4: self request
  Object call6079 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6078);
// compiled member node returning call6079 (depth = 5)
  gc_frame_newslot(call6079);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6080 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6081 = gc_frame_new();
// call case 3: self.outer request
  Object call6082 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6081);
// compiled member node returning call6082 (depth = 6)
  Object call6083 = callmethodflags(call6082, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6080);
// compiled member node returning call6083 (depth = 5)
  params[0] = call6079;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6084 = callmethodflags(call6083, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6077);
// compiled call node returning call6084 (depth = 4)
  gc_frame_newslot(call6084);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6084;
  partcv[0] = 1;
  Object call6085 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6076);
// compiled call node returning call6085 (depth = 3)
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6086 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6087 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6086);
// compiled call node returning call6087 (depth = 3)
  gc_frame_end(frame);
  return call6087;
}
Object meth_ast__apply_40_1_41_6096(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ai = &(stackframe->slots[0]);
  *var_ai = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6098 == NULL) {
    strlit6098 = alloc_String("  ");
    gc_root(strlit6098);
  }
// compiled string node returning strlit6098 (depth = 7)
  int op_slot_right_6097 = gc_frame_newslot(strlit6098);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6097 = gc_frame_newslot(*var_spc);
  params[0] = strlit6098;
  partcv[0] = 1;
  Object opresult6100 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6100 (depth = 6)
  *var_spc = opresult6100;
  if (opresult6100 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6110(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6112 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6114 = alloc_Float64(1);
// compiled num node returning num6114 (depth = 9)
  int op_slot_right_6113 = gc_frame_newslot(num6114);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6113 = gc_frame_newslot(*var_depth);
  params[0] = num6114;
  partcv[0] = 1;
  Object sum6116 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6116 (depth = 8)
  gc_frame_newslot(sum6116);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ax (depth = 8)
  params[0] = sum6116;
  partcv[0] = 1;
  Object call6117 = callmethodflags(*var_ax, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6112);
// compiled call node returning call6117 (depth = 7)
  int op_slot_right_6111 = gc_frame_newslot(call6117);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6119 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6122 == NULL) {
    strlit6122 = alloc_String("""\x0a""");
    gc_root(strlit6122);
  }
// compiled string node returning strlit6122 (depth = 9)
  int op_slot_right_6121 = gc_frame_newslot(strlit6122);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6121 = gc_frame_newslot(*var_s);
  params[0] = strlit6122;
  partcv[0] = 1;
  Object opresult6124 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6124 (depth = 8)
  int op_slot_left_6119 = gc_frame_newslot(opresult6124);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6125 = callmethod(opresult6124, "++(1)", 1, partcv, params);
// compiled op node returning opresult6125 (depth = 7)
  int op_slot_left_6111 = gc_frame_newslot(opresult6125);
  params[0] = call6117;
  partcv[0] = 1;
  Object opresult6126 = callmethod(opresult6125, "++(1)", 1, partcv, params);
// compiled op node returning opresult6126 (depth = 6)
  *var_s = opresult6126;
  if (opresult6126 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6088(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6089 == NULL) {
    strlit6089 = alloc_String("");
    gc_root(strlit6089);
  }
// compiled string node returning strlit6089 (depth = 4)
  *var_spc = strlit6089;
  if (strlit6089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6090 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6091 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6093 = alloc_Float64(0);
// compiled num node returning num6093 (depth = 5)
  int op_slot_left_6091 = gc_frame_newslot(num6093);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6094 = callmethod(num6093, "..(1)", 1, partcv, params);
// compiled op node returning opresult6094 (depth = 4)
  gc_frame_newslot(opresult6094);
// starting to compile block node (depth = 4)
  Object block6095 = alloc_Block(NULL, NULL, "ast", 1489);
  gc_frame_newslot(block6095);
// method "_apply(_)"
  block_savedest(block6095);
  Object closure6096 = createclosure(2, "_apply(1)");
  setclosureframe(closure6096, stackframe);
  addtoclosure(closure6096, var_spc);
  addtoclosure(closure6096, selfslot);
  struct UserObject *uo6096 = (struct UserObject*)block6095;
  uo6096->data[0] = (Object)closure6096;
  Method *meth_meth_ast__apply_40_1_41_6096 = addmethod2pos(block6095, "_apply(1)", &meth_ast__apply_40_1_41_6096, 0);
  int argcv_meth_ast__apply_40_1_41_6096[] = {1};
  meth_meth_ast__apply_40_1_41_6096->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6096);
  meth_meth_ast__apply_40_1_41_6096->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6096->definitionLine = 2984;
// compiled block node returning block6095 (depth = 4)
  gc_frame_newslot(block6095);
// call case 5: prelude request
  params[0] = opresult6094;
  params[1] = block6095;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6103 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6090);
// compiled call node returning call6103 (depth = 3)
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6104 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6105 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6104);
// compiled call node returning call6105 (depth = 4)
  *var_s = call6105;
  if (call6105 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6106 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6107 = gc_frame_new();
// call case 4: self request
  Object call6108 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6107);
// compiled member node returning call6108 (depth = 4)
  gc_frame_newslot(call6108);
// starting to compile block node (depth = 4)
  Object block6109 = alloc_Block(NULL, NULL, "ast", 1493);
  gc_frame_newslot(block6109);
// method "_apply(_)"
  block_savedest(block6109);
  Object closure6110 = createclosure(4, "_apply(1)");
  setclosureframe(closure6110, stackframe);
  addtoclosure(closure6110, var_depth);
  addtoclosure(closure6110, var_spc);
  addtoclosure(closure6110, var_s);
  addtoclosure(closure6110, selfslot);
  struct UserObject *uo6110 = (struct UserObject*)block6109;
  uo6110->data[0] = (Object)closure6110;
  Method *meth_meth_ast__apply_40_1_41_6110 = addmethod2pos(block6109, "_apply(1)", &meth_ast__apply_40_1_41_6110, 0);
  int argcv_meth_ast__apply_40_1_41_6110[] = {1};
  meth_meth_ast__apply_40_1_41_6110->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6110);
  meth_meth_ast__apply_40_1_41_6110->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6110->definitionLine = 2984;
// compiled block node returning block6109 (depth = 4)
  gc_frame_newslot(block6109);
// call case 5: prelude request
  params[0] = call6108;
  params[1] = block6109;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6129 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6106);
// compiled call node returning call6129 (depth = 3)
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_6138(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6140 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6141 = alloc_Float64(0);
// compiled num node returning num6141 (depth = 8)
  gc_frame_newslot(num6141);
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe6142 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6143 = gc_frame_new();
// call case 4: self request
  Object call6144 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6143);
// compiled member node returning call6144 (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call6145 = callmethodflags(call6144, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6142);
// compiled call node returning call6145 (depth = 8)
  params[0] = num6141;
  partcv[0] = 1;
  Object call6146 = callmethodflags(call6145, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6140);
// compiled call node returning call6146 (depth = 7)
  int op_slot_right_6139 = gc_frame_newslot(call6146);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6139 = gc_frame_newslot(*var_s);
  params[0] = call6146;
  partcv[0] = 1;
  Object opresult6148 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6148 (depth = 6)
  *var_s = opresult6148;
  if (opresult6148 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6152 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6153 = gc_frame_new();
// call case 4: self request
  Object call6154 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6153);
// compiled member node returning call6154 (depth = 8)
  Object call6155 = callmethodflags(call6154, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6152);
// compiled member node returning call6155 (depth = 7)
  int op_slot_right_6151 = gc_frame_newslot(call6155);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_6151 = gc_frame_newslot(*var_i);
  params[0] = call6155;
  partcv[0] = 1;
  Object opresult6157 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult6157 (depth = 6)
  Object if6150 = done;
  if (istrue(opresult6157)) {
// Begin line 1503
  setline(1503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6159 == NULL) {
    strlit6159 = alloc_String(", ");
    gc_root(strlit6159);
  }
// compiled string node returning strlit6159 (depth = 8)
  int op_slot_right_6158 = gc_frame_newslot(strlit6159);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6158 = gc_frame_newslot(*var_s);
  params[0] = strlit6159;
  partcv[0] = 1;
  Object opresult6161 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6161 (depth = 7)
  *var_s = opresult6161;
  if (opresult6161 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6150 = done;
  } else {
  }
// compiled if node returning if6150 (depth = 5)
  gc_frame_end(frame);
  return if6150;
}
Object meth_ast_toGrace_40_1_41_6130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6131 == NULL) {
    strlit6131 = alloc_String("[");
    gc_root(strlit6131);
  }
// compiled string node returning strlit6131 (depth = 4)
  *var_s = strlit6131;
  if (strlit6131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1500
  setline(1500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6132 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6133 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6134 = gc_frame_new();
// call case 4: self request
  Object call6135 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6134);
// compiled member node returning call6135 (depth = 5)
  Object call6136 = callmethodflags(call6135, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe6133);
// compiled member node returning call6136 (depth = 4)
  gc_frame_newslot(call6136);
// starting to compile block node (depth = 4)
  Object block6137 = alloc_Block(NULL, NULL, "ast", 1500);
  gc_frame_newslot(block6137);
// method "_apply(_)"
  block_savedest(block6137);
  Object closure6138 = createclosure(2, "_apply(1)");
  setclosureframe(closure6138, stackframe);
  addtoclosure(closure6138, var_s);
  addtoclosure(closure6138, selfslot);
  struct UserObject *uo6138 = (struct UserObject*)block6137;
  uo6138->data[0] = (Object)closure6138;
  Method *meth_meth_ast__apply_40_1_41_6138 = addmethod2pos(block6137, "_apply(1)", &meth_ast__apply_40_1_41_6138, 0);
  int argcv_meth_ast__apply_40_1_41_6138[] = {1};
  meth_meth_ast__apply_40_1_41_6138->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6138);
  meth_meth_ast__apply_40_1_41_6138->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6138->definitionLine = 2984;
// compiled block node returning block6137 (depth = 4)
  gc_frame_newslot(block6137);
// call case 5: prelude request
  params[0] = call6136;
  params[1] = block6137;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6164 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6132);
// compiled call node returning call6164 (depth = 3)
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6166 == NULL) {
    strlit6166 = alloc_String("]");
    gc_root(strlit6166);
  }
// compiled string node returning strlit6166 (depth = 5)
  int op_slot_right_6165 = gc_frame_newslot(strlit6166);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6165 = gc_frame_newslot(*var_s);
  params[0] = strlit6166;
  partcv[0] = 1;
  Object opresult6168 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6168 (depth = 4)
  *var_s = opresult6168;
  if (opresult6168 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy6170(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1510
  setline(1510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6171 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6172 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_arrayNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6173 = callmethodflags(*var_arrayNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6172);
// compiled call node returning call6173 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6174 = callmethodflags(call6173, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6171);
// compiled call node returning call6174 (depth = 3)
  gc_frame_end(frame);
  return call6174;
}
Object meth_ast_new_40_1_41_6051(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6052 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6052 = alloc_userobj2(8,8, objclass6052);
  gc_frame_newslot(obj6052);
if (objclass6052 == NULL) {
  glfree(obj6052->class->name);
  obj6052->class->name = "arrayNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6052, self, 0);
  addmethodreal(obj6052,"outer", &reader_ast_outer_6053);
  Object oldself6052 = self;
  struct StackFrameObject *oldstackframe6052 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6052);
  gc_frame_newslot((Object)stackframe);
  self = obj6052;
  Object *oldselfslot6052 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6052 = (*(struct UserObject *)self).data[0], lowerouter6052 = thisouter6052;
  if (inheritingObject6052) {
    struct UserObject *inho6052 = (struct UserObject *)inheritingObject6052;
    while (inho6052->super != GraceDefaultObject) inho6052 = (struct UserObject *)inho6052->super;
    inho6052->super = obj6052;
    self = inheritingObject6052;
    *selfslot = self;
    lowerouter6052 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6052;
  }
if (objclass6052 == NULL) {
  Method *reader6054 = addmethodrealflags(obj6052, "kind",&reader_ast_kind_6054, MFLAG_DEF);
  reader6054->definitionModule = modulename;
  reader6054->definitionLine = 1471;
}
adddatum2(obj6052, alloc_Undefined(), 1);
if (objclass6052 == NULL) {
  Method *reader6055 = addmethodrealflags(obj6052, "value", &reader_ast_value_6055, 0);
  Method *writer6055 = addmethodrealflags(obj6052, "value:=(1)", &writer_ast_value_6055, 0);
  reader6055->definitionModule = modulename;
  writer6055->definitionModule = modulename;
  reader6055->definitionLine = 1472;
  writer6055->definitionLine = 1472;
}
obj6052->flags |= OFLAG_MUTABLE;
adddatum2(obj6052, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo6056 = (struct UserObject*)obj6052;
  uo6056->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6056 = addmethod2pos(obj6052, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6056, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6056[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6056);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->definitionLine = 1473;
// method "map(_)ancestors(_)"
  struct UserObject *uo6071 = (struct UserObject*)obj6052;
  uo6071->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071 = addmethod2pos(obj6052, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6071, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6071[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6071);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->definitionLine = 1481;
// method "pretty(_)"
  struct UserObject *uo6088 = (struct UserObject*)obj6052;
  uo6088->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6088 = addmethod2pos(obj6052, "pretty(1)", &meth_ast_pretty_40_1_41_6088, 5);
  int argcv_meth_ast_pretty_40_1_41_6088[] = {1};
  meth_meth_ast_pretty_40_1_41_6088->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6088);
  meth_meth_ast_pretty_40_1_41_6088->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6088->definitionLine = 1487;
// method "toGrace(_)"
  struct UserObject *uo6130 = (struct UserObject*)obj6052;
  uo6130->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6130 = addmethod2pos(obj6052, "toGrace(1)", &meth_ast_toGrace_40_1_41_6130, 6);
  int argcv_meth_ast_toGrace_40_1_41_6130[] = {1};
  meth_meth_ast_toGrace_40_1_41_6130->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6130);
meth_meth_ast_toGrace_40_1_41_6130->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6130->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6130->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6130->definitionLine = 1498;
// method "shallowCopy"
  block_savedest(obj6052);
  Object closure6170 = createclosure(2, "shallowCopy");
  setclosureframe(closure6170, stackframe);
  addtoclosure(closure6170, var_emptySeq);
  addtoclosure(closure6170, var_arrayNode);
  struct UserObject *uo6170 = (struct UserObject*)obj6052;
  uo6170->data[7] = (Object)closure6170;
  Method *meth_meth_ast_shallowCopy6170 = addmethod2pos(obj6052, "shallowCopy", &meth_ast_shallowCopy6170, 7);
  int argcv_meth_ast_shallowCopy6170[] = {0};
  meth_meth_ast_shallowCopy6170->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6170);
  meth_meth_ast_shallowCopy6170->definitionModule = modulename;
  meth_meth_ast_shallowCopy6170->definitionLine = 1509;
  sourceObject = obj6052;
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6175 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6176 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6177 = gc_frame_new();
// call case 3: self.outer request
  Object call6178 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6177);
// compiled member node returning call6178 (depth = 5)
  Object call6179 = callmethodflags(call6178, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6176);
// compiled member node returning call6179 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6180 = callmethodflags(call6179, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6175);
// compiled call node returning call6180 (depth = 3)
  struct UserObject *obj6052_uo = (struct UserObject *)obj6052;
  obj6052_uo->super = call6180;
  sourceObject = obj6052;
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6181 == NULL) {
    strlit6181 = alloc_String("array");
    gc_root(strlit6181);
  }
// compiled string node returning strlit6181 (depth = 3)
  adddatum2(obj6052, strlit6181, 1);
  sourceObject = obj6052;
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj6052, *var_values, 2);
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  objclass6052 = obj6052->class;
  objclass6052->definitionModule = modulename;
  objclass6052->definitionLine = 1469;
  (*(struct UserObject *)self).data[0] = lowerouter6052;
  self = oldself6052;
  selfslot = oldselfslot6052;
  stackframe = oldstackframe6052;
  gc_frame_end(frame);
  return obj6052;
}
Object meth_ast_new_40_1_41_6051_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6052 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6052 = alloc_userobj2(8,8, objclass6052);
  gc_frame_newslot(obj6052);
if (objclass6052 == NULL) {
  glfree(obj6052->class->name);
  obj6052->class->name = "arrayNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6052, self, 0);
  addmethodreal(obj6052,"outer", &reader_ast_outer_6053);
  Object oldself6052 = self;
  struct StackFrameObject *oldstackframe6052 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6052);
  gc_frame_newslot((Object)stackframe);
  self = obj6052;
  Object *oldselfslot6052 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6052 = (*(struct UserObject *)self).data[0], lowerouter6052 = thisouter6052;
  if (inheritingObject6052) {
    struct UserObject *inho6052 = (struct UserObject *)inheritingObject6052;
    while (inho6052->super != GraceDefaultObject) inho6052 = (struct UserObject *)inho6052->super;
    inho6052->super = obj6052;
    self = inheritingObject6052;
    *selfslot = self;
    lowerouter6052 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6052;
  }
if (objclass6052 == NULL) {
  Method *reader6054 = addmethodrealflags(obj6052, "kind",&reader_ast_kind_6054, MFLAG_DEF);
  reader6054->definitionModule = modulename;
  reader6054->definitionLine = 1471;
}
adddatum2(obj6052, alloc_Undefined(), 1);
if (objclass6052 == NULL) {
  Method *reader6055 = addmethodrealflags(obj6052, "value", &reader_ast_value_6055, 0);
  Method *writer6055 = addmethodrealflags(obj6052, "value:=(1)", &writer_ast_value_6055, 0);
  reader6055->definitionModule = modulename;
  writer6055->definitionModule = modulename;
  reader6055->definitionLine = 1472;
  writer6055->definitionLine = 1472;
}
obj6052->flags |= OFLAG_MUTABLE;
adddatum2(obj6052, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo6056 = (struct UserObject*)obj6052;
  uo6056->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6056 = addmethod2pos(obj6052, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6056, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6056[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6056);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6056->definitionLine = 1473;
// method "map(_)ancestors(_)"
  struct UserObject *uo6071 = (struct UserObject*)obj6052;
  uo6071->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071 = addmethod2pos(obj6052, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6071, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6071[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6071);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6071->definitionLine = 1481;
// method "pretty(_)"
  struct UserObject *uo6088 = (struct UserObject*)obj6052;
  uo6088->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6088 = addmethod2pos(obj6052, "pretty(1)", &meth_ast_pretty_40_1_41_6088, 5);
  int argcv_meth_ast_pretty_40_1_41_6088[] = {1};
  meth_meth_ast_pretty_40_1_41_6088->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6088);
  meth_meth_ast_pretty_40_1_41_6088->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6088->definitionLine = 1487;
// method "toGrace(_)"
  struct UserObject *uo6130 = (struct UserObject*)obj6052;
  uo6130->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6130 = addmethod2pos(obj6052, "toGrace(1)", &meth_ast_toGrace_40_1_41_6130, 6);
  int argcv_meth_ast_toGrace_40_1_41_6130[] = {1};
  meth_meth_ast_toGrace_40_1_41_6130->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6130);
meth_meth_ast_toGrace_40_1_41_6130->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6130->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6130->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6130->definitionLine = 1498;
// method "shallowCopy"
  block_savedest(obj6052);
  Object closure6170 = createclosure(2, "shallowCopy");
  setclosureframe(closure6170, stackframe);
  addtoclosure(closure6170, var_emptySeq);
  addtoclosure(closure6170, var_arrayNode);
  struct UserObject *uo6170 = (struct UserObject*)obj6052;
  uo6170->data[7] = (Object)closure6170;
  Method *meth_meth_ast_shallowCopy6170 = addmethod2pos(obj6052, "shallowCopy", &meth_ast_shallowCopy6170, 7);
  int argcv_meth_ast_shallowCopy6170[] = {0};
  meth_meth_ast_shallowCopy6170->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6170);
  meth_meth_ast_shallowCopy6170->definitionModule = modulename;
  meth_meth_ast_shallowCopy6170->definitionLine = 1509;
  sourceObject = obj6052;
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6175 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6176 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6177 = gc_frame_new();
// call case 3: self.outer request
  Object call6178 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6177);
// compiled member node returning call6178 (depth = 5)
  Object call6179 = callmethodflags(call6178, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6176);
// compiled member node returning call6179 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6180 = callmethodflags(call6179, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6175);
// compiled call node returning call6180 (depth = 3)
  struct UserObject *obj6052_uo = (struct UserObject *)obj6052;
  obj6052_uo->super = call6180;
  sourceObject = obj6052;
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6181 == NULL) {
    strlit6181 = alloc_String("array");
    gc_root(strlit6181);
  }
// compiled string node returning strlit6181 (depth = 3)
  adddatum2(obj6052, strlit6181, 1);
  sourceObject = obj6052;
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj6052, *var_values, 2);
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  sourceObject = obj6052;
  objclass6052 = obj6052->class;
  objclass6052->definitionModule = modulename;
  objclass6052->definitionLine = 1469;
  (*(struct UserObject *)self).data[0] = lowerouter6052;
  self = oldself6052;
  selfslot = oldselfslot6052;
  stackframe = oldstackframe6052;
  gc_frame_end(frame);
  return obj6052;
}
Object meth_ast_arrayNode6183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arrayNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arrayNode (depth = 3)
  gc_frame_end(frame);
  return *var_arrayNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_6186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver = &(stackframe->slots[1]);
  *var_receiver = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6187 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_request (depth = 5)
  gc_frame_newslot(*var_request);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// call case 4: self request
  params[0] = *var_request;
  params[1] = *var_receiver;
  partcv[0] = 2;
  Object call6188 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6187);
// compiled call node returning call6188 (depth = 4)
  *var_result = call6188;
  if (call6188 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6189 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call6190 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6189);
// compiled call node returning call6190 (depth = 3)
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_onSelf6199(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6200 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6201 = alloc_Boolean(1);
// compiled identifier node returning bool6201 (depth = 4)
  gc_frame_newslot(bool6201);
// call case 4: self request
  params[0] = bool6201;
  partcv[0] = 1;
  Object call6202 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6200);
// compiled call node returning call6202 (depth = 3)
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_nameString6203(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6204 = gc_frame_new();
// call case 4: self request
  Object call6205 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6204);
// compiled member node returning call6205 (depth = 3)
  gc_frame_end(frame);
  return call6205;
}
Object meth_ast_canonicalName6206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6207 = gc_frame_new();
// call case 4: self request
  Object call6208 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6207);
// compiled member node returning call6208 (depth = 3)
  gc_frame_end(frame);
  return call6208;
}
Object meth_ast_isMember6209(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6210 = alloc_Boolean(1);
// compiled identifier node returning bool6210 (depth = 3)
  gc_frame_end(frame);
  return bool6210;
}
Object meth_ast_isCall6211(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6212 = alloc_Boolean(1);
// compiled identifier node returning bool6212 (depth = 3)
  gc_frame_end(frame);
  return bool6212;
}
Object meth_ast_with6213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_arguments6214(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1540
  setline(1540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_argumentsDo6215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6231(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe6232 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6233 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6232);
// compiled call node returning call6233 (depth = 7)
  gc_frame_end(frame);
  return call6233;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6218 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6219 = callmethodflags(*var_visitor, "visitMember(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6218);
// compiled call node returning call6219 (depth = 4)
  Object if6217 = done;
  if (istrue(call6219)) {
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6220 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6221 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6220);
// compiled call node returning call6221 (depth = 5)
  *var_newChain = call6221;
  if (call6221 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6224 = gc_frame_new();
// call case 4: self request
  Object call6225 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6224);
// compiled member node returning call6225 (depth = 6)
  int op_slot_right_6223 = gc_frame_newslot(call6225);
// starting to compile identifier node (depth = 6)
  Object bool6227 = alloc_Boolean(0);
// compiled identifier node returning bool6227 (depth = 6)
  int op_slot_left_6223 = gc_frame_newslot(bool6227);
  params[0] = call6225;
  partcv[0] = 1;
  Object opresult6228 = callmethod(bool6227, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6228 (depth = 5)
  Object if6222 = done;
  if (istrue(opresult6228)) {
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6229 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6230 = alloc_Block(NULL, NULL, "ast", 1546);
  gc_frame_newslot(block6230);
// method "_apply(_)"
  block_savedest(block6230);
  Object closure6231 = createclosure(3, "_apply(1)");
  setclosureframe(closure6231, stackframe);
  addtoclosure(closure6231, var_visitor);
  addtoclosure(closure6231, var_newChain);
  addtoclosure(closure6231, selfslot);
  struct UserObject *uo6231 = (struct UserObject*)block6230;
  uo6231->data[0] = (Object)closure6231;
  Method *meth_meth_ast__apply_40_1_41_6231 = addmethod2pos(block6230, "_apply(1)", &meth_ast__apply_40_1_41_6231, 0);
  int argcv_meth_ast__apply_40_1_41_6231[] = {1};
  meth_meth_ast__apply_40_1_41_6231->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6231);
  meth_meth_ast__apply_40_1_41_6231->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6231->definitionLine = 2984;
// compiled block node returning block6230 (depth = 6)
  gc_frame_newslot(block6230);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6235 = gc_frame_new();
// call case 4: self request
  Object call6236 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6235);
// compiled member node returning call6236 (depth = 6)
  params[0] = block6230;
  partcv[0] = 1;
  Object call6237 = callmethodflags(call6236, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6229);
// compiled call node returning call6237 (depth = 5)
    gc_frame_newslot(call6237);
    if6222 = call6237;
  } else {
  }
// compiled if node returning if6222 (depth = 4)
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6238 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6239 = gc_frame_new();
// call case 4: self request
  Object call6240 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6239);
// compiled member node returning call6240 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6241 = callmethodflags(call6240, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6238);
// compiled call node returning call6241 (depth = 4)
    gc_frame_newslot(call6241);
    if6217 = call6241;
  } else {
  }
// compiled if node returning if6217 (depth = 3)
  gc_frame_end(frame);
  return if6217;
}
Object meth_ast_isSelfOrOuter6242(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6245 == NULL) {
    strlit6245 = alloc_String("outer");
    gc_root(strlit6245);
  }
// compiled string node returning strlit6245 (depth = 5)
  int op_slot_right_6244 = gc_frame_newslot(strlit6245);
// starting to compile member node (depth = 5)
  int callframe6247 = gc_frame_new();
// call case 4: self request
  Object call6248 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6247);
// compiled member node returning call6248 (depth = 5)
  int op_slot_left_6244 = gc_frame_newslot(call6248);
  params[0] = strlit6245;
  partcv[0] = 1;
  Object opresult6249 = callmethod(call6248, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6249 (depth = 4)
  Object if6243 = done;
  if (istrue(opresult6249)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6250 = alloc_Boolean(0);
// compiled identifier node returning bool6250 (depth = 5)
  return bool6250;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if6243 = undefined;
  } else {
  }
// compiled if node returning if6243 (depth = 3)
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6251 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6252 = gc_frame_new();
// call case 4: self request
  Object call6253 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6252);
// compiled member node returning call6253 (depth = 4)
  Object call6254 = callmethodflags(call6253, "isSelfOrOuter", 0, partcv, params, 0);
  gc_frame_end(callframe6251);
// compiled member node returning call6254 (depth = 3)
  gc_frame_end(frame);
  return call6254;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6255(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6256 = gc_frame_new();
// call case 4: self request
  Object call6257 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6256);
// compiled member node returning call6257 (depth = 4)
  *var_n = call6257;
  if (call6257 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6258 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6259 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6258);
// compiled call node returning call6259 (depth = 4)
  *var_newChain = call6259;
  if (call6259 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6260 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6261 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6262 = gc_frame_new();
// call case 4: self request
  Object call6263 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6262);
// compiled member node returning call6263 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6264 = callmethodflags(call6263, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6261);
// compiled call node returning call6264 (depth = 4)
  gc_frame_newslot(call6264);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6264;
  partcv[0] = 1;
  Object call6265 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6260);
// compiled call node returning call6265 (depth = 3)
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6266 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6267 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6268 = gc_frame_new();
// call case 4: self request
  Object call6269 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6268);
// compiled member node returning call6269 (depth = 5)
  gc_frame_newslot(call6269);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6270 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6271 = gc_frame_new();
// call case 3: self.outer request
  Object call6272 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6271);
// compiled member node returning call6272 (depth = 6)
  Object call6273 = callmethodflags(call6272, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6270);
// compiled member node returning call6273 (depth = 5)
  params[0] = call6269;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6274 = callmethodflags(call6273, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6267);
// compiled call node returning call6274 (depth = 4)
  gc_frame_newslot(call6274);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6274;
  partcv[0] = 1;
  Object call6275 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6266);
// compiled call node returning call6275 (depth = 3)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6276 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6277 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6276);
// compiled call node returning call6277 (depth = 3)
  gc_frame_end(frame);
  return call6277;
}
Object meth_ast__apply_40_1_41_6286(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6288 == NULL) {
    strlit6288 = alloc_String("  ");
    gc_root(strlit6288);
  }
// compiled string node returning strlit6288 (depth = 7)
  int op_slot_right_6287 = gc_frame_newslot(strlit6288);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6287 = gc_frame_newslot(*var_spc);
  params[0] = strlit6288;
  partcv[0] = 1;
  Object opresult6290 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6290 (depth = 6)
  *var_spc = opresult6290;
  if (opresult6290 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6353(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6355 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num6356 = alloc_Float64(0);
// compiled num node returning num6356 (depth = 9)
  gc_frame_newslot(num6356);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = num6356;
  partcv[0] = 1;
  Object call6357 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6355);
// compiled call node returning call6357 (depth = 8)
  int op_slot_right_6354 = gc_frame_newslot(call6357);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6360 == NULL) {
    strlit6360 = alloc_String("    ");
    gc_root(strlit6360);
  }
// compiled string node returning strlit6360 (depth = 9)
  int op_slot_right_6359 = gc_frame_newslot(strlit6360);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_6362 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit6365 == NULL) {
    strlit6365 = alloc_String("""\x0a""");
    gc_root(strlit6365);
  }
// compiled string node returning strlit6365 (depth = 11)
  int op_slot_right_6364 = gc_frame_newslot(strlit6365);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_6364 = gc_frame_newslot(*var_s);
  params[0] = strlit6365;
  partcv[0] = 1;
  Object opresult6367 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6367 (depth = 10)
  int op_slot_left_6362 = gc_frame_newslot(opresult6367);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6368 = callmethod(opresult6367, "++(1)", 1, partcv, params);
// compiled op node returning opresult6368 (depth = 9)
  int op_slot_left_6359 = gc_frame_newslot(opresult6368);
  params[0] = strlit6360;
  partcv[0] = 1;
  Object opresult6369 = callmethod(opresult6368, "++(1)", 1, partcv, params);
// compiled op node returning opresult6369 (depth = 8)
  int op_slot_left_6354 = gc_frame_newslot(opresult6369);
  params[0] = call6357;
  partcv[0] = 1;
  Object opresult6370 = callmethod(opresult6369, "++(1)", 1, partcv, params);
// compiled op node returning opresult6370 (depth = 7)
  *var_s = opresult6370;
  if (opresult6370 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6278(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6279 == NULL) {
    strlit6279 = alloc_String("");
    gc_root(strlit6279);
  }
// compiled string node returning strlit6279 (depth = 4)
  *var_spc = strlit6279;
  if (strlit6279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6280 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6281 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6283 = alloc_Float64(0);
// compiled num node returning num6283 (depth = 5)
  int op_slot_left_6281 = gc_frame_newslot(num6283);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6284 = callmethod(num6283, "..(1)", 1, partcv, params);
// compiled op node returning opresult6284 (depth = 4)
  gc_frame_newslot(opresult6284);
// starting to compile block node (depth = 4)
  Object block6285 = alloc_Block(NULL, NULL, "ast", 1564);
  gc_frame_newslot(block6285);
// method "_apply(_)"
  block_savedest(block6285);
  Object closure6286 = createclosure(2, "_apply(1)");
  setclosureframe(closure6286, stackframe);
  addtoclosure(closure6286, var_spc);
  addtoclosure(closure6286, selfslot);
  struct UserObject *uo6286 = (struct UserObject*)block6285;
  uo6286->data[0] = (Object)closure6286;
  Method *meth_meth_ast__apply_40_1_41_6286 = addmethod2pos(block6285, "_apply(1)", &meth_ast__apply_40_1_41_6286, 0);
  int argcv_meth_ast__apply_40_1_41_6286[] = {1};
  meth_meth_ast__apply_40_1_41_6286->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6286);
  meth_meth_ast__apply_40_1_41_6286->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6286->definitionLine = 2984;
// compiled block node returning block6285 (depth = 4)
  gc_frame_newslot(block6285);
// call case 5: prelude request
  params[0] = opresult6284;
  params[1] = block6285;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6293 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6280);
// compiled call node returning call6293 (depth = 3)
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6294 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6295 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6294);
// compiled call node returning call6295 (depth = 4)
  *var_s = call6295;
  if (call6295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6298 = gc_frame_new();
// call case 4: self request
  Object call6299 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6298);
// compiled member node returning call6299 (depth = 6)
  Object if6297 = done;
struct StackFrameObject *iftmpstackframe6297 = stackframe;
  if (istrue(call6299)) {
stackframe = alloc_StackFrame(0, iftmpstackframe6297);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit6300 == NULL) {
    strlit6300 = alloc_String(" on self ");
    gc_root(strlit6300);
  }
// compiled string node returning strlit6300 (depth = 6)
    gc_frame_newslot(strlit6300);
    if6297 = strlit6300;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe6297);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit6301 == NULL) {
    strlit6301 = alloc_String(" ");
    gc_root(strlit6301);
  }
// compiled string node returning strlit6301 (depth = 6)
    gc_frame_newslot(strlit6301);
    if6297 = strlit6301;
  }
stackframe = iftmpstackframe6297;
// compiled if node returning if6297 (depth = 5)
  int op_slot_right_6296 = gc_frame_newslot(if6297);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6296 = gc_frame_newslot(*var_s);
  params[0] = if6297;
  partcv[0] = 1;
  Object opresult6303 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6303 (depth = 4)
  *var_s = opresult6303;
  if (opresult6303 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6306 == NULL) {
    strlit6306 = alloc_String("""\xe2""""\x80""""\xba""""\x0a""");
    gc_root(strlit6306);
  }
// compiled string node returning strlit6306 (depth = 5)
  int op_slot_right_6305 = gc_frame_newslot(strlit6306);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6309 = gc_frame_new();
// call case 4: self request
  Object call6310 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6309);
// compiled member node returning call6310 (depth = 6)
  int op_slot_right_6308 = gc_frame_newslot(call6310);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6313 == NULL) {
    strlit6313 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6313);
  }
// compiled string node returning strlit6313 (depth = 7)
  int op_slot_right_6312 = gc_frame_newslot(strlit6313);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6312 = gc_frame_newslot(*var_s);
  params[0] = strlit6313;
  partcv[0] = 1;
  Object opresult6315 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6315 (depth = 6)
  int op_slot_left_6308 = gc_frame_newslot(opresult6315);
  params[0] = call6310;
  partcv[0] = 1;
  Object opresult6316 = callmethod(opresult6315, "++(1)", 1, partcv, params);
// compiled op node returning opresult6316 (depth = 5)
  int op_slot_left_6305 = gc_frame_newslot(opresult6316);
  params[0] = strlit6306;
  partcv[0] = 1;
  Object opresult6317 = callmethod(opresult6316, "++(1)", 1, partcv, params);
// compiled op node returning opresult6317 (depth = 4)
  *var_s = opresult6317;
  if (opresult6317 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6320 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6321 = gc_frame_new();
// call case 4: self request
  Object call6322 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6321);
// compiled member node returning call6322 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6323 = callmethodflags(call6322, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6320);
// compiled call node returning call6323 (depth = 5)
  int op_slot_right_6319 = gc_frame_newslot(call6323);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_6325 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6325 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6327 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6327 (depth = 5)
  int op_slot_left_6319 = gc_frame_newslot(opresult6327);
  params[0] = call6323;
  partcv[0] = 1;
  Object opresult6328 = callmethod(opresult6327, "++(1)", 1, partcv, params);
// compiled op node returning opresult6328 (depth = 4)
  *var_s = opresult6328;
  if (opresult6328 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6332 = gc_frame_new();
// call case 4: self request
  Object call6333 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6332);
// compiled member node returning call6333 (depth = 5)
  int op_slot_right_6331 = gc_frame_newslot(call6333);
// starting to compile identifier node (depth = 5)
  Object bool6335 = alloc_Boolean(0);
// compiled identifier node returning bool6335 (depth = 5)
  int op_slot_left_6331 = gc_frame_newslot(bool6335);
  params[0] = call6333;
  partcv[0] = 1;
  Object opresult6336 = callmethod(bool6335, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6336 (depth = 4)
  Object if6330 = done;
  if (istrue(opresult6336)) {
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6338 == NULL) {
    strlit6338 = alloc_String("  Generics:");
    gc_root(strlit6338);
  }
// compiled string node returning strlit6338 (depth = 6)
  int op_slot_right_6337 = gc_frame_newslot(strlit6338);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6340 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6343 == NULL) {
    strlit6343 = alloc_String("""\x0a""");
    gc_root(strlit6343);
  }
// compiled string node returning strlit6343 (depth = 8)
  int op_slot_right_6342 = gc_frame_newslot(strlit6343);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6342 = gc_frame_newslot(*var_s);
  params[0] = strlit6343;
  partcv[0] = 1;
  Object opresult6345 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6345 (depth = 7)
  int op_slot_left_6340 = gc_frame_newslot(opresult6345);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6346 = callmethod(opresult6345, "++(1)", 1, partcv, params);
// compiled op node returning opresult6346 (depth = 6)
  int op_slot_left_6337 = gc_frame_newslot(opresult6346);
  params[0] = strlit6338;
  partcv[0] = 1;
  Object opresult6347 = callmethod(opresult6346, "++(1)", 1, partcv, params);
// compiled op node returning opresult6347 (depth = 5)
  *var_s = opresult6347;
  if (opresult6347 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6349 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6350 = gc_frame_new();
// call case 4: self request
  Object call6351 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6350);
// compiled member node returning call6351 (depth = 5)
  gc_frame_newslot(call6351);
// starting to compile block node (depth = 5)
  Object block6352 = alloc_Block(NULL, NULL, "ast", 1573);
  gc_frame_newslot(block6352);
// method "_apply(_)"
  block_savedest(block6352);
  Object closure6353 = createclosure(3, "_apply(1)");
  setclosureframe(closure6353, stackframe);
  addtoclosure(closure6353, var_spc);
  addtoclosure(closure6353, var_s);
  addtoclosure(closure6353, selfslot);
  struct UserObject *uo6353 = (struct UserObject*)block6352;
  uo6353->data[0] = (Object)closure6353;
  Method *meth_meth_ast__apply_40_1_41_6353 = addmethod2pos(block6352, "_apply(1)", &meth_ast__apply_40_1_41_6353, 0);
  int argcv_meth_ast__apply_40_1_41_6353[] = {1};
  meth_meth_ast__apply_40_1_41_6353->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6353);
  meth_meth_ast__apply_40_1_41_6353->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6353->definitionLine = 2984;
// compiled block node returning block6352 (depth = 5)
  gc_frame_newslot(block6352);
// call case 5: prelude request
  params[0] = call6351;
  params[1] = block6352;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6373 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6349);
// compiled call node returning call6373 (depth = 4)
    gc_frame_newslot(call6373);
    if6330 = call6373;
  } else {
  }
// compiled if node returning if6330 (depth = 3)
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_6450(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6452 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6454 = alloc_Float64(1);
// compiled num node returning num6454 (depth = 10)
  int op_slot_right_6453 = gc_frame_newslot(num6454);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6453 = gc_frame_newslot(*var_depth);
  params[0] = num6454;
  partcv[0] = 1;
  Object sum6456 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6456 (depth = 9)
  gc_frame_newslot(sum6456);
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe6457 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6458 = gc_frame_new();
// call case 4: self request
  Object call6459 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6458);
// compiled member node returning call6459 (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call6460 = callmethodflags(call6459, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6457);
// compiled call node returning call6460 (depth = 9)
  params[0] = sum6456;
  partcv[0] = 1;
  Object call6461 = callmethodflags(call6460, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6452);
// compiled call node returning call6461 (depth = 8)
  int op_slot_right_6451 = gc_frame_newslot(call6461);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6451 = gc_frame_newslot(*var_s);
  params[0] = call6461;
  partcv[0] = 1;
  Object opresult6463 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6463 (depth = 7)
  *var_s = opresult6463;
  if (opresult6463 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6374(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6375 == NULL) {
    strlit6375 = alloc_String("");
    gc_root(strlit6375);
  }
// compiled string node returning strlit6375 (depth = 4)
  *var_s = strlit6375;
  if (strlit6375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1581
  setline(1581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6378 == NULL) {
    strlit6378 = alloc_String("prefix");
    gc_root(strlit6378);
  }
// compiled string node returning strlit6378 (depth = 5)
  int op_slot_right_6377 = gc_frame_newslot(strlit6378);
// starting to compile call node (depth = 5)
  int callframe6380 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6381 = alloc_Float64(1);
// compiled num node returning num6381 (depth = 6)
  gc_frame_newslot(num6381);
// starting to compile num node (depth = 6)
  Object num6382 = alloc_Float64(6);
// compiled num node returning num6382 (depth = 6)
  gc_frame_newslot(num6382);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6383 = gc_frame_new();
// call case 4: self request
  Object call6384 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6383);
// compiled member node returning call6384 (depth = 6)
  params[0] = num6381;
  params[1] = num6382;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6385 = callmethodflags(call6384, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6380);
// compiled call node returning call6385 (depth = 5)
  int op_slot_left_6377 = gc_frame_newslot(call6385);
  params[0] = strlit6378;
  partcv[0] = 1;
  Object opresult6386 = callmethod(call6385, "==(1)", 1, partcv, params);
// compiled op node returning opresult6386 (depth = 4)
  Object if6376 = done;
  if (istrue(opresult6386)) {
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6387 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6388 = alloc_Float64(7);
// compiled num node returning num6388 (depth = 6)
  gc_frame_newslot(num6388);
// starting to compile member node (depth = 6)
  int callframe6389 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6390 = gc_frame_new();
// call case 4: self request
  Object call6391 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6390);
// compiled member node returning call6391 (depth = 7)
  Object call6392 = callmethodflags(call6391, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6389);
// compiled member node returning call6392 (depth = 6)
  gc_frame_newslot(call6392);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6393 = gc_frame_new();
// call case 4: self request
  Object call6394 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6393);
// compiled member node returning call6394 (depth = 6)
  params[0] = num6388;
  params[1] = call6392;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6395 = callmethodflags(call6394, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6387);
// compiled call node returning call6395 (depth = 5)
  *var_s = call6395;
  if (call6395 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6398 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num6399 = alloc_Float64(0);
// compiled num node returning num6399 (depth = 7)
  gc_frame_newslot(num6399);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6400 = gc_frame_new();
// call case 4: self request
  Object call6401 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6400);
// compiled member node returning call6401 (depth = 7)
  params[0] = num6399;
  partcv[0] = 1;
  Object call6402 = callmethodflags(call6401, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6398);
// compiled call node returning call6402 (depth = 6)
  int op_slot_right_6397 = gc_frame_newslot(call6402);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6405 == NULL) {
    strlit6405 = alloc_String(" ");
    gc_root(strlit6405);
  }
// compiled string node returning strlit6405 (depth = 7)
  int op_slot_right_6404 = gc_frame_newslot(strlit6405);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6404 = gc_frame_newslot(*var_s);
  params[0] = strlit6405;
  partcv[0] = 1;
  Object opresult6407 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6407 (depth = 6)
  int op_slot_left_6397 = gc_frame_newslot(opresult6407);
  params[0] = call6402;
  partcv[0] = 1;
  Object opresult6408 = callmethod(opresult6407, "++(1)", 1, partcv, params);
// compiled op node returning opresult6408 (depth = 5)
  *var_s = opresult6408;
  if (opresult6408 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6376 = done;
  } else {
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6411 = gc_frame_new();
// call case 4: self request
  Object call6412 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6411);
// compiled member node returning call6412 (depth = 6)
  int op_slot_right_6410 = gc_frame_newslot(call6412);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6415 == NULL) {
    strlit6415 = alloc_String(".");
    gc_root(strlit6415);
  }
// compiled string node returning strlit6415 (depth = 7)
  int op_slot_right_6414 = gc_frame_newslot(strlit6415);
// starting to compile call node (depth = 7)
  int callframe6417 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6418 = gc_frame_new();
// call case 4: self request
  Object call6419 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6418);
// compiled member node returning call6419 (depth = 8)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6420 = callmethodflags(call6419, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6417);
// compiled call node returning call6420 (depth = 7)
  int op_slot_left_6414 = gc_frame_newslot(call6420);
  params[0] = strlit6415;
  partcv[0] = 1;
  Object opresult6421 = callmethod(call6420, "++(1)", 1, partcv, params);
// compiled op node returning opresult6421 (depth = 6)
  int op_slot_left_6410 = gc_frame_newslot(opresult6421);
  params[0] = call6412;
  partcv[0] = 1;
  Object opresult6422 = callmethod(opresult6421, "++(1)", 1, partcv, params);
// compiled op node returning opresult6422 (depth = 5)
  *var_s = opresult6422;
  if (opresult6422 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6376 = done;
  }
// compiled if node returning if6376 (depth = 3)
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6426 = gc_frame_new();
// call case 4: self request
  Object call6427 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6426);
// compiled member node returning call6427 (depth = 5)
  int op_slot_right_6425 = gc_frame_newslot(call6427);
// starting to compile identifier node (depth = 5)
  Object bool6429 = alloc_Boolean(0);
// compiled identifier node returning bool6429 (depth = 5)
  int op_slot_left_6425 = gc_frame_newslot(bool6429);
  params[0] = call6427;
  partcv[0] = 1;
  Object opresult6430 = callmethod(bool6429, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6430 (depth = 4)
  Object if6424 = done;
  if (istrue(opresult6430)) {
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6432 == NULL) {
    strlit6432 = alloc_String("<");
    gc_root(strlit6432);
  }
// compiled string node returning strlit6432 (depth = 6)
  int op_slot_right_6431 = gc_frame_newslot(strlit6432);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6431 = gc_frame_newslot(*var_s);
  params[0] = strlit6432;
  partcv[0] = 1;
  Object opresult6434 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6434 (depth = 5)
  *var_s = opresult6434;
  if (opresult6434 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1589
  setline(1589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6436 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num6439 = alloc_Float64(1);
// compiled num node returning num6439 (depth = 7)
  int op_slot_right_6438 = gc_frame_newslot(num6439);
// starting to compile member node (depth = 7)
  int callframe6441 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6442 = gc_frame_new();
// call case 4: self request
  Object call6443 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6442);
// compiled member node returning call6443 (depth = 8)
  Object call6444 = callmethodflags(call6443, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6441);
// compiled member node returning call6444 (depth = 7)
  int op_slot_left_6438 = gc_frame_newslot(call6444);
  params[0] = num6439;
  partcv[0] = 1;
  Object diff6445 = callmethod(call6444, "-(1)", 1, partcv, params);
// compiled op node returning diff6445 (depth = 6)
  int op_slot_right_6437 = gc_frame_newslot(diff6445);
// starting to compile num node (depth = 6)
  Object num6447 = alloc_Float64(1);
// compiled num node returning num6447 (depth = 6)
  int op_slot_left_6437 = gc_frame_newslot(num6447);
  params[0] = diff6445;
  partcv[0] = 1;
  Object opresult6448 = callmethod(num6447, "..(1)", 1, partcv, params);
// compiled op node returning opresult6448 (depth = 5)
  gc_frame_newslot(opresult6448);
// starting to compile block node (depth = 5)
  Object block6449 = alloc_Block(NULL, NULL, "ast", 1589);
  gc_frame_newslot(block6449);
// method "_apply(_)"
  block_savedest(block6449);
  Object closure6450 = createclosure(3, "_apply(1)");
  setclosureframe(closure6450, stackframe);
  addtoclosure(closure6450, var_depth);
  addtoclosure(closure6450, var_s);
  addtoclosure(closure6450, selfslot);
  struct UserObject *uo6450 = (struct UserObject*)block6449;
  uo6450->data[0] = (Object)closure6450;
  Method *meth_meth_ast__apply_40_1_41_6450 = addmethod2pos(block6449, "_apply(1)", &meth_ast__apply_40_1_41_6450, 0);
  int argcv_meth_ast__apply_40_1_41_6450[] = {1};
  meth_meth_ast__apply_40_1_41_6450->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6450);
  meth_meth_ast__apply_40_1_41_6450->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6450->definitionLine = 2984;
// compiled block node returning block6449 (depth = 5)
  gc_frame_newslot(block6449);
// call case 5: prelude request
  params[0] = opresult6448;
  params[1] = block6449;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6466 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6436);
// compiled call node returning call6466 (depth = 4)
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6468 == NULL) {
    strlit6468 = alloc_String(">");
    gc_root(strlit6468);
  }
// compiled string node returning strlit6468 (depth = 6)
  int op_slot_right_6467 = gc_frame_newslot(strlit6468);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6471 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6473 = alloc_Float64(1);
// compiled num node returning num6473 (depth = 9)
  int op_slot_right_6472 = gc_frame_newslot(num6473);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6472 = gc_frame_newslot(*var_depth);
  params[0] = num6473;
  partcv[0] = 1;
  Object sum6475 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6475 (depth = 8)
  gc_frame_newslot(sum6475);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6476 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6477 = gc_frame_new();
// call case 4: self request
  Object call6478 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6477);
// compiled member node returning call6478 (depth = 9)
  Object call6479 = callmethodflags(call6478, "last", 0, partcv, params, 0);
  gc_frame_end(callframe6476);
// compiled member node returning call6479 (depth = 8)
  params[0] = sum6475;
  partcv[0] = 1;
  Object call6480 = callmethodflags(call6479, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6471);
// compiled call node returning call6480 (depth = 7)
  int op_slot_right_6470 = gc_frame_newslot(call6480);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6470 = gc_frame_newslot(*var_s);
  params[0] = call6480;
  partcv[0] = 1;
  Object opresult6482 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6482 (depth = 6)
  int op_slot_left_6467 = gc_frame_newslot(opresult6482);
  params[0] = strlit6468;
  partcv[0] = 1;
  Object opresult6483 = callmethod(opresult6482, "++(1)", 1, partcv, params);
// compiled op node returning opresult6483 (depth = 5)
  *var_s = opresult6483;
  if (opresult6483 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6424 = done;
  } else {
  }
// compiled if node returning if6424 (depth = 3)
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString6485(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6487 == NULL) {
    strlit6487 = alloc_String("");
    gc_root(strlit6487);
  }
// compiled string node returning strlit6487 (depth = 4)
  int op_slot_right_6486 = gc_frame_newslot(strlit6487);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6490 = gc_frame_new();
// call case 4: self request
  Object call6491 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6490);
// compiled member node returning call6491 (depth = 5)
  int op_slot_right_6489 = gc_frame_newslot(call6491);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6494 == NULL) {
    strlit6494 = alloc_String(".");
    gc_root(strlit6494);
  }
// compiled string node returning strlit6494 (depth = 6)
  int op_slot_right_6493 = gc_frame_newslot(strlit6494);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6497 = gc_frame_new();
// call case 4: self request
  Object call6498 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6497);
// compiled member node returning call6498 (depth = 7)
  int op_slot_right_6496 = gc_frame_newslot(call6498);
// starting to compile string node (depth = 7)
  if (strlit6500 == NULL) {
    strlit6500 = alloc_String("");
    gc_root(strlit6500);
  }
// compiled string node returning strlit6500 (depth = 7)
  int op_slot_left_6496 = gc_frame_newslot(strlit6500);
  params[0] = call6498;
  partcv[0] = 1;
  Object opresult6501 = callmethod(strlit6500, "++(1)", 1, partcv, params);
// compiled op node returning opresult6501 (depth = 6)
  int op_slot_left_6493 = gc_frame_newslot(opresult6501);
  params[0] = strlit6494;
  partcv[0] = 1;
  Object opresult6502 = callmethod(opresult6501, "++(1)", 1, partcv, params);
// compiled op node returning opresult6502 (depth = 5)
  int op_slot_left_6489 = gc_frame_newslot(opresult6502);
  params[0] = call6491;
  partcv[0] = 1;
  Object opresult6503 = callmethod(opresult6502, "++(1)", 1, partcv, params);
// compiled op node returning opresult6503 (depth = 4)
  int op_slot_left_6486 = gc_frame_newslot(opresult6503);
  params[0] = strlit6487;
  partcv[0] = 1;
  Object opresult6504 = callmethod(opresult6503, "++(1)", 1, partcv, params);
// compiled op node returning opresult6504 (depth = 3)
  gc_frame_end(frame);
  return opresult6504;
}
Object meth_ast_asIdentifier6505(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6508 = gc_frame_new();
// call case 4: self request
  Object call6509 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6508);
// compiled member node returning call6509 (depth = 5)
  int op_slot_right_6507 = gc_frame_newslot(call6509);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fakeSymbolTable (depth = 5)
  int op_slot_left_6507 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call6509;
  partcv[0] = 1;
  Object opresult6511 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult6511 (depth = 4)
  Object if6506 = done;
  if (istrue(opresult6511)) {
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6512 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6514 == NULL) {
    strlit6514 = alloc_String(" when scope was fake");
    gc_root(strlit6514);
  }
// compiled string node returning strlit6514 (depth = 6)
  int op_slot_right_6513 = gc_frame_newslot(strlit6514);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6517 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6518 = alloc_Float64(0);
// compiled num node returning num6518 (depth = 8)
  gc_frame_newslot(num6518);
// call case 4: self request
  params[0] = num6518;
  partcv[0] = 1;
  Object call6519 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6517);
// compiled call node returning call6519 (depth = 7)
  int op_slot_right_6516 = gc_frame_newslot(call6519);
// starting to compile string node (depth = 7)
  if (strlit6521 == NULL) {
    strlit6521 = alloc_String("asIdentifier requested on ");
    gc_root(strlit6521);
  }
// compiled string node returning strlit6521 (depth = 7)
  int op_slot_left_6516 = gc_frame_newslot(strlit6521);
  params[0] = call6519;
  partcv[0] = 1;
  Object opresult6522 = callmethod(strlit6521, "++(1)", 1, partcv, params);
// compiled op node returning opresult6522 (depth = 6)
  int op_slot_left_6513 = gc_frame_newslot(opresult6522);
  params[0] = strlit6514;
  partcv[0] = 1;
  Object opresult6523 = callmethod(opresult6522, "++(1)", 1, partcv, params);
// compiled op node returning opresult6523 (depth = 5)
  gc_frame_newslot(opresult6523);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6524 = gc_frame_new();
// call case 5: prelude request
  Object call6525 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6524);
// compiled member node returning call6525 (depth = 5)
  params[0] = opresult6523;
  partcv[0] = 1;
  Object call6526 = callmethodflags(call6525, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6512);
// compiled call node returning call6526 (depth = 4)
    gc_frame_newslot(call6526);
    if6506 = call6526;
  } else {
  }
// compiled if node returning if6506 (depth = 3)
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6527 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6528 = gc_frame_new();
// call case 4: self request
  Object call6529 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6528);
// compiled member node returning call6529 (depth = 5)
  gc_frame_newslot(call6529);
// starting to compile identifier node (depth = 5)
  Object bool6530 = alloc_Boolean(0);
// compiled identifier node returning bool6530 (depth = 5)
  gc_frame_newslot(bool6530);
// starting to compile member node (depth = 5)
  int callframe6531 = gc_frame_new();
// call case 4: self request
  Object call6532 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6531);
// compiled member node returning call6532 (depth = 5)
  gc_frame_newslot(call6532);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call6529;
  params[1] = bool6530;
  params[2] = call6532;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6533 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6527);
// compiled call node returning call6533 (depth = 4)
  *var_resultNode = call6533;
  if (call6533 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6534 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6535 = alloc_Boolean(1);
// compiled identifier node returning bool6535 (depth = 4)
  gc_frame_newslot(bool6535);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool6535;
  partcv[0] = 1;
  Object call6536 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6534);
// compiled call node returning call6536 (depth = 3)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6537 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6538 = gc_frame_new();
// call case 4: self request
  Object call6539 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6538);
// compiled member node returning call6539 (depth = 4)
  gc_frame_newslot(call6539);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call6539;
  partcv[0] = 1;
  Object call6540 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6537);
// compiled call node returning call6540 (depth = 3)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6541 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6542 = gc_frame_new();
// call case 4: self request
  Object call6543 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6542);
// compiled member node returning call6543 (depth = 4)
  gc_frame_newslot(call6543);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call6543;
  partcv[0] = 1;
  Object call6544 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6541);
// compiled call node returning call6544 (depth = 3)
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopy6545(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6546 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6547 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6548 = gc_frame_new();
// call case 4: self request
  Object call6549 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6548);
// compiled member node returning call6549 (depth = 5)
  gc_frame_newslot(call6549);
// starting to compile member node (depth = 5)
  int callframe6550 = gc_frame_new();
// call case 4: self request
  Object call6551 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6550);
// compiled member node returning call6551 (depth = 5)
  gc_frame_newslot(call6551);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_memberNode (depth = 5)
  params[0] = call6549;
  params[1] = call6551;
  partcv[0] = 2;
  Object call6552 = callmethodflags(*var_memberNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6547);
// compiled call node returning call6552 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6553 = callmethodflags(call6552, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6546);
// compiled call node returning call6553 (depth = 3)
  gc_frame_end(frame);
  return call6553;
}
Object meth_ast_statementName6554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6555 == NULL) {
    strlit6555 = alloc_String("expression");
    gc_root(strlit6555);
  }
// compiled string node returning strlit6555 (depth = 3)
  gc_frame_end(frame);
  return strlit6555;
}
Object meth_ast_postCopy_40_1_41_6556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6557 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6558 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6559 = callmethodflags(*var_other, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe6558);
// compiled member node returning call6559 (depth = 4)
  gc_frame_newslot(call6559);
// call case 4: self request
  params[0] = call6559;
  partcv[0] = 1;
  Object call6560 = callmethodflags(self, "generics:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6557);
// compiled call node returning call6560 (depth = 3)
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6561 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6562 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6563 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe6562);
// compiled member node returning call6563 (depth = 4)
  gc_frame_newslot(call6563);
// call case 4: self request
  params[0] = call6563;
  partcv[0] = 1;
  Object call6564 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6561);
// compiled call node returning call6564 (depth = 3)
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_2_41_6191(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6192 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6192 = alloc_userobj2(27,24, objclass6192);
  gc_frame_newslot(obj6192);
if (objclass6192 == NULL) {
  glfree(obj6192->class->name);
  obj6192->class->name = "memberNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6192, self, 0);
  addmethodreal(obj6192,"outer", &reader_ast_outer_6193);
  Object oldself6192 = self;
  struct StackFrameObject *oldstackframe6192 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6192);
  gc_frame_newslot((Object)stackframe);
  self = obj6192;
  Object *oldselfslot6192 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6192 = (*(struct UserObject *)self).data[0], lowerouter6192 = thisouter6192;
  if (inheritingObject6192) {
    struct UserObject *inho6192 = (struct UserObject *)inheritingObject6192;
    while (inho6192->super != GraceDefaultObject) inho6192 = (struct UserObject *)inho6192->super;
    inho6192->super = obj6192;
    self = inheritingObject6192;
    *selfslot = self;
    lowerouter6192 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6192;
  }
if (objclass6192 == NULL) {
  Method *reader6194 = addmethodrealflags(obj6192, "kind",&reader_ast_kind_6194, MFLAG_DEF);
  reader6194->definitionModule = modulename;
  reader6194->definitionLine = 1524;
}
adddatum2(obj6192, alloc_Undefined(), 1);
if (objclass6192 == NULL) {
  Method *reader6195 = addmethodrealflags(obj6192, "value", &reader_ast_value_6195, 0);
  Method *writer6195 = addmethodrealflags(obj6192, "value:=(1)", &writer_ast_value_6195, 0);
  reader6195->definitionModule = modulename;
  writer6195->definitionModule = modulename;
  reader6195->definitionLine = 1525;
  writer6195->definitionLine = 1525;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 2);
if (objclass6192 == NULL) {
  Method *reader6196 = addmethodrealflags(obj6192, "receiver", &reader_ast_receiver_6196, 0);
  Method *writer6196 = addmethodrealflags(obj6192, "receiver:=(1)", &writer_ast_receiver_6196, 0);
  reader6196->definitionModule = modulename;
  writer6196->definitionModule = modulename;
  reader6196->definitionLine = 1526;
  writer6196->definitionLine = 1526;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 3);
if (objclass6192 == NULL) {
  Method *reader6197 = addmethodrealflags(obj6192, "generics", &reader_ast_generics_6197, 0);
  Method *writer6197 = addmethodrealflags(obj6192, "generics:=(1)", &writer_ast_generics_6197, 0);
  reader6197->definitionModule = modulename;
  writer6197->definitionModule = modulename;
  reader6197->definitionLine = 1527;
  writer6197->definitionLine = 1527;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 4);
if (objclass6192 == NULL) {
  Method *reader6198 = addmethodrealflags(obj6192, "isSelfRequest", &reader_ast_isSelfRequest_6198, 0);
  Method *writer6198 = addmethodrealflags(obj6192, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6198, 0);
  reader6198->definitionModule = modulename;
  writer6198->definitionModule = modulename;
  reader6198->definitionLine = 1528;
  writer6198->definitionLine = 1528;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 5);
// method "onSelf"
  struct UserObject *uo6199 = (struct UserObject*)obj6192;
  uo6199->data[6] = emptyclosure;
  Method *meth_meth_ast_onSelf6199 = addmethod2pos(obj6192, "onSelf", &meth_ast_onSelf6199, 6);
  int argcv_meth_ast_onSelf6199[] = {0};
  meth_meth_ast_onSelf6199->type = alloc_MethodType(1, argcv_meth_ast_onSelf6199);
  meth_meth_ast_onSelf6199->definitionModule = modulename;
  meth_meth_ast_onSelf6199->definitionLine = 1530;
// method "nameString"
  struct UserObject *uo6203 = (struct UserObject*)obj6192;
  uo6203->data[7] = emptyclosure;
  Method *meth_meth_ast_nameString6203 = addmethod2pos(obj6192, "nameString", &meth_ast_nameString6203, 7);
  int argcv_meth_ast_nameString6203[] = {0};
  meth_meth_ast_nameString6203->type = alloc_MethodType(1, argcv_meth_ast_nameString6203);
  meth_meth_ast_nameString6203->definitionModule = modulename;
  meth_meth_ast_nameString6203->definitionLine = 1534;
// method "canonicalName"
  struct UserObject *uo6206 = (struct UserObject*)obj6192;
  uo6206->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName6206 = addmethod2pos(obj6192, "canonicalName", &meth_ast_canonicalName6206, 8);
  int argcv_meth_ast_canonicalName6206[] = {0};
  meth_meth_ast_canonicalName6206->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6206);
  meth_meth_ast_canonicalName6206->definitionModule = modulename;
  meth_meth_ast_canonicalName6206->definitionLine = 1535;
// method "isMember"
  struct UserObject *uo6209 = (struct UserObject*)obj6192;
  uo6209->data[9] = emptyclosure;
  Method *meth_meth_ast_isMember6209 = addmethod2pos(obj6192, "isMember", &meth_ast_isMember6209, 9);
  int argcv_meth_ast_isMember6209[] = {0};
  meth_meth_ast_isMember6209->type = alloc_MethodType(1, argcv_meth_ast_isMember6209);
  meth_meth_ast_isMember6209->definitionModule = modulename;
  meth_meth_ast_isMember6209->definitionLine = 1536;
// method "isCall"
  struct UserObject *uo6211 = (struct UserObject*)obj6192;
  uo6211->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall6211 = addmethod2pos(obj6192, "isCall", &meth_ast_isCall6211, 10);
  int argcv_meth_ast_isCall6211[] = {0};
  meth_meth_ast_isCall6211->type = alloc_MethodType(1, argcv_meth_ast_isCall6211);
  meth_meth_ast_isCall6211->definitionModule = modulename;
  meth_meth_ast_isCall6211->definitionLine = 1537;
// method "with"
  block_savedest(obj6192);
  Object closure6213 = createclosure(1, "with");
  setclosureframe(closure6213, stackframe);
  addtoclosure(closure6213, var_emptySeq);
  struct UserObject *uo6213 = (struct UserObject*)obj6192;
  uo6213->data[11] = (Object)closure6213;
  Method *meth_meth_ast_with6213 = addmethod2pos(obj6192, "with", &meth_ast_with6213, 11);
  int argcv_meth_ast_with6213[] = {0};
  meth_meth_ast_with6213->type = alloc_MethodType(1, argcv_meth_ast_with6213);
  meth_meth_ast_with6213->definitionModule = modulename;
  meth_meth_ast_with6213->definitionLine = 1539;
// method "arguments"
  block_savedest(obj6192);
  Object closure6214 = createclosure(1, "arguments");
  setclosureframe(closure6214, stackframe);
  addtoclosure(closure6214, var_emptySeq);
  struct UserObject *uo6214 = (struct UserObject*)obj6192;
  uo6214->data[12] = (Object)closure6214;
  Method *meth_meth_ast_arguments6214 = addmethod2pos(obj6192, "arguments", &meth_ast_arguments6214, 12);
  int argcv_meth_ast_arguments6214[] = {0};
  meth_meth_ast_arguments6214->type = alloc_MethodType(1, argcv_meth_ast_arguments6214);
  meth_meth_ast_arguments6214->definitionModule = modulename;
  meth_meth_ast_arguments6214->definitionLine = 1540;
// method "argumentsDo"
  struct UserObject *uo6215 = (struct UserObject*)obj6192;
  uo6215->data[13] = emptyclosure;
  Method *meth_meth_ast_argumentsDo6215 = addmethod2pos(obj6192, "argumentsDo", &meth_ast_argumentsDo6215, 13);
  int argcv_meth_ast_argumentsDo6215[] = {0};
  meth_meth_ast_argumentsDo6215->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo6215);
  meth_meth_ast_argumentsDo6215->definitionModule = modulename;
  meth_meth_ast_argumentsDo6215->definitionLine = 1541;
// method "accept(_)from(_)"
  struct UserObject *uo6216 = (struct UserObject*)obj6192;
  uo6216->data[14] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6216 = addmethod2pos(obj6192, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6216, 14);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6216[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6216);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->definitionLine = 1542;
// method "isSelfOrOuter"
  struct UserObject *uo6242 = (struct UserObject*)obj6192;
  uo6242->data[15] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter6242 = addmethod2pos(obj6192, "isSelfOrOuter", &meth_ast_isSelfOrOuter6242, 15);
  int argcv_meth_ast_isSelfOrOuter6242[] = {0};
  meth_meth_ast_isSelfOrOuter6242->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter6242);
  meth_meth_ast_isSelfOrOuter6242->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter6242->definitionLine = 1551;
// method "map(_)ancestors(_)"
  struct UserObject *uo6255 = (struct UserObject*)obj6192;
  uo6255->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255 = addmethod2pos(obj6192, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6255, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6255[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6255);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->definitionLine = 1555;
// method "pretty(_)"
  struct UserObject *uo6278 = (struct UserObject*)obj6192;
  uo6278->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6278 = addmethod2pos(obj6192, "pretty(1)", &meth_ast_pretty_40_1_41_6278, 17);
  int argcv_meth_ast_pretty_40_1_41_6278[] = {1};
  meth_meth_ast_pretty_40_1_41_6278->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6278);
  meth_meth_ast_pretty_40_1_41_6278->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6278->definitionLine = 1562;
// method "toGrace(_)"
  struct UserObject *uo6374 = (struct UserObject*)obj6192;
  uo6374->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6374 = addmethod2pos(obj6192, "toGrace(1)", &meth_ast_toGrace_40_1_41_6374, 18);
  int argcv_meth_ast_toGrace_40_1_41_6374[] = {1};
  meth_meth_ast_toGrace_40_1_41_6374->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6374);
meth_meth_ast_toGrace_40_1_41_6374->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6374->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6374->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6374->definitionLine = 1579;
// method "asString"
  struct UserObject *uo6485 = (struct UserObject*)obj6192;
  uo6485->data[19] = emptyclosure;
  Method *meth_meth_ast_asString6485 = addmethod2pos(obj6192, "asString", &meth_ast_asString6485, 19);
  int argcv_meth_ast_asString6485[] = {0};
  meth_meth_ast_asString6485->type = alloc_MethodType(1, argcv_meth_ast_asString6485);
  meth_meth_ast_asString6485->definitionModule = modulename;
  meth_meth_ast_asString6485->definitionLine = 1596;
// method "asIdentifier"
  block_savedest(obj6192);
  Object closure6505 = createclosure(2, "asIdentifier");
  setclosureframe(closure6505, stackframe);
  addtoclosure(closure6505, var_fakeSymbolTable);
  addtoclosure(closure6505, var_identifierNode);
  struct UserObject *uo6505 = (struct UserObject*)obj6192;
  uo6505->data[20] = (Object)closure6505;
  Method *meth_meth_ast_asIdentifier6505 = addmethod2pos(obj6192, "asIdentifier", &meth_ast_asIdentifier6505, 20);
  int argcv_meth_ast_asIdentifier6505[] = {0};
  meth_meth_ast_asIdentifier6505->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6505);
  meth_meth_ast_asIdentifier6505->definitionModule = modulename;
  meth_meth_ast_asIdentifier6505->definitionLine = 1597;
// method "shallowCopy"
  block_savedest(obj6192);
  Object closure6545 = createclosure(1, "shallowCopy");
  setclosureframe(closure6545, stackframe);
  addtoclosure(closure6545, var_memberNode);
  struct UserObject *uo6545 = (struct UserObject*)obj6192;
  uo6545->data[21] = (Object)closure6545;
  Method *meth_meth_ast_shallowCopy6545 = addmethod2pos(obj6192, "shallowCopy", &meth_ast_shallowCopy6545, 21);
  int argcv_meth_ast_shallowCopy6545[] = {0};
  meth_meth_ast_shallowCopy6545->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6545);
  meth_meth_ast_shallowCopy6545->definitionModule = modulename;
  meth_meth_ast_shallowCopy6545->definitionLine = 1608;
// method "statementName"
  struct UserObject *uo6554 = (struct UserObject*)obj6192;
  uo6554->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName6554 = addmethod2pos(obj6192, "statementName", &meth_ast_statementName6554, 22);
  int argcv_meth_ast_statementName6554[] = {0};
  meth_meth_ast_statementName6554->type = alloc_MethodType(1, argcv_meth_ast_statementName6554);
  meth_meth_ast_statementName6554->definitionModule = modulename;
  meth_meth_ast_statementName6554->definitionLine = 1611;
// method "postCopy(_)"
  struct UserObject *uo6556 = (struct UserObject*)obj6192;
  uo6556->data[23] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_6556 = addmethod2pos(obj6192, "postCopy(1)", &meth_ast_postCopy_40_1_41_6556, 23);
  int argcv_meth_ast_postCopy_40_1_41_6556[] = {1};
  meth_meth_ast_postCopy_40_1_41_6556->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_6556);
  meth_meth_ast_postCopy_40_1_41_6556->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_6556->definitionLine = 1612;
  sourceObject = obj6192;
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6565 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6566 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6567 = gc_frame_new();
// call case 3: self.outer request
  Object call6568 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6567);
// compiled member node returning call6568 (depth = 5)
  Object call6569 = callmethodflags(call6568, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6566);
// compiled member node returning call6569 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6570 = callmethodflags(call6569, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6565);
// compiled call node returning call6570 (depth = 3)
  struct UserObject *obj6192_uo = (struct UserObject *)obj6192;
  obj6192_uo->super = call6570;
  sourceObject = obj6192;
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6571 == NULL) {
    strlit6571 = alloc_String("member");
    gc_root(strlit6571);
  }
// compiled string node returning strlit6571 (depth = 3)
  adddatum2(obj6192, strlit6571, 1);
  sourceObject = obj6192;
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6192, *var_request, 2);
  sourceObject = obj6192;
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6192, *var_receiver_39_, 3);
  sourceObject = obj6192;
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6572 = alloc_Boolean(0);
// compiled identifier node returning bool6572 (depth = 3)
  adddatum2(obj6192, bool6572, 4);
  sourceObject = obj6192;
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6573 = alloc_Boolean(0);
// compiled identifier node returning bool6573 (depth = 3)
  adddatum2(obj6192, bool6573, 5);
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  objclass6192 = obj6192->class;
  objclass6192->definitionModule = modulename;
  objclass6192->definitionLine = 1521;
  (*(struct UserObject *)self).data[0] = lowerouter6192;
  self = oldself6192;
  selfslot = oldselfslot6192;
  stackframe = oldstackframe6192;
  gc_frame_end(frame);
  return obj6192;
}
Object meth_ast_new_40_2_41_6191_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6192 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6192 = alloc_userobj2(27,24, objclass6192);
  gc_frame_newslot(obj6192);
if (objclass6192 == NULL) {
  glfree(obj6192->class->name);
  obj6192->class->name = "memberNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6192, self, 0);
  addmethodreal(obj6192,"outer", &reader_ast_outer_6193);
  Object oldself6192 = self;
  struct StackFrameObject *oldstackframe6192 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6192);
  gc_frame_newslot((Object)stackframe);
  self = obj6192;
  Object *oldselfslot6192 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6192 = (*(struct UserObject *)self).data[0], lowerouter6192 = thisouter6192;
  if (inheritingObject6192) {
    struct UserObject *inho6192 = (struct UserObject *)inheritingObject6192;
    while (inho6192->super != GraceDefaultObject) inho6192 = (struct UserObject *)inho6192->super;
    inho6192->super = obj6192;
    self = inheritingObject6192;
    *selfslot = self;
    lowerouter6192 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6192;
  }
if (objclass6192 == NULL) {
  Method *reader6194 = addmethodrealflags(obj6192, "kind",&reader_ast_kind_6194, MFLAG_DEF);
  reader6194->definitionModule = modulename;
  reader6194->definitionLine = 1524;
}
adddatum2(obj6192, alloc_Undefined(), 1);
if (objclass6192 == NULL) {
  Method *reader6195 = addmethodrealflags(obj6192, "value", &reader_ast_value_6195, 0);
  Method *writer6195 = addmethodrealflags(obj6192, "value:=(1)", &writer_ast_value_6195, 0);
  reader6195->definitionModule = modulename;
  writer6195->definitionModule = modulename;
  reader6195->definitionLine = 1525;
  writer6195->definitionLine = 1525;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 2);
if (objclass6192 == NULL) {
  Method *reader6196 = addmethodrealflags(obj6192, "receiver", &reader_ast_receiver_6196, 0);
  Method *writer6196 = addmethodrealflags(obj6192, "receiver:=(1)", &writer_ast_receiver_6196, 0);
  reader6196->definitionModule = modulename;
  writer6196->definitionModule = modulename;
  reader6196->definitionLine = 1526;
  writer6196->definitionLine = 1526;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 3);
if (objclass6192 == NULL) {
  Method *reader6197 = addmethodrealflags(obj6192, "generics", &reader_ast_generics_6197, 0);
  Method *writer6197 = addmethodrealflags(obj6192, "generics:=(1)", &writer_ast_generics_6197, 0);
  reader6197->definitionModule = modulename;
  writer6197->definitionModule = modulename;
  reader6197->definitionLine = 1527;
  writer6197->definitionLine = 1527;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 4);
if (objclass6192 == NULL) {
  Method *reader6198 = addmethodrealflags(obj6192, "isSelfRequest", &reader_ast_isSelfRequest_6198, 0);
  Method *writer6198 = addmethodrealflags(obj6192, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6198, 0);
  reader6198->definitionModule = modulename;
  writer6198->definitionModule = modulename;
  reader6198->definitionLine = 1528;
  writer6198->definitionLine = 1528;
}
obj6192->flags |= OFLAG_MUTABLE;
adddatum2(obj6192, alloc_Undefined(), 5);
// method "onSelf"
  struct UserObject *uo6199 = (struct UserObject*)obj6192;
  uo6199->data[6] = emptyclosure;
  Method *meth_meth_ast_onSelf6199 = addmethod2pos(obj6192, "onSelf", &meth_ast_onSelf6199, 6);
  int argcv_meth_ast_onSelf6199[] = {0};
  meth_meth_ast_onSelf6199->type = alloc_MethodType(1, argcv_meth_ast_onSelf6199);
  meth_meth_ast_onSelf6199->definitionModule = modulename;
  meth_meth_ast_onSelf6199->definitionLine = 1530;
// method "nameString"
  struct UserObject *uo6203 = (struct UserObject*)obj6192;
  uo6203->data[7] = emptyclosure;
  Method *meth_meth_ast_nameString6203 = addmethod2pos(obj6192, "nameString", &meth_ast_nameString6203, 7);
  int argcv_meth_ast_nameString6203[] = {0};
  meth_meth_ast_nameString6203->type = alloc_MethodType(1, argcv_meth_ast_nameString6203);
  meth_meth_ast_nameString6203->definitionModule = modulename;
  meth_meth_ast_nameString6203->definitionLine = 1534;
// method "canonicalName"
  struct UserObject *uo6206 = (struct UserObject*)obj6192;
  uo6206->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName6206 = addmethod2pos(obj6192, "canonicalName", &meth_ast_canonicalName6206, 8);
  int argcv_meth_ast_canonicalName6206[] = {0};
  meth_meth_ast_canonicalName6206->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6206);
  meth_meth_ast_canonicalName6206->definitionModule = modulename;
  meth_meth_ast_canonicalName6206->definitionLine = 1535;
// method "isMember"
  struct UserObject *uo6209 = (struct UserObject*)obj6192;
  uo6209->data[9] = emptyclosure;
  Method *meth_meth_ast_isMember6209 = addmethod2pos(obj6192, "isMember", &meth_ast_isMember6209, 9);
  int argcv_meth_ast_isMember6209[] = {0};
  meth_meth_ast_isMember6209->type = alloc_MethodType(1, argcv_meth_ast_isMember6209);
  meth_meth_ast_isMember6209->definitionModule = modulename;
  meth_meth_ast_isMember6209->definitionLine = 1536;
// method "isCall"
  struct UserObject *uo6211 = (struct UserObject*)obj6192;
  uo6211->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall6211 = addmethod2pos(obj6192, "isCall", &meth_ast_isCall6211, 10);
  int argcv_meth_ast_isCall6211[] = {0};
  meth_meth_ast_isCall6211->type = alloc_MethodType(1, argcv_meth_ast_isCall6211);
  meth_meth_ast_isCall6211->definitionModule = modulename;
  meth_meth_ast_isCall6211->definitionLine = 1537;
// method "with"
  block_savedest(obj6192);
  Object closure6213 = createclosure(1, "with");
  setclosureframe(closure6213, stackframe);
  addtoclosure(closure6213, var_emptySeq);
  struct UserObject *uo6213 = (struct UserObject*)obj6192;
  uo6213->data[11] = (Object)closure6213;
  Method *meth_meth_ast_with6213 = addmethod2pos(obj6192, "with", &meth_ast_with6213, 11);
  int argcv_meth_ast_with6213[] = {0};
  meth_meth_ast_with6213->type = alloc_MethodType(1, argcv_meth_ast_with6213);
  meth_meth_ast_with6213->definitionModule = modulename;
  meth_meth_ast_with6213->definitionLine = 1539;
// method "arguments"
  block_savedest(obj6192);
  Object closure6214 = createclosure(1, "arguments");
  setclosureframe(closure6214, stackframe);
  addtoclosure(closure6214, var_emptySeq);
  struct UserObject *uo6214 = (struct UserObject*)obj6192;
  uo6214->data[12] = (Object)closure6214;
  Method *meth_meth_ast_arguments6214 = addmethod2pos(obj6192, "arguments", &meth_ast_arguments6214, 12);
  int argcv_meth_ast_arguments6214[] = {0};
  meth_meth_ast_arguments6214->type = alloc_MethodType(1, argcv_meth_ast_arguments6214);
  meth_meth_ast_arguments6214->definitionModule = modulename;
  meth_meth_ast_arguments6214->definitionLine = 1540;
// method "argumentsDo"
  struct UserObject *uo6215 = (struct UserObject*)obj6192;
  uo6215->data[13] = emptyclosure;
  Method *meth_meth_ast_argumentsDo6215 = addmethod2pos(obj6192, "argumentsDo", &meth_ast_argumentsDo6215, 13);
  int argcv_meth_ast_argumentsDo6215[] = {0};
  meth_meth_ast_argumentsDo6215->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo6215);
  meth_meth_ast_argumentsDo6215->definitionModule = modulename;
  meth_meth_ast_argumentsDo6215->definitionLine = 1541;
// method "accept(_)from(_)"
  struct UserObject *uo6216 = (struct UserObject*)obj6192;
  uo6216->data[14] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6216 = addmethod2pos(obj6192, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6216, 14);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6216[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6216);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6216->definitionLine = 1542;
// method "isSelfOrOuter"
  struct UserObject *uo6242 = (struct UserObject*)obj6192;
  uo6242->data[15] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter6242 = addmethod2pos(obj6192, "isSelfOrOuter", &meth_ast_isSelfOrOuter6242, 15);
  int argcv_meth_ast_isSelfOrOuter6242[] = {0};
  meth_meth_ast_isSelfOrOuter6242->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter6242);
  meth_meth_ast_isSelfOrOuter6242->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter6242->definitionLine = 1551;
// method "map(_)ancestors(_)"
  struct UserObject *uo6255 = (struct UserObject*)obj6192;
  uo6255->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255 = addmethod2pos(obj6192, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6255, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6255[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6255);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6255->definitionLine = 1555;
// method "pretty(_)"
  struct UserObject *uo6278 = (struct UserObject*)obj6192;
  uo6278->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6278 = addmethod2pos(obj6192, "pretty(1)", &meth_ast_pretty_40_1_41_6278, 17);
  int argcv_meth_ast_pretty_40_1_41_6278[] = {1};
  meth_meth_ast_pretty_40_1_41_6278->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6278);
  meth_meth_ast_pretty_40_1_41_6278->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6278->definitionLine = 1562;
// method "toGrace(_)"
  struct UserObject *uo6374 = (struct UserObject*)obj6192;
  uo6374->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6374 = addmethod2pos(obj6192, "toGrace(1)", &meth_ast_toGrace_40_1_41_6374, 18);
  int argcv_meth_ast_toGrace_40_1_41_6374[] = {1};
  meth_meth_ast_toGrace_40_1_41_6374->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6374);
meth_meth_ast_toGrace_40_1_41_6374->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6374->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6374->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6374->definitionLine = 1579;
// method "asString"
  struct UserObject *uo6485 = (struct UserObject*)obj6192;
  uo6485->data[19] = emptyclosure;
  Method *meth_meth_ast_asString6485 = addmethod2pos(obj6192, "asString", &meth_ast_asString6485, 19);
  int argcv_meth_ast_asString6485[] = {0};
  meth_meth_ast_asString6485->type = alloc_MethodType(1, argcv_meth_ast_asString6485);
  meth_meth_ast_asString6485->definitionModule = modulename;
  meth_meth_ast_asString6485->definitionLine = 1596;
// method "asIdentifier"
  block_savedest(obj6192);
  Object closure6505 = createclosure(2, "asIdentifier");
  setclosureframe(closure6505, stackframe);
  addtoclosure(closure6505, var_fakeSymbolTable);
  addtoclosure(closure6505, var_identifierNode);
  struct UserObject *uo6505 = (struct UserObject*)obj6192;
  uo6505->data[20] = (Object)closure6505;
  Method *meth_meth_ast_asIdentifier6505 = addmethod2pos(obj6192, "asIdentifier", &meth_ast_asIdentifier6505, 20);
  int argcv_meth_ast_asIdentifier6505[] = {0};
  meth_meth_ast_asIdentifier6505->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6505);
  meth_meth_ast_asIdentifier6505->definitionModule = modulename;
  meth_meth_ast_asIdentifier6505->definitionLine = 1597;
// method "shallowCopy"
  block_savedest(obj6192);
  Object closure6545 = createclosure(1, "shallowCopy");
  setclosureframe(closure6545, stackframe);
  addtoclosure(closure6545, var_memberNode);
  struct UserObject *uo6545 = (struct UserObject*)obj6192;
  uo6545->data[21] = (Object)closure6545;
  Method *meth_meth_ast_shallowCopy6545 = addmethod2pos(obj6192, "shallowCopy", &meth_ast_shallowCopy6545, 21);
  int argcv_meth_ast_shallowCopy6545[] = {0};
  meth_meth_ast_shallowCopy6545->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6545);
  meth_meth_ast_shallowCopy6545->definitionModule = modulename;
  meth_meth_ast_shallowCopy6545->definitionLine = 1608;
// method "statementName"
  struct UserObject *uo6554 = (struct UserObject*)obj6192;
  uo6554->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName6554 = addmethod2pos(obj6192, "statementName", &meth_ast_statementName6554, 22);
  int argcv_meth_ast_statementName6554[] = {0};
  meth_meth_ast_statementName6554->type = alloc_MethodType(1, argcv_meth_ast_statementName6554);
  meth_meth_ast_statementName6554->definitionModule = modulename;
  meth_meth_ast_statementName6554->definitionLine = 1611;
// method "postCopy(_)"
  struct UserObject *uo6556 = (struct UserObject*)obj6192;
  uo6556->data[23] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_6556 = addmethod2pos(obj6192, "postCopy(1)", &meth_ast_postCopy_40_1_41_6556, 23);
  int argcv_meth_ast_postCopy_40_1_41_6556[] = {1};
  meth_meth_ast_postCopy_40_1_41_6556->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_6556);
  meth_meth_ast_postCopy_40_1_41_6556->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_6556->definitionLine = 1612;
  sourceObject = obj6192;
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6565 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6566 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6567 = gc_frame_new();
// call case 3: self.outer request
  Object call6568 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6567);
// compiled member node returning call6568 (depth = 5)
  Object call6569 = callmethodflags(call6568, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6566);
// compiled member node returning call6569 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6570 = callmethodflags(call6569, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6565);
// compiled call node returning call6570 (depth = 3)
  struct UserObject *obj6192_uo = (struct UserObject *)obj6192;
  obj6192_uo->super = call6570;
  sourceObject = obj6192;
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6571 == NULL) {
    strlit6571 = alloc_String("member");
    gc_root(strlit6571);
  }
// compiled string node returning strlit6571 (depth = 3)
  adddatum2(obj6192, strlit6571, 1);
  sourceObject = obj6192;
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6192, *var_request, 2);
  sourceObject = obj6192;
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6192, *var_receiver_39_, 3);
  sourceObject = obj6192;
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6572 = alloc_Boolean(0);
// compiled identifier node returning bool6572 (depth = 3)
  adddatum2(obj6192, bool6572, 4);
  sourceObject = obj6192;
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6573 = alloc_Boolean(0);
// compiled identifier node returning bool6573 (depth = 3)
  adddatum2(obj6192, bool6573, 5);
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  sourceObject = obj6192;
  objclass6192 = obj6192->class;
  objclass6192->definitionModule = modulename;
  objclass6192->definitionLine = 1521;
  (*(struct UserObject *)self).data[0] = lowerouter6192;
  self = oldself6192;
  selfslot = oldselfslot6192;
  stackframe = oldstackframe6192;
  gc_frame_end(frame);
  return obj6192;
}
Object meth_ast_memberNode6575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "memberNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_memberNode (depth = 3)
  gc_frame_end(frame);
  return *var_memberNode;
}
Object meth_ast_nameString6584(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6585 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6586 = gc_frame_new();
// call case 4: self request
  Object call6587 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6586);
// compiled member node returning call6587 (depth = 4)
  Object call6588 = callmethodflags(call6587, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe6585);
// compiled member node returning call6588 (depth = 3)
  gc_frame_end(frame);
  return call6588;
}
Object meth_ast_asString6589(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6590 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num6591 = alloc_Float64(0);
// compiled num node returning num6591 (depth = 4)
  gc_frame_newslot(num6591);
// call case 4: self request
  params[0] = num6591;
  partcv[0] = 1;
  Object call6592 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6590);
// compiled call node returning call6592 (depth = 3)
  gc_frame_end(frame);
  return call6592;
}
Object meth_ast__apply_40_1_41_6607(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6608 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6609 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6608);
// compiled call node returning call6609 (depth = 6)
  gc_frame_end(frame);
  return call6609;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6593(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6595 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6596 = callmethodflags(*var_visitor, "visitGeneric(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6595);
// compiled call node returning call6596 (depth = 4)
  Object if6594 = done;
  if (istrue(call6596)) {
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6597 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6598 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6597);
// compiled call node returning call6598 (depth = 5)
  *var_newChain = call6598;
  if (call6598 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6599 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6600 = gc_frame_new();
// call case 4: self request
  Object call6601 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6600);
// compiled member node returning call6601 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6602 = callmethodflags(call6601, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6599);
// compiled call node returning call6602 (depth = 4)
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6603 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6604 = gc_frame_new();
// call case 4: self request
  Object call6605 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6604);
// compiled member node returning call6605 (depth = 5)
  gc_frame_newslot(call6605);
// starting to compile block node (depth = 5)
  Object block6606 = alloc_Block(NULL, NULL, "ast", 1634);
  gc_frame_newslot(block6606);
// method "_apply(_)"
  block_savedest(block6606);
  Object closure6607 = createclosure(3, "_apply(1)");
  setclosureframe(closure6607, stackframe);
  addtoclosure(closure6607, var_visitor);
  addtoclosure(closure6607, var_newChain);
  addtoclosure(closure6607, selfslot);
  struct UserObject *uo6607 = (struct UserObject*)block6606;
  uo6607->data[0] = (Object)closure6607;
  Method *meth_meth_ast__apply_40_1_41_6607 = addmethod2pos(block6606, "_apply(1)", &meth_ast__apply_40_1_41_6607, 0);
  int argcv_meth_ast__apply_40_1_41_6607[] = {1};
  meth_meth_ast__apply_40_1_41_6607->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6607);
  meth_meth_ast__apply_40_1_41_6607->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6607->definitionLine = 2984;
// compiled block node returning block6606 (depth = 5)
  gc_frame_newslot(block6606);
// call case 5: prelude request
  params[0] = call6605;
  params[1] = block6606;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6611 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6603);
// compiled call node returning call6611 (depth = 4)
    gc_frame_newslot(call6611);
    if6594 = call6611;
  } else {
  }
// compiled if node returning if6594 (depth = 3)
  gc_frame_end(frame);
  return if6594;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6612(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6613 = gc_frame_new();
// call case 4: self request
  Object call6614 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6613);
// compiled member node returning call6614 (depth = 4)
  *var_n = call6614;
  if (call6614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6615 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6616 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6615);
// compiled call node returning call6616 (depth = 4)
  *var_newChain = call6616;
  if (call6616 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6617 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6618 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6619 = gc_frame_new();
// call case 4: self request
  Object call6620 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6619);
// compiled member node returning call6620 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6621 = callmethodflags(call6620, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6618);
// compiled call node returning call6621 (depth = 4)
  gc_frame_newslot(call6621);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6621;
  partcv[0] = 1;
  Object call6622 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6617);
// compiled call node returning call6622 (depth = 3)
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6623 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6624 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6625 = gc_frame_new();
// call case 4: self request
  Object call6626 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6625);
// compiled member node returning call6626 (depth = 5)
  gc_frame_newslot(call6626);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6627 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6628 = gc_frame_new();
// call case 3: self.outer request
  Object call6629 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6628);
// compiled member node returning call6629 (depth = 6)
  Object call6630 = callmethodflags(call6629, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6627);
// compiled member node returning call6630 (depth = 5)
  params[0] = call6626;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6631 = callmethodflags(call6630, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6624);
// compiled call node returning call6631 (depth = 4)
  gc_frame_newslot(call6631);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6631;
  partcv[0] = 1;
  Object call6632 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6623);
// compiled call node returning call6632 (depth = 3)
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6633 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6634 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6633);
// compiled call node returning call6634 (depth = 3)
  gc_frame_end(frame);
  return call6634;
}
Object meth_ast__apply_40_1_41_6659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6661 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6663 = alloc_Float64(2);
// compiled num node returning num6663 (depth = 9)
  int op_slot_right_6662 = gc_frame_newslot(num6663);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6662 = gc_frame_newslot(*var_depth);
  params[0] = num6663;
  partcv[0] = 1;
  Object sum6665 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6665 (depth = 8)
  gc_frame_newslot(sum6665);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum6665;
  partcv[0] = 1;
  Object call6666 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6661);
// compiled call node returning call6666 (depth = 7)
  int op_slot_right_6660 = gc_frame_newslot(call6666);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6660 = gc_frame_newslot(*var_s);
  params[0] = call6666;
  partcv[0] = 1;
  Object opresult6668 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6668 (depth = 6)
  *var_s = opresult6668;
  if (opresult6668 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6672(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6674 == NULL) {
    strlit6674 = alloc_String(", ");
    gc_root(strlit6674);
  }
// compiled string node returning strlit6674 (depth = 7)
  int op_slot_right_6673 = gc_frame_newslot(strlit6674);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6673 = gc_frame_newslot(*var_s);
  params[0] = strlit6674;
  partcv[0] = 1;
  Object opresult6676 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6676 (depth = 6)
  *var_s = opresult6676;
  if (opresult6676 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6635(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6637 == NULL) {
    strlit6637 = alloc_String(")<");
    gc_root(strlit6637);
  }
// compiled string node returning strlit6637 (depth = 5)
  int op_slot_right_6636 = gc_frame_newslot(strlit6637);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6640 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6641 = gc_frame_new();
// call case 4: self request
  Object call6642 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6641);
// compiled member node returning call6642 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6643 = callmethodflags(call6642, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6640);
// compiled call node returning call6643 (depth = 6)
  int op_slot_right_6639 = gc_frame_newslot(call6643);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6646 == NULL) {
    strlit6646 = alloc_String("(");
    gc_root(strlit6646);
  }
// compiled string node returning strlit6646 (depth = 7)
  int op_slot_right_6645 = gc_frame_newslot(strlit6646);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6649 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6650 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6649);
// compiled call node returning call6650 (depth = 8)
  int op_slot_right_6648 = gc_frame_newslot(call6650);
// starting to compile string node (depth = 8)
  if (strlit6652 == NULL) {
    strlit6652 = alloc_String("");
    gc_root(strlit6652);
  }
// compiled string node returning strlit6652 (depth = 8)
  int op_slot_left_6648 = gc_frame_newslot(strlit6652);
  params[0] = call6650;
  partcv[0] = 1;
  Object opresult6653 = callmethod(strlit6652, "++(1)", 1, partcv, params);
// compiled op node returning opresult6653 (depth = 7)
  int op_slot_left_6645 = gc_frame_newslot(opresult6653);
  params[0] = strlit6646;
  partcv[0] = 1;
  Object opresult6654 = callmethod(opresult6653, "++(1)", 1, partcv, params);
// compiled op node returning opresult6654 (depth = 6)
  int op_slot_left_6639 = gc_frame_newslot(opresult6654);
  params[0] = call6643;
  partcv[0] = 1;
  Object opresult6655 = callmethod(opresult6654, "++(1)", 1, partcv, params);
// compiled op node returning opresult6655 (depth = 5)
  int op_slot_left_6636 = gc_frame_newslot(opresult6655);
  params[0] = strlit6637;
  partcv[0] = 1;
  Object opresult6656 = callmethod(opresult6655, "++(1)", 1, partcv, params);
// compiled op node returning opresult6656 (depth = 4)
  *var_s = opresult6656;
  if (opresult6656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6657 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6658 = alloc_Block(NULL, NULL, "ast", 1648);
  gc_frame_newslot(block6658);
// method "_apply(_)"
  block_savedest(block6658);
  Object closure6659 = createclosure(3, "_apply(1)");
  setclosureframe(closure6659, stackframe);
  addtoclosure(closure6659, var_depth);
  addtoclosure(closure6659, var_s);
  addtoclosure(closure6659, selfslot);
  struct UserObject *uo6659 = (struct UserObject*)block6658;
  uo6659->data[0] = (Object)closure6659;
  Method *meth_meth_ast__apply_40_1_41_6659 = addmethod2pos(block6658, "_apply(1)", &meth_ast__apply_40_1_41_6659, 0);
  int argcv_meth_ast__apply_40_1_41_6659[] = {1};
  meth_meth_ast__apply_40_1_41_6659->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6659);
  meth_meth_ast__apply_40_1_41_6659->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6659->definitionLine = 2984;
// compiled block node returning block6658 (depth = 4)
  gc_frame_newslot(block6658);
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6671 = alloc_Block(NULL, NULL, "ast", 1649);
  gc_frame_newslot(block6671);
// method "_apply"
  block_savedest(block6671);
  Object closure6672 = createclosure(2, "_apply");
  setclosureframe(closure6672, stackframe);
  addtoclosure(closure6672, var_s);
  addtoclosure(closure6672, selfslot);
  struct UserObject *uo6672 = (struct UserObject*)block6671;
  uo6672->data[0] = (Object)closure6672;
  Method *meth_meth_ast__apply6672 = addmethod2pos(block6671, "_apply", &meth_ast__apply6672, 0);
  int argcv_meth_ast__apply6672[] = {0};
  meth_meth_ast__apply6672->type = alloc_MethodType(1, argcv_meth_ast__apply6672);
  meth_meth_ast__apply6672->definitionModule = modulename;
  meth_meth_ast__apply6672->definitionLine = 2984;
// compiled block node returning block6671 (depth = 4)
  gc_frame_newslot(block6671);
// call case 6: other requests
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6679 = gc_frame_new();
// call case 4: self request
  Object call6680 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6679);
// compiled member node returning call6680 (depth = 4)
  params[0] = block6658;
  params[1] = block6671;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6681 = callmethodflags(call6680, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6657);
// compiled call node returning call6681 (depth = 3)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6683 == NULL) {
    strlit6683 = alloc_String(">");
    gc_root(strlit6683);
  }
// compiled string node returning strlit6683 (depth = 4)
  int op_slot_right_6682 = gc_frame_newslot(strlit6683);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6682 = gc_frame_newslot(*var_s);
  params[0] = strlit6683;
  partcv[0] = 1;
  Object opresult6685 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6685 (depth = 3)
  gc_frame_end(frame);
  return opresult6685;
}
Object meth_ast__apply_40_1_41_6695(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6697 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6698 = alloc_Float64(0);
// compiled num node returning num6698 (depth = 8)
  gc_frame_newslot(num6698);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = num6698;
  partcv[0] = 1;
  Object call6699 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6697);
// compiled call node returning call6699 (depth = 7)
  int op_slot_right_6696 = gc_frame_newslot(call6699);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6696 = gc_frame_newslot(*var_s);
  params[0] = call6699;
  partcv[0] = 1;
  Object opresult6701 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6701 (depth = 6)
  *var_s = opresult6701;
  if (opresult6701 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6705(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6707 == NULL) {
    strlit6707 = alloc_String(", ");
    gc_root(strlit6707);
  }
// compiled string node returning strlit6707 (depth = 7)
  int op_slot_right_6706 = gc_frame_newslot(strlit6707);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6706 = gc_frame_newslot(*var_s);
  params[0] = strlit6707;
  partcv[0] = 1;
  Object opresult6709 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6709 (depth = 6)
  *var_s = opresult6709;
  if (opresult6709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6686(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6688 == NULL) {
    strlit6688 = alloc_String("<");
    gc_root(strlit6688);
  }
// compiled string node returning strlit6688 (depth = 5)
  int op_slot_right_6687 = gc_frame_newslot(strlit6688);
// starting to compile member node (depth = 5)
  int callframe6690 = gc_frame_new();
// call case 4: self request
  Object call6691 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6690);
// compiled member node returning call6691 (depth = 5)
  int op_slot_left_6687 = gc_frame_newslot(call6691);
  params[0] = strlit6688;
  partcv[0] = 1;
  Object opresult6692 = callmethod(call6691, "++(1)", 1, partcv, params);
// compiled op node returning opresult6692 (depth = 4)
  *var_s = opresult6692;
  if (opresult6692 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6693 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6694 = alloc_Block(NULL, NULL, "ast", 1654);
  gc_frame_newslot(block6694);
// method "_apply(_)"
  block_savedest(block6694);
  Object closure6695 = createclosure(2, "_apply(1)");
  setclosureframe(closure6695, stackframe);
  addtoclosure(closure6695, var_s);
  addtoclosure(closure6695, selfslot);
  struct UserObject *uo6695 = (struct UserObject*)block6694;
  uo6695->data[0] = (Object)closure6695;
  Method *meth_meth_ast__apply_40_1_41_6695 = addmethod2pos(block6694, "_apply(1)", &meth_ast__apply_40_1_41_6695, 0);
  int argcv_meth_ast__apply_40_1_41_6695[] = {1};
  meth_meth_ast__apply_40_1_41_6695->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6695);
  meth_meth_ast__apply_40_1_41_6695->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6695->definitionLine = 2984;
// compiled block node returning block6694 (depth = 4)
  gc_frame_newslot(block6694);
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6704 = alloc_Block(NULL, NULL, "ast", 1655);
  gc_frame_newslot(block6704);
// method "_apply"
  block_savedest(block6704);
  Object closure6705 = createclosure(2, "_apply");
  setclosureframe(closure6705, stackframe);
  addtoclosure(closure6705, var_s);
  addtoclosure(closure6705, selfslot);
  struct UserObject *uo6705 = (struct UserObject*)block6704;
  uo6705->data[0] = (Object)closure6705;
  Method *meth_meth_ast__apply6705 = addmethod2pos(block6704, "_apply", &meth_ast__apply6705, 0);
  int argcv_meth_ast__apply6705[] = {0};
  meth_meth_ast__apply6705->type = alloc_MethodType(1, argcv_meth_ast__apply6705);
  meth_meth_ast__apply6705->definitionModule = modulename;
  meth_meth_ast__apply6705->definitionLine = 2984;
// compiled block node returning block6704 (depth = 4)
  gc_frame_newslot(block6704);
// call case 6: other requests
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6712 = gc_frame_new();
// call case 4: self request
  Object call6713 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6712);
// compiled member node returning call6713 (depth = 4)
  params[0] = block6694;
  params[1] = block6704;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6714 = callmethodflags(call6713, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6693);
// compiled call node returning call6714 (depth = 3)
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6716 == NULL) {
    strlit6716 = alloc_String(">");
    gc_root(strlit6716);
  }
// compiled string node returning strlit6716 (depth = 4)
  int op_slot_right_6715 = gc_frame_newslot(strlit6716);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6715 = gc_frame_newslot(*var_s);
  params[0] = strlit6716;
  partcv[0] = 1;
  Object opresult6718 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6718 (depth = 3)
  gc_frame_end(frame);
  return opresult6718;
}
Object meth_ast_shallowCopy6719(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6720 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6721 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6722 = gc_frame_new();
// call case 4: self request
  Object call6723 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6722);
// compiled member node returning call6723 (depth = 5)
  gc_frame_newslot(call6723);
// starting to compile member node (depth = 5)
  int callframe6724 = gc_frame_new();
// call case 4: self request
  Object call6725 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6724);
// compiled member node returning call6725 (depth = 5)
  gc_frame_newslot(call6725);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericNode (depth = 5)
  params[0] = call6723;
  params[1] = call6725;
  partcv[0] = 2;
  Object call6726 = callmethodflags(*var_genericNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6721);
// compiled call node returning call6726 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6727 = callmethodflags(call6726, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6720);
// compiled call node returning call6727 (depth = 3)
  gc_frame_end(frame);
  return call6727;
}
Object meth_ast_new_40_2_41_6578(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6579 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6579 = alloc_userobj2(12,11, objclass6579);
  gc_frame_newslot(obj6579);
if (objclass6579 == NULL) {
  glfree(obj6579->class->name);
  obj6579->class->name = "genericNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6579, self, 0);
  addmethodreal(obj6579,"outer", &reader_ast_outer_6580);
  Object oldself6579 = self;
  struct StackFrameObject *oldstackframe6579 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6579);
  gc_frame_newslot((Object)stackframe);
  self = obj6579;
  Object *oldselfslot6579 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6579 = (*(struct UserObject *)self).data[0], lowerouter6579 = thisouter6579;
  if (inheritingObject6579) {
    struct UserObject *inho6579 = (struct UserObject *)inheritingObject6579;
    while (inho6579->super != GraceDefaultObject) inho6579 = (struct UserObject *)inho6579->super;
    inho6579->super = obj6579;
    self = inheritingObject6579;
    *selfslot = self;
    lowerouter6579 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6579;
  }
if (objclass6579 == NULL) {
  Method *reader6581 = addmethodrealflags(obj6579, "kind",&reader_ast_kind_6581, MFLAG_DEF);
  reader6581->definitionModule = modulename;
  reader6581->definitionLine = 1623;
}
adddatum2(obj6579, alloc_Undefined(), 1);
if (objclass6579 == NULL) {
  Method *reader6582 = addmethodrealflags(obj6579, "value", &reader_ast_value_6582, 0);
  Method *writer6582 = addmethodrealflags(obj6579, "value:=(1)", &writer_ast_value_6582, 0);
  reader6582->definitionModule = modulename;
  writer6582->definitionModule = modulename;
  reader6582->definitionLine = 1624;
  writer6582->definitionLine = 1624;
}
obj6579->flags |= OFLAG_MUTABLE;
adddatum2(obj6579, alloc_Undefined(), 2);
if (objclass6579 == NULL) {
  Method *reader6583 = addmethodrealflags(obj6579, "args", &reader_ast_args_6583, 0);
  Method *writer6583 = addmethodrealflags(obj6579, "args:=(1)", &writer_ast_args_6583, 0);
  reader6583->definitionModule = modulename;
  writer6583->definitionModule = modulename;
  reader6583->definitionLine = 1627;
  writer6583->definitionLine = 1627;
}
obj6579->flags |= OFLAG_MUTABLE;
adddatum2(obj6579, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo6584 = (struct UserObject*)obj6579;
  uo6584->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6584 = addmethod2pos(obj6579, "nameString", &meth_ast_nameString6584, 4);
  int argcv_meth_ast_nameString6584[] = {0};
  meth_meth_ast_nameString6584->type = alloc_MethodType(1, argcv_meth_ast_nameString6584);
  meth_meth_ast_nameString6584->definitionModule = modulename;
  meth_meth_ast_nameString6584->definitionLine = 1628;
// method "asString"
  struct UserObject *uo6589 = (struct UserObject*)obj6579;
  uo6589->data[5] = emptyclosure;
  Method *meth_meth_ast_asString6589 = addmethod2pos(obj6579, "asString", &meth_ast_asString6589, 5);
  int argcv_meth_ast_asString6589[] = {0};
  meth_meth_ast_asString6589->type = alloc_MethodType(1, argcv_meth_ast_asString6589);
  meth_meth_ast_asString6589->definitionModule = modulename;
  meth_meth_ast_asString6589->definitionLine = 1629;
// method "accept(_)from(_)"
  struct UserObject *uo6593 = (struct UserObject*)obj6579;
  uo6593->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6593 = addmethod2pos(obj6579, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6593, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6593[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6593);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->definitionLine = 1630;
// method "map(_)ancestors(_)"
  struct UserObject *uo6612 = (struct UserObject*)obj6579;
  uo6612->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612 = addmethod2pos(obj6579, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6612, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6612[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6612);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->definitionLine = 1639;
// method "pretty(_)"
  struct UserObject *uo6635 = (struct UserObject*)obj6579;
  uo6635->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6635 = addmethod2pos(obj6579, "pretty(1)", &meth_ast_pretty_40_1_41_6635, 8);
  int argcv_meth_ast_pretty_40_1_41_6635[] = {1};
  meth_meth_ast_pretty_40_1_41_6635->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6635);
  meth_meth_ast_pretty_40_1_41_6635->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6635->definitionLine = 1646;
// method "toGrace(_)"
  struct UserObject *uo6686 = (struct UserObject*)obj6579;
  uo6686->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6686 = addmethod2pos(obj6579, "toGrace(1)", &meth_ast_toGrace_40_1_41_6686, 9);
  int argcv_meth_ast_toGrace_40_1_41_6686[] = {1};
  meth_meth_ast_toGrace_40_1_41_6686->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6686);
meth_meth_ast_toGrace_40_1_41_6686->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6686->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6686->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6686->definitionLine = 1652;
// method "shallowCopy"
  block_savedest(obj6579);
  Object closure6719 = createclosure(1, "shallowCopy");
  setclosureframe(closure6719, stackframe);
  addtoclosure(closure6719, var_genericNode);
  struct UserObject *uo6719 = (struct UserObject*)obj6579;
  uo6719->data[10] = (Object)closure6719;
  Method *meth_meth_ast_shallowCopy6719 = addmethod2pos(obj6579, "shallowCopy", &meth_ast_shallowCopy6719, 10);
  int argcv_meth_ast_shallowCopy6719[] = {0};
  meth_meth_ast_shallowCopy6719->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6719);
  meth_meth_ast_shallowCopy6719->definitionModule = modulename;
  meth_meth_ast_shallowCopy6719->definitionLine = 1658;
  sourceObject = obj6579;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6728 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6729 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6730 = gc_frame_new();
// call case 3: self.outer request
  Object call6731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6730);
// compiled member node returning call6731 (depth = 5)
  Object call6732 = callmethodflags(call6731, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6729);
// compiled member node returning call6732 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6733 = callmethodflags(call6732, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6728);
// compiled call node returning call6733 (depth = 3)
  struct UserObject *obj6579_uo = (struct UserObject *)obj6579;
  obj6579_uo->super = call6733;
  sourceObject = obj6579;
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6734 == NULL) {
    strlit6734 = alloc_String("generic");
    gc_root(strlit6734);
  }
// compiled string node returning strlit6734 (depth = 3)
  adddatum2(obj6579, strlit6734, 1);
  sourceObject = obj6579;
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj6579, *var_base, 2);
  sourceObject = obj6579;
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj6579, *var_arguments, 3);
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  objclass6579 = obj6579->class;
  objclass6579->definitionModule = modulename;
  objclass6579->definitionLine = 1620;
  (*(struct UserObject *)self).data[0] = lowerouter6579;
  self = oldself6579;
  selfslot = oldselfslot6579;
  stackframe = oldstackframe6579;
  gc_frame_end(frame);
  return obj6579;
}
Object meth_ast_new_40_2_41_6578_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6579 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6579 = alloc_userobj2(12,11, objclass6579);
  gc_frame_newslot(obj6579);
if (objclass6579 == NULL) {
  glfree(obj6579->class->name);
  obj6579->class->name = "genericNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6579, self, 0);
  addmethodreal(obj6579,"outer", &reader_ast_outer_6580);
  Object oldself6579 = self;
  struct StackFrameObject *oldstackframe6579 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6579);
  gc_frame_newslot((Object)stackframe);
  self = obj6579;
  Object *oldselfslot6579 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6579 = (*(struct UserObject *)self).data[0], lowerouter6579 = thisouter6579;
  if (inheritingObject6579) {
    struct UserObject *inho6579 = (struct UserObject *)inheritingObject6579;
    while (inho6579->super != GraceDefaultObject) inho6579 = (struct UserObject *)inho6579->super;
    inho6579->super = obj6579;
    self = inheritingObject6579;
    *selfslot = self;
    lowerouter6579 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6579;
  }
if (objclass6579 == NULL) {
  Method *reader6581 = addmethodrealflags(obj6579, "kind",&reader_ast_kind_6581, MFLAG_DEF);
  reader6581->definitionModule = modulename;
  reader6581->definitionLine = 1623;
}
adddatum2(obj6579, alloc_Undefined(), 1);
if (objclass6579 == NULL) {
  Method *reader6582 = addmethodrealflags(obj6579, "value", &reader_ast_value_6582, 0);
  Method *writer6582 = addmethodrealflags(obj6579, "value:=(1)", &writer_ast_value_6582, 0);
  reader6582->definitionModule = modulename;
  writer6582->definitionModule = modulename;
  reader6582->definitionLine = 1624;
  writer6582->definitionLine = 1624;
}
obj6579->flags |= OFLAG_MUTABLE;
adddatum2(obj6579, alloc_Undefined(), 2);
if (objclass6579 == NULL) {
  Method *reader6583 = addmethodrealflags(obj6579, "args", &reader_ast_args_6583, 0);
  Method *writer6583 = addmethodrealflags(obj6579, "args:=(1)", &writer_ast_args_6583, 0);
  reader6583->definitionModule = modulename;
  writer6583->definitionModule = modulename;
  reader6583->definitionLine = 1627;
  writer6583->definitionLine = 1627;
}
obj6579->flags |= OFLAG_MUTABLE;
adddatum2(obj6579, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo6584 = (struct UserObject*)obj6579;
  uo6584->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6584 = addmethod2pos(obj6579, "nameString", &meth_ast_nameString6584, 4);
  int argcv_meth_ast_nameString6584[] = {0};
  meth_meth_ast_nameString6584->type = alloc_MethodType(1, argcv_meth_ast_nameString6584);
  meth_meth_ast_nameString6584->definitionModule = modulename;
  meth_meth_ast_nameString6584->definitionLine = 1628;
// method "asString"
  struct UserObject *uo6589 = (struct UserObject*)obj6579;
  uo6589->data[5] = emptyclosure;
  Method *meth_meth_ast_asString6589 = addmethod2pos(obj6579, "asString", &meth_ast_asString6589, 5);
  int argcv_meth_ast_asString6589[] = {0};
  meth_meth_ast_asString6589->type = alloc_MethodType(1, argcv_meth_ast_asString6589);
  meth_meth_ast_asString6589->definitionModule = modulename;
  meth_meth_ast_asString6589->definitionLine = 1629;
// method "accept(_)from(_)"
  struct UserObject *uo6593 = (struct UserObject*)obj6579;
  uo6593->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6593 = addmethod2pos(obj6579, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6593, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6593[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6593);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6593->definitionLine = 1630;
// method "map(_)ancestors(_)"
  struct UserObject *uo6612 = (struct UserObject*)obj6579;
  uo6612->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612 = addmethod2pos(obj6579, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6612, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6612[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6612);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6612->definitionLine = 1639;
// method "pretty(_)"
  struct UserObject *uo6635 = (struct UserObject*)obj6579;
  uo6635->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6635 = addmethod2pos(obj6579, "pretty(1)", &meth_ast_pretty_40_1_41_6635, 8);
  int argcv_meth_ast_pretty_40_1_41_6635[] = {1};
  meth_meth_ast_pretty_40_1_41_6635->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6635);
  meth_meth_ast_pretty_40_1_41_6635->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6635->definitionLine = 1646;
// method "toGrace(_)"
  struct UserObject *uo6686 = (struct UserObject*)obj6579;
  uo6686->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6686 = addmethod2pos(obj6579, "toGrace(1)", &meth_ast_toGrace_40_1_41_6686, 9);
  int argcv_meth_ast_toGrace_40_1_41_6686[] = {1};
  meth_meth_ast_toGrace_40_1_41_6686->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6686);
meth_meth_ast_toGrace_40_1_41_6686->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6686->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6686->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6686->definitionLine = 1652;
// method "shallowCopy"
  block_savedest(obj6579);
  Object closure6719 = createclosure(1, "shallowCopy");
  setclosureframe(closure6719, stackframe);
  addtoclosure(closure6719, var_genericNode);
  struct UserObject *uo6719 = (struct UserObject*)obj6579;
  uo6719->data[10] = (Object)closure6719;
  Method *meth_meth_ast_shallowCopy6719 = addmethod2pos(obj6579, "shallowCopy", &meth_ast_shallowCopy6719, 10);
  int argcv_meth_ast_shallowCopy6719[] = {0};
  meth_meth_ast_shallowCopy6719->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6719);
  meth_meth_ast_shallowCopy6719->definitionModule = modulename;
  meth_meth_ast_shallowCopy6719->definitionLine = 1658;
  sourceObject = obj6579;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6728 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6729 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6730 = gc_frame_new();
// call case 3: self.outer request
  Object call6731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6730);
// compiled member node returning call6731 (depth = 5)
  Object call6732 = callmethodflags(call6731, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6729);
// compiled member node returning call6732 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6733 = callmethodflags(call6732, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6728);
// compiled call node returning call6733 (depth = 3)
  struct UserObject *obj6579_uo = (struct UserObject *)obj6579;
  obj6579_uo->super = call6733;
  sourceObject = obj6579;
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6734 == NULL) {
    strlit6734 = alloc_String("generic");
    gc_root(strlit6734);
  }
// compiled string node returning strlit6734 (depth = 3)
  adddatum2(obj6579, strlit6734, 1);
  sourceObject = obj6579;
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj6579, *var_base, 2);
  sourceObject = obj6579;
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj6579, *var_arguments, 3);
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  sourceObject = obj6579;
  objclass6579 = obj6579->class;
  objclass6579->definitionModule = modulename;
  objclass6579->definitionLine = 1620;
  (*(struct UserObject *)self).data[0] = lowerouter6579;
  self = oldself6579;
  selfslot = oldselfslot6579;
  stackframe = oldstackframe6579;
  gc_frame_end(frame);
  return obj6579;
}
Object meth_ast_genericNode6736(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "genericNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_genericNode (depth = 3)
  gc_frame_end(frame);
  return *var_genericNode;
}
Object meth_ast_asString6744(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6745 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num6746 = alloc_Float64(0);
// compiled num node returning num6746 (depth = 4)
  gc_frame_newslot(num6746);
// call case 4: self request
  params[0] = num6746;
  partcv[0] = 1;
  Object call6747 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6745);
// compiled call node returning call6747 (depth = 3)
  gc_frame_end(frame);
  return call6747;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_6748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6749 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call6750 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe6749);
// compiled member node returning call6750 (depth = 3)
  gc_frame_end(frame);
  return call6750;
}
Object meth_ast__apply_40_1_41_6759(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6760 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6761 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6760);
// compiled call node returning call6761 (depth = 6)
  gc_frame_end(frame);
  return call6761;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6751(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6753 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6754 = callmethodflags(*var_visitor, "visitTypeParameters(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6753);
// compiled call node returning call6754 (depth = 4)
  Object if6752 = done;
  if (istrue(call6754)) {
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6755 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6756 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6755);
// compiled call node returning call6756 (depth = 5)
  *var_newChain = call6756;
  if (call6756 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6757 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6758 = alloc_Block(NULL, NULL, "ast", 1675);
  gc_frame_newslot(block6758);
// method "_apply(_)"
  block_savedest(block6758);
  Object closure6759 = createclosure(3, "_apply(1)");
  setclosureframe(closure6759, stackframe);
  addtoclosure(closure6759, var_visitor);
  addtoclosure(closure6759, var_newChain);
  addtoclosure(closure6759, selfslot);
  struct UserObject *uo6759 = (struct UserObject*)block6758;
  uo6759->data[0] = (Object)closure6759;
  Method *meth_meth_ast__apply_40_1_41_6759 = addmethod2pos(block6758, "_apply(1)", &meth_ast__apply_40_1_41_6759, 0);
  int argcv_meth_ast__apply_40_1_41_6759[] = {1};
  meth_meth_ast__apply_40_1_41_6759->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6759);
  meth_meth_ast__apply_40_1_41_6759->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6759->definitionLine = 2984;
// compiled block node returning block6758 (depth = 5)
  gc_frame_newslot(block6758);
// call case 6: other requests
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6763 = gc_frame_new();
// call case 4: self request
  Object call6764 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6763);
// compiled member node returning call6764 (depth = 5)
  params[0] = block6758;
  partcv[0] = 1;
  Object call6765 = callmethodflags(call6764, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6757);
// compiled call node returning call6765 (depth = 4)
    gc_frame_newslot(call6765);
    if6752 = call6765;
  } else {
  }
// compiled if node returning if6752 (depth = 3)
  gc_frame_end(frame);
  return if6752;
}
Object meth_ast_do_40_1_41_6766(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6767 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  gc_frame_newslot(*var_blk);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6768 = gc_frame_new();
// call case 4: self request
  Object call6769 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6768);
// compiled member node returning call6769 (depth = 4)
  params[0] = *var_blk;
  partcv[0] = 1;
  Object call6770 = callmethodflags(call6769, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6767);
// compiled call node returning call6770 (depth = 3)
  gc_frame_end(frame);
  return call6770;
}
Object meth_ast_size6771(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6773 = gc_frame_new();
// call case 4: self request
  Object call6774 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6773);
// compiled member node returning call6774 (depth = 4)
  Object call6775 = callmethodflags(call6774, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6772);
// compiled member node returning call6775 (depth = 3)
  gc_frame_end(frame);
  return call6775;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6777 = gc_frame_new();
// call case 4: self request
  Object call6778 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6777);
// compiled member node returning call6778 (depth = 4)
  *var_n = call6778;
  if (call6778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6779 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6780 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6779);
// compiled call node returning call6780 (depth = 4)
  *var_newChain = call6780;
  if (call6780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6781 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6782 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6783 = gc_frame_new();
// call case 4: self request
  Object call6784 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6783);
// compiled member node returning call6784 (depth = 5)
  gc_frame_newslot(call6784);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6785 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6786 = gc_frame_new();
// call case 3: self.outer request
  Object call6787 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6786);
// compiled member node returning call6787 (depth = 6)
  Object call6788 = callmethodflags(call6787, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6785);
// compiled member node returning call6788 (depth = 5)
  params[0] = call6784;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6789 = callmethodflags(call6788, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6782);
// compiled call node returning call6789 (depth = 4)
  gc_frame_newslot(call6789);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6789;
  partcv[0] = 1;
  Object call6790 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6781);
// compiled call node returning call6790 (depth = 3)
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6791 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6792 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6791);
// compiled call node returning call6792 (depth = 3)
  gc_frame_end(frame);
  return call6792;
}
Object meth_ast__apply_40_1_41_6801(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6803 == NULL) {
    strlit6803 = alloc_String("  ");
    gc_root(strlit6803);
  }
// compiled string node returning strlit6803 (depth = 7)
  int op_slot_right_6802 = gc_frame_newslot(strlit6803);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6802 = gc_frame_newslot(*var_spc);
  params[0] = strlit6803;
  partcv[0] = 1;
  Object opresult6805 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6805 (depth = 6)
  *var_spc = opresult6805;
  if (opresult6805 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6820(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6822 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6824 = alloc_Float64(2);
// compiled num node returning num6824 (depth = 9)
  int op_slot_right_6823 = gc_frame_newslot(num6824);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6823 = gc_frame_newslot(*var_depth);
  params[0] = num6824;
  partcv[0] = 1;
  Object sum6826 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6826 (depth = 8)
  gc_frame_newslot(sum6826);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum6826;
  partcv[0] = 1;
  Object call6827 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6822);
// compiled call node returning call6827 (depth = 7)
  int op_slot_right_6821 = gc_frame_newslot(call6827);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6821 = gc_frame_newslot(*var_s);
  params[0] = call6827;
  partcv[0] = 1;
  Object opresult6829 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6829 (depth = 6)
  *var_s = opresult6829;
  if (opresult6829 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6833(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6835 == NULL) {
    strlit6835 = alloc_String(", ");
    gc_root(strlit6835);
  }
// compiled string node returning strlit6835 (depth = 7)
  int op_slot_right_6834 = gc_frame_newslot(strlit6835);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6834 = gc_frame_newslot(*var_s);
  params[0] = strlit6835;
  partcv[0] = 1;
  Object opresult6837 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6837 (depth = 6)
  *var_s = opresult6837;
  if (opresult6837 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6793(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6794 == NULL) {
    strlit6794 = alloc_String("");
    gc_root(strlit6794);
  }
// compiled string node returning strlit6794 (depth = 4)
  *var_spc = strlit6794;
  if (strlit6794 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6795 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6796 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6798 = alloc_Float64(0);
// compiled num node returning num6798 (depth = 5)
  int op_slot_left_6796 = gc_frame_newslot(num6798);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6799 = callmethod(num6798, "..(1)", 1, partcv, params);
// compiled op node returning opresult6799 (depth = 4)
  gc_frame_newslot(opresult6799);
// starting to compile block node (depth = 4)
  Object block6800 = alloc_Block(NULL, NULL, "ast", 1692);
  gc_frame_newslot(block6800);
// method "_apply(_)"
  block_savedest(block6800);
  Object closure6801 = createclosure(2, "_apply(1)");
  setclosureframe(closure6801, stackframe);
  addtoclosure(closure6801, var_spc);
  addtoclosure(closure6801, selfslot);
  struct UserObject *uo6801 = (struct UserObject*)block6800;
  uo6801->data[0] = (Object)closure6801;
  Method *meth_meth_ast__apply_40_1_41_6801 = addmethod2pos(block6800, "_apply(1)", &meth_ast__apply_40_1_41_6801, 0);
  int argcv_meth_ast__apply_40_1_41_6801[] = {1};
  meth_meth_ast__apply_40_1_41_6801->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6801);
  meth_meth_ast__apply_40_1_41_6801->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6801->definitionLine = 2984;
// compiled block node returning block6800 (depth = 4)
  gc_frame_newslot(block6800);
// call case 5: prelude request
  params[0] = opresult6799;
  params[1] = block6800;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6808 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6795);
// compiled call node returning call6808 (depth = 3)
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6810 == NULL) {
    strlit6810 = alloc_String("<");
    gc_root(strlit6810);
  }
// compiled string node returning strlit6810 (depth = 5)
  int op_slot_right_6809 = gc_frame_newslot(strlit6810);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6813 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6814 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6813);
// compiled call node returning call6814 (depth = 6)
  int op_slot_right_6812 = gc_frame_newslot(call6814);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_6812 = gc_frame_newslot(*var_spc);
  params[0] = call6814;
  partcv[0] = 1;
  Object opresult6816 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6816 (depth = 5)
  int op_slot_left_6809 = gc_frame_newslot(opresult6816);
  params[0] = strlit6810;
  partcv[0] = 1;
  Object opresult6817 = callmethod(opresult6816, "++(1)", 1, partcv, params);
// compiled op node returning opresult6817 (depth = 4)
  *var_s = opresult6817;
  if (opresult6817 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6818 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6819 = alloc_Block(NULL, NULL, "ast", 1696);
  gc_frame_newslot(block6819);
// method "_apply(_)"
  block_savedest(block6819);
  Object closure6820 = createclosure(3, "_apply(1)");
  setclosureframe(closure6820, stackframe);
  addtoclosure(closure6820, var_depth);
  addtoclosure(closure6820, var_s);
  addtoclosure(closure6820, selfslot);
  struct UserObject *uo6820 = (struct UserObject*)block6819;
  uo6820->data[0] = (Object)closure6820;
  Method *meth_meth_ast__apply_40_1_41_6820 = addmethod2pos(block6819, "_apply(1)", &meth_ast__apply_40_1_41_6820, 0);
  int argcv_meth_ast__apply_40_1_41_6820[] = {1};
  meth_meth_ast__apply_40_1_41_6820->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6820);
  meth_meth_ast__apply_40_1_41_6820->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6820->definitionLine = 2984;
// compiled block node returning block6819 (depth = 4)
  gc_frame_newslot(block6819);
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6832 = alloc_Block(NULL, NULL, "ast", 1697);
  gc_frame_newslot(block6832);
// method "_apply"
  block_savedest(block6832);
  Object closure6833 = createclosure(2, "_apply");
  setclosureframe(closure6833, stackframe);
  addtoclosure(closure6833, var_s);
  addtoclosure(closure6833, selfslot);
  struct UserObject *uo6833 = (struct UserObject*)block6832;
  uo6833->data[0] = (Object)closure6833;
  Method *meth_meth_ast__apply6833 = addmethod2pos(block6832, "_apply", &meth_ast__apply6833, 0);
  int argcv_meth_ast__apply6833[] = {0};
  meth_meth_ast__apply6833->type = alloc_MethodType(1, argcv_meth_ast__apply6833);
  meth_meth_ast__apply6833->definitionModule = modulename;
  meth_meth_ast__apply6833->definitionLine = 2984;
// compiled block node returning block6832 (depth = 4)
  gc_frame_newslot(block6832);
// call case 6: other requests
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6840 = gc_frame_new();
// call case 4: self request
  Object call6841 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6840);
// compiled member node returning call6841 (depth = 4)
  params[0] = block6819;
  params[1] = block6832;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6842 = callmethodflags(call6841, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6818);
// compiled call node returning call6842 (depth = 3)
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6844 == NULL) {
    strlit6844 = alloc_String(">");
    gc_root(strlit6844);
  }
// compiled string node returning strlit6844 (depth = 4)
  int op_slot_right_6843 = gc_frame_newslot(strlit6844);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6843 = gc_frame_newslot(*var_s);
  params[0] = strlit6844;
  partcv[0] = 1;
  Object opresult6846 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6846 (depth = 3)
  gc_frame_end(frame);
  return opresult6846;
}
Object meth_ast__apply_40_1_41_6851(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6853 == NULL) {
    strlit6853 = alloc_String("");
    gc_root(strlit6853);
  }
// compiled string node returning strlit6853 (depth = 7)
  int op_slot_right_6852 = gc_frame_newslot(strlit6853);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6856 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6857 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6856);
// compiled call node returning call6857 (depth = 8)
  int op_slot_right_6855 = gc_frame_newslot(call6857);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6860 == NULL) {
    strlit6860 = alloc_String("");
    gc_root(strlit6860);
  }
// compiled string node returning strlit6860 (depth = 9)
  int op_slot_right_6859 = gc_frame_newslot(strlit6860);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_6862 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit6864 == NULL) {
    strlit6864 = alloc_String("");
    gc_root(strlit6864);
  }
// compiled string node returning strlit6864 (depth = 10)
  int op_slot_left_6862 = gc_frame_newslot(strlit6864);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult6865 = callmethod(strlit6864, "++(1)", 1, partcv, params);
// compiled op node returning opresult6865 (depth = 9)
  int op_slot_left_6859 = gc_frame_newslot(opresult6865);
  params[0] = strlit6860;
  partcv[0] = 1;
  Object opresult6866 = callmethod(opresult6865, "++(1)", 1, partcv, params);
// compiled op node returning opresult6866 (depth = 8)
  int op_slot_left_6855 = gc_frame_newslot(opresult6866);
  params[0] = call6857;
  partcv[0] = 1;
  Object opresult6867 = callmethod(opresult6866, "++(1)", 1, partcv, params);
// compiled op node returning opresult6867 (depth = 7)
  int op_slot_left_6852 = gc_frame_newslot(opresult6867);
  params[0] = strlit6853;
  partcv[0] = 1;
  Object opresult6868 = callmethod(opresult6867, "++(1)", 1, partcv, params);
// compiled op node returning opresult6868 (depth = 6)
  *var_s = opresult6868;
  if (opresult6868 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6872(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6874 == NULL) {
    strlit6874 = alloc_String(", ");
    gc_root(strlit6874);
  }
// compiled string node returning strlit6874 (depth = 7)
  int op_slot_right_6873 = gc_frame_newslot(strlit6874);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6873 = gc_frame_newslot(*var_s);
  params[0] = strlit6874;
  partcv[0] = 1;
  Object opresult6876 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6876 (depth = 6)
  *var_s = opresult6876;
  if (opresult6876 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6847(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6848 == NULL) {
    strlit6848 = alloc_String("<");
    gc_root(strlit6848);
  }
// compiled string node returning strlit6848 (depth = 4)
  *var_s = strlit6848;
  if (strlit6848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6849 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6850 = alloc_Block(NULL, NULL, "ast", 1702);
  gc_frame_newslot(block6850);
// method "_apply(_)"
  block_savedest(block6850);
  Object closure6851 = createclosure(3, "_apply(1)");
  setclosureframe(closure6851, stackframe);
  addtoclosure(closure6851, var_depth);
  addtoclosure(closure6851, var_s);
  addtoclosure(closure6851, selfslot);
  struct UserObject *uo6851 = (struct UserObject*)block6850;
  uo6851->data[0] = (Object)closure6851;
  Method *meth_meth_ast__apply_40_1_41_6851 = addmethod2pos(block6850, "_apply(1)", &meth_ast__apply_40_1_41_6851, 0);
  int argcv_meth_ast__apply_40_1_41_6851[] = {1};
  meth_meth_ast__apply_40_1_41_6851->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6851);
  meth_meth_ast__apply_40_1_41_6851->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6851->definitionLine = 2984;
// compiled block node returning block6850 (depth = 4)
  gc_frame_newslot(block6850);
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6871 = alloc_Block(NULL, NULL, "ast", 1703);
  gc_frame_newslot(block6871);
// method "_apply"
  block_savedest(block6871);
  Object closure6872 = createclosure(2, "_apply");
  setclosureframe(closure6872, stackframe);
  addtoclosure(closure6872, var_s);
  addtoclosure(closure6872, selfslot);
  struct UserObject *uo6872 = (struct UserObject*)block6871;
  uo6872->data[0] = (Object)closure6872;
  Method *meth_meth_ast__apply6872 = addmethod2pos(block6871, "_apply", &meth_ast__apply6872, 0);
  int argcv_meth_ast__apply6872[] = {0};
  meth_meth_ast__apply6872->type = alloc_MethodType(1, argcv_meth_ast__apply6872);
  meth_meth_ast__apply6872->definitionModule = modulename;
  meth_meth_ast__apply6872->definitionLine = 2984;
// compiled block node returning block6871 (depth = 4)
  gc_frame_newslot(block6871);
// call case 6: other requests
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6879 = gc_frame_new();
// call case 4: self request
  Object call6880 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6879);
// compiled member node returning call6880 (depth = 4)
  params[0] = block6850;
  params[1] = block6871;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6881 = callmethodflags(call6880, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6849);
// compiled call node returning call6881 (depth = 3)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6883 == NULL) {
    strlit6883 = alloc_String(">");
    gc_root(strlit6883);
  }
// compiled string node returning strlit6883 (depth = 4)
  int op_slot_right_6882 = gc_frame_newslot(strlit6883);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6882 = gc_frame_newslot(*var_s);
  params[0] = strlit6883;
  partcv[0] = 1;
  Object opresult6885 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6885 (depth = 3)
  gc_frame_end(frame);
  return opresult6885;
}
Object meth_ast_shallowCopy6886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeParametersNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6887 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6888 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeParametersNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6889 = callmethodflags(*var_typeParametersNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6888);
// compiled call node returning call6889 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6890 = callmethodflags(call6889, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6887);
// compiled call node returning call6890 (depth = 3)
  gc_frame_end(frame);
  return call6890;
}
Object meth_ast_new_40_1_41_6739(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6740 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6740 = alloc_userobj2(12,12, objclass6740);
  gc_frame_newslot(obj6740);
if (objclass6740 == NULL) {
  glfree(obj6740->class->name);
  obj6740->class->name = "typeParametersNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6740, self, 0);
  addmethodreal(obj6740,"outer", &reader_ast_outer_6741);
  Object oldself6740 = self;
  struct StackFrameObject *oldstackframe6740 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6740);
  gc_frame_newslot((Object)stackframe);
  self = obj6740;
  Object *oldselfslot6740 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6740 = (*(struct UserObject *)self).data[0], lowerouter6740 = thisouter6740;
  if (inheritingObject6740) {
    struct UserObject *inho6740 = (struct UserObject *)inheritingObject6740;
    while (inho6740->super != GraceDefaultObject) inho6740 = (struct UserObject *)inho6740->super;
    inho6740->super = obj6740;
    self = inheritingObject6740;
    *selfslot = self;
    lowerouter6740 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6740;
  }
if (objclass6740 == NULL) {
  Method *reader6742 = addmethodrealflags(obj6740, "kind",&reader_ast_kind_6742, MFLAG_DEF);
  reader6742->definitionModule = modulename;
  reader6742->definitionLine = 1667;
}
adddatum2(obj6740, alloc_Undefined(), 1);
if (objclass6740 == NULL) {
  Method *reader6743 = addmethodrealflags(obj6740, "params", &reader_ast_params_6743, 0);
  Method *writer6743 = addmethodrealflags(obj6740, "params:=(1)", &writer_ast_params_6743, 0);
  reader6743->definitionModule = modulename;
  writer6743->definitionModule = modulename;
  reader6743->definitionLine = 1668;
  writer6743->definitionLine = 1668;
}
obj6740->flags |= OFLAG_MUTABLE;
adddatum2(obj6740, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo6744 = (struct UserObject*)obj6740;
  uo6744->data[3] = emptyclosure;
  Method *meth_meth_ast_asString6744 = addmethod2pos(obj6740, "asString", &meth_ast_asString6744, 3);
  int argcv_meth_ast_asString6744[] = {0};
  meth_meth_ast_asString6744->type = alloc_MethodType(1, argcv_meth_ast_asString6744);
  meth_meth_ast_asString6744->definitionModule = modulename;
  meth_meth_ast_asString6744->definitionLine = 1669;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj6740);
  Object closure6748 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure6748, stackframe);
  addtoclosure(closure6748, var_k);
  struct UserObject *uo6748 = (struct UserObject*)obj6740;
  uo6748->data[4] = (Object)closure6748;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6748 = addmethod2pos(obj6740, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6748, 4);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6748[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6748);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->definitionLine = 1670;
// method "accept(_)from(_)"
  struct UserObject *uo6751 = (struct UserObject*)obj6740;
  uo6751->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6751 = addmethod2pos(obj6740, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6751, 5);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6751[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6751);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->definitionLine = 1672;
// method "do(_)"
  struct UserObject *uo6766 = (struct UserObject*)obj6740;
  uo6766->data[6] = emptyclosure;
  Method *meth_meth_ast_do_40_1_41_6766 = addmethod2pos(obj6740, "do(1)", &meth_ast_do_40_1_41_6766, 6);
  int argcv_meth_ast_do_40_1_41_6766[] = {1};
  meth_meth_ast_do_40_1_41_6766->type = alloc_MethodType(1, argcv_meth_ast_do_40_1_41_6766);
  meth_meth_ast_do_40_1_41_6766->definitionModule = modulename;
  meth_meth_ast_do_40_1_41_6766->definitionLine = 1680;
// method "size"
  struct UserObject *uo6771 = (struct UserObject*)obj6740;
  uo6771->data[7] = emptyclosure;
  Method *meth_meth_ast_size6771 = addmethod2pos(obj6740, "size", &meth_ast_size6771, 7);
  int argcv_meth_ast_size6771[] = {0};
  meth_meth_ast_size6771->type = alloc_MethodType(1, argcv_meth_ast_size6771);
  meth_meth_ast_size6771->definitionModule = modulename;
  meth_meth_ast_size6771->definitionLine = 1683;
// method "map(_)ancestors(_)"
  struct UserObject *uo6776 = (struct UserObject*)obj6740;
  uo6776->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776 = addmethod2pos(obj6740, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6776, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6776[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6776);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->definitionLine = 1684;
// method "pretty(_)"
  struct UserObject *uo6793 = (struct UserObject*)obj6740;
  uo6793->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6793 = addmethod2pos(obj6740, "pretty(1)", &meth_ast_pretty_40_1_41_6793, 9);
  int argcv_meth_ast_pretty_40_1_41_6793[] = {1};
  meth_meth_ast_pretty_40_1_41_6793->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6793);
  meth_meth_ast_pretty_40_1_41_6793->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6793->definitionLine = 1690;
// method "toGrace(_)"
  struct UserObject *uo6847 = (struct UserObject*)obj6740;
  uo6847->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6847 = addmethod2pos(obj6740, "toGrace(1)", &meth_ast_toGrace_40_1_41_6847, 10);
  int argcv_meth_ast_toGrace_40_1_41_6847[] = {1};
  meth_meth_ast_toGrace_40_1_41_6847->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6847);
meth_meth_ast_toGrace_40_1_41_6847->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6847->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6847->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6847->definitionLine = 1700;
// method "shallowCopy"
  block_savedest(obj6740);
  Object closure6886 = createclosure(2, "shallowCopy");
  setclosureframe(closure6886, stackframe);
  addtoclosure(closure6886, var_emptySeq);
  addtoclosure(closure6886, var_typeParametersNode);
  struct UserObject *uo6886 = (struct UserObject*)obj6740;
  uo6886->data[11] = (Object)closure6886;
  Method *meth_meth_ast_shallowCopy6886 = addmethod2pos(obj6740, "shallowCopy", &meth_ast_shallowCopy6886, 11);
  int argcv_meth_ast_shallowCopy6886[] = {0};
  meth_meth_ast_shallowCopy6886->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6886);
  meth_meth_ast_shallowCopy6886->definitionModule = modulename;
  meth_meth_ast_shallowCopy6886->definitionLine = 1706;
  sourceObject = obj6740;
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6891 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6892 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6893 = gc_frame_new();
// call case 3: self.outer request
  Object call6894 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6893);
// compiled member node returning call6894 (depth = 5)
  Object call6895 = callmethodflags(call6894, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6892);
// compiled member node returning call6895 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6896 = callmethodflags(call6895, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6891);
// compiled call node returning call6896 (depth = 3)
  struct UserObject *obj6740_uo = (struct UserObject *)obj6740;
  obj6740_uo->super = call6896;
  sourceObject = obj6740;
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6897 == NULL) {
    strlit6897 = alloc_String("typeparams");
    gc_root(strlit6897);
  }
// compiled string node returning strlit6897 (depth = 3)
  adddatum2(obj6740, strlit6897, 1);
  sourceObject = obj6740;
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj6740, *var_params_39_, 2);
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  objclass6740 = obj6740->class;
  objclass6740->definitionModule = modulename;
  objclass6740->definitionLine = 1665;
  (*(struct UserObject *)self).data[0] = lowerouter6740;
  self = oldself6740;
  selfslot = oldselfslot6740;
  stackframe = oldstackframe6740;
  gc_frame_end(frame);
  return obj6740;
}
Object meth_ast_new_40_1_41_6739_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6740 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6740 = alloc_userobj2(12,12, objclass6740);
  gc_frame_newslot(obj6740);
if (objclass6740 == NULL) {
  glfree(obj6740->class->name);
  obj6740->class->name = "typeParametersNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6740, self, 0);
  addmethodreal(obj6740,"outer", &reader_ast_outer_6741);
  Object oldself6740 = self;
  struct StackFrameObject *oldstackframe6740 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6740);
  gc_frame_newslot((Object)stackframe);
  self = obj6740;
  Object *oldselfslot6740 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6740 = (*(struct UserObject *)self).data[0], lowerouter6740 = thisouter6740;
  if (inheritingObject6740) {
    struct UserObject *inho6740 = (struct UserObject *)inheritingObject6740;
    while (inho6740->super != GraceDefaultObject) inho6740 = (struct UserObject *)inho6740->super;
    inho6740->super = obj6740;
    self = inheritingObject6740;
    *selfslot = self;
    lowerouter6740 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6740;
  }
if (objclass6740 == NULL) {
  Method *reader6742 = addmethodrealflags(obj6740, "kind",&reader_ast_kind_6742, MFLAG_DEF);
  reader6742->definitionModule = modulename;
  reader6742->definitionLine = 1667;
}
adddatum2(obj6740, alloc_Undefined(), 1);
if (objclass6740 == NULL) {
  Method *reader6743 = addmethodrealflags(obj6740, "params", &reader_ast_params_6743, 0);
  Method *writer6743 = addmethodrealflags(obj6740, "params:=(1)", &writer_ast_params_6743, 0);
  reader6743->definitionModule = modulename;
  writer6743->definitionModule = modulename;
  reader6743->definitionLine = 1668;
  writer6743->definitionLine = 1668;
}
obj6740->flags |= OFLAG_MUTABLE;
adddatum2(obj6740, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo6744 = (struct UserObject*)obj6740;
  uo6744->data[3] = emptyclosure;
  Method *meth_meth_ast_asString6744 = addmethod2pos(obj6740, "asString", &meth_ast_asString6744, 3);
  int argcv_meth_ast_asString6744[] = {0};
  meth_meth_ast_asString6744->type = alloc_MethodType(1, argcv_meth_ast_asString6744);
  meth_meth_ast_asString6744->definitionModule = modulename;
  meth_meth_ast_asString6744->definitionLine = 1669;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj6740);
  Object closure6748 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure6748, stackframe);
  addtoclosure(closure6748, var_k);
  struct UserObject *uo6748 = (struct UserObject*)obj6740;
  uo6748->data[4] = (Object)closure6748;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6748 = addmethod2pos(obj6740, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6748, 4);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6748[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6748);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6748->definitionLine = 1670;
// method "accept(_)from(_)"
  struct UserObject *uo6751 = (struct UserObject*)obj6740;
  uo6751->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6751 = addmethod2pos(obj6740, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6751, 5);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6751[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6751);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6751->definitionLine = 1672;
// method "do(_)"
  struct UserObject *uo6766 = (struct UserObject*)obj6740;
  uo6766->data[6] = emptyclosure;
  Method *meth_meth_ast_do_40_1_41_6766 = addmethod2pos(obj6740, "do(1)", &meth_ast_do_40_1_41_6766, 6);
  int argcv_meth_ast_do_40_1_41_6766[] = {1};
  meth_meth_ast_do_40_1_41_6766->type = alloc_MethodType(1, argcv_meth_ast_do_40_1_41_6766);
  meth_meth_ast_do_40_1_41_6766->definitionModule = modulename;
  meth_meth_ast_do_40_1_41_6766->definitionLine = 1680;
// method "size"
  struct UserObject *uo6771 = (struct UserObject*)obj6740;
  uo6771->data[7] = emptyclosure;
  Method *meth_meth_ast_size6771 = addmethod2pos(obj6740, "size", &meth_ast_size6771, 7);
  int argcv_meth_ast_size6771[] = {0};
  meth_meth_ast_size6771->type = alloc_MethodType(1, argcv_meth_ast_size6771);
  meth_meth_ast_size6771->definitionModule = modulename;
  meth_meth_ast_size6771->definitionLine = 1683;
// method "map(_)ancestors(_)"
  struct UserObject *uo6776 = (struct UserObject*)obj6740;
  uo6776->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776 = addmethod2pos(obj6740, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6776, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6776[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6776);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6776->definitionLine = 1684;
// method "pretty(_)"
  struct UserObject *uo6793 = (struct UserObject*)obj6740;
  uo6793->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6793 = addmethod2pos(obj6740, "pretty(1)", &meth_ast_pretty_40_1_41_6793, 9);
  int argcv_meth_ast_pretty_40_1_41_6793[] = {1};
  meth_meth_ast_pretty_40_1_41_6793->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6793);
  meth_meth_ast_pretty_40_1_41_6793->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6793->definitionLine = 1690;
// method "toGrace(_)"
  struct UserObject *uo6847 = (struct UserObject*)obj6740;
  uo6847->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6847 = addmethod2pos(obj6740, "toGrace(1)", &meth_ast_toGrace_40_1_41_6847, 10);
  int argcv_meth_ast_toGrace_40_1_41_6847[] = {1};
  meth_meth_ast_toGrace_40_1_41_6847->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6847);
meth_meth_ast_toGrace_40_1_41_6847->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6847->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6847->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6847->definitionLine = 1700;
// method "shallowCopy"
  block_savedest(obj6740);
  Object closure6886 = createclosure(2, "shallowCopy");
  setclosureframe(closure6886, stackframe);
  addtoclosure(closure6886, var_emptySeq);
  addtoclosure(closure6886, var_typeParametersNode);
  struct UserObject *uo6886 = (struct UserObject*)obj6740;
  uo6886->data[11] = (Object)closure6886;
  Method *meth_meth_ast_shallowCopy6886 = addmethod2pos(obj6740, "shallowCopy", &meth_ast_shallowCopy6886, 11);
  int argcv_meth_ast_shallowCopy6886[] = {0};
  meth_meth_ast_shallowCopy6886->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6886);
  meth_meth_ast_shallowCopy6886->definitionModule = modulename;
  meth_meth_ast_shallowCopy6886->definitionLine = 1706;
  sourceObject = obj6740;
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6891 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6892 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6893 = gc_frame_new();
// call case 3: self.outer request
  Object call6894 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6893);
// compiled member node returning call6894 (depth = 5)
  Object call6895 = callmethodflags(call6894, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6892);
// compiled member node returning call6895 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6896 = callmethodflags(call6895, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6891);
// compiled call node returning call6896 (depth = 3)
  struct UserObject *obj6740_uo = (struct UserObject *)obj6740;
  obj6740_uo->super = call6896;
  sourceObject = obj6740;
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6897 == NULL) {
    strlit6897 = alloc_String("typeparams");
    gc_root(strlit6897);
  }
// compiled string node returning strlit6897 (depth = 3)
  adddatum2(obj6740, strlit6897, 1);
  sourceObject = obj6740;
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj6740, *var_params_39_, 2);
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  sourceObject = obj6740;
  objclass6740 = obj6740->class;
  objclass6740->definitionModule = modulename;
  objclass6740->definitionLine = 1665;
  (*(struct UserObject *)self).data[0] = lowerouter6740;
  self = oldself6740;
  selfslot = oldselfslot6740;
  stackframe = oldstackframe6740;
  gc_frame_end(frame);
  return obj6740;
}
Object meth_ast_typeParametersNode6899(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeParametersNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeParametersNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeParametersNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeParametersNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_6902(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[1]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6903 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_dtype;
  partcv[0] = 2;
  Object call6904 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6903);
// compiled call node returning call6904 (depth = 4)
  *var_result = call6904;
  if (call6904 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6905 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call6906 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6905);
// compiled call node returning call6906 (depth = 3)
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_nameString6919(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6920 = gc_frame_new();
// call case 4: self request
  Object call6921 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6920);
// compiled member node returning call6921 (depth = 3)
  gc_frame_end(frame);
  return call6921;
}
Object meth_ast_quoted6923(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "quoted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6924 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6925 = gc_frame_new();
// call case 4: self request
  Object call6926 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6925);
// compiled member node returning call6926 (depth = 4)
  Object call6927 = callmethodflags(call6926, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe6924);
// compiled member node returning call6927 (depth = 3)
  gc_frame_end(frame);
  return call6927;
}
Object meth_ast_isIdentifier6928(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6929 = alloc_Boolean(1);
// compiled identifier node returning bool6929 (depth = 3)
  gc_frame_end(frame);
  return bool6929;
}
Object meth_ast_isSelf6930(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6932 = gc_frame_new();
// call case 4: self request
  Object call6933 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6932);
// compiled member node returning call6933 (depth = 4)
  int op_slot_right_6931 = gc_frame_newslot(call6933);
// starting to compile string node (depth = 4)
  if (strlit6935 == NULL) {
    strlit6935 = alloc_String("self");
    gc_root(strlit6935);
  }
// compiled string node returning strlit6935 (depth = 4)
  int op_slot_left_6931 = gc_frame_newslot(strlit6935);
  params[0] = call6933;
  partcv[0] = 1;
  Object opresult6936 = callmethod(strlit6935, "==(1)", 1, partcv, params);
// compiled op node returning opresult6936 (depth = 3)
  gc_frame_end(frame);
  return opresult6936;
}
Object meth_ast_isSuper6937(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6939 = gc_frame_new();
// call case 4: self request
  Object call6940 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6939);
// compiled member node returning call6940 (depth = 4)
  int op_slot_right_6938 = gc_frame_newslot(call6940);
// starting to compile string node (depth = 4)
  if (strlit6942 == NULL) {
    strlit6942 = alloc_String("super");
    gc_root(strlit6942);
  }
// compiled string node returning strlit6942 (depth = 4)
  int op_slot_left_6938 = gc_frame_newslot(strlit6942);
  params[0] = call6940;
  partcv[0] = 1;
  Object opresult6943 = callmethod(strlit6942, "==(1)", 1, partcv, params);
// compiled op node returning opresult6943 (depth = 3)
  gc_frame_end(frame);
  return opresult6943;
}
Object meth_ast_isPrelude6944(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6946 = gc_frame_new();
// call case 4: self request
  Object call6947 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6946);
// compiled member node returning call6947 (depth = 4)
  int op_slot_right_6945 = gc_frame_newslot(call6947);
// starting to compile string node (depth = 4)
  if (strlit6949 == NULL) {
    strlit6949 = alloc_String("prelude");
    gc_root(strlit6949);
  }
// compiled string node returning strlit6949 (depth = 4)
  int op_slot_left_6945 = gc_frame_newslot(strlit6949);
  params[0] = call6947;
  partcv[0] = 1;
  Object opresult6950 = callmethod(strlit6949, "==(1)", 1, partcv, params);
// compiled op node returning opresult6950 (depth = 3)
  gc_frame_end(frame);
  return opresult6950;
}
Object meth_ast_isOuter6951(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6953 = gc_frame_new();
// call case 4: self request
  Object call6954 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6953);
// compiled member node returning call6954 (depth = 4)
  int op_slot_right_6952 = gc_frame_newslot(call6954);
// starting to compile string node (depth = 4)
  if (strlit6956 == NULL) {
    strlit6956 = alloc_String("outer");
    gc_root(strlit6956);
  }
// compiled string node returning strlit6956 (depth = 4)
  int op_slot_left_6952 = gc_frame_newslot(strlit6956);
  params[0] = call6954;
  partcv[0] = 1;
  Object opresult6957 = callmethod(strlit6956, "==(1)", 1, partcv, params);
// compiled op node returning opresult6957 (depth = 3)
  gc_frame_end(frame);
  return opresult6957;
}
Object meth_ast_isSelfOrOuter6958(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelfOrOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6960 = gc_frame_new();
// call case 4: self request
  Object call6961 = callmethodflags(self, "isSelf", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6960);
// compiled member node returning call6961 (depth = 4)
  Object if6959 = done;
  if (istrue(call6961)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6962 = alloc_Boolean(1);
// compiled identifier node returning bool6962 (depth = 5)
  return bool6962;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if6959 = undefined;
  } else {
  }
// compiled if node returning if6959 (depth = 3)
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6964 = gc_frame_new();
// call case 4: self request
  Object call6965 = callmethodflags(self, "isOuter", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6964);
// compiled member node returning call6965 (depth = 4)
  Object if6963 = done;
  if (istrue(call6965)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6966 = alloc_Boolean(1);
// compiled identifier node returning bool6966 (depth = 5)
  return bool6966;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if6963 = undefined;
  } else {
  }
// compiled if node returning if6963 (depth = 3)
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool6967 = alloc_Boolean(0);
// compiled identifier node returning bool6967 (depth = 4)
  return bool6967;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_isAppliedOccurenceOfIdentifier6968(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6970 = gc_frame_new();
// call case 4: self request
  Object call6971 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6970);
// compiled member node returning call6971 (depth = 4)
  Object if6969 = done;
  if (istrue(call6971)) {
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6972 = alloc_Boolean(0);
// compiled identifier node returning bool6972 (depth = 4)
    gc_frame_newslot(bool6972);
    if6969 = bool6972;
  } else {
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6973 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6974 = gc_frame_new();
// call case 4: self request
  Object call6975 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6974);
// compiled member node returning call6975 (depth = 5)
  Object call6976 = callmethodflags(call6975, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6973);
// compiled member node returning call6976 (depth = 4)
    gc_frame_newslot(call6976);
    if6969 = call6976;
  }
// compiled if node returning if6969 (depth = 3)
  gc_frame_end(frame);
  return if6969;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_6977(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6978 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6979 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6980 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe6979);
// compiled member node returning call6980 (depth = 4)
  params[0] = *var_as;
  partcv[0] = 1;
  Object call6981 = callmethodflags(call6980, "declarationKindWithAncestors(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6978);
// compiled call node returning call6981 (depth = 3)
  gc_frame_end(frame);
  return call6981;
}
Object meth_ast_inTypePositionWithAncestors_40_1_41_6982(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTypePositionWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method inTypePositionWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for inTypePositionWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part inTypePositionWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6984 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6985 = callmethodflags(*var_as, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe6984);
// compiled member node returning call6985 (depth = 4)
  Object if6983 = done;
  if (istrue(call6985)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6986 = alloc_Boolean(0);
// compiled identifier node returning bool6986 (depth = 5)
  return bool6986;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if6983 = undefined;
  } else {
  }
// compiled if node returning if6983 (depth = 3)
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6987 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6988 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6989 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe6988);
// compiled member node returning call6989 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6990 = callmethodflags(call6989, "usesAsType(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6987);
// compiled call node returning call6990 (depth = 3)
  gc_frame_end(frame);
  return call6990;
}
Object meth_ast_usesAsType_40_1_41_6991(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6993 = gc_frame_new();
// call case 4: self request
  Object call6994 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6993);
// compiled member node returning call6994 (depth = 4)
  int op_slot_right_6992 = gc_frame_newslot(call6994);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_6992 = gc_frame_newslot(*var_aNode);
  params[0] = call6994;
  partcv[0] = 1;
  Object opresult6996 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult6996 (depth = 3)
  gc_frame_end(frame);
  return opresult6996;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6997(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6999 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7000 = callmethodflags(*var_visitor, "visitIdentifier(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6999);
// compiled call node returning call7000 (depth = 4)
  Object if6998 = done;
  if (istrue(call7000)) {
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7001 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7002 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7001);
// compiled call node returning call7002 (depth = 5)
  *var_newChain = call7002;
  if (call7002 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7005 = gc_frame_new();
// call case 4: self request
  Object call7006 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7005);
// compiled member node returning call7006 (depth = 6)
  int op_slot_right_7004 = gc_frame_newslot(call7006);
// starting to compile identifier node (depth = 6)
  Object bool7008 = alloc_Boolean(0);
// compiled identifier node returning bool7008 (depth = 6)
  int op_slot_left_7004 = gc_frame_newslot(bool7008);
  params[0] = call7006;
  partcv[0] = 1;
  Object opresult7009 = callmethod(bool7008, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7009 (depth = 5)
  Object if7003 = done;
  if (istrue(opresult7009)) {
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7010 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7011 = gc_frame_new();
// call case 4: self request
  Object call7012 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7011);
// compiled member node returning call7012 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7013 = callmethodflags(call7012, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7010);
// compiled call node returning call7013 (depth = 5)
    gc_frame_newslot(call7013);
    if7003 = call7013;
  } else {
  }
// compiled if node returning if7003 (depth = 4)
    gc_frame_newslot(if7003);
    if6998 = if7003;
  } else {
  }
// compiled if node returning if6998 (depth = 3)
  gc_frame_end(frame);
  return if6998;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7014(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7015 = gc_frame_new();
// call case 4: self request
  Object call7016 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7015);
// compiled member node returning call7016 (depth = 4)
  *var_n = call7016;
  if (call7016 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7017 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7018 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7017);
// compiled call node returning call7018 (depth = 4)
  *var_newChain = call7018;
  if (call7018 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7019 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7020 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7021 = gc_frame_new();
// call case 4: self request
  Object call7022 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7021);
// compiled member node returning call7022 (depth = 5)
  gc_frame_newslot(call7022);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7023 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7024 = gc_frame_new();
// call case 3: self.outer request
  Object call7025 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7024);
// compiled member node returning call7025 (depth = 6)
  Object call7026 = callmethodflags(call7025, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7023);
// compiled member node returning call7026 (depth = 5)
  params[0] = call7022;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7027 = callmethodflags(call7026, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7020);
// compiled call node returning call7027 (depth = 4)
  gc_frame_newslot(call7027);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7027;
  partcv[0] = 1;
  Object call7028 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7019);
// compiled call node returning call7028 (depth = 3)
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7029 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7030 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7029);
// compiled call node returning call7030 (depth = 3)
  gc_frame_end(frame);
  return call7030;
}
Object meth_ast__apply_40_1_41_7039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7041 == NULL) {
    strlit7041 = alloc_String("  ");
    gc_root(strlit7041);
  }
// compiled string node returning strlit7041 (depth = 7)
  int op_slot_right_7040 = gc_frame_newslot(strlit7041);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7040 = gc_frame_newslot(*var_spc);
  params[0] = strlit7041;
  partcv[0] = 1;
  Object opresult7043 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7043 (depth = 6)
  *var_spc = opresult7043;
  if (opresult7043 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_7142(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7144 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7146 = alloc_Float64(2);
// compiled num node returning num7146 (depth = 10)
  int op_slot_right_7145 = gc_frame_newslot(num7146);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7145 = gc_frame_newslot(*var_depth);
  params[0] = num7146;
  partcv[0] = 1;
  Object sum7148 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7148 (depth = 9)
  gc_frame_newslot(sum7148);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = sum7148;
  partcv[0] = 1;
  Object call7149 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7144);
// compiled call node returning call7149 (depth = 8)
  int op_slot_right_7143 = gc_frame_newslot(call7149);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7152 == NULL) {
    strlit7152 = alloc_String("  ");
    gc_root(strlit7152);
  }
// compiled string node returning strlit7152 (depth = 9)
  int op_slot_right_7151 = gc_frame_newslot(strlit7152);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_7154 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit7157 == NULL) {
    strlit7157 = alloc_String("""\x0a""");
    gc_root(strlit7157);
  }
// compiled string node returning strlit7157 (depth = 11)
  int op_slot_right_7156 = gc_frame_newslot(strlit7157);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_7156 = gc_frame_newslot(*var_s);
  params[0] = strlit7157;
  partcv[0] = 1;
  Object opresult7159 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7159 (depth = 10)
  int op_slot_left_7154 = gc_frame_newslot(opresult7159);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7160 = callmethod(opresult7159, "++(1)", 1, partcv, params);
// compiled op node returning opresult7160 (depth = 9)
  int op_slot_left_7151 = gc_frame_newslot(opresult7160);
  params[0] = strlit7152;
  partcv[0] = 1;
  Object opresult7161 = callmethod(opresult7160, "++(1)", 1, partcv, params);
// compiled op node returning opresult7161 (depth = 8)
  int op_slot_left_7143 = gc_frame_newslot(opresult7161);
  params[0] = call7149;
  partcv[0] = 1;
  Object opresult7162 = callmethod(opresult7161, "++(1)", 1, partcv, params);
// compiled op node returning opresult7162 (depth = 7)
  *var_s = opresult7162;
  if (opresult7162 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7031(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7032 == NULL) {
    strlit7032 = alloc_String("");
    gc_root(strlit7032);
  }
// compiled string node returning strlit7032 (depth = 4)
  *var_spc = strlit7032;
  if (strlit7032 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7033 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7034 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7036 = alloc_Float64(0);
// compiled num node returning num7036 (depth = 5)
  int op_slot_left_7034 = gc_frame_newslot(num7036);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7037 = callmethod(num7036, "..(1)", 1, partcv, params);
// compiled op node returning opresult7037 (depth = 4)
  gc_frame_newslot(opresult7037);
// starting to compile block node (depth = 4)
  Object block7038 = alloc_Block(NULL, NULL, "ast", 1781);
  gc_frame_newslot(block7038);
// method "_apply(_)"
  block_savedest(block7038);
  Object closure7039 = createclosure(2, "_apply(1)");
  setclosureframe(closure7039, stackframe);
  addtoclosure(closure7039, var_spc);
  addtoclosure(closure7039, selfslot);
  struct UserObject *uo7039 = (struct UserObject*)block7038;
  uo7039->data[0] = (Object)closure7039;
  Method *meth_meth_ast__apply_40_1_41_7039 = addmethod2pos(block7038, "_apply(1)", &meth_ast__apply_40_1_41_7039, 0);
  int argcv_meth_ast__apply_40_1_41_7039[] = {1};
  meth_meth_ast__apply_40_1_41_7039->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7039);
  meth_meth_ast__apply_40_1_41_7039->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7039->definitionLine = 2984;
// compiled block node returning block7038 (depth = 4)
  gc_frame_newslot(block7038);
// call case 5: prelude request
  params[0] = opresult7037;
  params[1] = block7038;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7046 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7033);
// compiled call node returning call7046 (depth = 3)
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7047 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7048 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7047);
// compiled call node returning call7048 (depth = 4)
  *var_s = call7048;
  if (call7048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7050 = gc_frame_new();
// call case 4: self request
  Object call7051 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7050);
// compiled member node returning call7051 (depth = 4)
  Object if7049 = done;
  if (istrue(call7051)) {
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7053 == NULL) {
    strlit7053 = alloc_String(" Wildcard");
    gc_root(strlit7053);
  }
// compiled string node returning strlit7053 (depth = 6)
  int op_slot_right_7052 = gc_frame_newslot(strlit7053);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7052 = gc_frame_newslot(*var_s);
  params[0] = strlit7053;
  partcv[0] = 1;
  Object opresult7055 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7055 (depth = 5)
  *var_s = opresult7055;
  if (opresult7055 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7049 = done;
  } else {
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7058 = gc_frame_new();
// call case 4: self request
  Object call7059 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7058);
// compiled member node returning call7059 (depth = 5)
  Object if7057 = done;
  if (istrue(call7059)) {
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7062 == NULL) {
    strlit7062 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7062);
  }
// compiled string node returning strlit7062 (depth = 8)
  int op_slot_right_7061 = gc_frame_newslot(strlit7062);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7065 = gc_frame_new();
// call case 4: self request
  Object call7066 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7065);
// compiled member node returning call7066 (depth = 9)
  int op_slot_right_7064 = gc_frame_newslot(call7066);
// starting to compile string node (depth = 9)
  if (strlit7068 == NULL) {
    strlit7068 = alloc_String("Binding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7068);
  }
// compiled string node returning strlit7068 (depth = 9)
  int op_slot_left_7064 = gc_frame_newslot(strlit7068);
  params[0] = call7066;
  partcv[0] = 1;
  Object opresult7069 = callmethod(strlit7068, "++(1)", 1, partcv, params);
// compiled op node returning opresult7069 (depth = 8)
  int op_slot_left_7061 = gc_frame_newslot(opresult7069);
  params[0] = strlit7062;
  partcv[0] = 1;
  Object opresult7070 = callmethod(opresult7069, "++(1)", 1, partcv, params);
// compiled op node returning opresult7070 (depth = 7)
  int op_slot_right_7060 = gc_frame_newslot(opresult7070);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7060 = gc_frame_newslot(*var_s);
  params[0] = opresult7070;
  partcv[0] = 1;
  Object opresult7072 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7072 (depth = 6)
  *var_s = opresult7072;
  if (opresult7072 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7057 = done;
  } else {
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7076 == NULL) {
    strlit7076 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7076);
  }
// compiled string node returning strlit7076 (depth = 8)
  int op_slot_right_7075 = gc_frame_newslot(strlit7076);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7079 = gc_frame_new();
// call case 4: self request
  Object call7080 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7079);
// compiled member node returning call7080 (depth = 9)
  int op_slot_right_7078 = gc_frame_newslot(call7080);
// starting to compile string node (depth = 9)
  if (strlit7082 == NULL) {
    strlit7082 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit7082);
  }
// compiled string node returning strlit7082 (depth = 9)
  int op_slot_left_7078 = gc_frame_newslot(strlit7082);
  params[0] = call7080;
  partcv[0] = 1;
  Object opresult7083 = callmethod(strlit7082, "++(1)", 1, partcv, params);
// compiled op node returning opresult7083 (depth = 8)
  int op_slot_left_7075 = gc_frame_newslot(opresult7083);
  params[0] = strlit7076;
  partcv[0] = 1;
  Object opresult7084 = callmethod(opresult7083, "++(1)", 1, partcv, params);
// compiled op node returning opresult7084 (depth = 7)
  int op_slot_right_7074 = gc_frame_newslot(opresult7084);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7074 = gc_frame_newslot(*var_s);
  params[0] = opresult7084;
  partcv[0] = 1;
  Object opresult7086 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7086 (depth = 6)
  *var_s = opresult7086;
  if (opresult7086 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7057 = done;
  }
// compiled if node returning if7057 (depth = 4)
    gc_frame_newslot(if7057);
    if7049 = if7057;
  }
// compiled if node returning if7049 (depth = 3)
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7090 = gc_frame_new();
// call case 4: self request
  Object call7091 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7090);
// compiled member node returning call7091 (depth = 5)
  int op_slot_right_7089 = gc_frame_newslot(call7091);
// starting to compile identifier node (depth = 5)
  Object bool7093 = alloc_Boolean(0);
// compiled identifier node returning bool7093 (depth = 5)
  int op_slot_left_7089 = gc_frame_newslot(bool7093);
  params[0] = call7091;
  partcv[0] = 1;
  Object opresult7094 = callmethod(bool7093, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7094 (depth = 4)
  Object if7088 = done;
  if (istrue(opresult7094)) {
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7096 == NULL) {
    strlit7096 = alloc_String("  Type: ");
    gc_root(strlit7096);
  }
// compiled string node returning strlit7096 (depth = 6)
  int op_slot_right_7095 = gc_frame_newslot(strlit7096);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7098 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7101 == NULL) {
    strlit7101 = alloc_String("""\x0a""");
    gc_root(strlit7101);
  }
// compiled string node returning strlit7101 (depth = 8)
  int op_slot_right_7100 = gc_frame_newslot(strlit7101);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7100 = gc_frame_newslot(*var_s);
  params[0] = strlit7101;
  partcv[0] = 1;
  Object opresult7103 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7103 (depth = 7)
  int op_slot_left_7098 = gc_frame_newslot(opresult7103);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7104 = callmethod(opresult7103, "++(1)", 1, partcv, params);
// compiled op node returning opresult7104 (depth = 6)
  int op_slot_left_7095 = gc_frame_newslot(opresult7104);
  params[0] = strlit7096;
  partcv[0] = 1;
  Object opresult7105 = callmethod(opresult7104, "++(1)", 1, partcv, params);
// compiled op node returning opresult7105 (depth = 5)
  *var_s = opresult7105;
  if (opresult7105 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7108 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7110 = alloc_Float64(2);
// compiled num node returning num7110 (depth = 8)
  int op_slot_right_7109 = gc_frame_newslot(num7110);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7109 = gc_frame_newslot(*var_depth);
  params[0] = num7110;
  partcv[0] = 1;
  Object sum7112 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7112 (depth = 7)
  gc_frame_newslot(sum7112);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7113 = gc_frame_new();
// call case 4: self request
  Object call7114 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7113);
// compiled member node returning call7114 (depth = 7)
  params[0] = sum7112;
  partcv[0] = 1;
  Object call7115 = callmethodflags(call7114, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7108);
// compiled call node returning call7115 (depth = 6)
  int op_slot_right_7107 = gc_frame_newslot(call7115);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7107 = gc_frame_newslot(*var_s);
  params[0] = call7115;
  partcv[0] = 1;
  Object opresult7117 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7117 (depth = 5)
  *var_s = opresult7117;
  if (opresult7117 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7088 = done;
  } else {
  }
// compiled if node returning if7088 (depth = 3)
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7121 = gc_frame_new();
// call case 4: self request
  Object call7122 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7121);
// compiled member node returning call7122 (depth = 5)
  int op_slot_right_7120 = gc_frame_newslot(call7122);
// starting to compile identifier node (depth = 5)
  Object bool7124 = alloc_Boolean(0);
// compiled identifier node returning bool7124 (depth = 5)
  int op_slot_left_7120 = gc_frame_newslot(bool7124);
  params[0] = call7122;
  partcv[0] = 1;
  Object opresult7125 = callmethod(bool7124, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7125 (depth = 4)
  Object if7119 = done;
  if (istrue(opresult7125)) {
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7127 == NULL) {
    strlit7127 = alloc_String("Generics:");
    gc_root(strlit7127);
  }
// compiled string node returning strlit7127 (depth = 6)
  int op_slot_right_7126 = gc_frame_newslot(strlit7127);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7129 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7132 == NULL) {
    strlit7132 = alloc_String("""\x0a""");
    gc_root(strlit7132);
  }
// compiled string node returning strlit7132 (depth = 8)
  int op_slot_right_7131 = gc_frame_newslot(strlit7132);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7131 = gc_frame_newslot(*var_s);
  params[0] = strlit7132;
  partcv[0] = 1;
  Object opresult7134 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7134 (depth = 7)
  int op_slot_left_7129 = gc_frame_newslot(opresult7134);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7135 = callmethod(opresult7134, "++(1)", 1, partcv, params);
// compiled op node returning opresult7135 (depth = 6)
  int op_slot_left_7126 = gc_frame_newslot(opresult7135);
  params[0] = strlit7127;
  partcv[0] = 1;
  Object opresult7136 = callmethod(opresult7135, "++(1)", 1, partcv, params);
// compiled op node returning opresult7136 (depth = 5)
  *var_s = opresult7136;
  if (opresult7136 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7138 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7139 = gc_frame_new();
// call case 4: self request
  Object call7140 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7139);
// compiled member node returning call7140 (depth = 5)
  gc_frame_newslot(call7140);
// starting to compile block node (depth = 5)
  Object block7141 = alloc_Block(NULL, NULL, "ast", 1798);
  gc_frame_newslot(block7141);
// method "_apply(_)"
  block_savedest(block7141);
  Object closure7142 = createclosure(4, "_apply(1)");
  setclosureframe(closure7142, stackframe);
  addtoclosure(closure7142, var_depth);
  addtoclosure(closure7142, var_spc);
  addtoclosure(closure7142, var_s);
  addtoclosure(closure7142, selfslot);
  struct UserObject *uo7142 = (struct UserObject*)block7141;
  uo7142->data[0] = (Object)closure7142;
  Method *meth_meth_ast__apply_40_1_41_7142 = addmethod2pos(block7141, "_apply(1)", &meth_ast__apply_40_1_41_7142, 0);
  int argcv_meth_ast__apply_40_1_41_7142[] = {1};
  meth_meth_ast__apply_40_1_41_7142->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7142);
  meth_meth_ast__apply_40_1_41_7142->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7142->definitionLine = 2984;
// compiled block node returning block7141 (depth = 5)
  gc_frame_newslot(block7141);
// call case 5: prelude request
  params[0] = call7140;
  params[1] = block7141;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7165 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7138);
// compiled call node returning call7165 (depth = 4)
    gc_frame_newslot(call7165);
    if7119 = call7165;
  } else {
  }
// compiled if node returning if7119 (depth = 3)
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_7224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7226 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7228 = alloc_Float64(1);
// compiled num node returning num7228 (depth = 10)
  int op_slot_right_7227 = gc_frame_newslot(num7228);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7227 = gc_frame_newslot(*var_depth);
  params[0] = num7228;
  partcv[0] = 1;
  Object sum7230 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7230 (depth = 9)
  gc_frame_newslot(sum7230);
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe7231 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe7232 = gc_frame_new();
// call case 4: self request
  Object call7233 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7232);
// compiled member node returning call7233 (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call7234 = callmethodflags(call7233, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7231);
// compiled call node returning call7234 (depth = 9)
  params[0] = sum7230;
  partcv[0] = 1;
  Object call7235 = callmethodflags(call7234, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7226);
// compiled call node returning call7235 (depth = 8)
  int op_slot_right_7225 = gc_frame_newslot(call7235);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7225 = gc_frame_newslot(*var_s);
  params[0] = call7235;
  partcv[0] = 1;
  Object opresult7237 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7237 (depth = 7)
  *var_s = opresult7237;
  if (opresult7237 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_7166(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_s = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7168 = gc_frame_new();
// call case 4: self request
  Object call7169 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7168);
// compiled member node returning call7169 (depth = 4)
  Object if7167 = done;
  if (istrue(call7169)) {
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7170 == NULL) {
    strlit7170 = alloc_String("_");
    gc_root(strlit7170);
  }
// compiled string node returning strlit7170 (depth = 5)
  *var_s = strlit7170;
  if (strlit7170 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7167 = done;
  } else {
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7172 = gc_frame_new();
// call case 4: self request
  Object call7173 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7172);
// compiled member node returning call7173 (depth = 5)
  *var_s = call7173;
  if (call7173 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7167 = done;
  }
// compiled if node returning if7167 (depth = 3)
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7177 = gc_frame_new();
// call case 4: self request
  Object call7178 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7177);
// compiled member node returning call7178 (depth = 5)
  int op_slot_right_7176 = gc_frame_newslot(call7178);
// starting to compile identifier node (depth = 5)
  Object bool7180 = alloc_Boolean(0);
// compiled identifier node returning bool7180 (depth = 5)
  int op_slot_left_7176 = gc_frame_newslot(bool7180);
  params[0] = call7178;
  partcv[0] = 1;
  Object opresult7181 = callmethod(bool7180, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7181 (depth = 4)
  Object if7175 = done;
  if (istrue(opresult7181)) {
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7183 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7185 = alloc_Float64(1);
// compiled num node returning num7185 (depth = 8)
  int op_slot_right_7184 = gc_frame_newslot(num7185);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7184 = gc_frame_newslot(*var_depth);
  params[0] = num7185;
  partcv[0] = 1;
  Object sum7187 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7187 (depth = 7)
  gc_frame_newslot(sum7187);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7188 = gc_frame_new();
// call case 4: self request
  Object call7189 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7188);
// compiled member node returning call7189 (depth = 7)
  params[0] = sum7187;
  partcv[0] = 1;
  Object call7190 = callmethodflags(call7189, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7183);
// compiled call node returning call7190 (depth = 6)
  int op_slot_right_7182 = gc_frame_newslot(call7190);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7193 == NULL) {
    strlit7193 = alloc_String(" : ");
    gc_root(strlit7193);
  }
// compiled string node returning strlit7193 (depth = 7)
  int op_slot_right_7192 = gc_frame_newslot(strlit7193);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7192 = gc_frame_newslot(*var_s);
  params[0] = strlit7193;
  partcv[0] = 1;
  Object opresult7195 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7195 (depth = 6)
  int op_slot_left_7182 = gc_frame_newslot(opresult7195);
  params[0] = call7190;
  partcv[0] = 1;
  Object opresult7196 = callmethod(opresult7195, "++(1)", 1, partcv, params);
// compiled op node returning opresult7196 (depth = 5)
  *var_s = opresult7196;
  if (opresult7196 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7175 = done;
  } else {
  }
// compiled if node returning if7175 (depth = 3)
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7200 = gc_frame_new();
// call case 4: self request
  Object call7201 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7200);
// compiled member node returning call7201 (depth = 5)
  int op_slot_right_7199 = gc_frame_newslot(call7201);
// starting to compile identifier node (depth = 5)
  Object bool7203 = alloc_Boolean(0);
// compiled identifier node returning bool7203 (depth = 5)
  int op_slot_left_7199 = gc_frame_newslot(bool7203);
  params[0] = call7201;
  partcv[0] = 1;
  Object opresult7204 = callmethod(bool7203, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7204 (depth = 4)
  Object if7198 = done;
  if (istrue(opresult7204)) {
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7206 == NULL) {
    strlit7206 = alloc_String("<");
    gc_root(strlit7206);
  }
// compiled string node returning strlit7206 (depth = 6)
  int op_slot_right_7205 = gc_frame_newslot(strlit7206);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7205 = gc_frame_newslot(*var_s);
  params[0] = strlit7206;
  partcv[0] = 1;
  Object opresult7208 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7208 (depth = 5)
  *var_s = opresult7208;
  if (opresult7208 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7210 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7213 = alloc_Float64(1);
// compiled num node returning num7213 (depth = 7)
  int op_slot_right_7212 = gc_frame_newslot(num7213);
// starting to compile member node (depth = 7)
  int callframe7215 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7216 = gc_frame_new();
// call case 4: self request
  Object call7217 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7216);
// compiled member node returning call7217 (depth = 8)
  Object call7218 = callmethodflags(call7217, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7215);
// compiled member node returning call7218 (depth = 7)
  int op_slot_left_7212 = gc_frame_newslot(call7218);
  params[0] = num7213;
  partcv[0] = 1;
  Object diff7219 = callmethod(call7218, "-(1)", 1, partcv, params);
// compiled op node returning diff7219 (depth = 6)
  int op_slot_right_7211 = gc_frame_newslot(diff7219);
// starting to compile num node (depth = 6)
  Object num7221 = alloc_Float64(1);
// compiled num node returning num7221 (depth = 6)
  int op_slot_left_7211 = gc_frame_newslot(num7221);
  params[0] = diff7219;
  partcv[0] = 1;
  Object opresult7222 = callmethod(num7221, "..(1)", 1, partcv, params);
// compiled op node returning opresult7222 (depth = 5)
  gc_frame_newslot(opresult7222);
// starting to compile block node (depth = 5)
  Object block7223 = alloc_Block(NULL, NULL, "ast", 1816);
  gc_frame_newslot(block7223);
// method "_apply(_)"
  block_savedest(block7223);
  Object closure7224 = createclosure(3, "_apply(1)");
  setclosureframe(closure7224, stackframe);
  addtoclosure(closure7224, var_depth);
  addtoclosure(closure7224, var_s);
  addtoclosure(closure7224, selfslot);
  struct UserObject *uo7224 = (struct UserObject*)block7223;
  uo7224->data[0] = (Object)closure7224;
  Method *meth_meth_ast__apply_40_1_41_7224 = addmethod2pos(block7223, "_apply(1)", &meth_ast__apply_40_1_41_7224, 0);
  int argcv_meth_ast__apply_40_1_41_7224[] = {1};
  meth_meth_ast__apply_40_1_41_7224->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7224);
  meth_meth_ast__apply_40_1_41_7224->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7224->definitionLine = 2984;
// compiled block node returning block7223 (depth = 5)
  gc_frame_newslot(block7223);
// call case 5: prelude request
  params[0] = opresult7222;
  params[1] = block7223;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7240 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7210);
// compiled call node returning call7240 (depth = 4)
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7242 == NULL) {
    strlit7242 = alloc_String(">");
    gc_root(strlit7242);
  }
// compiled string node returning strlit7242 (depth = 6)
  int op_slot_right_7241 = gc_frame_newslot(strlit7242);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7245 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7247 = alloc_Float64(1);
// compiled num node returning num7247 (depth = 9)
  int op_slot_right_7246 = gc_frame_newslot(num7247);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7246 = gc_frame_newslot(*var_depth);
  params[0] = num7247;
  partcv[0] = 1;
  Object sum7249 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7249 (depth = 8)
  gc_frame_newslot(sum7249);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7250 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe7251 = gc_frame_new();
// call case 4: self request
  Object call7252 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7251);
// compiled member node returning call7252 (depth = 9)
  Object call7253 = callmethodflags(call7252, "last", 0, partcv, params, 0);
  gc_frame_end(callframe7250);
// compiled member node returning call7253 (depth = 8)
  params[0] = sum7249;
  partcv[0] = 1;
  Object call7254 = callmethodflags(call7253, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7245);
// compiled call node returning call7254 (depth = 7)
  int op_slot_right_7244 = gc_frame_newslot(call7254);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7244 = gc_frame_newslot(*var_s);
  params[0] = call7254;
  partcv[0] = 1;
  Object opresult7256 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7256 (depth = 6)
  int op_slot_left_7241 = gc_frame_newslot(opresult7256);
  params[0] = strlit7242;
  partcv[0] = 1;
  Object opresult7257 = callmethod(opresult7256, "++(1)", 1, partcv, params);
// compiled op node returning opresult7257 (depth = 5)
  *var_s = opresult7257;
  if (opresult7257 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7198 = done;
  } else {
  }
// compiled if node returning if7198 (depth = 3)
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString7259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7261 = gc_frame_new();
// call case 4: self request
  Object call7262 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7261);
// compiled member node returning call7262 (depth = 4)
  Object if7260 = done;
  if (istrue(call7262)) {
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7264 == NULL) {
    strlit7264 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7264);
  }
// compiled string node returning strlit7264 (depth = 5)
  int op_slot_right_7263 = gc_frame_newslot(strlit7264);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7267 = gc_frame_new();
// call case 4: self request
  Object call7268 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7267);
// compiled member node returning call7268 (depth = 6)
  int op_slot_right_7266 = gc_frame_newslot(call7268);
// starting to compile string node (depth = 6)
  if (strlit7270 == NULL) {
    strlit7270 = alloc_String("identifierBinding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7270);
  }
// compiled string node returning strlit7270 (depth = 6)
  int op_slot_left_7266 = gc_frame_newslot(strlit7270);
  params[0] = call7268;
  partcv[0] = 1;
  Object opresult7271 = callmethod(strlit7270, "++(1)", 1, partcv, params);
// compiled op node returning opresult7271 (depth = 5)
  int op_slot_left_7263 = gc_frame_newslot(opresult7271);
  params[0] = strlit7264;
  partcv[0] = 1;
  Object opresult7272 = callmethod(opresult7271, "++(1)", 1, partcv, params);
// compiled op node returning opresult7272 (depth = 4)
    gc_frame_newslot(opresult7272);
    if7260 = opresult7272;
  } else {
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7274 == NULL) {
    strlit7274 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7274);
  }
// compiled string node returning strlit7274 (depth = 5)
  int op_slot_right_7273 = gc_frame_newslot(strlit7274);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7277 = gc_frame_new();
// call case 4: self request
  Object call7278 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7277);
// compiled member node returning call7278 (depth = 6)
  int op_slot_right_7276 = gc_frame_newslot(call7278);
// starting to compile string node (depth = 6)
  if (strlit7280 == NULL) {
    strlit7280 = alloc_String("identifier""\xe2""""\x80""""\xb9""");
    gc_root(strlit7280);
  }
// compiled string node returning strlit7280 (depth = 6)
  int op_slot_left_7276 = gc_frame_newslot(strlit7280);
  params[0] = call7278;
  partcv[0] = 1;
  Object opresult7281 = callmethod(strlit7280, "++(1)", 1, partcv, params);
// compiled op node returning opresult7281 (depth = 5)
  int op_slot_left_7273 = gc_frame_newslot(opresult7281);
  params[0] = strlit7274;
  partcv[0] = 1;
  Object opresult7282 = callmethod(opresult7281, "++(1)", 1, partcv, params);
// compiled op node returning opresult7282 (depth = 4)
    gc_frame_newslot(opresult7282);
    if7260 = opresult7282;
  }
// compiled if node returning if7260 (depth = 3)
  gc_frame_end(frame);
  return if7260;
}
Object meth_ast_shallowCopy7283(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7284 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7285 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7286 = gc_frame_new();
// call case 4: self request
  Object call7287 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7286);
// compiled member node returning call7287 (depth = 5)
  gc_frame_newslot(call7287);
// starting to compile identifier node (depth = 5)
  Object bool7288 = alloc_Boolean(0);
// compiled identifier node returning bool7288 (depth = 5)
  gc_frame_newslot(bool7288);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7287;
  params[1] = bool7288;
  partcv[0] = 2;
  Object call7289 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7285);
// compiled call node returning call7289 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7290 = callmethodflags(call7289, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7284);
// compiled call node returning call7290 (depth = 3)
  gc_frame_end(frame);
  return call7290;
}
Object meth_ast_postCopy_40_1_41_7291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7292 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7293 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7294 = callmethodflags(*var_other, "wildcard", 0, partcv, params, 0);
  gc_frame_end(callframe7293);
// compiled member node returning call7294 (depth = 4)
  gc_frame_newslot(call7294);
// call case 4: self request
  params[0] = call7294;
  partcv[0] = 1;
  Object call7295 = callmethodflags(self, "wildcard:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7292);
// compiled call node returning call7295 (depth = 3)
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7296 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7297 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7298 = callmethodflags(*var_other, "isBindingOccurrence", 0, partcv, params, 0);
  gc_frame_end(callframe7297);
// compiled member node returning call7298 (depth = 4)
  gc_frame_newslot(call7298);
// call case 4: self request
  params[0] = call7298;
  partcv[0] = 1;
  Object call7299 = callmethodflags(self, "isBindingOccurrence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7296);
// compiled call node returning call7299 (depth = 3)
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7300 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7301 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7302 = callmethodflags(*var_other, "isDeclaredByParent", 0, partcv, params, 0);
  gc_frame_end(callframe7301);
// compiled member node returning call7302 (depth = 4)
  gc_frame_newslot(call7302);
// call case 4: self request
  params[0] = call7302;
  partcv[0] = 1;
  Object call7303 = callmethodflags(self, "isDeclaredByParent:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7300);
// compiled call node returning call7303 (depth = 3)
// Begin line 1838
  setline(1838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7304 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7306 = callmethodflags(*var_other, "isAssigned", 0, partcv, params, 0);
  gc_frame_end(callframe7305);
// compiled member node returning call7306 (depth = 4)
  gc_frame_newslot(call7306);
// call case 4: self request
  params[0] = call7306;
  partcv[0] = 1;
  Object call7307 = callmethodflags(self, "isAssigned:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7304);
// compiled call node returning call7307 (depth = 3)
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7308 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7309 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7310 = callmethodflags(*var_other, "inRequest", 0, partcv, params, 0);
  gc_frame_end(callframe7309);
// compiled member node returning call7310 (depth = 4)
  gc_frame_newslot(call7310);
// call case 4: self request
  params[0] = call7310;
  partcv[0] = 1;
  Object call7311 = callmethodflags(self, "inRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7308);
// compiled call node returning call7311 (depth = 3)
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName7312(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7313 == NULL) {
    strlit7313 = alloc_String("expression");
    gc_root(strlit7313);
  }
// compiled string node returning strlit7313 (depth = 3)
  gc_frame_end(frame);
  return strlit7313;
}
Object meth_ast_new_40_2_41_6907(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6908 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6908 = alloc_userobj2(39,31, objclass6908);
  gc_frame_newslot(obj6908);
if (objclass6908 == NULL) {
  glfree(obj6908->class->name);
  obj6908->class->name = "identifierNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6908, self, 0);
  addmethodreal(obj6908,"outer", &reader_ast_outer_6909);
  Object oldself6908 = self;
  struct StackFrameObject *oldstackframe6908 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6908);
  gc_frame_newslot((Object)stackframe);
  self = obj6908;
  Object *oldselfslot6908 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6908 = (*(struct UserObject *)self).data[0], lowerouter6908 = thisouter6908;
  if (inheritingObject6908) {
    struct UserObject *inho6908 = (struct UserObject *)inheritingObject6908;
    while (inho6908->super != GraceDefaultObject) inho6908 = (struct UserObject *)inho6908->super;
    inho6908->super = obj6908;
    self = inheritingObject6908;
    *selfslot = self;
    lowerouter6908 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6908;
  }
if (objclass6908 == NULL) {
  Method *reader6910 = addmethodrealflags(obj6908, "kind",&reader_ast_kind_6910, MFLAG_DEF);
  reader6910->definitionModule = modulename;
  reader6910->definitionLine = 1721;
}
adddatum2(obj6908, alloc_Undefined(), 1);
if (objclass6908 == NULL) {
  Method *reader6911 = addmethodrealflags(obj6908, "value", &reader_ast_value_6911, 0);
  Method *writer6911 = addmethodrealflags(obj6908, "value:=(1)", &writer_ast_value_6911, 0);
  reader6911->definitionModule = modulename;
  writer6911->definitionModule = modulename;
  reader6911->definitionLine = 1722;
  writer6911->definitionLine = 1722;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 2);
if (objclass6908 == NULL) {
  Method *reader6912 = addmethodrealflags(obj6908, "wildcard", &reader_ast_wildcard_6912, 0);
  Method *writer6912 = addmethodrealflags(obj6908, "wildcard:=(1)", &writer_ast_wildcard_6912, 0);
  reader6912->definitionModule = modulename;
  writer6912->definitionModule = modulename;
  reader6912->definitionLine = 1723;
  writer6912->definitionLine = 1723;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 3);
if (objclass6908 == NULL) {
  Method *reader6913 = addmethodrealflags(obj6908, "dtype", &reader_ast_dtype_6913, 0);
  Method *writer6913 = addmethodrealflags(obj6908, "dtype:=(1)", &writer_ast_dtype_6913, 0);
  reader6913->definitionModule = modulename;
  writer6913->definitionModule = modulename;
  reader6913->definitionLine = 1724;
  writer6913->definitionLine = 1724;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 4);
if (objclass6908 == NULL) {
  Method *reader6914 = addmethodrealflags(obj6908, "isBindingOccurrence", &reader_ast_isBindingOccurrence_6914, 0);
  Method *writer6914 = addmethodrealflags(obj6908, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_6914, 0);
  reader6914->definitionModule = modulename;
  writer6914->definitionModule = modulename;
  reader6914->definitionLine = 1725;
  writer6914->definitionLine = 1725;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 5);
if (objclass6908 == NULL) {
  Method *reader6915 = addmethodrealflags(obj6908, "isAssigned", &reader_ast_isAssigned_6915, 0);
  Method *writer6915 = addmethodrealflags(obj6908, "isAssigned:=(1)", &writer_ast_isAssigned_6915, 0);
  reader6915->definitionModule = modulename;
  writer6915->definitionModule = modulename;
  reader6915->definitionLine = 1726;
  writer6915->definitionLine = 1726;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 6);
if (objclass6908 == NULL) {
  Method *reader6916 = addmethodrealflags(obj6908, "inRequest", &reader_ast_inRequest_6916, 0);
  Method *writer6916 = addmethodrealflags(obj6908, "inRequest:=(1)", &writer_ast_inRequest_6916, 0);
  reader6916->definitionModule = modulename;
  writer6916->definitionModule = modulename;
  reader6916->definitionLine = 1727;
  writer6916->definitionLine = 1727;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 7);
if (objclass6908 == NULL) {
  Method *reader6917 = addmethodrealflags(obj6908, "generics", &reader_ast_generics_6917, 0);
  Method *writer6917 = addmethodrealflags(obj6908, "generics:=(1)", &writer_ast_generics_6917, 0);
  reader6917->definitionModule = modulename;
  writer6917->definitionModule = modulename;
  reader6917->definitionLine = 1728;
  writer6917->definitionLine = 1728;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 8);
if (objclass6908 == NULL) {
  Method *reader6918 = addmethodrealflags(obj6908, "isDeclaredByParent", &reader_ast_isDeclaredByParent_6918, 0);
  Method *writer6918 = addmethodrealflags(obj6908, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_6918, 0);
  reader6918->definitionModule = modulename;
  writer6918->definitionModule = modulename;
  reader6918->definitionLine = 1729;
  writer6918->definitionLine = 1729;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 9);
// method "nameString"
  struct UserObject *uo6919 = (struct UserObject*)obj6908;
  uo6919->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6919 = addmethod2pos(obj6908, "nameString", &meth_ast_nameString6919, 10);
  int argcv_meth_ast_nameString6919[] = {0};
  meth_meth_ast_nameString6919->type = alloc_MethodType(1, argcv_meth_ast_nameString6919);
  meth_meth_ast_nameString6919->definitionModule = modulename;
  meth_meth_ast_nameString6919->definitionLine = 1731;
if (objclass6908 == NULL) {
  Method *reader6922 = addmethodrealflags(obj6908, "canonicalName", &reader_ast_canonicalName_6922, 0);
  Method *writer6922 = addmethodrealflags(obj6908, "canonicalName:=(1)", &writer_ast_canonicalName_6922, 0);
  reader6922->definitionModule = modulename;
  writer6922->definitionModule = modulename;
  reader6922->definitionLine = 1732;
  writer6922->definitionLine = 1732;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 11);
// method "quoted"
  struct UserObject *uo6923 = (struct UserObject*)obj6908;
  uo6923->data[12] = emptyclosure;
  Method *meth_meth_ast_quoted6923 = addmethod2pos(obj6908, "quoted", &meth_ast_quoted6923, 12);
  int argcv_meth_ast_quoted6923[] = {0};
  meth_meth_ast_quoted6923->type = alloc_MethodType(1, argcv_meth_ast_quoted6923);
  meth_meth_ast_quoted6923->definitionModule = modulename;
  meth_meth_ast_quoted6923->definitionLine = 1733;
// method "isIdentifier"
  struct UserObject *uo6928 = (struct UserObject*)obj6908;
  uo6928->data[13] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6928 = addmethod2pos(obj6908, "isIdentifier", &meth_ast_isIdentifier6928, 13);
  int argcv_meth_ast_isIdentifier6928[] = {0};
  meth_meth_ast_isIdentifier6928->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6928);
  meth_meth_ast_isIdentifier6928->definitionModule = modulename;
  meth_meth_ast_isIdentifier6928->definitionLine = 1734;
// method "isSelf"
  struct UserObject *uo6930 = (struct UserObject*)obj6908;
  uo6930->data[14] = emptyclosure;
  Method *meth_meth_ast_isSelf6930 = addmethod2pos(obj6908, "isSelf", &meth_ast_isSelf6930, 14);
  int argcv_meth_ast_isSelf6930[] = {0};
  meth_meth_ast_isSelf6930->type = alloc_MethodType(1, argcv_meth_ast_isSelf6930);
  meth_meth_ast_isSelf6930->definitionModule = modulename;
  meth_meth_ast_isSelf6930->definitionLine = 1736;
// method "isSuper"
  struct UserObject *uo6937 = (struct UserObject*)obj6908;
  uo6937->data[15] = emptyclosure;
  Method *meth_meth_ast_isSuper6937 = addmethod2pos(obj6908, "isSuper", &meth_ast_isSuper6937, 15);
  int argcv_meth_ast_isSuper6937[] = {0};
  meth_meth_ast_isSuper6937->type = alloc_MethodType(1, argcv_meth_ast_isSuper6937);
  meth_meth_ast_isSuper6937->definitionModule = modulename;
  meth_meth_ast_isSuper6937->definitionLine = 1737;
// method "isPrelude"
  struct UserObject *uo6944 = (struct UserObject*)obj6908;
  uo6944->data[16] = emptyclosure;
  Method *meth_meth_ast_isPrelude6944 = addmethod2pos(obj6908, "isPrelude", &meth_ast_isPrelude6944, 16);
  int argcv_meth_ast_isPrelude6944[] = {0};
  meth_meth_ast_isPrelude6944->type = alloc_MethodType(1, argcv_meth_ast_isPrelude6944);
  meth_meth_ast_isPrelude6944->definitionModule = modulename;
  meth_meth_ast_isPrelude6944->definitionLine = 1738;
// method "isOuter"
  struct UserObject *uo6951 = (struct UserObject*)obj6908;
  uo6951->data[17] = emptyclosure;
  Method *meth_meth_ast_isOuter6951 = addmethod2pos(obj6908, "isOuter", &meth_ast_isOuter6951, 17);
  int argcv_meth_ast_isOuter6951[] = {0};
  meth_meth_ast_isOuter6951->type = alloc_MethodType(1, argcv_meth_ast_isOuter6951);
  meth_meth_ast_isOuter6951->definitionModule = modulename;
  meth_meth_ast_isOuter6951->definitionLine = 1739;
// method "isSelfOrOuter"
  struct UserObject *uo6958 = (struct UserObject*)obj6908;
  uo6958->data[18] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter6958 = addmethod2pos(obj6908, "isSelfOrOuter", &meth_ast_isSelfOrOuter6958, 18);
  int argcv_meth_ast_isSelfOrOuter6958[] = {0};
  meth_meth_ast_isSelfOrOuter6958->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter6958);
  meth_meth_ast_isSelfOrOuter6958->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter6958->definitionLine = 1740;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo6968 = (struct UserObject*)obj6908;
  uo6968->data[19] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6968 = addmethod2pos(obj6908, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6968, 19);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6968[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6968);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->definitionLine = 1745;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo6977 = (struct UserObject*)obj6908;
  uo6977->data[20] = emptyclosure;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6977 = addmethod2pos(obj6908, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6977, 20);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6977[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6977);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->definitionLine = 1752;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo6982 = (struct UserObject*)obj6908;
  uo6982->data[21] = emptyclosure;
  Method *meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982 = addmethod2pos(obj6908, "inTypePositionWithAncestors(1)", &meth_ast_inTypePositionWithAncestors_40_1_41_6982, 21);
  int argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6982[] = {1};
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->type = alloc_MethodType(1, argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6982);
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->definitionModule = modulename;
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->definitionLine = 1755;
// method "usesAsType(_)"
  struct UserObject *uo6991 = (struct UserObject*)obj6908;
  uo6991->data[22] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_6991 = addmethod2pos(obj6908, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_6991, 22);
  int argcv_meth_ast_usesAsType_40_1_41_6991[] = {1};
  meth_meth_ast_usesAsType_40_1_41_6991->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_6991);
  meth_meth_ast_usesAsType_40_1_41_6991->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_6991->definitionLine = 1762;
// method "accept(_)from(_)"
  struct UserObject *uo6997 = (struct UserObject*)obj6908;
  uo6997->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6997 = addmethod2pos(obj6908, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6997, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6997[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6997);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->definitionLine = 1765;
// method "map(_)ancestors(_)"
  struct UserObject *uo7014 = (struct UserObject*)obj6908;
  uo7014->data[24] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014 = addmethod2pos(obj6908, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7014, 24);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7014[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7014);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->definitionLine = 1773;
// method "pretty(_)"
  struct UserObject *uo7031 = (struct UserObject*)obj6908;
  uo7031->data[25] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7031 = addmethod2pos(obj6908, "pretty(1)", &meth_ast_pretty_40_1_41_7031, 25);
  int argcv_meth_ast_pretty_40_1_41_7031[] = {1};
  meth_meth_ast_pretty_40_1_41_7031->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7031);
  meth_meth_ast_pretty_40_1_41_7031->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7031->definitionLine = 1779;
// method "toGrace(_)"
  struct UserObject *uo7166 = (struct UserObject*)obj6908;
  uo7166->data[26] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7166 = addmethod2pos(obj6908, "toGrace(1)", &meth_ast_toGrace_40_1_41_7166, 26);
  int argcv_meth_ast_toGrace_40_1_41_7166[] = {1};
  meth_meth_ast_toGrace_40_1_41_7166->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7166);
meth_meth_ast_toGrace_40_1_41_7166->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7166->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7166->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7166->definitionLine = 1804;
// method "asString"
  struct UserObject *uo7259 = (struct UserObject*)obj6908;
  uo7259->data[27] = emptyclosure;
  Method *meth_meth_ast_asString7259 = addmethod2pos(obj6908, "asString", &meth_ast_asString7259, 27);
  int argcv_meth_ast_asString7259[] = {0};
  meth_meth_ast_asString7259->type = alloc_MethodType(1, argcv_meth_ast_asString7259);
  meth_meth_ast_asString7259->definitionModule = modulename;
  meth_meth_ast_asString7259->definitionLine = 1824;
// method "shallowCopy"
  block_savedest(obj6908);
  Object closure7283 = createclosure(1, "shallowCopy");
  setclosureframe(closure7283, stackframe);
  addtoclosure(closure7283, var_identifierNode);
  struct UserObject *uo7283 = (struct UserObject*)obj6908;
  uo7283->data[28] = (Object)closure7283;
  Method *meth_meth_ast_shallowCopy7283 = addmethod2pos(obj6908, "shallowCopy", &meth_ast_shallowCopy7283, 28);
  int argcv_meth_ast_shallowCopy7283[] = {0};
  meth_meth_ast_shallowCopy7283->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7283);
  meth_meth_ast_shallowCopy7283->definitionModule = modulename;
  meth_meth_ast_shallowCopy7283->definitionLine = 1831;
// method "postCopy(_)"
  struct UserObject *uo7291 = (struct UserObject*)obj6908;
  uo7291->data[29] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_7291 = addmethod2pos(obj6908, "postCopy(1)", &meth_ast_postCopy_40_1_41_7291, 29);
  int argcv_meth_ast_postCopy_40_1_41_7291[] = {1};
  meth_meth_ast_postCopy_40_1_41_7291->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_7291);
  meth_meth_ast_postCopy_40_1_41_7291->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_7291->definitionLine = 1834;
// method "statementName"
  struct UserObject *uo7312 = (struct UserObject*)obj6908;
  uo7312->data[30] = emptyclosure;
  Method *meth_meth_ast_statementName7312 = addmethod2pos(obj6908, "statementName", &meth_ast_statementName7312, 30);
  int argcv_meth_ast_statementName7312[] = {0};
  meth_meth_ast_statementName7312->type = alloc_MethodType(1, argcv_meth_ast_statementName7312);
  meth_meth_ast_statementName7312->definitionModule = modulename;
  meth_meth_ast_statementName7312->definitionLine = 1842;
  sourceObject = obj6908;
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7314 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7315 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7316 = gc_frame_new();
// call case 3: self.outer request
  Object call7317 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7316);
// compiled member node returning call7317 (depth = 5)
  Object call7318 = callmethodflags(call7317, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7315);
// compiled member node returning call7318 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7319 = callmethodflags(call7318, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7314);
// compiled call node returning call7319 (depth = 3)
  struct UserObject *obj6908_uo = (struct UserObject *)obj6908;
  obj6908_uo->super = call7319;
  sourceObject = obj6908;
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7320 == NULL) {
    strlit7320 = alloc_String("identifier");
    gc_root(strlit7320);
  }
// compiled string node returning strlit7320 (depth = 3)
  adddatum2(obj6908, strlit7320, 1);
  sourceObject = obj6908;
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name (depth = 3)
  adddatum2(obj6908, *var_name, 2);
  sourceObject = obj6908;
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7321 = alloc_Boolean(0);
// compiled identifier node returning bool7321 (depth = 3)
  adddatum2(obj6908, bool7321, 3);
  sourceObject = obj6908;
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj6908, *var_dtype_39_, 4);
  sourceObject = obj6908;
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7322 = alloc_Boolean(0);
// compiled identifier node returning bool7322 (depth = 3)
  adddatum2(obj6908, bool7322, 5);
  sourceObject = obj6908;
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7323 = alloc_Boolean(0);
// compiled identifier node returning bool7323 (depth = 3)
  adddatum2(obj6908, bool7323, 6);
  sourceObject = obj6908;
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7324 = alloc_Boolean(0);
// compiled identifier node returning bool7324 (depth = 3)
  adddatum2(obj6908, bool7324, 7);
  sourceObject = obj6908;
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7325 = alloc_Boolean(0);
// compiled identifier node returning bool7325 (depth = 3)
  adddatum2(obj6908, bool7325, 8);
  sourceObject = obj6908;
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7326 = alloc_Boolean(0);
// compiled identifier node returning bool7326 (depth = 3)
  adddatum2(obj6908, bool7326, 9);
  sourceObject = obj6908;
  sourceObject = obj6908;
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7327 = gc_frame_new();
// call case 4: self request
  Object call7328 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7327);
// compiled member node returning call7328 (depth = 3)
  adddatum2(obj6908, call7328, 11);
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  objclass6908 = obj6908->class;
  objclass6908->definitionModule = modulename;
  objclass6908->definitionLine = 1719;
  (*(struct UserObject *)self).data[0] = lowerouter6908;
  self = oldself6908;
  selfslot = oldselfslot6908;
  stackframe = oldstackframe6908;
  gc_frame_end(frame);
  return obj6908;
}
Object meth_ast_new_40_2_41_6907_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6908 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6908 = alloc_userobj2(39,31, objclass6908);
  gc_frame_newslot(obj6908);
if (objclass6908 == NULL) {
  glfree(obj6908->class->name);
  obj6908->class->name = "identifierNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6908, self, 0);
  addmethodreal(obj6908,"outer", &reader_ast_outer_6909);
  Object oldself6908 = self;
  struct StackFrameObject *oldstackframe6908 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6908);
  gc_frame_newslot((Object)stackframe);
  self = obj6908;
  Object *oldselfslot6908 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6908 = (*(struct UserObject *)self).data[0], lowerouter6908 = thisouter6908;
  if (inheritingObject6908) {
    struct UserObject *inho6908 = (struct UserObject *)inheritingObject6908;
    while (inho6908->super != GraceDefaultObject) inho6908 = (struct UserObject *)inho6908->super;
    inho6908->super = obj6908;
    self = inheritingObject6908;
    *selfslot = self;
    lowerouter6908 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6908;
  }
if (objclass6908 == NULL) {
  Method *reader6910 = addmethodrealflags(obj6908, "kind",&reader_ast_kind_6910, MFLAG_DEF);
  reader6910->definitionModule = modulename;
  reader6910->definitionLine = 1721;
}
adddatum2(obj6908, alloc_Undefined(), 1);
if (objclass6908 == NULL) {
  Method *reader6911 = addmethodrealflags(obj6908, "value", &reader_ast_value_6911, 0);
  Method *writer6911 = addmethodrealflags(obj6908, "value:=(1)", &writer_ast_value_6911, 0);
  reader6911->definitionModule = modulename;
  writer6911->definitionModule = modulename;
  reader6911->definitionLine = 1722;
  writer6911->definitionLine = 1722;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 2);
if (objclass6908 == NULL) {
  Method *reader6912 = addmethodrealflags(obj6908, "wildcard", &reader_ast_wildcard_6912, 0);
  Method *writer6912 = addmethodrealflags(obj6908, "wildcard:=(1)", &writer_ast_wildcard_6912, 0);
  reader6912->definitionModule = modulename;
  writer6912->definitionModule = modulename;
  reader6912->definitionLine = 1723;
  writer6912->definitionLine = 1723;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 3);
if (objclass6908 == NULL) {
  Method *reader6913 = addmethodrealflags(obj6908, "dtype", &reader_ast_dtype_6913, 0);
  Method *writer6913 = addmethodrealflags(obj6908, "dtype:=(1)", &writer_ast_dtype_6913, 0);
  reader6913->definitionModule = modulename;
  writer6913->definitionModule = modulename;
  reader6913->definitionLine = 1724;
  writer6913->definitionLine = 1724;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 4);
if (objclass6908 == NULL) {
  Method *reader6914 = addmethodrealflags(obj6908, "isBindingOccurrence", &reader_ast_isBindingOccurrence_6914, 0);
  Method *writer6914 = addmethodrealflags(obj6908, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_6914, 0);
  reader6914->definitionModule = modulename;
  writer6914->definitionModule = modulename;
  reader6914->definitionLine = 1725;
  writer6914->definitionLine = 1725;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 5);
if (objclass6908 == NULL) {
  Method *reader6915 = addmethodrealflags(obj6908, "isAssigned", &reader_ast_isAssigned_6915, 0);
  Method *writer6915 = addmethodrealflags(obj6908, "isAssigned:=(1)", &writer_ast_isAssigned_6915, 0);
  reader6915->definitionModule = modulename;
  writer6915->definitionModule = modulename;
  reader6915->definitionLine = 1726;
  writer6915->definitionLine = 1726;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 6);
if (objclass6908 == NULL) {
  Method *reader6916 = addmethodrealflags(obj6908, "inRequest", &reader_ast_inRequest_6916, 0);
  Method *writer6916 = addmethodrealflags(obj6908, "inRequest:=(1)", &writer_ast_inRequest_6916, 0);
  reader6916->definitionModule = modulename;
  writer6916->definitionModule = modulename;
  reader6916->definitionLine = 1727;
  writer6916->definitionLine = 1727;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 7);
if (objclass6908 == NULL) {
  Method *reader6917 = addmethodrealflags(obj6908, "generics", &reader_ast_generics_6917, 0);
  Method *writer6917 = addmethodrealflags(obj6908, "generics:=(1)", &writer_ast_generics_6917, 0);
  reader6917->definitionModule = modulename;
  writer6917->definitionModule = modulename;
  reader6917->definitionLine = 1728;
  writer6917->definitionLine = 1728;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 8);
if (objclass6908 == NULL) {
  Method *reader6918 = addmethodrealflags(obj6908, "isDeclaredByParent", &reader_ast_isDeclaredByParent_6918, 0);
  Method *writer6918 = addmethodrealflags(obj6908, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_6918, 0);
  reader6918->definitionModule = modulename;
  writer6918->definitionModule = modulename;
  reader6918->definitionLine = 1729;
  writer6918->definitionLine = 1729;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 9);
// method "nameString"
  struct UserObject *uo6919 = (struct UserObject*)obj6908;
  uo6919->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6919 = addmethod2pos(obj6908, "nameString", &meth_ast_nameString6919, 10);
  int argcv_meth_ast_nameString6919[] = {0};
  meth_meth_ast_nameString6919->type = alloc_MethodType(1, argcv_meth_ast_nameString6919);
  meth_meth_ast_nameString6919->definitionModule = modulename;
  meth_meth_ast_nameString6919->definitionLine = 1731;
if (objclass6908 == NULL) {
  Method *reader6922 = addmethodrealflags(obj6908, "canonicalName", &reader_ast_canonicalName_6922, 0);
  Method *writer6922 = addmethodrealflags(obj6908, "canonicalName:=(1)", &writer_ast_canonicalName_6922, 0);
  reader6922->definitionModule = modulename;
  writer6922->definitionModule = modulename;
  reader6922->definitionLine = 1732;
  writer6922->definitionLine = 1732;
}
obj6908->flags |= OFLAG_MUTABLE;
adddatum2(obj6908, alloc_Undefined(), 11);
// method "quoted"
  struct UserObject *uo6923 = (struct UserObject*)obj6908;
  uo6923->data[12] = emptyclosure;
  Method *meth_meth_ast_quoted6923 = addmethod2pos(obj6908, "quoted", &meth_ast_quoted6923, 12);
  int argcv_meth_ast_quoted6923[] = {0};
  meth_meth_ast_quoted6923->type = alloc_MethodType(1, argcv_meth_ast_quoted6923);
  meth_meth_ast_quoted6923->definitionModule = modulename;
  meth_meth_ast_quoted6923->definitionLine = 1733;
// method "isIdentifier"
  struct UserObject *uo6928 = (struct UserObject*)obj6908;
  uo6928->data[13] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6928 = addmethod2pos(obj6908, "isIdentifier", &meth_ast_isIdentifier6928, 13);
  int argcv_meth_ast_isIdentifier6928[] = {0};
  meth_meth_ast_isIdentifier6928->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6928);
  meth_meth_ast_isIdentifier6928->definitionModule = modulename;
  meth_meth_ast_isIdentifier6928->definitionLine = 1734;
// method "isSelf"
  struct UserObject *uo6930 = (struct UserObject*)obj6908;
  uo6930->data[14] = emptyclosure;
  Method *meth_meth_ast_isSelf6930 = addmethod2pos(obj6908, "isSelf", &meth_ast_isSelf6930, 14);
  int argcv_meth_ast_isSelf6930[] = {0};
  meth_meth_ast_isSelf6930->type = alloc_MethodType(1, argcv_meth_ast_isSelf6930);
  meth_meth_ast_isSelf6930->definitionModule = modulename;
  meth_meth_ast_isSelf6930->definitionLine = 1736;
// method "isSuper"
  struct UserObject *uo6937 = (struct UserObject*)obj6908;
  uo6937->data[15] = emptyclosure;
  Method *meth_meth_ast_isSuper6937 = addmethod2pos(obj6908, "isSuper", &meth_ast_isSuper6937, 15);
  int argcv_meth_ast_isSuper6937[] = {0};
  meth_meth_ast_isSuper6937->type = alloc_MethodType(1, argcv_meth_ast_isSuper6937);
  meth_meth_ast_isSuper6937->definitionModule = modulename;
  meth_meth_ast_isSuper6937->definitionLine = 1737;
// method "isPrelude"
  struct UserObject *uo6944 = (struct UserObject*)obj6908;
  uo6944->data[16] = emptyclosure;
  Method *meth_meth_ast_isPrelude6944 = addmethod2pos(obj6908, "isPrelude", &meth_ast_isPrelude6944, 16);
  int argcv_meth_ast_isPrelude6944[] = {0};
  meth_meth_ast_isPrelude6944->type = alloc_MethodType(1, argcv_meth_ast_isPrelude6944);
  meth_meth_ast_isPrelude6944->definitionModule = modulename;
  meth_meth_ast_isPrelude6944->definitionLine = 1738;
// method "isOuter"
  struct UserObject *uo6951 = (struct UserObject*)obj6908;
  uo6951->data[17] = emptyclosure;
  Method *meth_meth_ast_isOuter6951 = addmethod2pos(obj6908, "isOuter", &meth_ast_isOuter6951, 17);
  int argcv_meth_ast_isOuter6951[] = {0};
  meth_meth_ast_isOuter6951->type = alloc_MethodType(1, argcv_meth_ast_isOuter6951);
  meth_meth_ast_isOuter6951->definitionModule = modulename;
  meth_meth_ast_isOuter6951->definitionLine = 1739;
// method "isSelfOrOuter"
  struct UserObject *uo6958 = (struct UserObject*)obj6908;
  uo6958->data[18] = emptyclosure;
  Method *meth_meth_ast_isSelfOrOuter6958 = addmethod2pos(obj6908, "isSelfOrOuter", &meth_ast_isSelfOrOuter6958, 18);
  int argcv_meth_ast_isSelfOrOuter6958[] = {0};
  meth_meth_ast_isSelfOrOuter6958->type = alloc_MethodType(1, argcv_meth_ast_isSelfOrOuter6958);
  meth_meth_ast_isSelfOrOuter6958->definitionModule = modulename;
  meth_meth_ast_isSelfOrOuter6958->definitionLine = 1740;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo6968 = (struct UserObject*)obj6908;
  uo6968->data[19] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6968 = addmethod2pos(obj6908, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6968, 19);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6968[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6968);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6968->definitionLine = 1745;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo6977 = (struct UserObject*)obj6908;
  uo6977->data[20] = emptyclosure;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6977 = addmethod2pos(obj6908, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6977, 20);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6977[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6977);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6977->definitionLine = 1752;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo6982 = (struct UserObject*)obj6908;
  uo6982->data[21] = emptyclosure;
  Method *meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982 = addmethod2pos(obj6908, "inTypePositionWithAncestors(1)", &meth_ast_inTypePositionWithAncestors_40_1_41_6982, 21);
  int argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6982[] = {1};
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->type = alloc_MethodType(1, argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6982);
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->definitionModule = modulename;
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6982->definitionLine = 1755;
// method "usesAsType(_)"
  struct UserObject *uo6991 = (struct UserObject*)obj6908;
  uo6991->data[22] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_6991 = addmethod2pos(obj6908, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_6991, 22);
  int argcv_meth_ast_usesAsType_40_1_41_6991[] = {1};
  meth_meth_ast_usesAsType_40_1_41_6991->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_6991);
  meth_meth_ast_usesAsType_40_1_41_6991->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_6991->definitionLine = 1762;
// method "accept(_)from(_)"
  struct UserObject *uo6997 = (struct UserObject*)obj6908;
  uo6997->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6997 = addmethod2pos(obj6908, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6997, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6997[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6997);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6997->definitionLine = 1765;
// method "map(_)ancestors(_)"
  struct UserObject *uo7014 = (struct UserObject*)obj6908;
  uo7014->data[24] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014 = addmethod2pos(obj6908, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7014, 24);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7014[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7014);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7014->definitionLine = 1773;
// method "pretty(_)"
  struct UserObject *uo7031 = (struct UserObject*)obj6908;
  uo7031->data[25] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7031 = addmethod2pos(obj6908, "pretty(1)", &meth_ast_pretty_40_1_41_7031, 25);
  int argcv_meth_ast_pretty_40_1_41_7031[] = {1};
  meth_meth_ast_pretty_40_1_41_7031->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7031);
  meth_meth_ast_pretty_40_1_41_7031->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7031->definitionLine = 1779;
// method "toGrace(_)"
  struct UserObject *uo7166 = (struct UserObject*)obj6908;
  uo7166->data[26] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7166 = addmethod2pos(obj6908, "toGrace(1)", &meth_ast_toGrace_40_1_41_7166, 26);
  int argcv_meth_ast_toGrace_40_1_41_7166[] = {1};
  meth_meth_ast_toGrace_40_1_41_7166->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7166);
meth_meth_ast_toGrace_40_1_41_7166->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7166->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7166->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7166->definitionLine = 1804;
// method "asString"
  struct UserObject *uo7259 = (struct UserObject*)obj6908;
  uo7259->data[27] = emptyclosure;
  Method *meth_meth_ast_asString7259 = addmethod2pos(obj6908, "asString", &meth_ast_asString7259, 27);
  int argcv_meth_ast_asString7259[] = {0};
  meth_meth_ast_asString7259->type = alloc_MethodType(1, argcv_meth_ast_asString7259);
  meth_meth_ast_asString7259->definitionModule = modulename;
  meth_meth_ast_asString7259->definitionLine = 1824;
// method "shallowCopy"
  block_savedest(obj6908);
  Object closure7283 = createclosure(1, "shallowCopy");
  setclosureframe(closure7283, stackframe);
  addtoclosure(closure7283, var_identifierNode);
  struct UserObject *uo7283 = (struct UserObject*)obj6908;
  uo7283->data[28] = (Object)closure7283;
  Method *meth_meth_ast_shallowCopy7283 = addmethod2pos(obj6908, "shallowCopy", &meth_ast_shallowCopy7283, 28);
  int argcv_meth_ast_shallowCopy7283[] = {0};
  meth_meth_ast_shallowCopy7283->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7283);
  meth_meth_ast_shallowCopy7283->definitionModule = modulename;
  meth_meth_ast_shallowCopy7283->definitionLine = 1831;
// method "postCopy(_)"
  struct UserObject *uo7291 = (struct UserObject*)obj6908;
  uo7291->data[29] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_7291 = addmethod2pos(obj6908, "postCopy(1)", &meth_ast_postCopy_40_1_41_7291, 29);
  int argcv_meth_ast_postCopy_40_1_41_7291[] = {1};
  meth_meth_ast_postCopy_40_1_41_7291->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_7291);
  meth_meth_ast_postCopy_40_1_41_7291->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_7291->definitionLine = 1834;
// method "statementName"
  struct UserObject *uo7312 = (struct UserObject*)obj6908;
  uo7312->data[30] = emptyclosure;
  Method *meth_meth_ast_statementName7312 = addmethod2pos(obj6908, "statementName", &meth_ast_statementName7312, 30);
  int argcv_meth_ast_statementName7312[] = {0};
  meth_meth_ast_statementName7312->type = alloc_MethodType(1, argcv_meth_ast_statementName7312);
  meth_meth_ast_statementName7312->definitionModule = modulename;
  meth_meth_ast_statementName7312->definitionLine = 1842;
  sourceObject = obj6908;
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7314 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7315 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7316 = gc_frame_new();
// call case 3: self.outer request
  Object call7317 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7316);
// compiled member node returning call7317 (depth = 5)
  Object call7318 = callmethodflags(call7317, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7315);
// compiled member node returning call7318 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7319 = callmethodflags(call7318, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7314);
// compiled call node returning call7319 (depth = 3)
  struct UserObject *obj6908_uo = (struct UserObject *)obj6908;
  obj6908_uo->super = call7319;
  sourceObject = obj6908;
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7320 == NULL) {
    strlit7320 = alloc_String("identifier");
    gc_root(strlit7320);
  }
// compiled string node returning strlit7320 (depth = 3)
  adddatum2(obj6908, strlit7320, 1);
  sourceObject = obj6908;
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name (depth = 3)
  adddatum2(obj6908, *var_name, 2);
  sourceObject = obj6908;
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7321 = alloc_Boolean(0);
// compiled identifier node returning bool7321 (depth = 3)
  adddatum2(obj6908, bool7321, 3);
  sourceObject = obj6908;
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj6908, *var_dtype_39_, 4);
  sourceObject = obj6908;
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7322 = alloc_Boolean(0);
// compiled identifier node returning bool7322 (depth = 3)
  adddatum2(obj6908, bool7322, 5);
  sourceObject = obj6908;
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7323 = alloc_Boolean(0);
// compiled identifier node returning bool7323 (depth = 3)
  adddatum2(obj6908, bool7323, 6);
  sourceObject = obj6908;
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7324 = alloc_Boolean(0);
// compiled identifier node returning bool7324 (depth = 3)
  adddatum2(obj6908, bool7324, 7);
  sourceObject = obj6908;
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7325 = alloc_Boolean(0);
// compiled identifier node returning bool7325 (depth = 3)
  adddatum2(obj6908, bool7325, 8);
  sourceObject = obj6908;
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7326 = alloc_Boolean(0);
// compiled identifier node returning bool7326 (depth = 3)
  adddatum2(obj6908, bool7326, 9);
  sourceObject = obj6908;
  sourceObject = obj6908;
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7327 = gc_frame_new();
// call case 4: self request
  Object call7328 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7327);
// compiled member node returning call7328 (depth = 3)
  adddatum2(obj6908, call7328, 11);
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  sourceObject = obj6908;
  objclass6908 = obj6908->class;
  objclass6908->definitionModule = modulename;
  objclass6908->definitionLine = 1719;
  (*(struct UserObject *)self).data[0] = lowerouter6908;
  self = oldself6908;
  selfslot = oldselfslot6908;
  stackframe = oldstackframe6908;
  gc_frame_end(frame);
  return obj6908;
}
Object meth_ast_identifierNode7330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifierNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  gc_frame_end(frame);
  return *var_identifierNode;
}
Object meth_ast_typeType7335(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_end(frame);
  return *var_typeType;
}
Object meth_ast_unknownType7339(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unknownType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unknownType (depth = 3)
  gc_frame_end(frame);
  return *var_unknownType;
}
Object meth_ast_new_40_1_41_scope_40_1_41_7342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7343 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call7344 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7343);
// compiled call node returning call7344 (depth = 4)
  *var_result = call7344;
  if (call7344 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7345 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7346 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7345);
// compiled call node returning call7346 (depth = 3)
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7352(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7353 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7354 = callmethodflags(*var_visitor, "visitString(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7353);
// compiled call node returning call7354 (depth = 3)
  gc_frame_end(frame);
  return call7354;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7355(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7356 = gc_frame_new();
// call case 4: self request
  Object call7357 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7356);
// compiled member node returning call7357 (depth = 4)
  *var_n = call7357;
  if (call7357 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7358 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7359 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7358);
// compiled call node returning call7359 (depth = 4)
  *var_newChain = call7359;
  if (call7359 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7360 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7361 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7360);
// compiled call node returning call7361 (depth = 3)
  gc_frame_end(frame);
  return call7361;
}
Object meth_ast_pretty_40_1_41_7362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7364 == NULL) {
    strlit7364 = alloc_String(")");
    gc_root(strlit7364);
  }
// compiled string node returning strlit7364 (depth = 4)
  int op_slot_right_7363 = gc_frame_newslot(strlit7364);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7367 = gc_frame_new();
// call case 4: self request
  Object call7368 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7367);
// compiled member node returning call7368 (depth = 5)
  int op_slot_right_7366 = gc_frame_newslot(call7368);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7371 == NULL) {
    strlit7371 = alloc_String("(");
    gc_root(strlit7371);
  }
// compiled string node returning strlit7371 (depth = 6)
  int op_slot_right_7370 = gc_frame_newslot(strlit7371);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7374 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7375 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7374);
// compiled call node returning call7375 (depth = 7)
  int op_slot_right_7373 = gc_frame_newslot(call7375);
// starting to compile string node (depth = 7)
  if (strlit7377 == NULL) {
    strlit7377 = alloc_String("");
    gc_root(strlit7377);
  }
// compiled string node returning strlit7377 (depth = 7)
  int op_slot_left_7373 = gc_frame_newslot(strlit7377);
  params[0] = call7375;
  partcv[0] = 1;
  Object opresult7378 = callmethod(strlit7377, "++(1)", 1, partcv, params);
// compiled op node returning opresult7378 (depth = 6)
  int op_slot_left_7370 = gc_frame_newslot(opresult7378);
  params[0] = strlit7371;
  partcv[0] = 1;
  Object opresult7379 = callmethod(opresult7378, "++(1)", 1, partcv, params);
// compiled op node returning opresult7379 (depth = 5)
  int op_slot_left_7366 = gc_frame_newslot(opresult7379);
  params[0] = call7368;
  partcv[0] = 1;
  Object opresult7380 = callmethod(opresult7379, "++(1)", 1, partcv, params);
// compiled op node returning opresult7380 (depth = 4)
  int op_slot_left_7363 = gc_frame_newslot(opresult7380);
  params[0] = strlit7364;
  partcv[0] = 1;
  Object opresult7381 = callmethod(opresult7380, "++(1)", 1, partcv, params);
// compiled op node returning opresult7381 (depth = 3)
  gc_frame_end(frame);
  return opresult7381;
}
Object meth_ast_toGrace_40_1_41_7382(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_q = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "q");
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7383 == NULL) {
    strlit7383 = alloc_String("""\x22""");
    gc_root(strlit7383);
  }
// compiled string node returning strlit7383 (depth = 4)
  *var_q = strlit7383;
  if (strlit7383 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_q (depth = 4)
  int op_slot_right_7384 = gc_frame_newslot(*var_q);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7387 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7388 = gc_frame_new();
// call case 4: self request
  Object call7389 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7388);
// compiled member node returning call7389 (depth = 6)
  Object call7390 = callmethodflags(call7389, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe7387);
// compiled member node returning call7390 (depth = 5)
  int op_slot_right_7386 = gc_frame_newslot(call7390);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_q (depth = 5)
  int op_slot_left_7386 = gc_frame_newslot(*var_q);
  params[0] = call7390;
  partcv[0] = 1;
  Object opresult7392 = callmethod(*var_q, "++(1)", 1, partcv, params);
// compiled op node returning opresult7392 (depth = 4)
  int op_slot_left_7384 = gc_frame_newslot(opresult7392);
  params[0] = *var_q;
  partcv[0] = 1;
  Object opresult7393 = callmethod(opresult7392, "++(1)", 1, partcv, params);
// compiled op node returning opresult7393 (depth = 3)
  gc_frame_end(frame);
  return opresult7393;
}
Object meth_ast_asString7394(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7396 == NULL) {
    strlit7396 = alloc_String("");
    gc_root(strlit7396);
  }
// compiled string node returning strlit7396 (depth = 4)
  int op_slot_right_7395 = gc_frame_newslot(strlit7396);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7399 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num7400 = alloc_Float64(0);
// compiled num node returning num7400 (depth = 6)
  gc_frame_newslot(num7400);
// call case 4: self request
  params[0] = num7400;
  partcv[0] = 1;
  Object call7401 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7399);
// compiled call node returning call7401 (depth = 5)
  int op_slot_right_7398 = gc_frame_newslot(call7401);
// starting to compile string node (depth = 5)
  if (strlit7403 == NULL) {
    strlit7403 = alloc_String("string ");
    gc_root(strlit7403);
  }
// compiled string node returning strlit7403 (depth = 5)
  int op_slot_left_7398 = gc_frame_newslot(strlit7403);
  params[0] = call7401;
  partcv[0] = 1;
  Object opresult7404 = callmethod(strlit7403, "++(1)", 1, partcv, params);
// compiled op node returning opresult7404 (depth = 4)
  int op_slot_left_7395 = gc_frame_newslot(opresult7404);
  params[0] = strlit7396;
  partcv[0] = 1;
  Object opresult7405 = callmethod(opresult7404, "++(1)", 1, partcv, params);
// compiled op node returning opresult7405 (depth = 3)
  gc_frame_end(frame);
  return opresult7405;
}
Object meth_ast_shallowCopy7406(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7407 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7408 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7409 = gc_frame_new();
// call case 4: self request
  Object call7410 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7409);
// compiled member node returning call7410 (depth = 5)
  gc_frame_newslot(call7410);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_stringNode (depth = 5)
  params[0] = call7410;
  partcv[0] = 1;
  Object call7411 = callmethodflags(*var_stringNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7408);
// compiled call node returning call7411 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7412 = callmethodflags(call7411, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7407);
// compiled call node returning call7412 (depth = 3)
  gc_frame_end(frame);
  return call7412;
}
Object meth_ast_statementName7413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7414 == NULL) {
    strlit7414 = alloc_String("expression");
    gc_root(strlit7414);
  }
// compiled string node returning strlit7414 (depth = 3)
  gc_frame_end(frame);
  return strlit7414;
}
Object meth_ast_isDelimited7415(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7416 = alloc_Boolean(1);
// compiled identifier node returning bool7416 (depth = 3)
  gc_frame_end(frame);
  return bool7416;
}
Object meth_ast_new_40_1_41_7347(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7348 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7348 = alloc_userobj2(11,11, objclass7348);
  gc_frame_newslot(obj7348);
if (objclass7348 == NULL) {
  glfree(obj7348->class->name);
  obj7348->class->name = "stringNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7348, self, 0);
  addmethodreal(obj7348,"outer", &reader_ast_outer_7349);
  Object oldself7348 = self;
  struct StackFrameObject *oldstackframe7348 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7348);
  gc_frame_newslot((Object)stackframe);
  self = obj7348;
  Object *oldselfslot7348 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7348 = (*(struct UserObject *)self).data[0], lowerouter7348 = thisouter7348;
  if (inheritingObject7348) {
    struct UserObject *inho7348 = (struct UserObject *)inheritingObject7348;
    while (inho7348->super != GraceDefaultObject) inho7348 = (struct UserObject *)inho7348->super;
    inho7348->super = obj7348;
    self = inheritingObject7348;
    *selfslot = self;
    lowerouter7348 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7348;
  }
if (objclass7348 == NULL) {
  Method *reader7350 = addmethodrealflags(obj7348, "kind",&reader_ast_kind_7350, MFLAG_DEF);
  reader7350->definitionModule = modulename;
  reader7350->definitionLine = 1858;
}
adddatum2(obj7348, alloc_Undefined(), 1);
if (objclass7348 == NULL) {
  Method *reader7351 = addmethodrealflags(obj7348, "value", &reader_ast_value_7351, 0);
  Method *writer7351 = addmethodrealflags(obj7348, "value:=(1)", &writer_ast_value_7351, 0);
  reader7351->definitionModule = modulename;
  writer7351->definitionModule = modulename;
  reader7351->definitionLine = 1859;
  writer7351->definitionLine = 1859;
}
obj7348->flags |= OFLAG_MUTABLE;
adddatum2(obj7348, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7352 = (struct UserObject*)obj7348;
  uo7352->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7352 = addmethod2pos(obj7348, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7352, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7352[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7352);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->definitionLine = 1860;
// method "map(_)ancestors(_)"
  struct UserObject *uo7355 = (struct UserObject*)obj7348;
  uo7355->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355 = addmethod2pos(obj7348, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7355, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7355[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7355);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->definitionLine = 1863;
// method "pretty(_)"
  struct UserObject *uo7362 = (struct UserObject*)obj7348;
  uo7362->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7362 = addmethod2pos(obj7348, "pretty(1)", &meth_ast_pretty_40_1_41_7362, 5);
  int argcv_meth_ast_pretty_40_1_41_7362[] = {1};
  meth_meth_ast_pretty_40_1_41_7362->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7362);
  meth_meth_ast_pretty_40_1_41_7362->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7362->definitionLine = 1868;
// method "toGrace(_)"
  struct UserObject *uo7382 = (struct UserObject*)obj7348;
  uo7382->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7382 = addmethod2pos(obj7348, "toGrace(1)", &meth_ast_toGrace_40_1_41_7382, 6);
  int argcv_meth_ast_toGrace_40_1_41_7382[] = {1};
  meth_meth_ast_toGrace_40_1_41_7382->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7382);
meth_meth_ast_toGrace_40_1_41_7382->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7382->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7382->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7382->definitionLine = 1871;
// method "asString"
  struct UserObject *uo7394 = (struct UserObject*)obj7348;
  uo7394->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7394 = addmethod2pos(obj7348, "asString", &meth_ast_asString7394, 7);
  int argcv_meth_ast_asString7394[] = {0};
  meth_meth_ast_asString7394->type = alloc_MethodType(1, argcv_meth_ast_asString7394);
  meth_meth_ast_asString7394->definitionModule = modulename;
  meth_meth_ast_asString7394->definitionLine = 1875;
// method "shallowCopy"
  block_savedest(obj7348);
  Object closure7406 = createclosure(1, "shallowCopy");
  setclosureframe(closure7406, stackframe);
  addtoclosure(closure7406, var_stringNode);
  struct UserObject *uo7406 = (struct UserObject*)obj7348;
  uo7406->data[8] = (Object)closure7406;
  Method *meth_meth_ast_shallowCopy7406 = addmethod2pos(obj7348, "shallowCopy", &meth_ast_shallowCopy7406, 8);
  int argcv_meth_ast_shallowCopy7406[] = {0};
  meth_meth_ast_shallowCopy7406->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7406);
  meth_meth_ast_shallowCopy7406->definitionModule = modulename;
  meth_meth_ast_shallowCopy7406->definitionLine = 1876;
// method "statementName"
  struct UserObject *uo7413 = (struct UserObject*)obj7348;
  uo7413->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7413 = addmethod2pos(obj7348, "statementName", &meth_ast_statementName7413, 9);
  int argcv_meth_ast_statementName7413[] = {0};
  meth_meth_ast_statementName7413->type = alloc_MethodType(1, argcv_meth_ast_statementName7413);
  meth_meth_ast_statementName7413->definitionModule = modulename;
  meth_meth_ast_statementName7413->definitionLine = 1879;
// method "isDelimited"
  struct UserObject *uo7415 = (struct UserObject*)obj7348;
  uo7415->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7415 = addmethod2pos(obj7348, "isDelimited", &meth_ast_isDelimited7415, 10);
  int argcv_meth_ast_isDelimited7415[] = {0};
  meth_meth_ast_isDelimited7415->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7415);
  meth_meth_ast_isDelimited7415->definitionModule = modulename;
  meth_meth_ast_isDelimited7415->definitionLine = 1880;
  sourceObject = obj7348;
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7417 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7418 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7419 = gc_frame_new();
// call case 3: self.outer request
  Object call7420 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7419);
// compiled member node returning call7420 (depth = 5)
  Object call7421 = callmethodflags(call7420, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7418);
// compiled member node returning call7421 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7422 = callmethodflags(call7421, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7417);
// compiled call node returning call7422 (depth = 3)
  struct UserObject *obj7348_uo = (struct UserObject *)obj7348;
  obj7348_uo->super = call7422;
  sourceObject = obj7348;
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7423 == NULL) {
    strlit7423 = alloc_String("string");
    gc_root(strlit7423);
  }
// compiled string node returning strlit7423 (depth = 3)
  adddatum2(obj7348, strlit7423, 1);
  sourceObject = obj7348;
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7348, *var_v, 2);
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  objclass7348 = obj7348->class;
  objclass7348->definitionModule = modulename;
  objclass7348->definitionLine = 1856;
  (*(struct UserObject *)self).data[0] = lowerouter7348;
  self = oldself7348;
  selfslot = oldselfslot7348;
  stackframe = oldstackframe7348;
  gc_frame_end(frame);
  return obj7348;
}
Object meth_ast_new_40_1_41_7347_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7348 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7348 = alloc_userobj2(11,11, objclass7348);
  gc_frame_newslot(obj7348);
if (objclass7348 == NULL) {
  glfree(obj7348->class->name);
  obj7348->class->name = "stringNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7348, self, 0);
  addmethodreal(obj7348,"outer", &reader_ast_outer_7349);
  Object oldself7348 = self;
  struct StackFrameObject *oldstackframe7348 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7348);
  gc_frame_newslot((Object)stackframe);
  self = obj7348;
  Object *oldselfslot7348 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7348 = (*(struct UserObject *)self).data[0], lowerouter7348 = thisouter7348;
  if (inheritingObject7348) {
    struct UserObject *inho7348 = (struct UserObject *)inheritingObject7348;
    while (inho7348->super != GraceDefaultObject) inho7348 = (struct UserObject *)inho7348->super;
    inho7348->super = obj7348;
    self = inheritingObject7348;
    *selfslot = self;
    lowerouter7348 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7348;
  }
if (objclass7348 == NULL) {
  Method *reader7350 = addmethodrealflags(obj7348, "kind",&reader_ast_kind_7350, MFLAG_DEF);
  reader7350->definitionModule = modulename;
  reader7350->definitionLine = 1858;
}
adddatum2(obj7348, alloc_Undefined(), 1);
if (objclass7348 == NULL) {
  Method *reader7351 = addmethodrealflags(obj7348, "value", &reader_ast_value_7351, 0);
  Method *writer7351 = addmethodrealflags(obj7348, "value:=(1)", &writer_ast_value_7351, 0);
  reader7351->definitionModule = modulename;
  writer7351->definitionModule = modulename;
  reader7351->definitionLine = 1859;
  writer7351->definitionLine = 1859;
}
obj7348->flags |= OFLAG_MUTABLE;
adddatum2(obj7348, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7352 = (struct UserObject*)obj7348;
  uo7352->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7352 = addmethod2pos(obj7348, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7352, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7352[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7352);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7352->definitionLine = 1860;
// method "map(_)ancestors(_)"
  struct UserObject *uo7355 = (struct UserObject*)obj7348;
  uo7355->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355 = addmethod2pos(obj7348, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7355, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7355[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7355);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7355->definitionLine = 1863;
// method "pretty(_)"
  struct UserObject *uo7362 = (struct UserObject*)obj7348;
  uo7362->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7362 = addmethod2pos(obj7348, "pretty(1)", &meth_ast_pretty_40_1_41_7362, 5);
  int argcv_meth_ast_pretty_40_1_41_7362[] = {1};
  meth_meth_ast_pretty_40_1_41_7362->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7362);
  meth_meth_ast_pretty_40_1_41_7362->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7362->definitionLine = 1868;
// method "toGrace(_)"
  struct UserObject *uo7382 = (struct UserObject*)obj7348;
  uo7382->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7382 = addmethod2pos(obj7348, "toGrace(1)", &meth_ast_toGrace_40_1_41_7382, 6);
  int argcv_meth_ast_toGrace_40_1_41_7382[] = {1};
  meth_meth_ast_toGrace_40_1_41_7382->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7382);
meth_meth_ast_toGrace_40_1_41_7382->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7382->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7382->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7382->definitionLine = 1871;
// method "asString"
  struct UserObject *uo7394 = (struct UserObject*)obj7348;
  uo7394->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7394 = addmethod2pos(obj7348, "asString", &meth_ast_asString7394, 7);
  int argcv_meth_ast_asString7394[] = {0};
  meth_meth_ast_asString7394->type = alloc_MethodType(1, argcv_meth_ast_asString7394);
  meth_meth_ast_asString7394->definitionModule = modulename;
  meth_meth_ast_asString7394->definitionLine = 1875;
// method "shallowCopy"
  block_savedest(obj7348);
  Object closure7406 = createclosure(1, "shallowCopy");
  setclosureframe(closure7406, stackframe);
  addtoclosure(closure7406, var_stringNode);
  struct UserObject *uo7406 = (struct UserObject*)obj7348;
  uo7406->data[8] = (Object)closure7406;
  Method *meth_meth_ast_shallowCopy7406 = addmethod2pos(obj7348, "shallowCopy", &meth_ast_shallowCopy7406, 8);
  int argcv_meth_ast_shallowCopy7406[] = {0};
  meth_meth_ast_shallowCopy7406->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7406);
  meth_meth_ast_shallowCopy7406->definitionModule = modulename;
  meth_meth_ast_shallowCopy7406->definitionLine = 1876;
// method "statementName"
  struct UserObject *uo7413 = (struct UserObject*)obj7348;
  uo7413->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7413 = addmethod2pos(obj7348, "statementName", &meth_ast_statementName7413, 9);
  int argcv_meth_ast_statementName7413[] = {0};
  meth_meth_ast_statementName7413->type = alloc_MethodType(1, argcv_meth_ast_statementName7413);
  meth_meth_ast_statementName7413->definitionModule = modulename;
  meth_meth_ast_statementName7413->definitionLine = 1879;
// method "isDelimited"
  struct UserObject *uo7415 = (struct UserObject*)obj7348;
  uo7415->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7415 = addmethod2pos(obj7348, "isDelimited", &meth_ast_isDelimited7415, 10);
  int argcv_meth_ast_isDelimited7415[] = {0};
  meth_meth_ast_isDelimited7415->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7415);
  meth_meth_ast_isDelimited7415->definitionModule = modulename;
  meth_meth_ast_isDelimited7415->definitionLine = 1880;
  sourceObject = obj7348;
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7417 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7418 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7419 = gc_frame_new();
// call case 3: self.outer request
  Object call7420 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7419);
// compiled member node returning call7420 (depth = 5)
  Object call7421 = callmethodflags(call7420, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7418);
// compiled member node returning call7421 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7422 = callmethodflags(call7421, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7417);
// compiled call node returning call7422 (depth = 3)
  struct UserObject *obj7348_uo = (struct UserObject *)obj7348;
  obj7348_uo->super = call7422;
  sourceObject = obj7348;
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7423 == NULL) {
    strlit7423 = alloc_String("string");
    gc_root(strlit7423);
  }
// compiled string node returning strlit7423 (depth = 3)
  adddatum2(obj7348, strlit7423, 1);
  sourceObject = obj7348;
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7348, *var_v, 2);
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  sourceObject = obj7348;
  objclass7348 = obj7348->class;
  objclass7348->definitionModule = modulename;
  objclass7348->definitionLine = 1856;
  (*(struct UserObject *)self).data[0] = lowerouter7348;
  self = oldself7348;
  selfslot = oldselfslot7348;
  stackframe = oldstackframe7348;
  gc_frame_end(frame);
  return obj7348;
}
Object meth_ast_stringNode7425(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "stringNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_stringNode (depth = 3)
  gc_frame_end(frame);
  return *var_stringNode;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7433(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7434 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7435 = callmethodflags(*var_visitor, "visitNum(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7434);
// compiled call node returning call7435 (depth = 3)
  gc_frame_end(frame);
  return call7435;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7436(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7437 = gc_frame_new();
// call case 4: self request
  Object call7438 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7437);
// compiled member node returning call7438 (depth = 4)
  *var_n = call7438;
  if (call7438 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7439 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7440 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7439);
// compiled call node returning call7440 (depth = 4)
  *var_newChain = call7440;
  if (call7440 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7441 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7442 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7441);
// compiled call node returning call7442 (depth = 3)
  gc_frame_end(frame);
  return call7442;
}
Object meth_ast_pretty_40_1_41_7443(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7445 == NULL) {
    strlit7445 = alloc_String(")");
    gc_root(strlit7445);
  }
// compiled string node returning strlit7445 (depth = 4)
  int op_slot_right_7444 = gc_frame_newslot(strlit7445);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7448 = gc_frame_new();
// call case 4: self request
  Object call7449 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7448);
// compiled member node returning call7449 (depth = 5)
  int op_slot_right_7447 = gc_frame_newslot(call7449);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7452 == NULL) {
    strlit7452 = alloc_String("(");
    gc_root(strlit7452);
  }
// compiled string node returning strlit7452 (depth = 6)
  int op_slot_right_7451 = gc_frame_newslot(strlit7452);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7455 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7456 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7455);
// compiled call node returning call7456 (depth = 7)
  int op_slot_right_7454 = gc_frame_newslot(call7456);
// starting to compile string node (depth = 7)
  if (strlit7458 == NULL) {
    strlit7458 = alloc_String("");
    gc_root(strlit7458);
  }
// compiled string node returning strlit7458 (depth = 7)
  int op_slot_left_7454 = gc_frame_newslot(strlit7458);
  params[0] = call7456;
  partcv[0] = 1;
  Object opresult7459 = callmethod(strlit7458, "++(1)", 1, partcv, params);
// compiled op node returning opresult7459 (depth = 6)
  int op_slot_left_7451 = gc_frame_newslot(opresult7459);
  params[0] = strlit7452;
  partcv[0] = 1;
  Object opresult7460 = callmethod(opresult7459, "++(1)", 1, partcv, params);
// compiled op node returning opresult7460 (depth = 5)
  int op_slot_left_7447 = gc_frame_newslot(opresult7460);
  params[0] = call7449;
  partcv[0] = 1;
  Object opresult7461 = callmethod(opresult7460, "++(1)", 1, partcv, params);
// compiled op node returning opresult7461 (depth = 4)
  int op_slot_left_7444 = gc_frame_newslot(opresult7461);
  params[0] = strlit7445;
  partcv[0] = 1;
  Object opresult7462 = callmethod(opresult7461, "++(1)", 1, partcv, params);
// compiled op node returning opresult7462 (depth = 3)
  gc_frame_end(frame);
  return opresult7462;
}
Object meth_ast_toGrace_40_1_41_7463(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7464 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7465 = gc_frame_new();
// call case 4: self request
  Object call7466 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7465);
// compiled member node returning call7466 (depth = 4)
  Object call7467 = callmethodflags(call7466, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe7464);
// compiled member node returning call7467 (depth = 3)
  gc_frame_end(frame);
  return call7467;
}
Object meth_ast_asString7468(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7470 == NULL) {
    strlit7470 = alloc_String("");
    gc_root(strlit7470);
  }
// compiled string node returning strlit7470 (depth = 4)
  int op_slot_right_7469 = gc_frame_newslot(strlit7470);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7473 = gc_frame_new();
// call case 4: self request
  Object call7474 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7473);
// compiled member node returning call7474 (depth = 5)
  int op_slot_right_7472 = gc_frame_newslot(call7474);
// starting to compile string node (depth = 5)
  if (strlit7476 == NULL) {
    strlit7476 = alloc_String("num ");
    gc_root(strlit7476);
  }
// compiled string node returning strlit7476 (depth = 5)
  int op_slot_left_7472 = gc_frame_newslot(strlit7476);
  params[0] = call7474;
  partcv[0] = 1;
  Object opresult7477 = callmethod(strlit7476, "++(1)", 1, partcv, params);
// compiled op node returning opresult7477 (depth = 4)
  int op_slot_left_7469 = gc_frame_newslot(opresult7477);
  params[0] = strlit7470;
  partcv[0] = 1;
  Object opresult7478 = callmethod(opresult7477, "++(1)", 1, partcv, params);
// compiled op node returning opresult7478 (depth = 3)
  gc_frame_end(frame);
  return opresult7478;
}
Object meth_ast_shallowCopy7479(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7480 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7481 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7482 = gc_frame_new();
// call case 4: self request
  Object call7483 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7482);
// compiled member node returning call7483 (depth = 5)
  gc_frame_newslot(call7483);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_numNode (depth = 5)
  params[0] = call7483;
  partcv[0] = 1;
  Object call7484 = callmethodflags(*var_numNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7481);
// compiled call node returning call7484 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7485 = callmethodflags(call7484, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7480);
// compiled call node returning call7485 (depth = 3)
  gc_frame_end(frame);
  return call7485;
}
Object meth_ast_statementName7486(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7487 == NULL) {
    strlit7487 = alloc_String("expression");
    gc_root(strlit7487);
  }
// compiled string node returning strlit7487 (depth = 3)
  gc_frame_end(frame);
  return strlit7487;
}
Object meth_ast_isDelimited7488(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7489 = alloc_Boolean(1);
// compiled identifier node returning bool7489 (depth = 3)
  gc_frame_end(frame);
  return bool7489;
}
Object meth_ast_new_40_1_41_7428(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7429 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7429 = alloc_userobj2(11,11, objclass7429);
  gc_frame_newslot(obj7429);
if (objclass7429 == NULL) {
  glfree(obj7429->class->name);
  obj7429->class->name = "numNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7429, self, 0);
  addmethodreal(obj7429,"outer", &reader_ast_outer_7430);
  Object oldself7429 = self;
  struct StackFrameObject *oldstackframe7429 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7429);
  gc_frame_newslot((Object)stackframe);
  self = obj7429;
  Object *oldselfslot7429 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7429 = (*(struct UserObject *)self).data[0], lowerouter7429 = thisouter7429;
  if (inheritingObject7429) {
    struct UserObject *inho7429 = (struct UserObject *)inheritingObject7429;
    while (inho7429->super != GraceDefaultObject) inho7429 = (struct UserObject *)inho7429->super;
    inho7429->super = obj7429;
    self = inheritingObject7429;
    *selfslot = self;
    lowerouter7429 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7429;
  }
if (objclass7429 == NULL) {
  Method *reader7431 = addmethodrealflags(obj7429, "kind",&reader_ast_kind_7431, MFLAG_DEF);
  reader7431->definitionModule = modulename;
  reader7431->definitionLine = 1886;
}
adddatum2(obj7429, alloc_Undefined(), 1);
if (objclass7429 == NULL) {
  Method *reader7432 = addmethodrealflags(obj7429, "value", &reader_ast_value_7432, 0);
  Method *writer7432 = addmethodrealflags(obj7429, "value:=(1)", &writer_ast_value_7432, 0);
  reader7432->definitionModule = modulename;
  writer7432->definitionModule = modulename;
  reader7432->definitionLine = 1887;
  writer7432->definitionLine = 1887;
}
obj7429->flags |= OFLAG_MUTABLE;
adddatum2(obj7429, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7433 = (struct UserObject*)obj7429;
  uo7433->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7433 = addmethod2pos(obj7429, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7433, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7433[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7433);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->definitionLine = 1888;
// method "map(_)ancestors(_)"
  struct UserObject *uo7436 = (struct UserObject*)obj7429;
  uo7436->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436 = addmethod2pos(obj7429, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7436, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7436[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7436);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->definitionLine = 1891;
// method "pretty(_)"
  struct UserObject *uo7443 = (struct UserObject*)obj7429;
  uo7443->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7443 = addmethod2pos(obj7429, "pretty(1)", &meth_ast_pretty_40_1_41_7443, 5);
  int argcv_meth_ast_pretty_40_1_41_7443[] = {1};
  meth_meth_ast_pretty_40_1_41_7443->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7443);
  meth_meth_ast_pretty_40_1_41_7443->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7443->definitionLine = 1896;
// method "toGrace(_)"
  struct UserObject *uo7463 = (struct UserObject*)obj7429;
  uo7463->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7463 = addmethod2pos(obj7429, "toGrace(1)", &meth_ast_toGrace_40_1_41_7463, 6);
  int argcv_meth_ast_toGrace_40_1_41_7463[] = {1};
  meth_meth_ast_toGrace_40_1_41_7463->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7463);
meth_meth_ast_toGrace_40_1_41_7463->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7463->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7463->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7463->definitionLine = 1899;
// method "asString"
  struct UserObject *uo7468 = (struct UserObject*)obj7429;
  uo7468->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7468 = addmethod2pos(obj7429, "asString", &meth_ast_asString7468, 7);
  int argcv_meth_ast_asString7468[] = {0};
  meth_meth_ast_asString7468->type = alloc_MethodType(1, argcv_meth_ast_asString7468);
  meth_meth_ast_asString7468->definitionModule = modulename;
  meth_meth_ast_asString7468->definitionLine = 1902;
// method "shallowCopy"
  block_savedest(obj7429);
  Object closure7479 = createclosure(1, "shallowCopy");
  setclosureframe(closure7479, stackframe);
  addtoclosure(closure7479, var_numNode);
  struct UserObject *uo7479 = (struct UserObject*)obj7429;
  uo7479->data[8] = (Object)closure7479;
  Method *meth_meth_ast_shallowCopy7479 = addmethod2pos(obj7429, "shallowCopy", &meth_ast_shallowCopy7479, 8);
  int argcv_meth_ast_shallowCopy7479[] = {0};
  meth_meth_ast_shallowCopy7479->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7479);
  meth_meth_ast_shallowCopy7479->definitionModule = modulename;
  meth_meth_ast_shallowCopy7479->definitionLine = 1903;
// method "statementName"
  struct UserObject *uo7486 = (struct UserObject*)obj7429;
  uo7486->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7486 = addmethod2pos(obj7429, "statementName", &meth_ast_statementName7486, 9);
  int argcv_meth_ast_statementName7486[] = {0};
  meth_meth_ast_statementName7486->type = alloc_MethodType(1, argcv_meth_ast_statementName7486);
  meth_meth_ast_statementName7486->definitionModule = modulename;
  meth_meth_ast_statementName7486->definitionLine = 1906;
// method "isDelimited"
  struct UserObject *uo7488 = (struct UserObject*)obj7429;
  uo7488->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7488 = addmethod2pos(obj7429, "isDelimited", &meth_ast_isDelimited7488, 10);
  int argcv_meth_ast_isDelimited7488[] = {0};
  meth_meth_ast_isDelimited7488->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7488);
  meth_meth_ast_isDelimited7488->definitionModule = modulename;
  meth_meth_ast_isDelimited7488->definitionLine = 1907;
  sourceObject = obj7429;
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7490 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7491 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7492 = gc_frame_new();
// call case 3: self.outer request
  Object call7493 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7492);
// compiled member node returning call7493 (depth = 5)
  Object call7494 = callmethodflags(call7493, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7491);
// compiled member node returning call7494 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7495 = callmethodflags(call7494, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7490);
// compiled call node returning call7495 (depth = 3)
  struct UserObject *obj7429_uo = (struct UserObject *)obj7429;
  obj7429_uo->super = call7495;
  sourceObject = obj7429;
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7496 == NULL) {
    strlit7496 = alloc_String("num");
    gc_root(strlit7496);
  }
// compiled string node returning strlit7496 (depth = 3)
  adddatum2(obj7429, strlit7496, 1);
  sourceObject = obj7429;
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7429, *var_val, 2);
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  objclass7429 = obj7429->class;
  objclass7429->definitionModule = modulename;
  objclass7429->definitionLine = 1884;
  (*(struct UserObject *)self).data[0] = lowerouter7429;
  self = oldself7429;
  selfslot = oldselfslot7429;
  stackframe = oldstackframe7429;
  gc_frame_end(frame);
  return obj7429;
}
Object meth_ast_new_40_1_41_7428_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7429 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7429 = alloc_userobj2(11,11, objclass7429);
  gc_frame_newslot(obj7429);
if (objclass7429 == NULL) {
  glfree(obj7429->class->name);
  obj7429->class->name = "numNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7429, self, 0);
  addmethodreal(obj7429,"outer", &reader_ast_outer_7430);
  Object oldself7429 = self;
  struct StackFrameObject *oldstackframe7429 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7429);
  gc_frame_newslot((Object)stackframe);
  self = obj7429;
  Object *oldselfslot7429 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7429 = (*(struct UserObject *)self).data[0], lowerouter7429 = thisouter7429;
  if (inheritingObject7429) {
    struct UserObject *inho7429 = (struct UserObject *)inheritingObject7429;
    while (inho7429->super != GraceDefaultObject) inho7429 = (struct UserObject *)inho7429->super;
    inho7429->super = obj7429;
    self = inheritingObject7429;
    *selfslot = self;
    lowerouter7429 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7429;
  }
if (objclass7429 == NULL) {
  Method *reader7431 = addmethodrealflags(obj7429, "kind",&reader_ast_kind_7431, MFLAG_DEF);
  reader7431->definitionModule = modulename;
  reader7431->definitionLine = 1886;
}
adddatum2(obj7429, alloc_Undefined(), 1);
if (objclass7429 == NULL) {
  Method *reader7432 = addmethodrealflags(obj7429, "value", &reader_ast_value_7432, 0);
  Method *writer7432 = addmethodrealflags(obj7429, "value:=(1)", &writer_ast_value_7432, 0);
  reader7432->definitionModule = modulename;
  writer7432->definitionModule = modulename;
  reader7432->definitionLine = 1887;
  writer7432->definitionLine = 1887;
}
obj7429->flags |= OFLAG_MUTABLE;
adddatum2(obj7429, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7433 = (struct UserObject*)obj7429;
  uo7433->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7433 = addmethod2pos(obj7429, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7433, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7433[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7433);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7433->definitionLine = 1888;
// method "map(_)ancestors(_)"
  struct UserObject *uo7436 = (struct UserObject*)obj7429;
  uo7436->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436 = addmethod2pos(obj7429, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7436, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7436[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7436);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7436->definitionLine = 1891;
// method "pretty(_)"
  struct UserObject *uo7443 = (struct UserObject*)obj7429;
  uo7443->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7443 = addmethod2pos(obj7429, "pretty(1)", &meth_ast_pretty_40_1_41_7443, 5);
  int argcv_meth_ast_pretty_40_1_41_7443[] = {1};
  meth_meth_ast_pretty_40_1_41_7443->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7443);
  meth_meth_ast_pretty_40_1_41_7443->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7443->definitionLine = 1896;
// method "toGrace(_)"
  struct UserObject *uo7463 = (struct UserObject*)obj7429;
  uo7463->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7463 = addmethod2pos(obj7429, "toGrace(1)", &meth_ast_toGrace_40_1_41_7463, 6);
  int argcv_meth_ast_toGrace_40_1_41_7463[] = {1};
  meth_meth_ast_toGrace_40_1_41_7463->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7463);
meth_meth_ast_toGrace_40_1_41_7463->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7463->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7463->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7463->definitionLine = 1899;
// method "asString"
  struct UserObject *uo7468 = (struct UserObject*)obj7429;
  uo7468->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7468 = addmethod2pos(obj7429, "asString", &meth_ast_asString7468, 7);
  int argcv_meth_ast_asString7468[] = {0};
  meth_meth_ast_asString7468->type = alloc_MethodType(1, argcv_meth_ast_asString7468);
  meth_meth_ast_asString7468->definitionModule = modulename;
  meth_meth_ast_asString7468->definitionLine = 1902;
// method "shallowCopy"
  block_savedest(obj7429);
  Object closure7479 = createclosure(1, "shallowCopy");
  setclosureframe(closure7479, stackframe);
  addtoclosure(closure7479, var_numNode);
  struct UserObject *uo7479 = (struct UserObject*)obj7429;
  uo7479->data[8] = (Object)closure7479;
  Method *meth_meth_ast_shallowCopy7479 = addmethod2pos(obj7429, "shallowCopy", &meth_ast_shallowCopy7479, 8);
  int argcv_meth_ast_shallowCopy7479[] = {0};
  meth_meth_ast_shallowCopy7479->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7479);
  meth_meth_ast_shallowCopy7479->definitionModule = modulename;
  meth_meth_ast_shallowCopy7479->definitionLine = 1903;
// method "statementName"
  struct UserObject *uo7486 = (struct UserObject*)obj7429;
  uo7486->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7486 = addmethod2pos(obj7429, "statementName", &meth_ast_statementName7486, 9);
  int argcv_meth_ast_statementName7486[] = {0};
  meth_meth_ast_statementName7486->type = alloc_MethodType(1, argcv_meth_ast_statementName7486);
  meth_meth_ast_statementName7486->definitionModule = modulename;
  meth_meth_ast_statementName7486->definitionLine = 1906;
// method "isDelimited"
  struct UserObject *uo7488 = (struct UserObject*)obj7429;
  uo7488->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7488 = addmethod2pos(obj7429, "isDelimited", &meth_ast_isDelimited7488, 10);
  int argcv_meth_ast_isDelimited7488[] = {0};
  meth_meth_ast_isDelimited7488->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7488);
  meth_meth_ast_isDelimited7488->definitionModule = modulename;
  meth_meth_ast_isDelimited7488->definitionLine = 1907;
  sourceObject = obj7429;
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7490 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7491 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7492 = gc_frame_new();
// call case 3: self.outer request
  Object call7493 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7492);
// compiled member node returning call7493 (depth = 5)
  Object call7494 = callmethodflags(call7493, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7491);
// compiled member node returning call7494 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7495 = callmethodflags(call7494, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7490);
// compiled call node returning call7495 (depth = 3)
  struct UserObject *obj7429_uo = (struct UserObject *)obj7429;
  obj7429_uo->super = call7495;
  sourceObject = obj7429;
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7496 == NULL) {
    strlit7496 = alloc_String("num");
    gc_root(strlit7496);
  }
// compiled string node returning strlit7496 (depth = 3)
  adddatum2(obj7429, strlit7496, 1);
  sourceObject = obj7429;
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7429, *var_val, 2);
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  sourceObject = obj7429;
  objclass7429 = obj7429->class;
  objclass7429->definitionModule = modulename;
  objclass7429->definitionLine = 1884;
  (*(struct UserObject *)self).data[0] = lowerouter7429;
  self = oldself7429;
  selfslot = oldselfslot7429;
  stackframe = oldstackframe7429;
  gc_frame_end(frame);
  return obj7429;
}
Object meth_ast_numNode7498(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "numNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_numNode (depth = 3)
  gc_frame_end(frame);
  return *var_numNode;
}
Object meth_ast_isSimple7508(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7509 = alloc_Boolean(0);
// compiled identifier node returning bool7509 (depth = 3)
  gc_frame_end(frame);
  return bool7509;
}
Object meth_ast_nameString7510(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7512 == NULL) {
    strlit7512 = alloc_String("(1)");
    gc_root(strlit7512);
  }
// compiled string node returning strlit7512 (depth = 4)
  int op_slot_right_7511 = gc_frame_newslot(strlit7512);
// starting to compile member node (depth = 4)
  int callframe7514 = gc_frame_new();
// call case 4: self request
  Object call7515 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7514);
// compiled member node returning call7515 (depth = 4)
  int op_slot_left_7511 = gc_frame_newslot(call7515);
  params[0] = strlit7512;
  partcv[0] = 1;
  Object opresult7516 = callmethod(call7515, "++(1)", 1, partcv, params);
// compiled op node returning opresult7516 (depth = 3)
  gc_frame_end(frame);
  return opresult7516;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7517(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7519 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7520 = callmethodflags(*var_visitor, "visitOp(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7519);
// compiled call node returning call7520 (depth = 4)
  Object if7518 = done;
  if (istrue(call7520)) {
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7521 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7522 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7521);
// compiled call node returning call7522 (depth = 5)
  *var_newChain = call7522;
  if (call7522 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7523 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7524 = gc_frame_new();
// call case 4: self request
  Object call7525 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7524);
// compiled member node returning call7525 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7526 = callmethodflags(call7525, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7523);
// compiled call node returning call7526 (depth = 4)
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7527 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7528 = gc_frame_new();
// call case 4: self request
  Object call7529 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7528);
// compiled member node returning call7529 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7530 = callmethodflags(call7529, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7527);
// compiled call node returning call7530 (depth = 4)
    gc_frame_newslot(call7530);
    if7518 = call7530;
  } else {
  }
// compiled if node returning if7518 (depth = 3)
  gc_frame_end(frame);
  return if7518;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7531(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7532 = gc_frame_new();
// call case 4: self request
  Object call7533 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7532);
// compiled member node returning call7533 (depth = 4)
  *var_n = call7533;
  if (call7533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7534 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7535 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7534);
// compiled call node returning call7535 (depth = 4)
  *var_newChain = call7535;
  if (call7535 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7536 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7537 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7538 = gc_frame_new();
// call case 4: self request
  Object call7539 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7538);
// compiled member node returning call7539 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7540 = callmethodflags(call7539, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7537);
// compiled call node returning call7540 (depth = 4)
  gc_frame_newslot(call7540);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7540;
  partcv[0] = 1;
  Object call7541 = callmethodflags(*var_n, "left:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7536);
// compiled call node returning call7541 (depth = 3)
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7542 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7543 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7544 = gc_frame_new();
// call case 4: self request
  Object call7545 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7544);
// compiled member node returning call7545 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7546 = callmethodflags(call7545, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7543);
// compiled call node returning call7546 (depth = 4)
  gc_frame_newslot(call7546);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7546;
  partcv[0] = 1;
  Object call7547 = callmethodflags(*var_n, "right:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7542);
// compiled call node returning call7547 (depth = 3)
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7548 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7549 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7548);
// compiled call node returning call7549 (depth = 3)
  gc_frame_end(frame);
  return call7549;
}
Object meth_ast__apply_40_1_41_7558(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7560 == NULL) {
    strlit7560 = alloc_String("  ");
    gc_root(strlit7560);
  }
// compiled string node returning strlit7560 (depth = 7)
  int op_slot_right_7559 = gc_frame_newslot(strlit7560);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7559 = gc_frame_newslot(*var_spc);
  params[0] = strlit7560;
  partcv[0] = 1;
  Object opresult7562 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7562 (depth = 6)
  *var_spc = opresult7562;
  if (opresult7562 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7550(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1934
  setline(1934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7551 == NULL) {
    strlit7551 = alloc_String("");
    gc_root(strlit7551);
  }
// compiled string node returning strlit7551 (depth = 4)
  *var_spc = strlit7551;
  if (strlit7551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7552 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7553 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7555 = alloc_Float64(0);
// compiled num node returning num7555 (depth = 5)
  int op_slot_left_7553 = gc_frame_newslot(num7555);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7556 = callmethod(num7555, "..(1)", 1, partcv, params);
// compiled op node returning opresult7556 (depth = 4)
  gc_frame_newslot(opresult7556);
// starting to compile block node (depth = 4)
  Object block7557 = alloc_Block(NULL, NULL, "ast", 1935);
  gc_frame_newslot(block7557);
// method "_apply(_)"
  block_savedest(block7557);
  Object closure7558 = createclosure(2, "_apply(1)");
  setclosureframe(closure7558, stackframe);
  addtoclosure(closure7558, var_spc);
  addtoclosure(closure7558, selfslot);
  struct UserObject *uo7558 = (struct UserObject*)block7557;
  uo7558->data[0] = (Object)closure7558;
  Method *meth_meth_ast__apply_40_1_41_7558 = addmethod2pos(block7557, "_apply(1)", &meth_ast__apply_40_1_41_7558, 0);
  int argcv_meth_ast__apply_40_1_41_7558[] = {1};
  meth_meth_ast__apply_40_1_41_7558->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7558);
  meth_meth_ast__apply_40_1_41_7558->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7558->definitionLine = 2984;
// compiled block node returning block7557 (depth = 4)
  gc_frame_newslot(block7557);
// call case 5: prelude request
  params[0] = opresult7556;
  params[1] = block7557;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7565 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7552);
// compiled call node returning call7565 (depth = 3)
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7567 == NULL) {
    strlit7567 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7567);
  }
// compiled string node returning strlit7567 (depth = 5)
  int op_slot_right_7566 = gc_frame_newslot(strlit7567);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7570 = gc_frame_new();
// call case 4: self request
  Object call7571 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7570);
// compiled member node returning call7571 (depth = 6)
  int op_slot_right_7569 = gc_frame_newslot(call7571);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7574 == NULL) {
    strlit7574 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit7574);
  }
// compiled string node returning strlit7574 (depth = 7)
  int op_slot_right_7573 = gc_frame_newslot(strlit7574);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7577 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7578 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7577);
// compiled call node returning call7578 (depth = 8)
  int op_slot_right_7576 = gc_frame_newslot(call7578);
// starting to compile string node (depth = 8)
  if (strlit7580 == NULL) {
    strlit7580 = alloc_String("");
    gc_root(strlit7580);
  }
// compiled string node returning strlit7580 (depth = 8)
  int op_slot_left_7576 = gc_frame_newslot(strlit7580);
  params[0] = call7578;
  partcv[0] = 1;
  Object opresult7581 = callmethod(strlit7580, "++(1)", 1, partcv, params);
// compiled op node returning opresult7581 (depth = 7)
  int op_slot_left_7573 = gc_frame_newslot(opresult7581);
  params[0] = strlit7574;
  partcv[0] = 1;
  Object opresult7582 = callmethod(opresult7581, "++(1)", 1, partcv, params);
// compiled op node returning opresult7582 (depth = 6)
  int op_slot_left_7569 = gc_frame_newslot(opresult7582);
  params[0] = call7571;
  partcv[0] = 1;
  Object opresult7583 = callmethod(opresult7582, "++(1)", 1, partcv, params);
// compiled op node returning opresult7583 (depth = 5)
  int op_slot_left_7566 = gc_frame_newslot(opresult7583);
  params[0] = strlit7567;
  partcv[0] = 1;
  Object opresult7584 = callmethod(opresult7583, "++(1)", 1, partcv, params);
// compiled op node returning opresult7584 (depth = 4)
  *var_s = opresult7584;
  if (opresult7584 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7586 == NULL) {
    strlit7586 = alloc_String("""\x0a""");
    gc_root(strlit7586);
  }
// compiled string node returning strlit7586 (depth = 5)
  int op_slot_right_7585 = gc_frame_newslot(strlit7586);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7585 = gc_frame_newslot(*var_s);
  params[0] = strlit7586;
  partcv[0] = 1;
  Object opresult7588 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7588 (depth = 4)
  *var_s = opresult7588;
  if (opresult7588 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7591 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7593 = alloc_Float64(1);
// compiled num node returning num7593 (depth = 7)
  int op_slot_right_7592 = gc_frame_newslot(num7593);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7592 = gc_frame_newslot(*var_depth);
  params[0] = num7593;
  partcv[0] = 1;
  Object sum7595 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7595 (depth = 6)
  gc_frame_newslot(sum7595);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7596 = gc_frame_new();
// call case 4: self request
  Object call7597 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7596);
// compiled member node returning call7597 (depth = 6)
  params[0] = sum7595;
  partcv[0] = 1;
  Object call7598 = callmethodflags(call7597, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7591);
// compiled call node returning call7598 (depth = 5)
  int op_slot_right_7590 = gc_frame_newslot(call7598);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7600 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7600 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7602 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7602 (depth = 5)
  int op_slot_left_7590 = gc_frame_newslot(opresult7602);
  params[0] = call7598;
  partcv[0] = 1;
  Object opresult7603 = callmethod(opresult7602, "++(1)", 1, partcv, params);
// compiled op node returning opresult7603 (depth = 4)
  *var_s = opresult7603;
  if (opresult7603 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7606 == NULL) {
    strlit7606 = alloc_String("""\x0a""");
    gc_root(strlit7606);
  }
// compiled string node returning strlit7606 (depth = 5)
  int op_slot_right_7605 = gc_frame_newslot(strlit7606);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7605 = gc_frame_newslot(*var_s);
  params[0] = strlit7606;
  partcv[0] = 1;
  Object opresult7608 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7608 (depth = 4)
  *var_s = opresult7608;
  if (opresult7608 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7611 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7613 = alloc_Float64(1);
// compiled num node returning num7613 (depth = 7)
  int op_slot_right_7612 = gc_frame_newslot(num7613);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7612 = gc_frame_newslot(*var_depth);
  params[0] = num7613;
  partcv[0] = 1;
  Object sum7615 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7615 (depth = 6)
  gc_frame_newslot(sum7615);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7616 = gc_frame_new();
// call case 4: self request
  Object call7617 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7616);
// compiled member node returning call7617 (depth = 6)
  params[0] = sum7615;
  partcv[0] = 1;
  Object call7618 = callmethodflags(call7617, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7611);
// compiled call node returning call7618 (depth = 5)
  int op_slot_right_7610 = gc_frame_newslot(call7618);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7620 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7620 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7622 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7622 (depth = 5)
  int op_slot_left_7610 = gc_frame_newslot(opresult7622);
  params[0] = call7618;
  partcv[0] = 1;
  Object opresult7623 = callmethod(opresult7622, "++(1)", 1, partcv, params);
// compiled op node returning opresult7623 (depth = 4)
  *var_s = opresult7623;
  if (opresult7623 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply7630(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7632 = gc_frame_new();
// call case 4: self request
  Object call7633 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7632);
// compiled member node returning call7633 (depth = 7)
  int op_slot_right_7631 = gc_frame_newslot(call7633);
// starting to compile member node (depth = 7)
  int callframe7635 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7636 = gc_frame_new();
// call case 4: self request
  Object call7637 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7636);
// compiled member node returning call7637 (depth = 8)
  Object call7638 = callmethodflags(call7637, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7635);
// compiled member node returning call7638 (depth = 7)
  int op_slot_left_7631 = gc_frame_newslot(call7638);
  params[0] = call7633;
  partcv[0] = 1;
  Object opresult7639 = callmethod(call7638, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7639 (depth = 6)
  gc_frame_end(frame);
  return opresult7639;
}
Object meth_ast__apply7701(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7703 = gc_frame_new();
// call case 4: self request
  Object call7704 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7703);
// compiled member node returning call7704 (depth = 7)
  int op_slot_right_7702 = gc_frame_newslot(call7704);
// starting to compile member node (depth = 7)
  int callframe7706 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7707 = gc_frame_new();
// call case 4: self request
  Object call7708 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7707);
// compiled member node returning call7708 (depth = 8)
  Object call7709 = callmethodflags(call7708, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7706);
// compiled member node returning call7709 (depth = 7)
  int op_slot_left_7702 = gc_frame_newslot(call7709);
  params[0] = call7704;
  partcv[0] = 1;
  Object opresult7710 = callmethod(call7709, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7710 (depth = 6)
  gc_frame_end(frame);
  return opresult7710;
}
Object meth_ast_toGrace_40_1_41_7625(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7626 == NULL) {
    strlit7626 = alloc_String("");
    gc_root(strlit7626);
  }
// compiled string node returning strlit7626 (depth = 4)
  *var_s = strlit7626;
  if (strlit7626 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block7629 = alloc_Block(NULL, NULL, "ast", 1947);
  gc_frame_newslot(block7629);
// method "_apply"
  block_savedest(block7629);
  Object closure7630 = createclosure(1, "_apply");
  setclosureframe(closure7630, stackframe);
  addtoclosure(closure7630, selfslot);
  struct UserObject *uo7630 = (struct UserObject*)block7629;
  uo7630->data[0] = (Object)closure7630;
  Method *meth_meth_ast__apply7630 = addmethod2pos(block7629, "_apply", &meth_ast__apply7630, 0);
  int argcv_meth_ast__apply7630[] = {0};
  meth_meth_ast__apply7630->type = alloc_MethodType(1, argcv_meth_ast__apply7630);
  meth_meth_ast__apply7630->definitionModule = modulename;
  meth_meth_ast__apply7630->definitionLine = 2984;
// compiled block node returning block7629 (depth = 5)
  int op_slot_right_7628 = gc_frame_newslot(block7629);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7643 == NULL) {
    strlit7643 = alloc_String("op");
    gc_root(strlit7643);
  }
// compiled string node returning strlit7643 (depth = 6)
  int op_slot_right_7642 = gc_frame_newslot(strlit7643);
// starting to compile member node (depth = 6)
  int callframe7645 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7646 = gc_frame_new();
// call case 4: self request
  Object call7647 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7646);
// compiled member node returning call7647 (depth = 7)
  Object call7648 = callmethodflags(call7647, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7645);
// compiled member node returning call7648 (depth = 6)
  int op_slot_left_7642 = gc_frame_newslot(call7648);
  params[0] = strlit7643;
  partcv[0] = 1;
  Object opresult7649 = callmethod(call7648, "==(1)", 1, partcv, params);
// compiled op node returning opresult7649 (depth = 5)
  int op_slot_left_7628 = gc_frame_newslot(opresult7649);
  params[0] = block7629;
  partcv[0] = 1;
  Object opresult7650 = callmethod(opresult7649, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7650 (depth = 4)
  Object if7627 = done;
  if (istrue(opresult7650)) {
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7652 == NULL) {
    strlit7652 = alloc_String(")");
    gc_root(strlit7652);
  }
// compiled string node returning strlit7652 (depth = 6)
  int op_slot_right_7651 = gc_frame_newslot(strlit7652);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7655 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7656 = alloc_Float64(0);
// compiled num node returning num7656 (depth = 8)
  gc_frame_newslot(num7656);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7657 = gc_frame_new();
// call case 4: self request
  Object call7658 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7657);
// compiled member node returning call7658 (depth = 8)
  params[0] = num7656;
  partcv[0] = 1;
  Object call7659 = callmethodflags(call7658, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7655);
// compiled call node returning call7659 (depth = 7)
  int op_slot_right_7654 = gc_frame_newslot(call7659);
// starting to compile string node (depth = 7)
  if (strlit7661 == NULL) {
    strlit7661 = alloc_String("(");
    gc_root(strlit7661);
  }
// compiled string node returning strlit7661 (depth = 7)
  int op_slot_left_7654 = gc_frame_newslot(strlit7661);
  params[0] = call7659;
  partcv[0] = 1;
  Object opresult7662 = callmethod(strlit7661, "++(1)", 1, partcv, params);
// compiled op node returning opresult7662 (depth = 6)
  int op_slot_left_7651 = gc_frame_newslot(opresult7662);
  params[0] = strlit7652;
  partcv[0] = 1;
  Object opresult7663 = callmethod(opresult7662, "++(1)", 1, partcv, params);
// compiled op node returning opresult7663 (depth = 5)
  *var_s = opresult7663;
  if (opresult7663 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7627 = done;
  } else {
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7665 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num7666 = alloc_Float64(0);
// compiled num node returning num7666 (depth = 6)
  gc_frame_newslot(num7666);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7667 = gc_frame_new();
// call case 4: self request
  Object call7668 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7667);
// compiled member node returning call7668 (depth = 6)
  params[0] = num7666;
  partcv[0] = 1;
  Object call7669 = callmethodflags(call7668, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7665);
// compiled call node returning call7669 (depth = 5)
  *var_s = call7669;
  if (call7669 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7627 = done;
  }
// compiled if node returning if7627 (depth = 3)
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7673 == NULL) {
    strlit7673 = alloc_String("..");
    gc_root(strlit7673);
  }
// compiled string node returning strlit7673 (depth = 5)
  int op_slot_right_7672 = gc_frame_newslot(strlit7673);
// starting to compile member node (depth = 5)
  int callframe7675 = gc_frame_new();
// call case 4: self request
  Object call7676 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7675);
// compiled member node returning call7676 (depth = 5)
  int op_slot_left_7672 = gc_frame_newslot(call7676);
  params[0] = strlit7673;
  partcv[0] = 1;
  Object opresult7677 = callmethod(call7676, "==(1)", 1, partcv, params);
// compiled op node returning opresult7677 (depth = 4)
  Object if7671 = done;
  if (istrue(opresult7677)) {
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7679 = gc_frame_new();
// call case 4: self request
  Object call7680 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7679);
// compiled member node returning call7680 (depth = 6)
  int op_slot_right_7678 = gc_frame_newslot(call7680);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7678 = gc_frame_newslot(*var_s);
  params[0] = call7680;
  partcv[0] = 1;
  Object opresult7682 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7682 (depth = 5)
  *var_s = opresult7682;
  if (opresult7682 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7671 = done;
  } else {
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7685 == NULL) {
    strlit7685 = alloc_String(" ");
    gc_root(strlit7685);
  }
// compiled string node returning strlit7685 (depth = 6)
  int op_slot_right_7684 = gc_frame_newslot(strlit7685);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7688 = gc_frame_new();
// call case 4: self request
  Object call7689 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7688);
// compiled member node returning call7689 (depth = 7)
  int op_slot_right_7687 = gc_frame_newslot(call7689);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7692 == NULL) {
    strlit7692 = alloc_String(" ");
    gc_root(strlit7692);
  }
// compiled string node returning strlit7692 (depth = 8)
  int op_slot_right_7691 = gc_frame_newslot(strlit7692);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7691 = gc_frame_newslot(*var_s);
  params[0] = strlit7692;
  partcv[0] = 1;
  Object opresult7694 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7694 (depth = 7)
  int op_slot_left_7687 = gc_frame_newslot(opresult7694);
  params[0] = call7689;
  partcv[0] = 1;
  Object opresult7695 = callmethod(opresult7694, "++(1)", 1, partcv, params);
// compiled op node returning opresult7695 (depth = 6)
  int op_slot_left_7684 = gc_frame_newslot(opresult7695);
  params[0] = strlit7685;
  partcv[0] = 1;
  Object opresult7696 = callmethod(opresult7695, "++(1)", 1, partcv, params);
// compiled op node returning opresult7696 (depth = 5)
  *var_s = opresult7696;
  if (opresult7696 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7671 = done;
  }
// compiled if node returning if7671 (depth = 3)
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block7700 = alloc_Block(NULL, NULL, "ast", 1957);
  gc_frame_newslot(block7700);
// method "_apply"
  block_savedest(block7700);
  Object closure7701 = createclosure(1, "_apply");
  setclosureframe(closure7701, stackframe);
  addtoclosure(closure7701, selfslot);
  struct UserObject *uo7701 = (struct UserObject*)block7700;
  uo7701->data[0] = (Object)closure7701;
  Method *meth_meth_ast__apply7701 = addmethod2pos(block7700, "_apply", &meth_ast__apply7701, 0);
  int argcv_meth_ast__apply7701[] = {0};
  meth_meth_ast__apply7701->type = alloc_MethodType(1, argcv_meth_ast__apply7701);
  meth_meth_ast__apply7701->definitionModule = modulename;
  meth_meth_ast__apply7701->definitionLine = 2984;
// compiled block node returning block7700 (depth = 5)
  int op_slot_right_7699 = gc_frame_newslot(block7700);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7714 == NULL) {
    strlit7714 = alloc_String("op");
    gc_root(strlit7714);
  }
// compiled string node returning strlit7714 (depth = 6)
  int op_slot_right_7713 = gc_frame_newslot(strlit7714);
// starting to compile member node (depth = 6)
  int callframe7716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7717 = gc_frame_new();
// call case 4: self request
  Object call7718 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7717);
// compiled member node returning call7718 (depth = 7)
  Object call7719 = callmethodflags(call7718, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7716);
// compiled member node returning call7719 (depth = 6)
  int op_slot_left_7713 = gc_frame_newslot(call7719);
  params[0] = strlit7714;
  partcv[0] = 1;
  Object opresult7720 = callmethod(call7719, "==(1)", 1, partcv, params);
// compiled op node returning opresult7720 (depth = 5)
  int op_slot_left_7699 = gc_frame_newslot(opresult7720);
  params[0] = block7700;
  partcv[0] = 1;
  Object opresult7721 = callmethod(opresult7720, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7721 (depth = 4)
  Object if7698 = done;
  if (istrue(opresult7721)) {
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7723 == NULL) {
    strlit7723 = alloc_String(")");
    gc_root(strlit7723);
  }
// compiled string node returning strlit7723 (depth = 6)
  int op_slot_right_7722 = gc_frame_newslot(strlit7723);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7726 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7727 = alloc_Float64(0);
// compiled num node returning num7727 (depth = 8)
  gc_frame_newslot(num7727);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7728 = gc_frame_new();
// call case 4: self request
  Object call7729 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7728);
// compiled member node returning call7729 (depth = 8)
  params[0] = num7727;
  partcv[0] = 1;
  Object call7730 = callmethodflags(call7729, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7726);
// compiled call node returning call7730 (depth = 7)
  int op_slot_right_7725 = gc_frame_newslot(call7730);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7733 == NULL) {
    strlit7733 = alloc_String("(");
    gc_root(strlit7733);
  }
// compiled string node returning strlit7733 (depth = 8)
  int op_slot_right_7732 = gc_frame_newslot(strlit7733);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7732 = gc_frame_newslot(*var_s);
  params[0] = strlit7733;
  partcv[0] = 1;
  Object opresult7735 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7735 (depth = 7)
  int op_slot_left_7725 = gc_frame_newslot(opresult7735);
  params[0] = call7730;
  partcv[0] = 1;
  Object opresult7736 = callmethod(opresult7735, "++(1)", 1, partcv, params);
// compiled op node returning opresult7736 (depth = 6)
  int op_slot_left_7722 = gc_frame_newslot(opresult7736);
  params[0] = strlit7723;
  partcv[0] = 1;
  Object opresult7737 = callmethod(opresult7736, "++(1)", 1, partcv, params);
// compiled op node returning opresult7737 (depth = 5)
  *var_s = opresult7737;
  if (opresult7737 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7698 = done;
  } else {
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7740 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num7741 = alloc_Float64(0);
// compiled num node returning num7741 (depth = 7)
  gc_frame_newslot(num7741);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7742 = gc_frame_new();
// call case 4: self request
  Object call7743 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7742);
// compiled member node returning call7743 (depth = 7)
  params[0] = num7741;
  partcv[0] = 1;
  Object call7744 = callmethodflags(call7743, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7740);
// compiled call node returning call7744 (depth = 6)
  int op_slot_right_7739 = gc_frame_newslot(call7744);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7739 = gc_frame_newslot(*var_s);
  params[0] = call7744;
  partcv[0] = 1;
  Object opresult7746 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7746 (depth = 5)
  *var_s = opresult7746;
  if (opresult7746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7698 = done;
  }
// compiled if node returning if7698 (depth = 3)
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asIdentifier7748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7749 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7750 = gc_frame_new();
// call case 4: self request
  Object call7751 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7750);
// compiled member node returning call7751 (depth = 5)
  gc_frame_newslot(call7751);
// starting to compile identifier node (depth = 5)
  Object bool7752 = alloc_Boolean(0);
// compiled identifier node returning bool7752 (depth = 5)
  gc_frame_newslot(bool7752);
// starting to compile member node (depth = 5)
  int callframe7753 = gc_frame_new();
// call case 4: self request
  Object call7754 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7753);
// compiled member node returning call7754 (depth = 5)
  gc_frame_newslot(call7754);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7751;
  params[1] = bool7752;
  params[2] = call7754;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7755 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7749);
// compiled call node returning call7755 (depth = 4)
  *var_resultNode = call7755;
  if (call7755 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7756 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7757 = alloc_Boolean(1);
// compiled identifier node returning bool7757 (depth = 4)
  gc_frame_newslot(bool7757);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool7757;
  partcv[0] = 1;
  Object call7758 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7756);
// compiled call node returning call7758 (depth = 3)
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7759 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7760 = gc_frame_new();
// call case 4: self request
  Object call7761 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7760);
// compiled member node returning call7761 (depth = 4)
  gc_frame_newslot(call7761);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7761;
  partcv[0] = 1;
  Object call7762 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7759);
// compiled call node returning call7762 (depth = 3)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7763 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7764 = gc_frame_new();
// call case 4: self request
  Object call7765 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7764);
// compiled member node returning call7765 (depth = 4)
  gc_frame_newslot(call7765);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7765;
  partcv[0] = 1;
  Object call7766 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7763);
// compiled call node returning call7766 (depth = 3)
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopy7767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_opNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7768 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7769 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7770 = gc_frame_new();
// call case 4: self request
  Object call7771 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7770);
// compiled member node returning call7771 (depth = 5)
  gc_frame_newslot(call7771);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opNode (depth = 5)
  params[0] = call7771;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call7772 = callmethodflags(*var_opNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe7769);
// compiled call node returning call7772 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7773 = callmethodflags(call7772, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7768);
// compiled call node returning call7773 (depth = 3)
  gc_frame_end(frame);
  return call7773;
}
Object meth_ast_new_40_3_41_7501(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7502 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7502 = alloc_userobj2(14,13, objclass7502);
  gc_frame_newslot(obj7502);
if (objclass7502 == NULL) {
  glfree(obj7502->class->name);
  obj7502->class->name = "opNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7502, self, 0);
  addmethodreal(obj7502,"outer", &reader_ast_outer_7503);
  Object oldself7502 = self;
  struct StackFrameObject *oldstackframe7502 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7502);
  gc_frame_newslot((Object)stackframe);
  self = obj7502;
  Object *oldselfslot7502 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7502 = (*(struct UserObject *)self).data[0], lowerouter7502 = thisouter7502;
  if (inheritingObject7502) {
    struct UserObject *inho7502 = (struct UserObject *)inheritingObject7502;
    while (inho7502->super != GraceDefaultObject) inho7502 = (struct UserObject *)inho7502->super;
    inho7502->super = obj7502;
    self = inheritingObject7502;
    *selfslot = self;
    lowerouter7502 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7502;
  }
if (objclass7502 == NULL) {
  Method *reader7504 = addmethodrealflags(obj7502, "kind",&reader_ast_kind_7504, MFLAG_DEF);
  reader7504->definitionModule = modulename;
  reader7504->definitionLine = 1913;
}
adddatum2(obj7502, alloc_Undefined(), 1);
if (objclass7502 == NULL) {
  Method *reader7505 = addmethodrealflags(obj7502, "value",&reader_ast_value_7505, MFLAG_DEF);
  reader7505->definitionModule = modulename;
  reader7505->definitionLine = 1914;
}
adddatum2(obj7502, alloc_Undefined(), 2);
if (objclass7502 == NULL) {
  Method *reader7506 = addmethodrealflags(obj7502, "left", &reader_ast_left_7506, 0);
  Method *writer7506 = addmethodrealflags(obj7502, "left:=(1)", &writer_ast_left_7506, 0);
  reader7506->definitionModule = modulename;
  writer7506->definitionModule = modulename;
  reader7506->definitionLine = 1915;
  writer7506->definitionLine = 1915;
}
obj7502->flags |= OFLAG_MUTABLE;
adddatum2(obj7502, alloc_Undefined(), 3);
if (objclass7502 == NULL) {
  Method *reader7507 = addmethodrealflags(obj7502, "right", &reader_ast_right_7507, 0);
  Method *writer7507 = addmethodrealflags(obj7502, "right:=(1)", &writer_ast_right_7507, 0);
  reader7507->definitionModule = modulename;
  writer7507->definitionModule = modulename;
  reader7507->definitionLine = 1916;
  writer7507->definitionLine = 1916;
}
obj7502->flags |= OFLAG_MUTABLE;
adddatum2(obj7502, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo7508 = (struct UserObject*)obj7502;
  uo7508->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple7508 = addmethod2pos(obj7502, "isSimple", &meth_ast_isSimple7508, 5);
  int argcv_meth_ast_isSimple7508[] = {0};
  meth_meth_ast_isSimple7508->type = alloc_MethodType(1, argcv_meth_ast_isSimple7508);
  meth_meth_ast_isSimple7508->definitionModule = modulename;
  meth_meth_ast_isSimple7508->definitionLine = 1917;
// method "nameString"
  struct UserObject *uo7510 = (struct UserObject*)obj7502;
  uo7510->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString7510 = addmethod2pos(obj7502, "nameString", &meth_ast_nameString7510, 6);
  int argcv_meth_ast_nameString7510[] = {0};
  meth_meth_ast_nameString7510->type = alloc_MethodType(1, argcv_meth_ast_nameString7510);
  meth_meth_ast_nameString7510->definitionModule = modulename;
  meth_meth_ast_nameString7510->definitionLine = 1918;
// method "accept(_)from(_)"
  struct UserObject *uo7517 = (struct UserObject*)obj7502;
  uo7517->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7517 = addmethod2pos(obj7502, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7517, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7517[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7517);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->definitionLine = 1919;
// method "map(_)ancestors(_)"
  struct UserObject *uo7531 = (struct UserObject*)obj7502;
  uo7531->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531 = addmethod2pos(obj7502, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7531, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7531[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7531);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->definitionLine = 1926;
// method "pretty(_)"
  struct UserObject *uo7550 = (struct UserObject*)obj7502;
  uo7550->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7550 = addmethod2pos(obj7502, "pretty(1)", &meth_ast_pretty_40_1_41_7550, 9);
  int argcv_meth_ast_pretty_40_1_41_7550[] = {1};
  meth_meth_ast_pretty_40_1_41_7550->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7550);
  meth_meth_ast_pretty_40_1_41_7550->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7550->definitionLine = 1933;
// method "toGrace(_)"
  struct UserObject *uo7625 = (struct UserObject*)obj7502;
  uo7625->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7625 = addmethod2pos(obj7502, "toGrace(1)", &meth_ast_toGrace_40_1_41_7625, 10);
  int argcv_meth_ast_toGrace_40_1_41_7625[] = {1};
  meth_meth_ast_toGrace_40_1_41_7625->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7625);
meth_meth_ast_toGrace_40_1_41_7625->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7625->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7625->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7625->definitionLine = 1945;
// method "asIdentifier"
  block_savedest(obj7502);
  Object closure7748 = createclosure(1, "asIdentifier");
  setclosureframe(closure7748, stackframe);
  addtoclosure(closure7748, var_identifierNode);
  struct UserObject *uo7748 = (struct UserObject*)obj7502;
  uo7748->data[11] = (Object)closure7748;
  Method *meth_meth_ast_asIdentifier7748 = addmethod2pos(obj7502, "asIdentifier", &meth_ast_asIdentifier7748, 11);
  int argcv_meth_ast_asIdentifier7748[] = {0};
  meth_meth_ast_asIdentifier7748->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7748);
  meth_meth_ast_asIdentifier7748->definitionModule = modulename;
  meth_meth_ast_asIdentifier7748->definitionLine = 1964;
// method "shallowCopy"
  block_savedest(obj7502);
  Object closure7767 = createclosure(2, "shallowCopy");
  setclosureframe(closure7767, stackframe);
  addtoclosure(closure7767, var_nullNode);
  addtoclosure(closure7767, var_opNode);
  struct UserObject *uo7767 = (struct UserObject*)obj7502;
  uo7767->data[12] = (Object)closure7767;
  Method *meth_meth_ast_shallowCopy7767 = addmethod2pos(obj7502, "shallowCopy", &meth_ast_shallowCopy7767, 12);
  int argcv_meth_ast_shallowCopy7767[] = {0};
  meth_meth_ast_shallowCopy7767->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7767);
  meth_meth_ast_shallowCopy7767->definitionModule = modulename;
  meth_meth_ast_shallowCopy7767->definitionLine = 1972;
  sourceObject = obj7502;
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7774 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7776 = gc_frame_new();
// call case 3: self.outer request
  Object call7777 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7776);
// compiled member node returning call7777 (depth = 5)
  Object call7778 = callmethodflags(call7777, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7775);
// compiled member node returning call7778 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7779 = callmethodflags(call7778, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7774);
// compiled call node returning call7779 (depth = 3)
  struct UserObject *obj7502_uo = (struct UserObject *)obj7502;
  obj7502_uo->super = call7779;
  sourceObject = obj7502;
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7780 == NULL) {
    strlit7780 = alloc_String("op");
    gc_root(strlit7780);
  }
// compiled string node returning strlit7780 (depth = 3)
  adddatum2(obj7502, strlit7780, 1);
  sourceObject = obj7502;
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj7502, *var_op, 2);
  sourceObject = obj7502;
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj7502, *var_l, 3);
  sourceObject = obj7502;
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj7502, *var_r, 4);
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  objclass7502 = obj7502->class;
  objclass7502->definitionModule = modulename;
  objclass7502->definitionLine = 1911;
  (*(struct UserObject *)self).data[0] = lowerouter7502;
  self = oldself7502;
  selfslot = oldselfslot7502;
  stackframe = oldstackframe7502;
  gc_frame_end(frame);
  return obj7502;
}
Object meth_ast_new_40_3_41_7501_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7502 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7502 = alloc_userobj2(14,13, objclass7502);
  gc_frame_newslot(obj7502);
if (objclass7502 == NULL) {
  glfree(obj7502->class->name);
  obj7502->class->name = "opNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7502, self, 0);
  addmethodreal(obj7502,"outer", &reader_ast_outer_7503);
  Object oldself7502 = self;
  struct StackFrameObject *oldstackframe7502 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7502);
  gc_frame_newslot((Object)stackframe);
  self = obj7502;
  Object *oldselfslot7502 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7502 = (*(struct UserObject *)self).data[0], lowerouter7502 = thisouter7502;
  if (inheritingObject7502) {
    struct UserObject *inho7502 = (struct UserObject *)inheritingObject7502;
    while (inho7502->super != GraceDefaultObject) inho7502 = (struct UserObject *)inho7502->super;
    inho7502->super = obj7502;
    self = inheritingObject7502;
    *selfslot = self;
    lowerouter7502 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7502;
  }
if (objclass7502 == NULL) {
  Method *reader7504 = addmethodrealflags(obj7502, "kind",&reader_ast_kind_7504, MFLAG_DEF);
  reader7504->definitionModule = modulename;
  reader7504->definitionLine = 1913;
}
adddatum2(obj7502, alloc_Undefined(), 1);
if (objclass7502 == NULL) {
  Method *reader7505 = addmethodrealflags(obj7502, "value",&reader_ast_value_7505, MFLAG_DEF);
  reader7505->definitionModule = modulename;
  reader7505->definitionLine = 1914;
}
adddatum2(obj7502, alloc_Undefined(), 2);
if (objclass7502 == NULL) {
  Method *reader7506 = addmethodrealflags(obj7502, "left", &reader_ast_left_7506, 0);
  Method *writer7506 = addmethodrealflags(obj7502, "left:=(1)", &writer_ast_left_7506, 0);
  reader7506->definitionModule = modulename;
  writer7506->definitionModule = modulename;
  reader7506->definitionLine = 1915;
  writer7506->definitionLine = 1915;
}
obj7502->flags |= OFLAG_MUTABLE;
adddatum2(obj7502, alloc_Undefined(), 3);
if (objclass7502 == NULL) {
  Method *reader7507 = addmethodrealflags(obj7502, "right", &reader_ast_right_7507, 0);
  Method *writer7507 = addmethodrealflags(obj7502, "right:=(1)", &writer_ast_right_7507, 0);
  reader7507->definitionModule = modulename;
  writer7507->definitionModule = modulename;
  reader7507->definitionLine = 1916;
  writer7507->definitionLine = 1916;
}
obj7502->flags |= OFLAG_MUTABLE;
adddatum2(obj7502, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo7508 = (struct UserObject*)obj7502;
  uo7508->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple7508 = addmethod2pos(obj7502, "isSimple", &meth_ast_isSimple7508, 5);
  int argcv_meth_ast_isSimple7508[] = {0};
  meth_meth_ast_isSimple7508->type = alloc_MethodType(1, argcv_meth_ast_isSimple7508);
  meth_meth_ast_isSimple7508->definitionModule = modulename;
  meth_meth_ast_isSimple7508->definitionLine = 1917;
// method "nameString"
  struct UserObject *uo7510 = (struct UserObject*)obj7502;
  uo7510->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString7510 = addmethod2pos(obj7502, "nameString", &meth_ast_nameString7510, 6);
  int argcv_meth_ast_nameString7510[] = {0};
  meth_meth_ast_nameString7510->type = alloc_MethodType(1, argcv_meth_ast_nameString7510);
  meth_meth_ast_nameString7510->definitionModule = modulename;
  meth_meth_ast_nameString7510->definitionLine = 1918;
// method "accept(_)from(_)"
  struct UserObject *uo7517 = (struct UserObject*)obj7502;
  uo7517->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7517 = addmethod2pos(obj7502, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7517, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7517[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7517);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7517->definitionLine = 1919;
// method "map(_)ancestors(_)"
  struct UserObject *uo7531 = (struct UserObject*)obj7502;
  uo7531->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531 = addmethod2pos(obj7502, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7531, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7531[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7531);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7531->definitionLine = 1926;
// method "pretty(_)"
  struct UserObject *uo7550 = (struct UserObject*)obj7502;
  uo7550->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7550 = addmethod2pos(obj7502, "pretty(1)", &meth_ast_pretty_40_1_41_7550, 9);
  int argcv_meth_ast_pretty_40_1_41_7550[] = {1};
  meth_meth_ast_pretty_40_1_41_7550->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7550);
  meth_meth_ast_pretty_40_1_41_7550->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7550->definitionLine = 1933;
// method "toGrace(_)"
  struct UserObject *uo7625 = (struct UserObject*)obj7502;
  uo7625->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7625 = addmethod2pos(obj7502, "toGrace(1)", &meth_ast_toGrace_40_1_41_7625, 10);
  int argcv_meth_ast_toGrace_40_1_41_7625[] = {1};
  meth_meth_ast_toGrace_40_1_41_7625->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7625);
meth_meth_ast_toGrace_40_1_41_7625->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7625->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7625->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7625->definitionLine = 1945;
// method "asIdentifier"
  block_savedest(obj7502);
  Object closure7748 = createclosure(1, "asIdentifier");
  setclosureframe(closure7748, stackframe);
  addtoclosure(closure7748, var_identifierNode);
  struct UserObject *uo7748 = (struct UserObject*)obj7502;
  uo7748->data[11] = (Object)closure7748;
  Method *meth_meth_ast_asIdentifier7748 = addmethod2pos(obj7502, "asIdentifier", &meth_ast_asIdentifier7748, 11);
  int argcv_meth_ast_asIdentifier7748[] = {0};
  meth_meth_ast_asIdentifier7748->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7748);
  meth_meth_ast_asIdentifier7748->definitionModule = modulename;
  meth_meth_ast_asIdentifier7748->definitionLine = 1964;
// method "shallowCopy"
  block_savedest(obj7502);
  Object closure7767 = createclosure(2, "shallowCopy");
  setclosureframe(closure7767, stackframe);
  addtoclosure(closure7767, var_nullNode);
  addtoclosure(closure7767, var_opNode);
  struct UserObject *uo7767 = (struct UserObject*)obj7502;
  uo7767->data[12] = (Object)closure7767;
  Method *meth_meth_ast_shallowCopy7767 = addmethod2pos(obj7502, "shallowCopy", &meth_ast_shallowCopy7767, 12);
  int argcv_meth_ast_shallowCopy7767[] = {0};
  meth_meth_ast_shallowCopy7767->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7767);
  meth_meth_ast_shallowCopy7767->definitionModule = modulename;
  meth_meth_ast_shallowCopy7767->definitionLine = 1972;
  sourceObject = obj7502;
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7774 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7776 = gc_frame_new();
// call case 3: self.outer request
  Object call7777 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7776);
// compiled member node returning call7777 (depth = 5)
  Object call7778 = callmethodflags(call7777, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7775);
// compiled member node returning call7778 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7779 = callmethodflags(call7778, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7774);
// compiled call node returning call7779 (depth = 3)
  struct UserObject *obj7502_uo = (struct UserObject *)obj7502;
  obj7502_uo->super = call7779;
  sourceObject = obj7502;
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7780 == NULL) {
    strlit7780 = alloc_String("op");
    gc_root(strlit7780);
  }
// compiled string node returning strlit7780 (depth = 3)
  adddatum2(obj7502, strlit7780, 1);
  sourceObject = obj7502;
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj7502, *var_op, 2);
  sourceObject = obj7502;
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj7502, *var_l, 3);
  sourceObject = obj7502;
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj7502, *var_r, 4);
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  sourceObject = obj7502;
  objclass7502 = obj7502->class;
  objclass7502->definitionModule = modulename;
  objclass7502->definitionLine = 1911;
  (*(struct UserObject *)self).data[0] = lowerouter7502;
  self = oldself7502;
  selfslot = oldselfslot7502;
  stackframe = oldstackframe7502;
  gc_frame_end(frame);
  return obj7502;
}
Object meth_ast_opNode7782(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "opNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_opNode (depth = 3)
  gc_frame_end(frame);
  return *var_opNode;
}
Object meth_ast_nameString7791(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7793 == NULL) {
    strlit7793 = alloc_String(":=(1)");
    gc_root(strlit7793);
  }
// compiled string node returning strlit7793 (depth = 4)
  int op_slot_right_7792 = gc_frame_newslot(strlit7793);
// starting to compile member node (depth = 4)
  int callframe7795 = gc_frame_new();
// call case 4: self request
  Object call7796 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7795);
// compiled member node returning call7796 (depth = 4)
  int op_slot_left_7792 = gc_frame_newslot(call7796);
  params[0] = strlit7793;
  partcv[0] = 1;
  Object opresult7797 = callmethod(call7796, "++(1)", 1, partcv, params);
// compiled op node returning opresult7797 (depth = 3)
  gc_frame_end(frame);
  return opresult7797;
}
Object meth_ast_canonicalName7798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7800 == NULL) {
    strlit7800 = alloc_String(":=(_)");
    gc_root(strlit7800);
  }
// compiled string node returning strlit7800 (depth = 4)
  int op_slot_right_7799 = gc_frame_newslot(strlit7800);
// starting to compile member node (depth = 4)
  int callframe7802 = gc_frame_new();
// call case 4: self request
  Object call7803 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7802);
// compiled member node returning call7803 (depth = 4)
  int op_slot_left_7799 = gc_frame_newslot(call7803);
  params[0] = strlit7800;
  partcv[0] = 1;
  Object opresult7804 = callmethod(call7803, "++(1)", 1, partcv, params);
// compiled op node returning opresult7804 (depth = 3)
  gc_frame_end(frame);
  return opresult7804;
}
Object meth_ast_isBind7805(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7806 = alloc_Boolean(1);
// compiled identifier node returning bool7806 (depth = 3)
  gc_frame_end(frame);
  return bool7806;
}
Object meth_ast_asString7807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7809 == NULL) {
    strlit7809 = alloc_String("");
    gc_root(strlit7809);
  }
// compiled string node returning strlit7809 (depth = 4)
  int op_slot_right_7808 = gc_frame_newslot(strlit7809);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7812 = gc_frame_new();
// call case 4: self request
  Object call7813 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7812);
// compiled member node returning call7813 (depth = 5)
  int op_slot_right_7811 = gc_frame_newslot(call7813);
// starting to compile string node (depth = 5)
  if (strlit7815 == NULL) {
    strlit7815 = alloc_String("bind ");
    gc_root(strlit7815);
  }
// compiled string node returning strlit7815 (depth = 5)
  int op_slot_left_7811 = gc_frame_newslot(strlit7815);
  params[0] = call7813;
  partcv[0] = 1;
  Object opresult7816 = callmethod(strlit7815, "++(1)", 1, partcv, params);
// compiled op node returning opresult7816 (depth = 4)
  int op_slot_left_7808 = gc_frame_newslot(opresult7816);
  params[0] = strlit7809;
  partcv[0] = 1;
  Object opresult7817 = callmethod(opresult7816, "++(1)", 1, partcv, params);
// compiled op node returning opresult7817 (depth = 3)
  gc_frame_end(frame);
  return opresult7817;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7820 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7821 = callmethodflags(*var_visitor, "visitBind(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7820);
// compiled call node returning call7821 (depth = 4)
  Object if7819 = done;
  if (istrue(call7821)) {
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7822 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7823 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7822);
// compiled call node returning call7823 (depth = 5)
  *var_newChain = call7823;
  if (call7823 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7824 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7825 = gc_frame_new();
// call case 4: self request
  Object call7826 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7825);
// compiled member node returning call7826 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7827 = callmethodflags(call7826, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7824);
// compiled call node returning call7827 (depth = 4)
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7828 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7829 = gc_frame_new();
// call case 4: self request
  Object call7830 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7829);
// compiled member node returning call7830 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7831 = callmethodflags(call7830, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7828);
// compiled call node returning call7831 (depth = 4)
    gc_frame_newslot(call7831);
    if7819 = call7831;
  } else {
  }
// compiled if node returning if7819 (depth = 3)
  gc_frame_end(frame);
  return if7819;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7832(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7833 = gc_frame_new();
// call case 4: self request
  Object call7834 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7833);
// compiled member node returning call7834 (depth = 4)
  *var_n = call7834;
  if (call7834 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7835 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7836 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7835);
// compiled call node returning call7836 (depth = 4)
  *var_newChain = call7836;
  if (call7836 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7837 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7838 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7839 = gc_frame_new();
// call case 4: self request
  Object call7840 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7839);
// compiled member node returning call7840 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7841 = callmethodflags(call7840, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7838);
// compiled call node returning call7841 (depth = 4)
  gc_frame_newslot(call7841);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7841;
  partcv[0] = 1;
  Object call7842 = callmethodflags(*var_n, "dest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7837);
// compiled call node returning call7842 (depth = 3)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7843 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7844 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7845 = gc_frame_new();
// call case 4: self request
  Object call7846 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7845);
// compiled member node returning call7846 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7847 = callmethodflags(call7846, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7844);
// compiled call node returning call7847 (depth = 4)
  gc_frame_newslot(call7847);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7847;
  partcv[0] = 1;
  Object call7848 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7843);
// compiled call node returning call7848 (depth = 3)
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7849 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7850 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7849);
// compiled call node returning call7850 (depth = 3)
  gc_frame_end(frame);
  return call7850;
}
Object meth_ast__apply_40_1_41_7859(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7861 == NULL) {
    strlit7861 = alloc_String("  ");
    gc_root(strlit7861);
  }
// compiled string node returning strlit7861 (depth = 7)
  int op_slot_right_7860 = gc_frame_newslot(strlit7861);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7860 = gc_frame_newslot(*var_spc);
  params[0] = strlit7861;
  partcv[0] = 1;
  Object opresult7863 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7863 (depth = 6)
  *var_spc = opresult7863;
  if (opresult7863 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7852 == NULL) {
    strlit7852 = alloc_String("");
    gc_root(strlit7852);
  }
// compiled string node returning strlit7852 (depth = 4)
  *var_spc = strlit7852;
  if (strlit7852 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7853 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7854 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7856 = alloc_Float64(0);
// compiled num node returning num7856 (depth = 5)
  int op_slot_left_7854 = gc_frame_newslot(num7856);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7857 = callmethod(num7856, "..(1)", 1, partcv, params);
// compiled op node returning opresult7857 (depth = 4)
  gc_frame_newslot(opresult7857);
// starting to compile block node (depth = 4)
  Object block7858 = alloc_Block(NULL, NULL, "ast", 2005);
  gc_frame_newslot(block7858);
// method "_apply(_)"
  block_savedest(block7858);
  Object closure7859 = createclosure(2, "_apply(1)");
  setclosureframe(closure7859, stackframe);
  addtoclosure(closure7859, var_spc);
  addtoclosure(closure7859, selfslot);
  struct UserObject *uo7859 = (struct UserObject*)block7858;
  uo7859->data[0] = (Object)closure7859;
  Method *meth_meth_ast__apply_40_1_41_7859 = addmethod2pos(block7858, "_apply(1)", &meth_ast__apply_40_1_41_7859, 0);
  int argcv_meth_ast__apply_40_1_41_7859[] = {1};
  meth_meth_ast__apply_40_1_41_7859->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7859);
  meth_meth_ast__apply_40_1_41_7859->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7859->definitionLine = 2984;
// compiled block node returning block7858 (depth = 4)
  gc_frame_newslot(block7858);
// call case 5: prelude request
  params[0] = opresult7857;
  params[1] = block7858;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7866 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7853);
// compiled call node returning call7866 (depth = 3)
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7868 == NULL) {
    strlit7868 = alloc_String("""\x0a""");
    gc_root(strlit7868);
  }
// compiled string node returning strlit7868 (depth = 5)
  int op_slot_right_7867 = gc_frame_newslot(strlit7868);
// starting to compile call node (depth = 5)
  int callframe7870 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7871 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7870);
// compiled call node returning call7871 (depth = 5)
  int op_slot_left_7867 = gc_frame_newslot(call7871);
  params[0] = strlit7868;
  partcv[0] = 1;
  Object opresult7872 = callmethod(call7871, "++(1)", 1, partcv, params);
// compiled op node returning opresult7872 (depth = 4)
  *var_s = opresult7872;
  if (opresult7872 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7874 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7876 = alloc_Float64(1);
// compiled num node returning num7876 (depth = 7)
  int op_slot_right_7875 = gc_frame_newslot(num7876);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7875 = gc_frame_newslot(*var_depth);
  params[0] = num7876;
  partcv[0] = 1;
  Object sum7878 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7878 (depth = 6)
  gc_frame_newslot(sum7878);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7879 = gc_frame_new();
// call case 4: self request
  Object call7880 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7879);
// compiled member node returning call7880 (depth = 6)
  params[0] = sum7878;
  partcv[0] = 1;
  Object call7881 = callmethodflags(call7880, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7874);
// compiled call node returning call7881 (depth = 5)
  int op_slot_right_7873 = gc_frame_newslot(call7881);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7883 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7883 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7885 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7885 (depth = 5)
  int op_slot_left_7873 = gc_frame_newslot(opresult7885);
  params[0] = call7881;
  partcv[0] = 1;
  Object opresult7886 = callmethod(opresult7885, "++(1)", 1, partcv, params);
// compiled op node returning opresult7886 (depth = 4)
  *var_s = opresult7886;
  if (opresult7886 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7889 == NULL) {
    strlit7889 = alloc_String("""\x0a""");
    gc_root(strlit7889);
  }
// compiled string node returning strlit7889 (depth = 5)
  int op_slot_right_7888 = gc_frame_newslot(strlit7889);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7888 = gc_frame_newslot(*var_s);
  params[0] = strlit7889;
  partcv[0] = 1;
  Object opresult7891 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7891 (depth = 4)
  *var_s = opresult7891;
  if (opresult7891 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7894 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7896 = alloc_Float64(1);
// compiled num node returning num7896 (depth = 7)
  int op_slot_right_7895 = gc_frame_newslot(num7896);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7895 = gc_frame_newslot(*var_depth);
  params[0] = num7896;
  partcv[0] = 1;
  Object sum7898 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7898 (depth = 6)
  gc_frame_newslot(sum7898);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7899 = gc_frame_new();
// call case 4: self request
  Object call7900 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7899);
// compiled member node returning call7900 (depth = 6)
  params[0] = sum7898;
  partcv[0] = 1;
  Object call7901 = callmethodflags(call7900, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7894);
// compiled call node returning call7901 (depth = 5)
  int op_slot_right_7893 = gc_frame_newslot(call7901);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7903 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7903 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7905 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7905 (depth = 5)
  int op_slot_left_7893 = gc_frame_newslot(opresult7905);
  params[0] = call7901;
  partcv[0] = 1;
  Object opresult7906 = callmethod(opresult7905, "++(1)", 1, partcv, params);
// compiled op node returning opresult7906 (depth = 4)
  *var_s = opresult7906;
  if (opresult7906 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_7920(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7922 == NULL) {
    strlit7922 = alloc_String("    ");
    gc_root(strlit7922);
  }
// compiled string node returning strlit7922 (depth = 7)
  int op_slot_right_7921 = gc_frame_newslot(strlit7922);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7921 = gc_frame_newslot(*var_spc);
  params[0] = strlit7922;
  partcv[0] = 1;
  Object opresult7924 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7924 (depth = 6)
  *var_spc = opresult7924;
  if (opresult7924 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_7908(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7909 == NULL) {
    strlit7909 = alloc_String("");
    gc_root(strlit7909);
  }
// compiled string node returning strlit7909 (depth = 4)
  *var_spc = strlit7909;
  if (strlit7909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7910 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7913 = alloc_Float64(1);
// compiled num node returning num7913 (depth = 6)
  int op_slot_right_7912 = gc_frame_newslot(num7913);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7912 = gc_frame_newslot(*var_depth);
  params[0] = num7913;
  partcv[0] = 1;
  Object diff7915 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff7915 (depth = 5)
  int op_slot_right_7911 = gc_frame_newslot(diff7915);
// starting to compile num node (depth = 5)
  Object num7917 = alloc_Float64(0);
// compiled num node returning num7917 (depth = 5)
  int op_slot_left_7911 = gc_frame_newslot(num7917);
  params[0] = diff7915;
  partcv[0] = 1;
  Object opresult7918 = callmethod(num7917, "..(1)", 1, partcv, params);
// compiled op node returning opresult7918 (depth = 4)
  gc_frame_newslot(opresult7918);
// starting to compile block node (depth = 4)
  Object block7919 = alloc_Block(NULL, NULL, "ast", 2016);
  gc_frame_newslot(block7919);
// method "_apply(_)"
  block_savedest(block7919);
  Object closure7920 = createclosure(2, "_apply(1)");
  setclosureframe(closure7920, stackframe);
  addtoclosure(closure7920, var_spc);
  addtoclosure(closure7920, selfslot);
  struct UserObject *uo7920 = (struct UserObject*)block7919;
  uo7920->data[0] = (Object)closure7920;
  Method *meth_meth_ast__apply_40_1_41_7920 = addmethod2pos(block7919, "_apply(1)", &meth_ast__apply_40_1_41_7920, 0);
  int argcv_meth_ast__apply_40_1_41_7920[] = {1};
  meth_meth_ast__apply_40_1_41_7920->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7920);
  meth_meth_ast__apply_40_1_41_7920->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7920->definitionLine = 2984;
// compiled block node returning block7919 (depth = 4)
  gc_frame_newslot(block7919);
// call case 5: prelude request
  params[0] = opresult7918;
  params[1] = block7919;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7927 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7910);
// compiled call node returning call7927 (depth = 3)
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7928 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7930 = alloc_Float64(1);
// compiled num node returning num7930 (depth = 6)
  int op_slot_right_7929 = gc_frame_newslot(num7930);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7929 = gc_frame_newslot(*var_depth);
  params[0] = num7930;
  partcv[0] = 1;
  Object sum7932 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7932 (depth = 5)
  gc_frame_newslot(sum7932);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7933 = gc_frame_new();
// call case 4: self request
  Object call7934 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7933);
// compiled member node returning call7934 (depth = 5)
  params[0] = sum7932;
  partcv[0] = 1;
  Object call7935 = callmethodflags(call7934, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7928);
// compiled call node returning call7935 (depth = 4)
  *var_s = call7935;
  if (call7935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7937 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7939 = alloc_Float64(1);
// compiled num node returning num7939 (depth = 7)
  int op_slot_right_7938 = gc_frame_newslot(num7939);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7938 = gc_frame_newslot(*var_depth);
  params[0] = num7939;
  partcv[0] = 1;
  Object sum7941 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7941 (depth = 6)
  gc_frame_newslot(sum7941);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7942 = gc_frame_new();
// call case 4: self request
  Object call7943 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7942);
// compiled member node returning call7943 (depth = 6)
  params[0] = sum7941;
  partcv[0] = 1;
  Object call7944 = callmethodflags(call7943, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7937);
// compiled call node returning call7944 (depth = 5)
  int op_slot_right_7936 = gc_frame_newslot(call7944);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7947 == NULL) {
    strlit7947 = alloc_String(" := ");
    gc_root(strlit7947);
  }
// compiled string node returning strlit7947 (depth = 6)
  int op_slot_right_7946 = gc_frame_newslot(strlit7947);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7946 = gc_frame_newslot(*var_s);
  params[0] = strlit7947;
  partcv[0] = 1;
  Object opresult7949 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7949 (depth = 5)
  int op_slot_left_7936 = gc_frame_newslot(opresult7949);
  params[0] = call7944;
  partcv[0] = 1;
  Object opresult7950 = callmethod(opresult7949, "++(1)", 1, partcv, params);
// compiled op node returning opresult7950 (depth = 4)
  *var_s = opresult7950;
  if (opresult7950 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy7952(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7953 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7954 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7955 = gc_frame_new();
// call case 4: self request
  Object call7956 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7955);
// compiled member node returning call7956 (depth = 5)
  gc_frame_newslot(call7956);
// starting to compile member node (depth = 5)
  int callframe7957 = gc_frame_new();
// call case 4: self request
  Object call7958 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7957);
// compiled member node returning call7958 (depth = 5)
  gc_frame_newslot(call7958);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_bindNode (depth = 5)
  params[0] = call7956;
  params[1] = call7958;
  partcv[0] = 2;
  Object call7959 = callmethodflags(*var_bindNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7954);
// compiled call node returning call7959 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7960 = callmethodflags(call7959, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7953);
// compiled call node returning call7960 (depth = 3)
  gc_frame_end(frame);
  return call7960;
}
Object meth_ast_statementName7961(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7962 == NULL) {
    strlit7962 = alloc_String("assignment or assigment request");
    gc_root(strlit7962);
  }
// compiled string node returning strlit7962 (depth = 3)
  gc_frame_end(frame);
  return strlit7962;
}
Object meth_ast_new_40_2_41_7785(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7786 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7786 = alloc_userobj2(15,14, objclass7786);
  gc_frame_newslot(obj7786);
if (objclass7786 == NULL) {
  glfree(obj7786->class->name);
  obj7786->class->name = "bindNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7786, self, 0);
  addmethodreal(obj7786,"outer", &reader_ast_outer_7787);
  Object oldself7786 = self;
  struct StackFrameObject *oldstackframe7786 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7786);
  gc_frame_newslot((Object)stackframe);
  self = obj7786;
  Object *oldselfslot7786 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7786 = (*(struct UserObject *)self).data[0], lowerouter7786 = thisouter7786;
  if (inheritingObject7786) {
    struct UserObject *inho7786 = (struct UserObject *)inheritingObject7786;
    while (inho7786->super != GraceDefaultObject) inho7786 = (struct UserObject *)inho7786->super;
    inho7786->super = obj7786;
    self = inheritingObject7786;
    *selfslot = self;
    lowerouter7786 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7786;
  }
if (objclass7786 == NULL) {
  Method *reader7788 = addmethodrealflags(obj7786, "kind",&reader_ast_kind_7788, MFLAG_DEF);
  reader7788->definitionModule = modulename;
  reader7788->definitionLine = 1981;
}
adddatum2(obj7786, alloc_Undefined(), 1);
if (objclass7786 == NULL) {
  Method *reader7789 = addmethodrealflags(obj7786, "dest", &reader_ast_dest_7789, 0);
  Method *writer7789 = addmethodrealflags(obj7786, "dest:=(1)", &writer_ast_dest_7789, 0);
  reader7789->definitionModule = modulename;
  writer7789->definitionModule = modulename;
  reader7789->definitionLine = 1982;
  writer7789->definitionLine = 1982;
}
obj7786->flags |= OFLAG_MUTABLE;
adddatum2(obj7786, alloc_Undefined(), 2);
if (objclass7786 == NULL) {
  Method *reader7790 = addmethodrealflags(obj7786, "value", &reader_ast_value_7790, 0);
  Method *writer7790 = addmethodrealflags(obj7786, "value:=(1)", &writer_ast_value_7790, 0);
  reader7790->definitionModule = modulename;
  writer7790->definitionModule = modulename;
  reader7790->definitionLine = 1983;
  writer7790->definitionLine = 1983;
}
obj7786->flags |= OFLAG_MUTABLE;
adddatum2(obj7786, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo7791 = (struct UserObject*)obj7786;
  uo7791->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString7791 = addmethod2pos(obj7786, "nameString", &meth_ast_nameString7791, 4);
  int argcv_meth_ast_nameString7791[] = {0};
  meth_meth_ast_nameString7791->type = alloc_MethodType(1, argcv_meth_ast_nameString7791);
  meth_meth_ast_nameString7791->definitionModule = modulename;
  meth_meth_ast_nameString7791->definitionLine = 1985;
// method "canonicalName"
  struct UserObject *uo7798 = (struct UserObject*)obj7786;
  uo7798->data[5] = emptyclosure;
  Method *meth_meth_ast_canonicalName7798 = addmethod2pos(obj7786, "canonicalName", &meth_ast_canonicalName7798, 5);
  int argcv_meth_ast_canonicalName7798[] = {0};
  meth_meth_ast_canonicalName7798->type = alloc_MethodType(1, argcv_meth_ast_canonicalName7798);
  meth_meth_ast_canonicalName7798->definitionModule = modulename;
  meth_meth_ast_canonicalName7798->definitionLine = 1986;
// method "isBind"
  struct UserObject *uo7805 = (struct UserObject*)obj7786;
  uo7805->data[6] = emptyclosure;
  Method *meth_meth_ast_isBind7805 = addmethod2pos(obj7786, "isBind", &meth_ast_isBind7805, 6);
  int argcv_meth_ast_isBind7805[] = {0};
  meth_meth_ast_isBind7805->type = alloc_MethodType(1, argcv_meth_ast_isBind7805);
  meth_meth_ast_isBind7805->definitionModule = modulename;
  meth_meth_ast_isBind7805->definitionLine = 1987;
// method "asString"
  struct UserObject *uo7807 = (struct UserObject*)obj7786;
  uo7807->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7807 = addmethod2pos(obj7786, "asString", &meth_ast_asString7807, 7);
  int argcv_meth_ast_asString7807[] = {0};
  meth_meth_ast_asString7807->type = alloc_MethodType(1, argcv_meth_ast_asString7807);
  meth_meth_ast_asString7807->definitionModule = modulename;
  meth_meth_ast_asString7807->definitionLine = 1988;
// method "accept(_)from(_)"
  struct UserObject *uo7818 = (struct UserObject*)obj7786;
  uo7818->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7818 = addmethod2pos(obj7786, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7818, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7818[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7818);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->definitionLine = 1989;
// method "map(_)ancestors(_)"
  struct UserObject *uo7832 = (struct UserObject*)obj7786;
  uo7832->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832 = addmethod2pos(obj7786, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7832, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7832[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7832);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->definitionLine = 1996;
// method "pretty(_)"
  struct UserObject *uo7851 = (struct UserObject*)obj7786;
  uo7851->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7851 = addmethod2pos(obj7786, "pretty(1)", &meth_ast_pretty_40_1_41_7851, 10);
  int argcv_meth_ast_pretty_40_1_41_7851[] = {1};
  meth_meth_ast_pretty_40_1_41_7851->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7851);
  meth_meth_ast_pretty_40_1_41_7851->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7851->definitionLine = 2003;
// method "toGrace(_)"
  struct UserObject *uo7908 = (struct UserObject*)obj7786;
  uo7908->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7908 = addmethod2pos(obj7786, "toGrace(1)", &meth_ast_toGrace_40_1_41_7908, 11);
  int argcv_meth_ast_toGrace_40_1_41_7908[] = {1};
  meth_meth_ast_toGrace_40_1_41_7908->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7908);
meth_meth_ast_toGrace_40_1_41_7908->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7908->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7908->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7908->definitionLine = 2014;
// method "shallowCopy"
  block_savedest(obj7786);
  Object closure7952 = createclosure(1, "shallowCopy");
  setclosureframe(closure7952, stackframe);
  addtoclosure(closure7952, var_bindNode);
  struct UserObject *uo7952 = (struct UserObject*)obj7786;
  uo7952->data[12] = (Object)closure7952;
  Method *meth_meth_ast_shallowCopy7952 = addmethod2pos(obj7786, "shallowCopy", &meth_ast_shallowCopy7952, 12);
  int argcv_meth_ast_shallowCopy7952[] = {0};
  meth_meth_ast_shallowCopy7952->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7952);
  meth_meth_ast_shallowCopy7952->definitionModule = modulename;
  meth_meth_ast_shallowCopy7952->definitionLine = 2023;
// method "statementName"
  struct UserObject *uo7961 = (struct UserObject*)obj7786;
  uo7961->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName7961 = addmethod2pos(obj7786, "statementName", &meth_ast_statementName7961, 13);
  int argcv_meth_ast_statementName7961[] = {0};
  meth_meth_ast_statementName7961->type = alloc_MethodType(1, argcv_meth_ast_statementName7961);
  meth_meth_ast_statementName7961->definitionModule = modulename;
  meth_meth_ast_statementName7961->definitionLine = 2026;
  sourceObject = obj7786;
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7963 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7964 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7965 = gc_frame_new();
// call case 3: self.outer request
  Object call7966 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7965);
// compiled member node returning call7966 (depth = 5)
  Object call7967 = callmethodflags(call7966, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7964);
// compiled member node returning call7967 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7968 = callmethodflags(call7967, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7963);
// compiled call node returning call7968 (depth = 3)
  struct UserObject *obj7786_uo = (struct UserObject *)obj7786;
  obj7786_uo->super = call7968;
  sourceObject = obj7786;
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7969 == NULL) {
    strlit7969 = alloc_String("bind");
    gc_root(strlit7969);
  }
// compiled string node returning strlit7969 (depth = 3)
  adddatum2(obj7786, strlit7969, 1);
  sourceObject = obj7786;
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj7786, *var_dest_39_, 2);
  sourceObject = obj7786;
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj7786, *var_val_39_, 3);
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  objclass7786 = obj7786->class;
  objclass7786->definitionModule = modulename;
  objclass7786->definitionLine = 1978;
  (*(struct UserObject *)self).data[0] = lowerouter7786;
  self = oldself7786;
  selfslot = oldselfslot7786;
  stackframe = oldstackframe7786;
  gc_frame_end(frame);
  return obj7786;
}
Object meth_ast_new_40_2_41_7785_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7786 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7786 = alloc_userobj2(15,14, objclass7786);
  gc_frame_newslot(obj7786);
if (objclass7786 == NULL) {
  glfree(obj7786->class->name);
  obj7786->class->name = "bindNode.new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7786, self, 0);
  addmethodreal(obj7786,"outer", &reader_ast_outer_7787);
  Object oldself7786 = self;
  struct StackFrameObject *oldstackframe7786 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7786);
  gc_frame_newslot((Object)stackframe);
  self = obj7786;
  Object *oldselfslot7786 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7786 = (*(struct UserObject *)self).data[0], lowerouter7786 = thisouter7786;
  if (inheritingObject7786) {
    struct UserObject *inho7786 = (struct UserObject *)inheritingObject7786;
    while (inho7786->super != GraceDefaultObject) inho7786 = (struct UserObject *)inho7786->super;
    inho7786->super = obj7786;
    self = inheritingObject7786;
    *selfslot = self;
    lowerouter7786 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7786;
  }
if (objclass7786 == NULL) {
  Method *reader7788 = addmethodrealflags(obj7786, "kind",&reader_ast_kind_7788, MFLAG_DEF);
  reader7788->definitionModule = modulename;
  reader7788->definitionLine = 1981;
}
adddatum2(obj7786, alloc_Undefined(), 1);
if (objclass7786 == NULL) {
  Method *reader7789 = addmethodrealflags(obj7786, "dest", &reader_ast_dest_7789, 0);
  Method *writer7789 = addmethodrealflags(obj7786, "dest:=(1)", &writer_ast_dest_7789, 0);
  reader7789->definitionModule = modulename;
  writer7789->definitionModule = modulename;
  reader7789->definitionLine = 1982;
  writer7789->definitionLine = 1982;
}
obj7786->flags |= OFLAG_MUTABLE;
adddatum2(obj7786, alloc_Undefined(), 2);
if (objclass7786 == NULL) {
  Method *reader7790 = addmethodrealflags(obj7786, "value", &reader_ast_value_7790, 0);
  Method *writer7790 = addmethodrealflags(obj7786, "value:=(1)", &writer_ast_value_7790, 0);
  reader7790->definitionModule = modulename;
  writer7790->definitionModule = modulename;
  reader7790->definitionLine = 1983;
  writer7790->definitionLine = 1983;
}
obj7786->flags |= OFLAG_MUTABLE;
adddatum2(obj7786, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo7791 = (struct UserObject*)obj7786;
  uo7791->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString7791 = addmethod2pos(obj7786, "nameString", &meth_ast_nameString7791, 4);
  int argcv_meth_ast_nameString7791[] = {0};
  meth_meth_ast_nameString7791->type = alloc_MethodType(1, argcv_meth_ast_nameString7791);
  meth_meth_ast_nameString7791->definitionModule = modulename;
  meth_meth_ast_nameString7791->definitionLine = 1985;
// method "canonicalName"
  struct UserObject *uo7798 = (struct UserObject*)obj7786;
  uo7798->data[5] = emptyclosure;
  Method *meth_meth_ast_canonicalName7798 = addmethod2pos(obj7786, "canonicalName", &meth_ast_canonicalName7798, 5);
  int argcv_meth_ast_canonicalName7798[] = {0};
  meth_meth_ast_canonicalName7798->type = alloc_MethodType(1, argcv_meth_ast_canonicalName7798);
  meth_meth_ast_canonicalName7798->definitionModule = modulename;
  meth_meth_ast_canonicalName7798->definitionLine = 1986;
// method "isBind"
  struct UserObject *uo7805 = (struct UserObject*)obj7786;
  uo7805->data[6] = emptyclosure;
  Method *meth_meth_ast_isBind7805 = addmethod2pos(obj7786, "isBind", &meth_ast_isBind7805, 6);
  int argcv_meth_ast_isBind7805[] = {0};
  meth_meth_ast_isBind7805->type = alloc_MethodType(1, argcv_meth_ast_isBind7805);
  meth_meth_ast_isBind7805->definitionModule = modulename;
  meth_meth_ast_isBind7805->definitionLine = 1987;
// method "asString"
  struct UserObject *uo7807 = (struct UserObject*)obj7786;
  uo7807->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7807 = addmethod2pos(obj7786, "asString", &meth_ast_asString7807, 7);
  int argcv_meth_ast_asString7807[] = {0};
  meth_meth_ast_asString7807->type = alloc_MethodType(1, argcv_meth_ast_asString7807);
  meth_meth_ast_asString7807->definitionModule = modulename;
  meth_meth_ast_asString7807->definitionLine = 1988;
// method "accept(_)from(_)"
  struct UserObject *uo7818 = (struct UserObject*)obj7786;
  uo7818->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7818 = addmethod2pos(obj7786, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7818, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7818[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7818);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7818->definitionLine = 1989;
// method "map(_)ancestors(_)"
  struct UserObject *uo7832 = (struct UserObject*)obj7786;
  uo7832->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832 = addmethod2pos(obj7786, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7832, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7832[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7832);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7832->definitionLine = 1996;
// method "pretty(_)"
  struct UserObject *uo7851 = (struct UserObject*)obj7786;
  uo7851->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7851 = addmethod2pos(obj7786, "pretty(1)", &meth_ast_pretty_40_1_41_7851, 10);
  int argcv_meth_ast_pretty_40_1_41_7851[] = {1};
  meth_meth_ast_pretty_40_1_41_7851->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7851);
  meth_meth_ast_pretty_40_1_41_7851->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7851->definitionLine = 2003;
// method "toGrace(_)"
  struct UserObject *uo7908 = (struct UserObject*)obj7786;
  uo7908->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7908 = addmethod2pos(obj7786, "toGrace(1)", &meth_ast_toGrace_40_1_41_7908, 11);
  int argcv_meth_ast_toGrace_40_1_41_7908[] = {1};
  meth_meth_ast_toGrace_40_1_41_7908->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7908);
meth_meth_ast_toGrace_40_1_41_7908->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7908->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7908->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7908->definitionLine = 2014;
// method "shallowCopy"
  block_savedest(obj7786);
  Object closure7952 = createclosure(1, "shallowCopy");
  setclosureframe(closure7952, stackframe);
  addtoclosure(closure7952, var_bindNode);
  struct UserObject *uo7952 = (struct UserObject*)obj7786;
  uo7952->data[12] = (Object)closure7952;
  Method *meth_meth_ast_shallowCopy7952 = addmethod2pos(obj7786, "shallowCopy", &meth_ast_shallowCopy7952, 12);
  int argcv_meth_ast_shallowCopy7952[] = {0};
  meth_meth_ast_shallowCopy7952->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7952);
  meth_meth_ast_shallowCopy7952->definitionModule = modulename;
  meth_meth_ast_shallowCopy7952->definitionLine = 2023;
// method "statementName"
  struct UserObject *uo7961 = (struct UserObject*)obj7786;
  uo7961->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName7961 = addmethod2pos(obj7786, "statementName", &meth_ast_statementName7961, 13);
  int argcv_meth_ast_statementName7961[] = {0};
  meth_meth_ast_statementName7961->type = alloc_MethodType(1, argcv_meth_ast_statementName7961);
  meth_meth_ast_statementName7961->definitionModule = modulename;
  meth_meth_ast_statementName7961->definitionLine = 2026;
  sourceObject = obj7786;
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7963 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7964 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7965 = gc_frame_new();
// call case 3: self.outer request
  Object call7966 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7965);
// compiled member node returning call7966 (depth = 5)
  Object call7967 = callmethodflags(call7966, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7964);
// compiled member node returning call7967 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7968 = callmethodflags(call7967, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7963);
// compiled call node returning call7968 (depth = 3)
  struct UserObject *obj7786_uo = (struct UserObject *)obj7786;
  obj7786_uo->super = call7968;
  sourceObject = obj7786;
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7969 == NULL) {
    strlit7969 = alloc_String("bind");
    gc_root(strlit7969);
  }
// compiled string node returning strlit7969 (depth = 3)
  adddatum2(obj7786, strlit7969, 1);
  sourceObject = obj7786;
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj7786, *var_dest_39_, 2);
  sourceObject = obj7786;
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj7786, *var_val_39_, 3);
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  sourceObject = obj7786;
  objclass7786 = obj7786->class;
  objclass7786->definitionModule = modulename;
  objclass7786->definitionLine = 1978;
  (*(struct UserObject *)self).data[0] = lowerouter7786;
  self = oldself7786;
  selfslot = oldselfslot7786;
  stackframe = oldstackframe7786;
  gc_frame_end(frame);
  return obj7786;
}
Object meth_ast_bindNode7971(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bindNode (depth = 3)
  gc_frame_end(frame);
  return *var_bindNode;
}
Object meth_ast_new_40_3_41_scope_40_1_41_7974(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7975 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name_39_ (depth = 5)
  gc_frame_newslot(*var_name_39_);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype_39_ (depth = 5)
  gc_frame_newslot(*var_dtype_39_);
// call case 4: self request
  params[0] = *var_name_39_;
  params[1] = *var_val;
  params[2] = *var_dtype_39_;
  partcv[0] = 3;
  Object call7976 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7975);
// compiled call node returning call7976 (depth = 4)
  *var_result = call7976;
  if (call7976 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7977 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7978 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7977);
// compiled call node returning call7978 (depth = 3)
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isPublic7989(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7992 = alloc_Float64(0);
// compiled num node returning num7992 (depth = 5)
  int op_slot_right_7991 = gc_frame_newslot(num7992);
// starting to compile member node (depth = 5)
  int callframe7994 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7995 = gc_frame_new();
// call case 4: self request
  Object call7996 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7995);
// compiled member node returning call7996 (depth = 6)
  Object call7997 = callmethodflags(call7996, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7994);
// compiled member node returning call7997 (depth = 5)
  int op_slot_left_7991 = gc_frame_newslot(call7997);
  params[0] = num7992;
  partcv[0] = 1;
  Object opresult7998 = callmethod(call7997, "==(1)", 1, partcv, params);
// compiled op node returning opresult7998 (depth = 4)
  Object if7990 = done;
  if (istrue(opresult7998)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7999 = alloc_Boolean(0);
// compiled identifier node returning bool7999 (depth = 5)
  return bool7999;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7990 = undefined;
  } else {
  }
// compiled if node returning if7990 (depth = 3)
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8001 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8002 == NULL) {
    strlit8002 = alloc_String("public");
    gc_root(strlit8002);
  }
// compiled string node returning strlit8002 (depth = 5)
  gc_frame_newslot(strlit8002);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8003 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8004 = gc_frame_new();
// call case 3: self.outer request
  Object call8005 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8004);
// compiled member node returning call8005 (depth = 6)
  Object call8006 = callmethodflags(call8005, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8003);
// compiled member node returning call8006 (depth = 5)
  params[0] = self;
  params[1] = strlit8002;
  partcv[0] = 2;
  Object call8007 = callmethodflags(call8006, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8001);
// compiled call node returning call8007 (depth = 4)
  Object if8000 = done;
  if (istrue(call8007)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8008 = alloc_Boolean(1);
// compiled identifier node returning bool8008 (depth = 5)
  return bool8008;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8000 = undefined;
  } else {
  }
// compiled if node returning if8000 (depth = 3)
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8009 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8010 == NULL) {
    strlit8010 = alloc_String("readable");
    gc_root(strlit8010);
  }
// compiled string node returning strlit8010 (depth = 4)
  gc_frame_newslot(strlit8010);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8012 = gc_frame_new();
// call case 3: self.outer request
  Object call8013 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8012);
// compiled member node returning call8013 (depth = 5)
  Object call8014 = callmethodflags(call8013, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8011);
// compiled member node returning call8014 (depth = 4)
  params[0] = self;
  params[1] = strlit8010;
  partcv[0] = 2;
  Object call8015 = callmethodflags(call8014, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8009);
// compiled call node returning call8015 (depth = 3)
  gc_frame_end(frame);
  return call8015;
}
Object meth_ast_isFieldDec8016(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8017 = alloc_Boolean(1);
// compiled identifier node returning bool8017 (depth = 3)
  gc_frame_end(frame);
  return bool8017;
}
Object meth_ast_isWritable8018(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8019 = alloc_Boolean(0);
// compiled identifier node returning bool8019 (depth = 3)
  gc_frame_end(frame);
  return bool8019;
}
Object meth_ast_isReadable8020(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8021 = gc_frame_new();
// call case 4: self request
  Object call8022 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8021);
// compiled member node returning call8022 (depth = 3)
  gc_frame_end(frame);
  return call8022;
}
Object meth_ast_returnsObject8023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8025 = gc_frame_new();
// call case 4: self request
  Object call8026 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8025);
// compiled member node returning call8026 (depth = 4)
  Object call8027 = callmethodflags(call8026, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe8024);
// compiled member node returning call8027 (depth = 3)
  gc_frame_end(frame);
  return call8027;
}
Object meth_ast_returnedObjectScope8028(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8029 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8030 = gc_frame_new();
// call case 4: self request
  Object call8031 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8030);
// compiled member node returning call8031 (depth = 4)
  Object call8032 = callmethodflags(call8031, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe8029);
// compiled member node returning call8032 (depth = 3)
  gc_frame_end(frame);
  return call8032;
}
Object meth_ast_usesAsType_40_1_41_8033(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8035 = gc_frame_new();
// call case 4: self request
  Object call8036 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8035);
// compiled member node returning call8036 (depth = 4)
  int op_slot_right_8034 = gc_frame_newslot(call8036);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8034 = gc_frame_newslot(*var_aNode);
  params[0] = call8036;
  partcv[0] = 1;
  Object opresult8038 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8038 (depth = 3)
  gc_frame_end(frame);
  return opresult8038;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_8039(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8040 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8041 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe8040);
// compiled member node returning call8041 (depth = 3)
  gc_frame_end(frame);
  return call8041;
}
Object meth_ast__apply_40_1_41_8067(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8068 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8069 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8068);
// compiled call node returning call8069 (depth = 6)
  gc_frame_end(frame);
  return call8069;
}
Object meth_ast_accept_40_1_41_from_40_1_41_8042(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8044 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8045 = callmethodflags(*var_visitor, "visitDefDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8044);
// compiled call node returning call8045 (depth = 4)
  Object if8043 = done;
  if (istrue(call8045)) {
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8046 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8047 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8046);
// compiled call node returning call8047 (depth = 5)
  *var_newChain = call8047;
  if (call8047 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8048 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8049 = gc_frame_new();
// call case 4: self request
  Object call8050 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8049);
// compiled member node returning call8050 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8051 = callmethodflags(call8050, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8048);
// compiled call node returning call8051 (depth = 4)
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8054 = gc_frame_new();
// call case 4: self request
  Object call8055 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8054);
// compiled member node returning call8055 (depth = 6)
  int op_slot_right_8053 = gc_frame_newslot(call8055);
// starting to compile identifier node (depth = 6)
  Object bool8057 = alloc_Boolean(0);
// compiled identifier node returning bool8057 (depth = 6)
  int op_slot_left_8053 = gc_frame_newslot(bool8057);
  params[0] = call8055;
  partcv[0] = 1;
  Object opresult8058 = callmethod(bool8057, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8058 (depth = 5)
  Object if8052 = done;
  if (istrue(opresult8058)) {
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8059 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8060 = gc_frame_new();
// call case 4: self request
  Object call8061 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8060);
// compiled member node returning call8061 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8062 = callmethodflags(call8061, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8059);
// compiled call node returning call8062 (depth = 5)
    gc_frame_newslot(call8062);
    if8052 = call8062;
  } else {
  }
// compiled if node returning if8052 (depth = 4)
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8063 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8064 = gc_frame_new();
// call case 4: self request
  Object call8065 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8064);
// compiled member node returning call8065 (depth = 5)
  gc_frame_newslot(call8065);
// starting to compile block node (depth = 5)
  Object block8066 = alloc_Block(NULL, NULL, "ast", 2075);
  gc_frame_newslot(block8066);
// method "_apply(_)"
  block_savedest(block8066);
  Object closure8067 = createclosure(3, "_apply(1)");
  setclosureframe(closure8067, stackframe);
  addtoclosure(closure8067, var_visitor);
  addtoclosure(closure8067, var_newChain);
  addtoclosure(closure8067, selfslot);
  struct UserObject *uo8067 = (struct UserObject*)block8066;
  uo8067->data[0] = (Object)closure8067;
  Method *meth_meth_ast__apply_40_1_41_8067 = addmethod2pos(block8066, "_apply(1)", &meth_ast__apply_40_1_41_8067, 0);
  int argcv_meth_ast__apply_40_1_41_8067[] = {1};
  meth_meth_ast__apply_40_1_41_8067->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8067);
  meth_meth_ast__apply_40_1_41_8067->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8067->definitionLine = 2984;
// compiled block node returning block8066 (depth = 5)
  gc_frame_newslot(block8066);
// call case 5: prelude request
  params[0] = call8065;
  params[1] = block8066;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8071 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8063);
// compiled call node returning call8071 (depth = 4)
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8072 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8073 = gc_frame_new();
// call case 4: self request
  Object call8074 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8073);
// compiled member node returning call8074 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8075 = callmethodflags(call8074, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8072);
// compiled call node returning call8075 (depth = 4)
    gc_frame_newslot(call8075);
    if8043 = call8075;
  } else {
  }
// compiled if node returning if8043 (depth = 3)
  gc_frame_end(frame);
  return if8043;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_8076(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8077 = gc_frame_new();
// call case 4: self request
  Object call8078 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8077);
// compiled member node returning call8078 (depth = 4)
  *var_n = call8078;
  if (call8078 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8079 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8080 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8079);
// compiled call node returning call8080 (depth = 4)
  *var_newChain = call8080;
  if (call8080 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8081 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8082 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8083 = gc_frame_new();
// call case 4: self request
  Object call8084 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8083);
// compiled member node returning call8084 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8085 = callmethodflags(call8084, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8082);
// compiled call node returning call8085 (depth = 4)
  gc_frame_newslot(call8085);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8085;
  partcv[0] = 1;
  Object call8086 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8081);
// compiled call node returning call8086 (depth = 3)
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8087 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8088 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8089 = gc_frame_new();
// call case 4: self request
  Object call8090 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8089);
// compiled member node returning call8090 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8091 = callmethodflags(call8090, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8088);
// compiled call node returning call8091 (depth = 4)
  gc_frame_newslot(call8091);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8091;
  partcv[0] = 1;
  Object call8092 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8087);
// compiled call node returning call8092 (depth = 3)
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8093 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8094 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8095 = gc_frame_new();
// call case 4: self request
  Object call8096 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8095);
// compiled member node returning call8096 (depth = 5)
  gc_frame_newslot(call8096);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8097 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8098 = gc_frame_new();
// call case 3: self.outer request
  Object call8099 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8098);
// compiled member node returning call8099 (depth = 6)
  Object call8100 = callmethodflags(call8099, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8097);
// compiled member node returning call8100 (depth = 5)
  params[0] = call8096;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8101 = callmethodflags(call8100, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8094);
// compiled call node returning call8101 (depth = 4)
  gc_frame_newslot(call8101);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8101;
  partcv[0] = 1;
  Object call8102 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8093);
// compiled call node returning call8102 (depth = 3)
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8103 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8104 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8105 = gc_frame_new();
// call case 4: self request
  Object call8106 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8105);
// compiled member node returning call8106 (depth = 5)
  gc_frame_newslot(call8106);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8107 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8108 = gc_frame_new();
// call case 3: self.outer request
  Object call8109 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8108);
// compiled member node returning call8109 (depth = 6)
  Object call8110 = callmethodflags(call8109, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8107);
// compiled member node returning call8110 (depth = 5)
  params[0] = call8106;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8111 = callmethodflags(call8110, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8104);
// compiled call node returning call8111 (depth = 4)
  gc_frame_newslot(call8111);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8111;
  partcv[0] = 1;
  Object call8112 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8103);
// compiled call node returning call8112 (depth = 3)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8113 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8114 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8113);
// compiled call node returning call8114 (depth = 3)
  gc_frame_end(frame);
  return call8114;
}
Object meth_ast__apply_40_1_41_8123(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8125 == NULL) {
    strlit8125 = alloc_String("  ");
    gc_root(strlit8125);
  }
// compiled string node returning strlit8125 (depth = 7)
  int op_slot_right_8124 = gc_frame_newslot(strlit8125);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8124 = gc_frame_newslot(*var_spc);
  params[0] = strlit8125;
  partcv[0] = 1;
  Object opresult8127 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8127 (depth = 6)
  *var_spc = opresult8127;
  if (opresult8127 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_8229(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8231 == NULL) {
    strlit8231 = alloc_String("");
    gc_root(strlit8231);
  }
// compiled string node returning strlit8231 (depth = 8)
  int op_slot_right_8230 = gc_frame_newslot(strlit8231);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8234 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num8236 = alloc_Float64(2);
// compiled num node returning num8236 (depth = 11)
  int op_slot_right_8235 = gc_frame_newslot(num8236);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_8235 = gc_frame_newslot(*var_depth);
  params[0] = num8236;
  partcv[0] = 1;
  Object sum8238 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8238 (depth = 10)
  gc_frame_newslot(sum8238);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ann (depth = 10)
  params[0] = sum8238;
  partcv[0] = 1;
  Object call8239 = callmethodflags(*var_ann, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8234);
// compiled call node returning call8239 (depth = 9)
  int op_slot_right_8233 = gc_frame_newslot(call8239);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8242 == NULL) {
    strlit8242 = alloc_String(" ");
    gc_root(strlit8242);
  }
// compiled string node returning strlit8242 (depth = 10)
  int op_slot_right_8241 = gc_frame_newslot(strlit8242);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_8244 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit8246 == NULL) {
    strlit8246 = alloc_String("");
    gc_root(strlit8246);
  }
// compiled string node returning strlit8246 (depth = 11)
  int op_slot_left_8244 = gc_frame_newslot(strlit8246);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult8247 = callmethod(strlit8246, "++(1)", 1, partcv, params);
// compiled op node returning opresult8247 (depth = 10)
  int op_slot_left_8241 = gc_frame_newslot(opresult8247);
  params[0] = strlit8242;
  partcv[0] = 1;
  Object opresult8248 = callmethod(opresult8247, "++(1)", 1, partcv, params);
// compiled op node returning opresult8248 (depth = 9)
  int op_slot_left_8233 = gc_frame_newslot(opresult8248);
  params[0] = call8239;
  partcv[0] = 1;
  Object opresult8249 = callmethod(opresult8248, "++(1)", 1, partcv, params);
// compiled op node returning opresult8249 (depth = 8)
  int op_slot_left_8230 = gc_frame_newslot(opresult8249);
  params[0] = strlit8231;
  partcv[0] = 1;
  Object opresult8250 = callmethod(opresult8249, "++(1)", 1, partcv, params);
// compiled op node returning opresult8250 (depth = 7)
  *var_s = opresult8250;
  if (opresult8250 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_8115(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8116 == NULL) {
    strlit8116 = alloc_String("");
    gc_root(strlit8116);
  }
// compiled string node returning strlit8116 (depth = 4)
  *var_spc = strlit8116;
  if (strlit8116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8117 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8118 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num8120 = alloc_Float64(0);
// compiled num node returning num8120 (depth = 5)
  int op_slot_left_8118 = gc_frame_newslot(num8120);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8121 = callmethod(num8120, "..(1)", 1, partcv, params);
// compiled op node returning opresult8121 (depth = 4)
  gc_frame_newslot(opresult8121);
// starting to compile block node (depth = 4)
  Object block8122 = alloc_Block(NULL, NULL, "ast", 2092);
  gc_frame_newslot(block8122);
// method "_apply(_)"
  block_savedest(block8122);
  Object closure8123 = createclosure(2, "_apply(1)");
  setclosureframe(closure8123, stackframe);
  addtoclosure(closure8123, var_spc);
  addtoclosure(closure8123, selfslot);
  struct UserObject *uo8123 = (struct UserObject*)block8122;
  uo8123->data[0] = (Object)closure8123;
  Method *meth_meth_ast__apply_40_1_41_8123 = addmethod2pos(block8122, "_apply(1)", &meth_ast__apply_40_1_41_8123, 0);
  int argcv_meth_ast__apply_40_1_41_8123[] = {1};
  meth_meth_ast__apply_40_1_41_8123->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8123);
  meth_meth_ast__apply_40_1_41_8123->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8123->definitionLine = 2984;
// compiled block node returning block8122 (depth = 4)
  gc_frame_newslot(block8122);
// call case 5: prelude request
  params[0] = opresult8121;
  params[1] = block8122;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8130 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8117);
// compiled call node returning call8130 (depth = 3)
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8132 == NULL) {
    strlit8132 = alloc_String("""\x0a""");
    gc_root(strlit8132);
  }
// compiled string node returning strlit8132 (depth = 5)
  int op_slot_right_8131 = gc_frame_newslot(strlit8132);
// starting to compile call node (depth = 5)
  int callframe8134 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8135 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8134);
// compiled call node returning call8135 (depth = 5)
  int op_slot_left_8131 = gc_frame_newslot(call8135);
  params[0] = strlit8132;
  partcv[0] = 1;
  Object opresult8136 = callmethod(call8135, "++(1)", 1, partcv, params);
// compiled op node returning opresult8136 (depth = 4)
  *var_s = opresult8136;
  if (opresult8136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8138 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8139 = gc_frame_new();
// call case 4: self request
  Object call8140 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8139);
// compiled member node returning call8140 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8141 = callmethodflags(call8140, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8138);
// compiled call node returning call8141 (depth = 5)
  int op_slot_right_8137 = gc_frame_newslot(call8141);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8143 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8143 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8145 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8145 (depth = 5)
  int op_slot_left_8137 = gc_frame_newslot(opresult8145);
  params[0] = call8141;
  partcv[0] = 1;
  Object opresult8146 = callmethod(opresult8145, "++(1)", 1, partcv, params);
// compiled op node returning opresult8146 (depth = 4)
  *var_s = opresult8146;
  if (opresult8146 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8150 = gc_frame_new();
// call case 4: self request
  Object call8151 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8150);
// compiled member node returning call8151 (depth = 5)
  int op_slot_right_8149 = gc_frame_newslot(call8151);
// starting to compile identifier node (depth = 5)
  Object bool8153 = alloc_Boolean(0);
// compiled identifier node returning bool8153 (depth = 5)
  int op_slot_left_8149 = gc_frame_newslot(bool8153);
  params[0] = call8151;
  partcv[0] = 1;
  Object opresult8154 = callmethod(bool8153, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8154 (depth = 4)
  Object if8148 = done;
  if (istrue(opresult8154)) {
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8156 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8158 = alloc_Float64(2);
// compiled num node returning num8158 (depth = 8)
  int op_slot_right_8157 = gc_frame_newslot(num8158);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8157 = gc_frame_newslot(*var_depth);
  params[0] = num8158;
  partcv[0] = 1;
  Object sum8160 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8160 (depth = 7)
  gc_frame_newslot(sum8160);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8161 = gc_frame_new();
// call case 4: self request
  Object call8162 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8161);
// compiled member node returning call8162 (depth = 7)
  params[0] = sum8160;
  partcv[0] = 1;
  Object call8163 = callmethodflags(call8162, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8156);
// compiled call node returning call8163 (depth = 6)
  int op_slot_right_8155 = gc_frame_newslot(call8163);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8166 == NULL) {
    strlit8166 = alloc_String("Type: ");
    gc_root(strlit8166);
  }
// compiled string node returning strlit8166 (depth = 7)
  int op_slot_right_8165 = gc_frame_newslot(strlit8166);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8168 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8171 == NULL) {
    strlit8171 = alloc_String("""\x0a""");
    gc_root(strlit8171);
  }
// compiled string node returning strlit8171 (depth = 9)
  int op_slot_right_8170 = gc_frame_newslot(strlit8171);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8170 = gc_frame_newslot(*var_s);
  params[0] = strlit8171;
  partcv[0] = 1;
  Object opresult8173 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8173 (depth = 8)
  int op_slot_left_8168 = gc_frame_newslot(opresult8173);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8174 = callmethod(opresult8173, "++(1)", 1, partcv, params);
// compiled op node returning opresult8174 (depth = 7)
  int op_slot_left_8165 = gc_frame_newslot(opresult8174);
  params[0] = strlit8166;
  partcv[0] = 1;
  Object opresult8175 = callmethod(opresult8174, "++(1)", 1, partcv, params);
// compiled op node returning opresult8175 (depth = 6)
  int op_slot_left_8155 = gc_frame_newslot(opresult8175);
  params[0] = call8163;
  partcv[0] = 1;
  Object opresult8176 = callmethod(opresult8175, "++(1)", 1, partcv, params);
// compiled op node returning opresult8176 (depth = 5)
  *var_s = opresult8176;
  if (opresult8176 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8148 = done;
  } else {
  }
// compiled if node returning if8148 (depth = 3)
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8180 = gc_frame_new();
// call case 4: self request
  Object call8181 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8180);
// compiled member node returning call8181 (depth = 5)
  int op_slot_right_8179 = gc_frame_newslot(call8181);
// starting to compile identifier node (depth = 5)
  Object bool8183 = alloc_Boolean(0);
// compiled identifier node returning bool8183 (depth = 5)
  int op_slot_left_8179 = gc_frame_newslot(bool8183);
  params[0] = call8181;
  partcv[0] = 1;
  Object opresult8184 = callmethod(bool8183, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8184 (depth = 4)
  Object if8178 = done;
  if (istrue(opresult8184)) {
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8186 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8188 = alloc_Float64(2);
// compiled num node returning num8188 (depth = 8)
  int op_slot_right_8187 = gc_frame_newslot(num8188);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8187 = gc_frame_newslot(*var_depth);
  params[0] = num8188;
  partcv[0] = 1;
  Object sum8190 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8190 (depth = 7)
  gc_frame_newslot(sum8190);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8191 = gc_frame_new();
// call case 4: self request
  Object call8192 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8191);
// compiled member node returning call8192 (depth = 7)
  params[0] = sum8190;
  partcv[0] = 1;
  Object call8193 = callmethodflags(call8192, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8186);
// compiled call node returning call8193 (depth = 6)
  int op_slot_right_8185 = gc_frame_newslot(call8193);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8196 == NULL) {
    strlit8196 = alloc_String("Value: ");
    gc_root(strlit8196);
  }
// compiled string node returning strlit8196 (depth = 7)
  int op_slot_right_8195 = gc_frame_newslot(strlit8196);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8198 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8201 == NULL) {
    strlit8201 = alloc_String("""\x0a""");
    gc_root(strlit8201);
  }
// compiled string node returning strlit8201 (depth = 9)
  int op_slot_right_8200 = gc_frame_newslot(strlit8201);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8200 = gc_frame_newslot(*var_s);
  params[0] = strlit8201;
  partcv[0] = 1;
  Object opresult8203 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8203 (depth = 8)
  int op_slot_left_8198 = gc_frame_newslot(opresult8203);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8204 = callmethod(opresult8203, "++(1)", 1, partcv, params);
// compiled op node returning opresult8204 (depth = 7)
  int op_slot_left_8195 = gc_frame_newslot(opresult8204);
  params[0] = strlit8196;
  partcv[0] = 1;
  Object opresult8205 = callmethod(opresult8204, "++(1)", 1, partcv, params);
// compiled op node returning opresult8205 (depth = 6)
  int op_slot_left_8185 = gc_frame_newslot(opresult8205);
  params[0] = call8193;
  partcv[0] = 1;
  Object opresult8206 = callmethod(opresult8205, "++(1)", 1, partcv, params);
// compiled op node returning opresult8206 (depth = 5)
  *var_s = opresult8206;
  if (opresult8206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8178 = done;
  } else {
  }
// compiled if node returning if8178 (depth = 3)
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8209 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8210 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8211 = gc_frame_new();
// call case 4: self request
  Object call8212 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8211);
// compiled member node returning call8212 (depth = 6)
  Object call8213 = callmethodflags(call8212, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe8210);
// compiled member node returning call8213 (depth = 5)
  Object call8214 = callmethodflags(call8213, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8209);
// compiled member node returning call8214 (depth = 4)
  Object if8208 = done;
  if (istrue(call8214)) {
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8217 == NULL) {
    strlit8217 = alloc_String("Annotations:");
    gc_root(strlit8217);
  }
// compiled string node returning strlit8217 (depth = 7)
  int op_slot_right_8216 = gc_frame_newslot(strlit8217);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8219 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit8221 == NULL) {
    strlit8221 = alloc_String("""\x0a""");
    gc_root(strlit8221);
  }
// compiled string node returning strlit8221 (depth = 8)
  int op_slot_left_8219 = gc_frame_newslot(strlit8221);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8222 = callmethod(strlit8221, "++(1)", 1, partcv, params);
// compiled op node returning opresult8222 (depth = 7)
  int op_slot_left_8216 = gc_frame_newslot(opresult8222);
  params[0] = strlit8217;
  partcv[0] = 1;
  Object opresult8223 = callmethod(opresult8222, "++(1)", 1, partcv, params);
// compiled op node returning opresult8223 (depth = 6)
  int op_slot_right_8215 = gc_frame_newslot(opresult8223);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8215 = gc_frame_newslot(*var_s);
  params[0] = opresult8223;
  partcv[0] = 1;
  Object opresult8225 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8225 (depth = 5)
  *var_s = opresult8225;
  if (opresult8225 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8227 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8228 = alloc_Block(NULL, NULL, "ast", 2105);
  gc_frame_newslot(block8228);
// method "_apply(_)"
  block_savedest(block8228);
  Object closure8229 = createclosure(3, "_apply(1)");
  setclosureframe(closure8229, stackframe);
  addtoclosure(closure8229, var_depth);
  addtoclosure(closure8229, var_s);
  addtoclosure(closure8229, selfslot);
  struct UserObject *uo8229 = (struct UserObject*)block8228;
  uo8229->data[0] = (Object)closure8229;
  Method *meth_meth_ast__apply_40_1_41_8229 = addmethod2pos(block8228, "_apply(1)", &meth_ast__apply_40_1_41_8229, 0);
  int argcv_meth_ast__apply_40_1_41_8229[] = {1};
  meth_meth_ast__apply_40_1_41_8229->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8229);
  meth_meth_ast__apply_40_1_41_8229->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8229->definitionLine = 2984;
// compiled block node returning block8228 (depth = 5)
  gc_frame_newslot(block8228);
// call case 6: other requests
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8253 = gc_frame_new();
// call case 4: self request
  Object call8254 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8253);
// compiled member node returning call8254 (depth = 5)
  params[0] = block8228;
  partcv[0] = 1;
  Object call8255 = callmethodflags(call8254, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8227);
// compiled call node returning call8255 (depth = 4)
    gc_frame_newslot(call8255);
    if8208 = call8255;
  } else {
  }
// compiled if node returning if8208 (depth = 3)
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8258 = gc_frame_new();
// call case 4: self request
  Object call8259 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8258);
// compiled member node returning call8259 (depth = 5)
  int op_slot_right_8257 = gc_frame_newslot(call8259);
// starting to compile identifier node (depth = 5)
  Object bool8261 = alloc_Boolean(0);
// compiled identifier node returning bool8261 (depth = 5)
  int op_slot_left_8257 = gc_frame_newslot(bool8261);
  params[0] = call8259;
  partcv[0] = 1;
  Object opresult8262 = callmethod(bool8261, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8262 (depth = 4)
  Object if8256 = done;
  if (istrue(opresult8262)) {
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8264 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8266 = alloc_Float64(2);
// compiled num node returning num8266 (depth = 8)
  int op_slot_right_8265 = gc_frame_newslot(num8266);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8265 = gc_frame_newslot(*var_depth);
  params[0] = num8266;
  partcv[0] = 1;
  Object sum8268 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8268 (depth = 7)
  gc_frame_newslot(sum8268);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8269 = gc_frame_new();
// call case 4: self request
  Object call8270 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8269);
// compiled member node returning call8270 (depth = 7)
  params[0] = sum8268;
  partcv[0] = 1;
  Object call8271 = callmethodflags(call8270, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8264);
// compiled call node returning call8271 (depth = 6)
  int op_slot_right_8263 = gc_frame_newslot(call8271);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8263 = gc_frame_newslot(*var_s);
  params[0] = call8271;
  partcv[0] = 1;
  Object opresult8273 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8273 (depth = 5)
  *var_s = opresult8273;
  if (opresult8273 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8256 = done;
  } else {
  }
// compiled if node returning if8256 (depth = 3)
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_8287(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8289 == NULL) {
    strlit8289 = alloc_String("    ");
    gc_root(strlit8289);
  }
// compiled string node returning strlit8289 (depth = 7)
  int op_slot_right_8288 = gc_frame_newslot(strlit8289);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8288 = gc_frame_newslot(*var_spc);
  params[0] = strlit8289;
  partcv[0] = 1;
  Object opresult8291 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8291 (depth = 6)
  *var_spc = opresult8291;
  if (opresult8291 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8311(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8313 == NULL) {
    strlit8313 = alloc_String("Unknown");
    gc_root(strlit8313);
  }
// compiled string node returning strlit8313 (depth = 7)
  int op_slot_right_8312 = gc_frame_newslot(strlit8313);
// starting to compile member node (depth = 7)
  int callframe8315 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8316 = gc_frame_new();
// call case 4: self request
  Object call8317 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8316);
// compiled member node returning call8317 (depth = 8)
  Object call8318 = callmethodflags(call8317, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8315);
// compiled member node returning call8318 (depth = 7)
  int op_slot_left_8312 = gc_frame_newslot(call8318);
  params[0] = strlit8313;
  partcv[0] = 1;
  Object opresult8319 = callmethod(call8318, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8319 (depth = 6)
  gc_frame_end(frame);
  return opresult8319;
}
Object meth_ast__apply_40_2_41_8359(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8361 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num8362 = alloc_Float64(0);
// compiled num node returning num8362 (depth = 10)
  gc_frame_newslot(num8362);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num8362;
  partcv[0] = 1;
  Object call8363 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8361);
// compiled call node returning call8363 (depth = 9)
  int op_slot_right_8360 = gc_frame_newslot(call8363);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8367 == NULL) {
    strlit8367 = alloc_String("");
    gc_root(strlit8367);
  }
// compiled string node returning strlit8367 (depth = 11)
  int op_slot_right_8366 = gc_frame_newslot(strlit8367);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8366 = gc_frame_newslot(*var_a);
  params[0] = strlit8367;
  partcv[0] = 1;
  Object opresult8369 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8369 (depth = 10)
  Object if8365 = done;
struct StackFrameObject *iftmpstackframe8365 = stackframe;
  if (istrue(opresult8369)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8365);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8371 == NULL) {
    strlit8371 = alloc_String(", ");
    gc_root(strlit8371);
  }
// compiled string node returning strlit8371 (depth = 11)
  int op_slot_right_8370 = gc_frame_newslot(strlit8371);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8370 = gc_frame_newslot(*var_a);
  params[0] = strlit8371;
  partcv[0] = 1;
  Object opresult8373 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult8373 (depth = 10)
    gc_frame_newslot(opresult8373);
    if8365 = opresult8373;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8365);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit8374 == NULL) {
    strlit8374 = alloc_String("");
    gc_root(strlit8374);
  }
// compiled string node returning strlit8374 (depth = 10)
    gc_frame_newslot(strlit8374);
    if8365 = strlit8374;
  }
stackframe = iftmpstackframe8365;
// compiled if node returning if8365 (depth = 9)
  int op_slot_left_8360 = gc_frame_newslot(if8365);
  params[0] = call8363;
  partcv[0] = 1;
  Object opresult8375 = callmethod(if8365, "++(1)", 1, partcv, params);
// compiled op node returning opresult8375 (depth = 8)
  gc_frame_end(frame);
  return opresult8375;
}
Object meth_ast_toGrace_40_1_41_8275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8276 == NULL) {
    strlit8276 = alloc_String("");
    gc_root(strlit8276);
  }
// compiled string node returning strlit8276 (depth = 4)
  *var_spc = strlit8276;
  if (strlit8276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8277 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8280 = alloc_Float64(1);
// compiled num node returning num8280 (depth = 6)
  int op_slot_right_8279 = gc_frame_newslot(num8280);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8279 = gc_frame_newslot(*var_depth);
  params[0] = num8280;
  partcv[0] = 1;
  Object diff8282 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff8282 (depth = 5)
  int op_slot_right_8278 = gc_frame_newslot(diff8282);
// starting to compile num node (depth = 5)
  Object num8284 = alloc_Float64(0);
// compiled num node returning num8284 (depth = 5)
  int op_slot_left_8278 = gc_frame_newslot(num8284);
  params[0] = diff8282;
  partcv[0] = 1;
  Object opresult8285 = callmethod(num8284, "..(1)", 1, partcv, params);
// compiled op node returning opresult8285 (depth = 4)
  gc_frame_newslot(opresult8285);
// starting to compile block node (depth = 4)
  Object block8286 = alloc_Block(NULL, NULL, "ast", 2116);
  gc_frame_newslot(block8286);
// method "_apply(_)"
  block_savedest(block8286);
  Object closure8287 = createclosure(2, "_apply(1)");
  setclosureframe(closure8287, stackframe);
  addtoclosure(closure8287, var_spc);
  addtoclosure(closure8287, selfslot);
  struct UserObject *uo8287 = (struct UserObject*)block8286;
  uo8287->data[0] = (Object)closure8287;
  Method *meth_meth_ast__apply_40_1_41_8287 = addmethod2pos(block8286, "_apply(1)", &meth_ast__apply_40_1_41_8287, 0);
  int argcv_meth_ast__apply_40_1_41_8287[] = {1};
  meth_meth_ast__apply_40_1_41_8287->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8287);
  meth_meth_ast__apply_40_1_41_8287->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8287->definitionLine = 2984;
// compiled block node returning block8286 (depth = 4)
  gc_frame_newslot(block8286);
// call case 5: prelude request
  params[0] = opresult8285;
  params[1] = block8286;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8294 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8277);
// compiled call node returning call8294 (depth = 3)
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8296 == NULL) {
    strlit8296 = alloc_String("");
    gc_root(strlit8296);
  }
// compiled string node returning strlit8296 (depth = 5)
  int op_slot_right_8295 = gc_frame_newslot(strlit8296);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8299 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8300 = alloc_Float64(0);
// compiled num node returning num8300 (depth = 7)
  gc_frame_newslot(num8300);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8301 = gc_frame_new();
// call case 4: self request
  Object call8302 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8301);
// compiled member node returning call8302 (depth = 7)
  params[0] = num8300;
  partcv[0] = 1;
  Object call8303 = callmethodflags(call8302, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8299);
// compiled call node returning call8303 (depth = 6)
  int op_slot_right_8298 = gc_frame_newslot(call8303);
// starting to compile string node (depth = 6)
  if (strlit8305 == NULL) {
    strlit8305 = alloc_String("def ");
    gc_root(strlit8305);
  }
// compiled string node returning strlit8305 (depth = 6)
  int op_slot_left_8298 = gc_frame_newslot(strlit8305);
  params[0] = call8303;
  partcv[0] = 1;
  Object opresult8306 = callmethod(strlit8305, "++(1)", 1, partcv, params);
// compiled op node returning opresult8306 (depth = 5)
  int op_slot_left_8295 = gc_frame_newslot(opresult8306);
  params[0] = strlit8296;
  partcv[0] = 1;
  Object opresult8307 = callmethod(opresult8306, "++(1)", 1, partcv, params);
// compiled op node returning opresult8307 (depth = 4)
  *var_s = opresult8307;
  if (opresult8307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8310 = alloc_Block(NULL, NULL, "ast", 2120);
  gc_frame_newslot(block8310);
// method "_apply"
  block_savedest(block8310);
  Object closure8311 = createclosure(1, "_apply");
  setclosureframe(closure8311, stackframe);
  addtoclosure(closure8311, selfslot);
  struct UserObject *uo8311 = (struct UserObject*)block8310;
  uo8311->data[0] = (Object)closure8311;
  Method *meth_meth_ast__apply8311 = addmethod2pos(block8310, "_apply", &meth_ast__apply8311, 0);
  int argcv_meth_ast__apply8311[] = {0};
  meth_meth_ast__apply8311->type = alloc_MethodType(1, argcv_meth_ast__apply8311);
  meth_meth_ast__apply8311->definitionModule = modulename;
  meth_meth_ast__apply8311->definitionLine = 2984;
// compiled block node returning block8310 (depth = 5)
  int op_slot_right_8309 = gc_frame_newslot(block8310);
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8323 = gc_frame_new();
// call case 4: self request
  Object call8324 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8323);
// compiled member node returning call8324 (depth = 6)
  int op_slot_right_8322 = gc_frame_newslot(call8324);
// starting to compile identifier node (depth = 6)
  Object bool8326 = alloc_Boolean(0);
// compiled identifier node returning bool8326 (depth = 6)
  int op_slot_left_8322 = gc_frame_newslot(bool8326);
  params[0] = call8324;
  partcv[0] = 1;
  Object opresult8327 = callmethod(bool8326, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8327 (depth = 5)
  int op_slot_left_8309 = gc_frame_newslot(opresult8327);
  params[0] = block8310;
  partcv[0] = 1;
  Object opresult8328 = callmethod(opresult8327, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8328 (depth = 4)
  Object if8308 = done;
  if (istrue(opresult8328)) {
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8330 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8331 = alloc_Float64(0);
// compiled num node returning num8331 (depth = 7)
  gc_frame_newslot(num8331);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8332 = gc_frame_new();
// call case 4: self request
  Object call8333 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8332);
// compiled member node returning call8333 (depth = 7)
  params[0] = num8331;
  partcv[0] = 1;
  Object call8334 = callmethodflags(call8333, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8330);
// compiled call node returning call8334 (depth = 6)
  int op_slot_right_8329 = gc_frame_newslot(call8334);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8337 == NULL) {
    strlit8337 = alloc_String(" : ");
    gc_root(strlit8337);
  }
// compiled string node returning strlit8337 (depth = 7)
  int op_slot_right_8336 = gc_frame_newslot(strlit8337);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8336 = gc_frame_newslot(*var_s);
  params[0] = strlit8337;
  partcv[0] = 1;
  Object opresult8339 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8339 (depth = 6)
  int op_slot_left_8329 = gc_frame_newslot(opresult8339);
  params[0] = call8334;
  partcv[0] = 1;
  Object opresult8340 = callmethod(opresult8339, "++(1)", 1, partcv, params);
// compiled op node returning opresult8340 (depth = 5)
  *var_s = opresult8340;
  if (opresult8340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8308 = done;
  } else {
  }
// compiled if node returning if8308 (depth = 3)
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8344 = alloc_Float64(0);
// compiled num node returning num8344 (depth = 5)
  int op_slot_right_8343 = gc_frame_newslot(num8344);
// starting to compile member node (depth = 5)
  int callframe8346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8347 = gc_frame_new();
// call case 4: self request
  Object call8348 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8347);
// compiled member node returning call8348 (depth = 6)
  Object call8349 = callmethodflags(call8348, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8346);
// compiled member node returning call8349 (depth = 5)
  int op_slot_left_8343 = gc_frame_newslot(call8349);
  params[0] = num8344;
  partcv[0] = 1;
  Object opresult8350 = callmethod(call8349, ">(1)", 1, partcv, params);
// compiled op node returning opresult8350 (depth = 4)
  Object if8342 = done;
  if (istrue(opresult8350)) {
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8352 == NULL) {
    strlit8352 = alloc_String(" is ");
    gc_root(strlit8352);
  }
// compiled string node returning strlit8352 (depth = 6)
  int op_slot_right_8351 = gc_frame_newslot(strlit8352);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8351 = gc_frame_newslot(*var_s);
  params[0] = strlit8352;
  partcv[0] = 1;
  Object opresult8354 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8354 (depth = 5)
  *var_s = opresult8354;
  if (opresult8354 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8357 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block8358 = alloc_Block(NULL, NULL, "ast", 2126);
  gc_frame_newslot(block8358);
// method "_apply(_,_)"
  block_savedest(block8358);
  Object closure8359 = createclosure(1, "_apply(2)");
  setclosureframe(closure8359, stackframe);
  addtoclosure(closure8359, selfslot);
  struct UserObject *uo8359 = (struct UserObject*)block8358;
  uo8359->data[0] = (Object)closure8359;
  Method *meth_meth_ast__apply_40_2_41_8359 = addmethod2pos(block8358, "_apply(2)", &meth_ast__apply_40_2_41_8359, 0);
  int argcv_meth_ast__apply_40_2_41_8359[] = {2};
  meth_meth_ast__apply_40_2_41_8359->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_8359);
  meth_meth_ast__apply_40_2_41_8359->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_8359->definitionLine = 2984;
// compiled block node returning block8358 (depth = 7)
  gc_frame_newslot(block8358);
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8377 == NULL) {
    strlit8377 = alloc_String("");
    gc_root(strlit8377);
  }
// compiled string node returning strlit8377 (depth = 7)
  gc_frame_newslot(strlit8377);
// call case 6: other requests
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8378 = gc_frame_new();
// call case 4: self request
  Object call8379 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8378);
// compiled member node returning call8379 (depth = 7)
  params[0] = block8358;
  params[1] = strlit8377;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8380 = callmethodflags(call8379, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8357);
// compiled call node returning call8380 (depth = 6)
  int op_slot_right_8356 = gc_frame_newslot(call8380);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8356 = gc_frame_newslot(*var_s);
  params[0] = call8380;
  partcv[0] = 1;
  Object opresult8382 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8382 (depth = 5)
  *var_s = opresult8382;
  if (opresult8382 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8342 = done;
  } else {
  }
// compiled if node returning if8342 (depth = 3)
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8386 = gc_frame_new();
// call case 4: self request
  Object call8387 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8386);
// compiled member node returning call8387 (depth = 5)
  int op_slot_right_8385 = gc_frame_newslot(call8387);
// starting to compile identifier node (depth = 5)
  Object bool8389 = alloc_Boolean(0);
// compiled identifier node returning bool8389 (depth = 5)
  int op_slot_left_8385 = gc_frame_newslot(bool8389);
  params[0] = call8387;
  partcv[0] = 1;
  Object opresult8390 = callmethod(bool8389, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8390 (depth = 4)
  Object if8384 = done;
  if (istrue(opresult8390)) {
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8392 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8393 = gc_frame_new();
// call case 4: self request
  Object call8394 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8393);
// compiled member node returning call8394 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8395 = callmethodflags(call8394, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8392);
// compiled call node returning call8395 (depth = 6)
  int op_slot_right_8391 = gc_frame_newslot(call8395);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8398 == NULL) {
    strlit8398 = alloc_String(" = ");
    gc_root(strlit8398);
  }
// compiled string node returning strlit8398 (depth = 7)
  int op_slot_right_8397 = gc_frame_newslot(strlit8398);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8397 = gc_frame_newslot(*var_s);
  params[0] = strlit8398;
  partcv[0] = 1;
  Object opresult8400 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8400 (depth = 6)
  int op_slot_left_8391 = gc_frame_newslot(opresult8400);
  params[0] = call8395;
  partcv[0] = 1;
  Object opresult8401 = callmethod(opresult8400, "++(1)", 1, partcv, params);
// compiled op node returning opresult8401 (depth = 5)
  *var_s = opresult8401;
  if (opresult8401 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8384 = done;
  } else {
  }
// compiled if node returning if8384 (depth = 3)
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy8403(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8404 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8405 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8406 = gc_frame_new();
// call case 4: self request
  Object call8407 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8406);
// compiled member node returning call8407 (depth = 5)
  gc_frame_newslot(call8407);
// starting to compile member node (depth = 5)
  int callframe8408 = gc_frame_new();
// call case 4: self request
  Object call8409 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8408);
// compiled member node returning call8409 (depth = 5)
  gc_frame_newslot(call8409);
// starting to compile member node (depth = 5)
  int callframe8410 = gc_frame_new();
// call case 4: self request
  Object call8411 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8410);
// compiled member node returning call8411 (depth = 5)
  gc_frame_newslot(call8411);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defDecNode (depth = 5)
  params[0] = call8407;
  params[1] = call8409;
  params[2] = call8411;
  partcv[0] = 3;
  Object call8412 = callmethodflags(*var_defDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8405);
// compiled call node returning call8412 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8413 = callmethodflags(call8412, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8404);
// compiled call node returning call8413 (depth = 3)
  gc_frame_end(frame);
  return call8413;
}
Object meth_ast_postCopy_40_1_41_8414(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8415 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8416 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call8417 = callmethodflags(*var_other, "startToken", 0, partcv, params, 0);
  gc_frame_end(callframe8416);
// compiled member node returning call8417 (depth = 4)
  gc_frame_newslot(call8417);
// call case 4: self request
  params[0] = call8417;
  partcv[0] = 1;
  Object call8418 = callmethodflags(self, "startToken:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8415);
// compiled call node returning call8418 (depth = 3)
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName8419(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8420 == NULL) {
    strlit8420 = alloc_String("definition");
    gc_root(strlit8420);
  }
// compiled string node returning strlit8420 (depth = 3)
  gc_frame_end(frame);
  return strlit8420;
}
Object meth_ast_new_40_3_41_7979(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7980 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7980 = alloc_userobj2(27,23, objclass7980);
  gc_frame_newslot(obj7980);
if (objclass7980 == NULL) {
  glfree(obj7980->class->name);
  obj7980->class->name = "defDecNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7980, self, 0);
  addmethodreal(obj7980,"outer", &reader_ast_outer_7981);
  Object oldself7980 = self;
  struct StackFrameObject *oldstackframe7980 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7980);
  gc_frame_newslot((Object)stackframe);
  self = obj7980;
  Object *oldselfslot7980 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7980 = (*(struct UserObject *)self).data[0], lowerouter7980 = thisouter7980;
  if (inheritingObject7980) {
    struct UserObject *inho7980 = (struct UserObject *)inheritingObject7980;
    while (inho7980->super != GraceDefaultObject) inho7980 = (struct UserObject *)inho7980->super;
    inho7980->super = obj7980;
    self = inheritingObject7980;
    *selfslot = self;
    lowerouter7980 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7980;
  }
if (objclass7980 == NULL) {
  Method *reader7982 = addmethodrealflags(obj7980, "kind",&reader_ast_kind_7982, MFLAG_DEF);
  reader7982->definitionModule = modulename;
  reader7982->definitionLine = 2038;
}
adddatum2(obj7980, alloc_Undefined(), 1);
if (objclass7980 == NULL) {
  Method *reader7983 = addmethodrealflags(obj7980, "name", &reader_ast_name_7983, 0);
  Method *writer7983 = addmethodrealflags(obj7980, "name:=(1)", &writer_ast_name_7983, 0);
  reader7983->definitionModule = modulename;
  writer7983->definitionModule = modulename;
  reader7983->definitionLine = 2039;
  writer7983->definitionLine = 2039;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 2);
if (objclass7980 == NULL) {
  Method *reader7984 = addmethodrealflags(obj7980, "value", &reader_ast_value_7984, 0);
  Method *writer7984 = addmethodrealflags(obj7980, "value:=(1)", &writer_ast_value_7984, 0);
  reader7984->definitionModule = modulename;
  writer7984->definitionModule = modulename;
  reader7984->definitionLine = 2040;
  writer7984->definitionLine = 2040;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 3);
if (objclass7980 == NULL) {
  Method *reader7985 = addmethodrealflags(obj7980, "dtype", &reader_ast_dtype_7985, 0);
  Method *writer7985 = addmethodrealflags(obj7980, "dtype:=(1)", &writer_ast_dtype_7985, 0);
  reader7985->definitionModule = modulename;
  writer7985->definitionModule = modulename;
  reader7985->definitionLine = 2041;
  writer7985->definitionLine = 2041;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 4);
if (objclass7980 == NULL) {
  Method *reader7986 = addmethodrealflags(obj7980, "nameString",&reader_ast_nameString_7986, MFLAG_DEF);
  reader7986->definitionModule = modulename;
  reader7986->definitionLine = 2042;
}
adddatum2(obj7980, alloc_Undefined(), 5);
if (objclass7980 == NULL) {
  Method *reader7987 = addmethodrealflags(obj7980, "annotations", &reader_ast_annotations_7987, 0);
  Method *writer7987 = addmethodrealflags(obj7980, "annotations:=(1)", &writer_ast_annotations_7987, 0);
  reader7987->definitionModule = modulename;
  writer7987->definitionModule = modulename;
  reader7987->definitionLine = 2043;
  writer7987->definitionLine = 2043;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 6);
if (objclass7980 == NULL) {
  Method *reader7988 = addmethodrealflags(obj7980, "startToken", &reader_ast_startToken_7988, 0);
  Method *writer7988 = addmethodrealflags(obj7980, "startToken:=(1)", &writer_ast_startToken_7988, 0);
  reader7988->definitionModule = modulename;
  writer7988->definitionModule = modulename;
  reader7988->definitionLine = 2044;
  writer7988->definitionLine = 2044;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 7);
// method "isPublic"
  struct UserObject *uo7989 = (struct UserObject*)obj7980;
  uo7989->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7989 = addmethod2pos(obj7980, "isPublic", &meth_ast_isPublic7989, 8);
  int argcv_meth_ast_isPublic7989[] = {0};
  meth_meth_ast_isPublic7989->type = alloc_MethodType(1, argcv_meth_ast_isPublic7989);
  meth_meth_ast_isPublic7989->definitionModule = modulename;
  meth_meth_ast_isPublic7989->definitionLine = 2046;
// method "isFieldDec"
  struct UserObject *uo8016 = (struct UserObject*)obj7980;
  uo8016->data[9] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8016 = addmethod2pos(obj7980, "isFieldDec", &meth_ast_isFieldDec8016, 9);
  int argcv_meth_ast_isFieldDec8016[] = {0};
  meth_meth_ast_isFieldDec8016->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8016);
  meth_meth_ast_isFieldDec8016->definitionModule = modulename;
  meth_meth_ast_isFieldDec8016->definitionLine = 2052;
// method "isWritable"
  struct UserObject *uo8018 = (struct UserObject*)obj7980;
  uo8018->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable8018 = addmethod2pos(obj7980, "isWritable", &meth_ast_isWritable8018, 10);
  int argcv_meth_ast_isWritable8018[] = {0};
  meth_meth_ast_isWritable8018->type = alloc_MethodType(1, argcv_meth_ast_isWritable8018);
  meth_meth_ast_isWritable8018->definitionModule = modulename;
  meth_meth_ast_isWritable8018->definitionLine = 2053;
// method "isReadable"
  struct UserObject *uo8020 = (struct UserObject*)obj7980;
  uo8020->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable8020 = addmethod2pos(obj7980, "isReadable", &meth_ast_isReadable8020, 11);
  int argcv_meth_ast_isReadable8020[] = {0};
  meth_meth_ast_isReadable8020->type = alloc_MethodType(1, argcv_meth_ast_isReadable8020);
  meth_meth_ast_isReadable8020->definitionModule = modulename;
  meth_meth_ast_isReadable8020->definitionLine = 2054;
// method "returnsObject"
  struct UserObject *uo8023 = (struct UserObject*)obj7980;
  uo8023->data[12] = emptyclosure;
  Method *meth_meth_ast_returnsObject8023 = addmethod2pos(obj7980, "returnsObject", &meth_ast_returnsObject8023, 12);
  int argcv_meth_ast_returnsObject8023[] = {0};
  meth_meth_ast_returnsObject8023->type = alloc_MethodType(1, argcv_meth_ast_returnsObject8023);
  meth_meth_ast_returnsObject8023->definitionModule = modulename;
  meth_meth_ast_returnsObject8023->definitionLine = 2056;
// method "returnedObjectScope"
  struct UserObject *uo8028 = (struct UserObject*)obj7980;
  uo8028->data[13] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope8028 = addmethod2pos(obj7980, "returnedObjectScope", &meth_ast_returnedObjectScope8028, 13);
  int argcv_meth_ast_returnedObjectScope8028[] = {0};
  meth_meth_ast_returnedObjectScope8028->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope8028);
  meth_meth_ast_returnedObjectScope8028->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope8028->definitionLine = 2059;
// method "usesAsType(_)"
  struct UserObject *uo8033 = (struct UserObject*)obj7980;
  uo8033->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8033 = addmethod2pos(obj7980, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8033, 14);
  int argcv_meth_ast_usesAsType_40_1_41_8033[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8033->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8033);
  meth_meth_ast_usesAsType_40_1_41_8033->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8033->definitionLine = 2063;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7980);
  Object closure8039 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8039, stackframe);
  addtoclosure(closure8039, var_k);
  struct UserObject *uo8039 = (struct UserObject*)obj7980;
  uo8039->data[15] = (Object)closure8039;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8039 = addmethod2pos(obj7980, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8039, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8039[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8039);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->definitionLine = 2066;
// method "accept(_)from(_)"
  struct UserObject *uo8042 = (struct UserObject*)obj7980;
  uo8042->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8042 = addmethod2pos(obj7980, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8042, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8042[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8042);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->definitionLine = 2068;
// method "map(_)ancestors(_)"
  struct UserObject *uo8076 = (struct UserObject*)obj7980;
  uo8076->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076 = addmethod2pos(obj7980, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8076, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8076[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8076);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->definitionLine = 2081;
// method "pretty(_)"
  struct UserObject *uo8115 = (struct UserObject*)obj7980;
  uo8115->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8115 = addmethod2pos(obj7980, "pretty(1)", &meth_ast_pretty_40_1_41_8115, 18);
  int argcv_meth_ast_pretty_40_1_41_8115[] = {1};
  meth_meth_ast_pretty_40_1_41_8115->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8115);
  meth_meth_ast_pretty_40_1_41_8115->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8115->definitionLine = 2090;
// method "toGrace(_)"
  struct UserObject *uo8275 = (struct UserObject*)obj7980;
  uo8275->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8275 = addmethod2pos(obj7980, "toGrace(1)", &meth_ast_toGrace_40_1_41_8275, 19);
  int argcv_meth_ast_toGrace_40_1_41_8275[] = {1};
  meth_meth_ast_toGrace_40_1_41_8275->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8275);
meth_meth_ast_toGrace_40_1_41_8275->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8275->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8275->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8275->definitionLine = 2114;
// method "shallowCopy"
  block_savedest(obj7980);
  Object closure8403 = createclosure(1, "shallowCopy");
  setclosureframe(closure8403, stackframe);
  addtoclosure(closure8403, var_defDecNode);
  struct UserObject *uo8403 = (struct UserObject*)obj7980;
  uo8403->data[20] = (Object)closure8403;
  Method *meth_meth_ast_shallowCopy8403 = addmethod2pos(obj7980, "shallowCopy", &meth_ast_shallowCopy8403, 20);
  int argcv_meth_ast_shallowCopy8403[] = {0};
  meth_meth_ast_shallowCopy8403->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8403);
  meth_meth_ast_shallowCopy8403->definitionModule = modulename;
  meth_meth_ast_shallowCopy8403->definitionLine = 2135;
// method "postCopy(_)"
  struct UserObject *uo8414 = (struct UserObject*)obj7980;
  uo8414->data[21] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_8414 = addmethod2pos(obj7980, "postCopy(1)", &meth_ast_postCopy_40_1_41_8414, 21);
  int argcv_meth_ast_postCopy_40_1_41_8414[] = {1};
  meth_meth_ast_postCopy_40_1_41_8414->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_8414);
  meth_meth_ast_postCopy_40_1_41_8414->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_8414->definitionLine = 2138;
// method "statementName"
  struct UserObject *uo8419 = (struct UserObject*)obj7980;
  uo8419->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName8419 = addmethod2pos(obj7980, "statementName", &meth_ast_statementName8419, 22);
  int argcv_meth_ast_statementName8419[] = {0};
  meth_meth_ast_statementName8419->type = alloc_MethodType(1, argcv_meth_ast_statementName8419);
  meth_meth_ast_statementName8419->definitionModule = modulename;
  meth_meth_ast_statementName8419->definitionLine = 2142;
  sourceObject = obj7980;
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8421 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8422 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8423 = gc_frame_new();
// call case 3: self.outer request
  Object call8424 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8423);
// compiled member node returning call8424 (depth = 5)
  Object call8425 = callmethodflags(call8424, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8422);
// compiled member node returning call8425 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8426 = callmethodflags(call8425, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8421);
// compiled call node returning call8426 (depth = 3)
  struct UserObject *obj7980_uo = (struct UserObject *)obj7980;
  obj7980_uo->super = call8426;
  sourceObject = obj7980;
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8427 == NULL) {
    strlit8427 = alloc_String("defdec");
    gc_root(strlit8427);
  }
// compiled string node returning strlit8427 (depth = 3)
  adddatum2(obj7980, strlit8427, 1);
  sourceObject = obj7980;
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7980, *var_name_39_, 2);
  sourceObject = obj7980;
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7980, *var_val, 3);
  sourceObject = obj7980;
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7980, *var_dtype_39_, 4);
  sourceObject = obj7980;
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8428 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8429 = gc_frame_new();
// call case 4: self request
  Object call8430 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8429);
// compiled member node returning call8430 (depth = 4)
  Object call8431 = callmethodflags(call8430, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8428);
// compiled member node returning call8431 (depth = 3)
  adddatum2(obj7980, call8431, 5);
  sourceObject = obj7980;
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8432 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8432 (depth = 3)
  adddatum2(obj7980, array8432, 6);
  sourceObject = obj7980;
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8433 = alloc_Boolean(0);
// compiled identifier node returning bool8433 (depth = 3)
  adddatum2(obj7980, bool8433, 7);
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  objclass7980 = obj7980->class;
  objclass7980->definitionModule = modulename;
  objclass7980->definitionLine = 2036;
  (*(struct UserObject *)self).data[0] = lowerouter7980;
  self = oldself7980;
  selfslot = oldselfslot7980;
  stackframe = oldstackframe7980;
  gc_frame_end(frame);
  return obj7980;
}
Object meth_ast_new_40_3_41_7979_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7980 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7980 = alloc_userobj2(27,23, objclass7980);
  gc_frame_newslot(obj7980);
if (objclass7980 == NULL) {
  glfree(obj7980->class->name);
  obj7980->class->name = "defDecNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7980, self, 0);
  addmethodreal(obj7980,"outer", &reader_ast_outer_7981);
  Object oldself7980 = self;
  struct StackFrameObject *oldstackframe7980 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7980);
  gc_frame_newslot((Object)stackframe);
  self = obj7980;
  Object *oldselfslot7980 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7980 = (*(struct UserObject *)self).data[0], lowerouter7980 = thisouter7980;
  if (inheritingObject7980) {
    struct UserObject *inho7980 = (struct UserObject *)inheritingObject7980;
    while (inho7980->super != GraceDefaultObject) inho7980 = (struct UserObject *)inho7980->super;
    inho7980->super = obj7980;
    self = inheritingObject7980;
    *selfslot = self;
    lowerouter7980 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7980;
  }
if (objclass7980 == NULL) {
  Method *reader7982 = addmethodrealflags(obj7980, "kind",&reader_ast_kind_7982, MFLAG_DEF);
  reader7982->definitionModule = modulename;
  reader7982->definitionLine = 2038;
}
adddatum2(obj7980, alloc_Undefined(), 1);
if (objclass7980 == NULL) {
  Method *reader7983 = addmethodrealflags(obj7980, "name", &reader_ast_name_7983, 0);
  Method *writer7983 = addmethodrealflags(obj7980, "name:=(1)", &writer_ast_name_7983, 0);
  reader7983->definitionModule = modulename;
  writer7983->definitionModule = modulename;
  reader7983->definitionLine = 2039;
  writer7983->definitionLine = 2039;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 2);
if (objclass7980 == NULL) {
  Method *reader7984 = addmethodrealflags(obj7980, "value", &reader_ast_value_7984, 0);
  Method *writer7984 = addmethodrealflags(obj7980, "value:=(1)", &writer_ast_value_7984, 0);
  reader7984->definitionModule = modulename;
  writer7984->definitionModule = modulename;
  reader7984->definitionLine = 2040;
  writer7984->definitionLine = 2040;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 3);
if (objclass7980 == NULL) {
  Method *reader7985 = addmethodrealflags(obj7980, "dtype", &reader_ast_dtype_7985, 0);
  Method *writer7985 = addmethodrealflags(obj7980, "dtype:=(1)", &writer_ast_dtype_7985, 0);
  reader7985->definitionModule = modulename;
  writer7985->definitionModule = modulename;
  reader7985->definitionLine = 2041;
  writer7985->definitionLine = 2041;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 4);
if (objclass7980 == NULL) {
  Method *reader7986 = addmethodrealflags(obj7980, "nameString",&reader_ast_nameString_7986, MFLAG_DEF);
  reader7986->definitionModule = modulename;
  reader7986->definitionLine = 2042;
}
adddatum2(obj7980, alloc_Undefined(), 5);
if (objclass7980 == NULL) {
  Method *reader7987 = addmethodrealflags(obj7980, "annotations", &reader_ast_annotations_7987, 0);
  Method *writer7987 = addmethodrealflags(obj7980, "annotations:=(1)", &writer_ast_annotations_7987, 0);
  reader7987->definitionModule = modulename;
  writer7987->definitionModule = modulename;
  reader7987->definitionLine = 2043;
  writer7987->definitionLine = 2043;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 6);
if (objclass7980 == NULL) {
  Method *reader7988 = addmethodrealflags(obj7980, "startToken", &reader_ast_startToken_7988, 0);
  Method *writer7988 = addmethodrealflags(obj7980, "startToken:=(1)", &writer_ast_startToken_7988, 0);
  reader7988->definitionModule = modulename;
  writer7988->definitionModule = modulename;
  reader7988->definitionLine = 2044;
  writer7988->definitionLine = 2044;
}
obj7980->flags |= OFLAG_MUTABLE;
adddatum2(obj7980, alloc_Undefined(), 7);
// method "isPublic"
  struct UserObject *uo7989 = (struct UserObject*)obj7980;
  uo7989->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7989 = addmethod2pos(obj7980, "isPublic", &meth_ast_isPublic7989, 8);
  int argcv_meth_ast_isPublic7989[] = {0};
  meth_meth_ast_isPublic7989->type = alloc_MethodType(1, argcv_meth_ast_isPublic7989);
  meth_meth_ast_isPublic7989->definitionModule = modulename;
  meth_meth_ast_isPublic7989->definitionLine = 2046;
// method "isFieldDec"
  struct UserObject *uo8016 = (struct UserObject*)obj7980;
  uo8016->data[9] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8016 = addmethod2pos(obj7980, "isFieldDec", &meth_ast_isFieldDec8016, 9);
  int argcv_meth_ast_isFieldDec8016[] = {0};
  meth_meth_ast_isFieldDec8016->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8016);
  meth_meth_ast_isFieldDec8016->definitionModule = modulename;
  meth_meth_ast_isFieldDec8016->definitionLine = 2052;
// method "isWritable"
  struct UserObject *uo8018 = (struct UserObject*)obj7980;
  uo8018->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable8018 = addmethod2pos(obj7980, "isWritable", &meth_ast_isWritable8018, 10);
  int argcv_meth_ast_isWritable8018[] = {0};
  meth_meth_ast_isWritable8018->type = alloc_MethodType(1, argcv_meth_ast_isWritable8018);
  meth_meth_ast_isWritable8018->definitionModule = modulename;
  meth_meth_ast_isWritable8018->definitionLine = 2053;
// method "isReadable"
  struct UserObject *uo8020 = (struct UserObject*)obj7980;
  uo8020->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable8020 = addmethod2pos(obj7980, "isReadable", &meth_ast_isReadable8020, 11);
  int argcv_meth_ast_isReadable8020[] = {0};
  meth_meth_ast_isReadable8020->type = alloc_MethodType(1, argcv_meth_ast_isReadable8020);
  meth_meth_ast_isReadable8020->definitionModule = modulename;
  meth_meth_ast_isReadable8020->definitionLine = 2054;
// method "returnsObject"
  struct UserObject *uo8023 = (struct UserObject*)obj7980;
  uo8023->data[12] = emptyclosure;
  Method *meth_meth_ast_returnsObject8023 = addmethod2pos(obj7980, "returnsObject", &meth_ast_returnsObject8023, 12);
  int argcv_meth_ast_returnsObject8023[] = {0};
  meth_meth_ast_returnsObject8023->type = alloc_MethodType(1, argcv_meth_ast_returnsObject8023);
  meth_meth_ast_returnsObject8023->definitionModule = modulename;
  meth_meth_ast_returnsObject8023->definitionLine = 2056;
// method "returnedObjectScope"
  struct UserObject *uo8028 = (struct UserObject*)obj7980;
  uo8028->data[13] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope8028 = addmethod2pos(obj7980, "returnedObjectScope", &meth_ast_returnedObjectScope8028, 13);
  int argcv_meth_ast_returnedObjectScope8028[] = {0};
  meth_meth_ast_returnedObjectScope8028->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope8028);
  meth_meth_ast_returnedObjectScope8028->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope8028->definitionLine = 2059;
// method "usesAsType(_)"
  struct UserObject *uo8033 = (struct UserObject*)obj7980;
  uo8033->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8033 = addmethod2pos(obj7980, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8033, 14);
  int argcv_meth_ast_usesAsType_40_1_41_8033[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8033->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8033);
  meth_meth_ast_usesAsType_40_1_41_8033->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8033->definitionLine = 2063;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7980);
  Object closure8039 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8039, stackframe);
  addtoclosure(closure8039, var_k);
  struct UserObject *uo8039 = (struct UserObject*)obj7980;
  uo8039->data[15] = (Object)closure8039;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8039 = addmethod2pos(obj7980, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8039, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8039[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8039);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8039->definitionLine = 2066;
// method "accept(_)from(_)"
  struct UserObject *uo8042 = (struct UserObject*)obj7980;
  uo8042->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8042 = addmethod2pos(obj7980, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8042, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8042[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8042);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8042->definitionLine = 2068;
// method "map(_)ancestors(_)"
  struct UserObject *uo8076 = (struct UserObject*)obj7980;
  uo8076->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076 = addmethod2pos(obj7980, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8076, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8076[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8076);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8076->definitionLine = 2081;
// method "pretty(_)"
  struct UserObject *uo8115 = (struct UserObject*)obj7980;
  uo8115->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8115 = addmethod2pos(obj7980, "pretty(1)", &meth_ast_pretty_40_1_41_8115, 18);
  int argcv_meth_ast_pretty_40_1_41_8115[] = {1};
  meth_meth_ast_pretty_40_1_41_8115->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8115);
  meth_meth_ast_pretty_40_1_41_8115->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8115->definitionLine = 2090;
// method "toGrace(_)"
  struct UserObject *uo8275 = (struct UserObject*)obj7980;
  uo8275->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8275 = addmethod2pos(obj7980, "toGrace(1)", &meth_ast_toGrace_40_1_41_8275, 19);
  int argcv_meth_ast_toGrace_40_1_41_8275[] = {1};
  meth_meth_ast_toGrace_40_1_41_8275->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8275);
meth_meth_ast_toGrace_40_1_41_8275->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8275->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8275->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8275->definitionLine = 2114;
// method "shallowCopy"
  block_savedest(obj7980);
  Object closure8403 = createclosure(1, "shallowCopy");
  setclosureframe(closure8403, stackframe);
  addtoclosure(closure8403, var_defDecNode);
  struct UserObject *uo8403 = (struct UserObject*)obj7980;
  uo8403->data[20] = (Object)closure8403;
  Method *meth_meth_ast_shallowCopy8403 = addmethod2pos(obj7980, "shallowCopy", &meth_ast_shallowCopy8403, 20);
  int argcv_meth_ast_shallowCopy8403[] = {0};
  meth_meth_ast_shallowCopy8403->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8403);
  meth_meth_ast_shallowCopy8403->definitionModule = modulename;
  meth_meth_ast_shallowCopy8403->definitionLine = 2135;
// method "postCopy(_)"
  struct UserObject *uo8414 = (struct UserObject*)obj7980;
  uo8414->data[21] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_8414 = addmethod2pos(obj7980, "postCopy(1)", &meth_ast_postCopy_40_1_41_8414, 21);
  int argcv_meth_ast_postCopy_40_1_41_8414[] = {1};
  meth_meth_ast_postCopy_40_1_41_8414->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_8414);
  meth_meth_ast_postCopy_40_1_41_8414->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_8414->definitionLine = 2138;
// method "statementName"
  struct UserObject *uo8419 = (struct UserObject*)obj7980;
  uo8419->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName8419 = addmethod2pos(obj7980, "statementName", &meth_ast_statementName8419, 22);
  int argcv_meth_ast_statementName8419[] = {0};
  meth_meth_ast_statementName8419->type = alloc_MethodType(1, argcv_meth_ast_statementName8419);
  meth_meth_ast_statementName8419->definitionModule = modulename;
  meth_meth_ast_statementName8419->definitionLine = 2142;
  sourceObject = obj7980;
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8421 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8422 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8423 = gc_frame_new();
// call case 3: self.outer request
  Object call8424 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8423);
// compiled member node returning call8424 (depth = 5)
  Object call8425 = callmethodflags(call8424, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8422);
// compiled member node returning call8425 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8426 = callmethodflags(call8425, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8421);
// compiled call node returning call8426 (depth = 3)
  struct UserObject *obj7980_uo = (struct UserObject *)obj7980;
  obj7980_uo->super = call8426;
  sourceObject = obj7980;
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8427 == NULL) {
    strlit8427 = alloc_String("defdec");
    gc_root(strlit8427);
  }
// compiled string node returning strlit8427 (depth = 3)
  adddatum2(obj7980, strlit8427, 1);
  sourceObject = obj7980;
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7980, *var_name_39_, 2);
  sourceObject = obj7980;
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7980, *var_val, 3);
  sourceObject = obj7980;
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7980, *var_dtype_39_, 4);
  sourceObject = obj7980;
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8428 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8429 = gc_frame_new();
// call case 4: self request
  Object call8430 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8429);
// compiled member node returning call8430 (depth = 4)
  Object call8431 = callmethodflags(call8430, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8428);
// compiled member node returning call8431 (depth = 3)
  adddatum2(obj7980, call8431, 5);
  sourceObject = obj7980;
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8432 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8432 (depth = 3)
  adddatum2(obj7980, array8432, 6);
  sourceObject = obj7980;
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8433 = alloc_Boolean(0);
// compiled identifier node returning bool8433 (depth = 3)
  adddatum2(obj7980, bool8433, 7);
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  sourceObject = obj7980;
  objclass7980 = obj7980->class;
  objclass7980->definitionModule = modulename;
  objclass7980->definitionLine = 2036;
  (*(struct UserObject *)self).data[0] = lowerouter7980;
  self = oldself7980;
  selfslot = oldselfslot7980;
  stackframe = oldstackframe7980;
  gc_frame_end(frame);
  return obj7980;
}
Object meth_ast_defDecNode8435(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_defDecNode;
}
Object meth_ast_isPublic8447(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8450 = alloc_Float64(0);
// compiled num node returning num8450 (depth = 5)
  int op_slot_right_8449 = gc_frame_newslot(num8450);
// starting to compile member node (depth = 5)
  int callframe8452 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8453 = gc_frame_new();
// call case 4: self request
  Object call8454 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8453);
// compiled member node returning call8454 (depth = 6)
  Object call8455 = callmethodflags(call8454, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8452);
// compiled member node returning call8455 (depth = 5)
  int op_slot_left_8449 = gc_frame_newslot(call8455);
  params[0] = num8450;
  partcv[0] = 1;
  Object opresult8456 = callmethod(call8455, "==(1)", 1, partcv, params);
// compiled op node returning opresult8456 (depth = 4)
  Object if8448 = done;
  if (istrue(opresult8456)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8457 = alloc_Boolean(0);
// compiled identifier node returning bool8457 (depth = 5)
  return bool8457;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8448 = undefined;
  } else {
  }
// compiled if node returning if8448 (depth = 3)
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8459 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8460 == NULL) {
    strlit8460 = alloc_String("public");
    gc_root(strlit8460);
  }
// compiled string node returning strlit8460 (depth = 5)
  gc_frame_newslot(strlit8460);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8461 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8462 = gc_frame_new();
// call case 3: self.outer request
  Object call8463 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8462);
// compiled member node returning call8463 (depth = 6)
  Object call8464 = callmethodflags(call8463, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8461);
// compiled member node returning call8464 (depth = 5)
  params[0] = self;
  params[1] = strlit8460;
  partcv[0] = 2;
  Object call8465 = callmethodflags(call8464, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8459);
// compiled call node returning call8465 (depth = 4)
  Object if8458 = done;
  if (istrue(call8465)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8466 = alloc_Boolean(1);
// compiled identifier node returning bool8466 (depth = 5)
  return bool8466;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8458 = undefined;
  } else {
  }
// compiled if node returning if8458 (depth = 3)
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8467 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8468 == NULL) {
    strlit8468 = alloc_String("readable");
    gc_root(strlit8468);
  }
// compiled string node returning strlit8468 (depth = 4)
  gc_frame_newslot(strlit8468);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8469 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8470 = gc_frame_new();
// call case 3: self.outer request
  Object call8471 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8470);
// compiled member node returning call8471 (depth = 5)
  Object call8472 = callmethodflags(call8471, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8469);
// compiled member node returning call8472 (depth = 4)
  params[0] = self;
  params[1] = strlit8468;
  partcv[0] = 2;
  Object call8473 = callmethodflags(call8472, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8467);
// compiled call node returning call8473 (depth = 3)
  gc_frame_end(frame);
  return call8473;
}
Object meth_ast_isWritable8474(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8477 = alloc_Float64(0);
// compiled num node returning num8477 (depth = 5)
  int op_slot_right_8476 = gc_frame_newslot(num8477);
// starting to compile member node (depth = 5)
  int callframe8479 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8480 = gc_frame_new();
// call case 4: self request
  Object call8481 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8480);
// compiled member node returning call8481 (depth = 6)
  Object call8482 = callmethodflags(call8481, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8479);
// compiled member node returning call8482 (depth = 5)
  int op_slot_left_8476 = gc_frame_newslot(call8482);
  params[0] = num8477;
  partcv[0] = 1;
  Object opresult8483 = callmethod(call8482, "==(1)", 1, partcv, params);
// compiled op node returning opresult8483 (depth = 4)
  Object if8475 = done;
  if (istrue(opresult8483)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8484 = alloc_Boolean(0);
// compiled identifier node returning bool8484 (depth = 5)
  return bool8484;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8475 = undefined;
  } else {
  }
// compiled if node returning if8475 (depth = 3)
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8486 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8487 == NULL) {
    strlit8487 = alloc_String("public");
    gc_root(strlit8487);
  }
// compiled string node returning strlit8487 (depth = 5)
  gc_frame_newslot(strlit8487);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8488 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8489 = gc_frame_new();
// call case 3: self.outer request
  Object call8490 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8489);
// compiled member node returning call8490 (depth = 6)
  Object call8491 = callmethodflags(call8490, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8488);
// compiled member node returning call8491 (depth = 5)
  params[0] = self;
  params[1] = strlit8487;
  partcv[0] = 2;
  Object call8492 = callmethodflags(call8491, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8486);
// compiled call node returning call8492 (depth = 4)
  Object if8485 = done;
  if (istrue(call8492)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8493 = alloc_Boolean(1);
// compiled identifier node returning bool8493 (depth = 5)
  return bool8493;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8485 = undefined;
  } else {
  }
// compiled if node returning if8485 (depth = 3)
// Begin line 2164
  setline(2164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8495 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8496 == NULL) {
    strlit8496 = alloc_String("writable");
    gc_root(strlit8496);
  }
// compiled string node returning strlit8496 (depth = 5)
  gc_frame_newslot(strlit8496);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8497 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8498 = gc_frame_new();
// call case 3: self.outer request
  Object call8499 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8498);
// compiled member node returning call8499 (depth = 6)
  Object call8500 = callmethodflags(call8499, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8497);
// compiled member node returning call8500 (depth = 5)
  params[0] = self;
  params[1] = strlit8496;
  partcv[0] = 2;
  Object call8501 = callmethodflags(call8500, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8495);
// compiled call node returning call8501 (depth = 4)
  Object if8494 = done;
  if (istrue(call8501)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8502 = alloc_Boolean(1);
// compiled identifier node returning bool8502 (depth = 5)
  return bool8502;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8494 = undefined;
  } else {
  }
// compiled if node returning if8494 (depth = 3)
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8503 = alloc_Boolean(0);
// compiled identifier node returning bool8503 (depth = 3)
  gc_frame_end(frame);
  return bool8503;
}
Object meth_ast_isReadable8504(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8507 = alloc_Float64(0);
// compiled num node returning num8507 (depth = 5)
  int op_slot_right_8506 = gc_frame_newslot(num8507);
// starting to compile member node (depth = 5)
  int callframe8509 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8510 = gc_frame_new();
// call case 4: self request
  Object call8511 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8510);
// compiled member node returning call8511 (depth = 6)
  Object call8512 = callmethodflags(call8511, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8509);
// compiled member node returning call8512 (depth = 5)
  int op_slot_left_8506 = gc_frame_newslot(call8512);
  params[0] = num8507;
  partcv[0] = 1;
  Object opresult8513 = callmethod(call8512, "==(1)", 1, partcv, params);
// compiled op node returning opresult8513 (depth = 4)
  Object if8505 = done;
  if (istrue(opresult8513)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8514 = alloc_Boolean(0);
// compiled identifier node returning bool8514 (depth = 5)
  return bool8514;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8505 = undefined;
  } else {
  }
// compiled if node returning if8505 (depth = 3)
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8516 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8517 == NULL) {
    strlit8517 = alloc_String("public");
    gc_root(strlit8517);
  }
// compiled string node returning strlit8517 (depth = 5)
  gc_frame_newslot(strlit8517);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8518 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8519 = gc_frame_new();
// call case 3: self.outer request
  Object call8520 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8519);
// compiled member node returning call8520 (depth = 6)
  Object call8521 = callmethodflags(call8520, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8518);
// compiled member node returning call8521 (depth = 5)
  params[0] = self;
  params[1] = strlit8517;
  partcv[0] = 2;
  Object call8522 = callmethodflags(call8521, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8516);
// compiled call node returning call8522 (depth = 4)
  Object if8515 = done;
  if (istrue(call8522)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8523 = alloc_Boolean(1);
// compiled identifier node returning bool8523 (depth = 5)
  return bool8523;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8515 = undefined;
  } else {
  }
// compiled if node returning if8515 (depth = 3)
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8525 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8526 == NULL) {
    strlit8526 = alloc_String("readable");
    gc_root(strlit8526);
  }
// compiled string node returning strlit8526 (depth = 5)
  gc_frame_newslot(strlit8526);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8527 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8528 = gc_frame_new();
// call case 3: self.outer request
  Object call8529 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8528);
// compiled member node returning call8529 (depth = 6)
  Object call8530 = callmethodflags(call8529, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8527);
// compiled member node returning call8530 (depth = 5)
  params[0] = self;
  params[1] = strlit8526;
  partcv[0] = 2;
  Object call8531 = callmethodflags(call8530, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8525);
// compiled call node returning call8531 (depth = 4)
  Object if8524 = done;
  if (istrue(call8531)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8532 = alloc_Boolean(1);
// compiled identifier node returning bool8532 (depth = 5)
  return bool8532;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8524 = undefined;
  } else {
  }
// compiled if node returning if8524 (depth = 3)
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8533 = alloc_Boolean(0);
// compiled identifier node returning bool8533 (depth = 3)
  gc_frame_end(frame);
  return bool8533;
}
Object meth_ast_isFieldDec8534(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2173
  setline(2173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8535 = alloc_Boolean(1);
// compiled identifier node returning bool8535 (depth = 3)
  gc_frame_end(frame);
  return bool8535;
}
Object meth_ast_usesAsType_40_1_41_8536(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8538 = gc_frame_new();
// call case 4: self request
  Object call8539 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8538);
// compiled member node returning call8539 (depth = 4)
  int op_slot_right_8537 = gc_frame_newslot(call8539);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8537 = gc_frame_newslot(*var_aNode);
  params[0] = call8539;
  partcv[0] = 1;
  Object opresult8541 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8541 (depth = 3)
  gc_frame_end(frame);
  return opresult8541;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_8542(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2179
  setline(2179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8543 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8544 = callmethodflags(*var_k, "vardec", 0, partcv, params, 0);
  gc_frame_end(callframe8543);
// compiled member node returning call8544 (depth = 3)
  gc_frame_end(frame);
  return call8544;
}
Object meth_ast__apply_40_1_41_8570(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8571 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8572 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8571);
// compiled call node returning call8572 (depth = 6)
  gc_frame_end(frame);
  return call8572;
}
Object meth_ast_accept_40_1_41_from_40_1_41_8545(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8547 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8548 = callmethodflags(*var_visitor, "visitVarDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8547);
// compiled call node returning call8548 (depth = 4)
  Object if8546 = done;
  if (istrue(call8548)) {
// Begin line 2183
  setline(2183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8549 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8550 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8549);
// compiled call node returning call8550 (depth = 5)
  *var_newChain = call8550;
  if (call8550 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8551 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8552 = gc_frame_new();
// call case 4: self request
  Object call8553 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8552);
// compiled member node returning call8553 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8554 = callmethodflags(call8553, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8551);
// compiled call node returning call8554 (depth = 4)
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8557 = gc_frame_new();
// call case 4: self request
  Object call8558 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8557);
// compiled member node returning call8558 (depth = 6)
  int op_slot_right_8556 = gc_frame_newslot(call8558);
// starting to compile identifier node (depth = 6)
  Object bool8560 = alloc_Boolean(0);
// compiled identifier node returning bool8560 (depth = 6)
  int op_slot_left_8556 = gc_frame_newslot(bool8560);
  params[0] = call8558;
  partcv[0] = 1;
  Object opresult8561 = callmethod(bool8560, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8561 (depth = 5)
  Object if8555 = done;
  if (istrue(opresult8561)) {
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8562 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8563 = gc_frame_new();
// call case 4: self request
  Object call8564 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8563);
// compiled member node returning call8564 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8565 = callmethodflags(call8564, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8562);
// compiled call node returning call8565 (depth = 5)
    gc_frame_newslot(call8565);
    if8555 = call8565;
  } else {
  }
// compiled if node returning if8555 (depth = 4)
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8566 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8567 = gc_frame_new();
// call case 4: self request
  Object call8568 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8567);
// compiled member node returning call8568 (depth = 5)
  gc_frame_newslot(call8568);
// starting to compile block node (depth = 5)
  Object block8569 = alloc_Block(NULL, NULL, "ast", 2188);
  gc_frame_newslot(block8569);
// method "_apply(_)"
  block_savedest(block8569);
  Object closure8570 = createclosure(3, "_apply(1)");
  setclosureframe(closure8570, stackframe);
  addtoclosure(closure8570, var_visitor);
  addtoclosure(closure8570, var_newChain);
  addtoclosure(closure8570, selfslot);
  struct UserObject *uo8570 = (struct UserObject*)block8569;
  uo8570->data[0] = (Object)closure8570;
  Method *meth_meth_ast__apply_40_1_41_8570 = addmethod2pos(block8569, "_apply(1)", &meth_ast__apply_40_1_41_8570, 0);
  int argcv_meth_ast__apply_40_1_41_8570[] = {1};
  meth_meth_ast__apply_40_1_41_8570->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8570);
  meth_meth_ast__apply_40_1_41_8570->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8570->definitionLine = 2984;
// compiled block node returning block8569 (depth = 5)
  gc_frame_newslot(block8569);
// call case 5: prelude request
  params[0] = call8568;
  params[1] = block8569;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8574 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8566);
// compiled call node returning call8574 (depth = 4)
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8577 = gc_frame_new();
// call case 4: self request
  Object call8578 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8577);
// compiled member node returning call8578 (depth = 6)
  int op_slot_right_8576 = gc_frame_newslot(call8578);
// starting to compile identifier node (depth = 6)
  Object bool8580 = alloc_Boolean(0);
// compiled identifier node returning bool8580 (depth = 6)
  int op_slot_left_8576 = gc_frame_newslot(bool8580);
  params[0] = call8578;
  partcv[0] = 1;
  Object opresult8581 = callmethod(bool8580, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8581 (depth = 5)
  Object if8575 = done;
  if (istrue(opresult8581)) {
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8582 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8583 = gc_frame_new();
// call case 4: self request
  Object call8584 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8583);
// compiled member node returning call8584 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8585 = callmethodflags(call8584, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8582);
// compiled call node returning call8585 (depth = 5)
    gc_frame_newslot(call8585);
    if8575 = call8585;
  } else {
  }
// compiled if node returning if8575 (depth = 4)
    gc_frame_newslot(if8575);
    if8546 = if8575;
  } else {
  }
// compiled if node returning if8546 (depth = 3)
  gc_frame_end(frame);
  return if8546;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_8586(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8587 = gc_frame_new();
// call case 4: self request
  Object call8588 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8587);
// compiled member node returning call8588 (depth = 4)
  *var_n = call8588;
  if (call8588 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8589 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8590 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8589);
// compiled call node returning call8590 (depth = 4)
  *var_newChain = call8590;
  if (call8590 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2199
  setline(2199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8591 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8592 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8593 = gc_frame_new();
// call case 4: self request
  Object call8594 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8593);
// compiled member node returning call8594 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8595 = callmethodflags(call8594, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8592);
// compiled call node returning call8595 (depth = 4)
  gc_frame_newslot(call8595);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8595;
  partcv[0] = 1;
  Object call8596 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8591);
// compiled call node returning call8596 (depth = 3)
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8597 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8598 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8599 = gc_frame_new();
// call case 4: self request
  Object call8600 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8599);
// compiled member node returning call8600 (depth = 5)
  gc_frame_newslot(call8600);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8601 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8602 = gc_frame_new();
// call case 3: self.outer request
  Object call8603 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8602);
// compiled member node returning call8603 (depth = 6)
  Object call8604 = callmethodflags(call8603, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8601);
// compiled member node returning call8604 (depth = 5)
  params[0] = call8600;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8605 = callmethodflags(call8604, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8598);
// compiled call node returning call8605 (depth = 4)
  gc_frame_newslot(call8605);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8605;
  partcv[0] = 1;
  Object call8606 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8597);
// compiled call node returning call8606 (depth = 3)
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8607 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8608 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8609 = gc_frame_new();
// call case 4: self request
  Object call8610 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8609);
// compiled member node returning call8610 (depth = 5)
  gc_frame_newslot(call8610);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8611 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8612 = gc_frame_new();
// call case 3: self.outer request
  Object call8613 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8612);
// compiled member node returning call8613 (depth = 6)
  Object call8614 = callmethodflags(call8613, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8611);
// compiled member node returning call8614 (depth = 5)
  params[0] = call8610;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8615 = callmethodflags(call8614, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8608);
// compiled call node returning call8615 (depth = 4)
  gc_frame_newslot(call8615);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8615;
  partcv[0] = 1;
  Object call8616 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8607);
// compiled call node returning call8616 (depth = 3)
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8617 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8618 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8619 = gc_frame_new();
// call case 4: self request
  Object call8620 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8619);
// compiled member node returning call8620 (depth = 5)
  gc_frame_newslot(call8620);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8621 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8622 = gc_frame_new();
// call case 3: self.outer request
  Object call8623 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8622);
// compiled member node returning call8623 (depth = 6)
  Object call8624 = callmethodflags(call8623, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8621);
// compiled member node returning call8624 (depth = 5)
  params[0] = call8620;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8625 = callmethodflags(call8624, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8618);
// compiled call node returning call8625 (depth = 4)
  gc_frame_newslot(call8625);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8625;
  partcv[0] = 1;
  Object call8626 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8617);
// compiled call node returning call8626 (depth = 3)
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8627 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8628 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8627);
// compiled call node returning call8628 (depth = 3)
  gc_frame_end(frame);
  return call8628;
}
Object meth_ast__apply_40_1_41_8637(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8639 == NULL) {
    strlit8639 = alloc_String("  ");
    gc_root(strlit8639);
  }
// compiled string node returning strlit8639 (depth = 7)
  int op_slot_right_8638 = gc_frame_newslot(strlit8639);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8638 = gc_frame_newslot(*var_spc);
  params[0] = strlit8639;
  partcv[0] = 1;
  Object opresult8641 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8641 (depth = 6)
  *var_spc = opresult8641;
  if (opresult8641 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_8629(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8630 == NULL) {
    strlit8630 = alloc_String("");
    gc_root(strlit8630);
  }
// compiled string node returning strlit8630 (depth = 4)
  *var_spc = strlit8630;
  if (strlit8630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8631 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8632 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num8634 = alloc_Float64(0);
// compiled num node returning num8634 (depth = 5)
  int op_slot_left_8632 = gc_frame_newslot(num8634);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8635 = callmethod(num8634, "..(1)", 1, partcv, params);
// compiled op node returning opresult8635 (depth = 4)
  gc_frame_newslot(opresult8635);
// starting to compile block node (depth = 4)
  Object block8636 = alloc_Block(NULL, NULL, "ast", 2207);
  gc_frame_newslot(block8636);
// method "_apply(_)"
  block_savedest(block8636);
  Object closure8637 = createclosure(2, "_apply(1)");
  setclosureframe(closure8637, stackframe);
  addtoclosure(closure8637, var_spc);
  addtoclosure(closure8637, selfslot);
  struct UserObject *uo8637 = (struct UserObject*)block8636;
  uo8637->data[0] = (Object)closure8637;
  Method *meth_meth_ast__apply_40_1_41_8637 = addmethod2pos(block8636, "_apply(1)", &meth_ast__apply_40_1_41_8637, 0);
  int argcv_meth_ast__apply_40_1_41_8637[] = {1};
  meth_meth_ast__apply_40_1_41_8637->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8637);
  meth_meth_ast__apply_40_1_41_8637->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8637->definitionLine = 2984;
// compiled block node returning block8636 (depth = 4)
  gc_frame_newslot(block8636);
// call case 5: prelude request
  params[0] = opresult8635;
  params[1] = block8636;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8644 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8631);
// compiled call node returning call8644 (depth = 3)
// Begin line 2210
  setline(2210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8646 == NULL) {
    strlit8646 = alloc_String("""\x0a""");
    gc_root(strlit8646);
  }
// compiled string node returning strlit8646 (depth = 5)
  int op_slot_right_8645 = gc_frame_newslot(strlit8646);
// starting to compile call node (depth = 5)
  int callframe8648 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8649 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8648);
// compiled call node returning call8649 (depth = 5)
  int op_slot_left_8645 = gc_frame_newslot(call8649);
  params[0] = strlit8646;
  partcv[0] = 1;
  Object opresult8650 = callmethod(call8649, "++(1)", 1, partcv, params);
// compiled op node returning opresult8650 (depth = 4)
  *var_s = opresult8650;
  if (opresult8650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8652 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8654 = alloc_Float64(1);
// compiled num node returning num8654 (depth = 7)
  int op_slot_right_8653 = gc_frame_newslot(num8654);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8653 = gc_frame_newslot(*var_depth);
  params[0] = num8654;
  partcv[0] = 1;
  Object sum8656 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8656 (depth = 6)
  gc_frame_newslot(sum8656);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8657 = gc_frame_new();
// call case 4: self request
  Object call8658 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8657);
// compiled member node returning call8658 (depth = 6)
  params[0] = sum8656;
  partcv[0] = 1;
  Object call8659 = callmethodflags(call8658, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8652);
// compiled call node returning call8659 (depth = 5)
  int op_slot_right_8651 = gc_frame_newslot(call8659);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8661 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8661 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8663 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8663 (depth = 5)
  int op_slot_left_8651 = gc_frame_newslot(opresult8663);
  params[0] = call8659;
  partcv[0] = 1;
  Object opresult8664 = callmethod(opresult8663, "++(1)", 1, partcv, params);
// compiled op node returning opresult8664 (depth = 4)
  *var_s = opresult8664;
  if (opresult8664 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8668 = gc_frame_new();
// call case 4: self request
  Object call8669 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8668);
// compiled member node returning call8669 (depth = 5)
  int op_slot_right_8667 = gc_frame_newslot(call8669);
// starting to compile identifier node (depth = 5)
  Object bool8671 = alloc_Boolean(0);
// compiled identifier node returning bool8671 (depth = 5)
  int op_slot_left_8667 = gc_frame_newslot(bool8671);
  params[0] = call8669;
  partcv[0] = 1;
  Object opresult8672 = callmethod(bool8671, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8672 (depth = 4)
  Object if8666 = done;
  if (istrue(opresult8672)) {
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8674 == NULL) {
    strlit8674 = alloc_String("Type: ");
    gc_root(strlit8674);
  }
// compiled string node returning strlit8674 (depth = 6)
  int op_slot_right_8673 = gc_frame_newslot(strlit8674);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8676 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8679 == NULL) {
    strlit8679 = alloc_String("""\x0a""");
    gc_root(strlit8679);
  }
// compiled string node returning strlit8679 (depth = 8)
  int op_slot_right_8678 = gc_frame_newslot(strlit8679);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8678 = gc_frame_newslot(*var_s);
  params[0] = strlit8679;
  partcv[0] = 1;
  Object opresult8681 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8681 (depth = 7)
  int op_slot_left_8676 = gc_frame_newslot(opresult8681);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8682 = callmethod(opresult8681, "++(1)", 1, partcv, params);
// compiled op node returning opresult8682 (depth = 6)
  int op_slot_left_8673 = gc_frame_newslot(opresult8682);
  params[0] = strlit8674;
  partcv[0] = 1;
  Object opresult8683 = callmethod(opresult8682, "++(1)", 1, partcv, params);
// compiled op node returning opresult8683 (depth = 5)
  *var_s = opresult8683;
  if (opresult8683 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8686 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8688 = alloc_Float64(2);
// compiled num node returning num8688 (depth = 8)
  int op_slot_right_8687 = gc_frame_newslot(num8688);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8687 = gc_frame_newslot(*var_depth);
  params[0] = num8688;
  partcv[0] = 1;
  Object sum8690 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8690 (depth = 7)
  gc_frame_newslot(sum8690);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8691 = gc_frame_new();
// call case 4: self request
  Object call8692 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8691);
// compiled member node returning call8692 (depth = 7)
  params[0] = sum8690;
  partcv[0] = 1;
  Object call8693 = callmethodflags(call8692, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8686);
// compiled call node returning call8693 (depth = 6)
  int op_slot_right_8685 = gc_frame_newslot(call8693);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8685 = gc_frame_newslot(*var_s);
  params[0] = call8693;
  partcv[0] = 1;
  Object opresult8695 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8695 (depth = 5)
  *var_s = opresult8695;
  if (opresult8695 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8666 = done;
  } else {
  }
// compiled if node returning if8666 (depth = 3)
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8699 = gc_frame_new();
// call case 4: self request
  Object call8700 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8699);
// compiled member node returning call8700 (depth = 5)
  int op_slot_right_8698 = gc_frame_newslot(call8700);
// starting to compile identifier node (depth = 5)
  Object bool8702 = alloc_Boolean(0);
// compiled identifier node returning bool8702 (depth = 5)
  int op_slot_left_8698 = gc_frame_newslot(bool8702);
  params[0] = call8700;
  partcv[0] = 1;
  Object opresult8703 = callmethod(bool8702, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8703 (depth = 4)
  Object if8697 = done;
  if (istrue(opresult8703)) {
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8705 == NULL) {
    strlit8705 = alloc_String("Value: ");
    gc_root(strlit8705);
  }
// compiled string node returning strlit8705 (depth = 6)
  int op_slot_right_8704 = gc_frame_newslot(strlit8705);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8707 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8710 == NULL) {
    strlit8710 = alloc_String("""\x0a""");
    gc_root(strlit8710);
  }
// compiled string node returning strlit8710 (depth = 8)
  int op_slot_right_8709 = gc_frame_newslot(strlit8710);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8709 = gc_frame_newslot(*var_s);
  params[0] = strlit8710;
  partcv[0] = 1;
  Object opresult8712 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8712 (depth = 7)
  int op_slot_left_8707 = gc_frame_newslot(opresult8712);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8713 = callmethod(opresult8712, "++(1)", 1, partcv, params);
// compiled op node returning opresult8713 (depth = 6)
  int op_slot_left_8704 = gc_frame_newslot(opresult8713);
  params[0] = strlit8705;
  partcv[0] = 1;
  Object opresult8714 = callmethod(opresult8713, "++(1)", 1, partcv, params);
// compiled op node returning opresult8714 (depth = 5)
  *var_s = opresult8714;
  if (opresult8714 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8717 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8719 = alloc_Float64(2);
// compiled num node returning num8719 (depth = 8)
  int op_slot_right_8718 = gc_frame_newslot(num8719);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8718 = gc_frame_newslot(*var_depth);
  params[0] = num8719;
  partcv[0] = 1;
  Object sum8721 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8721 (depth = 7)
  gc_frame_newslot(sum8721);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8722 = gc_frame_new();
// call case 4: self request
  Object call8723 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8722);
// compiled member node returning call8723 (depth = 7)
  params[0] = sum8721;
  partcv[0] = 1;
  Object call8724 = callmethodflags(call8723, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8717);
// compiled call node returning call8724 (depth = 6)
  int op_slot_right_8716 = gc_frame_newslot(call8724);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8716 = gc_frame_newslot(*var_s);
  params[0] = call8724;
  partcv[0] = 1;
  Object opresult8726 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8726 (depth = 5)
  *var_s = opresult8726;
  if (opresult8726 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8697 = done;
  } else {
  }
// compiled if node returning if8697 (depth = 3)
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8730 = gc_frame_new();
// call case 4: self request
  Object call8731 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8730);
// compiled member node returning call8731 (depth = 5)
  int op_slot_right_8729 = gc_frame_newslot(call8731);
// starting to compile identifier node (depth = 5)
  Object bool8733 = alloc_Boolean(0);
// compiled identifier node returning bool8733 (depth = 5)
  int op_slot_left_8729 = gc_frame_newslot(bool8733);
  params[0] = call8731;
  partcv[0] = 1;
  Object opresult8734 = callmethod(bool8733, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8734 (depth = 4)
  Object if8728 = done;
  if (istrue(opresult8734)) {
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8736 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8738 = alloc_Float64(2);
// compiled num node returning num8738 (depth = 8)
  int op_slot_right_8737 = gc_frame_newslot(num8738);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8737 = gc_frame_newslot(*var_depth);
  params[0] = num8738;
  partcv[0] = 1;
  Object sum8740 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8740 (depth = 7)
  gc_frame_newslot(sum8740);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8741 = gc_frame_new();
// call case 4: self request
  Object call8742 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8741);
// compiled member node returning call8742 (depth = 7)
  params[0] = sum8740;
  partcv[0] = 1;
  Object call8743 = callmethodflags(call8742, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8736);
// compiled call node returning call8743 (depth = 6)
  int op_slot_right_8735 = gc_frame_newslot(call8743);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8735 = gc_frame_newslot(*var_s);
  params[0] = call8743;
  partcv[0] = 1;
  Object opresult8745 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8745 (depth = 5)
  *var_s = opresult8745;
  if (opresult8745 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8728 = done;
  } else {
  }
// compiled if node returning if8728 (depth = 3)
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply8751(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8753 == NULL) {
    strlit8753 = alloc_String("    ");
    gc_root(strlit8753);
  }
// compiled string node returning strlit8753 (depth = 7)
  int op_slot_right_8752 = gc_frame_newslot(strlit8753);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8752 = gc_frame_newslot(*var_spc);
  params[0] = strlit8753;
  partcv[0] = 1;
  Object opresult8755 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8755 (depth = 6)
  *var_spc = opresult8755;
  if (opresult8755 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8775(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8777 == NULL) {
    strlit8777 = alloc_String("Unknown");
    gc_root(strlit8777);
  }
// compiled string node returning strlit8777 (depth = 7)
  int op_slot_right_8776 = gc_frame_newslot(strlit8777);
// starting to compile member node (depth = 7)
  int callframe8779 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8780 = gc_frame_new();
// call case 4: self request
  Object call8781 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8780);
// compiled member node returning call8781 (depth = 8)
  Object call8782 = callmethodflags(call8781, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8779);
// compiled member node returning call8782 (depth = 7)
  int op_slot_left_8776 = gc_frame_newslot(call8782);
  params[0] = strlit8777;
  partcv[0] = 1;
  Object opresult8783 = callmethod(call8782, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8783 (depth = 6)
  gc_frame_end(frame);
  return opresult8783;
}
Object meth_ast__apply_40_2_41_8823(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8825 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num8826 = alloc_Float64(0);
// compiled num node returning num8826 (depth = 10)
  gc_frame_newslot(num8826);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num8826;
  partcv[0] = 1;
  Object call8827 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8825);
// compiled call node returning call8827 (depth = 9)
  int op_slot_right_8824 = gc_frame_newslot(call8827);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8831 == NULL) {
    strlit8831 = alloc_String("");
    gc_root(strlit8831);
  }
// compiled string node returning strlit8831 (depth = 11)
  int op_slot_right_8830 = gc_frame_newslot(strlit8831);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8830 = gc_frame_newslot(*var_a);
  params[0] = strlit8831;
  partcv[0] = 1;
  Object opresult8833 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8833 (depth = 10)
  Object if8829 = done;
struct StackFrameObject *iftmpstackframe8829 = stackframe;
  if (istrue(opresult8833)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8829);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8835 == NULL) {
    strlit8835 = alloc_String(", ");
    gc_root(strlit8835);
  }
// compiled string node returning strlit8835 (depth = 11)
  int op_slot_right_8834 = gc_frame_newslot(strlit8835);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8834 = gc_frame_newslot(*var_a);
  params[0] = strlit8835;
  partcv[0] = 1;
  Object opresult8837 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult8837 (depth = 10)
    gc_frame_newslot(opresult8837);
    if8829 = opresult8837;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8829);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit8838 == NULL) {
    strlit8838 = alloc_String("");
    gc_root(strlit8838);
  }
// compiled string node returning strlit8838 (depth = 10)
    gc_frame_newslot(strlit8838);
    if8829 = strlit8838;
  }
stackframe = iftmpstackframe8829;
// compiled if node returning if8829 (depth = 9)
  int op_slot_left_8824 = gc_frame_newslot(if8829);
  params[0] = call8827;
  partcv[0] = 1;
  Object opresult8839 = callmethod(if8829, "++(1)", 1, partcv, params);
// compiled op node returning opresult8839 (depth = 8)
  gc_frame_end(frame);
  return opresult8839;
}
Object meth_ast_toGrace_40_1_41_8747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8748 == NULL) {
    strlit8748 = alloc_String("");
    gc_root(strlit8748);
  }
// compiled string node returning strlit8748 (depth = 4)
  *var_spc = strlit8748;
  if (strlit8748 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8749 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block8750 = alloc_Block(NULL, NULL, "ast", 2227);
  gc_frame_newslot(block8750);
// method "_apply"
  block_savedest(block8750);
  Object closure8751 = createclosure(2, "_apply");
  setclosureframe(closure8751, stackframe);
  addtoclosure(closure8751, var_spc);
  addtoclosure(closure8751, selfslot);
  struct UserObject *uo8751 = (struct UserObject*)block8750;
  uo8751->data[0] = (Object)closure8751;
  Method *meth_meth_ast__apply8751 = addmethod2pos(block8750, "_apply", &meth_ast__apply8751, 0);
  int argcv_meth_ast__apply8751[] = {0};
  meth_meth_ast__apply8751->type = alloc_MethodType(1, argcv_meth_ast__apply8751);
  meth_meth_ast__apply8751->definitionModule = modulename;
  meth_meth_ast__apply8751->definitionLine = 2984;
// compiled block node returning block8750 (depth = 4)
  gc_frame_newslot(block8750);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block8750;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8758 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8749);
// compiled call node returning call8758 (depth = 3)
// Begin line 2230
  setline(2230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8760 == NULL) {
    strlit8760 = alloc_String("");
    gc_root(strlit8760);
  }
// compiled string node returning strlit8760 (depth = 5)
  int op_slot_right_8759 = gc_frame_newslot(strlit8760);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8763 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8764 = alloc_Float64(0);
// compiled num node returning num8764 (depth = 7)
  gc_frame_newslot(num8764);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8765 = gc_frame_new();
// call case 4: self request
  Object call8766 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8765);
// compiled member node returning call8766 (depth = 7)
  params[0] = num8764;
  partcv[0] = 1;
  Object call8767 = callmethodflags(call8766, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8763);
// compiled call node returning call8767 (depth = 6)
  int op_slot_right_8762 = gc_frame_newslot(call8767);
// starting to compile string node (depth = 6)
  if (strlit8769 == NULL) {
    strlit8769 = alloc_String("var ");
    gc_root(strlit8769);
  }
// compiled string node returning strlit8769 (depth = 6)
  int op_slot_left_8762 = gc_frame_newslot(strlit8769);
  params[0] = call8767;
  partcv[0] = 1;
  Object opresult8770 = callmethod(strlit8769, "++(1)", 1, partcv, params);
// compiled op node returning opresult8770 (depth = 5)
  int op_slot_left_8759 = gc_frame_newslot(opresult8770);
  params[0] = strlit8760;
  partcv[0] = 1;
  Object opresult8771 = callmethod(opresult8770, "++(1)", 1, partcv, params);
// compiled op node returning opresult8771 (depth = 4)
  *var_s = opresult8771;
  if (opresult8771 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8774 = alloc_Block(NULL, NULL, "ast", 2231);
  gc_frame_newslot(block8774);
// method "_apply"
  block_savedest(block8774);
  Object closure8775 = createclosure(1, "_apply");
  setclosureframe(closure8775, stackframe);
  addtoclosure(closure8775, selfslot);
  struct UserObject *uo8775 = (struct UserObject*)block8774;
  uo8775->data[0] = (Object)closure8775;
  Method *meth_meth_ast__apply8775 = addmethod2pos(block8774, "_apply", &meth_ast__apply8775, 0);
  int argcv_meth_ast__apply8775[] = {0};
  meth_meth_ast__apply8775->type = alloc_MethodType(1, argcv_meth_ast__apply8775);
  meth_meth_ast__apply8775->definitionModule = modulename;
  meth_meth_ast__apply8775->definitionLine = 2984;
// compiled block node returning block8774 (depth = 5)
  int op_slot_right_8773 = gc_frame_newslot(block8774);
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8787 = gc_frame_new();
// call case 4: self request
  Object call8788 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8787);
// compiled member node returning call8788 (depth = 6)
  int op_slot_right_8786 = gc_frame_newslot(call8788);
// starting to compile identifier node (depth = 6)
  Object bool8790 = alloc_Boolean(0);
// compiled identifier node returning bool8790 (depth = 6)
  int op_slot_left_8786 = gc_frame_newslot(bool8790);
  params[0] = call8788;
  partcv[0] = 1;
  Object opresult8791 = callmethod(bool8790, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8791 (depth = 5)
  int op_slot_left_8773 = gc_frame_newslot(opresult8791);
  params[0] = block8774;
  partcv[0] = 1;
  Object opresult8792 = callmethod(opresult8791, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8792 (depth = 4)
  Object if8772 = done;
  if (istrue(opresult8792)) {
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8794 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8795 = alloc_Float64(0);
// compiled num node returning num8795 (depth = 7)
  gc_frame_newslot(num8795);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8796 = gc_frame_new();
// call case 4: self request
  Object call8797 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8796);
// compiled member node returning call8797 (depth = 7)
  params[0] = num8795;
  partcv[0] = 1;
  Object call8798 = callmethodflags(call8797, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8794);
// compiled call node returning call8798 (depth = 6)
  int op_slot_right_8793 = gc_frame_newslot(call8798);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8801 == NULL) {
    strlit8801 = alloc_String(" : ");
    gc_root(strlit8801);
  }
// compiled string node returning strlit8801 (depth = 7)
  int op_slot_right_8800 = gc_frame_newslot(strlit8801);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8800 = gc_frame_newslot(*var_s);
  params[0] = strlit8801;
  partcv[0] = 1;
  Object opresult8803 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8803 (depth = 6)
  int op_slot_left_8793 = gc_frame_newslot(opresult8803);
  params[0] = call8798;
  partcv[0] = 1;
  Object opresult8804 = callmethod(opresult8803, "++(1)", 1, partcv, params);
// compiled op node returning opresult8804 (depth = 5)
  *var_s = opresult8804;
  if (opresult8804 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8772 = done;
  } else {
  }
// compiled if node returning if8772 (depth = 3)
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8808 = alloc_Float64(0);
// compiled num node returning num8808 (depth = 5)
  int op_slot_right_8807 = gc_frame_newslot(num8808);
// starting to compile member node (depth = 5)
  int callframe8810 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8811 = gc_frame_new();
// call case 4: self request
  Object call8812 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8811);
// compiled member node returning call8812 (depth = 6)
  Object call8813 = callmethodflags(call8812, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8810);
// compiled member node returning call8813 (depth = 5)
  int op_slot_left_8807 = gc_frame_newslot(call8813);
  params[0] = num8808;
  partcv[0] = 1;
  Object opresult8814 = callmethod(call8813, ">(1)", 1, partcv, params);
// compiled op node returning opresult8814 (depth = 4)
  Object if8806 = done;
  if (istrue(opresult8814)) {
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8816 == NULL) {
    strlit8816 = alloc_String(" is ");
    gc_root(strlit8816);
  }
// compiled string node returning strlit8816 (depth = 6)
  int op_slot_right_8815 = gc_frame_newslot(strlit8816);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8815 = gc_frame_newslot(*var_s);
  params[0] = strlit8816;
  partcv[0] = 1;
  Object opresult8818 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8818 (depth = 5)
  *var_s = opresult8818;
  if (opresult8818 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8821 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block8822 = alloc_Block(NULL, NULL, "ast", 2237);
  gc_frame_newslot(block8822);
// method "_apply(_,_)"
  block_savedest(block8822);
  Object closure8823 = createclosure(1, "_apply(2)");
  setclosureframe(closure8823, stackframe);
  addtoclosure(closure8823, selfslot);
  struct UserObject *uo8823 = (struct UserObject*)block8822;
  uo8823->data[0] = (Object)closure8823;
  Method *meth_meth_ast__apply_40_2_41_8823 = addmethod2pos(block8822, "_apply(2)", &meth_ast__apply_40_2_41_8823, 0);
  int argcv_meth_ast__apply_40_2_41_8823[] = {2};
  meth_meth_ast__apply_40_2_41_8823->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_8823);
  meth_meth_ast__apply_40_2_41_8823->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_8823->definitionLine = 2984;
// compiled block node returning block8822 (depth = 7)
  gc_frame_newslot(block8822);
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8841 == NULL) {
    strlit8841 = alloc_String("");
    gc_root(strlit8841);
  }
// compiled string node returning strlit8841 (depth = 7)
  gc_frame_newslot(strlit8841);
// call case 6: other requests
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8842 = gc_frame_new();
// call case 4: self request
  Object call8843 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8842);
// compiled member node returning call8843 (depth = 7)
  params[0] = block8822;
  params[1] = strlit8841;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8844 = callmethodflags(call8843, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8821);
// compiled call node returning call8844 (depth = 6)
  int op_slot_right_8820 = gc_frame_newslot(call8844);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8820 = gc_frame_newslot(*var_s);
  params[0] = call8844;
  partcv[0] = 1;
  Object opresult8846 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8846 (depth = 5)
  *var_s = opresult8846;
  if (opresult8846 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8806 = done;
  } else {
  }
// compiled if node returning if8806 (depth = 3)
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8850 = gc_frame_new();
// call case 4: self request
  Object call8851 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8850);
// compiled member node returning call8851 (depth = 5)
  int op_slot_right_8849 = gc_frame_newslot(call8851);
// starting to compile identifier node (depth = 5)
  Object bool8853 = alloc_Boolean(0);
// compiled identifier node returning bool8853 (depth = 5)
  int op_slot_left_8849 = gc_frame_newslot(bool8853);
  params[0] = call8851;
  partcv[0] = 1;
  Object opresult8854 = callmethod(bool8853, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8854 (depth = 4)
  Object if8848 = done;
  if (istrue(opresult8854)) {
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8856 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8857 = gc_frame_new();
// call case 4: self request
  Object call8858 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8857);
// compiled member node returning call8858 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8859 = callmethodflags(call8858, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8856);
// compiled call node returning call8859 (depth = 6)
  int op_slot_right_8855 = gc_frame_newslot(call8859);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8862 == NULL) {
    strlit8862 = alloc_String(" := ");
    gc_root(strlit8862);
  }
// compiled string node returning strlit8862 (depth = 7)
  int op_slot_right_8861 = gc_frame_newslot(strlit8862);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8861 = gc_frame_newslot(*var_s);
  params[0] = strlit8862;
  partcv[0] = 1;
  Object opresult8864 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8864 (depth = 6)
  int op_slot_left_8855 = gc_frame_newslot(opresult8864);
  params[0] = call8859;
  partcv[0] = 1;
  Object opresult8865 = callmethod(opresult8864, "++(1)", 1, partcv, params);
// compiled op node returning opresult8865 (depth = 5)
  *var_s = opresult8865;
  if (opresult8865 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8848 = done;
  } else {
  }
// compiled if node returning if8848 (depth = 3)
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy8867(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8868 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8869 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8870 = gc_frame_new();
// call case 4: self request
  Object call8871 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8870);
// compiled member node returning call8871 (depth = 5)
  gc_frame_newslot(call8871);
// starting to compile member node (depth = 5)
  int callframe8872 = gc_frame_new();
// call case 4: self request
  Object call8873 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8872);
// compiled member node returning call8873 (depth = 5)
  gc_frame_newslot(call8873);
// starting to compile member node (depth = 5)
  int callframe8874 = gc_frame_new();
// call case 4: self request
  Object call8875 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8874);
// compiled member node returning call8875 (depth = 5)
  gc_frame_newslot(call8875);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_varDecNode (depth = 5)
  params[0] = call8871;
  params[1] = call8873;
  params[2] = call8875;
  partcv[0] = 3;
  Object call8876 = callmethodflags(*var_varDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8869);
// compiled call node returning call8876 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8877 = callmethodflags(call8876, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8868);
// compiled call node returning call8877 (depth = 3)
  gc_frame_end(frame);
  return call8877;
}
Object meth_ast_statementName8878(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8879 == NULL) {
    strlit8879 = alloc_String("variable declaration");
    gc_root(strlit8879);
  }
// compiled string node returning strlit8879 (depth = 3)
  gc_frame_end(frame);
  return strlit8879;
}
Object meth_ast_new_40_3_41_8438(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8439 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8439 = alloc_userobj2(22,19, objclass8439);
  gc_frame_newslot(obj8439);
if (objclass8439 == NULL) {
  glfree(obj8439->class->name);
  obj8439->class->name = "varDecNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8439, self, 0);
  addmethodreal(obj8439,"outer", &reader_ast_outer_8440);
  Object oldself8439 = self;
  struct StackFrameObject *oldstackframe8439 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8439);
  gc_frame_newslot((Object)stackframe);
  self = obj8439;
  Object *oldselfslot8439 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8439 = (*(struct UserObject *)self).data[0], lowerouter8439 = thisouter8439;
  if (inheritingObject8439) {
    struct UserObject *inho8439 = (struct UserObject *)inheritingObject8439;
    while (inho8439->super != GraceDefaultObject) inho8439 = (struct UserObject *)inho8439->super;
    inho8439->super = obj8439;
    self = inheritingObject8439;
    *selfslot = self;
    lowerouter8439 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8439;
  }
if (objclass8439 == NULL) {
  Method *reader8441 = addmethodrealflags(obj8439, "kind",&reader_ast_kind_8441, MFLAG_DEF);
  reader8441->definitionModule = modulename;
  reader8441->definitionLine = 2148;
}
adddatum2(obj8439, alloc_Undefined(), 1);
if (objclass8439 == NULL) {
  Method *reader8442 = addmethodrealflags(obj8439, "name", &reader_ast_name_8442, 0);
  Method *writer8442 = addmethodrealflags(obj8439, "name:=(1)", &writer_ast_name_8442, 0);
  reader8442->definitionModule = modulename;
  writer8442->definitionModule = modulename;
  reader8442->definitionLine = 2149;
  writer8442->definitionLine = 2149;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 2);
if (objclass8439 == NULL) {
  Method *reader8443 = addmethodrealflags(obj8439, "value", &reader_ast_value_8443, 0);
  Method *writer8443 = addmethodrealflags(obj8439, "value:=(1)", &writer_ast_value_8443, 0);
  reader8443->definitionModule = modulename;
  writer8443->definitionModule = modulename;
  reader8443->definitionLine = 2150;
  writer8443->definitionLine = 2150;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 3);
if (objclass8439 == NULL) {
  Method *reader8444 = addmethodrealflags(obj8439, "dtype", &reader_ast_dtype_8444, 0);
  Method *writer8444 = addmethodrealflags(obj8439, "dtype:=(1)", &writer_ast_dtype_8444, 0);
  reader8444->definitionModule = modulename;
  writer8444->definitionModule = modulename;
  reader8444->definitionLine = 2151;
  writer8444->definitionLine = 2151;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 4);
if (objclass8439 == NULL) {
  Method *reader8445 = addmethodrealflags(obj8439, "nameString",&reader_ast_nameString_8445, MFLAG_DEF);
  reader8445->definitionModule = modulename;
  reader8445->definitionLine = 2152;
}
adddatum2(obj8439, alloc_Undefined(), 5);
if (objclass8439 == NULL) {
  Method *reader8446 = addmethodrealflags(obj8439, "annotations", &reader_ast_annotations_8446, 0);
  Method *writer8446 = addmethodrealflags(obj8439, "annotations:=(1)", &writer_ast_annotations_8446, 0);
  reader8446->definitionModule = modulename;
  writer8446->definitionModule = modulename;
  reader8446->definitionLine = 2153;
  writer8446->definitionLine = 2153;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 6);
// method "isPublic"
  struct UserObject *uo8447 = (struct UserObject*)obj8439;
  uo8447->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8447 = addmethod2pos(obj8439, "isPublic", &meth_ast_isPublic8447, 7);
  int argcv_meth_ast_isPublic8447[] = {0};
  meth_meth_ast_isPublic8447->type = alloc_MethodType(1, argcv_meth_ast_isPublic8447);
  meth_meth_ast_isPublic8447->definitionModule = modulename;
  meth_meth_ast_isPublic8447->definitionLine = 2155;
// method "isWritable"
  struct UserObject *uo8474 = (struct UserObject*)obj8439;
  uo8474->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8474 = addmethod2pos(obj8439, "isWritable", &meth_ast_isWritable8474, 8);
  int argcv_meth_ast_isWritable8474[] = {0};
  meth_meth_ast_isWritable8474->type = alloc_MethodType(1, argcv_meth_ast_isWritable8474);
  meth_meth_ast_isWritable8474->definitionModule = modulename;
  meth_meth_ast_isWritable8474->definitionLine = 2161;
// method "isReadable"
  struct UserObject *uo8504 = (struct UserObject*)obj8439;
  uo8504->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8504 = addmethod2pos(obj8439, "isReadable", &meth_ast_isReadable8504, 9);
  int argcv_meth_ast_isReadable8504[] = {0};
  meth_meth_ast_isReadable8504->type = alloc_MethodType(1, argcv_meth_ast_isReadable8504);
  meth_meth_ast_isReadable8504->definitionModule = modulename;
  meth_meth_ast_isReadable8504->definitionLine = 2167;
// method "isFieldDec"
  struct UserObject *uo8534 = (struct UserObject*)obj8439;
  uo8534->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8534 = addmethod2pos(obj8439, "isFieldDec", &meth_ast_isFieldDec8534, 10);
  int argcv_meth_ast_isFieldDec8534[] = {0};
  meth_meth_ast_isFieldDec8534->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8534);
  meth_meth_ast_isFieldDec8534->definitionModule = modulename;
  meth_meth_ast_isFieldDec8534->definitionLine = 2173;
// method "usesAsType(_)"
  struct UserObject *uo8536 = (struct UserObject*)obj8439;
  uo8536->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8536 = addmethod2pos(obj8439, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8536, 11);
  int argcv_meth_ast_usesAsType_40_1_41_8536[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8536->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8536);
  meth_meth_ast_usesAsType_40_1_41_8536->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8536->definitionLine = 2175;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8439);
  Object closure8542 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8542, stackframe);
  addtoclosure(closure8542, var_k);
  struct UserObject *uo8542 = (struct UserObject*)obj8439;
  uo8542->data[12] = (Object)closure8542;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8542 = addmethod2pos(obj8439, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8542, 12);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8542[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8542);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->definitionLine = 2179;
// method "accept(_)from(_)"
  struct UserObject *uo8545 = (struct UserObject*)obj8439;
  uo8545->data[13] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8545 = addmethod2pos(obj8439, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8545, 13);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8545[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8545);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->definitionLine = 2181;
// method "map(_)ancestors(_)"
  struct UserObject *uo8586 = (struct UserObject*)obj8439;
  uo8586->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586 = addmethod2pos(obj8439, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8586, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8586[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8586);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->definitionLine = 2196;
// method "pretty(_)"
  struct UserObject *uo8629 = (struct UserObject*)obj8439;
  uo8629->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8629 = addmethod2pos(obj8439, "pretty(1)", &meth_ast_pretty_40_1_41_8629, 15);
  int argcv_meth_ast_pretty_40_1_41_8629[] = {1};
  meth_meth_ast_pretty_40_1_41_8629->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8629);
  meth_meth_ast_pretty_40_1_41_8629->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8629->definitionLine = 2205;
// method "toGrace(_)"
  struct UserObject *uo8747 = (struct UserObject*)obj8439;
  uo8747->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8747 = addmethod2pos(obj8439, "toGrace(1)", &meth_ast_toGrace_40_1_41_8747, 16);
  int argcv_meth_ast_toGrace_40_1_41_8747[] = {1};
  meth_meth_ast_toGrace_40_1_41_8747->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8747);
meth_meth_ast_toGrace_40_1_41_8747->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8747->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8747->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8747->definitionLine = 2225;
// method "shallowCopy"
  block_savedest(obj8439);
  Object closure8867 = createclosure(1, "shallowCopy");
  setclosureframe(closure8867, stackframe);
  addtoclosure(closure8867, var_varDecNode);
  struct UserObject *uo8867 = (struct UserObject*)obj8439;
  uo8867->data[17] = (Object)closure8867;
  Method *meth_meth_ast_shallowCopy8867 = addmethod2pos(obj8439, "shallowCopy", &meth_ast_shallowCopy8867, 17);
  int argcv_meth_ast_shallowCopy8867[] = {0};
  meth_meth_ast_shallowCopy8867->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8867);
  meth_meth_ast_shallowCopy8867->definitionModule = modulename;
  meth_meth_ast_shallowCopy8867->definitionLine = 2246;
// method "statementName"
  struct UserObject *uo8878 = (struct UserObject*)obj8439;
  uo8878->data[18] = emptyclosure;
  Method *meth_meth_ast_statementName8878 = addmethod2pos(obj8439, "statementName", &meth_ast_statementName8878, 18);
  int argcv_meth_ast_statementName8878[] = {0};
  meth_meth_ast_statementName8878->type = alloc_MethodType(1, argcv_meth_ast_statementName8878);
  meth_meth_ast_statementName8878->definitionModule = modulename;
  meth_meth_ast_statementName8878->definitionLine = 2249;
  sourceObject = obj8439;
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8880 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8881 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8882 = gc_frame_new();
// call case 3: self.outer request
  Object call8883 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8882);
// compiled member node returning call8883 (depth = 5)
  Object call8884 = callmethodflags(call8883, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8881);
// compiled member node returning call8884 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8885 = callmethodflags(call8884, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8880);
// compiled call node returning call8885 (depth = 3)
  struct UserObject *obj8439_uo = (struct UserObject *)obj8439;
  obj8439_uo->super = call8885;
  sourceObject = obj8439;
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8886 == NULL) {
    strlit8886 = alloc_String("vardec");
    gc_root(strlit8886);
  }
// compiled string node returning strlit8886 (depth = 3)
  adddatum2(obj8439, strlit8886, 1);
  sourceObject = obj8439;
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8439, *var_name_39_, 2);
  sourceObject = obj8439;
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8439, *var_val_39_, 3);
  sourceObject = obj8439;
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8439, *var_dtype_39_, 4);
  sourceObject = obj8439;
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8887 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8888 = gc_frame_new();
// call case 4: self request
  Object call8889 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8888);
// compiled member node returning call8889 (depth = 4)
  Object call8890 = callmethodflags(call8889, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8887);
// compiled member node returning call8890 (depth = 3)
  adddatum2(obj8439, call8890, 5);
  sourceObject = obj8439;
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8891 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8891 (depth = 3)
  adddatum2(obj8439, array8891, 6);
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  objclass8439 = obj8439->class;
  objclass8439->definitionModule = modulename;
  objclass8439->definitionLine = 2146;
  (*(struct UserObject *)self).data[0] = lowerouter8439;
  self = oldself8439;
  selfslot = oldselfslot8439;
  stackframe = oldstackframe8439;
  gc_frame_end(frame);
  return obj8439;
}
Object meth_ast_new_40_3_41_8438_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8439 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8439 = alloc_userobj2(22,19, objclass8439);
  gc_frame_newslot(obj8439);
if (objclass8439 == NULL) {
  glfree(obj8439->class->name);
  obj8439->class->name = "varDecNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8439, self, 0);
  addmethodreal(obj8439,"outer", &reader_ast_outer_8440);
  Object oldself8439 = self;
  struct StackFrameObject *oldstackframe8439 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8439);
  gc_frame_newslot((Object)stackframe);
  self = obj8439;
  Object *oldselfslot8439 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8439 = (*(struct UserObject *)self).data[0], lowerouter8439 = thisouter8439;
  if (inheritingObject8439) {
    struct UserObject *inho8439 = (struct UserObject *)inheritingObject8439;
    while (inho8439->super != GraceDefaultObject) inho8439 = (struct UserObject *)inho8439->super;
    inho8439->super = obj8439;
    self = inheritingObject8439;
    *selfslot = self;
    lowerouter8439 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8439;
  }
if (objclass8439 == NULL) {
  Method *reader8441 = addmethodrealflags(obj8439, "kind",&reader_ast_kind_8441, MFLAG_DEF);
  reader8441->definitionModule = modulename;
  reader8441->definitionLine = 2148;
}
adddatum2(obj8439, alloc_Undefined(), 1);
if (objclass8439 == NULL) {
  Method *reader8442 = addmethodrealflags(obj8439, "name", &reader_ast_name_8442, 0);
  Method *writer8442 = addmethodrealflags(obj8439, "name:=(1)", &writer_ast_name_8442, 0);
  reader8442->definitionModule = modulename;
  writer8442->definitionModule = modulename;
  reader8442->definitionLine = 2149;
  writer8442->definitionLine = 2149;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 2);
if (objclass8439 == NULL) {
  Method *reader8443 = addmethodrealflags(obj8439, "value", &reader_ast_value_8443, 0);
  Method *writer8443 = addmethodrealflags(obj8439, "value:=(1)", &writer_ast_value_8443, 0);
  reader8443->definitionModule = modulename;
  writer8443->definitionModule = modulename;
  reader8443->definitionLine = 2150;
  writer8443->definitionLine = 2150;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 3);
if (objclass8439 == NULL) {
  Method *reader8444 = addmethodrealflags(obj8439, "dtype", &reader_ast_dtype_8444, 0);
  Method *writer8444 = addmethodrealflags(obj8439, "dtype:=(1)", &writer_ast_dtype_8444, 0);
  reader8444->definitionModule = modulename;
  writer8444->definitionModule = modulename;
  reader8444->definitionLine = 2151;
  writer8444->definitionLine = 2151;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 4);
if (objclass8439 == NULL) {
  Method *reader8445 = addmethodrealflags(obj8439, "nameString",&reader_ast_nameString_8445, MFLAG_DEF);
  reader8445->definitionModule = modulename;
  reader8445->definitionLine = 2152;
}
adddatum2(obj8439, alloc_Undefined(), 5);
if (objclass8439 == NULL) {
  Method *reader8446 = addmethodrealflags(obj8439, "annotations", &reader_ast_annotations_8446, 0);
  Method *writer8446 = addmethodrealflags(obj8439, "annotations:=(1)", &writer_ast_annotations_8446, 0);
  reader8446->definitionModule = modulename;
  writer8446->definitionModule = modulename;
  reader8446->definitionLine = 2153;
  writer8446->definitionLine = 2153;
}
obj8439->flags |= OFLAG_MUTABLE;
adddatum2(obj8439, alloc_Undefined(), 6);
// method "isPublic"
  struct UserObject *uo8447 = (struct UserObject*)obj8439;
  uo8447->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8447 = addmethod2pos(obj8439, "isPublic", &meth_ast_isPublic8447, 7);
  int argcv_meth_ast_isPublic8447[] = {0};
  meth_meth_ast_isPublic8447->type = alloc_MethodType(1, argcv_meth_ast_isPublic8447);
  meth_meth_ast_isPublic8447->definitionModule = modulename;
  meth_meth_ast_isPublic8447->definitionLine = 2155;
// method "isWritable"
  struct UserObject *uo8474 = (struct UserObject*)obj8439;
  uo8474->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8474 = addmethod2pos(obj8439, "isWritable", &meth_ast_isWritable8474, 8);
  int argcv_meth_ast_isWritable8474[] = {0};
  meth_meth_ast_isWritable8474->type = alloc_MethodType(1, argcv_meth_ast_isWritable8474);
  meth_meth_ast_isWritable8474->definitionModule = modulename;
  meth_meth_ast_isWritable8474->definitionLine = 2161;
// method "isReadable"
  struct UserObject *uo8504 = (struct UserObject*)obj8439;
  uo8504->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8504 = addmethod2pos(obj8439, "isReadable", &meth_ast_isReadable8504, 9);
  int argcv_meth_ast_isReadable8504[] = {0};
  meth_meth_ast_isReadable8504->type = alloc_MethodType(1, argcv_meth_ast_isReadable8504);
  meth_meth_ast_isReadable8504->definitionModule = modulename;
  meth_meth_ast_isReadable8504->definitionLine = 2167;
// method "isFieldDec"
  struct UserObject *uo8534 = (struct UserObject*)obj8439;
  uo8534->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8534 = addmethod2pos(obj8439, "isFieldDec", &meth_ast_isFieldDec8534, 10);
  int argcv_meth_ast_isFieldDec8534[] = {0};
  meth_meth_ast_isFieldDec8534->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8534);
  meth_meth_ast_isFieldDec8534->definitionModule = modulename;
  meth_meth_ast_isFieldDec8534->definitionLine = 2173;
// method "usesAsType(_)"
  struct UserObject *uo8536 = (struct UserObject*)obj8439;
  uo8536->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8536 = addmethod2pos(obj8439, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8536, 11);
  int argcv_meth_ast_usesAsType_40_1_41_8536[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8536->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8536);
  meth_meth_ast_usesAsType_40_1_41_8536->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8536->definitionLine = 2175;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8439);
  Object closure8542 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8542, stackframe);
  addtoclosure(closure8542, var_k);
  struct UserObject *uo8542 = (struct UserObject*)obj8439;
  uo8542->data[12] = (Object)closure8542;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8542 = addmethod2pos(obj8439, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8542, 12);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8542[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8542);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8542->definitionLine = 2179;
// method "accept(_)from(_)"
  struct UserObject *uo8545 = (struct UserObject*)obj8439;
  uo8545->data[13] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8545 = addmethod2pos(obj8439, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8545, 13);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8545[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8545);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8545->definitionLine = 2181;
// method "map(_)ancestors(_)"
  struct UserObject *uo8586 = (struct UserObject*)obj8439;
  uo8586->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586 = addmethod2pos(obj8439, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8586, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8586[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8586);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8586->definitionLine = 2196;
// method "pretty(_)"
  struct UserObject *uo8629 = (struct UserObject*)obj8439;
  uo8629->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8629 = addmethod2pos(obj8439, "pretty(1)", &meth_ast_pretty_40_1_41_8629, 15);
  int argcv_meth_ast_pretty_40_1_41_8629[] = {1};
  meth_meth_ast_pretty_40_1_41_8629->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8629);
  meth_meth_ast_pretty_40_1_41_8629->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8629->definitionLine = 2205;
// method "toGrace(_)"
  struct UserObject *uo8747 = (struct UserObject*)obj8439;
  uo8747->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8747 = addmethod2pos(obj8439, "toGrace(1)", &meth_ast_toGrace_40_1_41_8747, 16);
  int argcv_meth_ast_toGrace_40_1_41_8747[] = {1};
  meth_meth_ast_toGrace_40_1_41_8747->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8747);
meth_meth_ast_toGrace_40_1_41_8747->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8747->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8747->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8747->definitionLine = 2225;
// method "shallowCopy"
  block_savedest(obj8439);
  Object closure8867 = createclosure(1, "shallowCopy");
  setclosureframe(closure8867, stackframe);
  addtoclosure(closure8867, var_varDecNode);
  struct UserObject *uo8867 = (struct UserObject*)obj8439;
  uo8867->data[17] = (Object)closure8867;
  Method *meth_meth_ast_shallowCopy8867 = addmethod2pos(obj8439, "shallowCopy", &meth_ast_shallowCopy8867, 17);
  int argcv_meth_ast_shallowCopy8867[] = {0};
  meth_meth_ast_shallowCopy8867->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8867);
  meth_meth_ast_shallowCopy8867->definitionModule = modulename;
  meth_meth_ast_shallowCopy8867->definitionLine = 2246;
// method "statementName"
  struct UserObject *uo8878 = (struct UserObject*)obj8439;
  uo8878->data[18] = emptyclosure;
  Method *meth_meth_ast_statementName8878 = addmethod2pos(obj8439, "statementName", &meth_ast_statementName8878, 18);
  int argcv_meth_ast_statementName8878[] = {0};
  meth_meth_ast_statementName8878->type = alloc_MethodType(1, argcv_meth_ast_statementName8878);
  meth_meth_ast_statementName8878->definitionModule = modulename;
  meth_meth_ast_statementName8878->definitionLine = 2249;
  sourceObject = obj8439;
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8880 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8881 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8882 = gc_frame_new();
// call case 3: self.outer request
  Object call8883 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8882);
// compiled member node returning call8883 (depth = 5)
  Object call8884 = callmethodflags(call8883, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8881);
// compiled member node returning call8884 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8885 = callmethodflags(call8884, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8880);
// compiled call node returning call8885 (depth = 3)
  struct UserObject *obj8439_uo = (struct UserObject *)obj8439;
  obj8439_uo->super = call8885;
  sourceObject = obj8439;
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8886 == NULL) {
    strlit8886 = alloc_String("vardec");
    gc_root(strlit8886);
  }
// compiled string node returning strlit8886 (depth = 3)
  adddatum2(obj8439, strlit8886, 1);
  sourceObject = obj8439;
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8439, *var_name_39_, 2);
  sourceObject = obj8439;
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8439, *var_val_39_, 3);
  sourceObject = obj8439;
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8439, *var_dtype_39_, 4);
  sourceObject = obj8439;
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8887 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8888 = gc_frame_new();
// call case 4: self request
  Object call8889 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8888);
// compiled member node returning call8889 (depth = 4)
  Object call8890 = callmethodflags(call8889, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8887);
// compiled member node returning call8890 (depth = 3)
  adddatum2(obj8439, call8890, 5);
  sourceObject = obj8439;
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8891 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8891 (depth = 3)
  adddatum2(obj8439, array8891, 6);
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  sourceObject = obj8439;
  objclass8439 = obj8439->class;
  objclass8439->definitionModule = modulename;
  objclass8439->definitionLine = 2146;
  (*(struct UserObject *)self).data[0] = lowerouter8439;
  self = oldself8439;
  selfslot = oldselfslot8439;
  stackframe = oldstackframe8439;
  gc_frame_end(frame);
  return obj8439;
}
Object meth_ast_varDecNode8893(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "varDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_varDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_varDecNode;
}
Object meth_ast_isImport8904(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8905 = alloc_Boolean(1);
// compiled identifier node returning bool8905 (depth = 3)
  gc_frame_end(frame);
  return bool8905;
}
Object meth_ast_isExternal8906(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8907 = alloc_Boolean(1);
// compiled identifier node returning bool8907 (depth = 3)
  gc_frame_end(frame);
  return bool8907;
}
Object meth_ast_isExecutable8908(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8909 = alloc_Boolean(0);
// compiled identifier node returning bool8909 (depth = 3)
  gc_frame_end(frame);
  return bool8909;
}
Object meth_ast_name8910(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8911 = gc_frame_new();
// call case 4: self request
  Object call8912 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8911);
// compiled member node returning call8912 (depth = 3)
  gc_frame_end(frame);
  return call8912;
}
Object meth_ast_nameString8913(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8914 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8915 = gc_frame_new();
// call case 4: self request
  Object call8916 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8915);
// compiled member node returning call8916 (depth = 4)
  Object call8917 = callmethodflags(call8916, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8914);
// compiled member node returning call8917 (depth = 3)
  gc_frame_end(frame);
  return call8917;
}
Object meth_ast_isPublic8918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8921 = alloc_Float64(0);
// compiled num node returning num8921 (depth = 5)
  int op_slot_right_8920 = gc_frame_newslot(num8921);
// starting to compile member node (depth = 5)
  int callframe8923 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8924 = gc_frame_new();
// call case 4: self request
  Object call8925 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8924);
// compiled member node returning call8925 (depth = 6)
  Object call8926 = callmethodflags(call8925, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8923);
// compiled member node returning call8926 (depth = 5)
  int op_slot_left_8920 = gc_frame_newslot(call8926);
  params[0] = num8921;
  partcv[0] = 1;
  Object opresult8927 = callmethod(call8926, "==(1)", 1, partcv, params);
// compiled op node returning opresult8927 (depth = 4)
  Object if8919 = done;
  if (istrue(opresult8927)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8928 = alloc_Boolean(0);
// compiled identifier node returning bool8928 (depth = 5)
  return bool8928;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8919 = undefined;
  } else {
  }
// compiled if node returning if8919 (depth = 3)
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8930 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8931 == NULL) {
    strlit8931 = alloc_String("public");
    gc_root(strlit8931);
  }
// compiled string node returning strlit8931 (depth = 5)
  gc_frame_newslot(strlit8931);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8932 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8933 = gc_frame_new();
// call case 3: self.outer request
  Object call8934 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8933);
// compiled member node returning call8934 (depth = 6)
  Object call8935 = callmethodflags(call8934, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8932);
// compiled member node returning call8935 (depth = 5)
  params[0] = self;
  params[1] = strlit8931;
  partcv[0] = 2;
  Object call8936 = callmethodflags(call8935, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8930);
// compiled call node returning call8936 (depth = 4)
  Object if8929 = done;
  if (istrue(call8936)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8937 = alloc_Boolean(1);
// compiled identifier node returning bool8937 (depth = 5)
  return bool8937;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8929 = undefined;
  } else {
  }
// compiled if node returning if8929 (depth = 3)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8938 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8939 == NULL) {
    strlit8939 = alloc_String("readable");
    gc_root(strlit8939);
  }
// compiled string node returning strlit8939 (depth = 4)
  gc_frame_newslot(strlit8939);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8940 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8941 = gc_frame_new();
// call case 3: self.outer request
  Object call8942 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8941);
// compiled member node returning call8942 (depth = 5)
  Object call8943 = callmethodflags(call8942, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8940);
// compiled member node returning call8943 (depth = 4)
  params[0] = self;
  params[1] = strlit8939;
  partcv[0] = 2;
  Object call8944 = callmethodflags(call8943, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8938);
// compiled call node returning call8944 (depth = 3)
  gc_frame_end(frame);
  return call8944;
}
Object meth_ast__apply_40_1_41_8951(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8954 == NULL) {
    strlit8954 = alloc_String("/");
    gc_root(strlit8954);
  }
// compiled string node returning strlit8954 (depth = 7)
  int op_slot_right_8953 = gc_frame_newslot(strlit8954);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_8953 = gc_frame_newslot(*var_c);
  params[0] = strlit8954;
  partcv[0] = 1;
  Object opresult8956 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult8956 (depth = 6)
  Object if8952 = done;
  if (istrue(opresult8956)) {
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8957 == NULL) {
    strlit8957 = alloc_String("");
    gc_root(strlit8957);
  }
// compiled string node returning strlit8957 (depth = 7)
  *var_bnm = strlit8957;
  if (strlit8957 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if8952 = done;
  } else {
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_8959 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_8959 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult8961 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult8961 (depth = 7)
  *var_bnm = opresult8961;
  if (opresult8961 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if8952 = done;
  }
// compiled if node returning if8952 (depth = 5)
  gc_frame_end(frame);
  return if8952;
}
Object meth_ast_moduleName8945(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8946 == NULL) {
    strlit8946 = alloc_String("");
    gc_root(strlit8946);
  }
// compiled string node returning strlit8946 (depth = 4)
  *var_bnm = strlit8946;
  if (strlit8946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8947 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8948 = gc_frame_new();
// call case 4: self request
  Object call8949 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8948);
// compiled member node returning call8949 (depth = 4)
  gc_frame_newslot(call8949);
// starting to compile block node (depth = 4)
  Object block8950 = alloc_Block(NULL, NULL, "ast", 2274);
  gc_frame_newslot(block8950);
// method "_apply(_)"
  block_savedest(block8950);
  Object closure8951 = createclosure(2, "_apply(1)");
  setclosureframe(closure8951, stackframe);
  addtoclosure(closure8951, var_bnm);
  addtoclosure(closure8951, selfslot);
  struct UserObject *uo8951 = (struct UserObject*)block8950;
  uo8951->data[0] = (Object)closure8951;
  Method *meth_meth_ast__apply_40_1_41_8951 = addmethod2pos(block8950, "_apply(1)", &meth_ast__apply_40_1_41_8951, 0);
  int argcv_meth_ast__apply_40_1_41_8951[] = {1};
  meth_meth_ast__apply_40_1_41_8951->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8951);
  meth_meth_ast__apply_40_1_41_8951->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8951->definitionLine = 2984;
// compiled block node returning block8950 (depth = 4)
  gc_frame_newslot(block8950);
// call case 5: prelude request
  params[0] = call8949;
  params[1] = block8950;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8964 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8947);
// compiled call node returning call8964 (depth = 3)
// Begin line 2281
  setline(2281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_isWritable8965(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8966 = alloc_Boolean(0);
// compiled identifier node returning bool8966 (depth = 3)
  gc_frame_end(frame);
  return bool8966;
}
Object meth_ast_isReadable8967(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8968 = gc_frame_new();
// call case 4: self request
  Object call8969 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8968);
// compiled member node returning call8969 (depth = 3)
  gc_frame_end(frame);
  return call8969;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_8970(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8971 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8972 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe8971);
// compiled member node returning call8972 (depth = 3)
  gc_frame_end(frame);
  return call8972;
}
Object meth_ast_usesAsType_40_1_41_8973(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8975 = gc_frame_new();
// call case 4: self request
  Object call8976 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8975);
// compiled member node returning call8976 (depth = 4)
  int op_slot_right_8974 = gc_frame_newslot(call8976);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8974 = gc_frame_newslot(*var_aNode);
  params[0] = call8976;
  partcv[0] = 1;
  Object opresult8978 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8978 (depth = 3)
  gc_frame_end(frame);
  return opresult8978;
}
Object meth_ast__apply_40_1_41_8989(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8990 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8991 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8990);
// compiled call node returning call8991 (depth = 6)
  gc_frame_end(frame);
  return call8991;
}
Object meth_ast_accept_40_1_41_from_40_1_41_8979(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8981 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8982 = callmethodflags(*var_visitor, "visitImport(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8981);
// compiled call node returning call8982 (depth = 4)
  Object if8980 = done;
  if (istrue(call8982)) {
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8983 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8984 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8983);
// compiled call node returning call8984 (depth = 5)
  *var_newChain = call8984;
  if (call8984 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8985 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8986 = gc_frame_new();
// call case 4: self request
  Object call8987 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8986);
// compiled member node returning call8987 (depth = 5)
  gc_frame_newslot(call8987);
// starting to compile block node (depth = 5)
  Object block8988 = alloc_Block(NULL, NULL, "ast", 2292);
  gc_frame_newslot(block8988);
// method "_apply(_)"
  block_savedest(block8988);
  Object closure8989 = createclosure(3, "_apply(1)");
  setclosureframe(closure8989, stackframe);
  addtoclosure(closure8989, var_visitor);
  addtoclosure(closure8989, var_newChain);
  addtoclosure(closure8989, selfslot);
  struct UserObject *uo8989 = (struct UserObject*)block8988;
  uo8989->data[0] = (Object)closure8989;
  Method *meth_meth_ast__apply_40_1_41_8989 = addmethod2pos(block8988, "_apply(1)", &meth_ast__apply_40_1_41_8989, 0);
  int argcv_meth_ast__apply_40_1_41_8989[] = {1};
  meth_meth_ast__apply_40_1_41_8989->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8989);
  meth_meth_ast__apply_40_1_41_8989->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8989->definitionLine = 2984;
// compiled block node returning block8988 (depth = 5)
  gc_frame_newslot(block8988);
// call case 5: prelude request
  params[0] = call8987;
  params[1] = block8988;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8993 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8985);
// compiled call node returning call8993 (depth = 4)
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8994 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8995 = gc_frame_new();
// call case 4: self request
  Object call8996 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8995);
// compiled member node returning call8996 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8997 = callmethodflags(call8996, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8994);
// compiled call node returning call8997 (depth = 4)
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9000 = gc_frame_new();
// call case 4: self request
  Object call9001 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9000);
// compiled member node returning call9001 (depth = 6)
  int op_slot_right_8999 = gc_frame_newslot(call9001);
// starting to compile identifier node (depth = 6)
  Object bool9003 = alloc_Boolean(0);
// compiled identifier node returning bool9003 (depth = 6)
  int op_slot_left_8999 = gc_frame_newslot(bool9003);
  params[0] = call9001;
  partcv[0] = 1;
  Object opresult9004 = callmethod(bool9003, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9004 (depth = 5)
  Object if8998 = done;
  if (istrue(opresult9004)) {
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9005 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9006 = gc_frame_new();
// call case 4: self request
  Object call9007 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9006);
// compiled member node returning call9007 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9008 = callmethodflags(call9007, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9005);
// compiled call node returning call9008 (depth = 5)
    gc_frame_newslot(call9008);
    if8998 = call9008;
  } else {
  }
// compiled if node returning if8998 (depth = 4)
    gc_frame_newslot(if8998);
    if8980 = if8998;
  } else {
  }
// compiled if node returning if8980 (depth = 3)
  gc_frame_end(frame);
  return if8980;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9009(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9010 = gc_frame_new();
// call case 4: self request
  Object call9011 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9010);
// compiled member node returning call9011 (depth = 4)
  *var_n = call9011;
  if (call9011 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9012 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9013 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9012);
// compiled call node returning call9013 (depth = 4)
  *var_newChain = call9013;
  if (call9013 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9014 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9015 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9016 = gc_frame_new();
// call case 4: self request
  Object call9017 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9016);
// compiled member node returning call9017 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9018 = callmethodflags(call9017, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9015);
// compiled call node returning call9018 (depth = 4)
  gc_frame_newslot(call9018);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9018;
  partcv[0] = 1;
  Object call9019 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9014);
// compiled call node returning call9019 (depth = 3)
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9020 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9021 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9022 = gc_frame_new();
// call case 4: self request
  Object call9023 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9022);
// compiled member node returning call9023 (depth = 5)
  gc_frame_newslot(call9023);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9025 = gc_frame_new();
// call case 3: self.outer request
  Object call9026 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9025);
// compiled member node returning call9026 (depth = 6)
  Object call9027 = callmethodflags(call9026, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9024);
// compiled member node returning call9027 (depth = 5)
  params[0] = call9023;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9028 = callmethodflags(call9027, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9021);
// compiled call node returning call9028 (depth = 4)
  gc_frame_newslot(call9028);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9028;
  partcv[0] = 1;
  Object call9029 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9020);
// compiled call node returning call9029 (depth = 3)
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9030 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9031 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9032 = gc_frame_new();
// call case 4: self request
  Object call9033 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9032);
// compiled member node returning call9033 (depth = 5)
  gc_frame_newslot(call9033);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9034 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9035 = gc_frame_new();
// call case 3: self.outer request
  Object call9036 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9035);
// compiled member node returning call9036 (depth = 6)
  Object call9037 = callmethodflags(call9036, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9034);
// compiled member node returning call9037 (depth = 5)
  params[0] = call9033;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9038 = callmethodflags(call9037, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9031);
// compiled call node returning call9038 (depth = 4)
  gc_frame_newslot(call9038);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9038;
  partcv[0] = 1;
  Object call9039 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9030);
// compiled call node returning call9039 (depth = 3)
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9040 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9041 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9040);
// compiled call node returning call9041 (depth = 3)
  gc_frame_end(frame);
  return call9041;
}
Object meth_ast__apply_40_1_41_9050(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9052 == NULL) {
    strlit9052 = alloc_String("  ");
    gc_root(strlit9052);
  }
// compiled string node returning strlit9052 (depth = 7)
  int op_slot_right_9051 = gc_frame_newslot(strlit9052);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9051 = gc_frame_newslot(*var_spc);
  params[0] = strlit9052;
  partcv[0] = 1;
  Object opresult9054 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9054 (depth = 6)
  *var_spc = opresult9054;
  if (opresult9054 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9042(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2310
  setline(2310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9043 == NULL) {
    strlit9043 = alloc_String("");
    gc_root(strlit9043);
  }
// compiled string node returning strlit9043 (depth = 4)
  *var_spc = strlit9043;
  if (strlit9043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9044 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9045 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9047 = alloc_Float64(0);
// compiled num node returning num9047 (depth = 5)
  int op_slot_left_9045 = gc_frame_newslot(num9047);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9048 = callmethod(num9047, "..(1)", 1, partcv, params);
// compiled op node returning opresult9048 (depth = 4)
  gc_frame_newslot(opresult9048);
// starting to compile block node (depth = 4)
  Object block9049 = alloc_Block(NULL, NULL, "ast", 2311);
  gc_frame_newslot(block9049);
// method "_apply(_)"
  block_savedest(block9049);
  Object closure9050 = createclosure(2, "_apply(1)");
  setclosureframe(closure9050, stackframe);
  addtoclosure(closure9050, var_spc);
  addtoclosure(closure9050, selfslot);
  struct UserObject *uo9050 = (struct UserObject*)block9049;
  uo9050->data[0] = (Object)closure9050;
  Method *meth_meth_ast__apply_40_1_41_9050 = addmethod2pos(block9049, "_apply(1)", &meth_ast__apply_40_1_41_9050, 0);
  int argcv_meth_ast__apply_40_1_41_9050[] = {1};
  meth_meth_ast__apply_40_1_41_9050->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9050);
  meth_meth_ast__apply_40_1_41_9050->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9050->definitionLine = 2984;
// compiled block node returning block9049 (depth = 4)
  gc_frame_newslot(block9049);
// call case 5: prelude request
  params[0] = opresult9048;
  params[1] = block9049;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9057 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9044);
// compiled call node returning call9057 (depth = 3)
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9059 == NULL) {
    strlit9059 = alloc_String("""\x0a""");
    gc_root(strlit9059);
  }
// compiled string node returning strlit9059 (depth = 5)
  int op_slot_right_9058 = gc_frame_newslot(strlit9059);
// starting to compile call node (depth = 5)
  int callframe9061 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9062 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9061);
// compiled call node returning call9062 (depth = 5)
  int op_slot_left_9058 = gc_frame_newslot(call9062);
  params[0] = strlit9059;
  partcv[0] = 1;
  Object opresult9063 = callmethod(call9062, "++(1)", 1, partcv, params);
// compiled op node returning opresult9063 (depth = 4)
  *var_s = opresult9063;
  if (opresult9063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2315
  setline(2315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9066 == NULL) {
    strlit9066 = alloc_String("""\x0a""");
    gc_root(strlit9066);
  }
// compiled string node returning strlit9066 (depth = 6)
  int op_slot_right_9065 = gc_frame_newslot(strlit9066);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9069 = gc_frame_new();
// call case 4: self request
  Object call9070 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9069);
// compiled member node returning call9070 (depth = 7)
  int op_slot_right_9068 = gc_frame_newslot(call9070);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9073 == NULL) {
    strlit9073 = alloc_String("Path: ");
    gc_root(strlit9073);
  }
// compiled string node returning strlit9073 (depth = 8)
  int op_slot_right_9072 = gc_frame_newslot(strlit9073);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9075 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9077 == NULL) {
    strlit9077 = alloc_String("");
    gc_root(strlit9077);
  }
// compiled string node returning strlit9077 (depth = 9)
  int op_slot_left_9075 = gc_frame_newslot(strlit9077);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9078 = callmethod(strlit9077, "++(1)", 1, partcv, params);
// compiled op node returning opresult9078 (depth = 8)
  int op_slot_left_9072 = gc_frame_newslot(opresult9078);
  params[0] = strlit9073;
  partcv[0] = 1;
  Object opresult9079 = callmethod(opresult9078, "++(1)", 1, partcv, params);
// compiled op node returning opresult9079 (depth = 7)
  int op_slot_left_9068 = gc_frame_newslot(opresult9079);
  params[0] = call9070;
  partcv[0] = 1;
  Object opresult9080 = callmethod(opresult9079, "++(1)", 1, partcv, params);
// compiled op node returning opresult9080 (depth = 6)
  int op_slot_left_9065 = gc_frame_newslot(opresult9080);
  params[0] = strlit9066;
  partcv[0] = 1;
  Object opresult9081 = callmethod(opresult9080, "++(1)", 1, partcv, params);
// compiled op node returning opresult9081 (depth = 5)
  int op_slot_right_9064 = gc_frame_newslot(opresult9081);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9064 = gc_frame_newslot(*var_s);
  params[0] = opresult9081;
  partcv[0] = 1;
  Object opresult9083 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9083 (depth = 4)
  *var_s = opresult9083;
  if (opresult9083 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9087 == NULL) {
    strlit9087 = alloc_String("""\x0a""");
    gc_root(strlit9087);
  }
// compiled string node returning strlit9087 (depth = 6)
  int op_slot_right_9086 = gc_frame_newslot(strlit9087);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9090 = gc_frame_new();
// call case 4: self request
  Object call9091 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9090);
// compiled member node returning call9091 (depth = 7)
  int op_slot_right_9089 = gc_frame_newslot(call9091);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9094 == NULL) {
    strlit9094 = alloc_String("Identifier: ");
    gc_root(strlit9094);
  }
// compiled string node returning strlit9094 (depth = 8)
  int op_slot_right_9093 = gc_frame_newslot(strlit9094);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9096 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9098 == NULL) {
    strlit9098 = alloc_String("");
    gc_root(strlit9098);
  }
// compiled string node returning strlit9098 (depth = 9)
  int op_slot_left_9096 = gc_frame_newslot(strlit9098);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9099 = callmethod(strlit9098, "++(1)", 1, partcv, params);
// compiled op node returning opresult9099 (depth = 8)
  int op_slot_left_9093 = gc_frame_newslot(opresult9099);
  params[0] = strlit9094;
  partcv[0] = 1;
  Object opresult9100 = callmethod(opresult9099, "++(1)", 1, partcv, params);
// compiled op node returning opresult9100 (depth = 7)
  int op_slot_left_9089 = gc_frame_newslot(opresult9100);
  params[0] = call9091;
  partcv[0] = 1;
  Object opresult9101 = callmethod(opresult9100, "++(1)", 1, partcv, params);
// compiled op node returning opresult9101 (depth = 6)
  int op_slot_left_9086 = gc_frame_newslot(opresult9101);
  params[0] = strlit9087;
  partcv[0] = 1;
  Object opresult9102 = callmethod(opresult9101, "++(1)", 1, partcv, params);
// compiled op node returning opresult9102 (depth = 5)
  int op_slot_right_9085 = gc_frame_newslot(opresult9102);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9085 = gc_frame_newslot(*var_s);
  params[0] = opresult9102;
  partcv[0] = 1;
  Object opresult9104 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9104 (depth = 4)
  *var_s = opresult9104;
  if (opresult9104 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9108 = alloc_Float64(0);
// compiled num node returning num9108 (depth = 5)
  int op_slot_right_9107 = gc_frame_newslot(num9108);
// starting to compile member node (depth = 5)
  int callframe9110 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9111 = gc_frame_new();
// call case 4: self request
  Object call9112 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9111);
// compiled member node returning call9112 (depth = 6)
  Object call9113 = callmethodflags(call9112, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9110);
// compiled member node returning call9113 (depth = 5)
  int op_slot_left_9107 = gc_frame_newslot(call9113);
  params[0] = num9108;
  partcv[0] = 1;
  Object opresult9114 = callmethod(call9113, ">(1)", 1, partcv, params);
// compiled op node returning opresult9114 (depth = 4)
  Object if9106 = done;
  if (istrue(opresult9114)) {
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9117 == NULL) {
    strlit9117 = alloc_String("""\x0a""");
    gc_root(strlit9117);
  }
// compiled string node returning strlit9117 (depth = 7)
  int op_slot_right_9116 = gc_frame_newslot(strlit9117);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9120 = gc_frame_new();
// call case 4: self request
  Object call9121 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9120);
// compiled member node returning call9121 (depth = 8)
  int op_slot_right_9119 = gc_frame_newslot(call9121);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9124 == NULL) {
    strlit9124 = alloc_String("Anotations: ");
    gc_root(strlit9124);
  }
// compiled string node returning strlit9124 (depth = 9)
  int op_slot_right_9123 = gc_frame_newslot(strlit9124);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9126 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit9128 == NULL) {
    strlit9128 = alloc_String("");
    gc_root(strlit9128);
  }
// compiled string node returning strlit9128 (depth = 10)
  int op_slot_left_9126 = gc_frame_newslot(strlit9128);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9129 = callmethod(strlit9128, "++(1)", 1, partcv, params);
// compiled op node returning opresult9129 (depth = 9)
  int op_slot_left_9123 = gc_frame_newslot(opresult9129);
  params[0] = strlit9124;
  partcv[0] = 1;
  Object opresult9130 = callmethod(opresult9129, "++(1)", 1, partcv, params);
// compiled op node returning opresult9130 (depth = 8)
  int op_slot_left_9119 = gc_frame_newslot(opresult9130);
  params[0] = call9121;
  partcv[0] = 1;
  Object opresult9131 = callmethod(opresult9130, "++(1)", 1, partcv, params);
// compiled op node returning opresult9131 (depth = 7)
  int op_slot_left_9116 = gc_frame_newslot(opresult9131);
  params[0] = strlit9117;
  partcv[0] = 1;
  Object opresult9132 = callmethod(opresult9131, "++(1)", 1, partcv, params);
// compiled op node returning opresult9132 (depth = 6)
  int op_slot_right_9115 = gc_frame_newslot(opresult9132);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9115 = gc_frame_newslot(*var_s);
  params[0] = opresult9132;
  partcv[0] = 1;
  Object opresult9134 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9134 (depth = 5)
  *var_s = opresult9134;
  if (opresult9134 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9106 = done;
  } else {
  }
// compiled if node returning if9106 (depth = 3)
// Begin line 2320
  setline(2320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9136(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9138 == NULL) {
    strlit9138 = alloc_String("");
    gc_root(strlit9138);
  }
// compiled string node returning strlit9138 (depth = 4)
  int op_slot_right_9137 = gc_frame_newslot(strlit9138);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9141 = gc_frame_new();
// call case 4: self request
  Object call9142 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9141);
// compiled member node returning call9142 (depth = 5)
  int op_slot_right_9140 = gc_frame_newslot(call9142);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9145 == NULL) {
    strlit9145 = alloc_String("""\x22"" as ");
    gc_root(strlit9145);
  }
// compiled string node returning strlit9145 (depth = 6)
  int op_slot_right_9144 = gc_frame_newslot(strlit9145);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9148 = gc_frame_new();
// call case 4: self request
  Object call9149 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9148);
// compiled member node returning call9149 (depth = 7)
  int op_slot_right_9147 = gc_frame_newslot(call9149);
// starting to compile string node (depth = 7)
  if (strlit9151 == NULL) {
    strlit9151 = alloc_String("import ""\x22""");
    gc_root(strlit9151);
  }
// compiled string node returning strlit9151 (depth = 7)
  int op_slot_left_9147 = gc_frame_newslot(strlit9151);
  params[0] = call9149;
  partcv[0] = 1;
  Object opresult9152 = callmethod(strlit9151, "++(1)", 1, partcv, params);
// compiled op node returning opresult9152 (depth = 6)
  int op_slot_left_9144 = gc_frame_newslot(opresult9152);
  params[0] = strlit9145;
  partcv[0] = 1;
  Object opresult9153 = callmethod(opresult9152, "++(1)", 1, partcv, params);
// compiled op node returning opresult9153 (depth = 5)
  int op_slot_left_9140 = gc_frame_newslot(opresult9153);
  params[0] = call9142;
  partcv[0] = 1;
  Object opresult9154 = callmethod(opresult9153, "++(1)", 1, partcv, params);
// compiled op node returning opresult9154 (depth = 4)
  int op_slot_left_9137 = gc_frame_newslot(opresult9154);
  params[0] = strlit9138;
  partcv[0] = 1;
  Object opresult9155 = callmethod(opresult9154, "++(1)", 1, partcv, params);
// compiled op node returning opresult9155 (depth = 3)
  gc_frame_end(frame);
  return opresult9155;
}
Object meth_ast_shallowCopy9156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9157 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9158 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9159 = gc_frame_new();
// call case 4: self request
  Object call9160 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9159);
// compiled member node returning call9160 (depth = 5)
  gc_frame_newslot(call9160);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
  Object bool9161 = alloc_Boolean(0);
// compiled identifier node returning bool9161 (depth = 5)
  gc_frame_newslot(bool9161);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_importNode (depth = 5)
  params[0] = call9160;
  params[1] = *var_nullNode;
  params[2] = bool9161;
  partcv[0] = 3;
  Object call9162 = callmethodflags(*var_importNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe9158);
// compiled call node returning call9162 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9163 = callmethodflags(call9162, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9157);
// compiled call node returning call9163 (depth = 3)
  gc_frame_end(frame);
  return call9163;
}
Object meth_ast_new_40_3_41_8896(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8897 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8897 = alloc_userobj2(25,22, objclass8897);
  gc_frame_newslot(obj8897);
if (objclass8897 == NULL) {
  glfree(obj8897->class->name);
  obj8897->class->name = "importNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8897, self, 0);
  addmethodreal(obj8897,"outer", &reader_ast_outer_8898);
  Object oldself8897 = self;
  struct StackFrameObject *oldstackframe8897 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8897);
  gc_frame_newslot((Object)stackframe);
  self = obj8897;
  Object *oldselfslot8897 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8897 = (*(struct UserObject *)self).data[0], lowerouter8897 = thisouter8897;
  if (inheritingObject8897) {
    struct UserObject *inho8897 = (struct UserObject *)inheritingObject8897;
    while (inho8897->super != GraceDefaultObject) inho8897 = (struct UserObject *)inho8897->super;
    inho8897->super = obj8897;
    self = inheritingObject8897;
    *selfslot = self;
    lowerouter8897 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8897;
  }
if (objclass8897 == NULL) {
  Method *reader8899 = addmethodrealflags(obj8897, "kind",&reader_ast_kind_8899, MFLAG_DEF);
  reader8899->definitionModule = modulename;
  reader8899->definitionLine = 2256;
}
adddatum2(obj8897, alloc_Undefined(), 1);
if (objclass8897 == NULL) {
  Method *reader8900 = addmethodrealflags(obj8897, "value", &reader_ast_value_8900, 0);
  Method *writer8900 = addmethodrealflags(obj8897, "value:=(1)", &writer_ast_value_8900, 0);
  reader8900->definitionModule = modulename;
  writer8900->definitionModule = modulename;
  reader8900->definitionLine = 2257;
  writer8900->definitionLine = 2257;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 2);
if (objclass8897 == NULL) {
  Method *reader8901 = addmethodrealflags(obj8897, "path", &reader_ast_path_8901, 0);
  Method *writer8901 = addmethodrealflags(obj8897, "path:=(1)", &writer_ast_path_8901, 0);
  reader8901->definitionModule = modulename;
  writer8901->definitionModule = modulename;
  reader8901->definitionLine = 2258;
  writer8901->definitionLine = 2258;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 3);
if (objclass8897 == NULL) {
  Method *reader8902 = addmethodrealflags(obj8897, "annotations", &reader_ast_annotations_8902, 0);
  Method *writer8902 = addmethodrealflags(obj8897, "annotations:=(1)", &writer_ast_annotations_8902, 0);
  reader8902->definitionModule = modulename;
  writer8902->definitionModule = modulename;
  reader8902->definitionLine = 2259;
  writer8902->definitionLine = 2259;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 4);
if (objclass8897 == NULL) {
  Method *reader8903 = addmethodrealflags(obj8897, "dtype", &reader_ast_dtype_8903, 0);
  Method *writer8903 = addmethodrealflags(obj8897, "dtype:=(1)", &writer_ast_dtype_8903, 0);
  reader8903->definitionModule = modulename;
  writer8903->definitionModule = modulename;
  reader8903->definitionLine = 2260;
  writer8903->definitionLine = 2260;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 5);
// method "isImport"
  struct UserObject *uo8904 = (struct UserObject*)obj8897;
  uo8904->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8904 = addmethod2pos(obj8897, "isImport", &meth_ast_isImport8904, 6);
  int argcv_meth_ast_isImport8904[] = {0};
  meth_meth_ast_isImport8904->type = alloc_MethodType(1, argcv_meth_ast_isImport8904);
  meth_meth_ast_isImport8904->definitionModule = modulename;
  meth_meth_ast_isImport8904->definitionLine = 2261;
// method "isExternal"
  struct UserObject *uo8906 = (struct UserObject*)obj8897;
  uo8906->data[7] = emptyclosure;
  Method *meth_meth_ast_isExternal8906 = addmethod2pos(obj8897, "isExternal", &meth_ast_isExternal8906, 7);
  int argcv_meth_ast_isExternal8906[] = {0};
  meth_meth_ast_isExternal8906->type = alloc_MethodType(1, argcv_meth_ast_isExternal8906);
  meth_meth_ast_isExternal8906->definitionModule = modulename;
  meth_meth_ast_isExternal8906->definitionLine = 2262;
// method "isExecutable"
  struct UserObject *uo8908 = (struct UserObject*)obj8897;
  uo8908->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable8908 = addmethod2pos(obj8897, "isExecutable", &meth_ast_isExecutable8908, 8);
  int argcv_meth_ast_isExecutable8908[] = {0};
  meth_meth_ast_isExecutable8908->type = alloc_MethodType(1, argcv_meth_ast_isExecutable8908);
  meth_meth_ast_isExecutable8908->definitionModule = modulename;
  meth_meth_ast_isExecutable8908->definitionLine = 2263;
// method "name"
  struct UserObject *uo8910 = (struct UserObject*)obj8897;
  uo8910->data[9] = emptyclosure;
  Method *meth_meth_ast_name8910 = addmethod2pos(obj8897, "name", &meth_ast_name8910, 9);
  int argcv_meth_ast_name8910[] = {0};
  meth_meth_ast_name8910->type = alloc_MethodType(1, argcv_meth_ast_name8910);
  meth_meth_ast_name8910->definitionModule = modulename;
  meth_meth_ast_name8910->definitionLine = 2264;
// method "nameString"
  struct UserObject *uo8913 = (struct UserObject*)obj8897;
  uo8913->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString8913 = addmethod2pos(obj8897, "nameString", &meth_ast_nameString8913, 10);
  int argcv_meth_ast_nameString8913[] = {0};
  meth_meth_ast_nameString8913->type = alloc_MethodType(1, argcv_meth_ast_nameString8913);
  meth_meth_ast_nameString8913->definitionModule = modulename;
  meth_meth_ast_nameString8913->definitionLine = 2265;
// method "isPublic"
  struct UserObject *uo8918 = (struct UserObject*)obj8897;
  uo8918->data[11] = emptyclosure;
  Method *meth_meth_ast_isPublic8918 = addmethod2pos(obj8897, "isPublic", &meth_ast_isPublic8918, 11);
  int argcv_meth_ast_isPublic8918[] = {0};
  meth_meth_ast_isPublic8918->type = alloc_MethodType(1, argcv_meth_ast_isPublic8918);
  meth_meth_ast_isPublic8918->definitionModule = modulename;
  meth_meth_ast_isPublic8918->definitionLine = 2266;
// method "moduleName"
  struct UserObject *uo8945 = (struct UserObject*)obj8897;
  uo8945->data[12] = emptyclosure;
  Method *meth_meth_ast_moduleName8945 = addmethod2pos(obj8897, "moduleName", &meth_ast_moduleName8945, 12);
  int argcv_meth_ast_moduleName8945[] = {0};
  meth_meth_ast_moduleName8945->type = alloc_MethodType(1, argcv_meth_ast_moduleName8945);
  meth_meth_ast_moduleName8945->definitionModule = modulename;
  meth_meth_ast_moduleName8945->definitionLine = 2272;
// method "isWritable"
  struct UserObject *uo8965 = (struct UserObject*)obj8897;
  uo8965->data[13] = emptyclosure;
  Method *meth_meth_ast_isWritable8965 = addmethod2pos(obj8897, "isWritable", &meth_ast_isWritable8965, 13);
  int argcv_meth_ast_isWritable8965[] = {0};
  meth_meth_ast_isWritable8965->type = alloc_MethodType(1, argcv_meth_ast_isWritable8965);
  meth_meth_ast_isWritable8965->definitionModule = modulename;
  meth_meth_ast_isWritable8965->definitionLine = 2283;
// method "isReadable"
  struct UserObject *uo8967 = (struct UserObject*)obj8897;
  uo8967->data[14] = emptyclosure;
  Method *meth_meth_ast_isReadable8967 = addmethod2pos(obj8897, "isReadable", &meth_ast_isReadable8967, 14);
  int argcv_meth_ast_isReadable8967[] = {0};
  meth_meth_ast_isReadable8967->type = alloc_MethodType(1, argcv_meth_ast_isReadable8967);
  meth_meth_ast_isReadable8967->definitionModule = modulename;
  meth_meth_ast_isReadable8967->definitionLine = 2284;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8897);
  Object closure8970 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8970, stackframe);
  addtoclosure(closure8970, var_k);
  struct UserObject *uo8970 = (struct UserObject*)obj8897;
  uo8970->data[15] = (Object)closure8970;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8970 = addmethod2pos(obj8897, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8970, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8970[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8970);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->definitionLine = 2285;
// method "usesAsType(_)"
  struct UserObject *uo8973 = (struct UserObject*)obj8897;
  uo8973->data[16] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8973 = addmethod2pos(obj8897, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8973, 16);
  int argcv_meth_ast_usesAsType_40_1_41_8973[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8973->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8973);
  meth_meth_ast_usesAsType_40_1_41_8973->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8973->definitionLine = 2286;
// method "accept(_)from(_)"
  struct UserObject *uo8979 = (struct UserObject*)obj8897;
  uo8979->data[17] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8979 = addmethod2pos(obj8897, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8979, 17);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8979[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8979);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->definitionLine = 2289;
// method "map(_)ancestors(_)"
  struct UserObject *uo9009 = (struct UserObject*)obj8897;
  uo9009->data[18] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009 = addmethod2pos(obj8897, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9009, 18);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9009[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9009);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->definitionLine = 2301;
// method "pretty(_)"
  struct UserObject *uo9042 = (struct UserObject*)obj8897;
  uo9042->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9042 = addmethod2pos(obj8897, "pretty(1)", &meth_ast_pretty_40_1_41_9042, 19);
  int argcv_meth_ast_pretty_40_1_41_9042[] = {1};
  meth_meth_ast_pretty_40_1_41_9042->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9042);
  meth_meth_ast_pretty_40_1_41_9042->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9042->definitionLine = 2309;
// method "toGrace(_)"
  struct UserObject *uo9136 = (struct UserObject*)obj8897;
  uo9136->data[20] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9136 = addmethod2pos(obj8897, "toGrace(1)", &meth_ast_toGrace_40_1_41_9136, 20);
  int argcv_meth_ast_toGrace_40_1_41_9136[] = {1};
  meth_meth_ast_toGrace_40_1_41_9136->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9136);
meth_meth_ast_toGrace_40_1_41_9136->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9136->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9136->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9136->definitionLine = 2322;
// method "shallowCopy"
  block_savedest(obj8897);
  Object closure9156 = createclosure(2, "shallowCopy");
  setclosureframe(closure9156, stackframe);
  addtoclosure(closure9156, var_nullNode);
  addtoclosure(closure9156, var_importNode);
  struct UserObject *uo9156 = (struct UserObject*)obj8897;
  uo9156->data[21] = (Object)closure9156;
  Method *meth_meth_ast_shallowCopy9156 = addmethod2pos(obj8897, "shallowCopy", &meth_ast_shallowCopy9156, 21);
  int argcv_meth_ast_shallowCopy9156[] = {0};
  meth_meth_ast_shallowCopy9156->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9156);
  meth_meth_ast_shallowCopy9156->definitionModule = modulename;
  meth_meth_ast_shallowCopy9156->definitionLine = 2325;
  sourceObject = obj8897;
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9164 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9165 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9166 = gc_frame_new();
// call case 3: self.outer request
  Object call9167 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9166);
// compiled member node returning call9167 (depth = 5)
  Object call9168 = callmethodflags(call9167, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9165);
// compiled member node returning call9168 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9169 = callmethodflags(call9168, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9164);
// compiled call node returning call9169 (depth = 3)
  struct UserObject *obj8897_uo = (struct UserObject *)obj8897;
  obj8897_uo->super = call9169;
  sourceObject = obj8897;
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9170 == NULL) {
    strlit9170 = alloc_String("import");
    gc_root(strlit9170);
  }
// compiled string node returning strlit9170 (depth = 3)
  adddatum2(obj8897, strlit9170, 1);
  sourceObject = obj8897;
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8897, *var_name_39_, 2);
  sourceObject = obj8897;
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj8897, *var_path_39_, 3);
  sourceObject = obj8897;
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9171 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9171 (depth = 3)
  adddatum2(obj8897, array9171, 4);
  sourceObject = obj8897;
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8897, *var_dtype_39_, 5);
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  objclass8897 = obj8897->class;
  objclass8897->definitionModule = modulename;
  objclass8897->definitionLine = 2254;
  (*(struct UserObject *)self).data[0] = lowerouter8897;
  self = oldself8897;
  selfslot = oldselfslot8897;
  stackframe = oldstackframe8897;
  gc_frame_end(frame);
  return obj8897;
}
Object meth_ast_new_40_3_41_8896_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8897 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8897 = alloc_userobj2(25,22, objclass8897);
  gc_frame_newslot(obj8897);
if (objclass8897 == NULL) {
  glfree(obj8897->class->name);
  obj8897->class->name = "importNode.new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8897, self, 0);
  addmethodreal(obj8897,"outer", &reader_ast_outer_8898);
  Object oldself8897 = self;
  struct StackFrameObject *oldstackframe8897 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8897);
  gc_frame_newslot((Object)stackframe);
  self = obj8897;
  Object *oldselfslot8897 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8897 = (*(struct UserObject *)self).data[0], lowerouter8897 = thisouter8897;
  if (inheritingObject8897) {
    struct UserObject *inho8897 = (struct UserObject *)inheritingObject8897;
    while (inho8897->super != GraceDefaultObject) inho8897 = (struct UserObject *)inho8897->super;
    inho8897->super = obj8897;
    self = inheritingObject8897;
    *selfslot = self;
    lowerouter8897 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8897;
  }
if (objclass8897 == NULL) {
  Method *reader8899 = addmethodrealflags(obj8897, "kind",&reader_ast_kind_8899, MFLAG_DEF);
  reader8899->definitionModule = modulename;
  reader8899->definitionLine = 2256;
}
adddatum2(obj8897, alloc_Undefined(), 1);
if (objclass8897 == NULL) {
  Method *reader8900 = addmethodrealflags(obj8897, "value", &reader_ast_value_8900, 0);
  Method *writer8900 = addmethodrealflags(obj8897, "value:=(1)", &writer_ast_value_8900, 0);
  reader8900->definitionModule = modulename;
  writer8900->definitionModule = modulename;
  reader8900->definitionLine = 2257;
  writer8900->definitionLine = 2257;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 2);
if (objclass8897 == NULL) {
  Method *reader8901 = addmethodrealflags(obj8897, "path", &reader_ast_path_8901, 0);
  Method *writer8901 = addmethodrealflags(obj8897, "path:=(1)", &writer_ast_path_8901, 0);
  reader8901->definitionModule = modulename;
  writer8901->definitionModule = modulename;
  reader8901->definitionLine = 2258;
  writer8901->definitionLine = 2258;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 3);
if (objclass8897 == NULL) {
  Method *reader8902 = addmethodrealflags(obj8897, "annotations", &reader_ast_annotations_8902, 0);
  Method *writer8902 = addmethodrealflags(obj8897, "annotations:=(1)", &writer_ast_annotations_8902, 0);
  reader8902->definitionModule = modulename;
  writer8902->definitionModule = modulename;
  reader8902->definitionLine = 2259;
  writer8902->definitionLine = 2259;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 4);
if (objclass8897 == NULL) {
  Method *reader8903 = addmethodrealflags(obj8897, "dtype", &reader_ast_dtype_8903, 0);
  Method *writer8903 = addmethodrealflags(obj8897, "dtype:=(1)", &writer_ast_dtype_8903, 0);
  reader8903->definitionModule = modulename;
  writer8903->definitionModule = modulename;
  reader8903->definitionLine = 2260;
  writer8903->definitionLine = 2260;
}
obj8897->flags |= OFLAG_MUTABLE;
adddatum2(obj8897, alloc_Undefined(), 5);
// method "isImport"
  struct UserObject *uo8904 = (struct UserObject*)obj8897;
  uo8904->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8904 = addmethod2pos(obj8897, "isImport", &meth_ast_isImport8904, 6);
  int argcv_meth_ast_isImport8904[] = {0};
  meth_meth_ast_isImport8904->type = alloc_MethodType(1, argcv_meth_ast_isImport8904);
  meth_meth_ast_isImport8904->definitionModule = modulename;
  meth_meth_ast_isImport8904->definitionLine = 2261;
// method "isExternal"
  struct UserObject *uo8906 = (struct UserObject*)obj8897;
  uo8906->data[7] = emptyclosure;
  Method *meth_meth_ast_isExternal8906 = addmethod2pos(obj8897, "isExternal", &meth_ast_isExternal8906, 7);
  int argcv_meth_ast_isExternal8906[] = {0};
  meth_meth_ast_isExternal8906->type = alloc_MethodType(1, argcv_meth_ast_isExternal8906);
  meth_meth_ast_isExternal8906->definitionModule = modulename;
  meth_meth_ast_isExternal8906->definitionLine = 2262;
// method "isExecutable"
  struct UserObject *uo8908 = (struct UserObject*)obj8897;
  uo8908->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable8908 = addmethod2pos(obj8897, "isExecutable", &meth_ast_isExecutable8908, 8);
  int argcv_meth_ast_isExecutable8908[] = {0};
  meth_meth_ast_isExecutable8908->type = alloc_MethodType(1, argcv_meth_ast_isExecutable8908);
  meth_meth_ast_isExecutable8908->definitionModule = modulename;
  meth_meth_ast_isExecutable8908->definitionLine = 2263;
// method "name"
  struct UserObject *uo8910 = (struct UserObject*)obj8897;
  uo8910->data[9] = emptyclosure;
  Method *meth_meth_ast_name8910 = addmethod2pos(obj8897, "name", &meth_ast_name8910, 9);
  int argcv_meth_ast_name8910[] = {0};
  meth_meth_ast_name8910->type = alloc_MethodType(1, argcv_meth_ast_name8910);
  meth_meth_ast_name8910->definitionModule = modulename;
  meth_meth_ast_name8910->definitionLine = 2264;
// method "nameString"
  struct UserObject *uo8913 = (struct UserObject*)obj8897;
  uo8913->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString8913 = addmethod2pos(obj8897, "nameString", &meth_ast_nameString8913, 10);
  int argcv_meth_ast_nameString8913[] = {0};
  meth_meth_ast_nameString8913->type = alloc_MethodType(1, argcv_meth_ast_nameString8913);
  meth_meth_ast_nameString8913->definitionModule = modulename;
  meth_meth_ast_nameString8913->definitionLine = 2265;
// method "isPublic"
  struct UserObject *uo8918 = (struct UserObject*)obj8897;
  uo8918->data[11] = emptyclosure;
  Method *meth_meth_ast_isPublic8918 = addmethod2pos(obj8897, "isPublic", &meth_ast_isPublic8918, 11);
  int argcv_meth_ast_isPublic8918[] = {0};
  meth_meth_ast_isPublic8918->type = alloc_MethodType(1, argcv_meth_ast_isPublic8918);
  meth_meth_ast_isPublic8918->definitionModule = modulename;
  meth_meth_ast_isPublic8918->definitionLine = 2266;
// method "moduleName"
  struct UserObject *uo8945 = (struct UserObject*)obj8897;
  uo8945->data[12] = emptyclosure;
  Method *meth_meth_ast_moduleName8945 = addmethod2pos(obj8897, "moduleName", &meth_ast_moduleName8945, 12);
  int argcv_meth_ast_moduleName8945[] = {0};
  meth_meth_ast_moduleName8945->type = alloc_MethodType(1, argcv_meth_ast_moduleName8945);
  meth_meth_ast_moduleName8945->definitionModule = modulename;
  meth_meth_ast_moduleName8945->definitionLine = 2272;
// method "isWritable"
  struct UserObject *uo8965 = (struct UserObject*)obj8897;
  uo8965->data[13] = emptyclosure;
  Method *meth_meth_ast_isWritable8965 = addmethod2pos(obj8897, "isWritable", &meth_ast_isWritable8965, 13);
  int argcv_meth_ast_isWritable8965[] = {0};
  meth_meth_ast_isWritable8965->type = alloc_MethodType(1, argcv_meth_ast_isWritable8965);
  meth_meth_ast_isWritable8965->definitionModule = modulename;
  meth_meth_ast_isWritable8965->definitionLine = 2283;
// method "isReadable"
  struct UserObject *uo8967 = (struct UserObject*)obj8897;
  uo8967->data[14] = emptyclosure;
  Method *meth_meth_ast_isReadable8967 = addmethod2pos(obj8897, "isReadable", &meth_ast_isReadable8967, 14);
  int argcv_meth_ast_isReadable8967[] = {0};
  meth_meth_ast_isReadable8967->type = alloc_MethodType(1, argcv_meth_ast_isReadable8967);
  meth_meth_ast_isReadable8967->definitionModule = modulename;
  meth_meth_ast_isReadable8967->definitionLine = 2284;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8897);
  Object closure8970 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8970, stackframe);
  addtoclosure(closure8970, var_k);
  struct UserObject *uo8970 = (struct UserObject*)obj8897;
  uo8970->data[15] = (Object)closure8970;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8970 = addmethod2pos(obj8897, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8970, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8970[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8970);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8970->definitionLine = 2285;
// method "usesAsType(_)"
  struct UserObject *uo8973 = (struct UserObject*)obj8897;
  uo8973->data[16] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8973 = addmethod2pos(obj8897, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8973, 16);
  int argcv_meth_ast_usesAsType_40_1_41_8973[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8973->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8973);
  meth_meth_ast_usesAsType_40_1_41_8973->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8973->definitionLine = 2286;
// method "accept(_)from(_)"
  struct UserObject *uo8979 = (struct UserObject*)obj8897;
  uo8979->data[17] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8979 = addmethod2pos(obj8897, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8979, 17);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8979[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8979);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8979->definitionLine = 2289;
// method "map(_)ancestors(_)"
  struct UserObject *uo9009 = (struct UserObject*)obj8897;
  uo9009->data[18] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009 = addmethod2pos(obj8897, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9009, 18);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9009[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9009);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9009->definitionLine = 2301;
// method "pretty(_)"
  struct UserObject *uo9042 = (struct UserObject*)obj8897;
  uo9042->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9042 = addmethod2pos(obj8897, "pretty(1)", &meth_ast_pretty_40_1_41_9042, 19);
  int argcv_meth_ast_pretty_40_1_41_9042[] = {1};
  meth_meth_ast_pretty_40_1_41_9042->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9042);
  meth_meth_ast_pretty_40_1_41_9042->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9042->definitionLine = 2309;
// method "toGrace(_)"
  struct UserObject *uo9136 = (struct UserObject*)obj8897;
  uo9136->data[20] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9136 = addmethod2pos(obj8897, "toGrace(1)", &meth_ast_toGrace_40_1_41_9136, 20);
  int argcv_meth_ast_toGrace_40_1_41_9136[] = {1};
  meth_meth_ast_toGrace_40_1_41_9136->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9136);
meth_meth_ast_toGrace_40_1_41_9136->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9136->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9136->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9136->definitionLine = 2322;
// method "shallowCopy"
  block_savedest(obj8897);
  Object closure9156 = createclosure(2, "shallowCopy");
  setclosureframe(closure9156, stackframe);
  addtoclosure(closure9156, var_nullNode);
  addtoclosure(closure9156, var_importNode);
  struct UserObject *uo9156 = (struct UserObject*)obj8897;
  uo9156->data[21] = (Object)closure9156;
  Method *meth_meth_ast_shallowCopy9156 = addmethod2pos(obj8897, "shallowCopy", &meth_ast_shallowCopy9156, 21);
  int argcv_meth_ast_shallowCopy9156[] = {0};
  meth_meth_ast_shallowCopy9156->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9156);
  meth_meth_ast_shallowCopy9156->definitionModule = modulename;
  meth_meth_ast_shallowCopy9156->definitionLine = 2325;
  sourceObject = obj8897;
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9164 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9165 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9166 = gc_frame_new();
// call case 3: self.outer request
  Object call9167 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9166);
// compiled member node returning call9167 (depth = 5)
  Object call9168 = callmethodflags(call9167, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9165);
// compiled member node returning call9168 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9169 = callmethodflags(call9168, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9164);
// compiled call node returning call9169 (depth = 3)
  struct UserObject *obj8897_uo = (struct UserObject *)obj8897;
  obj8897_uo->super = call9169;
  sourceObject = obj8897;
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9170 == NULL) {
    strlit9170 = alloc_String("import");
    gc_root(strlit9170);
  }
// compiled string node returning strlit9170 (depth = 3)
  adddatum2(obj8897, strlit9170, 1);
  sourceObject = obj8897;
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8897, *var_name_39_, 2);
  sourceObject = obj8897;
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj8897, *var_path_39_, 3);
  sourceObject = obj8897;
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9171 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9171 (depth = 3)
  adddatum2(obj8897, array9171, 4);
  sourceObject = obj8897;
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8897, *var_dtype_39_, 5);
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  sourceObject = obj8897;
  objclass8897 = obj8897->class;
  objclass8897->definitionModule = modulename;
  objclass8897->definitionLine = 2254;
  (*(struct UserObject *)self).data[0] = lowerouter8897;
  self = oldself8897;
  selfslot = oldselfslot8897;
  stackframe = oldstackframe8897;
  gc_frame_end(frame);
  return obj8897;
}
Object meth_ast_importNode9173(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "importNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_importNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_importNode (depth = 3)
  gc_frame_end(frame);
  return *var_importNode;
}
Object meth_ast_isDialect9181(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2336
  setline(2336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9182 = alloc_Boolean(1);
// compiled identifier node returning bool9182 (depth = 3)
  gc_frame_end(frame);
  return bool9182;
}
Object meth_ast_isExternal9183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9184 = alloc_Boolean(1);
// compiled identifier node returning bool9184 (depth = 3)
  gc_frame_end(frame);
  return bool9184;
}
Object meth_ast_isExecutable9185(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2338
  setline(2338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9186 = alloc_Boolean(0);
// compiled identifier node returning bool9186 (depth = 3)
  gc_frame_end(frame);
  return bool9186;
}
Object meth_ast__apply_40_1_41_9193(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9196 == NULL) {
    strlit9196 = alloc_String("/");
    gc_root(strlit9196);
  }
// compiled string node returning strlit9196 (depth = 7)
  int op_slot_right_9195 = gc_frame_newslot(strlit9196);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_9195 = gc_frame_newslot(*var_c);
  params[0] = strlit9196;
  partcv[0] = 1;
  Object opresult9198 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult9198 (depth = 6)
  Object if9194 = done;
  if (istrue(opresult9198)) {
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9199 == NULL) {
    strlit9199 = alloc_String("");
    gc_root(strlit9199);
  }
// compiled string node returning strlit9199 (depth = 7)
  *var_bnm = strlit9199;
  if (strlit9199 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9194 = done;
  } else {
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_9201 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_9201 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult9203 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult9203 (depth = 7)
  *var_bnm = opresult9203;
  if (opresult9203 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9194 = done;
  }
// compiled if node returning if9194 (depth = 5)
  gc_frame_end(frame);
  return if9194;
}
Object meth_ast_moduleName9187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9188 == NULL) {
    strlit9188 = alloc_String("");
    gc_root(strlit9188);
  }
// compiled string node returning strlit9188 (depth = 4)
  *var_bnm = strlit9188;
  if (strlit9188 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9189 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9190 = gc_frame_new();
// call case 4: self request
  Object call9191 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9190);
// compiled member node returning call9191 (depth = 4)
  gc_frame_newslot(call9191);
// starting to compile block node (depth = 4)
  Object block9192 = alloc_Block(NULL, NULL, "ast", 2341);
  gc_frame_newslot(block9192);
// method "_apply(_)"
  block_savedest(block9192);
  Object closure9193 = createclosure(2, "_apply(1)");
  setclosureframe(closure9193, stackframe);
  addtoclosure(closure9193, var_bnm);
  addtoclosure(closure9193, selfslot);
  struct UserObject *uo9193 = (struct UserObject*)block9192;
  uo9193->data[0] = (Object)closure9193;
  Method *meth_meth_ast__apply_40_1_41_9193 = addmethod2pos(block9192, "_apply(1)", &meth_ast__apply_40_1_41_9193, 0);
  int argcv_meth_ast__apply_40_1_41_9193[] = {1};
  meth_meth_ast__apply_40_1_41_9193->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9193);
  meth_meth_ast__apply_40_1_41_9193->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9193->definitionLine = 2984;
// compiled block node returning block9192 (depth = 4)
  gc_frame_newslot(block9192);
// call case 5: prelude request
  params[0] = call9191;
  params[1] = block9192;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9206 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9189);
// compiled call node returning call9206 (depth = 3)
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_path9207(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "path");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9208 = gc_frame_new();
// call case 4: self request
  Object call9209 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9208);
// compiled member node returning call9209 (depth = 3)
  gc_frame_end(frame);
  return call9209;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9211 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9212 = callmethodflags(*var_visitor, "visitDialect(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9211);
// compiled call node returning call9212 (depth = 3)
  gc_frame_end(frame);
  return call9212;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9214 = gc_frame_new();
// call case 4: self request
  Object call9215 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9214);
// compiled member node returning call9215 (depth = 4)
  *var_n = call9215;
  if (call9215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9216 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9217 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9216);
// compiled call node returning call9217 (depth = 4)
  *var_newChain = call9217;
  if (call9217 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2359
  setline(2359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9218 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9219 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9218);
// compiled call node returning call9219 (depth = 3)
  gc_frame_end(frame);
  return call9219;
}
Object meth_ast__apply_40_1_41_9228(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9230 == NULL) {
    strlit9230 = alloc_String("  ");
    gc_root(strlit9230);
  }
// compiled string node returning strlit9230 (depth = 7)
  int op_slot_right_9229 = gc_frame_newslot(strlit9230);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9229 = gc_frame_newslot(*var_spc);
  params[0] = strlit9230;
  partcv[0] = 1;
  Object opresult9232 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9232 (depth = 6)
  *var_spc = opresult9232;
  if (opresult9232 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9221 == NULL) {
    strlit9221 = alloc_String("");
    gc_root(strlit9221);
  }
// compiled string node returning strlit9221 (depth = 4)
  *var_spc = strlit9221;
  if (strlit9221 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2363
  setline(2363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9222 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9223 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9225 = alloc_Float64(0);
// compiled num node returning num9225 (depth = 5)
  int op_slot_left_9223 = gc_frame_newslot(num9225);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9226 = callmethod(num9225, "..(1)", 1, partcv, params);
// compiled op node returning opresult9226 (depth = 4)
  gc_frame_newslot(opresult9226);
// starting to compile block node (depth = 4)
  Object block9227 = alloc_Block(NULL, NULL, "ast", 2363);
  gc_frame_newslot(block9227);
// method "_apply(_)"
  block_savedest(block9227);
  Object closure9228 = createclosure(2, "_apply(1)");
  setclosureframe(closure9228, stackframe);
  addtoclosure(closure9228, var_spc);
  addtoclosure(closure9228, selfslot);
  struct UserObject *uo9228 = (struct UserObject*)block9227;
  uo9228->data[0] = (Object)closure9228;
  Method *meth_meth_ast__apply_40_1_41_9228 = addmethod2pos(block9227, "_apply(1)", &meth_ast__apply_40_1_41_9228, 0);
  int argcv_meth_ast__apply_40_1_41_9228[] = {1};
  meth_meth_ast__apply_40_1_41_9228->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9228);
  meth_meth_ast__apply_40_1_41_9228->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9228->definitionLine = 2984;
// compiled block node returning block9227 (depth = 4)
  gc_frame_newslot(block9227);
// call case 5: prelude request
  params[0] = opresult9226;
  params[1] = block9227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9235 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9222);
// compiled call node returning call9235 (depth = 3)
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9237 == NULL) {
    strlit9237 = alloc_String("""\x0a""");
    gc_root(strlit9237);
  }
// compiled string node returning strlit9237 (depth = 5)
  int op_slot_right_9236 = gc_frame_newslot(strlit9237);
// starting to compile call node (depth = 5)
  int callframe9239 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9240 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9239);
// compiled call node returning call9240 (depth = 5)
  int op_slot_left_9236 = gc_frame_newslot(call9240);
  params[0] = strlit9237;
  partcv[0] = 1;
  Object opresult9241 = callmethod(call9240, "++(1)", 1, partcv, params);
// compiled op node returning opresult9241 (depth = 4)
  *var_s = opresult9241;
  if (opresult9241 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9244 == NULL) {
    strlit9244 = alloc_String("""\x0a""");
    gc_root(strlit9244);
  }
// compiled string node returning strlit9244 (depth = 6)
  int op_slot_right_9243 = gc_frame_newslot(strlit9244);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9247 = gc_frame_new();
// call case 4: self request
  Object call9248 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9247);
// compiled member node returning call9248 (depth = 7)
  int op_slot_right_9246 = gc_frame_newslot(call9248);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9251 == NULL) {
    strlit9251 = alloc_String("Path: ");
    gc_root(strlit9251);
  }
// compiled string node returning strlit9251 (depth = 8)
  int op_slot_right_9250 = gc_frame_newslot(strlit9251);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9253 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9255 == NULL) {
    strlit9255 = alloc_String("");
    gc_root(strlit9255);
  }
// compiled string node returning strlit9255 (depth = 9)
  int op_slot_left_9253 = gc_frame_newslot(strlit9255);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9256 = callmethod(strlit9255, "++(1)", 1, partcv, params);
// compiled op node returning opresult9256 (depth = 8)
  int op_slot_left_9250 = gc_frame_newslot(opresult9256);
  params[0] = strlit9251;
  partcv[0] = 1;
  Object opresult9257 = callmethod(opresult9256, "++(1)", 1, partcv, params);
// compiled op node returning opresult9257 (depth = 7)
  int op_slot_left_9246 = gc_frame_newslot(opresult9257);
  params[0] = call9248;
  partcv[0] = 1;
  Object opresult9258 = callmethod(opresult9257, "++(1)", 1, partcv, params);
// compiled op node returning opresult9258 (depth = 6)
  int op_slot_left_9243 = gc_frame_newslot(opresult9258);
  params[0] = strlit9244;
  partcv[0] = 1;
  Object opresult9259 = callmethod(opresult9258, "++(1)", 1, partcv, params);
// compiled op node returning opresult9259 (depth = 5)
  int op_slot_right_9242 = gc_frame_newslot(opresult9259);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9242 = gc_frame_newslot(*var_s);
  params[0] = opresult9259;
  partcv[0] = 1;
  Object opresult9261 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9261 (depth = 4)
  *var_s = opresult9261;
  if (opresult9261 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9263(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9265 == NULL) {
    strlit9265 = alloc_String("""\x22""");
    gc_root(strlit9265);
  }
// compiled string node returning strlit9265 (depth = 4)
  int op_slot_right_9264 = gc_frame_newslot(strlit9265);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9268 = gc_frame_new();
// call case 4: self request
  Object call9269 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9268);
// compiled member node returning call9269 (depth = 5)
  int op_slot_right_9267 = gc_frame_newslot(call9269);
// starting to compile string node (depth = 5)
  if (strlit9271 == NULL) {
    strlit9271 = alloc_String("dialect ""\x22""");
    gc_root(strlit9271);
  }
// compiled string node returning strlit9271 (depth = 5)
  int op_slot_left_9267 = gc_frame_newslot(strlit9271);
  params[0] = call9269;
  partcv[0] = 1;
  Object opresult9272 = callmethod(strlit9271, "++(1)", 1, partcv, params);
// compiled op node returning opresult9272 (depth = 4)
  int op_slot_left_9264 = gc_frame_newslot(opresult9272);
  params[0] = strlit9265;
  partcv[0] = 1;
  Object opresult9273 = callmethod(opresult9272, "++(1)", 1, partcv, params);
// compiled op node returning opresult9273 (depth = 3)
  gc_frame_end(frame);
  return opresult9273;
}
Object meth_ast_shallowCopy9274(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9275 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9276 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9277 = gc_frame_new();
// call case 4: self request
  Object call9278 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9277);
// compiled member node returning call9278 (depth = 5)
  gc_frame_newslot(call9278);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dialectNode (depth = 5)
  params[0] = call9278;
  partcv[0] = 1;
  Object call9279 = callmethodflags(*var_dialectNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9276);
// compiled call node returning call9279 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9280 = callmethodflags(call9279, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9275);
// compiled call node returning call9280 (depth = 3)
  gc_frame_end(frame);
  return call9280;
}
Object meth_ast_new_40_1_41_9176(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9177 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9177 = alloc_userobj2(13,13, objclass9177);
  gc_frame_newslot(obj9177);
if (objclass9177 == NULL) {
  glfree(obj9177->class->name);
  obj9177->class->name = "dialectNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9177, self, 0);
  addmethodreal(obj9177,"outer", &reader_ast_outer_9178);
  Object oldself9177 = self;
  struct StackFrameObject *oldstackframe9177 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9177);
  gc_frame_newslot((Object)stackframe);
  self = obj9177;
  Object *oldselfslot9177 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9177 = (*(struct UserObject *)self).data[0], lowerouter9177 = thisouter9177;
  if (inheritingObject9177) {
    struct UserObject *inho9177 = (struct UserObject *)inheritingObject9177;
    while (inho9177->super != GraceDefaultObject) inho9177 = (struct UserObject *)inho9177->super;
    inho9177->super = obj9177;
    self = inheritingObject9177;
    *selfslot = self;
    lowerouter9177 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9177;
  }
if (objclass9177 == NULL) {
  Method *reader9179 = addmethodrealflags(obj9177, "kind",&reader_ast_kind_9179, MFLAG_DEF);
  reader9179->definitionModule = modulename;
  reader9179->definitionLine = 2333;
}
adddatum2(obj9177, alloc_Undefined(), 1);
if (objclass9177 == NULL) {
  Method *reader9180 = addmethodrealflags(obj9177, "value", &reader_ast_value_9180, 0);
  Method *writer9180 = addmethodrealflags(obj9177, "value:=(1)", &writer_ast_value_9180, 0);
  reader9180->definitionModule = modulename;
  writer9180->definitionModule = modulename;
  reader9180->definitionLine = 2334;
  writer9180->definitionLine = 2334;
}
obj9177->flags |= OFLAG_MUTABLE;
adddatum2(obj9177, alloc_Undefined(), 2);
// method "isDialect"
  struct UserObject *uo9181 = (struct UserObject*)obj9177;
  uo9181->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect9181 = addmethod2pos(obj9177, "isDialect", &meth_ast_isDialect9181, 3);
  int argcv_meth_ast_isDialect9181[] = {0};
  meth_meth_ast_isDialect9181->type = alloc_MethodType(1, argcv_meth_ast_isDialect9181);
  meth_meth_ast_isDialect9181->definitionModule = modulename;
  meth_meth_ast_isDialect9181->definitionLine = 2336;
// method "isExternal"
  struct UserObject *uo9183 = (struct UserObject*)obj9177;
  uo9183->data[4] = emptyclosure;
  Method *meth_meth_ast_isExternal9183 = addmethod2pos(obj9177, "isExternal", &meth_ast_isExternal9183, 4);
  int argcv_meth_ast_isExternal9183[] = {0};
  meth_meth_ast_isExternal9183->type = alloc_MethodType(1, argcv_meth_ast_isExternal9183);
  meth_meth_ast_isExternal9183->definitionModule = modulename;
  meth_meth_ast_isExternal9183->definitionLine = 2337;
// method "isExecutable"
  struct UserObject *uo9185 = (struct UserObject*)obj9177;
  uo9185->data[5] = emptyclosure;
  Method *meth_meth_ast_isExecutable9185 = addmethod2pos(obj9177, "isExecutable", &meth_ast_isExecutable9185, 5);
  int argcv_meth_ast_isExecutable9185[] = {0};
  meth_meth_ast_isExecutable9185->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9185);
  meth_meth_ast_isExecutable9185->definitionModule = modulename;
  meth_meth_ast_isExecutable9185->definitionLine = 2338;
// method "moduleName"
  struct UserObject *uo9187 = (struct UserObject*)obj9177;
  uo9187->data[6] = emptyclosure;
  Method *meth_meth_ast_moduleName9187 = addmethod2pos(obj9177, "moduleName", &meth_ast_moduleName9187, 6);
  int argcv_meth_ast_moduleName9187[] = {0};
  meth_meth_ast_moduleName9187->type = alloc_MethodType(1, argcv_meth_ast_moduleName9187);
  meth_meth_ast_moduleName9187->definitionModule = modulename;
  meth_meth_ast_moduleName9187->definitionLine = 2339;
// method "path"
  struct UserObject *uo9207 = (struct UserObject*)obj9177;
  uo9207->data[7] = emptyclosure;
  Method *meth_meth_ast_path9207 = addmethod2pos(obj9177, "path", &meth_ast_path9207, 7);
  int argcv_meth_ast_path9207[] = {0};
  meth_meth_ast_path9207->type = alloc_MethodType(1, argcv_meth_ast_path9207);
  meth_meth_ast_path9207->definitionModule = modulename;
  meth_meth_ast_path9207->definitionLine = 2350;
// method "accept(_)from(_)"
  struct UserObject *uo9210 = (struct UserObject*)obj9177;
  uo9210->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9210 = addmethod2pos(obj9177, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9210, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9210[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9210);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->definitionLine = 2353;
// method "map(_)ancestors(_)"
  struct UserObject *uo9213 = (struct UserObject*)obj9177;
  uo9213->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213 = addmethod2pos(obj9177, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9213, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9213[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9213);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->definitionLine = 2356;
// method "pretty(_)"
  struct UserObject *uo9220 = (struct UserObject*)obj9177;
  uo9220->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9220 = addmethod2pos(obj9177, "pretty(1)", &meth_ast_pretty_40_1_41_9220, 10);
  int argcv_meth_ast_pretty_40_1_41_9220[] = {1};
  meth_meth_ast_pretty_40_1_41_9220->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9220);
  meth_meth_ast_pretty_40_1_41_9220->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9220->definitionLine = 2361;
// method "toGrace(_)"
  struct UserObject *uo9263 = (struct UserObject*)obj9177;
  uo9263->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9263 = addmethod2pos(obj9177, "toGrace(1)", &meth_ast_toGrace_40_1_41_9263, 11);
  int argcv_meth_ast_toGrace_40_1_41_9263[] = {1};
  meth_meth_ast_toGrace_40_1_41_9263->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9263);
meth_meth_ast_toGrace_40_1_41_9263->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9263->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9263->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9263->definitionLine = 2370;
// method "shallowCopy"
  block_savedest(obj9177);
  Object closure9274 = createclosure(1, "shallowCopy");
  setclosureframe(closure9274, stackframe);
  addtoclosure(closure9274, var_dialectNode);
  struct UserObject *uo9274 = (struct UserObject*)obj9177;
  uo9274->data[12] = (Object)closure9274;
  Method *meth_meth_ast_shallowCopy9274 = addmethod2pos(obj9177, "shallowCopy", &meth_ast_shallowCopy9274, 12);
  int argcv_meth_ast_shallowCopy9274[] = {0};
  meth_meth_ast_shallowCopy9274->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9274);
  meth_meth_ast_shallowCopy9274->definitionModule = modulename;
  meth_meth_ast_shallowCopy9274->definitionLine = 2373;
  sourceObject = obj9177;
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9281 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9282 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9283 = gc_frame_new();
// call case 3: self.outer request
  Object call9284 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9283);
// compiled member node returning call9284 (depth = 5)
  Object call9285 = callmethodflags(call9284, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9282);
// compiled member node returning call9285 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9286 = callmethodflags(call9285, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9281);
// compiled call node returning call9286 (depth = 3)
  struct UserObject *obj9177_uo = (struct UserObject *)obj9177;
  obj9177_uo->super = call9286;
  sourceObject = obj9177;
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9287 == NULL) {
    strlit9287 = alloc_String("dialect");
    gc_root(strlit9287);
  }
// compiled string node returning strlit9287 (depth = 3)
  adddatum2(obj9177, strlit9287, 1);
  sourceObject = obj9177;
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9177, *var_path_39_, 2);
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  objclass9177 = obj9177->class;
  objclass9177->definitionModule = modulename;
  objclass9177->definitionLine = 2331;
  (*(struct UserObject *)self).data[0] = lowerouter9177;
  self = oldself9177;
  selfslot = oldselfslot9177;
  stackframe = oldstackframe9177;
  gc_frame_end(frame);
  return obj9177;
}
Object meth_ast_new_40_1_41_9176_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9177 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9177 = alloc_userobj2(13,13, objclass9177);
  gc_frame_newslot(obj9177);
if (objclass9177 == NULL) {
  glfree(obj9177->class->name);
  obj9177->class->name = "dialectNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9177, self, 0);
  addmethodreal(obj9177,"outer", &reader_ast_outer_9178);
  Object oldself9177 = self;
  struct StackFrameObject *oldstackframe9177 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9177);
  gc_frame_newslot((Object)stackframe);
  self = obj9177;
  Object *oldselfslot9177 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9177 = (*(struct UserObject *)self).data[0], lowerouter9177 = thisouter9177;
  if (inheritingObject9177) {
    struct UserObject *inho9177 = (struct UserObject *)inheritingObject9177;
    while (inho9177->super != GraceDefaultObject) inho9177 = (struct UserObject *)inho9177->super;
    inho9177->super = obj9177;
    self = inheritingObject9177;
    *selfslot = self;
    lowerouter9177 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9177;
  }
if (objclass9177 == NULL) {
  Method *reader9179 = addmethodrealflags(obj9177, "kind",&reader_ast_kind_9179, MFLAG_DEF);
  reader9179->definitionModule = modulename;
  reader9179->definitionLine = 2333;
}
adddatum2(obj9177, alloc_Undefined(), 1);
if (objclass9177 == NULL) {
  Method *reader9180 = addmethodrealflags(obj9177, "value", &reader_ast_value_9180, 0);
  Method *writer9180 = addmethodrealflags(obj9177, "value:=(1)", &writer_ast_value_9180, 0);
  reader9180->definitionModule = modulename;
  writer9180->definitionModule = modulename;
  reader9180->definitionLine = 2334;
  writer9180->definitionLine = 2334;
}
obj9177->flags |= OFLAG_MUTABLE;
adddatum2(obj9177, alloc_Undefined(), 2);
// method "isDialect"
  struct UserObject *uo9181 = (struct UserObject*)obj9177;
  uo9181->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect9181 = addmethod2pos(obj9177, "isDialect", &meth_ast_isDialect9181, 3);
  int argcv_meth_ast_isDialect9181[] = {0};
  meth_meth_ast_isDialect9181->type = alloc_MethodType(1, argcv_meth_ast_isDialect9181);
  meth_meth_ast_isDialect9181->definitionModule = modulename;
  meth_meth_ast_isDialect9181->definitionLine = 2336;
// method "isExternal"
  struct UserObject *uo9183 = (struct UserObject*)obj9177;
  uo9183->data[4] = emptyclosure;
  Method *meth_meth_ast_isExternal9183 = addmethod2pos(obj9177, "isExternal", &meth_ast_isExternal9183, 4);
  int argcv_meth_ast_isExternal9183[] = {0};
  meth_meth_ast_isExternal9183->type = alloc_MethodType(1, argcv_meth_ast_isExternal9183);
  meth_meth_ast_isExternal9183->definitionModule = modulename;
  meth_meth_ast_isExternal9183->definitionLine = 2337;
// method "isExecutable"
  struct UserObject *uo9185 = (struct UserObject*)obj9177;
  uo9185->data[5] = emptyclosure;
  Method *meth_meth_ast_isExecutable9185 = addmethod2pos(obj9177, "isExecutable", &meth_ast_isExecutable9185, 5);
  int argcv_meth_ast_isExecutable9185[] = {0};
  meth_meth_ast_isExecutable9185->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9185);
  meth_meth_ast_isExecutable9185->definitionModule = modulename;
  meth_meth_ast_isExecutable9185->definitionLine = 2338;
// method "moduleName"
  struct UserObject *uo9187 = (struct UserObject*)obj9177;
  uo9187->data[6] = emptyclosure;
  Method *meth_meth_ast_moduleName9187 = addmethod2pos(obj9177, "moduleName", &meth_ast_moduleName9187, 6);
  int argcv_meth_ast_moduleName9187[] = {0};
  meth_meth_ast_moduleName9187->type = alloc_MethodType(1, argcv_meth_ast_moduleName9187);
  meth_meth_ast_moduleName9187->definitionModule = modulename;
  meth_meth_ast_moduleName9187->definitionLine = 2339;
// method "path"
  struct UserObject *uo9207 = (struct UserObject*)obj9177;
  uo9207->data[7] = emptyclosure;
  Method *meth_meth_ast_path9207 = addmethod2pos(obj9177, "path", &meth_ast_path9207, 7);
  int argcv_meth_ast_path9207[] = {0};
  meth_meth_ast_path9207->type = alloc_MethodType(1, argcv_meth_ast_path9207);
  meth_meth_ast_path9207->definitionModule = modulename;
  meth_meth_ast_path9207->definitionLine = 2350;
// method "accept(_)from(_)"
  struct UserObject *uo9210 = (struct UserObject*)obj9177;
  uo9210->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9210 = addmethod2pos(obj9177, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9210, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9210[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9210);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9210->definitionLine = 2353;
// method "map(_)ancestors(_)"
  struct UserObject *uo9213 = (struct UserObject*)obj9177;
  uo9213->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213 = addmethod2pos(obj9177, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9213, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9213[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9213);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9213->definitionLine = 2356;
// method "pretty(_)"
  struct UserObject *uo9220 = (struct UserObject*)obj9177;
  uo9220->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9220 = addmethod2pos(obj9177, "pretty(1)", &meth_ast_pretty_40_1_41_9220, 10);
  int argcv_meth_ast_pretty_40_1_41_9220[] = {1};
  meth_meth_ast_pretty_40_1_41_9220->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9220);
  meth_meth_ast_pretty_40_1_41_9220->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9220->definitionLine = 2361;
// method "toGrace(_)"
  struct UserObject *uo9263 = (struct UserObject*)obj9177;
  uo9263->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9263 = addmethod2pos(obj9177, "toGrace(1)", &meth_ast_toGrace_40_1_41_9263, 11);
  int argcv_meth_ast_toGrace_40_1_41_9263[] = {1};
  meth_meth_ast_toGrace_40_1_41_9263->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9263);
meth_meth_ast_toGrace_40_1_41_9263->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9263->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9263->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9263->definitionLine = 2370;
// method "shallowCopy"
  block_savedest(obj9177);
  Object closure9274 = createclosure(1, "shallowCopy");
  setclosureframe(closure9274, stackframe);
  addtoclosure(closure9274, var_dialectNode);
  struct UserObject *uo9274 = (struct UserObject*)obj9177;
  uo9274->data[12] = (Object)closure9274;
  Method *meth_meth_ast_shallowCopy9274 = addmethod2pos(obj9177, "shallowCopy", &meth_ast_shallowCopy9274, 12);
  int argcv_meth_ast_shallowCopy9274[] = {0};
  meth_meth_ast_shallowCopy9274->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9274);
  meth_meth_ast_shallowCopy9274->definitionModule = modulename;
  meth_meth_ast_shallowCopy9274->definitionLine = 2373;
  sourceObject = obj9177;
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9281 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9282 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9283 = gc_frame_new();
// call case 3: self.outer request
  Object call9284 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9283);
// compiled member node returning call9284 (depth = 5)
  Object call9285 = callmethodflags(call9284, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9282);
// compiled member node returning call9285 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9286 = callmethodflags(call9285, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9281);
// compiled call node returning call9286 (depth = 3)
  struct UserObject *obj9177_uo = (struct UserObject *)obj9177;
  obj9177_uo->super = call9286;
  sourceObject = obj9177;
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9287 == NULL) {
    strlit9287 = alloc_String("dialect");
    gc_root(strlit9287);
  }
// compiled string node returning strlit9287 (depth = 3)
  adddatum2(obj9177, strlit9287, 1);
  sourceObject = obj9177;
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9177, *var_path_39_, 2);
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  sourceObject = obj9177;
  objclass9177 = obj9177->class;
  objclass9177->definitionModule = modulename;
  objclass9177->definitionLine = 2331;
  (*(struct UserObject *)self).data[0] = lowerouter9177;
  self = oldself9177;
  selfslot = oldselfslot9177;
  stackframe = oldstackframe9177;
  gc_frame_end(frame);
  return obj9177;
}
Object meth_ast_dialectNode9289(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dialectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dialectNode (depth = 3)
  gc_frame_end(frame);
  return *var_dialectNode;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9297(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9299 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9300 = callmethodflags(*var_visitor, "visitReturn(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9299);
// compiled call node returning call9300 (depth = 4)
  Object if9298 = done;
  if (istrue(call9300)) {
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9301 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9302 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9301);
// compiled call node returning call9302 (depth = 5)
  *var_newChain = call9302;
  if (call9302 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2387
  setline(2387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9303 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9304 = gc_frame_new();
// call case 4: self request
  Object call9305 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9304);
// compiled member node returning call9305 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9306 = callmethodflags(call9305, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9303);
// compiled call node returning call9306 (depth = 4)
    gc_frame_newslot(call9306);
    if9298 = call9306;
  } else {
  }
// compiled if node returning if9298 (depth = 3)
  gc_frame_end(frame);
  return if9298;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9307(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9308 = gc_frame_new();
// call case 4: self request
  Object call9309 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9308);
// compiled member node returning call9309 (depth = 4)
  *var_n = call9309;
  if (call9309 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9310 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9311 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9310);
// compiled call node returning call9311 (depth = 4)
  *var_newChain = call9311;
  if (call9311 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9312 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9313 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9314 = gc_frame_new();
// call case 4: self request
  Object call9315 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9314);
// compiled member node returning call9315 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9316 = callmethodflags(call9315, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9313);
// compiled call node returning call9316 (depth = 4)
  gc_frame_newslot(call9316);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9316;
  partcv[0] = 1;
  Object call9317 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9312);
// compiled call node returning call9317 (depth = 3)
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9318 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9319 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9318);
// compiled call node returning call9319 (depth = 3)
  gc_frame_end(frame);
  return call9319;
}
Object meth_ast__apply_40_1_41_9328(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9330 == NULL) {
    strlit9330 = alloc_String("  ");
    gc_root(strlit9330);
  }
// compiled string node returning strlit9330 (depth = 7)
  int op_slot_right_9329 = gc_frame_newslot(strlit9330);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9329 = gc_frame_newslot(*var_spc);
  params[0] = strlit9330;
  partcv[0] = 1;
  Object opresult9332 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9332 (depth = 6)
  *var_spc = opresult9332;
  if (opresult9332 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9320(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9321 == NULL) {
    strlit9321 = alloc_String("");
    gc_root(strlit9321);
  }
// compiled string node returning strlit9321 (depth = 4)
  *var_spc = strlit9321;
  if (strlit9321 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9322 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9323 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9325 = alloc_Float64(0);
// compiled num node returning num9325 (depth = 5)
  int op_slot_left_9323 = gc_frame_newslot(num9325);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9326 = callmethod(num9325, "..(1)", 1, partcv, params);
// compiled op node returning opresult9326 (depth = 4)
  gc_frame_newslot(opresult9326);
// starting to compile block node (depth = 4)
  Object block9327 = alloc_Block(NULL, NULL, "ast", 2398);
  gc_frame_newslot(block9327);
// method "_apply(_)"
  block_savedest(block9327);
  Object closure9328 = createclosure(2, "_apply(1)");
  setclosureframe(closure9328, stackframe);
  addtoclosure(closure9328, var_spc);
  addtoclosure(closure9328, selfslot);
  struct UserObject *uo9328 = (struct UserObject*)block9327;
  uo9328->data[0] = (Object)closure9328;
  Method *meth_meth_ast__apply_40_1_41_9328 = addmethod2pos(block9327, "_apply(1)", &meth_ast__apply_40_1_41_9328, 0);
  int argcv_meth_ast__apply_40_1_41_9328[] = {1};
  meth_meth_ast__apply_40_1_41_9328->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9328);
  meth_meth_ast__apply_40_1_41_9328->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9328->definitionLine = 2984;
// compiled block node returning block9327 (depth = 4)
  gc_frame_newslot(block9327);
// call case 5: prelude request
  params[0] = opresult9326;
  params[1] = block9327;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9335 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9322);
// compiled call node returning call9335 (depth = 3)
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9337 == NULL) {
    strlit9337 = alloc_String("""\x0a""");
    gc_root(strlit9337);
  }
// compiled string node returning strlit9337 (depth = 5)
  int op_slot_right_9336 = gc_frame_newslot(strlit9337);
// starting to compile call node (depth = 5)
  int callframe9339 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9340 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9339);
// compiled call node returning call9340 (depth = 5)
  int op_slot_left_9336 = gc_frame_newslot(call9340);
  params[0] = strlit9337;
  partcv[0] = 1;
  Object opresult9341 = callmethod(call9340, "++(1)", 1, partcv, params);
// compiled op node returning opresult9341 (depth = 4)
  *var_s = opresult9341;
  if (opresult9341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9343 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9345 = alloc_Float64(1);
// compiled num node returning num9345 (depth = 7)
  int op_slot_right_9344 = gc_frame_newslot(num9345);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9344 = gc_frame_newslot(*var_depth);
  params[0] = num9345;
  partcv[0] = 1;
  Object sum9347 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9347 (depth = 6)
  gc_frame_newslot(sum9347);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9348 = gc_frame_new();
// call case 4: self request
  Object call9349 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9348);
// compiled member node returning call9349 (depth = 6)
  params[0] = sum9347;
  partcv[0] = 1;
  Object call9350 = callmethodflags(call9349, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9343);
// compiled call node returning call9350 (depth = 5)
  int op_slot_right_9342 = gc_frame_newslot(call9350);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9352 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9352 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9354 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9354 (depth = 5)
  int op_slot_left_9342 = gc_frame_newslot(opresult9354);
  params[0] = call9350;
  partcv[0] = 1;
  Object opresult9355 = callmethod(opresult9354, "++(1)", 1, partcv, params);
// compiled op node returning opresult9355 (depth = 4)
  *var_s = opresult9355;
  if (opresult9355 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9357(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9359 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9360 = gc_frame_new();
// call case 4: self request
  Object call9361 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9360);
// compiled member node returning call9361 (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9362 = callmethodflags(call9361, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9359);
// compiled call node returning call9362 (depth = 4)
  int op_slot_right_9358 = gc_frame_newslot(call9362);
// starting to compile string node (depth = 4)
  if (strlit9364 == NULL) {
    strlit9364 = alloc_String("return ");
    gc_root(strlit9364);
  }
// compiled string node returning strlit9364 (depth = 4)
  int op_slot_left_9358 = gc_frame_newslot(strlit9364);
  params[0] = call9362;
  partcv[0] = 1;
  Object opresult9365 = callmethod(strlit9364, "++(1)", 1, partcv, params);
// compiled op node returning opresult9365 (depth = 3)
  gc_frame_end(frame);
  return opresult9365;
}
Object meth_ast_shallowCopy9366(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9367 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9368 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_returnNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9369 = callmethodflags(*var_returnNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9368);
// compiled call node returning call9369 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9370 = callmethodflags(call9369, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9367);
// compiled call node returning call9370 (depth = 3)
  gc_frame_end(frame);
  return call9370;
}
Object meth_ast_new_40_1_41_9292(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9293 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9293 = alloc_userobj2(8,8, objclass9293);
  gc_frame_newslot(obj9293);
if (objclass9293 == NULL) {
  glfree(obj9293->class->name);
  obj9293->class->name = "returnNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9293, self, 0);
  addmethodreal(obj9293,"outer", &reader_ast_outer_9294);
  Object oldself9293 = self;
  struct StackFrameObject *oldstackframe9293 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9293);
  gc_frame_newslot((Object)stackframe);
  self = obj9293;
  Object *oldselfslot9293 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9293 = (*(struct UserObject *)self).data[0], lowerouter9293 = thisouter9293;
  if (inheritingObject9293) {
    struct UserObject *inho9293 = (struct UserObject *)inheritingObject9293;
    while (inho9293->super != GraceDefaultObject) inho9293 = (struct UserObject *)inho9293->super;
    inho9293->super = obj9293;
    self = inheritingObject9293;
    *selfslot = self;
    lowerouter9293 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9293;
  }
if (objclass9293 == NULL) {
  Method *reader9295 = addmethodrealflags(obj9293, "kind",&reader_ast_kind_9295, MFLAG_DEF);
  reader9295->definitionModule = modulename;
  reader9295->definitionLine = 2381;
}
adddatum2(obj9293, alloc_Undefined(), 1);
if (objclass9293 == NULL) {
  Method *reader9296 = addmethodrealflags(obj9293, "value", &reader_ast_value_9296, 0);
  Method *writer9296 = addmethodrealflags(obj9293, "value:=(1)", &writer_ast_value_9296, 0);
  reader9296->definitionModule = modulename;
  writer9296->definitionModule = modulename;
  reader9296->definitionLine = 2382;
  writer9296->definitionLine = 2382;
}
obj9293->flags |= OFLAG_MUTABLE;
adddatum2(obj9293, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo9297 = (struct UserObject*)obj9293;
  uo9297->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9297 = addmethod2pos(obj9293, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9297, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9297[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9297);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->definitionLine = 2384;
// method "map(_)ancestors(_)"
  struct UserObject *uo9307 = (struct UserObject*)obj9293;
  uo9307->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307 = addmethod2pos(obj9293, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9307, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9307[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9307);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->definitionLine = 2390;
// method "pretty(_)"
  struct UserObject *uo9320 = (struct UserObject*)obj9293;
  uo9320->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9320 = addmethod2pos(obj9293, "pretty(1)", &meth_ast_pretty_40_1_41_9320, 5);
  int argcv_meth_ast_pretty_40_1_41_9320[] = {1};
  meth_meth_ast_pretty_40_1_41_9320->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9320);
  meth_meth_ast_pretty_40_1_41_9320->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9320->definitionLine = 2396;
// method "toGrace(_)"
  struct UserObject *uo9357 = (struct UserObject*)obj9293;
  uo9357->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9357 = addmethod2pos(obj9293, "toGrace(1)", &meth_ast_toGrace_40_1_41_9357, 6);
  int argcv_meth_ast_toGrace_40_1_41_9357[] = {1};
  meth_meth_ast_toGrace_40_1_41_9357->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9357);
meth_meth_ast_toGrace_40_1_41_9357->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9357->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9357->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9357->definitionLine = 2405;
// method "shallowCopy"
  block_savedest(obj9293);
  Object closure9366 = createclosure(2, "shallowCopy");
  setclosureframe(closure9366, stackframe);
  addtoclosure(closure9366, var_nullNode);
  addtoclosure(closure9366, var_returnNode);
  struct UserObject *uo9366 = (struct UserObject*)obj9293;
  uo9366->data[7] = (Object)closure9366;
  Method *meth_meth_ast_shallowCopy9366 = addmethod2pos(obj9293, "shallowCopy", &meth_ast_shallowCopy9366, 7);
  int argcv_meth_ast_shallowCopy9366[] = {0};
  meth_meth_ast_shallowCopy9366->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9366);
  meth_meth_ast_shallowCopy9366->definitionModule = modulename;
  meth_meth_ast_shallowCopy9366->definitionLine = 2408;
  sourceObject = obj9293;
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9371 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9372 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9373 = gc_frame_new();
// call case 3: self.outer request
  Object call9374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9373);
// compiled member node returning call9374 (depth = 5)
  Object call9375 = callmethodflags(call9374, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9372);
// compiled member node returning call9375 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9376 = callmethodflags(call9375, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9371);
// compiled call node returning call9376 (depth = 3)
  struct UserObject *obj9293_uo = (struct UserObject *)obj9293;
  obj9293_uo->super = call9376;
  sourceObject = obj9293;
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9377 == NULL) {
    strlit9377 = alloc_String("return");
    gc_root(strlit9377);
  }
// compiled string node returning strlit9377 (depth = 3)
  adddatum2(obj9293, strlit9377, 1);
  sourceObject = obj9293;
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9293, *var_expr, 2);
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  objclass9293 = obj9293->class;
  objclass9293->definitionModule = modulename;
  objclass9293->definitionLine = 2379;
  (*(struct UserObject *)self).data[0] = lowerouter9293;
  self = oldself9293;
  selfslot = oldselfslot9293;
  stackframe = oldstackframe9293;
  gc_frame_end(frame);
  return obj9293;
}
Object meth_ast_new_40_1_41_9292_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9293 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9293 = alloc_userobj2(8,8, objclass9293);
  gc_frame_newslot(obj9293);
if (objclass9293 == NULL) {
  glfree(obj9293->class->name);
  obj9293->class->name = "returnNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9293, self, 0);
  addmethodreal(obj9293,"outer", &reader_ast_outer_9294);
  Object oldself9293 = self;
  struct StackFrameObject *oldstackframe9293 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9293);
  gc_frame_newslot((Object)stackframe);
  self = obj9293;
  Object *oldselfslot9293 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9293 = (*(struct UserObject *)self).data[0], lowerouter9293 = thisouter9293;
  if (inheritingObject9293) {
    struct UserObject *inho9293 = (struct UserObject *)inheritingObject9293;
    while (inho9293->super != GraceDefaultObject) inho9293 = (struct UserObject *)inho9293->super;
    inho9293->super = obj9293;
    self = inheritingObject9293;
    *selfslot = self;
    lowerouter9293 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9293;
  }
if (objclass9293 == NULL) {
  Method *reader9295 = addmethodrealflags(obj9293, "kind",&reader_ast_kind_9295, MFLAG_DEF);
  reader9295->definitionModule = modulename;
  reader9295->definitionLine = 2381;
}
adddatum2(obj9293, alloc_Undefined(), 1);
if (objclass9293 == NULL) {
  Method *reader9296 = addmethodrealflags(obj9293, "value", &reader_ast_value_9296, 0);
  Method *writer9296 = addmethodrealflags(obj9293, "value:=(1)", &writer_ast_value_9296, 0);
  reader9296->definitionModule = modulename;
  writer9296->definitionModule = modulename;
  reader9296->definitionLine = 2382;
  writer9296->definitionLine = 2382;
}
obj9293->flags |= OFLAG_MUTABLE;
adddatum2(obj9293, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo9297 = (struct UserObject*)obj9293;
  uo9297->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9297 = addmethod2pos(obj9293, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9297, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9297[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9297);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9297->definitionLine = 2384;
// method "map(_)ancestors(_)"
  struct UserObject *uo9307 = (struct UserObject*)obj9293;
  uo9307->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307 = addmethod2pos(obj9293, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9307, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9307[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9307);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9307->definitionLine = 2390;
// method "pretty(_)"
  struct UserObject *uo9320 = (struct UserObject*)obj9293;
  uo9320->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9320 = addmethod2pos(obj9293, "pretty(1)", &meth_ast_pretty_40_1_41_9320, 5);
  int argcv_meth_ast_pretty_40_1_41_9320[] = {1};
  meth_meth_ast_pretty_40_1_41_9320->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9320);
  meth_meth_ast_pretty_40_1_41_9320->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9320->definitionLine = 2396;
// method "toGrace(_)"
  struct UserObject *uo9357 = (struct UserObject*)obj9293;
  uo9357->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9357 = addmethod2pos(obj9293, "toGrace(1)", &meth_ast_toGrace_40_1_41_9357, 6);
  int argcv_meth_ast_toGrace_40_1_41_9357[] = {1};
  meth_meth_ast_toGrace_40_1_41_9357->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9357);
meth_meth_ast_toGrace_40_1_41_9357->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9357->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9357->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9357->definitionLine = 2405;
// method "shallowCopy"
  block_savedest(obj9293);
  Object closure9366 = createclosure(2, "shallowCopy");
  setclosureframe(closure9366, stackframe);
  addtoclosure(closure9366, var_nullNode);
  addtoclosure(closure9366, var_returnNode);
  struct UserObject *uo9366 = (struct UserObject*)obj9293;
  uo9366->data[7] = (Object)closure9366;
  Method *meth_meth_ast_shallowCopy9366 = addmethod2pos(obj9293, "shallowCopy", &meth_ast_shallowCopy9366, 7);
  int argcv_meth_ast_shallowCopy9366[] = {0};
  meth_meth_ast_shallowCopy9366->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9366);
  meth_meth_ast_shallowCopy9366->definitionModule = modulename;
  meth_meth_ast_shallowCopy9366->definitionLine = 2408;
  sourceObject = obj9293;
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9371 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9372 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9373 = gc_frame_new();
// call case 3: self.outer request
  Object call9374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9373);
// compiled member node returning call9374 (depth = 5)
  Object call9375 = callmethodflags(call9374, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9372);
// compiled member node returning call9375 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9376 = callmethodflags(call9375, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9371);
// compiled call node returning call9376 (depth = 3)
  struct UserObject *obj9293_uo = (struct UserObject *)obj9293;
  obj9293_uo->super = call9376;
  sourceObject = obj9293;
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9377 == NULL) {
    strlit9377 = alloc_String("return");
    gc_root(strlit9377);
  }
// compiled string node returning strlit9377 (depth = 3)
  adddatum2(obj9293, strlit9377, 1);
  sourceObject = obj9293;
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9293, *var_expr, 2);
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  sourceObject = obj9293;
  objclass9293 = obj9293->class;
  objclass9293->definitionModule = modulename;
  objclass9293->definitionLine = 2379;
  (*(struct UserObject *)self).data[0] = lowerouter9293;
  self = oldself9293;
  selfslot = oldselfslot9293;
  stackframe = oldstackframe9293;
  gc_frame_end(frame);
  return obj9293;
}
Object meth_ast_returnNode9379(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "returnNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_returnNode (depth = 3)
  gc_frame_end(frame);
  return *var_returnNode;
}
Object meth_ast_new_40_1_41_scope_40_1_41_9382(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9383 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_expr (depth = 5)
  gc_frame_newslot(*var_expr);
// call case 4: self request
  params[0] = *var_expr;
  partcv[0] = 1;
  Object call9384 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9383);
// compiled call node returning call9384 (depth = 4)
  *var_result = call9384;
  if (call9384 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9385 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9386 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9385);
// compiled call node returning call9386 (depth = 3)
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isLegalInTrait9396(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9397 = gc_frame_new();
// call case 4: self request
  Object call9398 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9397);
// compiled member node returning call9398 (depth = 3)
  gc_frame_end(frame);
  return call9398;
}
Object meth_ast_isInherits9399(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9400 = alloc_Boolean(1);
// compiled identifier node returning bool9400 (depth = 3)
  gc_frame_end(frame);
  return bool9400;
}
Object meth_ast_inheritFromMember9401(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritFromMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9403 = gc_frame_new();
// call case 4: self request
  Object call9404 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9403);
// compiled member node returning call9404 (depth = 4)
  Object call9405 = callmethodflags(call9404, "isMember", 0, partcv, params, 0);
  gc_frame_end(callframe9402);
// compiled member node returning call9405 (depth = 3)
  gc_frame_end(frame);
  return call9405;
}
Object meth_ast_inheritFromCall9406(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritFromCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9407 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9408 = gc_frame_new();
// call case 4: self request
  Object call9409 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9408);
// compiled member node returning call9409 (depth = 4)
  Object call9410 = callmethodflags(call9409, "isCall", 0, partcv, params, 0);
  gc_frame_end(callframe9407);
// compiled member node returning call9410 (depth = 3)
  gc_frame_end(frame);
  return call9410;
}
Object meth_ast_isExecutable9411(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9412 = alloc_Boolean(0);
// compiled identifier node returning bool9412 (depth = 3)
  gc_frame_end(frame);
  return bool9412;
}
Object meth_ast__apply_40_1_41_9425(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9426 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call9428 = callmethodflags(*var_a, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe9427);
// compiled member node returning call9428 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9429 = callmethodflags(call9428, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9426);
// compiled call node returning call9429 (depth = 6)
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9430 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9431 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call9432 = callmethodflags(*var_a, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe9431);
// compiled member node returning call9432 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9433 = callmethodflags(call9432, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9430);
// compiled call node returning call9433 (depth = 6)
  gc_frame_end(frame);
  return call9433;
}
Object meth_ast__apply_40_1_41_9440(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe9441 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_e (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9442 = callmethodflags(*var_e, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9441);
// compiled call node returning call9442 (depth = 6)
  gc_frame_end(frame);
  return call9442;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9415 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9416 = callmethodflags(*var_visitor, "visitInherits(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9415);
// compiled call node returning call9416 (depth = 4)
  Object if9414 = done;
  if (istrue(call9416)) {
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9417 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9418 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9417);
// compiled call node returning call9418 (depth = 5)
  *var_newChain = call9418;
  if (call9418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9419 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9420 = gc_frame_new();
// call case 4: self request
  Object call9421 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9420);
// compiled member node returning call9421 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9422 = callmethodflags(call9421, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9419);
// compiled call node returning call9422 (depth = 4)
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9423 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9424 = alloc_Block(NULL, NULL, "ast", 2437);
  gc_frame_newslot(block9424);
// method "_apply(_)"
  block_savedest(block9424);
  Object closure9425 = createclosure(3, "_apply(1)");
  setclosureframe(closure9425, stackframe);
  addtoclosure(closure9425, var_visitor);
  addtoclosure(closure9425, var_newChain);
  addtoclosure(closure9425, selfslot);
  struct UserObject *uo9425 = (struct UserObject*)block9424;
  uo9425->data[0] = (Object)closure9425;
  Method *meth_meth_ast__apply_40_1_41_9425 = addmethod2pos(block9424, "_apply(1)", &meth_ast__apply_40_1_41_9425, 0);
  int argcv_meth_ast__apply_40_1_41_9425[] = {1};
  meth_meth_ast__apply_40_1_41_9425->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9425);
  meth_meth_ast__apply_40_1_41_9425->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9425->definitionLine = 2984;
// compiled block node returning block9424 (depth = 5)
  gc_frame_newslot(block9424);
// call case 6: other requests
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9435 = gc_frame_new();
// call case 4: self request
  Object call9436 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9435);
// compiled member node returning call9436 (depth = 5)
  params[0] = block9424;
  partcv[0] = 1;
  Object call9437 = callmethodflags(call9436, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9423);
// compiled call node returning call9437 (depth = 4)
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9438 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9439 = alloc_Block(NULL, NULL, "ast", 2441);
  gc_frame_newslot(block9439);
// method "_apply(_)"
  block_savedest(block9439);
  Object closure9440 = createclosure(3, "_apply(1)");
  setclosureframe(closure9440, stackframe);
  addtoclosure(closure9440, var_visitor);
  addtoclosure(closure9440, var_newChain);
  addtoclosure(closure9440, selfslot);
  struct UserObject *uo9440 = (struct UserObject*)block9439;
  uo9440->data[0] = (Object)closure9440;
  Method *meth_meth_ast__apply_40_1_41_9440 = addmethod2pos(block9439, "_apply(1)", &meth_ast__apply_40_1_41_9440, 0);
  int argcv_meth_ast__apply_40_1_41_9440[] = {1};
  meth_meth_ast__apply_40_1_41_9440->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9440);
  meth_meth_ast__apply_40_1_41_9440->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9440->definitionLine = 2984;
// compiled block node returning block9439 (depth = 5)
  gc_frame_newslot(block9439);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9444 = gc_frame_new();
// call case 4: self request
  Object call9445 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9444);
// compiled member node returning call9445 (depth = 5)
  params[0] = block9439;
  partcv[0] = 1;
  Object call9446 = callmethodflags(call9445, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9438);
// compiled call node returning call9446 (depth = 4)
    gc_frame_newslot(call9446);
    if9414 = call9446;
  } else {
  }
// compiled if node returning if9414 (depth = 3)
  gc_frame_end(frame);
  return if9414;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_9447(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9448 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9449 = callmethodflags(*var_k, "methdec", 0, partcv, params, 0);
  gc_frame_end(callframe9448);
// compiled member node returning call9449 (depth = 3)
  gc_frame_end(frame);
  return call9449;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9450(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9451 = gc_frame_new();
// call case 4: self request
  Object call9452 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9451);
// compiled member node returning call9452 (depth = 4)
  *var_n = call9452;
  if (call9452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9453 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9454 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9453);
// compiled call node returning call9454 (depth = 4)
  *var_newChain = call9454;
  if (call9454 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9455 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9456 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9457 = gc_frame_new();
// call case 4: self request
  Object call9458 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9457);
// compiled member node returning call9458 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9459 = callmethodflags(call9458, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9456);
// compiled call node returning call9459 (depth = 4)
  gc_frame_newslot(call9459);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9459;
  partcv[0] = 1;
  Object call9460 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9455);
// compiled call node returning call9460 (depth = 3)
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9461 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9462 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9461);
// compiled call node returning call9462 (depth = 3)
  gc_frame_end(frame);
  return call9462;
}
Object meth_ast__apply_40_1_41_9471(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9473 == NULL) {
    strlit9473 = alloc_String("  ");
    gc_root(strlit9473);
  }
// compiled string node returning strlit9473 (depth = 7)
  int op_slot_right_9472 = gc_frame_newslot(strlit9473);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9472 = gc_frame_newslot(*var_spc);
  params[0] = strlit9473;
  partcv[0] = 1;
  Object opresult9475 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9475 (depth = 6)
  *var_spc = opresult9475;
  if (opresult9475 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9514(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9516 == NULL) {
    strlit9516 = alloc_String("");
    gc_root(strlit9516);
  }
// compiled string node returning strlit9516 (depth = 7)
  int op_slot_right_9515 = gc_frame_newslot(strlit9516);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9519 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9520 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9519);
// compiled call node returning call9520 (depth = 8)
  int op_slot_right_9518 = gc_frame_newslot(call9520);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9523 == NULL) {
    strlit9523 = alloc_String("""\x0a""");
    gc_root(strlit9523);
  }
// compiled string node returning strlit9523 (depth = 9)
  int op_slot_right_9522 = gc_frame_newslot(strlit9523);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9525 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9527 == NULL) {
    strlit9527 = alloc_String("");
    gc_root(strlit9527);
  }
// compiled string node returning strlit9527 (depth = 10)
  int op_slot_left_9525 = gc_frame_newslot(strlit9527);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9528 = callmethod(strlit9527, "++(1)", 1, partcv, params);
// compiled op node returning opresult9528 (depth = 9)
  int op_slot_left_9522 = gc_frame_newslot(opresult9528);
  params[0] = strlit9523;
  partcv[0] = 1;
  Object opresult9529 = callmethod(opresult9528, "++(1)", 1, partcv, params);
// compiled op node returning opresult9529 (depth = 8)
  int op_slot_left_9518 = gc_frame_newslot(opresult9529);
  params[0] = call9520;
  partcv[0] = 1;
  Object opresult9530 = callmethod(opresult9529, "++(1)", 1, partcv, params);
// compiled op node returning opresult9530 (depth = 7)
  int op_slot_left_9515 = gc_frame_newslot(opresult9530);
  params[0] = strlit9516;
  partcv[0] = 1;
  Object opresult9531 = callmethod(opresult9530, "++(1)", 1, partcv, params);
// compiled op node returning opresult9531 (depth = 6)
  *var_s = opresult9531;
  if (opresult9531 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9562(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9564 == NULL) {
    strlit9564 = alloc_String(" ");
    gc_root(strlit9564);
  }
// compiled string node returning strlit9564 (depth = 7)
  int op_slot_right_9563 = gc_frame_newslot(strlit9564);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_e (depth = 8)
  int op_slot_right_9566 = gc_frame_newslot(*var_e);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9569 == NULL) {
    strlit9569 = alloc_String(" exclude ");
    gc_root(strlit9569);
  }
// compiled string node returning strlit9569 (depth = 9)
  int op_slot_right_9568 = gc_frame_newslot(strlit9569);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9571 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9573 == NULL) {
    strlit9573 = alloc_String("");
    gc_root(strlit9573);
  }
// compiled string node returning strlit9573 (depth = 10)
  int op_slot_left_9571 = gc_frame_newslot(strlit9573);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9574 = callmethod(strlit9573, "++(1)", 1, partcv, params);
// compiled op node returning opresult9574 (depth = 9)
  int op_slot_left_9568 = gc_frame_newslot(opresult9574);
  params[0] = strlit9569;
  partcv[0] = 1;
  Object opresult9575 = callmethod(opresult9574, "++(1)", 1, partcv, params);
// compiled op node returning opresult9575 (depth = 8)
  int op_slot_left_9566 = gc_frame_newslot(opresult9575);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult9576 = callmethod(opresult9575, "++(1)", 1, partcv, params);
// compiled op node returning opresult9576 (depth = 7)
  int op_slot_left_9563 = gc_frame_newslot(opresult9576);
  params[0] = strlit9564;
  partcv[0] = 1;
  Object opresult9577 = callmethod(opresult9576, "++(1)", 1, partcv, params);
// compiled op node returning opresult9577 (depth = 6)
  *var_s = opresult9577;
  if (opresult9577 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9463(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9464 == NULL) {
    strlit9464 = alloc_String("");
    gc_root(strlit9464);
  }
// compiled string node returning strlit9464 (depth = 4)
  *var_spc = strlit9464;
  if (strlit9464 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9465 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9466 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9468 = alloc_Float64(0);
// compiled num node returning num9468 (depth = 5)
  int op_slot_left_9466 = gc_frame_newslot(num9468);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9469 = callmethod(num9468, "..(1)", 1, partcv, params);
// compiled op node returning opresult9469 (depth = 4)
  gc_frame_newslot(opresult9469);
// starting to compile block node (depth = 4)
  Object block9470 = alloc_Block(NULL, NULL, "ast", 2458);
  gc_frame_newslot(block9470);
// method "_apply(_)"
  block_savedest(block9470);
  Object closure9471 = createclosure(2, "_apply(1)");
  setclosureframe(closure9471, stackframe);
  addtoclosure(closure9471, var_spc);
  addtoclosure(closure9471, selfslot);
  struct UserObject *uo9471 = (struct UserObject*)block9470;
  uo9471->data[0] = (Object)closure9471;
  Method *meth_meth_ast__apply_40_1_41_9471 = addmethod2pos(block9470, "_apply(1)", &meth_ast__apply_40_1_41_9471, 0);
  int argcv_meth_ast__apply_40_1_41_9471[] = {1};
  meth_meth_ast__apply_40_1_41_9471->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9471);
  meth_meth_ast__apply_40_1_41_9471->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9471->definitionLine = 2984;
// compiled block node returning block9470 (depth = 4)
  gc_frame_newslot(block9470);
// call case 5: prelude request
  params[0] = opresult9469;
  params[1] = block9470;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9478 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9465);
// compiled call node returning call9478 (depth = 3)
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9479 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9480 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9479);
// compiled call node returning call9480 (depth = 4)
  *var_s = call9480;
  if (call9480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9482 = gc_frame_new();
// call case 4: self request
  Object call9483 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9482);
// compiled member node returning call9483 (depth = 4)
  Object if9481 = done;
  if (istrue(call9483)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9485 == NULL) {
    strlit9485 = alloc_String(" (use)");
    gc_root(strlit9485);
  }
// compiled string node returning strlit9485 (depth = 6)
  int op_slot_right_9484 = gc_frame_newslot(strlit9485);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_9487 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 7)
  if (strlit9489 == NULL) {
    strlit9489 = alloc_String("");
    gc_root(strlit9489);
  }
// compiled string node returning strlit9489 (depth = 7)
  int op_slot_left_9487 = gc_frame_newslot(strlit9489);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9490 = callmethod(strlit9489, "++(1)", 1, partcv, params);
// compiled op node returning opresult9490 (depth = 6)
  int op_slot_left_9484 = gc_frame_newslot(opresult9490);
  params[0] = strlit9485;
  partcv[0] = 1;
  Object opresult9491 = callmethod(opresult9490, "++(1)", 1, partcv, params);
// compiled op node returning opresult9491 (depth = 5)
  *var_s = opresult9491;
  if (opresult9491 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9481 = done;
  } else {
  }
// compiled if node returning if9481 (depth = 3)
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9494 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9496 = alloc_Float64(1);
// compiled num node returning num9496 (depth = 7)
  int op_slot_right_9495 = gc_frame_newslot(num9496);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9495 = gc_frame_newslot(*var_depth);
  params[0] = num9496;
  partcv[0] = 1;
  Object sum9498 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9498 (depth = 6)
  gc_frame_newslot(sum9498);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9499 = gc_frame_new();
// call case 4: self request
  Object call9500 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9499);
// compiled member node returning call9500 (depth = 6)
  params[0] = sum9498;
  partcv[0] = 1;
  Object call9501 = callmethodflags(call9500, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9494);
// compiled call node returning call9501 (depth = 5)
  int op_slot_right_9493 = gc_frame_newslot(call9501);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9503 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9506 == NULL) {
    strlit9506 = alloc_String("""\x0a""");
    gc_root(strlit9506);
  }
// compiled string node returning strlit9506 (depth = 7)
  int op_slot_right_9505 = gc_frame_newslot(strlit9506);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9505 = gc_frame_newslot(*var_s);
  params[0] = strlit9506;
  partcv[0] = 1;
  Object opresult9508 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9508 (depth = 6)
  int op_slot_left_9503 = gc_frame_newslot(opresult9508);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9509 = callmethod(opresult9508, "++(1)", 1, partcv, params);
// compiled op node returning opresult9509 (depth = 5)
  int op_slot_left_9493 = gc_frame_newslot(opresult9509);
  params[0] = call9501;
  partcv[0] = 1;
  Object opresult9510 = callmethod(opresult9509, "++(1)", 1, partcv, params);
// compiled op node returning opresult9510 (depth = 4)
  *var_s = opresult9510;
  if (opresult9510 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9512 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9513 = alloc_Block(NULL, NULL, "ast", 2464);
  gc_frame_newslot(block9513);
// method "_apply(_)"
  block_savedest(block9513);
  Object closure9514 = createclosure(3, "_apply(1)");
  setclosureframe(closure9514, stackframe);
  addtoclosure(closure9514, var_depth);
  addtoclosure(closure9514, var_s);
  addtoclosure(closure9514, selfslot);
  struct UserObject *uo9514 = (struct UserObject*)block9513;
  uo9514->data[0] = (Object)closure9514;
  Method *meth_meth_ast__apply_40_1_41_9514 = addmethod2pos(block9513, "_apply(1)", &meth_ast__apply_40_1_41_9514, 0);
  int argcv_meth_ast__apply_40_1_41_9514[] = {1};
  meth_meth_ast__apply_40_1_41_9514->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9514);
  meth_meth_ast__apply_40_1_41_9514->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9514->definitionLine = 2984;
// compiled block node returning block9513 (depth = 4)
  gc_frame_newslot(block9513);
// call case 6: other requests
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9534 = gc_frame_new();
// call case 4: self request
  Object call9535 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9534);
// compiled member node returning call9535 (depth = 4)
  params[0] = block9513;
  partcv[0] = 1;
  Object call9536 = callmethodflags(call9535, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9512);
// compiled call node returning call9536 (depth = 3)
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9538 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9539 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9540 = gc_frame_new();
// call case 4: self request
  Object call9541 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9540);
// compiled member node returning call9541 (depth = 6)
  Object call9542 = callmethodflags(call9541, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9539);
// compiled member node returning call9542 (depth = 5)
  Object call9543 = callmethodflags(call9542, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9538);
// compiled member node returning call9543 (depth = 4)
  Object if9537 = done;
  if (istrue(call9543)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9545 == NULL) {
    strlit9545 = alloc_String("");
    gc_root(strlit9545);
  }
// compiled string node returning strlit9545 (depth = 6)
  int op_slot_right_9544 = gc_frame_newslot(strlit9545);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9547 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9550 == NULL) {
    strlit9550 = alloc_String("""\x0a""");
    gc_root(strlit9550);
  }
// compiled string node returning strlit9550 (depth = 8)
  int op_slot_right_9549 = gc_frame_newslot(strlit9550);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9552 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9554 == NULL) {
    strlit9554 = alloc_String("");
    gc_root(strlit9554);
  }
// compiled string node returning strlit9554 (depth = 9)
  int op_slot_left_9552 = gc_frame_newslot(strlit9554);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9555 = callmethod(strlit9554, "++(1)", 1, partcv, params);
// compiled op node returning opresult9555 (depth = 8)
  int op_slot_left_9549 = gc_frame_newslot(opresult9555);
  params[0] = strlit9550;
  partcv[0] = 1;
  Object opresult9556 = callmethod(opresult9555, "++(1)", 1, partcv, params);
// compiled op node returning opresult9556 (depth = 7)
  int op_slot_left_9547 = gc_frame_newslot(opresult9556);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9557 = callmethod(opresult9556, "++(1)", 1, partcv, params);
// compiled op node returning opresult9557 (depth = 6)
  int op_slot_left_9544 = gc_frame_newslot(opresult9557);
  params[0] = strlit9545;
  partcv[0] = 1;
  Object opresult9558 = callmethod(opresult9557, "++(1)", 1, partcv, params);
// compiled op node returning opresult9558 (depth = 5)
  *var_s = opresult9558;
  if (opresult9558 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9537 = done;
  } else {
  }
// compiled if node returning if9537 (depth = 3)
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9560 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9561 = alloc_Block(NULL, NULL, "ast", 2468);
  gc_frame_newslot(block9561);
// method "_apply(_)"
  block_savedest(block9561);
  Object closure9562 = createclosure(2, "_apply(1)");
  setclosureframe(closure9562, stackframe);
  addtoclosure(closure9562, var_s);
  addtoclosure(closure9562, selfslot);
  struct UserObject *uo9562 = (struct UserObject*)block9561;
  uo9562->data[0] = (Object)closure9562;
  Method *meth_meth_ast__apply_40_1_41_9562 = addmethod2pos(block9561, "_apply(1)", &meth_ast__apply_40_1_41_9562, 0);
  int argcv_meth_ast__apply_40_1_41_9562[] = {1};
  meth_meth_ast__apply_40_1_41_9562->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9562);
  meth_meth_ast__apply_40_1_41_9562->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9562->definitionLine = 2984;
// compiled block node returning block9561 (depth = 4)
  gc_frame_newslot(block9561);
// call case 6: other requests
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9580 = gc_frame_new();
// call case 4: self request
  Object call9581 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9580);
// compiled member node returning call9581 (depth = 4)
  params[0] = block9561;
  partcv[0] = 1;
  Object call9582 = callmethodflags(call9581, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9560);
// compiled call node returning call9582 (depth = 3)
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9584 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9585 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9586 = gc_frame_new();
// call case 4: self request
  Object call9587 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9586);
// compiled member node returning call9587 (depth = 6)
  Object call9588 = callmethodflags(call9587, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9585);
// compiled member node returning call9588 (depth = 5)
  Object call9589 = callmethodflags(call9588, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9584);
// compiled member node returning call9589 (depth = 4)
  Object if9583 = done;
  if (istrue(call9589)) {
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9592 == NULL) {
    strlit9592 = alloc_String("");
    gc_root(strlit9592);
  }
// compiled string node returning strlit9592 (depth = 7)
  int op_slot_right_9591 = gc_frame_newslot(strlit9592);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9595 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe9596 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe9597 = gc_frame_new();
// call case 4: self request
  Object call9598 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9597);
// compiled member node returning call9598 (depth = 10)
  Object call9599 = callmethodflags(call9598, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe9596);
// compiled member node returning call9599 (depth = 9)
  Object call9600 = callmethodflags(call9599, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe9595);
// compiled member node returning call9600 (depth = 8)
  int op_slot_right_9594 = gc_frame_newslot(call9600);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9603 == NULL) {
    strlit9603 = alloc_String("Provided names: ");
    gc_root(strlit9603);
  }
// compiled string node returning strlit9603 (depth = 9)
  int op_slot_right_9602 = gc_frame_newslot(strlit9603);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9605 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit9607 == NULL) {
    strlit9607 = alloc_String("""\x0a""");
    gc_root(strlit9607);
  }
// compiled string node returning strlit9607 (depth = 10)
  int op_slot_left_9605 = gc_frame_newslot(strlit9607);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9608 = callmethod(strlit9607, "++(1)", 1, partcv, params);
// compiled op node returning opresult9608 (depth = 9)
  int op_slot_left_9602 = gc_frame_newslot(opresult9608);
  params[0] = strlit9603;
  partcv[0] = 1;
  Object opresult9609 = callmethod(opresult9608, "++(1)", 1, partcv, params);
// compiled op node returning opresult9609 (depth = 8)
  int op_slot_left_9594 = gc_frame_newslot(opresult9609);
  params[0] = call9600;
  partcv[0] = 1;
  Object opresult9610 = callmethod(opresult9609, "++(1)", 1, partcv, params);
// compiled op node returning opresult9610 (depth = 7)
  int op_slot_left_9591 = gc_frame_newslot(opresult9610);
  params[0] = strlit9592;
  partcv[0] = 1;
  Object opresult9611 = callmethod(opresult9610, "++(1)", 1, partcv, params);
// compiled op node returning opresult9611 (depth = 6)
  int op_slot_right_9590 = gc_frame_newslot(opresult9611);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9590 = gc_frame_newslot(*var_s);
  params[0] = opresult9611;
  partcv[0] = 1;
  Object opresult9613 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9613 (depth = 5)
  *var_s = opresult9613;
  if (opresult9613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9583 = done;
  } else {
  }
// compiled if node returning if9583 (depth = 3)
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply9619(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9621 == NULL) {
    strlit9621 = alloc_String("    ");
    gc_root(strlit9621);
  }
// compiled string node returning strlit9621 (depth = 7)
  int op_slot_right_9620 = gc_frame_newslot(strlit9621);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9620 = gc_frame_newslot(*var_s);
  params[0] = strlit9621;
  partcv[0] = 1;
  Object opresult9623 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9623 (depth = 6)
  *var_s = opresult9623;
  if (opresult9623 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9649 == NULL) {
    strlit9649 = alloc_String(" ");
    gc_root(strlit9649);
  }
// compiled string node returning strlit9649 (depth = 7)
  int op_slot_right_9648 = gc_frame_newslot(strlit9649);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_right_9651 = gc_frame_newslot(*var_a);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9654 == NULL) {
    strlit9654 = alloc_String(" ");
    gc_root(strlit9654);
  }
// compiled string node returning strlit9654 (depth = 9)
  int op_slot_right_9653 = gc_frame_newslot(strlit9654);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9656 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9658 == NULL) {
    strlit9658 = alloc_String("");
    gc_root(strlit9658);
  }
// compiled string node returning strlit9658 (depth = 10)
  int op_slot_left_9656 = gc_frame_newslot(strlit9658);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9659 = callmethod(strlit9658, "++(1)", 1, partcv, params);
// compiled op node returning opresult9659 (depth = 9)
  int op_slot_left_9653 = gc_frame_newslot(opresult9659);
  params[0] = strlit9654;
  partcv[0] = 1;
  Object opresult9660 = callmethod(opresult9659, "++(1)", 1, partcv, params);
// compiled op node returning opresult9660 (depth = 8)
  int op_slot_left_9651 = gc_frame_newslot(opresult9660);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult9661 = callmethod(opresult9660, "++(1)", 1, partcv, params);
// compiled op node returning opresult9661 (depth = 7)
  int op_slot_left_9648 = gc_frame_newslot(opresult9661);
  params[0] = strlit9649;
  partcv[0] = 1;
  Object opresult9662 = callmethod(opresult9661, "++(1)", 1, partcv, params);
// compiled op node returning opresult9662 (depth = 6)
  *var_s = opresult9662;
  if (opresult9662 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9670(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9672 == NULL) {
    strlit9672 = alloc_String(" ");
    gc_root(strlit9672);
  }
// compiled string node returning strlit9672 (depth = 7)
  int op_slot_right_9671 = gc_frame_newslot(strlit9672);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9675 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call9676 = callmethodflags(*var_e, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe9675);
// compiled member node returning call9676 (depth = 8)
  int op_slot_right_9674 = gc_frame_newslot(call9676);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9679 == NULL) {
    strlit9679 = alloc_String(" exclude ");
    gc_root(strlit9679);
  }
// compiled string node returning strlit9679 (depth = 9)
  int op_slot_right_9678 = gc_frame_newslot(strlit9679);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9681 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9683 == NULL) {
    strlit9683 = alloc_String("");
    gc_root(strlit9683);
  }
// compiled string node returning strlit9683 (depth = 10)
  int op_slot_left_9681 = gc_frame_newslot(strlit9683);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9684 = callmethod(strlit9683, "++(1)", 1, partcv, params);
// compiled op node returning opresult9684 (depth = 9)
  int op_slot_left_9678 = gc_frame_newslot(opresult9684);
  params[0] = strlit9679;
  partcv[0] = 1;
  Object opresult9685 = callmethod(opresult9684, "++(1)", 1, partcv, params);
// compiled op node returning opresult9685 (depth = 8)
  int op_slot_left_9674 = gc_frame_newslot(opresult9685);
  params[0] = call9676;
  partcv[0] = 1;
  Object opresult9686 = callmethod(opresult9685, "++(1)", 1, partcv, params);
// compiled op node returning opresult9686 (depth = 7)
  int op_slot_left_9671 = gc_frame_newslot(opresult9686);
  params[0] = strlit9672;
  partcv[0] = 1;
  Object opresult9687 = callmethod(opresult9686, "++(1)", 1, partcv, params);
// compiled op node returning opresult9687 (depth = 6)
  *var_s = opresult9687;
  if (opresult9687 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_9615(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9616 == NULL) {
    strlit9616 = alloc_String("");
    gc_root(strlit9616);
  }
// compiled string node returning strlit9616 (depth = 4)
  *var_s = strlit9616;
  if (strlit9616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2478
  setline(2478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9617 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block9618 = alloc_Block(NULL, NULL, "ast", 2478);
  gc_frame_newslot(block9618);
// method "_apply"
  block_savedest(block9618);
  Object closure9619 = createclosure(2, "_apply");
  setclosureframe(closure9619, stackframe);
  addtoclosure(closure9619, var_s);
  addtoclosure(closure9619, selfslot);
  struct UserObject *uo9619 = (struct UserObject*)block9618;
  uo9619->data[0] = (Object)closure9619;
  Method *meth_meth_ast__apply9619 = addmethod2pos(block9618, "_apply", &meth_ast__apply9619, 0);
  int argcv_meth_ast__apply9619[] = {0};
  meth_meth_ast__apply9619->type = alloc_MethodType(1, argcv_meth_ast__apply9619);
  meth_meth_ast__apply9619->definitionModule = modulename;
  meth_meth_ast__apply9619->definitionLine = 2984;
// compiled block node returning block9618 (depth = 4)
  gc_frame_newslot(block9618);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block9618;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9626 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9617);
// compiled call node returning call9626 (depth = 3)
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9629 = gc_frame_new();
// call case 4: self request
  Object call9630 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9629);
// compiled member node returning call9630 (depth = 6)
  Object if9628 = done;
struct StackFrameObject *iftmpstackframe9628 = stackframe;
  if (istrue(call9630)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9628);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit9631 == NULL) {
    strlit9631 = alloc_String("use ");
    gc_root(strlit9631);
  }
// compiled string node returning strlit9631 (depth = 6)
    gc_frame_newslot(strlit9631);
    if9628 = strlit9631;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe9628);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit9632 == NULL) {
    strlit9632 = alloc_String("inherit ");
    gc_root(strlit9632);
  }
// compiled string node returning strlit9632 (depth = 6)
    gc_frame_newslot(strlit9632);
    if9628 = strlit9632;
  }
stackframe = iftmpstackframe9628;
// compiled if node returning if9628 (depth = 5)
  int op_slot_right_9627 = gc_frame_newslot(if9628);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9627 = gc_frame_newslot(*var_s);
  params[0] = if9628;
  partcv[0] = 1;
  Object opresult9634 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9634 (depth = 4)
  *var_s = opresult9634;
  if (opresult9634 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9637 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num9638 = alloc_Float64(0);
// compiled num node returning num9638 (depth = 6)
  gc_frame_newslot(num9638);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9639 = gc_frame_new();
// call case 4: self request
  Object call9640 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9639);
// compiled member node returning call9640 (depth = 6)
  params[0] = num9638;
  partcv[0] = 1;
  Object call9641 = callmethodflags(call9640, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9637);
// compiled call node returning call9641 (depth = 5)
  int op_slot_right_9636 = gc_frame_newslot(call9641);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9636 = gc_frame_newslot(*var_s);
  params[0] = call9641;
  partcv[0] = 1;
  Object opresult9643 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9643 (depth = 4)
  *var_s = opresult9643;
  if (opresult9643 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9645 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9646 = alloc_Block(NULL, NULL, "ast", 2483);
  gc_frame_newslot(block9646);
// method "_apply(_)"
  block_savedest(block9646);
  Object closure9647 = createclosure(2, "_apply(1)");
  setclosureframe(closure9647, stackframe);
  addtoclosure(closure9647, var_s);
  addtoclosure(closure9647, selfslot);
  struct UserObject *uo9647 = (struct UserObject*)block9646;
  uo9647->data[0] = (Object)closure9647;
  Method *meth_meth_ast__apply_40_1_41_9647 = addmethod2pos(block9646, "_apply(1)", &meth_ast__apply_40_1_41_9647, 0);
  int argcv_meth_ast__apply_40_1_41_9647[] = {1};
  meth_meth_ast__apply_40_1_41_9647->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9647);
  meth_meth_ast__apply_40_1_41_9647->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9647->definitionLine = 2984;
// compiled block node returning block9646 (depth = 4)
  gc_frame_newslot(block9646);
// call case 6: other requests
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9665 = gc_frame_new();
// call case 4: self request
  Object call9666 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9665);
// compiled member node returning call9666 (depth = 4)
  params[0] = block9646;
  partcv[0] = 1;
  Object call9667 = callmethodflags(call9666, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9645);
// compiled call node returning call9667 (depth = 3)
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9668 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9669 = alloc_Block(NULL, NULL, "ast", 2486);
  gc_frame_newslot(block9669);
// method "_apply(_)"
  block_savedest(block9669);
  Object closure9670 = createclosure(2, "_apply(1)");
  setclosureframe(closure9670, stackframe);
  addtoclosure(closure9670, var_s);
  addtoclosure(closure9670, selfslot);
  struct UserObject *uo9670 = (struct UserObject*)block9669;
  uo9670->data[0] = (Object)closure9670;
  Method *meth_meth_ast__apply_40_1_41_9670 = addmethod2pos(block9669, "_apply(1)", &meth_ast__apply_40_1_41_9670, 0);
  int argcv_meth_ast__apply_40_1_41_9670[] = {1};
  meth_meth_ast__apply_40_1_41_9670->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9670);
  meth_meth_ast__apply_40_1_41_9670->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9670->definitionLine = 2984;
// compiled block node returning block9669 (depth = 4)
  gc_frame_newslot(block9669);
// call case 6: other requests
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9690 = gc_frame_new();
// call case 4: self request
  Object call9691 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9690);
// compiled member node returning call9691 (depth = 4)
  params[0] = block9669;
  partcv[0] = 1;
  Object call9692 = callmethodflags(call9691, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9668);
// compiled call node returning call9692 (depth = 3)
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString9693(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9695 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num9696 = alloc_Float64(0);
// compiled num node returning num9696 (depth = 5)
  gc_frame_newslot(num9696);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9697 = gc_frame_new();
// call case 4: self request
  Object call9698 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9697);
// compiled member node returning call9698 (depth = 5)
  params[0] = num9696;
  partcv[0] = 1;
  Object call9699 = callmethodflags(call9698, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9695);
// compiled call node returning call9699 (depth = 4)
  int op_slot_right_9694 = gc_frame_newslot(call9699);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9702 = gc_frame_new();
// call case 4: self request
  Object call9703 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9702);
// compiled member node returning call9703 (depth = 5)
  Object if9701 = done;
struct StackFrameObject *iftmpstackframe9701 = stackframe;
  if (istrue(call9703)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9701);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit9704 == NULL) {
    strlit9704 = alloc_String("use ");
    gc_root(strlit9704);
  }
// compiled string node returning strlit9704 (depth = 5)
    gc_frame_newslot(strlit9704);
    if9701 = strlit9704;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe9701);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit9705 == NULL) {
    strlit9705 = alloc_String("inherit ");
    gc_root(strlit9705);
  }
// compiled string node returning strlit9705 (depth = 5)
    gc_frame_newslot(strlit9705);
    if9701 = strlit9705;
  }
stackframe = iftmpstackframe9701;
// compiled if node returning if9701 (depth = 4)
  int op_slot_left_9694 = gc_frame_newslot(if9701);
  params[0] = call9699;
  partcv[0] = 1;
  Object opresult9706 = callmethod(if9701, "++(1)", 1, partcv, params);
// compiled op node returning opresult9706 (depth = 3)
  gc_frame_end(frame);
  return opresult9706;
}
Object meth_ast_nameString9707(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9708 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num9709 = alloc_Float64(0);
// compiled num node returning num9709 (depth = 4)
  gc_frame_newslot(num9709);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9710 = gc_frame_new();
// call case 4: self request
  Object call9711 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9710);
// compiled member node returning call9711 (depth = 4)
  params[0] = num9709;
  partcv[0] = 1;
  Object call9712 = callmethodflags(call9711, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9708);
// compiled call node returning call9712 (depth = 3)
  gc_frame_end(frame);
  return call9712;
}
Object meth_ast_addAlias_40_1_41_for_40_1_41_9713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAlias(1)for(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addAlias(_)for(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_newName = &(stackframe->slots[0]);
  *var_newName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAlias(_)");
  Object *var_oldName = &(stackframe->slots[1]);
  *var_oldName = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part for(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9714 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9715 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newName (depth = 5)
  gc_frame_newslot(*var_newName);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldName (depth = 5)
  gc_frame_newslot(*var_oldName);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9717 = gc_frame_new();
// call case 3: self.outer request
  Object call9718 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9717);
// compiled member node returning call9718 (depth = 6)
  Object call9719 = callmethodflags(call9718, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9716);
// compiled member node returning call9719 (depth = 5)
  params[0] = *var_newName;
  params[1] = *var_oldName;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9720 = callmethodflags(call9719, "aliasNew(1)old(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9715);
// compiled call node returning call9720 (depth = 4)
  gc_frame_newslot(call9720);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9721 = gc_frame_new();
// call case 4: self request
  Object call9722 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9721);
// compiled member node returning call9722 (depth = 4)
  params[0] = call9720;
  partcv[0] = 1;
  Object call9723 = callmethodflags(call9722, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9714);
// compiled call node returning call9723 (depth = 3)
  gc_frame_end(frame);
  return call9723;
}
Object meth_ast_addExclusion_40_1_41_9724(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addExclusion(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addExclusion(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addExclusion(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ident = &(stackframe->slots[0]);
  *var_ident = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addExclusion(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9725 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ident (depth = 4)
  gc_frame_newslot(*var_ident);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9726 = gc_frame_new();
// call case 4: self request
  Object call9727 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9726);
// compiled member node returning call9727 (depth = 4)
  params[0] = *var_ident;
  partcv[0] = 1;
  Object call9728 = callmethodflags(call9727, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9725);
// compiled call node returning call9728 (depth = 3)
  gc_frame_end(frame);
  return call9728;
}
Object meth_ast_shallowCopy9729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9730 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9731 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inheritNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9732 = callmethodflags(*var_inheritNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9731);
// compiled call node returning call9732 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9733 = callmethodflags(call9732, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9730);
// compiled call node returning call9733 (depth = 3)
  gc_frame_end(frame);
  return call9733;
}
Object meth_ast_postCopy_40_1_41_9734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9735 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9736 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9737 = callmethodflags(*var_other, "providedNames", 0, partcv, params, 0);
  gc_frame_end(callframe9736);
// compiled member node returning call9737 (depth = 4)
  gc_frame_newslot(call9737);
// call case 4: self request
  params[0] = call9737;
  partcv[0] = 1;
  Object call9738 = callmethodflags(self, "providedNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9735);
// compiled call node returning call9738 (depth = 3)
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9739 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9740 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9741 = callmethodflags(*var_other, "aliases", 0, partcv, params, 0);
  gc_frame_end(callframe9740);
// compiled member node returning call9741 (depth = 4)
  gc_frame_newslot(call9741);
// call case 4: self request
  params[0] = call9741;
  partcv[0] = 1;
  Object call9742 = callmethodflags(self, "aliases:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9739);
// compiled call node returning call9742 (depth = 3)
// Begin line 2507
  setline(2507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9743 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9744 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9745 = callmethodflags(*var_other, "exclusions", 0, partcv, params, 0);
  gc_frame_end(callframe9744);
// compiled member node returning call9745 (depth = 4)
  gc_frame_newslot(call9745);
// call case 4: self request
  params[0] = call9745;
  partcv[0] = 1;
  Object call9746 = callmethodflags(self, "exclusions:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9743);
// compiled call node returning call9746 (depth = 3)
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9747 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9748 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9749 = callmethodflags(*var_other, "isUse", 0, partcv, params, 0);
  gc_frame_end(callframe9748);
// compiled member node returning call9749 (depth = 4)
  gc_frame_newslot(call9749);
// call case 4: self request
  params[0] = call9749;
  partcv[0] = 1;
  Object call9750 = callmethodflags(self, "isUse:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9747);
// compiled call node returning call9750 (depth = 3)
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName9751(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2512
  setline(2512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9753 = gc_frame_new();
// call case 4: self request
  Object call9754 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9753);
// compiled member node returning call9754 (depth = 4)
  Object if9752 = done;
  if (istrue(call9754)) {
// starting to compile string node (depth = 4)
  if (strlit9755 == NULL) {
    strlit9755 = alloc_String("use");
    gc_root(strlit9755);
  }
// compiled string node returning strlit9755 (depth = 4)
    gc_frame_newslot(strlit9755);
    if9752 = strlit9755;
  } else {
// starting to compile string node (depth = 4)
  if (strlit9756 == NULL) {
    strlit9756 = alloc_String("inherit");
    gc_root(strlit9756);
  }
// compiled string node returning strlit9756 (depth = 4)
    gc_frame_newslot(strlit9756);
    if9752 = strlit9756;
  }
// compiled if node returning if9752 (depth = 3)
  gc_frame_end(frame);
  return if9752;
}
Object meth_ast_new_40_1_41_9387(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9388 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9388 = alloc_userobj2(28,24, objclass9388);
  gc_frame_newslot(obj9388);
if (objclass9388 == NULL) {
  glfree(obj9388->class->name);
  obj9388->class->name = "inheritNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9388, self, 0);
  addmethodreal(obj9388,"outer", &reader_ast_outer_9389);
  Object oldself9388 = self;
  struct StackFrameObject *oldstackframe9388 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9388);
  gc_frame_newslot((Object)stackframe);
  self = obj9388;
  Object *oldselfslot9388 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9388 = (*(struct UserObject *)self).data[0], lowerouter9388 = thisouter9388;
  if (inheritingObject9388) {
    struct UserObject *inho9388 = (struct UserObject *)inheritingObject9388;
    while (inho9388->super != GraceDefaultObject) inho9388 = (struct UserObject *)inho9388->super;
    inho9388->super = obj9388;
    self = inheritingObject9388;
    *selfslot = self;
    lowerouter9388 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9388;
  }
if (objclass9388 == NULL) {
  Method *reader9390 = addmethodrealflags(obj9388, "kind",&reader_ast_kind_9390, MFLAG_DEF);
  reader9390->definitionModule = modulename;
  reader9390->definitionLine = 2421;
}
adddatum2(obj9388, alloc_Undefined(), 1);
if (objclass9388 == NULL) {
  Method *reader9391 = addmethodrealflags(obj9388, "value", &reader_ast_value_9391, 0);
  Method *writer9391 = addmethodrealflags(obj9388, "value:=(1)", &writer_ast_value_9391, 0);
  reader9391->definitionModule = modulename;
  writer9391->definitionModule = modulename;
  reader9391->definitionLine = 2422;
  writer9391->definitionLine = 2422;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 2);
if (objclass9388 == NULL) {
  Method *reader9392 = addmethodrealflags(obj9388, "providedNames", &reader_ast_providedNames_9392, 0);
  Method *writer9392 = addmethodrealflags(obj9388, "providedNames:=(1)", &writer_ast_providedNames_9392, 0);
  reader9392->definitionModule = modulename;
  writer9392->definitionModule = modulename;
  reader9392->definitionLine = 2423;
  writer9392->definitionLine = 2423;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 3);
if (objclass9388 == NULL) {
  Method *reader9393 = addmethodrealflags(obj9388, "aliases", &reader_ast_aliases_9393, 0);
  Method *writer9393 = addmethodrealflags(obj9388, "aliases:=(1)", &writer_ast_aliases_9393, 0);
  reader9393->definitionModule = modulename;
  writer9393->definitionModule = modulename;
  reader9393->definitionLine = 2424;
  writer9393->definitionLine = 2424;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 4);
if (objclass9388 == NULL) {
  Method *reader9394 = addmethodrealflags(obj9388, "exclusions", &reader_ast_exclusions_9394, 0);
  Method *writer9394 = addmethodrealflags(obj9388, "exclusions:=(1)", &writer_ast_exclusions_9394, 0);
  reader9394->definitionModule = modulename;
  writer9394->definitionModule = modulename;
  reader9394->definitionLine = 2425;
  writer9394->definitionLine = 2425;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 5);
if (objclass9388 == NULL) {
  Method *reader9395 = addmethodrealflags(obj9388, "isUse", &reader_ast_isUse_9395, 0);
  Method *writer9395 = addmethodrealflags(obj9388, "isUse:=(1)", &writer_ast_isUse_9395, 0);
  reader9395->definitionModule = modulename;
  writer9395->definitionModule = modulename;
  reader9395->definitionLine = 2426;
  writer9395->definitionLine = 2426;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo9396 = (struct UserObject*)obj9388;
  uo9396->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait9396 = addmethod2pos(obj9388, "isLegalInTrait", &meth_ast_isLegalInTrait9396, 7);
  int argcv_meth_ast_isLegalInTrait9396[] = {0};
  meth_meth_ast_isLegalInTrait9396->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait9396);
  meth_meth_ast_isLegalInTrait9396->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait9396->definitionLine = 2428;
// method "isInherits"
  struct UserObject *uo9399 = (struct UserObject*)obj9388;
  uo9399->data[8] = emptyclosure;
  Method *meth_meth_ast_isInherits9399 = addmethod2pos(obj9388, "isInherits", &meth_ast_isInherits9399, 8);
  int argcv_meth_ast_isInherits9399[] = {0};
  meth_meth_ast_isInherits9399->type = alloc_MethodType(1, argcv_meth_ast_isInherits9399);
  meth_meth_ast_isInherits9399->definitionModule = modulename;
  meth_meth_ast_isInherits9399->definitionLine = 2429;
// method "inheritFromMember"
  struct UserObject *uo9401 = (struct UserObject*)obj9388;
  uo9401->data[9] = emptyclosure;
  Method *meth_meth_ast_inheritFromMember9401 = addmethod2pos(obj9388, "inheritFromMember", &meth_ast_inheritFromMember9401, 9);
  int argcv_meth_ast_inheritFromMember9401[] = {0};
  meth_meth_ast_inheritFromMember9401->type = alloc_MethodType(1, argcv_meth_ast_inheritFromMember9401);
  meth_meth_ast_inheritFromMember9401->definitionModule = modulename;
  meth_meth_ast_inheritFromMember9401->definitionLine = 2430;
// method "inheritFromCall"
  struct UserObject *uo9406 = (struct UserObject*)obj9388;
  uo9406->data[10] = emptyclosure;
  Method *meth_meth_ast_inheritFromCall9406 = addmethod2pos(obj9388, "inheritFromCall", &meth_ast_inheritFromCall9406, 10);
  int argcv_meth_ast_inheritFromCall9406[] = {0};
  meth_meth_ast_inheritFromCall9406->type = alloc_MethodType(1, argcv_meth_ast_inheritFromCall9406);
  meth_meth_ast_inheritFromCall9406->definitionModule = modulename;
  meth_meth_ast_inheritFromCall9406->definitionLine = 2431;
// method "isExecutable"
  struct UserObject *uo9411 = (struct UserObject*)obj9388;
  uo9411->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable9411 = addmethod2pos(obj9388, "isExecutable", &meth_ast_isExecutable9411, 11);
  int argcv_meth_ast_isExecutable9411[] = {0};
  meth_meth_ast_isExecutable9411->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9411);
  meth_meth_ast_isExecutable9411->definitionModule = modulename;
  meth_meth_ast_isExecutable9411->definitionLine = 2432;
// method "accept(_)from(_)"
  struct UserObject *uo9413 = (struct UserObject*)obj9388;
  uo9413->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9413 = addmethod2pos(obj9388, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9413, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9413[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9413);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->definitionLine = 2433;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9388);
  Object closure9447 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9447, stackframe);
  addtoclosure(closure9447, var_k);
  struct UserObject *uo9447 = (struct UserObject*)obj9388;
  uo9447->data[13] = (Object)closure9447;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9447 = addmethod2pos(obj9388, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9447, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9447[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9447);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->definitionLine = 2444;
// method "map(_)ancestors(_)"
  struct UserObject *uo9450 = (struct UserObject*)obj9388;
  uo9450->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450 = addmethod2pos(obj9388, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9450, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9450[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9450);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->definitionLine = 2450;
// method "pretty(_)"
  struct UserObject *uo9463 = (struct UserObject*)obj9388;
  uo9463->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9463 = addmethod2pos(obj9388, "pretty(1)", &meth_ast_pretty_40_1_41_9463, 15);
  int argcv_meth_ast_pretty_40_1_41_9463[] = {1};
  meth_meth_ast_pretty_40_1_41_9463->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9463);
  meth_meth_ast_pretty_40_1_41_9463->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9463->definitionLine = 2456;
// method "toGrace(_)"
  struct UserObject *uo9615 = (struct UserObject*)obj9388;
  uo9615->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9615 = addmethod2pos(obj9388, "toGrace(1)", &meth_ast_toGrace_40_1_41_9615, 16);
  int argcv_meth_ast_toGrace_40_1_41_9615[] = {1};
  meth_meth_ast_toGrace_40_1_41_9615->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9615);
meth_meth_ast_toGrace_40_1_41_9615->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9615->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9615->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9615->definitionLine = 2476;
// method "asString"
  struct UserObject *uo9693 = (struct UserObject*)obj9388;
  uo9693->data[17] = emptyclosure;
  Method *meth_meth_ast_asString9693 = addmethod2pos(obj9388, "asString", &meth_ast_asString9693, 17);
  int argcv_meth_ast_asString9693[] = {0};
  meth_meth_ast_asString9693->type = alloc_MethodType(1, argcv_meth_ast_asString9693);
  meth_meth_ast_asString9693->definitionModule = modulename;
  meth_meth_ast_asString9693->definitionLine = 2491;
// method "nameString"
  struct UserObject *uo9707 = (struct UserObject*)obj9388;
  uo9707->data[18] = emptyclosure;
  Method *meth_meth_ast_nameString9707 = addmethod2pos(obj9388, "nameString", &meth_ast_nameString9707, 18);
  int argcv_meth_ast_nameString9707[] = {0};
  meth_meth_ast_nameString9707->type = alloc_MethodType(1, argcv_meth_ast_nameString9707);
  meth_meth_ast_nameString9707->definitionModule = modulename;
  meth_meth_ast_nameString9707->definitionLine = 2494;
// method "addAlias(_)for(_)"
  struct UserObject *uo9713 = (struct UserObject*)obj9388;
  uo9713->data[19] = emptyclosure;
  Method *meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713 = addmethod2pos(obj9388, "addAlias(1)for(1)", &meth_ast_addAlias_40_1_41_for_40_1_41_9713, 19);
  int argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9713[] = {1, 1};
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->type = alloc_MethodType(2, argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9713);
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->definitionModule = modulename;
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->definitionLine = 2495;
// method "addExclusion(_)"
  struct UserObject *uo9724 = (struct UserObject*)obj9388;
  uo9724->data[20] = emptyclosure;
  Method *meth_meth_ast_addExclusion_40_1_41_9724 = addmethod2pos(obj9388, "addExclusion(1)", &meth_ast_addExclusion_40_1_41_9724, 20);
  int argcv_meth_ast_addExclusion_40_1_41_9724[] = {1};
  meth_meth_ast_addExclusion_40_1_41_9724->type = alloc_MethodType(1, argcv_meth_ast_addExclusion_40_1_41_9724);
  meth_meth_ast_addExclusion_40_1_41_9724->definitionModule = modulename;
  meth_meth_ast_addExclusion_40_1_41_9724->definitionLine = 2498;
// method "shallowCopy"
  block_savedest(obj9388);
  Object closure9729 = createclosure(2, "shallowCopy");
  setclosureframe(closure9729, stackframe);
  addtoclosure(closure9729, var_nullNode);
  addtoclosure(closure9729, var_inheritNode);
  struct UserObject *uo9729 = (struct UserObject*)obj9388;
  uo9729->data[21] = (Object)closure9729;
  Method *meth_meth_ast_shallowCopy9729 = addmethod2pos(obj9388, "shallowCopy", &meth_ast_shallowCopy9729, 21);
  int argcv_meth_ast_shallowCopy9729[] = {0};
  meth_meth_ast_shallowCopy9729->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9729);
  meth_meth_ast_shallowCopy9729->definitionModule = modulename;
  meth_meth_ast_shallowCopy9729->definitionLine = 2501;
// method "postCopy(_)"
  struct UserObject *uo9734 = (struct UserObject*)obj9388;
  uo9734->data[22] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_9734 = addmethod2pos(obj9388, "postCopy(1)", &meth_ast_postCopy_40_1_41_9734, 22);
  int argcv_meth_ast_postCopy_40_1_41_9734[] = {1};
  meth_meth_ast_postCopy_40_1_41_9734->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_9734);
  meth_meth_ast_postCopy_40_1_41_9734->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_9734->definitionLine = 2504;
// method "statementName"
  struct UserObject *uo9751 = (struct UserObject*)obj9388;
  uo9751->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName9751 = addmethod2pos(obj9388, "statementName", &meth_ast_statementName9751, 23);
  int argcv_meth_ast_statementName9751[] = {0};
  meth_meth_ast_statementName9751->type = alloc_MethodType(1, argcv_meth_ast_statementName9751);
  meth_meth_ast_statementName9751->definitionModule = modulename;
  meth_meth_ast_statementName9751->definitionLine = 2511;
  sourceObject = obj9388;
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9757 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9758 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9759 = gc_frame_new();
// call case 3: self.outer request
  Object call9760 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9759);
// compiled member node returning call9760 (depth = 5)
  Object call9761 = callmethodflags(call9760, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9758);
// compiled member node returning call9761 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9762 = callmethodflags(call9761, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9757);
// compiled call node returning call9762 (depth = 3)
  struct UserObject *obj9388_uo = (struct UserObject *)obj9388;
  obj9388_uo->super = call9762;
  sourceObject = obj9388;
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9763 == NULL) {
    strlit9763 = alloc_String("inherit");
    gc_root(strlit9763);
  }
// compiled string node returning strlit9763 (depth = 3)
  adddatum2(obj9388, strlit9763, 1);
  sourceObject = obj9388;
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9388, *var_expr, 2);
  sourceObject = obj9388;
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9764 = gc_frame_new();
// call case 5: prelude request
  Object call9765 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9764);
// compiled member node returning call9765 (depth = 3)
  adddatum2(obj9388, call9765, 3);
  sourceObject = obj9388;
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9766 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9766 (depth = 3)
  adddatum2(obj9388, array9766, 4);
  sourceObject = obj9388;
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9767 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9767 (depth = 3)
  adddatum2(obj9388, array9767, 5);
  sourceObject = obj9388;
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9768 = alloc_Boolean(0);
// compiled identifier node returning bool9768 (depth = 3)
  adddatum2(obj9388, bool9768, 6);
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  objclass9388 = obj9388->class;
  objclass9388->definitionModule = modulename;
  objclass9388->definitionLine = 2419;
  (*(struct UserObject *)self).data[0] = lowerouter9388;
  self = oldself9388;
  selfslot = oldselfslot9388;
  stackframe = oldstackframe9388;
  gc_frame_end(frame);
  return obj9388;
}
Object meth_ast_new_40_1_41_9387_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9388 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9388 = alloc_userobj2(28,24, objclass9388);
  gc_frame_newslot(obj9388);
if (objclass9388 == NULL) {
  glfree(obj9388->class->name);
  obj9388->class->name = "inheritNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9388, self, 0);
  addmethodreal(obj9388,"outer", &reader_ast_outer_9389);
  Object oldself9388 = self;
  struct StackFrameObject *oldstackframe9388 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9388);
  gc_frame_newslot((Object)stackframe);
  self = obj9388;
  Object *oldselfslot9388 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9388 = (*(struct UserObject *)self).data[0], lowerouter9388 = thisouter9388;
  if (inheritingObject9388) {
    struct UserObject *inho9388 = (struct UserObject *)inheritingObject9388;
    while (inho9388->super != GraceDefaultObject) inho9388 = (struct UserObject *)inho9388->super;
    inho9388->super = obj9388;
    self = inheritingObject9388;
    *selfslot = self;
    lowerouter9388 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9388;
  }
if (objclass9388 == NULL) {
  Method *reader9390 = addmethodrealflags(obj9388, "kind",&reader_ast_kind_9390, MFLAG_DEF);
  reader9390->definitionModule = modulename;
  reader9390->definitionLine = 2421;
}
adddatum2(obj9388, alloc_Undefined(), 1);
if (objclass9388 == NULL) {
  Method *reader9391 = addmethodrealflags(obj9388, "value", &reader_ast_value_9391, 0);
  Method *writer9391 = addmethodrealflags(obj9388, "value:=(1)", &writer_ast_value_9391, 0);
  reader9391->definitionModule = modulename;
  writer9391->definitionModule = modulename;
  reader9391->definitionLine = 2422;
  writer9391->definitionLine = 2422;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 2);
if (objclass9388 == NULL) {
  Method *reader9392 = addmethodrealflags(obj9388, "providedNames", &reader_ast_providedNames_9392, 0);
  Method *writer9392 = addmethodrealflags(obj9388, "providedNames:=(1)", &writer_ast_providedNames_9392, 0);
  reader9392->definitionModule = modulename;
  writer9392->definitionModule = modulename;
  reader9392->definitionLine = 2423;
  writer9392->definitionLine = 2423;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 3);
if (objclass9388 == NULL) {
  Method *reader9393 = addmethodrealflags(obj9388, "aliases", &reader_ast_aliases_9393, 0);
  Method *writer9393 = addmethodrealflags(obj9388, "aliases:=(1)", &writer_ast_aliases_9393, 0);
  reader9393->definitionModule = modulename;
  writer9393->definitionModule = modulename;
  reader9393->definitionLine = 2424;
  writer9393->definitionLine = 2424;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 4);
if (objclass9388 == NULL) {
  Method *reader9394 = addmethodrealflags(obj9388, "exclusions", &reader_ast_exclusions_9394, 0);
  Method *writer9394 = addmethodrealflags(obj9388, "exclusions:=(1)", &writer_ast_exclusions_9394, 0);
  reader9394->definitionModule = modulename;
  writer9394->definitionModule = modulename;
  reader9394->definitionLine = 2425;
  writer9394->definitionLine = 2425;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 5);
if (objclass9388 == NULL) {
  Method *reader9395 = addmethodrealflags(obj9388, "isUse", &reader_ast_isUse_9395, 0);
  Method *writer9395 = addmethodrealflags(obj9388, "isUse:=(1)", &writer_ast_isUse_9395, 0);
  reader9395->definitionModule = modulename;
  writer9395->definitionModule = modulename;
  reader9395->definitionLine = 2426;
  writer9395->definitionLine = 2426;
}
obj9388->flags |= OFLAG_MUTABLE;
adddatum2(obj9388, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo9396 = (struct UserObject*)obj9388;
  uo9396->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait9396 = addmethod2pos(obj9388, "isLegalInTrait", &meth_ast_isLegalInTrait9396, 7);
  int argcv_meth_ast_isLegalInTrait9396[] = {0};
  meth_meth_ast_isLegalInTrait9396->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait9396);
  meth_meth_ast_isLegalInTrait9396->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait9396->definitionLine = 2428;
// method "isInherits"
  struct UserObject *uo9399 = (struct UserObject*)obj9388;
  uo9399->data[8] = emptyclosure;
  Method *meth_meth_ast_isInherits9399 = addmethod2pos(obj9388, "isInherits", &meth_ast_isInherits9399, 8);
  int argcv_meth_ast_isInherits9399[] = {0};
  meth_meth_ast_isInherits9399->type = alloc_MethodType(1, argcv_meth_ast_isInherits9399);
  meth_meth_ast_isInherits9399->definitionModule = modulename;
  meth_meth_ast_isInherits9399->definitionLine = 2429;
// method "inheritFromMember"
  struct UserObject *uo9401 = (struct UserObject*)obj9388;
  uo9401->data[9] = emptyclosure;
  Method *meth_meth_ast_inheritFromMember9401 = addmethod2pos(obj9388, "inheritFromMember", &meth_ast_inheritFromMember9401, 9);
  int argcv_meth_ast_inheritFromMember9401[] = {0};
  meth_meth_ast_inheritFromMember9401->type = alloc_MethodType(1, argcv_meth_ast_inheritFromMember9401);
  meth_meth_ast_inheritFromMember9401->definitionModule = modulename;
  meth_meth_ast_inheritFromMember9401->definitionLine = 2430;
// method "inheritFromCall"
  struct UserObject *uo9406 = (struct UserObject*)obj9388;
  uo9406->data[10] = emptyclosure;
  Method *meth_meth_ast_inheritFromCall9406 = addmethod2pos(obj9388, "inheritFromCall", &meth_ast_inheritFromCall9406, 10);
  int argcv_meth_ast_inheritFromCall9406[] = {0};
  meth_meth_ast_inheritFromCall9406->type = alloc_MethodType(1, argcv_meth_ast_inheritFromCall9406);
  meth_meth_ast_inheritFromCall9406->definitionModule = modulename;
  meth_meth_ast_inheritFromCall9406->definitionLine = 2431;
// method "isExecutable"
  struct UserObject *uo9411 = (struct UserObject*)obj9388;
  uo9411->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable9411 = addmethod2pos(obj9388, "isExecutable", &meth_ast_isExecutable9411, 11);
  int argcv_meth_ast_isExecutable9411[] = {0};
  meth_meth_ast_isExecutable9411->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9411);
  meth_meth_ast_isExecutable9411->definitionModule = modulename;
  meth_meth_ast_isExecutable9411->definitionLine = 2432;
// method "accept(_)from(_)"
  struct UserObject *uo9413 = (struct UserObject*)obj9388;
  uo9413->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9413 = addmethod2pos(obj9388, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9413, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9413[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9413);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9413->definitionLine = 2433;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9388);
  Object closure9447 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9447, stackframe);
  addtoclosure(closure9447, var_k);
  struct UserObject *uo9447 = (struct UserObject*)obj9388;
  uo9447->data[13] = (Object)closure9447;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9447 = addmethod2pos(obj9388, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9447, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9447[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9447);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9447->definitionLine = 2444;
// method "map(_)ancestors(_)"
  struct UserObject *uo9450 = (struct UserObject*)obj9388;
  uo9450->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450 = addmethod2pos(obj9388, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9450, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9450[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9450);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9450->definitionLine = 2450;
// method "pretty(_)"
  struct UserObject *uo9463 = (struct UserObject*)obj9388;
  uo9463->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9463 = addmethod2pos(obj9388, "pretty(1)", &meth_ast_pretty_40_1_41_9463, 15);
  int argcv_meth_ast_pretty_40_1_41_9463[] = {1};
  meth_meth_ast_pretty_40_1_41_9463->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9463);
  meth_meth_ast_pretty_40_1_41_9463->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9463->definitionLine = 2456;
// method "toGrace(_)"
  struct UserObject *uo9615 = (struct UserObject*)obj9388;
  uo9615->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9615 = addmethod2pos(obj9388, "toGrace(1)", &meth_ast_toGrace_40_1_41_9615, 16);
  int argcv_meth_ast_toGrace_40_1_41_9615[] = {1};
  meth_meth_ast_toGrace_40_1_41_9615->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9615);
meth_meth_ast_toGrace_40_1_41_9615->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9615->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9615->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9615->definitionLine = 2476;
// method "asString"
  struct UserObject *uo9693 = (struct UserObject*)obj9388;
  uo9693->data[17] = emptyclosure;
  Method *meth_meth_ast_asString9693 = addmethod2pos(obj9388, "asString", &meth_ast_asString9693, 17);
  int argcv_meth_ast_asString9693[] = {0};
  meth_meth_ast_asString9693->type = alloc_MethodType(1, argcv_meth_ast_asString9693);
  meth_meth_ast_asString9693->definitionModule = modulename;
  meth_meth_ast_asString9693->definitionLine = 2491;
// method "nameString"
  struct UserObject *uo9707 = (struct UserObject*)obj9388;
  uo9707->data[18] = emptyclosure;
  Method *meth_meth_ast_nameString9707 = addmethod2pos(obj9388, "nameString", &meth_ast_nameString9707, 18);
  int argcv_meth_ast_nameString9707[] = {0};
  meth_meth_ast_nameString9707->type = alloc_MethodType(1, argcv_meth_ast_nameString9707);
  meth_meth_ast_nameString9707->definitionModule = modulename;
  meth_meth_ast_nameString9707->definitionLine = 2494;
// method "addAlias(_)for(_)"
  struct UserObject *uo9713 = (struct UserObject*)obj9388;
  uo9713->data[19] = emptyclosure;
  Method *meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713 = addmethod2pos(obj9388, "addAlias(1)for(1)", &meth_ast_addAlias_40_1_41_for_40_1_41_9713, 19);
  int argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9713[] = {1, 1};
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->type = alloc_MethodType(2, argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9713);
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->definitionModule = modulename;
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9713->definitionLine = 2495;
// method "addExclusion(_)"
  struct UserObject *uo9724 = (struct UserObject*)obj9388;
  uo9724->data[20] = emptyclosure;
  Method *meth_meth_ast_addExclusion_40_1_41_9724 = addmethod2pos(obj9388, "addExclusion(1)", &meth_ast_addExclusion_40_1_41_9724, 20);
  int argcv_meth_ast_addExclusion_40_1_41_9724[] = {1};
  meth_meth_ast_addExclusion_40_1_41_9724->type = alloc_MethodType(1, argcv_meth_ast_addExclusion_40_1_41_9724);
  meth_meth_ast_addExclusion_40_1_41_9724->definitionModule = modulename;
  meth_meth_ast_addExclusion_40_1_41_9724->definitionLine = 2498;
// method "shallowCopy"
  block_savedest(obj9388);
  Object closure9729 = createclosure(2, "shallowCopy");
  setclosureframe(closure9729, stackframe);
  addtoclosure(closure9729, var_nullNode);
  addtoclosure(closure9729, var_inheritNode);
  struct UserObject *uo9729 = (struct UserObject*)obj9388;
  uo9729->data[21] = (Object)closure9729;
  Method *meth_meth_ast_shallowCopy9729 = addmethod2pos(obj9388, "shallowCopy", &meth_ast_shallowCopy9729, 21);
  int argcv_meth_ast_shallowCopy9729[] = {0};
  meth_meth_ast_shallowCopy9729->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9729);
  meth_meth_ast_shallowCopy9729->definitionModule = modulename;
  meth_meth_ast_shallowCopy9729->definitionLine = 2501;
// method "postCopy(_)"
  struct UserObject *uo9734 = (struct UserObject*)obj9388;
  uo9734->data[22] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_9734 = addmethod2pos(obj9388, "postCopy(1)", &meth_ast_postCopy_40_1_41_9734, 22);
  int argcv_meth_ast_postCopy_40_1_41_9734[] = {1};
  meth_meth_ast_postCopy_40_1_41_9734->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_9734);
  meth_meth_ast_postCopy_40_1_41_9734->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_9734->definitionLine = 2504;
// method "statementName"
  struct UserObject *uo9751 = (struct UserObject*)obj9388;
  uo9751->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName9751 = addmethod2pos(obj9388, "statementName", &meth_ast_statementName9751, 23);
  int argcv_meth_ast_statementName9751[] = {0};
  meth_meth_ast_statementName9751->type = alloc_MethodType(1, argcv_meth_ast_statementName9751);
  meth_meth_ast_statementName9751->definitionModule = modulename;
  meth_meth_ast_statementName9751->definitionLine = 2511;
  sourceObject = obj9388;
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9757 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9758 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9759 = gc_frame_new();
// call case 3: self.outer request
  Object call9760 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9759);
// compiled member node returning call9760 (depth = 5)
  Object call9761 = callmethodflags(call9760, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9758);
// compiled member node returning call9761 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9762 = callmethodflags(call9761, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9757);
// compiled call node returning call9762 (depth = 3)
  struct UserObject *obj9388_uo = (struct UserObject *)obj9388;
  obj9388_uo->super = call9762;
  sourceObject = obj9388;
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9763 == NULL) {
    strlit9763 = alloc_String("inherit");
    gc_root(strlit9763);
  }
// compiled string node returning strlit9763 (depth = 3)
  adddatum2(obj9388, strlit9763, 1);
  sourceObject = obj9388;
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9388, *var_expr, 2);
  sourceObject = obj9388;
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9764 = gc_frame_new();
// call case 5: prelude request
  Object call9765 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9764);
// compiled member node returning call9765 (depth = 3)
  adddatum2(obj9388, call9765, 3);
  sourceObject = obj9388;
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9766 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9766 (depth = 3)
  adddatum2(obj9388, array9766, 4);
  sourceObject = obj9388;
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9767 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9767 (depth = 3)
  adddatum2(obj9388, array9767, 5);
  sourceObject = obj9388;
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9768 = alloc_Boolean(0);
// compiled identifier node returning bool9768 (depth = 3)
  adddatum2(obj9388, bool9768, 6);
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  sourceObject = obj9388;
  objclass9388 = obj9388->class;
  objclass9388->definitionModule = modulename;
  objclass9388->definitionLine = 2419;
  (*(struct UserObject *)self).data[0] = lowerouter9388;
  self = oldself9388;
  selfslot = oldselfslot9388;
  stackframe = oldstackframe9388;
  gc_frame_end(frame);
  return obj9388;
}
Object meth_ast_inheritNode9770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_inheritNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inheritNode (depth = 3)
  gc_frame_end(frame);
  return *var_inheritNode;
}
Object meth_ast_AliasPair9773(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AliasPair");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AliasPair (depth = 3)
  gc_frame_end(frame);
  return *var_AliasPair;
}
Object meth_ast_isExecutable9781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9782 = alloc_Boolean(0);
// compiled identifier node returning bool9782 (depth = 3)
  gc_frame_end(frame);
  return bool9782;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2549
  setline(2549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9784 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9785 = callmethodflags(*var_visitor, "visitBlank(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9784);
// compiled call node returning call9785 (depth = 3)
  gc_frame_end(frame);
  return call9785;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2552
  setline(2552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9787 = gc_frame_new();
// call case 4: self request
  Object call9788 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9787);
// compiled member node returning call9788 (depth = 4)
  *var_n = call9788;
  if (call9788 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2553
  setline(2553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9789 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9790 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9789);
// compiled call node returning call9790 (depth = 4)
  *var_newChain = call9790;
  if (call9790 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2554
  setline(2554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9791 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9792 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9791);
// compiled call node returning call9792 (depth = 3)
  gc_frame_end(frame);
  return call9792;
}
Object meth_ast_nameString9793(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9794 == NULL) {
    strlit9794 = alloc_String("");
    gc_root(strlit9794);
  }
// compiled string node returning strlit9794 (depth = 3)
  gc_frame_end(frame);
  return strlit9794;
}
Object meth_ast_asString9795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9796 == NULL) {
    strlit9796 = alloc_String("blank");
    gc_root(strlit9796);
  }
// compiled string node returning strlit9796 (depth = 3)
  gc_frame_end(frame);
  return strlit9796;
}
Object meth_ast_toGrace_40_1_41_9797(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9798 == NULL) {
    strlit9798 = alloc_String("");
    gc_root(strlit9798);
  }
// compiled string node returning strlit9798 (depth = 3)
  gc_frame_end(frame);
  return strlit9798;
}
Object meth_ast_shallowCopy9799(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9800 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9801 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blankNode (depth = 5)
  Object call9802 = callmethodflags(*var_blankNode, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9801);
// compiled member node returning call9802 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9803 = callmethodflags(call9802, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9800);
// compiled call node returning call9803 (depth = 3)
  gc_frame_end(frame);
  return call9803;
}
Object meth_ast_new9776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9777 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9777 = alloc_userobj2(9,10, objclass9777);
  gc_frame_newslot(obj9777);
if (objclass9777 == NULL) {
  glfree(obj9777->class->name);
  obj9777->class->name = "blankNode.new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9777, self, 0);
  addmethodreal(obj9777,"outer", &reader_ast_outer_9778);
  Object oldself9777 = self;
  struct StackFrameObject *oldstackframe9777 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9777);
  gc_frame_newslot((Object)stackframe);
  self = obj9777;
  Object *oldselfslot9777 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9777 = (*(struct UserObject *)self).data[0], lowerouter9777 = thisouter9777;
  if (inheritingObject9777) {
    struct UserObject *inho9777 = (struct UserObject *)inheritingObject9777;
    while (inho9777->super != GraceDefaultObject) inho9777 = (struct UserObject *)inho9777->super;
    inho9777->super = obj9777;
    self = inheritingObject9777;
    *selfslot = self;
    lowerouter9777 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9777;
  }
if (objclass9777 == NULL) {
  Method *reader9779 = addmethodrealflags(obj9777, "kind",&reader_ast_kind_9779, MFLAG_DEF);
  reader9779->definitionModule = modulename;
  reader9779->definitionLine = 2543;
}
adddatum2(obj9777, alloc_Undefined(), 1);
if (objclass9777 == NULL) {
  Method *reader9780 = addmethodrealflags(obj9777, "value",&reader_ast_value_9780, MFLAG_DEF);
  reader9780->definitionModule = modulename;
  reader9780->definitionLine = 2544;
}
adddatum2(obj9777, alloc_Undefined(), 2);
// method "isExecutable"
  struct UserObject *uo9781 = (struct UserObject*)obj9777;
  uo9781->data[3] = emptyclosure;
  Method *meth_meth_ast_isExecutable9781 = addmethod2pos(obj9777, "isExecutable", &meth_ast_isExecutable9781, 3);
  int argcv_meth_ast_isExecutable9781[] = {0};
  meth_meth_ast_isExecutable9781->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9781);
  meth_meth_ast_isExecutable9781->definitionModule = modulename;
  meth_meth_ast_isExecutable9781->definitionLine = 2545;
// method "accept(_)from(_)"
  struct UserObject *uo9783 = (struct UserObject*)obj9777;
  uo9783->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9783 = addmethod2pos(obj9777, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9783, 4);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9783[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9783);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->definitionLine = 2548;
// method "map(_)ancestors(_)"
  struct UserObject *uo9786 = (struct UserObject*)obj9777;
  uo9786->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786 = addmethod2pos(obj9777, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9786, 5);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9786[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9786);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->definitionLine = 2551;
// method "nameString"
  struct UserObject *uo9793 = (struct UserObject*)obj9777;
  uo9793->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9793 = addmethod2pos(obj9777, "nameString", &meth_ast_nameString9793, 6);
  int argcv_meth_ast_nameString9793[] = {0};
  meth_meth_ast_nameString9793->type = alloc_MethodType(1, argcv_meth_ast_nameString9793);
  meth_meth_ast_nameString9793->definitionModule = modulename;
  meth_meth_ast_nameString9793->definitionLine = 2556;
// method "asString"
  struct UserObject *uo9795 = (struct UserObject*)obj9777;
  uo9795->data[7] = emptyclosure;
  Method *meth_meth_ast_asString9795 = addmethod2pos(obj9777, "asString", &meth_ast_asString9795, 7);
  int argcv_meth_ast_asString9795[] = {0};
  meth_meth_ast_asString9795->type = alloc_MethodType(1, argcv_meth_ast_asString9795);
  meth_meth_ast_asString9795->definitionModule = modulename;
  meth_meth_ast_asString9795->definitionLine = 2557;
// method "toGrace(_)"
  struct UserObject *uo9797 = (struct UserObject*)obj9777;
  uo9797->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9797 = addmethod2pos(obj9777, "toGrace(1)", &meth_ast_toGrace_40_1_41_9797, 8);
  int argcv_meth_ast_toGrace_40_1_41_9797[] = {1};
  meth_meth_ast_toGrace_40_1_41_9797->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9797);
meth_meth_ast_toGrace_40_1_41_9797->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9797->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9797->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9797->definitionLine = 2558;
// method "shallowCopy"
  block_savedest(obj9777);
  Object closure9799 = createclosure(1, "shallowCopy");
  setclosureframe(closure9799, stackframe);
  addtoclosure(closure9799, var_blankNode);
  struct UserObject *uo9799 = (struct UserObject*)obj9777;
  uo9799->data[9] = (Object)closure9799;
  Method *meth_meth_ast_shallowCopy9799 = addmethod2pos(obj9777, "shallowCopy", &meth_ast_shallowCopy9799, 9);
  int argcv_meth_ast_shallowCopy9799[] = {0};
  meth_meth_ast_shallowCopy9799->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9799);
  meth_meth_ast_shallowCopy9799->definitionModule = modulename;
  meth_meth_ast_shallowCopy9799->definitionLine = 2559;
  sourceObject = obj9777;
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9804 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9805 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9806 = gc_frame_new();
// call case 3: self.outer request
  Object call9807 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9806);
// compiled member node returning call9807 (depth = 5)
  Object call9808 = callmethodflags(call9807, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9805);
// compiled member node returning call9808 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9809 = callmethodflags(call9808, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9804);
// compiled call node returning call9809 (depth = 3)
  struct UserObject *obj9777_uo = (struct UserObject *)obj9777;
  obj9777_uo->super = call9809;
  sourceObject = obj9777;
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9810 == NULL) {
    strlit9810 = alloc_String("blank");
    gc_root(strlit9810);
  }
// compiled string node returning strlit9810 (depth = 3)
  adddatum2(obj9777, strlit9810, 1);
  sourceObject = obj9777;
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9811 == NULL) {
    strlit9811 = alloc_String("blank");
    gc_root(strlit9811);
  }
// compiled string node returning strlit9811 (depth = 3)
  adddatum2(obj9777, strlit9811, 2);
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  objclass9777 = obj9777->class;
  objclass9777->definitionModule = modulename;
  objclass9777->definitionLine = 2541;
  (*(struct UserObject *)self).data[0] = lowerouter9777;
  self = oldself9777;
  selfslot = oldselfslot9777;
  stackframe = oldstackframe9777;
  gc_frame_end(frame);
  return obj9777;
}
Object meth_ast_new9776_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9777 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9777 = alloc_userobj2(9,10, objclass9777);
  gc_frame_newslot(obj9777);
if (objclass9777 == NULL) {
  glfree(obj9777->class->name);
  obj9777->class->name = "blankNode.new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9777, self, 0);
  addmethodreal(obj9777,"outer", &reader_ast_outer_9778);
  Object oldself9777 = self;
  struct StackFrameObject *oldstackframe9777 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9777);
  gc_frame_newslot((Object)stackframe);
  self = obj9777;
  Object *oldselfslot9777 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9777 = (*(struct UserObject *)self).data[0], lowerouter9777 = thisouter9777;
  if (inheritingObject9777) {
    struct UserObject *inho9777 = (struct UserObject *)inheritingObject9777;
    while (inho9777->super != GraceDefaultObject) inho9777 = (struct UserObject *)inho9777->super;
    inho9777->super = obj9777;
    self = inheritingObject9777;
    *selfslot = self;
    lowerouter9777 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9777;
  }
if (objclass9777 == NULL) {
  Method *reader9779 = addmethodrealflags(obj9777, "kind",&reader_ast_kind_9779, MFLAG_DEF);
  reader9779->definitionModule = modulename;
  reader9779->definitionLine = 2543;
}
adddatum2(obj9777, alloc_Undefined(), 1);
if (objclass9777 == NULL) {
  Method *reader9780 = addmethodrealflags(obj9777, "value",&reader_ast_value_9780, MFLAG_DEF);
  reader9780->definitionModule = modulename;
  reader9780->definitionLine = 2544;
}
adddatum2(obj9777, alloc_Undefined(), 2);
// method "isExecutable"
  struct UserObject *uo9781 = (struct UserObject*)obj9777;
  uo9781->data[3] = emptyclosure;
  Method *meth_meth_ast_isExecutable9781 = addmethod2pos(obj9777, "isExecutable", &meth_ast_isExecutable9781, 3);
  int argcv_meth_ast_isExecutable9781[] = {0};
  meth_meth_ast_isExecutable9781->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9781);
  meth_meth_ast_isExecutable9781->definitionModule = modulename;
  meth_meth_ast_isExecutable9781->definitionLine = 2545;
// method "accept(_)from(_)"
  struct UserObject *uo9783 = (struct UserObject*)obj9777;
  uo9783->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9783 = addmethod2pos(obj9777, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9783, 4);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9783[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9783);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9783->definitionLine = 2548;
// method "map(_)ancestors(_)"
  struct UserObject *uo9786 = (struct UserObject*)obj9777;
  uo9786->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786 = addmethod2pos(obj9777, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9786, 5);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9786[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9786);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9786->definitionLine = 2551;
// method "nameString"
  struct UserObject *uo9793 = (struct UserObject*)obj9777;
  uo9793->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9793 = addmethod2pos(obj9777, "nameString", &meth_ast_nameString9793, 6);
  int argcv_meth_ast_nameString9793[] = {0};
  meth_meth_ast_nameString9793->type = alloc_MethodType(1, argcv_meth_ast_nameString9793);
  meth_meth_ast_nameString9793->definitionModule = modulename;
  meth_meth_ast_nameString9793->definitionLine = 2556;
// method "asString"
  struct UserObject *uo9795 = (struct UserObject*)obj9777;
  uo9795->data[7] = emptyclosure;
  Method *meth_meth_ast_asString9795 = addmethod2pos(obj9777, "asString", &meth_ast_asString9795, 7);
  int argcv_meth_ast_asString9795[] = {0};
  meth_meth_ast_asString9795->type = alloc_MethodType(1, argcv_meth_ast_asString9795);
  meth_meth_ast_asString9795->definitionModule = modulename;
  meth_meth_ast_asString9795->definitionLine = 2557;
// method "toGrace(_)"
  struct UserObject *uo9797 = (struct UserObject*)obj9777;
  uo9797->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9797 = addmethod2pos(obj9777, "toGrace(1)", &meth_ast_toGrace_40_1_41_9797, 8);
  int argcv_meth_ast_toGrace_40_1_41_9797[] = {1};
  meth_meth_ast_toGrace_40_1_41_9797->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9797);
meth_meth_ast_toGrace_40_1_41_9797->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9797->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9797->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9797->definitionLine = 2558;
// method "shallowCopy"
  block_savedest(obj9777);
  Object closure9799 = createclosure(1, "shallowCopy");
  setclosureframe(closure9799, stackframe);
  addtoclosure(closure9799, var_blankNode);
  struct UserObject *uo9799 = (struct UserObject*)obj9777;
  uo9799->data[9] = (Object)closure9799;
  Method *meth_meth_ast_shallowCopy9799 = addmethod2pos(obj9777, "shallowCopy", &meth_ast_shallowCopy9799, 9);
  int argcv_meth_ast_shallowCopy9799[] = {0};
  meth_meth_ast_shallowCopy9799->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9799);
  meth_meth_ast_shallowCopy9799->definitionModule = modulename;
  meth_meth_ast_shallowCopy9799->definitionLine = 2559;
  sourceObject = obj9777;
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9804 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9805 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9806 = gc_frame_new();
// call case 3: self.outer request
  Object call9807 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9806);
// compiled member node returning call9807 (depth = 5)
  Object call9808 = callmethodflags(call9807, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9805);
// compiled member node returning call9808 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9809 = callmethodflags(call9808, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9804);
// compiled call node returning call9809 (depth = 3)
  struct UserObject *obj9777_uo = (struct UserObject *)obj9777;
  obj9777_uo->super = call9809;
  sourceObject = obj9777;
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9810 == NULL) {
    strlit9810 = alloc_String("blank");
    gc_root(strlit9810);
  }
// compiled string node returning strlit9810 (depth = 3)
  adddatum2(obj9777, strlit9810, 1);
  sourceObject = obj9777;
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9811 == NULL) {
    strlit9811 = alloc_String("blank");
    gc_root(strlit9811);
  }
// compiled string node returning strlit9811 (depth = 3)
  adddatum2(obj9777, strlit9811, 2);
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  sourceObject = obj9777;
  objclass9777 = obj9777->class;
  objclass9777->definitionModule = modulename;
  objclass9777->definitionLine = 2541;
  (*(struct UserObject *)self).data[0] = lowerouter9777;
  self = oldself9777;
  selfslot = oldselfslot9777;
  stackframe = oldstackframe9777;
  gc_frame_end(frame);
  return obj9777;
}
Object meth_ast_blankNode9813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blankNode (depth = 3)
  gc_frame_end(frame);
  return *var_blankNode;
}
Object meth_ast_new9816(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9817 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9818 == NULL) {
    strlit9818 = alloc_String("");
    gc_root(strlit9818);
  }
// compiled string node returning strlit9818 (depth = 4)
  gc_frame_newslot(strlit9818);
// starting to compile array node (depth = 4)
  Object array9819 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9819 (depth = 4)
  gc_frame_newslot(array9819);
// call case 4: self request
  params[0] = strlit9818;
  params[1] = array9819;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9820 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9817);
// compiled call node returning call9820 (depth = 3)
  gc_frame_end(frame);
  return call9820;
}
Object meth_ast_partName_40_1_41_scope_40_1_41_9821(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2569
  setline(2569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9822 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 5)
  Object array9823 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9823 (depth = 5)
  gc_frame_newslot(array9823);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array9823;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9824 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9822);
// compiled call node returning call9824 (depth = 4)
  *var_result = call9824;
  if (call9824 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9825 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9826 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9825);
// compiled call node returning call9826 (depth = 3)
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)params(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9828 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ps (depth = 5)
  gc_frame_newslot(*var_ps);
// call case 4: self request
  params[0] = *var_n;
  params[1] = *var_ps;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9829 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9828);
// compiled call node returning call9829 (depth = 4)
  *var_result = call9829;
  if (call9829 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9830 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9831 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9830);
// compiled call node returning call9831 (depth = 3)
// Begin line 2576
  setline(2576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_partName_40_1_41_9832(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for partName(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2579
  setline(2579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9833 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 4)
  Object array9834 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9834 (depth = 4)
  gc_frame_newslot(array9834);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array9834;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9835 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9833);
// compiled call node returning call9835 (depth = 3)
  gc_frame_end(frame);
  return call9835;
}
Object meth_ast_nameString9844(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9846 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9847 = gc_frame_new();
// call case 4: self request
  Object call9848 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9847);
// compiled member node returning call9848 (depth = 5)
  Object call9849 = callmethodflags(call9848, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9846);
// compiled member node returning call9849 (depth = 4)
  Object if9845 = done;
  if (istrue(call9849)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9850 = gc_frame_new();
// call case 4: self request
  Object call9851 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9850);
// compiled member node returning call9851 (depth = 5)
  return call9851;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9845 = undefined;
  } else {
  }
// compiled if node returning if9845 (depth = 3)
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9853 == NULL) {
    strlit9853 = alloc_String(")");
    gc_root(strlit9853);
  }
// compiled string node returning strlit9853 (depth = 4)
  int op_slot_right_9852 = gc_frame_newslot(strlit9853);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9856 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9857 = gc_frame_new();
// call case 4: self request
  Object call9858 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9857);
// compiled member node returning call9858 (depth = 6)
  Object call9859 = callmethodflags(call9858, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9856);
// compiled member node returning call9859 (depth = 5)
  int op_slot_right_9855 = gc_frame_newslot(call9859);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9862 == NULL) {
    strlit9862 = alloc_String("(");
    gc_root(strlit9862);
  }
// compiled string node returning strlit9862 (depth = 6)
  int op_slot_right_9861 = gc_frame_newslot(strlit9862);
// starting to compile member node (depth = 6)
  int callframe9864 = gc_frame_new();
// call case 4: self request
  Object call9865 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9864);
// compiled member node returning call9865 (depth = 6)
  int op_slot_left_9861 = gc_frame_newslot(call9865);
  params[0] = strlit9862;
  partcv[0] = 1;
  Object opresult9866 = callmethod(call9865, "++(1)", 1, partcv, params);
// compiled op node returning opresult9866 (depth = 5)
  int op_slot_left_9855 = gc_frame_newslot(opresult9866);
  params[0] = call9859;
  partcv[0] = 1;
  Object opresult9867 = callmethod(opresult9866, "++(1)", 1, partcv, params);
// compiled op node returning opresult9867 (depth = 4)
  int op_slot_left_9852 = gc_frame_newslot(opresult9867);
  params[0] = strlit9853;
  partcv[0] = 1;
  Object opresult9868 = callmethod(opresult9867, "++(1)", 1, partcv, params);
// compiled op node returning opresult9868 (depth = 3)
  gc_frame_end(frame);
  return opresult9868;
}
Object meth_ast_numParams9869(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9870 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9871 = gc_frame_new();
// call case 4: self request
  Object call9872 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9871);
// compiled member node returning call9872 (depth = 4)
  Object call9873 = callmethodflags(call9872, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9870);
// compiled member node returning call9873 (depth = 3)
  gc_frame_end(frame);
  return call9873;
}
Object meth_ast__apply_40_1_41_9889(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9891 == NULL) {
    strlit9891 = alloc_String("_");
    gc_root(strlit9891);
  }
// compiled string node returning strlit9891 (depth = 7)
  int op_slot_right_9890 = gc_frame_newslot(strlit9891);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_9890 = gc_frame_newslot(*var_underScores);
  params[0] = strlit9891;
  partcv[0] = 1;
  Object opresult9893 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult9893 (depth = 6)
  *var_underScores = opresult9893;
  if (opresult9893 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply9897(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9899 == NULL) {
    strlit9899 = alloc_String(",");
    gc_root(strlit9899);
  }
// compiled string node returning strlit9899 (depth = 7)
  int op_slot_right_9898 = gc_frame_newslot(strlit9899);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_9898 = gc_frame_newslot(*var_underScores);
  params[0] = strlit9899;
  partcv[0] = 1;
  Object opresult9901 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult9901 (depth = 6)
  *var_underScores = opresult9901;
  if (opresult9901 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_canonicalName9874(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9877 = alloc_Float64(0);
// compiled num node returning num9877 (depth = 5)
  int op_slot_right_9876 = gc_frame_newslot(num9877);
// starting to compile member node (depth = 5)
  int callframe9879 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9880 = gc_frame_new();
// call case 4: self request
  Object call9881 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9880);
// compiled member node returning call9881 (depth = 6)
  Object call9882 = callmethodflags(call9881, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9879);
// compiled member node returning call9882 (depth = 5)
  int op_slot_left_9876 = gc_frame_newslot(call9882);
  params[0] = num9877;
  partcv[0] = 1;
  Object opresult9883 = callmethod(call9882, "==(1)", 1, partcv, params);
// compiled op node returning opresult9883 (depth = 4)
  Object if9875 = done;
  if (istrue(opresult9883)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9884 = gc_frame_new();
// call case 4: self request
  Object call9885 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9884);
// compiled member node returning call9885 (depth = 5)
  return call9885;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9875 = undefined;
  } else {
  }
// compiled if node returning if9875 (depth = 3)
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9886 == NULL) {
    strlit9886 = alloc_String("");
    gc_root(strlit9886);
  }
// compiled string node returning strlit9886 (depth = 4)
  *var_underScores = strlit9886;
  if (strlit9886 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9887 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9888 = alloc_Block(NULL, NULL, "ast", 2597);
  gc_frame_newslot(block9888);
// method "_apply(_)"
  block_savedest(block9888);
  Object closure9889 = createclosure(2, "_apply(1)");
  setclosureframe(closure9889, stackframe);
  addtoclosure(closure9889, var_underScores);
  addtoclosure(closure9889, selfslot);
  struct UserObject *uo9889 = (struct UserObject*)block9888;
  uo9889->data[0] = (Object)closure9889;
  Method *meth_meth_ast__apply_40_1_41_9889 = addmethod2pos(block9888, "_apply(1)", &meth_ast__apply_40_1_41_9889, 0);
  int argcv_meth_ast__apply_40_1_41_9889[] = {1};
  meth_meth_ast__apply_40_1_41_9889->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9889);
  meth_meth_ast__apply_40_1_41_9889->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9889->definitionLine = 2984;
// compiled block node returning block9888 (depth = 4)
  gc_frame_newslot(block9888);
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block9896 = alloc_Block(NULL, NULL, "ast", 2598);
  gc_frame_newslot(block9896);
// method "_apply"
  block_savedest(block9896);
  Object closure9897 = createclosure(2, "_apply");
  setclosureframe(closure9897, stackframe);
  addtoclosure(closure9897, var_underScores);
  addtoclosure(closure9897, selfslot);
  struct UserObject *uo9897 = (struct UserObject*)block9896;
  uo9897->data[0] = (Object)closure9897;
  Method *meth_meth_ast__apply9897 = addmethod2pos(block9896, "_apply", &meth_ast__apply9897, 0);
  int argcv_meth_ast__apply9897[] = {0};
  meth_meth_ast__apply9897->type = alloc_MethodType(1, argcv_meth_ast__apply9897);
  meth_meth_ast__apply9897->definitionModule = modulename;
  meth_meth_ast__apply9897->definitionLine = 2984;
// compiled block node returning block9896 (depth = 4)
  gc_frame_newslot(block9896);
// call case 6: other requests
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9904 = gc_frame_new();
// call case 4: self request
  Object call9905 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9904);
// compiled member node returning call9905 (depth = 4)
  params[0] = block9888;
  params[1] = block9896;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9906 = callmethodflags(call9905, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9887);
// compiled call node returning call9906 (depth = 3)
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9908 == NULL) {
    strlit9908 = alloc_String(")");
    gc_root(strlit9908);
  }
// compiled string node returning strlit9908 (depth = 4)
  int op_slot_right_9907 = gc_frame_newslot(strlit9908);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_9910 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9913 == NULL) {
    strlit9913 = alloc_String("(");
    gc_root(strlit9913);
  }
// compiled string node returning strlit9913 (depth = 6)
  int op_slot_right_9912 = gc_frame_newslot(strlit9913);
// starting to compile member node (depth = 6)
  int callframe9915 = gc_frame_new();
// call case 4: self request
  Object call9916 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9915);
// compiled member node returning call9916 (depth = 6)
  int op_slot_left_9912 = gc_frame_newslot(call9916);
  params[0] = strlit9913;
  partcv[0] = 1;
  Object opresult9917 = callmethod(call9916, "++(1)", 1, partcv, params);
// compiled op node returning opresult9917 (depth = 5)
  int op_slot_left_9910 = gc_frame_newslot(opresult9917);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult9918 = callmethod(opresult9917, "++(1)", 1, partcv, params);
// compiled op node returning opresult9918 (depth = 4)
  int op_slot_left_9907 = gc_frame_newslot(opresult9918);
  params[0] = strlit9908;
  partcv[0] = 1;
  Object opresult9919 = callmethod(opresult9918, "++(1)", 1, partcv, params);
// compiled op node returning opresult9919 (depth = 3)
  gc_frame_end(frame);
  return opresult9919;
}
Object meth_ast__apply_40_1_41_9928(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe9929 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9930 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9929);
// compiled call node returning call9930 (depth = 6)
  gc_frame_end(frame);
  return call9930;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9920(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9922 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9923 = callmethodflags(*var_visitor, "visitSignaturePart(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9922);
// compiled call node returning call9923 (depth = 4)
  Object if9921 = done;
  if (istrue(call9923)) {
// Begin line 2604
  setline(2604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9924 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9925 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9924);
// compiled call node returning call9925 (depth = 5)
  *var_newChain = call9925;
  if (call9925 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2605
  setline(2605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9926 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9927 = alloc_Block(NULL, NULL, "ast", 2605);
  gc_frame_newslot(block9927);
// method "_apply(_)"
  block_savedest(block9927);
  Object closure9928 = createclosure(3, "_apply(1)");
  setclosureframe(closure9928, stackframe);
  addtoclosure(closure9928, var_visitor);
  addtoclosure(closure9928, var_newChain);
  addtoclosure(closure9928, selfslot);
  struct UserObject *uo9928 = (struct UserObject*)block9927;
  uo9928->data[0] = (Object)closure9928;
  Method *meth_meth_ast__apply_40_1_41_9928 = addmethod2pos(block9927, "_apply(1)", &meth_ast__apply_40_1_41_9928, 0);
  int argcv_meth_ast__apply_40_1_41_9928[] = {1};
  meth_meth_ast__apply_40_1_41_9928->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9928);
  meth_meth_ast__apply_40_1_41_9928->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9928->definitionLine = 2984;
// compiled block node returning block9927 (depth = 5)
  gc_frame_newslot(block9927);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9932 = gc_frame_new();
// call case 4: self request
  Object call9933 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9932);
// compiled member node returning call9933 (depth = 5)
  params[0] = block9927;
  partcv[0] = 1;
  Object call9934 = callmethodflags(call9933, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9926);
// compiled call node returning call9934 (depth = 4)
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9937 = gc_frame_new();
// call case 4: self request
  Object call9938 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9937);
// compiled member node returning call9938 (depth = 6)
  int op_slot_right_9936 = gc_frame_newslot(call9938);
// starting to compile identifier node (depth = 6)
  Object bool9940 = alloc_Boolean(0);
// compiled identifier node returning bool9940 (depth = 6)
  int op_slot_left_9936 = gc_frame_newslot(bool9940);
  params[0] = call9938;
  partcv[0] = 1;
  Object opresult9941 = callmethod(bool9940, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9941 (depth = 5)
  Object if9935 = done;
  if (istrue(opresult9941)) {
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9942 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9943 = gc_frame_new();
// call case 4: self request
  Object call9944 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9943);
// compiled member node returning call9944 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9945 = callmethodflags(call9944, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9942);
// compiled call node returning call9945 (depth = 5)
    gc_frame_newslot(call9945);
    if9935 = call9945;
  } else {
  }
// compiled if node returning if9935 (depth = 4)
    gc_frame_newslot(if9935);
    if9921 = if9935;
  } else {
  }
// compiled if node returning if9921 (depth = 3)
  gc_frame_end(frame);
  return if9921;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_9946(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9947 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9948 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe9947);
// compiled member node returning call9948 (depth = 3)
  gc_frame_end(frame);
  return call9948;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nd");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9950 = gc_frame_new();
// call case 4: self request
  Object call9951 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9950);
// compiled member node returning call9951 (depth = 4)
  *var_nd = call9951;
  if (call9951 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2614
  setline(2614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9952 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nd (depth = 5)
  gc_frame_newslot(*var_nd);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_nd;
  partcv[0] = 1;
  Object call9953 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9952);
// compiled call node returning call9953 (depth = 4)
  *var_newChain = call9953;
  if (call9953 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2615
  setline(2615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9954 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9955 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9956 = gc_frame_new();
// call case 4: self request
  Object call9957 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9956);
// compiled member node returning call9957 (depth = 5)
  gc_frame_newslot(call9957);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9958 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9959 = gc_frame_new();
// call case 3: self.outer request
  Object call9960 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9959);
// compiled member node returning call9960 (depth = 6)
  Object call9961 = callmethodflags(call9960, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9958);
// compiled member node returning call9961 (depth = 5)
  params[0] = call9957;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9962 = callmethodflags(call9961, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9955);
// compiled call node returning call9962 (depth = 4)
  gc_frame_newslot(call9962);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call9962;
  partcv[0] = 1;
  Object call9963 = callmethodflags(*var_nd, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9954);
// compiled call node returning call9963 (depth = 3)
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9964 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9965 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9966 = gc_frame_new();
// call case 4: self request
  Object call9967 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9966);
// compiled member node returning call9967 (depth = 5)
  gc_frame_newslot(call9967);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9969 = gc_frame_new();
// call case 3: self.outer request
  Object call9970 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9969);
// compiled member node returning call9970 (depth = 6)
  Object call9971 = callmethodflags(call9970, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9968);
// compiled member node returning call9971 (depth = 5)
  params[0] = call9967;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9972 = callmethodflags(call9971, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9965);
// compiled call node returning call9972 (depth = 4)
  gc_frame_newslot(call9972);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call9972;
  partcv[0] = 1;
  Object call9973 = callmethodflags(*var_nd, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9964);
// compiled call node returning call9973 (depth = 3)
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9974 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  gc_frame_newslot(*var_nd);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_nd;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9975 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9974);
// compiled call node returning call9975 (depth = 3)
  gc_frame_end(frame);
  return call9975;
}
Object meth_ast__apply_40_1_41_9984(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2622
  setline(2622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9986 == NULL) {
    strlit9986 = alloc_String("  ");
    gc_root(strlit9986);
  }
// compiled string node returning strlit9986 (depth = 7)
  int op_slot_right_9985 = gc_frame_newslot(strlit9986);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9985 = gc_frame_newslot(*var_spc);
  params[0] = strlit9986;
  partcv[0] = 1;
  Object opresult9988 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9988 (depth = 6)
  *var_spc = opresult9988;
  if (opresult9988 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_10038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10040 == NULL) {
    strlit10040 = alloc_String("");
    gc_root(strlit10040);
  }
// compiled string node returning strlit10040 (depth = 7)
  int op_slot_right_10039 = gc_frame_newslot(strlit10040);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10043 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10045 = alloc_Float64(2);
// compiled num node returning num10045 (depth = 10)
  int op_slot_right_10044 = gc_frame_newslot(num10045);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10044 = gc_frame_newslot(*var_depth);
  params[0] = num10045;
  partcv[0] = 1;
  Object sum10047 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10047 (depth = 9)
  gc_frame_newslot(sum10047);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = sum10047;
  partcv[0] = 1;
  Object call10048 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10043);
// compiled call node returning call10048 (depth = 8)
  int op_slot_right_10042 = gc_frame_newslot(call10048);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10051 == NULL) {
    strlit10051 = alloc_String("");
    gc_root(strlit10051);
  }
// compiled string node returning strlit10051 (depth = 9)
  int op_slot_right_10050 = gc_frame_newslot(strlit10051);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10053 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10056 == NULL) {
    strlit10056 = alloc_String("""\x0a""  ");
    gc_root(strlit10056);
  }
// compiled string node returning strlit10056 (depth = 11)
  int op_slot_right_10055 = gc_frame_newslot(strlit10056);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_10058 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit10060 == NULL) {
    strlit10060 = alloc_String("");
    gc_root(strlit10060);
  }
// compiled string node returning strlit10060 (depth = 12)
  int op_slot_left_10058 = gc_frame_newslot(strlit10060);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10061 = callmethod(strlit10060, "++(1)", 1, partcv, params);
// compiled op node returning opresult10061 (depth = 11)
  int op_slot_left_10055 = gc_frame_newslot(opresult10061);
  params[0] = strlit10056;
  partcv[0] = 1;
  Object opresult10062 = callmethod(opresult10061, "++(1)", 1, partcv, params);
// compiled op node returning opresult10062 (depth = 10)
  int op_slot_left_10053 = gc_frame_newslot(opresult10062);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10063 = callmethod(opresult10062, "++(1)", 1, partcv, params);
// compiled op node returning opresult10063 (depth = 9)
  int op_slot_left_10050 = gc_frame_newslot(opresult10063);
  params[0] = strlit10051;
  partcv[0] = 1;
  Object opresult10064 = callmethod(opresult10063, "++(1)", 1, partcv, params);
// compiled op node returning opresult10064 (depth = 8)
  int op_slot_left_10042 = gc_frame_newslot(opresult10064);
  params[0] = call10048;
  partcv[0] = 1;
  Object opresult10065 = callmethod(opresult10064, "++(1)", 1, partcv, params);
// compiled op node returning opresult10065 (depth = 7)
  int op_slot_left_10039 = gc_frame_newslot(opresult10065);
  params[0] = strlit10040;
  partcv[0] = 1;
  Object opresult10066 = callmethod(opresult10065, "++(1)", 1, partcv, params);
// compiled op node returning opresult10066 (depth = 6)
  *var_s = opresult10066;
  if (opresult10066 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9976(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9977 == NULL) {
    strlit9977 = alloc_String("");
    gc_root(strlit9977);
  }
// compiled string node returning strlit9977 (depth = 4)
  *var_spc = strlit9977;
  if (strlit9977 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2621
  setline(2621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9978 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9979 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9981 = alloc_Float64(0);
// compiled num node returning num9981 (depth = 5)
  int op_slot_left_9979 = gc_frame_newslot(num9981);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9982 = callmethod(num9981, "..(1)", 1, partcv, params);
// compiled op node returning opresult9982 (depth = 4)
  gc_frame_newslot(opresult9982);
// starting to compile block node (depth = 4)
  Object block9983 = alloc_Block(NULL, NULL, "ast", 2621);
  gc_frame_newslot(block9983);
// method "_apply(_)"
  block_savedest(block9983);
  Object closure9984 = createclosure(2, "_apply(1)");
  setclosureframe(closure9984, stackframe);
  addtoclosure(closure9984, var_spc);
  addtoclosure(closure9984, selfslot);
  struct UserObject *uo9984 = (struct UserObject*)block9983;
  uo9984->data[0] = (Object)closure9984;
  Method *meth_meth_ast__apply_40_1_41_9984 = addmethod2pos(block9983, "_apply(1)", &meth_ast__apply_40_1_41_9984, 0);
  int argcv_meth_ast__apply_40_1_41_9984[] = {1};
  meth_meth_ast__apply_40_1_41_9984->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9984);
  meth_meth_ast__apply_40_1_41_9984->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9984->definitionLine = 2984;
// compiled block node returning block9983 (depth = 4)
  gc_frame_newslot(block9983);
// call case 5: prelude request
  params[0] = opresult9982;
  params[1] = block9983;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9991 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9978);
// compiled call node returning call9991 (depth = 3)
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9993 == NULL) {
    strlit9993 = alloc_String("");
    gc_root(strlit9993);
  }
// compiled string node returning strlit9993 (depth = 5)
  int op_slot_right_9992 = gc_frame_newslot(strlit9993);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9996 = gc_frame_new();
// call case 4: self request
  Object call9997 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9996);
// compiled member node returning call9997 (depth = 6)
  int op_slot_right_9995 = gc_frame_newslot(call9997);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10000 == NULL) {
    strlit10000 = alloc_String(": ");
    gc_root(strlit10000);
  }
// compiled string node returning strlit10000 (depth = 7)
  int op_slot_right_9999 = gc_frame_newslot(strlit10000);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10003 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10004 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10003);
// compiled call node returning call10004 (depth = 8)
  int op_slot_right_10002 = gc_frame_newslot(call10004);
// starting to compile string node (depth = 8)
  if (strlit10006 == NULL) {
    strlit10006 = alloc_String("");
    gc_root(strlit10006);
  }
// compiled string node returning strlit10006 (depth = 8)
  int op_slot_left_10002 = gc_frame_newslot(strlit10006);
  params[0] = call10004;
  partcv[0] = 1;
  Object opresult10007 = callmethod(strlit10006, "++(1)", 1, partcv, params);
// compiled op node returning opresult10007 (depth = 7)
  int op_slot_left_9999 = gc_frame_newslot(opresult10007);
  params[0] = strlit10000;
  partcv[0] = 1;
  Object opresult10008 = callmethod(opresult10007, "++(1)", 1, partcv, params);
// compiled op node returning opresult10008 (depth = 6)
  int op_slot_left_9995 = gc_frame_newslot(opresult10008);
  params[0] = call9997;
  partcv[0] = 1;
  Object opresult10009 = callmethod(opresult10008, "++(1)", 1, partcv, params);
// compiled op node returning opresult10009 (depth = 5)
  int op_slot_left_9992 = gc_frame_newslot(opresult10009);
  params[0] = strlit9993;
  partcv[0] = 1;
  Object opresult10010 = callmethod(opresult10009, "++(1)", 1, partcv, params);
// compiled op node returning opresult10010 (depth = 4)
  *var_s = opresult10010;
  if (opresult10010 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10012 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10013 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10014 = gc_frame_new();
// call case 4: self request
  Object call10015 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10014);
// compiled member node returning call10015 (depth = 6)
  Object call10016 = callmethodflags(call10015, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10013);
// compiled member node returning call10016 (depth = 5)
  Object call10017 = callmethodflags(call10016, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10012);
// compiled member node returning call10017 (depth = 4)
  Object if10011 = done;
  if (istrue(call10017)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10019 == NULL) {
    strlit10019 = alloc_String("Parameters:");
    gc_root(strlit10019);
  }
// compiled string node returning strlit10019 (depth = 6)
  int op_slot_right_10018 = gc_frame_newslot(strlit10019);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_10021 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10024 == NULL) {
    strlit10024 = alloc_String("""\x0a""");
    gc_root(strlit10024);
  }
// compiled string node returning strlit10024 (depth = 8)
  int op_slot_right_10023 = gc_frame_newslot(strlit10024);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_10026 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit10028 == NULL) {
    strlit10028 = alloc_String("");
    gc_root(strlit10028);
  }
// compiled string node returning strlit10028 (depth = 9)
  int op_slot_left_10026 = gc_frame_newslot(strlit10028);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10029 = callmethod(strlit10028, "++(1)", 1, partcv, params);
// compiled op node returning opresult10029 (depth = 8)
  int op_slot_left_10023 = gc_frame_newslot(opresult10029);
  params[0] = strlit10024;
  partcv[0] = 1;
  Object opresult10030 = callmethod(opresult10029, "++(1)", 1, partcv, params);
// compiled op node returning opresult10030 (depth = 7)
  int op_slot_left_10021 = gc_frame_newslot(opresult10030);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10031 = callmethod(opresult10030, "++(1)", 1, partcv, params);
// compiled op node returning opresult10031 (depth = 6)
  int op_slot_left_10018 = gc_frame_newslot(opresult10031);
  params[0] = strlit10019;
  partcv[0] = 1;
  Object opresult10032 = callmethod(opresult10031, "++(1)", 1, partcv, params);
// compiled op node returning opresult10032 (depth = 5)
  *var_s = opresult10032;
  if (opresult10032 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10011 = done;
  } else {
  }
// compiled if node returning if10011 (depth = 3)
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10034 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10035 = gc_frame_new();
// call case 4: self request
  Object call10036 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10035);
// compiled member node returning call10036 (depth = 4)
  gc_frame_newslot(call10036);
// starting to compile block node (depth = 4)
  Object block10037 = alloc_Block(NULL, NULL, "ast", 2626);
  gc_frame_newslot(block10037);
// method "_apply(_)"
  block_savedest(block10037);
  Object closure10038 = createclosure(4, "_apply(1)");
  setclosureframe(closure10038, stackframe);
  addtoclosure(closure10038, var_depth);
  addtoclosure(closure10038, var_spc);
  addtoclosure(closure10038, var_s);
  addtoclosure(closure10038, selfslot);
  struct UserObject *uo10038 = (struct UserObject*)block10037;
  uo10038->data[0] = (Object)closure10038;
  Method *meth_meth_ast__apply_40_1_41_10038 = addmethod2pos(block10037, "_apply(1)", &meth_ast__apply_40_1_41_10038, 0);
  int argcv_meth_ast__apply_40_1_41_10038[] = {1};
  meth_meth_ast__apply_40_1_41_10038->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10038);
  meth_meth_ast__apply_40_1_41_10038->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10038->definitionLine = 2984;
// compiled block node returning block10037 (depth = 4)
  gc_frame_newslot(block10037);
// call case 5: prelude request
  params[0] = call10036;
  params[1] = block10037;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10069 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10034);
// compiled call node returning call10069 (depth = 3)
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_10087(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10088 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num10090 = alloc_Float64(1);
// compiled num node returning num10090 (depth = 9)
  int op_slot_right_10089 = gc_frame_newslot(num10090);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_10089 = gc_frame_newslot(*var_depth);
  params[0] = num10090;
  partcv[0] = 1;
  Object sum10092 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10092 (depth = 8)
  gc_frame_newslot(sum10092);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum10092;
  partcv[0] = 1;
  Object call10093 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10088);
// compiled call node returning call10093 (depth = 7)
  *var_s = call10093;
  if (call10093 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10097(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10099 == NULL) {
    strlit10099 = alloc_String(", ");
    gc_root(strlit10099);
  }
// compiled string node returning strlit10099 (depth = 8)
  int op_slot_right_10098 = gc_frame_newslot(strlit10099);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10098 = gc_frame_newslot(*var_s);
  params[0] = strlit10099;
  partcv[0] = 1;
  Object opresult10101 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10101 (depth = 7)
  *var_s = opresult10101;
  if (opresult10101 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_10070(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10071 = gc_frame_new();
// call case 4: self request
  Object call10072 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10071);
// compiled member node returning call10072 (depth = 4)
  *var_s = call10072;
  if (call10072 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10074 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10075 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10076 = gc_frame_new();
// call case 4: self request
  Object call10077 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10076);
// compiled member node returning call10077 (depth = 6)
  Object call10078 = callmethodflags(call10077, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10075);
// compiled member node returning call10078 (depth = 5)
  Object call10079 = callmethodflags(call10078, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10074);
// compiled member node returning call10079 (depth = 4)
  Object if10073 = done;
  if (istrue(call10079)) {
// Begin line 2634
  setline(2634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10081 == NULL) {
    strlit10081 = alloc_String("(");
    gc_root(strlit10081);
  }
// compiled string node returning strlit10081 (depth = 6)
  int op_slot_right_10080 = gc_frame_newslot(strlit10081);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10080 = gc_frame_newslot(*var_s);
  params[0] = strlit10081;
  partcv[0] = 1;
  Object opresult10083 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10083 (depth = 5)
  *var_s = opresult10083;
  if (opresult10083 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2635
  setline(2635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10085 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10086 = alloc_Block(NULL, NULL, "ast", 2635);
  gc_frame_newslot(block10086);
// method "_apply(_)"
  block_savedest(block10086);
  Object closure10087 = createclosure(3, "_apply(1)");
  setclosureframe(closure10087, stackframe);
  addtoclosure(closure10087, var_depth);
  addtoclosure(closure10087, var_s);
  addtoclosure(closure10087, selfslot);
  struct UserObject *uo10087 = (struct UserObject*)block10086;
  uo10087->data[0] = (Object)closure10087;
  Method *meth_meth_ast__apply_40_1_41_10087 = addmethod2pos(block10086, "_apply(1)", &meth_ast__apply_40_1_41_10087, 0);
  int argcv_meth_ast__apply_40_1_41_10087[] = {1};
  meth_meth_ast__apply_40_1_41_10087->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10087);
  meth_meth_ast__apply_40_1_41_10087->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10087->definitionLine = 2984;
// compiled block node returning block10086 (depth = 5)
  gc_frame_newslot(block10086);
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10096 = alloc_Block(NULL, NULL, "ast", 2636);
  gc_frame_newslot(block10096);
// method "_apply"
  block_savedest(block10096);
  Object closure10097 = createclosure(2, "_apply");
  setclosureframe(closure10097, stackframe);
  addtoclosure(closure10097, var_s);
  addtoclosure(closure10097, selfslot);
  struct UserObject *uo10097 = (struct UserObject*)block10096;
  uo10097->data[0] = (Object)closure10097;
  Method *meth_meth_ast__apply10097 = addmethod2pos(block10096, "_apply", &meth_ast__apply10097, 0);
  int argcv_meth_ast__apply10097[] = {0};
  meth_meth_ast__apply10097->type = alloc_MethodType(1, argcv_meth_ast__apply10097);
  meth_meth_ast__apply10097->definitionModule = modulename;
  meth_meth_ast__apply10097->definitionLine = 2984;
// compiled block node returning block10096 (depth = 5)
  gc_frame_newslot(block10096);
// call case 6: other requests
// Begin line 2635
  setline(2635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10104 = gc_frame_new();
// call case 4: self request
  Object call10105 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10104);
// compiled member node returning call10105 (depth = 5)
  params[0] = block10086;
  params[1] = block10096;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10106 = callmethodflags(call10105, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10085);
// compiled call node returning call10106 (depth = 4)
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10108 == NULL) {
    strlit10108 = alloc_String(")");
    gc_root(strlit10108);
  }
// compiled string node returning strlit10108 (depth = 6)
  int op_slot_right_10107 = gc_frame_newslot(strlit10108);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10107 = gc_frame_newslot(*var_s);
  params[0] = strlit10108;
  partcv[0] = 1;
  Object opresult10110 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10110 (depth = 5)
  *var_s = opresult10110;
  if (opresult10110 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10073 = done;
  } else {
  }
// compiled if node returning if10073 (depth = 3)
// Begin line 2639
  setline(2639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy10112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10113 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10114 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10115 = gc_frame_new();
// call case 4: self request
  Object call10116 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10115);
// compiled member node returning call10116 (depth = 5)
  gc_frame_newslot(call10116);
// starting to compile member node (depth = 5)
  int callframe10117 = gc_frame_new();
// call case 4: self request
  Object call10118 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10117);
// compiled member node returning call10118 (depth = 5)
  gc_frame_newslot(call10118);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signaturePart (depth = 5)
  params[0] = call10116;
  params[1] = call10118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10119 = callmethodflags(*var_signaturePart, "partName(1)params(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10114);
// compiled call node returning call10119 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10120 = callmethodflags(call10119, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10113);
// compiled call node returning call10120 (depth = 3)
  gc_frame_end(frame);
  return call10120;
}
Object meth_ast_postCopy_40_1_41_10121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2646
  setline(2646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10122 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10123 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10124 = callmethodflags(*var_other, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe10123);
// compiled member node returning call10124 (depth = 4)
  gc_frame_newslot(call10124);
// call case 4: self request
  params[0] = call10124;
  partcv[0] = 1;
  Object call10125 = callmethodflags(self, "typeParams:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10122);
// compiled call node returning call10125 (depth = 3)
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10126 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10127 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10128 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe10127);
// compiled member node returning call10128 (depth = 4)
  gc_frame_newslot(call10128);
// call case 4: self request
  params[0] = call10128;
  partcv[0] = 1;
  Object call10129 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10126);
// compiled call node returning call10129 (depth = 3)
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString10130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10132 == NULL) {
    strlit10132 = alloc_String("");
    gc_root(strlit10132);
  }
// compiled string node returning strlit10132 (depth = 4)
  int op_slot_right_10131 = gc_frame_newslot(strlit10132);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10135 = gc_frame_new();
// call case 4: self request
  Object call10136 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10135);
// compiled member node returning call10136 (depth = 5)
  int op_slot_right_10134 = gc_frame_newslot(call10136);
// starting to compile string node (depth = 5)
  if (strlit10138 == NULL) {
    strlit10138 = alloc_String("part: ");
    gc_root(strlit10138);
  }
// compiled string node returning strlit10138 (depth = 5)
  int op_slot_left_10134 = gc_frame_newslot(strlit10138);
  params[0] = call10136;
  partcv[0] = 1;
  Object opresult10139 = callmethod(strlit10138, "++(1)", 1, partcv, params);
// compiled op node returning opresult10139 (depth = 4)
  int op_slot_left_10131 = gc_frame_newslot(opresult10139);
  params[0] = strlit10132;
  partcv[0] = 1;
  Object opresult10140 = callmethod(opresult10139, "++(1)", 1, partcv, params);
// compiled op node returning opresult10140 (depth = 3)
  gc_frame_end(frame);
  return opresult10140;
}
Object meth_ast_partName_40_1_41_params_40_1_41_9836(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9837 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9837 = alloc_userobj2(20,17, objclass9837);
  gc_frame_newslot(obj9837);
if (objclass9837 == NULL) {
  glfree(obj9837->class->name);
  obj9837->class->name = "signaturePart.partName(_)params(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9837, self, 0);
  addmethodreal(obj9837,"outer", &reader_ast_outer_9838);
  Object oldself9837 = self;
  struct StackFrameObject *oldstackframe9837 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9837);
  gc_frame_newslot((Object)stackframe);
  self = obj9837;
  Object *oldselfslot9837 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9837 = (*(struct UserObject *)self).data[0], lowerouter9837 = thisouter9837;
  if (inheritingObject9837) {
    struct UserObject *inho9837 = (struct UserObject *)inheritingObject9837;
    while (inho9837->super != GraceDefaultObject) inho9837 = (struct UserObject *)inho9837->super;
    inho9837->super = obj9837;
    self = inheritingObject9837;
    *selfslot = self;
    lowerouter9837 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9837;
  }
if (objclass9837 == NULL) {
  Method *reader9839 = addmethodrealflags(obj9837, "kind",&reader_ast_kind_9839, MFLAG_DEF);
  reader9839->definitionModule = modulename;
  reader9839->definitionLine = 2583;
}
adddatum2(obj9837, alloc_Undefined(), 1);
if (objclass9837 == NULL) {
  Method *reader9840 = addmethodrealflags(obj9837, "name", &reader_ast_name_9840, 0);
  Method *writer9840 = addmethodrealflags(obj9837, "name:=(1)", &writer_ast_name_9840, 0);
  reader9840->definitionModule = modulename;
  writer9840->definitionModule = modulename;
  reader9840->definitionLine = 2584;
  writer9840->definitionLine = 2584;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 2);
if (objclass9837 == NULL) {
  Method *reader9841 = addmethodrealflags(obj9837, "params", &reader_ast_params_9841, 0);
  Method *writer9841 = addmethodrealflags(obj9837, "params:=(1)", &writer_ast_params_9841, 0);
  reader9841->definitionModule = modulename;
  writer9841->definitionModule = modulename;
  reader9841->definitionLine = 2585;
  writer9841->definitionLine = 2585;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 3);
if (objclass9837 == NULL) {
  Method *reader9842 = addmethodrealflags(obj9837, "typeParams", &reader_ast_typeParams_9842, 0);
  Method *writer9842 = addmethodrealflags(obj9837, "typeParams:=(1)", &writer_ast_typeParams_9842, 0);
  reader9842->definitionModule = modulename;
  writer9842->definitionModule = modulename;
  reader9842->definitionLine = 2586;
  writer9842->definitionLine = 2586;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 4);
if (objclass9837 == NULL) {
  Method *reader9843 = addmethodrealflags(obj9837, "lineLength", &reader_ast_lineLength_9843, 0);
  Method *writer9843 = addmethodrealflags(obj9837, "lineLength:=(1)", &writer_ast_lineLength_9843, 0);
  reader9843->definitionModule = modulename;
  writer9843->definitionModule = modulename;
  reader9843->definitionLine = 2587;
  writer9843->definitionLine = 2587;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo9844 = (struct UserObject*)obj9837;
  uo9844->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9844 = addmethod2pos(obj9837, "nameString", &meth_ast_nameString9844, 6);
  int argcv_meth_ast_nameString9844[] = {0};
  meth_meth_ast_nameString9844->type = alloc_MethodType(1, argcv_meth_ast_nameString9844);
  meth_meth_ast_nameString9844->definitionModule = modulename;
  meth_meth_ast_nameString9844->definitionLine = 2589;
// method "numParams"
  struct UserObject *uo9869 = (struct UserObject*)obj9837;
  uo9869->data[7] = emptyclosure;
  Method *meth_meth_ast_numParams9869 = addmethod2pos(obj9837, "numParams", &meth_ast_numParams9869, 7);
  int argcv_meth_ast_numParams9869[] = {0};
  meth_meth_ast_numParams9869->type = alloc_MethodType(1, argcv_meth_ast_numParams9869);
  meth_meth_ast_numParams9869->definitionModule = modulename;
  meth_meth_ast_numParams9869->definitionLine = 2593;
// method "canonicalName"
  struct UserObject *uo9874 = (struct UserObject*)obj9837;
  uo9874->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName9874 = addmethod2pos(obj9837, "canonicalName", &meth_ast_canonicalName9874, 8);
  int argcv_meth_ast_canonicalName9874[] = {0};
  meth_meth_ast_canonicalName9874->type = alloc_MethodType(1, argcv_meth_ast_canonicalName9874);
  meth_meth_ast_canonicalName9874->definitionModule = modulename;
  meth_meth_ast_canonicalName9874->definitionLine = 2594;
// method "accept(_)from(_)"
  struct UserObject *uo9920 = (struct UserObject*)obj9837;
  uo9920->data[9] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9920 = addmethod2pos(obj9837, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9920, 9);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9920[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9920);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->definitionLine = 2602;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9837);
  Object closure9946 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9946, stackframe);
  addtoclosure(closure9946, var_k);
  struct UserObject *uo9946 = (struct UserObject*)obj9837;
  uo9946->data[10] = (Object)closure9946;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9946 = addmethod2pos(obj9837, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9946, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9946[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9946);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->definitionLine = 2611;
// method "map(_)ancestors(_)"
  struct UserObject *uo9949 = (struct UserObject*)obj9837;
  uo9949->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949 = addmethod2pos(obj9837, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9949, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9949[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9949);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->definitionLine = 2612;
// method "pretty(_)"
  struct UserObject *uo9976 = (struct UserObject*)obj9837;
  uo9976->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9976 = addmethod2pos(obj9837, "pretty(1)", &meth_ast_pretty_40_1_41_9976, 12);
  int argcv_meth_ast_pretty_40_1_41_9976[] = {1};
  meth_meth_ast_pretty_40_1_41_9976->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9976);
  meth_meth_ast_pretty_40_1_41_9976->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9976->definitionLine = 2619;
// method "toGrace(_)"
  struct UserObject *uo10070 = (struct UserObject*)obj9837;
  uo10070->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10070 = addmethod2pos(obj9837, "toGrace(1)", &meth_ast_toGrace_40_1_41_10070, 13);
  int argcv_meth_ast_toGrace_40_1_41_10070[] = {1};
  meth_meth_ast_toGrace_40_1_41_10070->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10070);
  meth_meth_ast_toGrace_40_1_41_10070->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10070->definitionLine = 2631;
// method "shallowCopy"
  block_savedest(obj9837);
  Object closure10112 = createclosure(1, "shallowCopy");
  setclosureframe(closure10112, stackframe);
  addtoclosure(closure10112, var_signaturePart);
  struct UserObject *uo10112 = (struct UserObject*)obj9837;
  uo10112->data[14] = (Object)closure10112;
  Method *meth_meth_ast_shallowCopy10112 = addmethod2pos(obj9837, "shallowCopy", &meth_ast_shallowCopy10112, 14);
  int argcv_meth_ast_shallowCopy10112[] = {0};
  meth_meth_ast_shallowCopy10112->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10112);
  meth_meth_ast_shallowCopy10112->definitionModule = modulename;
  meth_meth_ast_shallowCopy10112->definitionLine = 2641;
// method "postCopy(_)"
  struct UserObject *uo10121 = (struct UserObject*)obj9837;
  uo10121->data[15] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10121 = addmethod2pos(obj9837, "postCopy(1)", &meth_ast_postCopy_40_1_41_10121, 15);
  int argcv_meth_ast_postCopy_40_1_41_10121[] = {1};
  meth_meth_ast_postCopy_40_1_41_10121->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10121);
  meth_meth_ast_postCopy_40_1_41_10121->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10121->definitionLine = 2645;
// method "asString"
  struct UserObject *uo10130 = (struct UserObject*)obj9837;
  uo10130->data[16] = emptyclosure;
  Method *meth_meth_ast_asString10130 = addmethod2pos(obj9837, "asString", &meth_ast_asString10130, 16);
  int argcv_meth_ast_asString10130[] = {0};
  meth_meth_ast_asString10130->type = alloc_MethodType(1, argcv_meth_ast_asString10130);
  meth_meth_ast_asString10130->definitionModule = modulename;
  meth_meth_ast_asString10130->definitionLine = 2650;
  sourceObject = obj9837;
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10141 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10142 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10143 = gc_frame_new();
// call case 3: self.outer request
  Object call10144 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10143);
// compiled member node returning call10144 (depth = 5)
  Object call10145 = callmethodflags(call10144, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10142);
// compiled member node returning call10145 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10146 = callmethodflags(call10145, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10141);
// compiled call node returning call10146 (depth = 3)
  struct UserObject *obj9837_uo = (struct UserObject *)obj9837;
  obj9837_uo->super = call10146;
  sourceObject = obj9837;
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10147 == NULL) {
    strlit10147 = alloc_String("signaturepart");
    gc_root(strlit10147);
  }
// compiled string node returning strlit10147 (depth = 3)
  adddatum2(obj9837, strlit10147, 1);
  sourceObject = obj9837;
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj9837, *var_n, 2);
  sourceObject = obj9837;
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj9837, *var_ps, 3);
  sourceObject = obj9837;
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10148 = alloc_Boolean(0);
// compiled identifier node returning bool10148 (depth = 3)
  adddatum2(obj9837, bool10148, 4);
  sourceObject = obj9837;
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10149 = alloc_Float64(0);
// compiled num node returning num10149 (depth = 3)
  adddatum2(obj9837, num10149, 5);
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  objclass9837 = obj9837->class;
  objclass9837->definitionModule = modulename;
  objclass9837->definitionLine = 2581;
  (*(struct UserObject *)self).data[0] = lowerouter9837;
  self = oldself9837;
  selfslot = oldselfslot9837;
  stackframe = oldstackframe9837;
  gc_frame_end(frame);
  return obj9837;
}
Object meth_ast_partName_40_1_41_params_40_1_41_9836_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9837 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9837 = alloc_userobj2(20,17, objclass9837);
  gc_frame_newslot(obj9837);
if (objclass9837 == NULL) {
  glfree(obj9837->class->name);
  obj9837->class->name = "signaturePart.partName(_)params(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9837, self, 0);
  addmethodreal(obj9837,"outer", &reader_ast_outer_9838);
  Object oldself9837 = self;
  struct StackFrameObject *oldstackframe9837 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9837);
  gc_frame_newslot((Object)stackframe);
  self = obj9837;
  Object *oldselfslot9837 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9837 = (*(struct UserObject *)self).data[0], lowerouter9837 = thisouter9837;
  if (inheritingObject9837) {
    struct UserObject *inho9837 = (struct UserObject *)inheritingObject9837;
    while (inho9837->super != GraceDefaultObject) inho9837 = (struct UserObject *)inho9837->super;
    inho9837->super = obj9837;
    self = inheritingObject9837;
    *selfslot = self;
    lowerouter9837 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9837;
  }
if (objclass9837 == NULL) {
  Method *reader9839 = addmethodrealflags(obj9837, "kind",&reader_ast_kind_9839, MFLAG_DEF);
  reader9839->definitionModule = modulename;
  reader9839->definitionLine = 2583;
}
adddatum2(obj9837, alloc_Undefined(), 1);
if (objclass9837 == NULL) {
  Method *reader9840 = addmethodrealflags(obj9837, "name", &reader_ast_name_9840, 0);
  Method *writer9840 = addmethodrealflags(obj9837, "name:=(1)", &writer_ast_name_9840, 0);
  reader9840->definitionModule = modulename;
  writer9840->definitionModule = modulename;
  reader9840->definitionLine = 2584;
  writer9840->definitionLine = 2584;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 2);
if (objclass9837 == NULL) {
  Method *reader9841 = addmethodrealflags(obj9837, "params", &reader_ast_params_9841, 0);
  Method *writer9841 = addmethodrealflags(obj9837, "params:=(1)", &writer_ast_params_9841, 0);
  reader9841->definitionModule = modulename;
  writer9841->definitionModule = modulename;
  reader9841->definitionLine = 2585;
  writer9841->definitionLine = 2585;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 3);
if (objclass9837 == NULL) {
  Method *reader9842 = addmethodrealflags(obj9837, "typeParams", &reader_ast_typeParams_9842, 0);
  Method *writer9842 = addmethodrealflags(obj9837, "typeParams:=(1)", &writer_ast_typeParams_9842, 0);
  reader9842->definitionModule = modulename;
  writer9842->definitionModule = modulename;
  reader9842->definitionLine = 2586;
  writer9842->definitionLine = 2586;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 4);
if (objclass9837 == NULL) {
  Method *reader9843 = addmethodrealflags(obj9837, "lineLength", &reader_ast_lineLength_9843, 0);
  Method *writer9843 = addmethodrealflags(obj9837, "lineLength:=(1)", &writer_ast_lineLength_9843, 0);
  reader9843->definitionModule = modulename;
  writer9843->definitionModule = modulename;
  reader9843->definitionLine = 2587;
  writer9843->definitionLine = 2587;
}
obj9837->flags |= OFLAG_MUTABLE;
adddatum2(obj9837, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo9844 = (struct UserObject*)obj9837;
  uo9844->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9844 = addmethod2pos(obj9837, "nameString", &meth_ast_nameString9844, 6);
  int argcv_meth_ast_nameString9844[] = {0};
  meth_meth_ast_nameString9844->type = alloc_MethodType(1, argcv_meth_ast_nameString9844);
  meth_meth_ast_nameString9844->definitionModule = modulename;
  meth_meth_ast_nameString9844->definitionLine = 2589;
// method "numParams"
  struct UserObject *uo9869 = (struct UserObject*)obj9837;
  uo9869->data[7] = emptyclosure;
  Method *meth_meth_ast_numParams9869 = addmethod2pos(obj9837, "numParams", &meth_ast_numParams9869, 7);
  int argcv_meth_ast_numParams9869[] = {0};
  meth_meth_ast_numParams9869->type = alloc_MethodType(1, argcv_meth_ast_numParams9869);
  meth_meth_ast_numParams9869->definitionModule = modulename;
  meth_meth_ast_numParams9869->definitionLine = 2593;
// method "canonicalName"
  struct UserObject *uo9874 = (struct UserObject*)obj9837;
  uo9874->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName9874 = addmethod2pos(obj9837, "canonicalName", &meth_ast_canonicalName9874, 8);
  int argcv_meth_ast_canonicalName9874[] = {0};
  meth_meth_ast_canonicalName9874->type = alloc_MethodType(1, argcv_meth_ast_canonicalName9874);
  meth_meth_ast_canonicalName9874->definitionModule = modulename;
  meth_meth_ast_canonicalName9874->definitionLine = 2594;
// method "accept(_)from(_)"
  struct UserObject *uo9920 = (struct UserObject*)obj9837;
  uo9920->data[9] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9920 = addmethod2pos(obj9837, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9920, 9);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9920[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9920);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9920->definitionLine = 2602;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9837);
  Object closure9946 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9946, stackframe);
  addtoclosure(closure9946, var_k);
  struct UserObject *uo9946 = (struct UserObject*)obj9837;
  uo9946->data[10] = (Object)closure9946;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9946 = addmethod2pos(obj9837, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9946, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9946[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9946);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9946->definitionLine = 2611;
// method "map(_)ancestors(_)"
  struct UserObject *uo9949 = (struct UserObject*)obj9837;
  uo9949->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949 = addmethod2pos(obj9837, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9949, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9949[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9949);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9949->definitionLine = 2612;
// method "pretty(_)"
  struct UserObject *uo9976 = (struct UserObject*)obj9837;
  uo9976->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9976 = addmethod2pos(obj9837, "pretty(1)", &meth_ast_pretty_40_1_41_9976, 12);
  int argcv_meth_ast_pretty_40_1_41_9976[] = {1};
  meth_meth_ast_pretty_40_1_41_9976->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9976);
  meth_meth_ast_pretty_40_1_41_9976->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9976->definitionLine = 2619;
// method "toGrace(_)"
  struct UserObject *uo10070 = (struct UserObject*)obj9837;
  uo10070->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10070 = addmethod2pos(obj9837, "toGrace(1)", &meth_ast_toGrace_40_1_41_10070, 13);
  int argcv_meth_ast_toGrace_40_1_41_10070[] = {1};
  meth_meth_ast_toGrace_40_1_41_10070->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10070);
  meth_meth_ast_toGrace_40_1_41_10070->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10070->definitionLine = 2631;
// method "shallowCopy"
  block_savedest(obj9837);
  Object closure10112 = createclosure(1, "shallowCopy");
  setclosureframe(closure10112, stackframe);
  addtoclosure(closure10112, var_signaturePart);
  struct UserObject *uo10112 = (struct UserObject*)obj9837;
  uo10112->data[14] = (Object)closure10112;
  Method *meth_meth_ast_shallowCopy10112 = addmethod2pos(obj9837, "shallowCopy", &meth_ast_shallowCopy10112, 14);
  int argcv_meth_ast_shallowCopy10112[] = {0};
  meth_meth_ast_shallowCopy10112->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10112);
  meth_meth_ast_shallowCopy10112->definitionModule = modulename;
  meth_meth_ast_shallowCopy10112->definitionLine = 2641;
// method "postCopy(_)"
  struct UserObject *uo10121 = (struct UserObject*)obj9837;
  uo10121->data[15] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10121 = addmethod2pos(obj9837, "postCopy(1)", &meth_ast_postCopy_40_1_41_10121, 15);
  int argcv_meth_ast_postCopy_40_1_41_10121[] = {1};
  meth_meth_ast_postCopy_40_1_41_10121->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10121);
  meth_meth_ast_postCopy_40_1_41_10121->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10121->definitionLine = 2645;
// method "asString"
  struct UserObject *uo10130 = (struct UserObject*)obj9837;
  uo10130->data[16] = emptyclosure;
  Method *meth_meth_ast_asString10130 = addmethod2pos(obj9837, "asString", &meth_ast_asString10130, 16);
  int argcv_meth_ast_asString10130[] = {0};
  meth_meth_ast_asString10130->type = alloc_MethodType(1, argcv_meth_ast_asString10130);
  meth_meth_ast_asString10130->definitionModule = modulename;
  meth_meth_ast_asString10130->definitionLine = 2650;
  sourceObject = obj9837;
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10141 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10142 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10143 = gc_frame_new();
// call case 3: self.outer request
  Object call10144 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10143);
// compiled member node returning call10144 (depth = 5)
  Object call10145 = callmethodflags(call10144, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10142);
// compiled member node returning call10145 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10146 = callmethodflags(call10145, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10141);
// compiled call node returning call10146 (depth = 3)
  struct UserObject *obj9837_uo = (struct UserObject *)obj9837;
  obj9837_uo->super = call10146;
  sourceObject = obj9837;
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10147 == NULL) {
    strlit10147 = alloc_String("signaturepart");
    gc_root(strlit10147);
  }
// compiled string node returning strlit10147 (depth = 3)
  adddatum2(obj9837, strlit10147, 1);
  sourceObject = obj9837;
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj9837, *var_n, 2);
  sourceObject = obj9837;
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj9837, *var_ps, 3);
  sourceObject = obj9837;
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10148 = alloc_Boolean(0);
// compiled identifier node returning bool10148 (depth = 3)
  adddatum2(obj9837, bool10148, 4);
  sourceObject = obj9837;
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10149 = alloc_Float64(0);
// compiled num node returning num10149 (depth = 3)
  adddatum2(obj9837, num10149, 5);
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  sourceObject = obj9837;
  objclass9837 = obj9837->class;
  objclass9837->definitionModule = modulename;
  objclass9837->definitionLine = 2581;
  (*(struct UserObject *)self).data[0] = lowerouter9837;
  self = oldself9837;
  selfslot = oldselfslot9837;
  stackframe = oldstackframe9837;
  gc_frame_end(frame);
  return obj9837;
}
Object meth_ast_signaturePart10151(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "signaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signaturePart (depth = 3)
  gc_frame_end(frame);
  return *var_signaturePart;
}
Object meth_ast_new10154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10155 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10156 == NULL) {
    strlit10156 = alloc_String("");
    gc_root(strlit10156);
  }
// compiled string node returning strlit10156 (depth = 4)
  gc_frame_newslot(strlit10156);
// starting to compile array node (depth = 4)
  Object array10157 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10157 (depth = 4)
  gc_frame_newslot(array10157);
// call case 4: self request
  params[0] = strlit10156;
  params[1] = array10157;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10158 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10155);
// compiled call node returning call10158 (depth = 3)
  gc_frame_end(frame);
  return call10158;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "request(1)withArgs(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_argList = &(stackframe->slots[1]);
  *var_argList = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2661
  setline(2661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10160 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_argList (depth = 5)
  gc_frame_newslot(*var_argList);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_argList;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10161 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10160);
// compiled call node returning call10161 (depth = 4)
  *var_result = call10161;
  if (call10161 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10162 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call10163 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10162);
// compiled call node returning call10163 (depth = 3)
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_nameString10172(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10175 = alloc_Float64(0);
// compiled num node returning num10175 (depth = 5)
  int op_slot_right_10174 = gc_frame_newslot(num10175);
// starting to compile member node (depth = 5)
  int callframe10177 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10178 = gc_frame_new();
// call case 4: self request
  Object call10179 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10178);
// compiled member node returning call10179 (depth = 6)
  Object call10180 = callmethodflags(call10179, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10177);
// compiled member node returning call10180 (depth = 5)
  int op_slot_left_10174 = gc_frame_newslot(call10180);
  params[0] = num10175;
  partcv[0] = 1;
  Object opresult10181 = callmethod(call10180, "==(1)", 1, partcv, params);
// compiled op node returning opresult10181 (depth = 4)
  Object if10173 = done;
  if (istrue(opresult10181)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10182 = gc_frame_new();
// call case 4: self request
  Object call10183 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10182);
// compiled member node returning call10183 (depth = 5)
  return call10183;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10173 = undefined;
  } else {
  }
// compiled if node returning if10173 (depth = 3)
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10185 == NULL) {
    strlit10185 = alloc_String(")");
    gc_root(strlit10185);
  }
// compiled string node returning strlit10185 (depth = 4)
  int op_slot_right_10184 = gc_frame_newslot(strlit10185);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10188 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10189 = gc_frame_new();
// call case 4: self request
  Object call10190 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10189);
// compiled member node returning call10190 (depth = 6)
  Object call10191 = callmethodflags(call10190, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10188);
// compiled member node returning call10191 (depth = 5)
  int op_slot_right_10187 = gc_frame_newslot(call10191);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10194 == NULL) {
    strlit10194 = alloc_String("(");
    gc_root(strlit10194);
  }
// compiled string node returning strlit10194 (depth = 6)
  int op_slot_right_10193 = gc_frame_newslot(strlit10194);
// starting to compile member node (depth = 6)
  int callframe10196 = gc_frame_new();
// call case 4: self request
  Object call10197 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10196);
// compiled member node returning call10197 (depth = 6)
  int op_slot_left_10193 = gc_frame_newslot(call10197);
  params[0] = strlit10194;
  partcv[0] = 1;
  Object opresult10198 = callmethod(call10197, "++(1)", 1, partcv, params);
// compiled op node returning opresult10198 (depth = 5)
  int op_slot_left_10187 = gc_frame_newslot(opresult10198);
  params[0] = call10191;
  partcv[0] = 1;
  Object opresult10199 = callmethod(opresult10198, "++(1)", 1, partcv, params);
// compiled op node returning opresult10199 (depth = 4)
  int op_slot_left_10184 = gc_frame_newslot(opresult10199);
  params[0] = strlit10185;
  partcv[0] = 1;
  Object opresult10200 = callmethod(opresult10199, "++(1)", 1, partcv, params);
// compiled op node returning opresult10200 (depth = 3)
  gc_frame_end(frame);
  return opresult10200;
}
Object meth_ast__apply_40_1_41_10216(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___4 = &(stackframe->slots[0]);
  *var___4 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10218 == NULL) {
    strlit10218 = alloc_String("_");
    gc_root(strlit10218);
  }
// compiled string node returning strlit10218 (depth = 7)
  int op_slot_right_10217 = gc_frame_newslot(strlit10218);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10217 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10218;
  partcv[0] = 1;
  Object opresult10220 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10220 (depth = 6)
  *var_underScores = opresult10220;
  if (opresult10220 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10226 == NULL) {
    strlit10226 = alloc_String(",");
    gc_root(strlit10226);
  }
// compiled string node returning strlit10226 (depth = 7)
  int op_slot_right_10225 = gc_frame_newslot(strlit10226);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10225 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10226;
  partcv[0] = 1;
  Object opresult10228 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10228 (depth = 6)
  *var_underScores = opresult10228;
  if (opresult10228 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_canonicalName10201(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10204 = alloc_Float64(0);
// compiled num node returning num10204 (depth = 5)
  int op_slot_right_10203 = gc_frame_newslot(num10204);
// starting to compile member node (depth = 5)
  int callframe10206 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10207 = gc_frame_new();
// call case 4: self request
  Object call10208 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10207);
// compiled member node returning call10208 (depth = 6)
  Object call10209 = callmethodflags(call10208, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10206);
// compiled member node returning call10209 (depth = 5)
  int op_slot_left_10203 = gc_frame_newslot(call10209);
  params[0] = num10204;
  partcv[0] = 1;
  Object opresult10210 = callmethod(call10209, "==(1)", 1, partcv, params);
// compiled op node returning opresult10210 (depth = 4)
  Object if10202 = done;
  if (istrue(opresult10210)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10211 = gc_frame_new();
// call case 4: self request
  Object call10212 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10211);
// compiled member node returning call10212 (depth = 5)
  return call10212;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10202 = undefined;
  } else {
  }
// compiled if node returning if10202 (depth = 3)
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10213 == NULL) {
    strlit10213 = alloc_String("");
    gc_root(strlit10213);
  }
// compiled string node returning strlit10213 (depth = 4)
  *var_underScores = strlit10213;
  if (strlit10213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10214 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10215 = alloc_Block(NULL, NULL, "ast", 2681);
  gc_frame_newslot(block10215);
// method "_apply(_)"
  block_savedest(block10215);
  Object closure10216 = createclosure(2, "_apply(1)");
  setclosureframe(closure10216, stackframe);
  addtoclosure(closure10216, var_underScores);
  addtoclosure(closure10216, selfslot);
  struct UserObject *uo10216 = (struct UserObject*)block10215;
  uo10216->data[0] = (Object)closure10216;
  Method *meth_meth_ast__apply_40_1_41_10216 = addmethod2pos(block10215, "_apply(1)", &meth_ast__apply_40_1_41_10216, 0);
  int argcv_meth_ast__apply_40_1_41_10216[] = {1};
  meth_meth_ast__apply_40_1_41_10216->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10216);
  meth_meth_ast__apply_40_1_41_10216->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10216->definitionLine = 2984;
// compiled block node returning block10215 (depth = 4)
  gc_frame_newslot(block10215);
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block10223 = alloc_Block(NULL, NULL, "ast", 2682);
  gc_frame_newslot(block10223);
// method "_apply"
  block_savedest(block10223);
  Object closure10224 = createclosure(2, "_apply");
  setclosureframe(closure10224, stackframe);
  addtoclosure(closure10224, var_underScores);
  addtoclosure(closure10224, selfslot);
  struct UserObject *uo10224 = (struct UserObject*)block10223;
  uo10224->data[0] = (Object)closure10224;
  Method *meth_meth_ast__apply10224 = addmethod2pos(block10223, "_apply", &meth_ast__apply10224, 0);
  int argcv_meth_ast__apply10224[] = {0};
  meth_meth_ast__apply10224->type = alloc_MethodType(1, argcv_meth_ast__apply10224);
  meth_meth_ast__apply10224->definitionModule = modulename;
  meth_meth_ast__apply10224->definitionLine = 2984;
// compiled block node returning block10223 (depth = 4)
  gc_frame_newslot(block10223);
// call case 6: other requests
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10231 = gc_frame_new();
// call case 4: self request
  Object call10232 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10231);
// compiled member node returning call10232 (depth = 4)
  params[0] = block10215;
  params[1] = block10223;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10233 = callmethodflags(call10232, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10214);
// compiled call node returning call10233 (depth = 3)
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10235 == NULL) {
    strlit10235 = alloc_String(")");
    gc_root(strlit10235);
  }
// compiled string node returning strlit10235 (depth = 4)
  int op_slot_right_10234 = gc_frame_newslot(strlit10235);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_10237 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10240 == NULL) {
    strlit10240 = alloc_String("(");
    gc_root(strlit10240);
  }
// compiled string node returning strlit10240 (depth = 6)
  int op_slot_right_10239 = gc_frame_newslot(strlit10240);
// starting to compile member node (depth = 6)
  int callframe10242 = gc_frame_new();
// call case 4: self request
  Object call10243 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10242);
// compiled member node returning call10243 (depth = 6)
  int op_slot_left_10239 = gc_frame_newslot(call10243);
  params[0] = strlit10240;
  partcv[0] = 1;
  Object opresult10244 = callmethod(call10243, "++(1)", 1, partcv, params);
// compiled op node returning opresult10244 (depth = 5)
  int op_slot_left_10237 = gc_frame_newslot(opresult10244);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult10245 = callmethod(opresult10244, "++(1)", 1, partcv, params);
// compiled op node returning opresult10245 (depth = 4)
  int op_slot_left_10234 = gc_frame_newslot(opresult10245);
  params[0] = strlit10235;
  partcv[0] = 1;
  Object opresult10246 = callmethod(opresult10245, "++(1)", 1, partcv, params);
// compiled op node returning opresult10246 (depth = 3)
  gc_frame_end(frame);
  return opresult10246;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_10247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10248 = gc_frame_new();
// call case 4: self request
  Object call10249 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10248);
// compiled member node returning call10249 (depth = 4)
  *var_n = call10249;
  if (call10249 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10250 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10251 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10250);
// compiled call node returning call10251 (depth = 4)
  *var_newChain = call10251;
  if (call10251 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10252 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10253 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10254 = gc_frame_new();
// call case 4: self request
  Object call10255 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10254);
// compiled member node returning call10255 (depth = 5)
  gc_frame_newslot(call10255);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10256 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10257 = gc_frame_new();
// call case 3: self.outer request
  Object call10258 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10257);
// compiled member node returning call10258 (depth = 6)
  Object call10259 = callmethodflags(call10258, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10256);
// compiled member node returning call10259 (depth = 5)
  params[0] = call10255;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10260 = callmethodflags(call10259, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10253);
// compiled call node returning call10260 (depth = 4)
  gc_frame_newslot(call10260);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call10260;
  partcv[0] = 1;
  Object call10261 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10252);
// compiled call node returning call10261 (depth = 3)
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10262 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10263 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10262);
// compiled call node returning call10263 (depth = 3)
  gc_frame_end(frame);
  return call10263;
}
Object meth_ast__apply10272(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10274 == NULL) {
    strlit10274 = alloc_String("  ");
    gc_root(strlit10274);
  }
// compiled string node returning strlit10274 (depth = 7)
  int op_slot_right_10273 = gc_frame_newslot(strlit10274);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_10273 = gc_frame_newslot(*var_spc);
  params[0] = strlit10274;
  partcv[0] = 1;
  Object opresult10276 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10276 (depth = 6)
  *var_spc = opresult10276;
  if (opresult10276 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_10319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10321 == NULL) {
    strlit10321 = alloc_String("");
    gc_root(strlit10321);
  }
// compiled string node returning strlit10321 (depth = 7)
  int op_slot_right_10320 = gc_frame_newslot(strlit10321);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10324 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10326 = alloc_Float64(4);
// compiled num node returning num10326 (depth = 10)
  int op_slot_right_10325 = gc_frame_newslot(num10326);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10325 = gc_frame_newslot(*var_depth);
  params[0] = num10326;
  partcv[0] = 1;
  Object sum10328 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10328 (depth = 9)
  gc_frame_newslot(sum10328);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = sum10328;
  partcv[0] = 1;
  Object call10329 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10324);
// compiled call node returning call10329 (depth = 8)
  int op_slot_right_10323 = gc_frame_newslot(call10329);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10332 == NULL) {
    strlit10332 = alloc_String("");
    gc_root(strlit10332);
  }
// compiled string node returning strlit10332 (depth = 9)
  int op_slot_right_10331 = gc_frame_newslot(strlit10332);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10334 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10337 == NULL) {
    strlit10337 = alloc_String("""\x0a""    ");
    gc_root(strlit10337);
  }
// compiled string node returning strlit10337 (depth = 11)
  int op_slot_right_10336 = gc_frame_newslot(strlit10337);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_10339 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit10341 == NULL) {
    strlit10341 = alloc_String("");
    gc_root(strlit10341);
  }
// compiled string node returning strlit10341 (depth = 12)
  int op_slot_left_10339 = gc_frame_newslot(strlit10341);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10342 = callmethod(strlit10341, "++(1)", 1, partcv, params);
// compiled op node returning opresult10342 (depth = 11)
  int op_slot_left_10336 = gc_frame_newslot(opresult10342);
  params[0] = strlit10337;
  partcv[0] = 1;
  Object opresult10343 = callmethod(opresult10342, "++(1)", 1, partcv, params);
// compiled op node returning opresult10343 (depth = 10)
  int op_slot_left_10334 = gc_frame_newslot(opresult10343);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10344 = callmethod(opresult10343, "++(1)", 1, partcv, params);
// compiled op node returning opresult10344 (depth = 9)
  int op_slot_left_10331 = gc_frame_newslot(opresult10344);
  params[0] = strlit10332;
  partcv[0] = 1;
  Object opresult10345 = callmethod(opresult10344, "++(1)", 1, partcv, params);
// compiled op node returning opresult10345 (depth = 8)
  int op_slot_left_10323 = gc_frame_newslot(opresult10345);
  params[0] = call10329;
  partcv[0] = 1;
  Object opresult10346 = callmethod(opresult10345, "++(1)", 1, partcv, params);
// compiled op node returning opresult10346 (depth = 7)
  int op_slot_left_10320 = gc_frame_newslot(opresult10346);
  params[0] = strlit10321;
  partcv[0] = 1;
  Object opresult10347 = callmethod(opresult10346, "++(1)", 1, partcv, params);
// compiled op node returning opresult10347 (depth = 6)
  *var_s = opresult10347;
  if (opresult10347 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_10264(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2693
  setline(2693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10265 == NULL) {
    strlit10265 = alloc_String("");
    gc_root(strlit10265);
  }
// compiled string node returning strlit10265 (depth = 4)
  *var_spc = strlit10265;
  if (strlit10265 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2694
  setline(2694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10266 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10268 = alloc_Float64(1);
// compiled num node returning num10268 (depth = 5)
  int op_slot_right_10267 = gc_frame_newslot(num10268);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_10267 = gc_frame_newslot(*var_depth);
  params[0] = num10268;
  partcv[0] = 1;
  Object sum10270 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10270 (depth = 4)
  gc_frame_newslot(sum10270);
// starting to compile block node (depth = 4)
  Object block10271 = alloc_Block(NULL, NULL, "ast", 2694);
  gc_frame_newslot(block10271);
// method "_apply"
  block_savedest(block10271);
  Object closure10272 = createclosure(2, "_apply");
  setclosureframe(closure10272, stackframe);
  addtoclosure(closure10272, var_spc);
  addtoclosure(closure10272, selfslot);
  struct UserObject *uo10272 = (struct UserObject*)block10271;
  uo10272->data[0] = (Object)closure10272;
  Method *meth_meth_ast__apply10272 = addmethod2pos(block10271, "_apply", &meth_ast__apply10272, 0);
  int argcv_meth_ast__apply10272[] = {0};
  meth_meth_ast__apply10272->type = alloc_MethodType(1, argcv_meth_ast__apply10272);
  meth_meth_ast__apply10272->definitionModule = modulename;
  meth_meth_ast__apply10272->definitionLine = 2984;
// compiled block node returning block10271 (depth = 4)
  gc_frame_newslot(block10271);
// call case 5: prelude request
  params[0] = sum10270;
  params[1] = block10271;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10279 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10266);
// compiled call node returning call10279 (depth = 3)
// Begin line 2697
  setline(2697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10281 == NULL) {
    strlit10281 = alloc_String("");
    gc_root(strlit10281);
  }
// compiled string node returning strlit10281 (depth = 5)
  int op_slot_right_10280 = gc_frame_newslot(strlit10281);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10284 = gc_frame_new();
// call case 4: self request
  Object call10285 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10284);
// compiled member node returning call10285 (depth = 6)
  int op_slot_right_10283 = gc_frame_newslot(call10285);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10288 == NULL) {
    strlit10288 = alloc_String(": ");
    gc_root(strlit10288);
  }
// compiled string node returning strlit10288 (depth = 7)
  int op_slot_right_10287 = gc_frame_newslot(strlit10288);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10291 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 4: self request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10292 = callmethodflags(self, "basePretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10291);
// compiled call node returning call10292 (depth = 8)
  int op_slot_right_10290 = gc_frame_newslot(call10292);
// starting to compile string node (depth = 8)
  if (strlit10294 == NULL) {
    strlit10294 = alloc_String("");
    gc_root(strlit10294);
  }
// compiled string node returning strlit10294 (depth = 8)
  int op_slot_left_10290 = gc_frame_newslot(strlit10294);
  params[0] = call10292;
  partcv[0] = 1;
  Object opresult10295 = callmethod(strlit10294, "++(1)", 1, partcv, params);
// compiled op node returning opresult10295 (depth = 7)
  int op_slot_left_10287 = gc_frame_newslot(opresult10295);
  params[0] = strlit10288;
  partcv[0] = 1;
  Object opresult10296 = callmethod(opresult10295, "++(1)", 1, partcv, params);
// compiled op node returning opresult10296 (depth = 6)
  int op_slot_left_10283 = gc_frame_newslot(opresult10296);
  params[0] = call10285;
  partcv[0] = 1;
  Object opresult10297 = callmethod(opresult10296, "++(1)", 1, partcv, params);
// compiled op node returning opresult10297 (depth = 5)
  int op_slot_left_10280 = gc_frame_newslot(opresult10297);
  params[0] = strlit10281;
  partcv[0] = 1;
  Object opresult10298 = callmethod(opresult10297, "++(1)", 1, partcv, params);
// compiled op node returning opresult10298 (depth = 4)
  *var_s = opresult10298;
  if (opresult10298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2698
  setline(2698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10300 == NULL) {
    strlit10300 = alloc_String("Args:");
    gc_root(strlit10300);
  }
// compiled string node returning strlit10300 (depth = 5)
  int op_slot_right_10299 = gc_frame_newslot(strlit10300);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_10302 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10305 == NULL) {
    strlit10305 = alloc_String("""\x0a""    ");
    gc_root(strlit10305);
  }
// compiled string node returning strlit10305 (depth = 7)
  int op_slot_right_10304 = gc_frame_newslot(strlit10305);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_10307 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit10309 == NULL) {
    strlit10309 = alloc_String("");
    gc_root(strlit10309);
  }
// compiled string node returning strlit10309 (depth = 8)
  int op_slot_left_10307 = gc_frame_newslot(strlit10309);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10310 = callmethod(strlit10309, "++(1)", 1, partcv, params);
// compiled op node returning opresult10310 (depth = 7)
  int op_slot_left_10304 = gc_frame_newslot(opresult10310);
  params[0] = strlit10305;
  partcv[0] = 1;
  Object opresult10311 = callmethod(opresult10310, "++(1)", 1, partcv, params);
// compiled op node returning opresult10311 (depth = 6)
  int op_slot_left_10302 = gc_frame_newslot(opresult10311);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10312 = callmethod(opresult10311, "++(1)", 1, partcv, params);
// compiled op node returning opresult10312 (depth = 5)
  int op_slot_left_10299 = gc_frame_newslot(opresult10312);
  params[0] = strlit10300;
  partcv[0] = 1;
  Object opresult10313 = callmethod(opresult10312, "++(1)", 1, partcv, params);
// compiled op node returning opresult10313 (depth = 4)
  *var_s = opresult10313;
  if (opresult10313 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2699
  setline(2699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10315 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10316 = gc_frame_new();
// call case 4: self request
  Object call10317 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10316);
// compiled member node returning call10317 (depth = 4)
  gc_frame_newslot(call10317);
// starting to compile block node (depth = 4)
  Object block10318 = alloc_Block(NULL, NULL, "ast", 2699);
  gc_frame_newslot(block10318);
// method "_apply(_)"
  block_savedest(block10318);
  Object closure10319 = createclosure(4, "_apply(1)");
  setclosureframe(closure10319, stackframe);
  addtoclosure(closure10319, var_depth);
  addtoclosure(closure10319, var_spc);
  addtoclosure(closure10319, var_s);
  addtoclosure(closure10319, selfslot);
  struct UserObject *uo10319 = (struct UserObject*)block10318;
  uo10319->data[0] = (Object)closure10319;
  Method *meth_meth_ast__apply_40_1_41_10319 = addmethod2pos(block10318, "_apply(1)", &meth_ast__apply_40_1_41_10319, 0);
  int argcv_meth_ast__apply_40_1_41_10319[] = {1};
  meth_meth_ast__apply_40_1_41_10319->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10319);
  meth_meth_ast__apply_40_1_41_10319->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10319->definitionLine = 2984;
// compiled block node returning block10318 (depth = 4)
  gc_frame_newslot(block10318);
// call case 5: prelude request
  params[0] = call10317;
  params[1] = block10318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10350 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10315);
// compiled call node returning call10350 (depth = 3)
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_10370(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_tArg = &(stackframe->slots[0]);
  *var_tArg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2709
  setline(2709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10372 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10374 = alloc_Float64(1);
// compiled num node returning num10374 (depth = 10)
  int op_slot_right_10373 = gc_frame_newslot(num10374);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10373 = gc_frame_newslot(*var_depth);
  params[0] = num10374;
  partcv[0] = 1;
  Object sum10376 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10376 (depth = 9)
  gc_frame_newslot(sum10376);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tArg (depth = 9)
  params[0] = sum10376;
  partcv[0] = 1;
  Object call10377 = callmethodflags(*var_tArg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10372);
// compiled call node returning call10377 (depth = 8)
  int op_slot_right_10371 = gc_frame_newslot(call10377);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10371 = gc_frame_newslot(*var_s);
  params[0] = call10377;
  partcv[0] = 1;
  Object opresult10379 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10379 (depth = 7)
  *var_s = opresult10379;
  if (opresult10379 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10383(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10385 == NULL) {
    strlit10385 = alloc_String(", ");
    gc_root(strlit10385);
  }
// compiled string node returning strlit10385 (depth = 8)
  int op_slot_right_10384 = gc_frame_newslot(strlit10385);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10384 = gc_frame_newslot(*var_s);
  params[0] = strlit10385;
  partcv[0] = 1;
  Object opresult10387 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10387 (depth = 7)
  *var_s = opresult10387;
  if (opresult10387 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_10435(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10437 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10438 = callmethodflags(*var_arg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10437);
// compiled call node returning call10438 (depth = 8)
  int op_slot_right_10436 = gc_frame_newslot(call10438);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10436 = gc_frame_newslot(*var_s);
  params[0] = call10438;
  partcv[0] = 1;
  Object opresult10440 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10440 (depth = 7)
  *var_s = opresult10440;
  if (opresult10440 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10444(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2719
  setline(2719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10446 == NULL) {
    strlit10446 = alloc_String(", ");
    gc_root(strlit10446);
  }
// compiled string node returning strlit10446 (depth = 8)
  int op_slot_right_10445 = gc_frame_newslot(strlit10446);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10445 = gc_frame_newslot(*var_s);
  params[0] = strlit10446;
  partcv[0] = 1;
  Object opresult10448 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10448 (depth = 7)
  *var_s = opresult10448;
  if (opresult10448 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_10351(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
  Object *var_needsParens = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "needsParens");
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10352 = gc_frame_new();
// call case 4: self request
  Object call10353 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10352);
// compiled member node returning call10353 (depth = 4)
  *var_s = call10353;
  if (call10353 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10356 = alloc_Float64(0);
// compiled num node returning num10356 (depth = 5)
  int op_slot_right_10355 = gc_frame_newslot(num10356);
// starting to compile member node (depth = 5)
  int callframe10358 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10359 = gc_frame_new();
// call case 4: self request
  Object call10360 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10359);
// compiled member node returning call10360 (depth = 6)
  Object call10361 = callmethodflags(call10360, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10358);
// compiled member node returning call10361 (depth = 5)
  int op_slot_left_10355 = gc_frame_newslot(call10361);
  params[0] = num10356;
  partcv[0] = 1;
  Object opresult10362 = callmethod(call10361, ">(1)", 1, partcv, params);
// compiled op node returning opresult10362 (depth = 4)
  Object if10354 = done;
  if (istrue(opresult10362)) {
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10364 == NULL) {
    strlit10364 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit10364);
  }
// compiled string node returning strlit10364 (depth = 6)
  int op_slot_right_10363 = gc_frame_newslot(strlit10364);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10363 = gc_frame_newslot(*var_s);
  params[0] = strlit10364;
  partcv[0] = 1;
  Object opresult10366 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10366 (depth = 5)
  *var_s = opresult10366;
  if (opresult10366 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10368 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10369 = alloc_Block(NULL, NULL, "ast", 2708);
  gc_frame_newslot(block10369);
// method "_apply(_)"
  block_savedest(block10369);
  Object closure10370 = createclosure(3, "_apply(1)");
  setclosureframe(closure10370, stackframe);
  addtoclosure(closure10370, var_depth);
  addtoclosure(closure10370, var_s);
  addtoclosure(closure10370, selfslot);
  struct UserObject *uo10370 = (struct UserObject*)block10369;
  uo10370->data[0] = (Object)closure10370;
  Method *meth_meth_ast__apply_40_1_41_10370 = addmethod2pos(block10369, "_apply(1)", &meth_ast__apply_40_1_41_10370, 0);
  int argcv_meth_ast__apply_40_1_41_10370[] = {1};
  meth_meth_ast__apply_40_1_41_10370->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10370);
  meth_meth_ast__apply_40_1_41_10370->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10370->definitionLine = 2984;
// compiled block node returning block10369 (depth = 5)
  gc_frame_newslot(block10369);
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10382 = alloc_Block(NULL, NULL, "ast", 2710);
  gc_frame_newslot(block10382);
// method "_apply"
  block_savedest(block10382);
  Object closure10383 = createclosure(2, "_apply");
  setclosureframe(closure10383, stackframe);
  addtoclosure(closure10383, var_s);
  addtoclosure(closure10383, selfslot);
  struct UserObject *uo10383 = (struct UserObject*)block10382;
  uo10383->data[0] = (Object)closure10383;
  Method *meth_meth_ast__apply10383 = addmethod2pos(block10382, "_apply", &meth_ast__apply10383, 0);
  int argcv_meth_ast__apply10383[] = {0};
  meth_meth_ast__apply10383->type = alloc_MethodType(1, argcv_meth_ast__apply10383);
  meth_meth_ast__apply10383->definitionModule = modulename;
  meth_meth_ast__apply10383->definitionLine = 2984;
// compiled block node returning block10382 (depth = 5)
  gc_frame_newslot(block10382);
// call case 6: other requests
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10390 = gc_frame_new();
// call case 4: self request
  Object call10391 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10390);
// compiled member node returning call10391 (depth = 5)
  params[0] = block10369;
  params[1] = block10382;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10392 = callmethodflags(call10391, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10368);
// compiled call node returning call10392 (depth = 4)
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10394 == NULL) {
    strlit10394 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit10394);
  }
// compiled string node returning strlit10394 (depth = 6)
  int op_slot_right_10393 = gc_frame_newslot(strlit10394);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10393 = gc_frame_newslot(*var_s);
  params[0] = strlit10394;
  partcv[0] = 1;
  Object opresult10396 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10396 (depth = 5)
  *var_s = opresult10396;
  if (opresult10396 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10354 = done;
  } else {
  }
// compiled if node returning if10354 (depth = 3)
// Begin line 2713
  setline(2713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10400 = alloc_Float64(0);
// compiled num node returning num10400 (depth = 5)
  int op_slot_right_10399 = gc_frame_newslot(num10400);
// starting to compile member node (depth = 5)
  int callframe10402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10403 = gc_frame_new();
// call case 4: self request
  Object call10404 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10403);
// compiled member node returning call10404 (depth = 6)
  Object call10405 = callmethodflags(call10404, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10402);
// compiled member node returning call10405 (depth = 5)
  int op_slot_left_10399 = gc_frame_newslot(call10405);
  params[0] = num10400;
  partcv[0] = 1;
  Object opresult10406 = callmethod(call10405, ">(1)", 1, partcv, params);
// compiled op node returning opresult10406 (depth = 4)
  Object if10398 = done;
  if (istrue(opresult10406)) {
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10408 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10409 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10410 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10411 = gc_frame_new();
// call case 4: self request
  Object call10412 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10411);
// compiled member node returning call10412 (depth = 9)
  Object call10413 = callmethodflags(call10412, "first", 0, partcv, params, 0);
  gc_frame_end(callframe10410);
// compiled member node returning call10413 (depth = 8)
  Object call10414 = callmethodflags(call10413, "isDelimited", 0, partcv, params, 0);
  gc_frame_end(callframe10409);
// compiled member node returning call10414 (depth = 7)
  Object call10415 = callmethodflags(call10414, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10408);
// compiled member node returning call10415 (depth = 6)
  int op_slot_right_10407 = gc_frame_newslot(call10415);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10418 = alloc_Float64(1);
// compiled num node returning num10418 (depth = 7)
  int op_slot_right_10417 = gc_frame_newslot(num10418);
// starting to compile member node (depth = 7)
  int callframe10420 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10421 = gc_frame_new();
// call case 4: self request
  Object call10422 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10421);
// compiled member node returning call10422 (depth = 8)
  Object call10423 = callmethodflags(call10422, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10420);
// compiled member node returning call10423 (depth = 7)
  int op_slot_left_10417 = gc_frame_newslot(call10423);
  params[0] = num10418;
  partcv[0] = 1;
  Object opresult10424 = callmethod(call10423, ">(1)", 1, partcv, params);
// compiled op node returning opresult10424 (depth = 6)
  int op_slot_left_10407 = gc_frame_newslot(opresult10424);
  params[0] = call10415;
  partcv[0] = 1;
  Object opresult10425 = callmethod(opresult10424, "||(1)", 1, partcv, params);
// compiled op node returning opresult10425 (depth = 5)
  *var_needsParens = opresult10425;
  if (opresult10425 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_needsParens (depth = 7)
  Object if10427 = done;
struct StackFrameObject *iftmpstackframe10427 = stackframe;
  if (istrue(*var_needsParens)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10427);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 7)
  if (strlit10428 == NULL) {
    strlit10428 = alloc_String("(");
    gc_root(strlit10428);
  }
// compiled string node returning strlit10428 (depth = 7)
    gc_frame_newslot(strlit10428);
    if10427 = strlit10428;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10427);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 7)
  if (strlit10429 == NULL) {
    strlit10429 = alloc_String(" ");
    gc_root(strlit10429);
  }
// compiled string node returning strlit10429 (depth = 7)
    gc_frame_newslot(strlit10429);
    if10427 = strlit10429;
  }
stackframe = iftmpstackframe10427;
// compiled if node returning if10427 (depth = 6)
  int op_slot_right_10426 = gc_frame_newslot(if10427);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10426 = gc_frame_newslot(*var_s);
  params[0] = if10427;
  partcv[0] = 1;
  Object opresult10431 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10431 (depth = 5)
  *var_s = opresult10431;
  if (opresult10431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10433 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10434 = alloc_Block(NULL, NULL, "ast", 2716);
  gc_frame_newslot(block10434);
// method "_apply(_)"
  block_savedest(block10434);
  Object closure10435 = createclosure(3, "_apply(1)");
  setclosureframe(closure10435, stackframe);
  addtoclosure(closure10435, var_depth);
  addtoclosure(closure10435, var_s);
  addtoclosure(closure10435, selfslot);
  struct UserObject *uo10435 = (struct UserObject*)block10434;
  uo10435->data[0] = (Object)closure10435;
  Method *meth_meth_ast__apply_40_1_41_10435 = addmethod2pos(block10434, "_apply(1)", &meth_ast__apply_40_1_41_10435, 0);
  int argcv_meth_ast__apply_40_1_41_10435[] = {1};
  meth_meth_ast__apply_40_1_41_10435->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10435);
  meth_meth_ast__apply_40_1_41_10435->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10435->definitionLine = 2984;
// compiled block node returning block10434 (depth = 5)
  gc_frame_newslot(block10434);
// Begin line 2718
  setline(2718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10443 = alloc_Block(NULL, NULL, "ast", 2718);
  gc_frame_newslot(block10443);
// method "_apply"
  block_savedest(block10443);
  Object closure10444 = createclosure(2, "_apply");
  setclosureframe(closure10444, stackframe);
  addtoclosure(closure10444, var_s);
  addtoclosure(closure10444, selfslot);
  struct UserObject *uo10444 = (struct UserObject*)block10443;
  uo10444->data[0] = (Object)closure10444;
  Method *meth_meth_ast__apply10444 = addmethod2pos(block10443, "_apply", &meth_ast__apply10444, 0);
  int argcv_meth_ast__apply10444[] = {0};
  meth_meth_ast__apply10444->type = alloc_MethodType(1, argcv_meth_ast__apply10444);
  meth_meth_ast__apply10444->definitionModule = modulename;
  meth_meth_ast__apply10444->definitionLine = 2984;
// compiled block node returning block10443 (depth = 5)
  gc_frame_newslot(block10443);
// call case 6: other requests
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10451 = gc_frame_new();
// call case 4: self request
  Object call10452 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10451);
// compiled member node returning call10452 (depth = 5)
  params[0] = block10434;
  params[1] = block10443;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10453 = callmethodflags(call10452, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10433);
// compiled call node returning call10453 (depth = 4)
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_needsParens (depth = 5)
  Object if10454 = done;
  if (istrue(*var_needsParens)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10456 == NULL) {
    strlit10456 = alloc_String(")");
    gc_root(strlit10456);
  }
// compiled string node returning strlit10456 (depth = 7)
  int op_slot_right_10455 = gc_frame_newslot(strlit10456);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10455 = gc_frame_newslot(*var_s);
  params[0] = strlit10456;
  partcv[0] = 1;
  Object opresult10458 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10458 (depth = 6)
  *var_s = opresult10458;
  if (opresult10458 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if10454 = done;
  } else {
  }
// compiled if node returning if10454 (depth = 4)
    gc_frame_newslot(if10454);
    if10398 = if10454;
  } else {
  }
// compiled if node returning if10398 (depth = 3)
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy10460(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10461 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10462 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10463 = gc_frame_new();
// call case 4: self request
  Object call10464 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10463);
// compiled member node returning call10464 (depth = 5)
  gc_frame_newslot(call10464);
// starting to compile member node (depth = 5)
  int callframe10465 = gc_frame_new();
// call case 4: self request
  Object call10466 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10465);
// compiled member node returning call10466 (depth = 5)
  gc_frame_newslot(call10466);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_requestPart (depth = 5)
  params[0] = call10464;
  params[1] = call10466;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10467 = callmethodflags(*var_requestPart, "request(1)withArgs(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10462);
// compiled call node returning call10467 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10468 = callmethodflags(call10467, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10461);
// compiled call node returning call10468 (depth = 3)
  gc_frame_end(frame);
  return call10468;
}
Object meth_ast_postCopy_40_1_41_10469(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10470 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10471 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10472 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe10471);
// compiled member node returning call10472 (depth = 4)
  gc_frame_newslot(call10472);
// call case 4: self request
  params[0] = call10472;
  partcv[0] = 1;
  Object call10473 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10470);
// compiled call node returning call10473 (depth = 3)
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName10474(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10475 == NULL) {
    strlit10475 = alloc_String("request");
    gc_root(strlit10475);
  }
// compiled string node returning strlit10475 (depth = 3)
  gc_frame_end(frame);
  return strlit10475;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_10164(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10165 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10165 = alloc_userobj2(17,14, objclass10165);
  gc_frame_newslot(obj10165);
if (objclass10165 == NULL) {
  glfree(obj10165->class->name);
  obj10165->class->name = "requestPart.request(_)withArgs(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10165, self, 0);
  addmethodreal(obj10165,"outer", &reader_ast_outer_10166);
  Object oldself10165 = self;
  struct StackFrameObject *oldstackframe10165 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10165);
  gc_frame_newslot((Object)stackframe);
  self = obj10165;
  Object *oldselfslot10165 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10165 = (*(struct UserObject *)self).data[0], lowerouter10165 = thisouter10165;
  if (inheritingObject10165) {
    struct UserObject *inho10165 = (struct UserObject *)inheritingObject10165;
    while (inho10165->super != GraceDefaultObject) inho10165 = (struct UserObject *)inho10165->super;
    inho10165->super = obj10165;
    self = inheritingObject10165;
    *selfslot = self;
    lowerouter10165 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10165;
  }
if (objclass10165 == NULL) {
  Method *reader10167 = addmethodrealflags(obj10165, "kind",&reader_ast_kind_10167, MFLAG_DEF);
  reader10167->definitionModule = modulename;
  reader10167->definitionLine = 2667;
}
adddatum2(obj10165, alloc_Undefined(), 1);
if (objclass10165 == NULL) {
  Method *reader10168 = addmethodrealflags(obj10165, "name", &reader_ast_name_10168, 0);
  Method *writer10168 = addmethodrealflags(obj10165, "name:=(1)", &writer_ast_name_10168, 0);
  reader10168->definitionModule = modulename;
  writer10168->definitionModule = modulename;
  reader10168->definitionLine = 2668;
  writer10168->definitionLine = 2668;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 2);
if (objclass10165 == NULL) {
  Method *reader10169 = addmethodrealflags(obj10165, "args", &reader_ast_args_10169, 0);
  Method *writer10169 = addmethodrealflags(obj10165, "args:=(1)", &writer_ast_args_10169, 0);
  reader10169->definitionModule = modulename;
  writer10169->definitionModule = modulename;
  reader10169->definitionLine = 2669;
  writer10169->definitionLine = 2669;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 3);
if (objclass10165 == NULL) {
  Method *reader10170 = addmethodrealflags(obj10165, "typeArgs", &reader_ast_typeArgs_10170, MFLAG_CONFIDENTIAL);
  Method *writer10170 = addmethodrealflags(obj10165, "typeArgs:=(1)", &writer_ast_typeArgs_10170, MFLAG_CONFIDENTIAL);
  reader10170->definitionModule = modulename;
  writer10170->definitionModule = modulename;
  reader10170->definitionLine = 2670;
  writer10170->definitionLine = 2670;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 4);
if (objclass10165 == NULL) {
  Method *reader10171 = addmethodrealflags(obj10165, "lineLength", &reader_ast_lineLength_10171, 0);
  Method *writer10171 = addmethodrealflags(obj10165, "lineLength:=(1)", &writer_ast_lineLength_10171, 0);
  reader10171->definitionModule = modulename;
  writer10171->definitionModule = modulename;
  reader10171->definitionLine = 2671;
  writer10171->definitionLine = 2671;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo10172 = (struct UserObject*)obj10165;
  uo10172->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString10172 = addmethod2pos(obj10165, "nameString", &meth_ast_nameString10172, 6);
  int argcv_meth_ast_nameString10172[] = {0};
  meth_meth_ast_nameString10172->type = alloc_MethodType(1, argcv_meth_ast_nameString10172);
  meth_meth_ast_nameString10172->definitionModule = modulename;
  meth_meth_ast_nameString10172->definitionLine = 2673;
// method "canonicalName"
  struct UserObject *uo10201 = (struct UserObject*)obj10165;
  uo10201->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName10201 = addmethod2pos(obj10165, "canonicalName", &meth_ast_canonicalName10201, 7);
  int argcv_meth_ast_canonicalName10201[] = {0};
  meth_meth_ast_canonicalName10201->type = alloc_MethodType(1, argcv_meth_ast_canonicalName10201);
  meth_meth_ast_canonicalName10201->definitionModule = modulename;
  meth_meth_ast_canonicalName10201->definitionLine = 2678;
// method "map(_)ancestors(_)"
  struct UserObject *uo10247 = (struct UserObject*)obj10165;
  uo10247->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247 = addmethod2pos(obj10165, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10247, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10247[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10247);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->definitionLine = 2686;
// method "pretty(_)"
  struct UserObject *uo10264 = (struct UserObject*)obj10165;
  uo10264->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10264 = addmethod2pos(obj10165, "pretty(1)", &meth_ast_pretty_40_1_41_10264, 9);
  int argcv_meth_ast_pretty_40_1_41_10264[] = {1};
  meth_meth_ast_pretty_40_1_41_10264->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10264);
  meth_meth_ast_pretty_40_1_41_10264->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10264->definitionLine = 2692;
// method "toGrace(_)"
  struct UserObject *uo10351 = (struct UserObject*)obj10165;
  uo10351->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10351 = addmethod2pos(obj10165, "toGrace(1)", &meth_ast_toGrace_40_1_41_10351, 10);
  int argcv_meth_ast_toGrace_40_1_41_10351[] = {1};
  meth_meth_ast_toGrace_40_1_41_10351->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10351);
  meth_meth_ast_toGrace_40_1_41_10351->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10351->definitionLine = 2704;
// method "shallowCopy"
  block_savedest(obj10165);
  Object closure10460 = createclosure(1, "shallowCopy");
  setclosureframe(closure10460, stackframe);
  addtoclosure(closure10460, var_requestPart);
  struct UserObject *uo10460 = (struct UserObject*)obj10165;
  uo10460->data[11] = (Object)closure10460;
  Method *meth_meth_ast_shallowCopy10460 = addmethod2pos(obj10165, "shallowCopy", &meth_ast_shallowCopy10460, 11);
  int argcv_meth_ast_shallowCopy10460[] = {0};
  meth_meth_ast_shallowCopy10460->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10460);
  meth_meth_ast_shallowCopy10460->definitionModule = modulename;
  meth_meth_ast_shallowCopy10460->definitionLine = 2726;
// method "postCopy(_)"
  struct UserObject *uo10469 = (struct UserObject*)obj10165;
  uo10469->data[12] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10469 = addmethod2pos(obj10165, "postCopy(1)", &meth_ast_postCopy_40_1_41_10469, 12);
  int argcv_meth_ast_postCopy_40_1_41_10469[] = {1};
  meth_meth_ast_postCopy_40_1_41_10469->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10469);
  meth_meth_ast_postCopy_40_1_41_10469->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10469->definitionLine = 2729;
// method "statementName"
  struct UserObject *uo10474 = (struct UserObject*)obj10165;
  uo10474->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName10474 = addmethod2pos(obj10165, "statementName", &meth_ast_statementName10474, 13);
  int argcv_meth_ast_statementName10474[] = {0};
  meth_meth_ast_statementName10474->type = alloc_MethodType(1, argcv_meth_ast_statementName10474);
  meth_meth_ast_statementName10474->definitionModule = modulename;
  meth_meth_ast_statementName10474->definitionLine = 2733;
  sourceObject = obj10165;
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10476 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10477 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10478 = gc_frame_new();
// call case 3: self.outer request
  Object call10479 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10478);
// compiled member node returning call10479 (depth = 5)
  Object call10480 = callmethodflags(call10479, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10477);
// compiled member node returning call10480 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10481 = callmethodflags(call10480, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10476);
// compiled call node returning call10481 (depth = 3)
  struct UserObject *obj10165_uo = (struct UserObject *)obj10165;
  obj10165_uo->super = call10481;
  sourceObject = obj10165;
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10482 == NULL) {
    strlit10482 = alloc_String("callwithpart");
    gc_root(strlit10482);
  }
// compiled string node returning strlit10482 (depth = 3)
  adddatum2(obj10165, strlit10482, 1);
  sourceObject = obj10165;
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10165, *var_rPart, 2);
  sourceObject = obj10165;
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10165, *var_xs, 3);
  sourceObject = obj10165;
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10165, *var_emptySeq, 4);
  sourceObject = obj10165;
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10483 = alloc_Float64(0);
// compiled num node returning num10483 (depth = 3)
  adddatum2(obj10165, num10483, 5);
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  objclass10165 = obj10165->class;
  objclass10165->definitionModule = modulename;
  objclass10165->definitionLine = 2665;
  (*(struct UserObject *)self).data[0] = lowerouter10165;
  self = oldself10165;
  selfslot = oldselfslot10165;
  stackframe = oldstackframe10165;
  gc_frame_end(frame);
  return obj10165;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_10164_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10165 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10165 = alloc_userobj2(17,14, objclass10165);
  gc_frame_newslot(obj10165);
if (objclass10165 == NULL) {
  glfree(obj10165->class->name);
  obj10165->class->name = "requestPart.request(_)withArgs(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10165, self, 0);
  addmethodreal(obj10165,"outer", &reader_ast_outer_10166);
  Object oldself10165 = self;
  struct StackFrameObject *oldstackframe10165 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10165);
  gc_frame_newslot((Object)stackframe);
  self = obj10165;
  Object *oldselfslot10165 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10165 = (*(struct UserObject *)self).data[0], lowerouter10165 = thisouter10165;
  if (inheritingObject10165) {
    struct UserObject *inho10165 = (struct UserObject *)inheritingObject10165;
    while (inho10165->super != GraceDefaultObject) inho10165 = (struct UserObject *)inho10165->super;
    inho10165->super = obj10165;
    self = inheritingObject10165;
    *selfslot = self;
    lowerouter10165 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10165;
  }
if (objclass10165 == NULL) {
  Method *reader10167 = addmethodrealflags(obj10165, "kind",&reader_ast_kind_10167, MFLAG_DEF);
  reader10167->definitionModule = modulename;
  reader10167->definitionLine = 2667;
}
adddatum2(obj10165, alloc_Undefined(), 1);
if (objclass10165 == NULL) {
  Method *reader10168 = addmethodrealflags(obj10165, "name", &reader_ast_name_10168, 0);
  Method *writer10168 = addmethodrealflags(obj10165, "name:=(1)", &writer_ast_name_10168, 0);
  reader10168->definitionModule = modulename;
  writer10168->definitionModule = modulename;
  reader10168->definitionLine = 2668;
  writer10168->definitionLine = 2668;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 2);
if (objclass10165 == NULL) {
  Method *reader10169 = addmethodrealflags(obj10165, "args", &reader_ast_args_10169, 0);
  Method *writer10169 = addmethodrealflags(obj10165, "args:=(1)", &writer_ast_args_10169, 0);
  reader10169->definitionModule = modulename;
  writer10169->definitionModule = modulename;
  reader10169->definitionLine = 2669;
  writer10169->definitionLine = 2669;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 3);
if (objclass10165 == NULL) {
  Method *reader10170 = addmethodrealflags(obj10165, "typeArgs", &reader_ast_typeArgs_10170, MFLAG_CONFIDENTIAL);
  Method *writer10170 = addmethodrealflags(obj10165, "typeArgs:=(1)", &writer_ast_typeArgs_10170, MFLAG_CONFIDENTIAL);
  reader10170->definitionModule = modulename;
  writer10170->definitionModule = modulename;
  reader10170->definitionLine = 2670;
  writer10170->definitionLine = 2670;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 4);
if (objclass10165 == NULL) {
  Method *reader10171 = addmethodrealflags(obj10165, "lineLength", &reader_ast_lineLength_10171, 0);
  Method *writer10171 = addmethodrealflags(obj10165, "lineLength:=(1)", &writer_ast_lineLength_10171, 0);
  reader10171->definitionModule = modulename;
  writer10171->definitionModule = modulename;
  reader10171->definitionLine = 2671;
  writer10171->definitionLine = 2671;
}
obj10165->flags |= OFLAG_MUTABLE;
adddatum2(obj10165, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo10172 = (struct UserObject*)obj10165;
  uo10172->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString10172 = addmethod2pos(obj10165, "nameString", &meth_ast_nameString10172, 6);
  int argcv_meth_ast_nameString10172[] = {0};
  meth_meth_ast_nameString10172->type = alloc_MethodType(1, argcv_meth_ast_nameString10172);
  meth_meth_ast_nameString10172->definitionModule = modulename;
  meth_meth_ast_nameString10172->definitionLine = 2673;
// method "canonicalName"
  struct UserObject *uo10201 = (struct UserObject*)obj10165;
  uo10201->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName10201 = addmethod2pos(obj10165, "canonicalName", &meth_ast_canonicalName10201, 7);
  int argcv_meth_ast_canonicalName10201[] = {0};
  meth_meth_ast_canonicalName10201->type = alloc_MethodType(1, argcv_meth_ast_canonicalName10201);
  meth_meth_ast_canonicalName10201->definitionModule = modulename;
  meth_meth_ast_canonicalName10201->definitionLine = 2678;
// method "map(_)ancestors(_)"
  struct UserObject *uo10247 = (struct UserObject*)obj10165;
  uo10247->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247 = addmethod2pos(obj10165, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10247, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10247[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10247);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10247->definitionLine = 2686;
// method "pretty(_)"
  struct UserObject *uo10264 = (struct UserObject*)obj10165;
  uo10264->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10264 = addmethod2pos(obj10165, "pretty(1)", &meth_ast_pretty_40_1_41_10264, 9);
  int argcv_meth_ast_pretty_40_1_41_10264[] = {1};
  meth_meth_ast_pretty_40_1_41_10264->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10264);
  meth_meth_ast_pretty_40_1_41_10264->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10264->definitionLine = 2692;
// method "toGrace(_)"
  struct UserObject *uo10351 = (struct UserObject*)obj10165;
  uo10351->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10351 = addmethod2pos(obj10165, "toGrace(1)", &meth_ast_toGrace_40_1_41_10351, 10);
  int argcv_meth_ast_toGrace_40_1_41_10351[] = {1};
  meth_meth_ast_toGrace_40_1_41_10351->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10351);
  meth_meth_ast_toGrace_40_1_41_10351->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10351->definitionLine = 2704;
// method "shallowCopy"
  block_savedest(obj10165);
  Object closure10460 = createclosure(1, "shallowCopy");
  setclosureframe(closure10460, stackframe);
  addtoclosure(closure10460, var_requestPart);
  struct UserObject *uo10460 = (struct UserObject*)obj10165;
  uo10460->data[11] = (Object)closure10460;
  Method *meth_meth_ast_shallowCopy10460 = addmethod2pos(obj10165, "shallowCopy", &meth_ast_shallowCopy10460, 11);
  int argcv_meth_ast_shallowCopy10460[] = {0};
  meth_meth_ast_shallowCopy10460->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10460);
  meth_meth_ast_shallowCopy10460->definitionModule = modulename;
  meth_meth_ast_shallowCopy10460->definitionLine = 2726;
// method "postCopy(_)"
  struct UserObject *uo10469 = (struct UserObject*)obj10165;
  uo10469->data[12] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10469 = addmethod2pos(obj10165, "postCopy(1)", &meth_ast_postCopy_40_1_41_10469, 12);
  int argcv_meth_ast_postCopy_40_1_41_10469[] = {1};
  meth_meth_ast_postCopy_40_1_41_10469->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10469);
  meth_meth_ast_postCopy_40_1_41_10469->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10469->definitionLine = 2729;
// method "statementName"
  struct UserObject *uo10474 = (struct UserObject*)obj10165;
  uo10474->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName10474 = addmethod2pos(obj10165, "statementName", &meth_ast_statementName10474, 13);
  int argcv_meth_ast_statementName10474[] = {0};
  meth_meth_ast_statementName10474->type = alloc_MethodType(1, argcv_meth_ast_statementName10474);
  meth_meth_ast_statementName10474->definitionModule = modulename;
  meth_meth_ast_statementName10474->definitionLine = 2733;
  sourceObject = obj10165;
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10476 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10477 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10478 = gc_frame_new();
// call case 3: self.outer request
  Object call10479 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10478);
// compiled member node returning call10479 (depth = 5)
  Object call10480 = callmethodflags(call10479, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10477);
// compiled member node returning call10480 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10481 = callmethodflags(call10480, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10476);
// compiled call node returning call10481 (depth = 3)
  struct UserObject *obj10165_uo = (struct UserObject *)obj10165;
  obj10165_uo->super = call10481;
  sourceObject = obj10165;
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10482 == NULL) {
    strlit10482 = alloc_String("callwithpart");
    gc_root(strlit10482);
  }
// compiled string node returning strlit10482 (depth = 3)
  adddatum2(obj10165, strlit10482, 1);
  sourceObject = obj10165;
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10165, *var_rPart, 2);
  sourceObject = obj10165;
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10165, *var_xs, 3);
  sourceObject = obj10165;
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10165, *var_emptySeq, 4);
  sourceObject = obj10165;
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10483 = alloc_Float64(0);
// compiled num node returning num10483 (depth = 3)
  adddatum2(obj10165, num10483, 5);
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  sourceObject = obj10165;
  objclass10165 = obj10165->class;
  objclass10165->definitionModule = modulename;
  objclass10165->definitionLine = 2665;
  (*(struct UserObject *)self).data[0] = lowerouter10165;
  self = oldself10165;
  selfslot = oldselfslot10165;
  stackframe = oldstackframe10165;
  gc_frame_end(frame);
  return obj10165;
}
Object meth_ast_requestPart10485(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "requestPart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_requestPart (depth = 3)
  gc_frame_end(frame);
  return *var_requestPart;
}
Object meth_ast_isComment10496(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10497 = alloc_Boolean(1);
// compiled identifier node returning bool10497 (depth = 3)
  gc_frame_end(frame);
  return bool10497;
}
Object meth_ast_isLegalInTrait10498(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10499 = alloc_Boolean(1);
// compiled identifier node returning bool10499 (depth = 3)
  gc_frame_end(frame);
  return bool10499;
}
Object meth_ast_isExecutable10500(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10501 = alloc_Boolean(0);
// compiled identifier node returning bool10501 (depth = 3)
  gc_frame_end(frame);
  return bool10501;
}
Object meth_ast_asString10502(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2748
  setline(2748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10504 == NULL) {
    strlit10504 = alloc_String("");
    gc_root(strlit10504);
  }
// compiled string node returning strlit10504 (depth = 4)
  int op_slot_right_10503 = gc_frame_newslot(strlit10504);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10507 = gc_frame_new();
// call case 4: self request
  Object call10508 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10507);
// compiled member node returning call10508 (depth = 5)
  int op_slot_right_10506 = gc_frame_newslot(call10508);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10511 == NULL) {
    strlit10511 = alloc_String("): ");
    gc_root(strlit10511);
  }
// compiled string node returning strlit10511 (depth = 6)
  int op_slot_right_10510 = gc_frame_newslot(strlit10511);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10514 = gc_frame_new();
// call case 4: self request
  Object call10515 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10514);
// compiled member node returning call10515 (depth = 7)
  int op_slot_right_10513 = gc_frame_newslot(call10515);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10518 == NULL) {
    strlit10518 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit10518);
  }
// compiled string node returning strlit10518 (depth = 8)
  int op_slot_right_10517 = gc_frame_newslot(strlit10518);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10521 = gc_frame_new();
// call case 4: self request
  Object call10522 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10521);
// compiled member node returning call10522 (depth = 9)
  int op_slot_right_10520 = gc_frame_newslot(call10522);
// starting to compile string node (depth = 9)
  if (strlit10524 == NULL) {
    strlit10524 = alloc_String("comment (");
    gc_root(strlit10524);
  }
// compiled string node returning strlit10524 (depth = 9)
  int op_slot_left_10520 = gc_frame_newslot(strlit10524);
  params[0] = call10522;
  partcv[0] = 1;
  Object opresult10525 = callmethod(strlit10524, "++(1)", 1, partcv, params);
// compiled op node returning opresult10525 (depth = 8)
  int op_slot_left_10517 = gc_frame_newslot(opresult10525);
  params[0] = strlit10518;
  partcv[0] = 1;
  Object opresult10526 = callmethod(opresult10525, "++(1)", 1, partcv, params);
// compiled op node returning opresult10526 (depth = 7)
  int op_slot_left_10513 = gc_frame_newslot(opresult10526);
  params[0] = call10515;
  partcv[0] = 1;
  Object opresult10527 = callmethod(opresult10526, "++(1)", 1, partcv, params);
// compiled op node returning opresult10527 (depth = 6)
  int op_slot_left_10510 = gc_frame_newslot(opresult10527);
  params[0] = strlit10511;
  partcv[0] = 1;
  Object opresult10528 = callmethod(opresult10527, "++(1)", 1, partcv, params);
// compiled op node returning opresult10528 (depth = 5)
  int op_slot_left_10506 = gc_frame_newslot(opresult10528);
  params[0] = call10508;
  partcv[0] = 1;
  Object opresult10529 = callmethod(opresult10528, "++(1)", 1, partcv, params);
// compiled op node returning opresult10529 (depth = 4)
  int op_slot_left_10503 = gc_frame_newslot(opresult10529);
  params[0] = strlit10504;
  partcv[0] = 1;
  Object opresult10530 = callmethod(opresult10529, "++(1)", 1, partcv, params);
// compiled op node returning opresult10530 (depth = 3)
  gc_frame_end(frame);
  return opresult10530;
}
Object meth_ast_extendCommentUsing_40_1_41_10531(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extendCommentUsing(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extendCommentUsing(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extendCommentUsing(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extendCommentUsing(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10532 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10534 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmtNode (depth = 6)
  Object call10535 = callmethodflags(*var_cmtNode, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10534);
// compiled member node returning call10535 (depth = 5)
  int op_slot_right_10533 = gc_frame_newslot(call10535);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10538 == NULL) {
    strlit10538 = alloc_String(" ");
    gc_root(strlit10538);
  }
// compiled string node returning strlit10538 (depth = 6)
  int op_slot_right_10537 = gc_frame_newslot(strlit10538);
// starting to compile member node (depth = 6)
  int callframe10540 = gc_frame_new();
// call case 4: self request
  Object call10541 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10540);
// compiled member node returning call10541 (depth = 6)
  int op_slot_left_10537 = gc_frame_newslot(call10541);
  params[0] = strlit10538;
  partcv[0] = 1;
  Object opresult10542 = callmethod(call10541, "++(1)", 1, partcv, params);
// compiled op node returning opresult10542 (depth = 5)
  int op_slot_left_10533 = gc_frame_newslot(opresult10542);
  params[0] = call10535;
  partcv[0] = 1;
  Object opresult10543 = callmethod(opresult10542, "++(1)", 1, partcv, params);
// compiled op node returning opresult10543 (depth = 4)
  gc_frame_newslot(opresult10543);
// call case 4: self request
  params[0] = opresult10543;
  partcv[0] = 1;
  Object call10544 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10532);
// compiled call node returning call10544 (depth = 3)
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10545 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10546 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmtNode (depth = 5)
  Object call10547 = callmethodflags(*var_cmtNode, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10546);
// compiled member node returning call10547 (depth = 4)
  gc_frame_newslot(call10547);
// call case 4: self request
  params[0] = call10547;
  partcv[0] = 1;
  Object call10548 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10545);
// compiled call node returning call10548 (depth = 3)
  gc_frame_end(frame);
  return call10548;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_10549(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2754
  setline(2754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10550 = gc_frame_new();
// call case 4: self request
  Object call10551 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10550);
// compiled member node returning call10551 (depth = 4)
  *var_n = call10551;
  if (call10551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10552 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10553 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10552);
// compiled call node returning call10553 (depth = 4)
  *var_newChain = call10553;
  if (call10553 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10554 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10555 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10554);
// compiled call node returning call10555 (depth = 3)
  gc_frame_end(frame);
  return call10555;
}
Object meth_ast_accept_40_1_41_from_40_1_41_10556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2759
  setline(2759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10557 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10558 = callmethodflags(*var_visitor, "visitComment(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10557);
// compiled call node returning call10558 (depth = 3)
  gc_frame_end(frame);
  return call10558;
}
Object meth_ast__apply10567(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2764
  setline(2764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10569 == NULL) {
    strlit10569 = alloc_String("  ");
    gc_root(strlit10569);
  }
// compiled string node returning strlit10569 (depth = 7)
  int op_slot_right_10568 = gc_frame_newslot(strlit10569);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10568 = gc_frame_newslot(*var_s);
  params[0] = strlit10569;
  partcv[0] = 1;
  Object opresult10571 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10571 (depth = 6)
  *var_s = opresult10571;
  if (opresult10571 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_10559(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
  Object *var_pb = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "pb");
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10560 == NULL) {
    strlit10560 = alloc_String("""\x0a""");
    gc_root(strlit10560);
  }
// compiled string node returning strlit10560 (depth = 4)
  *var_s = strlit10560;
  if (strlit10560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2763
  setline(2763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10561 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10563 = alloc_Float64(1);
// compiled num node returning num10563 (depth = 5)
  int op_slot_right_10562 = gc_frame_newslot(num10563);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_10562 = gc_frame_newslot(*var_depth);
  params[0] = num10563;
  partcv[0] = 1;
  Object diff10565 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff10565 (depth = 4)
  gc_frame_newslot(diff10565);
// starting to compile block node (depth = 4)
  Object block10566 = alloc_Block(NULL, NULL, "ast", 2763);
  gc_frame_newslot(block10566);
// method "_apply"
  block_savedest(block10566);
  Object closure10567 = createclosure(2, "_apply");
  setclosureframe(closure10567, stackframe);
  addtoclosure(closure10567, var_s);
  addtoclosure(closure10567, selfslot);
  struct UserObject *uo10567 = (struct UserObject*)block10566;
  uo10567->data[0] = (Object)closure10567;
  Method *meth_meth_ast__apply10567 = addmethod2pos(block10566, "_apply", &meth_ast__apply10567, 0);
  int argcv_meth_ast__apply10567[] = {0};
  meth_meth_ast__apply10567->type = alloc_MethodType(1, argcv_meth_ast__apply10567);
  meth_meth_ast__apply10567->definitionModule = modulename;
  meth_meth_ast__apply10567->definitionLine = 2984;
// compiled block node returning block10566 (depth = 4)
  gc_frame_newslot(block10566);
// call case 5: prelude request
  params[0] = diff10565;
  params[1] = block10566;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10574 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10561);
// compiled call node returning call10574 (depth = 3)
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10576 = gc_frame_new();
// call case 4: self request
  Object call10577 = callmethodflags(self, "isPreceededByBlankLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10576);
// compiled member node returning call10577 (depth = 5)
  Object if10575 = done;
struct StackFrameObject *iftmpstackframe10575 = stackframe;
  if (istrue(call10577)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10575);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit10578 == NULL) {
    strlit10578 = alloc_String(" > blank");
    gc_root(strlit10578);
  }
// compiled string node returning strlit10578 (depth = 5)
    gc_frame_newslot(strlit10578);
    if10575 = strlit10578;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10575);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit10579 == NULL) {
    strlit10579 = alloc_String("");
    gc_root(strlit10579);
  }
// compiled string node returning strlit10579 (depth = 5)
    gc_frame_newslot(strlit10579);
    if10575 = strlit10579;
  }
stackframe = iftmpstackframe10575;
// compiled if node returning if10575 (depth = 4)
  *var_pb = if10575;
  if (if10575 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2767
  setline(2767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10581 == NULL) {
    strlit10581 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit10581);
  }
// compiled string node returning strlit10581 (depth = 4)
  int op_slot_right_10580 = gc_frame_newslot(strlit10581);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10584 = gc_frame_new();
// call case 4: self request
  Object call10585 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10584);
// compiled member node returning call10585 (depth = 5)
  int op_slot_right_10583 = gc_frame_newslot(call10585);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10588 == NULL) {
    strlit10588 = alloc_String("): ""\xe2""""\x80""""\xb9""");
    gc_root(strlit10588);
  }
// compiled string node returning strlit10588 (depth = 6)
  int op_slot_right_10587 = gc_frame_newslot(strlit10588);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10591 = gc_frame_new();
// call case 4: self request
  Object call10592 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10591);
// compiled member node returning call10592 (depth = 7)
  int op_slot_right_10590 = gc_frame_newslot(call10592);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10595 == NULL) {
    strlit10595 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit10595);
  }
// compiled string node returning strlit10595 (depth = 8)
  int op_slot_right_10594 = gc_frame_newslot(strlit10595);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10598 = gc_frame_new();
// call case 4: self request
  Object call10599 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10598);
// compiled member node returning call10599 (depth = 9)
  int op_slot_right_10597 = gc_frame_newslot(call10599);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10602 == NULL) {
    strlit10602 = alloc_String("(");
    gc_root(strlit10602);
  }
// compiled string node returning strlit10602 (depth = 10)
  int op_slot_right_10601 = gc_frame_newslot(strlit10602);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_pb (depth = 11)
  int op_slot_right_10604 = gc_frame_newslot(*var_pb);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit10607 == NULL) {
    strlit10607 = alloc_String("Comment");
    gc_root(strlit10607);
  }
// compiled string node returning strlit10607 (depth = 12)
  int op_slot_right_10606 = gc_frame_newslot(strlit10607);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_10609 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit10611 == NULL) {
    strlit10611 = alloc_String("");
    gc_root(strlit10611);
  }
// compiled string node returning strlit10611 (depth = 13)
  int op_slot_left_10609 = gc_frame_newslot(strlit10611);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10612 = callmethod(strlit10611, "++(1)", 1, partcv, params);
// compiled op node returning opresult10612 (depth = 12)
  int op_slot_left_10606 = gc_frame_newslot(opresult10612);
  params[0] = strlit10607;
  partcv[0] = 1;
  Object opresult10613 = callmethod(opresult10612, "++(1)", 1, partcv, params);
// compiled op node returning opresult10613 (depth = 11)
  int op_slot_left_10604 = gc_frame_newslot(opresult10613);
  params[0] = *var_pb;
  partcv[0] = 1;
  Object opresult10614 = callmethod(opresult10613, "++(1)", 1, partcv, params);
// compiled op node returning opresult10614 (depth = 10)
  int op_slot_left_10601 = gc_frame_newslot(opresult10614);
  params[0] = strlit10602;
  partcv[0] = 1;
  Object opresult10615 = callmethod(opresult10614, "++(1)", 1, partcv, params);
// compiled op node returning opresult10615 (depth = 9)
  int op_slot_left_10597 = gc_frame_newslot(opresult10615);
  params[0] = call10599;
  partcv[0] = 1;
  Object opresult10616 = callmethod(opresult10615, "++(1)", 1, partcv, params);
// compiled op node returning opresult10616 (depth = 8)
  int op_slot_left_10594 = gc_frame_newslot(opresult10616);
  params[0] = strlit10595;
  partcv[0] = 1;
  Object opresult10617 = callmethod(opresult10616, "++(1)", 1, partcv, params);
// compiled op node returning opresult10617 (depth = 7)
  int op_slot_left_10590 = gc_frame_newslot(opresult10617);
  params[0] = call10592;
  partcv[0] = 1;
  Object opresult10618 = callmethod(opresult10617, "++(1)", 1, partcv, params);
// compiled op node returning opresult10618 (depth = 6)
  int op_slot_left_10587 = gc_frame_newslot(opresult10618);
  params[0] = strlit10588;
  partcv[0] = 1;
  Object opresult10619 = callmethod(opresult10618, "++(1)", 1, partcv, params);
// compiled op node returning opresult10619 (depth = 5)
  int op_slot_left_10583 = gc_frame_newslot(opresult10619);
  params[0] = call10585;
  partcv[0] = 1;
  Object opresult10620 = callmethod(opresult10619, "++(1)", 1, partcv, params);
// compiled op node returning opresult10620 (depth = 4)
  int op_slot_left_10580 = gc_frame_newslot(opresult10620);
  params[0] = strlit10581;
  partcv[0] = 1;
  Object opresult10621 = callmethod(opresult10620, "++(1)", 1, partcv, params);
// compiled op node returning opresult10621 (depth = 3)
  gc_frame_end(frame);
  return opresult10621;
}
Object meth_ast__apply10639(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10641 == NULL) {
    strlit10641 = alloc_String("    ");
    gc_root(strlit10641);
  }
// compiled string node returning strlit10641 (depth = 8)
  int op_slot_right_10640 = gc_frame_newslot(strlit10641);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_10640 = gc_frame_newslot(*var_spc);
  params[0] = strlit10641;
  partcv[0] = 1;
  Object opresult10643 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10643 (depth = 7)
  *var_spc = opresult10643;
  if (opresult10643 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_10622(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[3];
  int partcv[3];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 2772
  setline(2772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10624 = gc_frame_new();
// call case 4: self request
  Object call10625 = callmethodflags(self, "isPartialLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10624);
// compiled member node returning call10625 (depth = 4)
  Object if10623 = done;
  if (istrue(call10625)) {
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10627 == NULL) {
    strlit10627 = alloc_String("");
    gc_root(strlit10627);
  }
// compiled string node returning strlit10627 (depth = 5)
  int op_slot_right_10626 = gc_frame_newslot(strlit10627);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10630 = gc_frame_new();
// call case 4: self request
  Object call10631 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10630);
// compiled member node returning call10631 (depth = 6)
  int op_slot_right_10629 = gc_frame_newslot(call10631);
// starting to compile string node (depth = 6)
  if (strlit10633 == NULL) {
    strlit10633 = alloc_String("// (partial) ");
    gc_root(strlit10633);
  }
// compiled string node returning strlit10633 (depth = 6)
  int op_slot_left_10629 = gc_frame_newslot(strlit10633);
  params[0] = call10631;
  partcv[0] = 1;
  Object opresult10634 = callmethod(strlit10633, "++(1)", 1, partcv, params);
// compiled op node returning opresult10634 (depth = 5)
  int op_slot_left_10626 = gc_frame_newslot(opresult10634);
  params[0] = strlit10627;
  partcv[0] = 1;
  Object opresult10635 = callmethod(opresult10634, "++(1)", 1, partcv, params);
// compiled op node returning opresult10635 (depth = 4)
    gc_frame_newslot(opresult10635);
    if10623 = opresult10635;
  } else {
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10636 == NULL) {
    strlit10636 = alloc_String("");
    gc_root(strlit10636);
  }
// compiled string node returning strlit10636 (depth = 5)
  *var_spc = strlit10636;
  if (strlit10636 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10637 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 5)
  Object block10638 = alloc_Block(NULL, NULL, "ast", 2776);
  gc_frame_newslot(block10638);
// method "_apply"
  block_savedest(block10638);
  Object closure10639 = createclosure(2, "_apply");
  setclosureframe(closure10639, stackframe);
  addtoclosure(closure10639, var_spc);
  addtoclosure(closure10639, selfslot);
  struct UserObject *uo10639 = (struct UserObject*)block10638;
  uo10639->data[0] = (Object)closure10639;
  Method *meth_meth_ast__apply10639 = addmethod2pos(block10638, "_apply", &meth_ast__apply10639, 0);
  int argcv_meth_ast__apply10639[] = {0};
  meth_meth_ast__apply10639->type = alloc_MethodType(1, argcv_meth_ast__apply10639);
  meth_meth_ast__apply10639->definitionModule = modulename;
  meth_meth_ast__apply10639->definitionLine = 2984;
// compiled block node returning block10638 (depth = 5)
  gc_frame_newslot(block10638);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block10638;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10646 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10637);
// compiled call node returning call10646 (depth = 4)
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10647 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10648 = gc_frame_new();
// call case 4: self request
  Object call10649 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10648);
// compiled member node returning call10649 (depth = 5)
  gc_frame_newslot(call10649);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineLength (depth = 5)
  gc_frame_newslot(*var_lineLength);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10651 == NULL) {
    strlit10651 = alloc_String("// ");
    gc_root(strlit10651);
  }
// compiled string node returning strlit10651 (depth = 6)
  int op_slot_right_10650 = gc_frame_newslot(strlit10651);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_10650 = gc_frame_newslot(*var_spc);
  params[0] = strlit10651;
  partcv[0] = 1;
  Object opresult10653 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10653 (depth = 5)
  gc_frame_newslot(opresult10653);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10654 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10655 = gc_frame_new();
// call case 3: self.outer request
  Object call10656 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10655);
// compiled member node returning call10656 (depth = 6)
  Object call10657 = callmethodflags(call10656, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10654);
// compiled member node returning call10657 (depth = 5)
  params[0] = call10649;
  params[1] = *var_lineLength;
  params[2] = opresult10653;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10658 = callmethodflags(call10657, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10647);
// compiled call node returning call10658 (depth = 4)
    gc_frame_newslot(call10658);
    if10623 = call10658;
  }
// compiled if node returning if10623 (depth = 3)
  gc_frame_end(frame);
  return if10623;
}
Object meth_ast_shallowCopy10659(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_commentNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2781
  setline(2781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10660 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10661 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_commentNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call10662 = callmethodflags(*var_commentNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10661);
// compiled call node returning call10662 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10663 = callmethodflags(call10662, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10660);
// compiled call node returning call10663 (depth = 3)
  gc_frame_end(frame);
  return call10663;
}
Object meth_ast_postCopy_40_1_41_10664(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "postCopy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method postCopy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for postCopy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part postCopy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10665 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10666 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10667 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10666);
// compiled member node returning call10667 (depth = 4)
  gc_frame_newslot(call10667);
// call case 4: self request
  params[0] = call10667;
  partcv[0] = 1;
  Object call10668 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10665);
// compiled call node returning call10668 (depth = 3)
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10669 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10670 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10671 = callmethodflags(*var_other, "isPartialLine", 0, partcv, params, 0);
  gc_frame_end(callframe10670);
// compiled member node returning call10671 (depth = 4)
  gc_frame_newslot(call10671);
// call case 4: self request
  params[0] = call10671;
  partcv[0] = 1;
  Object call10672 = callmethodflags(self, "isPartialLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10669);
// compiled call node returning call10672 (depth = 3)
// Begin line 2786
  setline(2786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10673 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10674 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10675 = callmethodflags(*var_other, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10674);
// compiled member node returning call10675 (depth = 4)
  gc_frame_newslot(call10675);
// call case 4: self request
  params[0] = call10675;
  partcv[0] = 1;
  Object call10676 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10673);
// compiled call node returning call10676 (depth = 3)
// Begin line 2787
  setline(2787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_1_41_10488(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_lineLength = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_commentNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10489 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10489 = alloc_userobj2(20,17, objclass10489);
  gc_frame_newslot(obj10489);
if (objclass10489 == NULL) {
  glfree(obj10489->class->name);
  obj10489->class->name = "commentNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10489, self, 0);
  addmethodreal(obj10489,"outer", &reader_ast_outer_10490);
  Object oldself10489 = self;
  struct StackFrameObject *oldstackframe10489 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10489);
  gc_frame_newslot((Object)stackframe);
  self = obj10489;
  Object *oldselfslot10489 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10489 = (*(struct UserObject *)self).data[0], lowerouter10489 = thisouter10489;
  if (inheritingObject10489) {
    struct UserObject *inho10489 = (struct UserObject *)inheritingObject10489;
    while (inho10489->super != GraceDefaultObject) inho10489 = (struct UserObject *)inho10489->super;
    inho10489->super = obj10489;
    self = inheritingObject10489;
    *selfslot = self;
    lowerouter10489 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10489;
  }
if (objclass10489 == NULL) {
  Method *reader10491 = addmethodrealflags(obj10489, "kind",&reader_ast_kind_10491, MFLAG_DEF);
  reader10491->definitionModule = modulename;
  reader10491->definitionLine = 2740;
}
adddatum2(obj10489, alloc_Undefined(), 1);
if (objclass10489 == NULL) {
  Method *reader10492 = addmethodrealflags(obj10489, "value", &reader_ast_value_10492, 0);
  Method *writer10492 = addmethodrealflags(obj10489, "value:=(1)", &writer_ast_value_10492, 0);
  reader10492->definitionModule = modulename;
  writer10492->definitionModule = modulename;
  reader10492->definitionLine = 2741;
  writer10492->definitionLine = 2741;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 2);
if (objclass10489 == NULL) {
  Method *reader10493 = addmethodrealflags(obj10489, "isPartialLine", &reader_ast_isPartialLine_10493, 0);
  Method *writer10493 = addmethodrealflags(obj10489, "isPartialLine:=(1)", &writer_ast_isPartialLine_10493, 0);
  reader10493->definitionModule = modulename;
  writer10493->definitionModule = modulename;
  reader10493->definitionLine = 2742;
  writer10493->definitionLine = 2742;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 3);
if (objclass10489 == NULL) {
  Method *reader10494 = addmethodrealflags(obj10489, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_10494, 0);
  Method *writer10494 = addmethodrealflags(obj10489, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_10494, 0);
  reader10494->definitionModule = modulename;
  writer10494->definitionModule = modulename;
  reader10494->definitionLine = 2743;
  writer10494->definitionLine = 2743;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 4);
if (objclass10489 == NULL) {
  Method *reader10495 = addmethodrealflags(obj10489, "endLine", &reader_ast_endLine_10495, 0);
  Method *writer10495 = addmethodrealflags(obj10489, "endLine:=(1)", &writer_ast_endLine_10495, 0);
  reader10495->definitionModule = modulename;
  writer10495->definitionModule = modulename;
  reader10495->definitionLine = 2744;
  writer10495->definitionLine = 2744;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 5);
// method "isComment"
  struct UserObject *uo10496 = (struct UserObject*)obj10489;
  uo10496->data[6] = emptyclosure;
  Method *meth_meth_ast_isComment10496 = addmethod2pos(obj10489, "isComment", &meth_ast_isComment10496, 6);
  int argcv_meth_ast_isComment10496[] = {0};
  meth_meth_ast_isComment10496->type = alloc_MethodType(1, argcv_meth_ast_isComment10496);
  meth_meth_ast_isComment10496->definitionModule = modulename;
  meth_meth_ast_isComment10496->definitionLine = 2745;
// method "isLegalInTrait"
  struct UserObject *uo10498 = (struct UserObject*)obj10489;
  uo10498->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait10498 = addmethod2pos(obj10489, "isLegalInTrait", &meth_ast_isLegalInTrait10498, 7);
  int argcv_meth_ast_isLegalInTrait10498[] = {0};
  meth_meth_ast_isLegalInTrait10498->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait10498);
  meth_meth_ast_isLegalInTrait10498->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait10498->definitionLine = 2746;
// method "isExecutable"
  struct UserObject *uo10500 = (struct UserObject*)obj10489;
  uo10500->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable10500 = addmethod2pos(obj10489, "isExecutable", &meth_ast_isExecutable10500, 8);
  int argcv_meth_ast_isExecutable10500[] = {0};
  meth_meth_ast_isExecutable10500->type = alloc_MethodType(1, argcv_meth_ast_isExecutable10500);
  meth_meth_ast_isExecutable10500->definitionModule = modulename;
  meth_meth_ast_isExecutable10500->definitionLine = 2747;
// method "asString"
  struct UserObject *uo10502 = (struct UserObject*)obj10489;
  uo10502->data[9] = emptyclosure;
  Method *meth_meth_ast_asString10502 = addmethod2pos(obj10489, "asString", &meth_ast_asString10502, 9);
  int argcv_meth_ast_asString10502[] = {0};
  meth_meth_ast_asString10502->type = alloc_MethodType(1, argcv_meth_ast_asString10502);
  meth_meth_ast_asString10502->definitionModule = modulename;
  meth_meth_ast_asString10502->definitionLine = 2748;
// method "extendCommentUsing(_)"
  struct UserObject *uo10531 = (struct UserObject*)obj10489;
  uo10531->data[10] = emptyclosure;
  Method *meth_meth_ast_extendCommentUsing_40_1_41_10531 = addmethod2pos(obj10489, "extendCommentUsing(1)", &meth_ast_extendCommentUsing_40_1_41_10531, 10);
  int argcv_meth_ast_extendCommentUsing_40_1_41_10531[] = {1};
  meth_meth_ast_extendCommentUsing_40_1_41_10531->type = alloc_MethodType(1, argcv_meth_ast_extendCommentUsing_40_1_41_10531);
  meth_meth_ast_extendCommentUsing_40_1_41_10531->definitionModule = modulename;
  meth_meth_ast_extendCommentUsing_40_1_41_10531->definitionLine = 2749;
// method "map(_)ancestors(_)"
  struct UserObject *uo10549 = (struct UserObject*)obj10489;
  uo10549->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549 = addmethod2pos(obj10489, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10549, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10549[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10549);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->definitionLine = 2753;
// method "accept(_)from(_)"
  struct UserObject *uo10556 = (struct UserObject*)obj10489;
  uo10556->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_10556 = addmethod2pos(obj10489, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_10556, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_10556[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_10556);
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->definitionLine = 2758;
// method "pretty(_)"
  struct UserObject *uo10559 = (struct UserObject*)obj10489;
  uo10559->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10559 = addmethod2pos(obj10489, "pretty(1)", &meth_ast_pretty_40_1_41_10559, 13);
  int argcv_meth_ast_pretty_40_1_41_10559[] = {1};
  meth_meth_ast_pretty_40_1_41_10559->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10559);
  meth_meth_ast_pretty_40_1_41_10559->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10559->definitionLine = 2761;
// method "toGrace(_)"
  block_savedest(obj10489);
  Object closure10622 = createclosure(1, "toGrace(1)");
  setclosureframe(closure10622, stackframe);
  addtoclosure(closure10622, var_lineLength);
  struct UserObject *uo10622 = (struct UserObject*)obj10489;
  uo10622->data[14] = (Object)closure10622;
  Method *meth_meth_ast_toGrace_40_1_41_10622 = addmethod2pos(obj10489, "toGrace(1)", &meth_ast_toGrace_40_1_41_10622, 14);
  int argcv_meth_ast_toGrace_40_1_41_10622[] = {1};
  meth_meth_ast_toGrace_40_1_41_10622->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10622);
  meth_meth_ast_toGrace_40_1_41_10622->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10622->definitionLine = 2769;
// method "shallowCopy"
  block_savedest(obj10489);
  Object closure10659 = createclosure(2, "shallowCopy");
  setclosureframe(closure10659, stackframe);
  addtoclosure(closure10659, var_nullNode);
  addtoclosure(closure10659, var_commentNode);
  struct UserObject *uo10659 = (struct UserObject*)obj10489;
  uo10659->data[15] = (Object)closure10659;
  Method *meth_meth_ast_shallowCopy10659 = addmethod2pos(obj10489, "shallowCopy", &meth_ast_shallowCopy10659, 15);
  int argcv_meth_ast_shallowCopy10659[] = {0};
  meth_meth_ast_shallowCopy10659->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10659);
  meth_meth_ast_shallowCopy10659->definitionModule = modulename;
  meth_meth_ast_shallowCopy10659->definitionLine = 2780;
// method "postCopy(_)"
  struct UserObject *uo10664 = (struct UserObject*)obj10489;
  uo10664->data[16] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10664 = addmethod2pos(obj10489, "postCopy(1)", &meth_ast_postCopy_40_1_41_10664, 16);
  int argcv_meth_ast_postCopy_40_1_41_10664[] = {1};
  meth_meth_ast_postCopy_40_1_41_10664->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10664);
  meth_meth_ast_postCopy_40_1_41_10664->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10664->definitionLine = 2783;
  sourceObject = obj10489;
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10677 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10678 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10679 = gc_frame_new();
// call case 3: self.outer request
  Object call10680 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10679);
// compiled member node returning call10680 (depth = 5)
  Object call10681 = callmethodflags(call10680, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10678);
// compiled member node returning call10681 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10682 = callmethodflags(call10681, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10677);
// compiled call node returning call10682 (depth = 3)
  struct UserObject *obj10489_uo = (struct UserObject *)obj10489;
  obj10489_uo->super = call10682;
  sourceObject = obj10489;
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10683 == NULL) {
    strlit10683 = alloc_String("comment");
    gc_root(strlit10683);
  }
// compiled string node returning strlit10683 (depth = 3)
  adddatum2(obj10489, strlit10683, 1);
  sourceObject = obj10489;
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj10489, *var_val_39_, 2);
  sourceObject = obj10489;
// Begin line 2742
  setline(2742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10684 = alloc_Boolean(0);
// compiled identifier node returning bool10684 (depth = 3)
  adddatum2(obj10489, bool10684, 3);
  sourceObject = obj10489;
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10685 = alloc_Boolean(0);
// compiled identifier node returning bool10685 (depth = 3)
  adddatum2(obj10489, bool10685, 4);
  sourceObject = obj10489;
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call10687 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe10686);
// compiled member node returning call10687 (depth = 3)
  adddatum2(obj10489, call10687, 5);
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  objclass10489 = obj10489->class;
  objclass10489->definitionModule = modulename;
  objclass10489->definitionLine = 2738;
  (*(struct UserObject *)self).data[0] = lowerouter10489;
  self = oldself10489;
  selfslot = oldselfslot10489;
  stackframe = oldstackframe10489;
  gc_frame_end(frame);
  return obj10489;
}
Object meth_ast_new_40_1_41_10488_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_lineLength = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_commentNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10489 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10489 = alloc_userobj2(20,17, objclass10489);
  gc_frame_newslot(obj10489);
if (objclass10489 == NULL) {
  glfree(obj10489->class->name);
  obj10489->class->name = "commentNode.new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10489, self, 0);
  addmethodreal(obj10489,"outer", &reader_ast_outer_10490);
  Object oldself10489 = self;
  struct StackFrameObject *oldstackframe10489 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10489);
  gc_frame_newslot((Object)stackframe);
  self = obj10489;
  Object *oldselfslot10489 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10489 = (*(struct UserObject *)self).data[0], lowerouter10489 = thisouter10489;
  if (inheritingObject10489) {
    struct UserObject *inho10489 = (struct UserObject *)inheritingObject10489;
    while (inho10489->super != GraceDefaultObject) inho10489 = (struct UserObject *)inho10489->super;
    inho10489->super = obj10489;
    self = inheritingObject10489;
    *selfslot = self;
    lowerouter10489 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10489;
  }
if (objclass10489 == NULL) {
  Method *reader10491 = addmethodrealflags(obj10489, "kind",&reader_ast_kind_10491, MFLAG_DEF);
  reader10491->definitionModule = modulename;
  reader10491->definitionLine = 2740;
}
adddatum2(obj10489, alloc_Undefined(), 1);
if (objclass10489 == NULL) {
  Method *reader10492 = addmethodrealflags(obj10489, "value", &reader_ast_value_10492, 0);
  Method *writer10492 = addmethodrealflags(obj10489, "value:=(1)", &writer_ast_value_10492, 0);
  reader10492->definitionModule = modulename;
  writer10492->definitionModule = modulename;
  reader10492->definitionLine = 2741;
  writer10492->definitionLine = 2741;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 2);
if (objclass10489 == NULL) {
  Method *reader10493 = addmethodrealflags(obj10489, "isPartialLine", &reader_ast_isPartialLine_10493, 0);
  Method *writer10493 = addmethodrealflags(obj10489, "isPartialLine:=(1)", &writer_ast_isPartialLine_10493, 0);
  reader10493->definitionModule = modulename;
  writer10493->definitionModule = modulename;
  reader10493->definitionLine = 2742;
  writer10493->definitionLine = 2742;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 3);
if (objclass10489 == NULL) {
  Method *reader10494 = addmethodrealflags(obj10489, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_10494, 0);
  Method *writer10494 = addmethodrealflags(obj10489, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_10494, 0);
  reader10494->definitionModule = modulename;
  writer10494->definitionModule = modulename;
  reader10494->definitionLine = 2743;
  writer10494->definitionLine = 2743;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 4);
if (objclass10489 == NULL) {
  Method *reader10495 = addmethodrealflags(obj10489, "endLine", &reader_ast_endLine_10495, 0);
  Method *writer10495 = addmethodrealflags(obj10489, "endLine:=(1)", &writer_ast_endLine_10495, 0);
  reader10495->definitionModule = modulename;
  writer10495->definitionModule = modulename;
  reader10495->definitionLine = 2744;
  writer10495->definitionLine = 2744;
}
obj10489->flags |= OFLAG_MUTABLE;
adddatum2(obj10489, alloc_Undefined(), 5);
// method "isComment"
  struct UserObject *uo10496 = (struct UserObject*)obj10489;
  uo10496->data[6] = emptyclosure;
  Method *meth_meth_ast_isComment10496 = addmethod2pos(obj10489, "isComment", &meth_ast_isComment10496, 6);
  int argcv_meth_ast_isComment10496[] = {0};
  meth_meth_ast_isComment10496->type = alloc_MethodType(1, argcv_meth_ast_isComment10496);
  meth_meth_ast_isComment10496->definitionModule = modulename;
  meth_meth_ast_isComment10496->definitionLine = 2745;
// method "isLegalInTrait"
  struct UserObject *uo10498 = (struct UserObject*)obj10489;
  uo10498->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait10498 = addmethod2pos(obj10489, "isLegalInTrait", &meth_ast_isLegalInTrait10498, 7);
  int argcv_meth_ast_isLegalInTrait10498[] = {0};
  meth_meth_ast_isLegalInTrait10498->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait10498);
  meth_meth_ast_isLegalInTrait10498->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait10498->definitionLine = 2746;
// method "isExecutable"
  struct UserObject *uo10500 = (struct UserObject*)obj10489;
  uo10500->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable10500 = addmethod2pos(obj10489, "isExecutable", &meth_ast_isExecutable10500, 8);
  int argcv_meth_ast_isExecutable10500[] = {0};
  meth_meth_ast_isExecutable10500->type = alloc_MethodType(1, argcv_meth_ast_isExecutable10500);
  meth_meth_ast_isExecutable10500->definitionModule = modulename;
  meth_meth_ast_isExecutable10500->definitionLine = 2747;
// method "asString"
  struct UserObject *uo10502 = (struct UserObject*)obj10489;
  uo10502->data[9] = emptyclosure;
  Method *meth_meth_ast_asString10502 = addmethod2pos(obj10489, "asString", &meth_ast_asString10502, 9);
  int argcv_meth_ast_asString10502[] = {0};
  meth_meth_ast_asString10502->type = alloc_MethodType(1, argcv_meth_ast_asString10502);
  meth_meth_ast_asString10502->definitionModule = modulename;
  meth_meth_ast_asString10502->definitionLine = 2748;
// method "extendCommentUsing(_)"
  struct UserObject *uo10531 = (struct UserObject*)obj10489;
  uo10531->data[10] = emptyclosure;
  Method *meth_meth_ast_extendCommentUsing_40_1_41_10531 = addmethod2pos(obj10489, "extendCommentUsing(1)", &meth_ast_extendCommentUsing_40_1_41_10531, 10);
  int argcv_meth_ast_extendCommentUsing_40_1_41_10531[] = {1};
  meth_meth_ast_extendCommentUsing_40_1_41_10531->type = alloc_MethodType(1, argcv_meth_ast_extendCommentUsing_40_1_41_10531);
  meth_meth_ast_extendCommentUsing_40_1_41_10531->definitionModule = modulename;
  meth_meth_ast_extendCommentUsing_40_1_41_10531->definitionLine = 2749;
// method "map(_)ancestors(_)"
  struct UserObject *uo10549 = (struct UserObject*)obj10489;
  uo10549->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549 = addmethod2pos(obj10489, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10549, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10549[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10549);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10549->definitionLine = 2753;
// method "accept(_)from(_)"
  struct UserObject *uo10556 = (struct UserObject*)obj10489;
  uo10556->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_10556 = addmethod2pos(obj10489, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_10556, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_10556[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_10556);
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_10556->definitionLine = 2758;
// method "pretty(_)"
  struct UserObject *uo10559 = (struct UserObject*)obj10489;
  uo10559->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10559 = addmethod2pos(obj10489, "pretty(1)", &meth_ast_pretty_40_1_41_10559, 13);
  int argcv_meth_ast_pretty_40_1_41_10559[] = {1};
  meth_meth_ast_pretty_40_1_41_10559->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10559);
  meth_meth_ast_pretty_40_1_41_10559->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10559->definitionLine = 2761;
// method "toGrace(_)"
  block_savedest(obj10489);
  Object closure10622 = createclosure(1, "toGrace(1)");
  setclosureframe(closure10622, stackframe);
  addtoclosure(closure10622, var_lineLength);
  struct UserObject *uo10622 = (struct UserObject*)obj10489;
  uo10622->data[14] = (Object)closure10622;
  Method *meth_meth_ast_toGrace_40_1_41_10622 = addmethod2pos(obj10489, "toGrace(1)", &meth_ast_toGrace_40_1_41_10622, 14);
  int argcv_meth_ast_toGrace_40_1_41_10622[] = {1};
  meth_meth_ast_toGrace_40_1_41_10622->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10622);
  meth_meth_ast_toGrace_40_1_41_10622->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10622->definitionLine = 2769;
// method "shallowCopy"
  block_savedest(obj10489);
  Object closure10659 = createclosure(2, "shallowCopy");
  setclosureframe(closure10659, stackframe);
  addtoclosure(closure10659, var_nullNode);
  addtoclosure(closure10659, var_commentNode);
  struct UserObject *uo10659 = (struct UserObject*)obj10489;
  uo10659->data[15] = (Object)closure10659;
  Method *meth_meth_ast_shallowCopy10659 = addmethod2pos(obj10489, "shallowCopy", &meth_ast_shallowCopy10659, 15);
  int argcv_meth_ast_shallowCopy10659[] = {0};
  meth_meth_ast_shallowCopy10659->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10659);
  meth_meth_ast_shallowCopy10659->definitionModule = modulename;
  meth_meth_ast_shallowCopy10659->definitionLine = 2780;
// method "postCopy(_)"
  struct UserObject *uo10664 = (struct UserObject*)obj10489;
  uo10664->data[16] = emptyclosure;
  Method *meth_meth_ast_postCopy_40_1_41_10664 = addmethod2pos(obj10489, "postCopy(1)", &meth_ast_postCopy_40_1_41_10664, 16);
  int argcv_meth_ast_postCopy_40_1_41_10664[] = {1};
  meth_meth_ast_postCopy_40_1_41_10664->type = alloc_MethodType(1, argcv_meth_ast_postCopy_40_1_41_10664);
  meth_meth_ast_postCopy_40_1_41_10664->definitionModule = modulename;
  meth_meth_ast_postCopy_40_1_41_10664->definitionLine = 2783;
  sourceObject = obj10489;
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10677 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10678 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10679 = gc_frame_new();
// call case 3: self.outer request
  Object call10680 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10679);
// compiled member node returning call10680 (depth = 5)
  Object call10681 = callmethodflags(call10680, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10678);
// compiled member node returning call10681 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10682 = callmethodflags(call10681, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10677);
// compiled call node returning call10682 (depth = 3)
  struct UserObject *obj10489_uo = (struct UserObject *)obj10489;
  obj10489_uo->super = call10682;
  sourceObject = obj10489;
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10683 == NULL) {
    strlit10683 = alloc_String("comment");
    gc_root(strlit10683);
  }
// compiled string node returning strlit10683 (depth = 3)
  adddatum2(obj10489, strlit10683, 1);
  sourceObject = obj10489;
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj10489, *var_val_39_, 2);
  sourceObject = obj10489;
// Begin line 2742
  setline(2742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10684 = alloc_Boolean(0);
// compiled identifier node returning bool10684 (depth = 3)
  adddatum2(obj10489, bool10684, 3);
  sourceObject = obj10489;
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10685 = alloc_Boolean(0);
// compiled identifier node returning bool10685 (depth = 3)
  adddatum2(obj10489, bool10685, 4);
  sourceObject = obj10489;
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call10687 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe10686);
// compiled member node returning call10687 (depth = 3)
  adddatum2(obj10489, call10687, 5);
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  sourceObject = obj10489;
  objclass10489 = obj10489->class;
  objclass10489->definitionModule = modulename;
  objclass10489->definitionLine = 2738;
  (*(struct UserObject *)self).data[0] = lowerouter10489;
  self = oldself10489;
  selfslot = oldselfslot10489;
  stackframe = oldstackframe10489;
  gc_frame_end(frame);
  return obj10489;
}
Object meth_ast_commentNode10689(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "commentNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_commentNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_commentNode (depth = 3)
  gc_frame_end(frame);
  return *var_commentNode;
}
Object meth_ast_ASTVisitor10692(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ASTVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ASTVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ASTVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_ASTVisitor;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_10695(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10696 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool10697 = alloc_Boolean(1);
// compiled identifier node returning bool10697 (depth = 4)
  gc_frame_newslot(bool10697);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  params[0] = bool10697;
  partcv[0] = 1;
  Object call10698 = callmethodflags(*var_c, "isPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10696);
// compiled call node returning call10698 (depth = 3)
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10699 = alloc_Boolean(1);
// compiled identifier node returning bool10699 (depth = 3)
  gc_frame_end(frame);
  return bool10699;
}
Object meth_ast_patternMarkVisitor10704(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "patternMarkVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_patternMarkVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_patternMarkVisitor;
}
Object module_ast_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(59, 59);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<ast>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(59, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[2];
  Object *var_util = alloc_var();
  Object *var_k = alloc_var();
  Object *var_lineLength = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineLength");
  Object *var_uninitialized = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "uninitialized");
  Object *var_ancestorChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ancestorChain");
  Object *var_emptySeq = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "emptySeq");
  Object *var_AstNode = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "AstNode");
  Object *var_SymbolTable = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "SymbolTable");
  Object *var_implicit = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "implicit");
  Object *var_nullNode = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "nullNode");
  Object *var_fakeSymbolTable = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "fakeSymbolTable");
  Object *var_ifNode = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "ifNode");
  Object *var_blockNode = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "blockNode");
  Object *var_tryCatchNode = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "tryCatchNode");
  Object *var_matchCaseNode = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "matchCaseNode");
  Object *var_methodTypeNode = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "methodTypeNode");
  Object *var_typeLiteralNode = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "typeLiteralNode");
  Object *var_typeDecNode = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "typeDecNode");
  Object *var_methodNode = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "methodNode");
  Object *var_callNode = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "callNode");
  Object *var_moduleNode = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "moduleNode");
  Object *var_objectNode = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "objectNode");
  Object *var_arrayNode = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "arrayNode");
  Object *var_memberNode = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "memberNode");
  Object *var_genericNode = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "genericNode");
  Object *var_typeParametersNode = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "typeParametersNode");
  Object *var_identifierNode = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "identifierNode");
  Object *var_typeType = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "typeType");
  Object *var_unknownType = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "unknownType");
  Object *var_stringNode = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "stringNode");
  Object *var_numNode = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "numNode");
  Object *var_opNode = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "opNode");
  Object *var_bindNode = &(stackframe->slots[31]);
  setframeelementname(stackframe, 31, "bindNode");
  Object *var_defDecNode = &(stackframe->slots[32]);
  setframeelementname(stackframe, 32, "defDecNode");
  Object *var_varDecNode = &(stackframe->slots[33]);
  setframeelementname(stackframe, 33, "varDecNode");
  Object *var_importNode = &(stackframe->slots[34]);
  setframeelementname(stackframe, 34, "importNode");
  Object *var_dialectNode = &(stackframe->slots[35]);
  setframeelementname(stackframe, 35, "dialectNode");
  Object *var_returnNode = &(stackframe->slots[36]);
  setframeelementname(stackframe, 36, "returnNode");
  Object *var_inheritNode = &(stackframe->slots[37]);
  setframeelementname(stackframe, 37, "inheritNode");
  Object *var_AliasPair = &(stackframe->slots[38]);
  setframeelementname(stackframe, 38, "AliasPair");
  Object *var_blankNode = &(stackframe->slots[39]);
  setframeelementname(stackframe, 39, "blankNode");
  Object *var_signaturePart = &(stackframe->slots[40]);
  setframeelementname(stackframe, 40, "signaturePart");
  Object *var_requestPart = &(stackframe->slots[41]);
  setframeelementname(stackframe, 41, "requestPart");
  Object *var_commentNode = &(stackframe->slots[42]);
  setframeelementname(stackframe, 42, "commentNode");
  Object *var_ASTVisitor = &(stackframe->slots[43]);
  setframeelementname(stackframe, 43, "ASTVisitor");
  Object *var_patternMarkVisitor = &(stackframe->slots[44]);
  setframeelementname(stackframe, 44, "patternMarkVisitor");
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "listMap(_,_)ancestors(_)"
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = emptyclosure;
  Method *meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1 = addmethod2pos(self, "listMap(2)ancestors(1)", &meth_ast_listMap_40_2_41_ancestors_40_1_41_1, 1);
  int argcv_meth_ast_listMap_40_2_41_ancestors_40_1_41_1[] = {2, 1};
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->type = alloc_MethodType(2, argcv_meth_ast_listMap_40_2_41_ancestors_40_1_41_1);
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->definitionModule = modulename;
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->definitionLine = 19;
// compiled method node returning  (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeMap(_,_)ancestors(_)"
  struct UserObject *uo12 = (struct UserObject*)self;
  uo12->data[2] = emptyclosure;
  Method *meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12 = addmethod2pos(self, "maybeMap(2)ancestors(1)", &meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12, 2);
  int argcv_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12[] = {2, 1};
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->type = alloc_MethodType(2, argcv_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12);
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->definitionModule = modulename;
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->definitionLine = 24;
// compiled method node returning  (depth = 1)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeListMap(_,_)ancestors(_)"
  struct UserObject *uo20 = (struct UserObject*)self;
  uo20->data[3] = emptyclosure;
  Method *meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20 = addmethod2pos(self, "maybeListMap(2)ancestors(1)", &meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20, 3);
  int argcv_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20[] = {2, 1};
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->type = alloc_MethodType(2, argcv_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20);
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->definitionModule = modulename;
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->definitionLine = 31;
// compiled method node returning  (depth = 1)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseNode"
  block_savedest(self);
  Object closure28 = createclosure(4, "baseNode");
  setclosureframe(closure28, stackframe);
  addtoclosure(closure28, var_unknownType);
  addtoclosure(closure28, var_ancestorChain);
  addtoclosure(closure28, var_util);
  addtoclosure(closure28, var_fakeSymbolTable);
  struct UserObject *uo28 = (struct UserObject*)self;
  uo28->data[4] = (Object)closure28;
  Method *meth_meth_ast_baseNode28 = addmethod2pos(self, "baseNode", &meth_ast_baseNode28, 4);
  int argcv_meth_ast_baseNode28[] = {0};
  meth_meth_ast_baseNode28->type = alloc_MethodType(1, argcv_meth_ast_baseNode28);
  meth_meth_ast_baseNode28->definitionModule = modulename;
  meth_meth_ast_baseNode28->definitionLine = 87;
  block_savedest(self);
  Object closure438 = createclosure(4, "baseNode$object(1)");
  setclosureframe(closure438, stackframe);
  addtoclosure(closure438, var_unknownType);
  addtoclosure(closure438, var_ancestorChain);
  addtoclosure(closure438, var_util);
  addtoclosure(closure438, var_fakeSymbolTable);
  Method *meth_meth_ast_baseNode28_object = addmethod2pos(self, "baseNode$object(1)", &meth_ast_baseNode28_object, 4);
  meth_meth_ast_baseNode28_object->definitionModule = modulename;
  meth_meth_ast_baseNode28_object->definitionLine = 87;
// compiled method node returning  (depth = 1)
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "aliasNew(_)old(_)"
  block_savedest(self);
  Object closure439 = createclosure(1, "aliasNew(1)old(1)");
  setclosureframe(closure439, stackframe);
  addtoclosure(closure439, var_AliasPair);
  struct UserObject *uo439 = (struct UserObject*)self;
  uo439->data[5] = (Object)closure439;
  Method *meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439 = addmethod2pos(self, "aliasNew(1)old(1)", &meth_ast_aliasNew_40_1_41_old_40_1_41_439, 5);
  int argcv_meth_ast_aliasNew_40_1_41_old_40_1_41_439[] = {1, 1};
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439->type = alloc_MethodType(2, argcv_meth_ast_aliasNew_40_1_41_old_40_1_41_439);
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439->definitionModule = modulename;
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439->definitionLine = 2521;
  block_savedest(self);
  Object closure551 = createclosure(1, "aliasNew(1)old(1)$object(1)");
  setclosureframe(closure551, stackframe);
  addtoclosure(closure551, var_AliasPair);
  Method *meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439_object = addmethod2pos(self, "aliasNew(1)old(1)$object(1)", &meth_ast_aliasNew_40_1_41_old_40_1_41_439_object, 5);
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439_object->definitionModule = modulename;
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_439_object->definitionLine = 2521;
// compiled method node returning  (depth = 1)
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "wrap(_)to(_)prefix(_)"
  struct UserObject *uo552 = (struct UserObject*)self;
  uo552->data[6] = emptyclosure;
  Method *meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552 = addmethod2pos(self, "wrap(1)to(1)prefix(1)", &meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552, 6);
  int argcv_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552[] = {1, 1, 1};
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552->type = alloc_MethodType(3, argcv_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552);
meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552->type->types[1] = type_Number;
meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552->type->names[1] = "l";
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552->definitionModule = modulename;
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_552->definitionLine = 2792;
// compiled method node returning  (depth = 1)
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseVisitor"
  struct UserObject *uo722 = (struct UserObject*)self;
  uo722->data[7] = emptyclosure;
  Method *meth_meth_ast_baseVisitor722 = addmethod2pos(self, "baseVisitor", &meth_ast_baseVisitor722, 7);
  int argcv_meth_ast_baseVisitor722[] = {0};
  meth_meth_ast_baseVisitor722->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor722);
  meth_meth_ast_baseVisitor722->definitionModule = modulename;
  meth_meth_ast_baseVisitor722->definitionLine = 2859;
  Method *meth_meth_ast_baseVisitor722_object = addmethod2pos(self, "baseVisitor$object(1)", &meth_ast_baseVisitor722_object, 7);
  int argcv_meth_ast_baseVisitor722_object[] = {0};
  meth_meth_ast_baseVisitor722_object->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor722_object);
  meth_meth_ast_baseVisitor722_object->definitionModule = modulename;
  meth_meth_ast_baseVisitor722_object->definitionLine = 2859;
// compiled method node returning  (depth = 1)
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pluggableVisitor(_)"
  struct UserObject *uo878 = (struct UserObject*)self;
  uo878->data[8] = emptyclosure;
  Method *meth_meth_ast_pluggableVisitor_40_1_41_878 = addmethod2pos(self, "pluggableVisitor(1)", &meth_ast_pluggableVisitor_40_1_41_878, 8);
  int argcv_meth_ast_pluggableVisitor_40_1_41_878[] = {1};
  meth_meth_ast_pluggableVisitor_40_1_41_878->type = alloc_MethodType(1, argcv_meth_ast_pluggableVisitor_40_1_41_878);
  meth_meth_ast_pluggableVisitor_40_1_41_878->definitionModule = modulename;
  meth_meth_ast_pluggableVisitor_40_1_41_878->definitionLine = 2925;
  Method *meth_meth_ast_pluggableVisitor_40_1_41_878_object = addmethod2pos(self, "pluggableVisitor(1)$object(1)", &meth_ast_pluggableVisitor_40_1_41_878_object, 8);
  int argcv_meth_ast_pluggableVisitor_40_1_41_878_object[] = {1};
  meth_meth_ast_pluggableVisitor_40_1_41_878_object->type = alloc_MethodType(1, argcv_meth_ast_pluggableVisitor_40_1_41_878_object);
  meth_meth_ast_pluggableVisitor_40_1_41_878_object->definitionModule = modulename;
  meth_meth_ast_pluggableVisitor_40_1_41_878_object->definitionLine = 2925;
// compiled method node returning  (depth = 1)
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findAnnotation(_,_)"
  struct UserObject *uo971 = (struct UserObject*)self;
  uo971->data[9] = emptyclosure;
  Method *meth_meth_ast_findAnnotation_40_2_41_971 = addmethod2pos(self, "findAnnotation(2)", &meth_ast_findAnnotation_40_2_41_971, 9);
  int argcv_meth_ast_findAnnotation_40_2_41_971[] = {2};
  meth_meth_ast_findAnnotation_40_2_41_971->type = alloc_MethodType(1, argcv_meth_ast_findAnnotation_40_2_41_971);
  meth_meth_ast_findAnnotation_40_2_41_971->definitionModule = modulename;
  meth_meth_ast_findAnnotation_40_2_41_971->definitionLine = 2974;
// compiled method node returning  (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of identifierKinds as k
  if (module_identifierKinds == NULL)
    module_identifierKinds = LOAD_MODULE(identifierKinds);
  *var_k = module_identifierKinds;
// compiled import node returning done (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num1002 = alloc_Float64(80);
// compiled num node returning num1002 (depth = 2)
  *var_lineLength = num1002;
  if (num1002 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lineLength"
  block_savedest(self);
  Object closure1003 = createclosure(1, "lineLength");
  setclosureframe(closure1003, stackframe);
  addtoclosure(closure1003, var_lineLength);
  struct UserObject *uo1003 = (struct UserObject*)self;
  uo1003->data[10] = (Object)closure1003;
  Method *meth_meth_ast_lineLength1003 = addmethod2pos(self, "lineLength", &meth_ast_lineLength1003, 10);
  int argcv_meth_ast_lineLength1003[] = {0};
  meth_meth_ast_lineLength1003->type = alloc_MethodType(1, argcv_meth_ast_lineLength1003);
  meth_meth_ast_lineLength1003->definitionModule = modulename;
  meth_meth_ast_lineLength1003->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe1004 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1005 == NULL) {
    strlit1005 = alloc_String("uninitialized");
    gc_root(strlit1005);
  }
// compiled string node returning strlit1005 (depth = 3)
  gc_frame_newslot(strlit1005);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1006 = gc_frame_new();
// call case 5: prelude request
  Object call1007 = callmethodflags(prelude, "Singleton", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1006);
// compiled member node returning call1007 (depth = 3)
  params[0] = strlit1005;
  partcv[0] = 1;
  Object call1008 = callmethodflags(call1007, "named(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1004);
// compiled call node returning call1008 (depth = 2)
  *var_uninitialized = call1008;
  if (call1008 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "uninitialized"
  block_savedest(self);
  Object closure1009 = createclosure(1, "uninitialized");
  setclosureframe(closure1009, stackframe);
  addtoclosure(closure1009, var_uninitialized);
  struct UserObject *uo1009 = (struct UserObject*)self;
  uo1009->data[11] = (Object)closure1009;
  Method *meth_meth_ast_uninitialized1009 = addmethod2pos(self, "uninitialized", &meth_ast_uninitialized1009, 11);
  int argcv_meth_ast_uninitialized1009[] = {0};
  meth_meth_ast_uninitialized1009->type = alloc_MethodType(1, argcv_meth_ast_uninitialized1009);
  meth_meth_ast_uninitialized1009->definitionModule = modulename;
  meth_meth_ast_uninitialized1009->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1010 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1010 = alloc_userobj2(5,6, objclass1010);
  gc_frame_newslot(obj1010);
if (objclass1010 == NULL) {
  glfree(obj1010->class->name);
  obj1010->class->name = "ancestorChain";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1010, self, 0);
  addmethodreal(obj1010,"outer", &reader_ast_outer_1011);
  Object oldself1010 = self;
  struct StackFrameObject *oldstackframe1010 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1010);
  gc_frame_newslot((Object)stackframe);
  self = obj1010;
  Object *oldselfslot1010 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1010 = (*(struct UserObject *)self).data[0], lowerouter1010 = thisouter1010;
  if (inheritingObject1010) {
    struct UserObject *inho1010 = (struct UserObject *)inheritingObject1010;
    while (inho1010->super != GraceDefaultObject) inho1010 = (struct UserObject *)inho1010->super;
    inho1010->super = obj1010;
    self = inheritingObject1010;
    *selfslot = self;
    lowerouter1010 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1010;
  }
// method "empty"
  struct UserObject *uo1012 = (struct UserObject*)obj1010;
  uo1012->data[1] = emptyclosure;
  Method *meth_meth_ast_empty1012 = addmethod2pos(obj1010, "empty", &meth_ast_empty1012, 1);
  int argcv_meth_ast_empty1012[] = {0};
  meth_meth_ast_empty1012->type = alloc_MethodType(1, argcv_meth_ast_empty1012);
  meth_meth_ast_empty1012->definitionModule = modulename;
  meth_meth_ast_empty1012->definitionLine = 40;
  Method *meth_meth_ast_empty1012_object = addmethod2pos(obj1010, "empty$object(1)", &meth_ast_empty1012_object, 1);
  int argcv_meth_ast_empty1012_object[] = {0};
  meth_meth_ast_empty1012_object->type = alloc_MethodType(1, argcv_meth_ast_empty1012_object);
  meth_meth_ast_empty1012_object->definitionModule = modulename;
  meth_meth_ast_empty1012_object->definitionLine = 40;
// method "with(_)"
  struct UserObject *uo1025 = (struct UserObject*)obj1010;
  uo1025->data[2] = emptyclosure;
  Method *meth_meth_ast_with_40_1_41_1025 = addmethod2pos(obj1010, "with(1)", &meth_ast_with_40_1_41_1025, 2);
  int argcv_meth_ast_with_40_1_41_1025[] = {1};
  meth_meth_ast_with_40_1_41_1025->type = alloc_MethodType(1, argcv_meth_ast_with_40_1_41_1025);
  meth_meth_ast_with_40_1_41_1025->definitionModule = modulename;
  meth_meth_ast_with_40_1_41_1025->definitionLine = 45;
// method "cons(_)onto(_)"
  struct UserObject *uo1030 = (struct UserObject*)obj1010;
  uo1030->data[3] = emptyclosure;
  Method *meth_meth_ast_cons_40_1_41_onto_40_1_41_1030 = addmethod2pos(obj1010, "cons(1)onto(1)", &meth_ast_cons_40_1_41_onto_40_1_41_1030, 3);
  int argcv_meth_ast_cons_40_1_41_onto_40_1_41_1030[] = {1, 1};
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030->type = alloc_MethodType(2, argcv_meth_ast_cons_40_1_41_onto_40_1_41_1030);
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030->definitionModule = modulename;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030->definitionLine = 46;
  Method *meth_meth_ast_cons_40_1_41_onto_40_1_41_1030_object = addmethod2pos(obj1010, "cons(1)onto(1)$object(1)", &meth_ast_cons_40_1_41_onto_40_1_41_1030_object, 3);
  int argcv_meth_ast_cons_40_1_41_onto_40_1_41_1030_object[] = {1, 1};
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030_object->type = alloc_MethodType(2, argcv_meth_ast_cons_40_1_41_onto_40_1_41_1030_object);
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030_object->definitionModule = modulename;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1030_object->definitionLine = 46;
  sourceObject = obj1010;
  sourceObject = obj1010;
  sourceObject = obj1010;
  objclass1010 = obj1010->class;
  objclass1010->definitionModule = modulename;
  objclass1010->definitionLine = 39;
  (*(struct UserObject *)self).data[0] = lowerouter1010;
  self = oldself1010;
  selfslot = oldselfslot1010;
  stackframe = oldstackframe1010;
// compiled object node returning obj1010 (depth = 2)
  *var_ancestorChain = obj1010;
  if (obj1010 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ancestorChain"
  block_savedest(self);
  Object closure1079 = createclosure(1, "ancestorChain");
  setclosureframe(closure1079, stackframe);
  addtoclosure(closure1079, var_ancestorChain);
  struct UserObject *uo1079 = (struct UserObject*)self;
  uo1079->data[12] = (Object)closure1079;
  Method *meth_meth_ast_ancestorChain1079 = addmethod2pos(self, "ancestorChain", &meth_ast_ancestorChain1079, 12);
  int argcv_meth_ast_ancestorChain1079[] = {0};
  meth_meth_ast_ancestorChain1079->type = alloc_MethodType(1, argcv_meth_ast_ancestorChain1079);
  meth_meth_ast_ancestorChain1079->definitionModule = modulename;
  meth_meth_ast_ancestorChain1079->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe1080 = gc_frame_new();
// call case 5: prelude request
  Object call1081 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1080);
// compiled member node returning call1081 (depth = 2)
  *var_emptySeq = call1081;
  if (call1081 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "emptySeq"
  block_savedest(self);
  Object closure1082 = createclosure(1, "emptySeq");
  setclosureframe(closure1082, stackframe);
  addtoclosure(closure1082, var_emptySeq);
  struct UserObject *uo1082 = (struct UserObject*)self;
  uo1082->data[13] = (Object)closure1082;
  Method *meth_meth_ast_emptySeq1082 = addmethod2pos(self, "emptySeq", &meth_ast_emptySeq1082, 13);
  int argcv_meth_ast_emptySeq1082[] = {0};
  meth_meth_ast_emptySeq1082->type = alloc_MethodType(1, argcv_meth_ast_emptySeq1082);
  meth_meth_ast_emptySeq1082->definitionModule = modulename;
  meth_meth_ast_emptySeq1082->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AstNode
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type1084 = alloc_Type("AstNode", 9);
    add_Method((ClassData)type1084, "kind", NULL);
    add_Method((ClassData)type1084, "register", NULL);
    add_Method((ClassData)type1084, "line", NULL);
    add_Method((ClassData)type1084, "line:=(1)", NULL);
    add_Method((ClassData)type1084, "linePos", NULL);
    add_Method((ClassData)type1084, "linePos:=(1)", NULL);
    add_Method((ClassData)type1084, "scope", NULL);
    add_Method((ClassData)type1084, "pretty(1)", NULL);
    add_Method((ClassData)type1084, "comments", NULL);
// compiled typeliteral node returning type1084 (depth = 2)
  *var_AstNode = type1084;
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AstNode"
  block_savedest(self);
  Object closure1085 = createclosure(1, "AstNode");
  setclosureframe(closure1085, stackframe);
  addtoclosure(closure1085, var_AstNode);
  struct UserObject *uo1085 = (struct UserObject*)self;
  uo1085->data[14] = (Object)closure1085;
  Method *meth_meth_ast_AstNode1085 = addmethod2pos(self, "AstNode", &meth_ast_AstNode1085, 14);
  int argcv_meth_ast_AstNode1085[] = {0};
  meth_meth_ast_AstNode1085->type = alloc_MethodType(1, argcv_meth_ast_AstNode1085);
  meth_meth_ast_AstNode1085->definitionModule = modulename;
  meth_meth_ast_AstNode1085->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl SymbolTable
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_Unknown (depth = 2)
  *var_SymbolTable = *var_Unknown;
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SymbolTable"
  block_savedest(self);
  Object closure1087 = createclosure(1, "SymbolTable");
  setclosureframe(closure1087, stackframe);
  addtoclosure(closure1087, var_SymbolTable);
  struct UserObject *uo1087 = (struct UserObject*)self;
  uo1087->data[15] = (Object)closure1087;
  Method *meth_meth_ast_SymbolTable1087 = addmethod2pos(self, "SymbolTable", &meth_ast_SymbolTable1087, 15);
  int argcv_meth_ast_SymbolTable1087[] = {0};
  meth_meth_ast_SymbolTable1087->type = alloc_MethodType(1, argcv_meth_ast_SymbolTable1087);
  meth_meth_ast_SymbolTable1087->definitionModule = modulename;
  meth_meth_ast_SymbolTable1087->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1088 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1088 = alloc_userobj2(11,12, objclass1088);
  gc_frame_newslot(obj1088);
if (objclass1088 == NULL) {
  glfree(obj1088->class->name);
  obj1088->class->name = "implicit";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1088, self, 0);
  addmethodreal(obj1088,"outer", &reader_ast_outer_1089);
  Object oldself1088 = self;
  struct StackFrameObject *oldstackframe1088 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1088);
  gc_frame_newslot((Object)stackframe);
  self = obj1088;
  Object *oldselfslot1088 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1088 = (*(struct UserObject *)self).data[0], lowerouter1088 = thisouter1088;
  if (inheritingObject1088) {
    struct UserObject *inho1088 = (struct UserObject *)inheritingObject1088;
    while (inho1088->super != GraceDefaultObject) inho1088 = (struct UserObject *)inho1088->super;
    inho1088->super = obj1088;
    self = inheritingObject1088;
    *selfslot = self;
    lowerouter1088 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1088;
  }
if (objclass1088 == NULL) {
  Method *reader1090 = addmethodrealflags(obj1088, "kind",&reader_ast_kind_1090, MFLAG_DEF);
  reader1090->definitionModule = modulename;
  reader1090->definitionLine = 215;
}
adddatum2(obj1088, alloc_Undefined(), 1);
if (objclass1088 == NULL) {
  Method *reader1091 = addmethodrealflags(obj1088, "nameString",&reader_ast_nameString_1091, MFLAG_DEF);
  reader1091->definitionModule = modulename;
  reader1091->definitionLine = 216;
}
adddatum2(obj1088, alloc_Undefined(), 2);
// method "isImplicit"
  struct UserObject *uo1092 = (struct UserObject*)obj1088;
  uo1092->data[3] = emptyclosure;
  Method *meth_meth_ast_isImplicit1092 = addmethod2pos(obj1088, "isImplicit", &meth_ast_isImplicit1092, 3);
  int argcv_meth_ast_isImplicit1092[] = {0};
  meth_meth_ast_isImplicit1092->type = alloc_MethodType(1, argcv_meth_ast_isImplicit1092);
  meth_meth_ast_isImplicit1092->definitionModule = modulename;
  meth_meth_ast_isImplicit1092->definitionLine = 217;
// method "toGrace(_)"
  struct UserObject *uo1094 = (struct UserObject*)obj1088;
  uo1094->data[4] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1094 = addmethod2pos(obj1088, "toGrace(1)", &meth_ast_toGrace_40_1_41_1094, 4);
  int argcv_meth_ast_toGrace_40_1_41_1094[] = {1};
  meth_meth_ast_toGrace_40_1_41_1094->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1094);
  meth_meth_ast_toGrace_40_1_41_1094->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1094->definitionLine = 218;
// method "asString"
  struct UserObject *uo1096 = (struct UserObject*)obj1088;
  uo1096->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1096 = addmethod2pos(obj1088, "asString", &meth_ast_asString1096, 5);
  int argcv_meth_ast_asString1096[] = {0};
  meth_meth_ast_asString1096->type = alloc_MethodType(1, argcv_meth_ast_asString1096);
  meth_meth_ast_asString1096->definitionModule = modulename;
  meth_meth_ast_asString1096->definitionLine = 219;
// method "==(_)"
  struct UserObject *uo1098 = (struct UserObject*)obj1088;
  uo1098->data[6] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1098 = addmethod2pos(obj1088, "==(1)", &meth_ast__61__61__40_1_41_1098, 6);
  int argcv_meth_ast__61__61__40_1_41_1098[] = {1};
  meth_meth_ast__61__61__40_1_41_1098->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1098);
  meth_meth_ast__61__61__40_1_41_1098->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1098->definitionLine = 220;
// method "map(_)ancestors(_)"
  struct UserObject *uo1101 = (struct UserObject*)obj1088;
  uo1101->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1101 = addmethod2pos(obj1088, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1101, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1101[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1101->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1101);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1101->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1101->definitionLine = 221;
// method "accept(_)from(_)"
  struct UserObject *uo1102 = (struct UserObject*)obj1088;
  uo1102->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1102 = addmethod2pos(obj1088, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1102, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1102[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1102->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1102);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1102->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1102->definitionLine = 222;
// method "pretty(_)"
  struct UserObject *uo1105 = (struct UserObject*)obj1088;
  uo1105->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1105 = addmethod2pos(obj1088, "pretty(1)", &meth_ast_pretty_40_1_41_1105, 9);
  int argcv_meth_ast_pretty_40_1_41_1105[] = {1};
  meth_meth_ast_pretty_40_1_41_1105->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1105);
  meth_meth_ast_pretty_40_1_41_1105->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1105->definitionLine = 225;
  sourceObject = obj1088;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1107 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1108 = gc_frame_new();
// call case 3: self.outer request
  Object call1109 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1108);
// compiled member node returning call1109 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1110 = callmethodflags(call1109, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1107);
// compiled call node returning call1110 (depth = 3)
  struct UserObject *obj1088_uo = (struct UserObject *)obj1088;
  obj1088_uo->super = call1110;
  sourceObject = obj1088;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1111 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1112 = alloc_Float64(0);
// compiled num node returning num1112 (depth = 4)
  gc_frame_newslot(num1112);
// call case 4: self request
  params[0] = num1112;
  partcv[0] = 1;
  Object call1113 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1111);
// compiled call node returning call1113 (depth = 3)
  sourceObject = obj1088;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1114 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1115 = alloc_Float64(0);
// compiled num node returning num1115 (depth = 4)
  gc_frame_newslot(num1115);
// call case 4: self request
  params[0] = num1115;
  partcv[0] = 1;
  Object call1116 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1114);
// compiled call node returning call1116 (depth = 3)
  sourceObject = obj1088;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1117 == NULL) {
    strlit1117 = alloc_String("implicit");
    gc_root(strlit1117);
  }
// compiled string node returning strlit1117 (depth = 3)
  adddatum2(obj1088, strlit1117, 1);
  sourceObject = obj1088;
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1118 == NULL) {
    strlit1118 = alloc_String("implicit");
    gc_root(strlit1118);
  }
// compiled string node returning strlit1118 (depth = 3)
  adddatum2(obj1088, strlit1118, 2);
  sourceObject = obj1088;
  sourceObject = obj1088;
  sourceObject = obj1088;
  sourceObject = obj1088;
  sourceObject = obj1088;
  sourceObject = obj1088;
  sourceObject = obj1088;
  objclass1088 = obj1088->class;
  objclass1088->definitionModule = modulename;
  objclass1088->definitionLine = 211;
  (*(struct UserObject *)self).data[0] = lowerouter1088;
  self = oldself1088;
  selfslot = oldselfslot1088;
  stackframe = oldstackframe1088;
// compiled object node returning obj1088 (depth = 2)
  *var_implicit = obj1088;
  if (obj1088 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "implicit"
  block_savedest(self);
  Object closure1119 = createclosure(1, "implicit");
  setclosureframe(closure1119, stackframe);
  addtoclosure(closure1119, var_implicit);
  struct UserObject *uo1119 = (struct UserObject*)self;
  uo1119->data[16] = (Object)closure1119;
  Method *meth_meth_ast_implicit1119 = addmethod2pos(self, "implicit", &meth_ast_implicit1119, 16);
  int argcv_meth_ast_implicit1119[] = {0};
  meth_meth_ast_implicit1119->type = alloc_MethodType(1, argcv_meth_ast_implicit1119);
  meth_meth_ast_implicit1119->definitionModule = modulename;
  meth_meth_ast_implicit1119->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1120 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1120 = alloc_userobj2(4,5, objclass1120);
  gc_frame_newslot(obj1120);
if (objclass1120 == NULL) {
  glfree(obj1120->class->name);
  obj1120->class->name = "nullNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1120, self, 0);
  addmethodreal(obj1120,"outer", &reader_ast_outer_1121);
  Object oldself1120 = self;
  struct StackFrameObject *oldstackframe1120 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1120);
  gc_frame_newslot((Object)stackframe);
  self = obj1120;
  Object *oldselfslot1120 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1120 = (*(struct UserObject *)self).data[0], lowerouter1120 = thisouter1120;
  if (inheritingObject1120) {
    struct UserObject *inho1120 = (struct UserObject *)inheritingObject1120;
    while (inho1120->super != GraceDefaultObject) inho1120 = (struct UserObject *)inho1120->super;
    inho1120->super = obj1120;
    self = inheritingObject1120;
    *selfslot = self;
    lowerouter1120 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1120;
  }
if (objclass1120 == NULL) {
  Method *reader1122 = addmethodrealflags(obj1120, "kind",&reader_ast_kind_1122, MFLAG_DEF);
  reader1122->definitionModule = modulename;
  reader1122->definitionLine = 230;
}
adddatum2(obj1120, alloc_Undefined(), 1);
// method "toGrace(_)"
  struct UserObject *uo1123 = (struct UserObject*)obj1120;
  uo1123->data[2] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1123 = addmethod2pos(obj1120, "toGrace(1)", &meth_ast_toGrace_40_1_41_1123, 2);
  int argcv_meth_ast_toGrace_40_1_41_1123[] = {1};
  meth_meth_ast_toGrace_40_1_41_1123->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1123);
  meth_meth_ast_toGrace_40_1_41_1123->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1123->definitionLine = 231;
// method "asString"
  struct UserObject *uo1125 = (struct UserObject*)obj1120;
  uo1125->data[3] = emptyclosure;
  Method *meth_meth_ast_asString1125 = addmethod2pos(obj1120, "asString", &meth_ast_asString1125, 3);
  int argcv_meth_ast_asString1125[] = {0};
  meth_meth_ast_asString1125->type = alloc_MethodType(1, argcv_meth_ast_asString1125);
  meth_meth_ast_asString1125->definitionModule = modulename;
  meth_meth_ast_asString1125->definitionLine = 234;
// method "==(_)"
  struct UserObject *uo1127 = (struct UserObject*)obj1120;
  uo1127->data[4] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1127 = addmethod2pos(obj1120, "==(1)", &meth_ast__61__61__40_1_41_1127, 4);
  int argcv_meth_ast__61__61__40_1_41_1127[] = {1};
  meth_meth_ast__61__61__40_1_41_1127->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1127);
  meth_meth_ast__61__61__40_1_41_1127->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1127->definitionLine = 235;
  sourceObject = obj1120;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1130 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1131 = gc_frame_new();
// call case 3: self.outer request
  Object call1132 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1131);
// compiled member node returning call1132 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1133 = callmethodflags(call1132, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1130);
// compiled call node returning call1133 (depth = 3)
  struct UserObject *obj1120_uo = (struct UserObject *)obj1120;
  obj1120_uo->super = call1133;
  sourceObject = obj1120;
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1134 == NULL) {
    strlit1134 = alloc_String("null");
    gc_root(strlit1134);
  }
// compiled string node returning strlit1134 (depth = 3)
  adddatum2(obj1120, strlit1134, 1);
  sourceObject = obj1120;
  sourceObject = obj1120;
  sourceObject = obj1120;
  objclass1120 = obj1120->class;
  objclass1120->definitionModule = modulename;
  objclass1120->definitionLine = 228;
  (*(struct UserObject *)self).data[0] = lowerouter1120;
  self = oldself1120;
  selfslot = oldselfslot1120;
  stackframe = oldstackframe1120;
// compiled object node returning obj1120 (depth = 2)
  *var_nullNode = obj1120;
  if (obj1120 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nullNode"
  block_savedest(self);
  Object closure1135 = createclosure(1, "nullNode");
  setclosureframe(closure1135, stackframe);
  addtoclosure(closure1135, var_nullNode);
  struct UserObject *uo1135 = (struct UserObject*)self;
  uo1135->data[17] = (Object)closure1135;
  Method *meth_meth_ast_nullNode1135 = addmethod2pos(self, "nullNode", &meth_ast_nullNode1135, 17);
  int argcv_meth_ast_nullNode1135[] = {0};
  meth_meth_ast_nullNode1135->type = alloc_MethodType(1, argcv_meth_ast_nullNode1135);
  meth_meth_ast_nullNode1135->definitionModule = modulename;
  meth_meth_ast_nullNode1135->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1136 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1136 = alloc_userobj2(8,8, objclass1136);
  gc_frame_newslot(obj1136);
if (objclass1136 == NULL) {
  glfree(obj1136->class->name);
  obj1136->class->name = "fakeSymbolTable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1136, self, 0);
  addmethodreal(obj1136,"outer", &reader_ast_outer_1137);
  Object oldself1136 = self;
  struct StackFrameObject *oldstackframe1136 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1136);
  gc_frame_newslot((Object)stackframe);
  self = obj1136;
  Object *oldselfslot1136 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1136 = (*(struct UserObject *)self).data[0], lowerouter1136 = thisouter1136;
  if (inheritingObject1136) {
    struct UserObject *inho1136 = (struct UserObject *)inheritingObject1136;
    while (inho1136->super != GraceDefaultObject) inho1136 = (struct UserObject *)inho1136->super;
    inho1136->super = obj1136;
    self = inheritingObject1136;
    *selfslot = self;
    lowerouter1136 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1136;
  }
if (objclass1136 == NULL) {
  Method *reader1138 = addmethodrealflags(obj1136, "node", &reader_ast_node_1138, 0);
  Method *writer1138 = addmethodrealflags(obj1136, "node:=(1)", &writer_ast_node_1138, 0);
  reader1138->definitionModule = modulename;
  writer1138->definitionModule = modulename;
  reader1138->definitionLine = 239;
  writer1138->definitionLine = 239;
}
obj1136->flags |= OFLAG_MUTABLE;
adddatum2(obj1136, alloc_Undefined(), 1);
// method "asString"
  struct UserObject *uo1139 = (struct UserObject*)obj1136;
  uo1139->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1139 = addmethod2pos(obj1136, "asString", &meth_ast_asString1139, 2);
  int argcv_meth_ast_asString1139[] = {0};
  meth_meth_ast_asString1139->type = alloc_MethodType(1, argcv_meth_ast_asString1139);
  meth_meth_ast_asString1139->definitionModule = modulename;
  meth_meth_ast_asString1139->definitionLine = 240;
// method "addNode(_)as(_)"
  struct UserObject *uo1141 = (struct UserObject*)obj1136;
  uo1141->data[3] = emptyclosure;
  Method *meth_meth_ast_addNode_40_1_41_as_40_1_41_1141 = addmethod2pos(obj1136, "addNode(1)as(1)", &meth_ast_addNode_40_1_41_as_40_1_41_1141, 3);
  int argcv_meth_ast_addNode_40_1_41_as_40_1_41_1141[] = {1, 1};
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1141->type = alloc_MethodType(2, argcv_meth_ast_addNode_40_1_41_as_40_1_41_1141);
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1141->definitionModule = modulename;
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1141->definitionLine = 241;
// method "thatDefines(_)ifNone(_)"
  struct UserObject *uo1170 = (struct UserObject*)obj1136;
  uo1170->data[4] = emptyclosure;
  Method *meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170 = addmethod2pos(obj1136, "thatDefines(1)ifNone(1)", &meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170, 4);
  int argcv_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170[] = {1, 1};
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170->type = alloc_MethodType(2, argcv_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170);
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170->definitionModule = modulename;
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1170->definitionLine = 244;
// method "enclosingObjectScope"
  struct UserObject *uo1183 = (struct UserObject*)obj1136;
  uo1183->data[5] = emptyclosure;
  Method *meth_meth_ast_enclosingObjectScope1183 = addmethod2pos(obj1136, "enclosingObjectScope", &meth_ast_enclosingObjectScope1183, 5);
  int argcv_meth_ast_enclosingObjectScope1183[] = {0};
  meth_meth_ast_enclosingObjectScope1183->type = alloc_MethodType(1, argcv_meth_ast_enclosingObjectScope1183);
  meth_meth_ast_enclosingObjectScope1183->definitionModule = modulename;
  meth_meth_ast_enclosingObjectScope1183->definitionLine = 247;
// method "variety"
  struct UserObject *uo1198 = (struct UserObject*)obj1136;
  uo1198->data[6] = emptyclosure;
  Method *meth_meth_ast_variety1198 = addmethod2pos(obj1136, "variety", &meth_ast_variety1198, 6);
  int argcv_meth_ast_variety1198[] = {0};
  meth_meth_ast_variety1198->type = alloc_MethodType(1, argcv_meth_ast_variety1198);
  meth_meth_ast_variety1198->definitionModule = modulename;
  meth_meth_ast_variety1198->definitionLine = 250;
// method "==(_)"
  struct UserObject *uo1200 = (struct UserObject*)obj1136;
  uo1200->data[7] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1200 = addmethod2pos(obj1136, "==(1)", &meth_ast__61__61__40_1_41_1200, 7);
  int argcv_meth_ast__61__61__40_1_41_1200[] = {1};
  meth_meth_ast__61__61__40_1_41_1200->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1200);
  meth_meth_ast__61__61__40_1_41_1200->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1200->definitionLine = 251;
  sourceObject = obj1136;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  adddatum2(obj1136, *var_nullNode, 1);
  sourceObject = obj1136;
  sourceObject = obj1136;
  sourceObject = obj1136;
  sourceObject = obj1136;
  sourceObject = obj1136;
  sourceObject = obj1136;
  objclass1136 = obj1136->class;
  objclass1136->definitionModule = modulename;
  objclass1136->definitionLine = 238;
  (*(struct UserObject *)self).data[0] = lowerouter1136;
  self = oldself1136;
  selfslot = oldselfslot1136;
  stackframe = oldstackframe1136;
// compiled object node returning obj1136 (depth = 2)
  *var_fakeSymbolTable = obj1136;
  if (obj1136 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "fakeSymbolTable"
  block_savedest(self);
  Object closure1203 = createclosure(1, "fakeSymbolTable");
  setclosureframe(closure1203, stackframe);
  addtoclosure(closure1203, var_fakeSymbolTable);
  struct UserObject *uo1203 = (struct UserObject*)self;
  uo1203->data[18] = (Object)closure1203;
  Method *meth_meth_ast_fakeSymbolTable1203 = addmethod2pos(self, "fakeSymbolTable", &meth_ast_fakeSymbolTable1203, 18);
  int argcv_meth_ast_fakeSymbolTable1203[] = {0};
  meth_meth_ast_fakeSymbolTable1203->type = alloc_MethodType(1, argcv_meth_ast_fakeSymbolTable1203);
  meth_meth_ast_fakeSymbolTable1203->definitionModule = modulename;
  meth_meth_ast_fakeSymbolTable1203->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1204 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1204 = alloc_userobj2(2,4, objclass1204);
  gc_frame_newslot(obj1204);
if (objclass1204 == NULL) {
  glfree(obj1204->class->name);
  obj1204->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1204, self, 0);
  addmethodreal(obj1204,"outer", &reader_ast_outer_1205);
  Object oldself1204 = self;
  struct StackFrameObject *oldstackframe1204 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1204);
  gc_frame_newslot((Object)stackframe);
  self = obj1204;
  Object *oldselfslot1204 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1204 = (*(struct UserObject *)self).data[0], lowerouter1204 = thisouter1204;
  if (inheritingObject1204) {
    struct UserObject *inho1204 = (struct UserObject *)inheritingObject1204;
    while (inho1204->super != GraceDefaultObject) inho1204 = (struct UserObject *)inho1204->super;
    inho1204->super = obj1204;
    self = inheritingObject1204;
    *selfslot = self;
    lowerouter1204 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1204;
  }
// method "new(_,_,_)"
  block_savedest(obj1204);
  Object closure1206 = createclosure(3, "new(3)");
  setclosureframe(closure1206, stackframe);
  addtoclosure(closure1206, var_util);
  addtoclosure(closure1206, var_nullNode);
  addtoclosure(closure1206, var_ifNode);
  struct UserObject *uo1206 = (struct UserObject*)obj1204;
  uo1206->data[1] = (Object)closure1206;
  Method *meth_meth_ast_new_40_3_41_1206 = addmethod2pos(obj1204, "new(3)", &meth_ast_new_40_3_41_1206, 1);
  int argcv_meth_ast_new_40_3_41_1206[] = {3};
  meth_meth_ast_new_40_3_41_1206->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_1206);
  meth_meth_ast_new_40_3_41_1206->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_1206->definitionLine = 255;
  block_savedest(obj1204);
  Object closure1559 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure1559, stackframe);
  addtoclosure(closure1559, var_util);
  addtoclosure(closure1559, var_nullNode);
  addtoclosure(closure1559, var_ifNode);
  Method *meth_meth_ast_new_40_3_41_1206_object = addmethod2pos(obj1204, "new(3)$object(1)", &meth_ast_new_40_3_41_1206_object, 1);
  meth_meth_ast_new_40_3_41_1206_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_1206_object->definitionLine = 255;
  sourceObject = obj1204;
  objclass1204 = obj1204->class;
  objclass1204->definitionModule = modulename;
  objclass1204->definitionLine = 254;
  (*(struct UserObject *)self).data[0] = lowerouter1204;
  self = oldself1204;
  selfslot = oldselfslot1204;
  stackframe = oldstackframe1204;
// compiled object node returning obj1204 (depth = 2)
  *var_ifNode = obj1204;
  if (obj1204 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ifNode"
  block_savedest(self);
  Object closure1560 = createclosure(1, "ifNode");
  setclosureframe(closure1560, stackframe);
  addtoclosure(closure1560, var_ifNode);
  struct UserObject *uo1560 = (struct UserObject*)self;
  uo1560->data[19] = (Object)closure1560;
  Method *meth_meth_ast_ifNode1560 = addmethod2pos(self, "ifNode", &meth_ast_ifNode1560, 19);
  int argcv_meth_ast_ifNode1560[] = {0};
  meth_meth_ast_ifNode1560->type = alloc_MethodType(1, argcv_meth_ast_ifNode1560);
  meth_meth_ast_ifNode1560->definitionModule = modulename;
  meth_meth_ast_ifNode1560->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1561 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1561 = alloc_userobj2(2,4, objclass1561);
  gc_frame_newslot(obj1561);
if (objclass1561 == NULL) {
  glfree(obj1561->class->name);
  obj1561->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1561, self, 0);
  addmethodreal(obj1561,"outer", &reader_ast_outer_1562);
  Object oldself1561 = self;
  struct StackFrameObject *oldstackframe1561 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1561);
  gc_frame_newslot((Object)stackframe);
  self = obj1561;
  Object *oldselfslot1561 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1561 = (*(struct UserObject *)self).data[0], lowerouter1561 = thisouter1561;
  if (inheritingObject1561) {
    struct UserObject *inho1561 = (struct UserObject *)inheritingObject1561;
    while (inho1561->super != GraceDefaultObject) inho1561 = (struct UserObject *)inho1561->super;
    inho1561->super = obj1561;
    self = inheritingObject1561;
    *selfslot = self;
    lowerouter1561 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1561;
  }
// method "new(_,_)"
  block_savedest(obj1561);
  Object closure1563 = createclosure(4, "new(2)");
  setclosureframe(closure1563, stackframe);
  addtoclosure(closure1563, var_k);
  addtoclosure(closure1563, var_blockNode);
  addtoclosure(closure1563, var_patternMarkVisitor);
  addtoclosure(closure1563, var_ancestorChain);
  struct UserObject *uo1563 = (struct UserObject*)obj1561;
  uo1563->data[1] = (Object)closure1563;
  Method *meth_meth_ast_new_40_2_41_1563 = addmethod2pos(obj1561, "new(2)", &meth_ast_new_40_2_41_1563, 1);
  int argcv_meth_ast_new_40_2_41_1563[] = {2};
  meth_meth_ast_new_40_2_41_1563->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_1563);
  meth_meth_ast_new_40_2_41_1563->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_1563->definitionLine = 331;
  block_savedest(obj1561);
  Object closure2019 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure2019, stackframe);
  addtoclosure(closure2019, var_k);
  addtoclosure(closure2019, var_blockNode);
  addtoclosure(closure2019, var_patternMarkVisitor);
  addtoclosure(closure2019, var_ancestorChain);
  Method *meth_meth_ast_new_40_2_41_1563_object = addmethod2pos(obj1561, "new(2)$object(1)", &meth_ast_new_40_2_41_1563_object, 1);
  meth_meth_ast_new_40_2_41_1563_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_1563_object->definitionLine = 331;
  sourceObject = obj1561;
  objclass1561 = obj1561->class;
  objclass1561->definitionModule = modulename;
  objclass1561->definitionLine = 330;
  (*(struct UserObject *)self).data[0] = lowerouter1561;
  self = oldself1561;
  selfslot = oldselfslot1561;
  stackframe = oldstackframe1561;
// compiled object node returning obj1561 (depth = 2)
  *var_blockNode = obj1561;
  if (obj1561 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blockNode"
  block_savedest(self);
  Object closure2020 = createclosure(1, "blockNode");
  setclosureframe(closure2020, stackframe);
  addtoclosure(closure2020, var_blockNode);
  struct UserObject *uo2020 = (struct UserObject*)self;
  uo2020->data[20] = (Object)closure2020;
  Method *meth_meth_ast_blockNode2020 = addmethod2pos(self, "blockNode", &meth_ast_blockNode2020, 20);
  int argcv_meth_ast_blockNode2020[] = {0};
  meth_meth_ast_blockNode2020->type = alloc_MethodType(1, argcv_meth_ast_blockNode2020);
  meth_meth_ast_blockNode2020->definitionModule = modulename;
  meth_meth_ast_blockNode2020->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2021 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2021 = alloc_userobj2(2,4, objclass2021);
  gc_frame_newslot(obj2021);
if (objclass2021 == NULL) {
  glfree(obj2021->class->name);
  obj2021->class->name = "tryCatchNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2021, self, 0);
  addmethodreal(obj2021,"outer", &reader_ast_outer_2022);
  Object oldself2021 = self;
  struct StackFrameObject *oldstackframe2021 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2021);
  gc_frame_newslot((Object)stackframe);
  self = obj2021;
  Object *oldselfslot2021 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2021 = (*(struct UserObject *)self).data[0], lowerouter2021 = thisouter2021;
  if (inheritingObject2021) {
    struct UserObject *inho2021 = (struct UserObject *)inheritingObject2021;
    while (inho2021->super != GraceDefaultObject) inho2021 = (struct UserObject *)inho2021->super;
    inho2021->super = obj2021;
    self = inheritingObject2021;
    *selfslot = self;
    lowerouter2021 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2021;
  }
// method "new(_,_,_)"
  block_savedest(obj2021);
  Object closure2023 = createclosure(3, "new(3)");
  setclosureframe(closure2023, stackframe);
  addtoclosure(closure2023, var_nullNode);
  addtoclosure(closure2023, var_emptySeq);
  addtoclosure(closure2023, var_tryCatchNode);
  struct UserObject *uo2023 = (struct UserObject*)obj2021;
  uo2023->data[1] = (Object)closure2023;
  Method *meth_meth_ast_new_40_3_41_2023 = addmethod2pos(obj2021, "new(3)", &meth_ast_new_40_3_41_2023, 1);
  int argcv_meth_ast_new_40_3_41_2023[] = {3};
  meth_meth_ast_new_40_3_41_2023->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_2023);
  meth_meth_ast_new_40_3_41_2023->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2023->definitionLine = 449;
  block_savedest(obj2021);
  Object closure2331 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure2331, stackframe);
  addtoclosure(closure2331, var_nullNode);
  addtoclosure(closure2331, var_emptySeq);
  addtoclosure(closure2331, var_tryCatchNode);
  Method *meth_meth_ast_new_40_3_41_2023_object = addmethod2pos(obj2021, "new(3)$object(1)", &meth_ast_new_40_3_41_2023_object, 1);
  meth_meth_ast_new_40_3_41_2023_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2023_object->definitionLine = 449;
  sourceObject = obj2021;
  objclass2021 = obj2021->class;
  objclass2021->definitionModule = modulename;
  objclass2021->definitionLine = 448;
  (*(struct UserObject *)self).data[0] = lowerouter2021;
  self = oldself2021;
  selfslot = oldselfslot2021;
  stackframe = oldstackframe2021;
// compiled object node returning obj2021 (depth = 2)
  *var_tryCatchNode = obj2021;
  if (obj2021 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tryCatchNode"
  block_savedest(self);
  Object closure2332 = createclosure(1, "tryCatchNode");
  setclosureframe(closure2332, stackframe);
  addtoclosure(closure2332, var_tryCatchNode);
  struct UserObject *uo2332 = (struct UserObject*)self;
  uo2332->data[21] = (Object)closure2332;
  Method *meth_meth_ast_tryCatchNode2332 = addmethod2pos(self, "tryCatchNode", &meth_ast_tryCatchNode2332, 21);
  int argcv_meth_ast_tryCatchNode2332[] = {0};
  meth_meth_ast_tryCatchNode2332->type = alloc_MethodType(1, argcv_meth_ast_tryCatchNode2332);
  meth_meth_ast_tryCatchNode2332->definitionModule = modulename;
  meth_meth_ast_tryCatchNode2332->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2333 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2333 = alloc_userobj2(2,4, objclass2333);
  gc_frame_newslot(obj2333);
if (objclass2333 == NULL) {
  glfree(obj2333->class->name);
  obj2333->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2333, self, 0);
  addmethodreal(obj2333,"outer", &reader_ast_outer_2334);
  Object oldself2333 = self;
  struct StackFrameObject *oldstackframe2333 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2333);
  gc_frame_newslot((Object)stackframe);
  self = obj2333;
  Object *oldselfslot2333 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2333 = (*(struct UserObject *)self).data[0], lowerouter2333 = thisouter2333;
  if (inheritingObject2333) {
    struct UserObject *inho2333 = (struct UserObject *)inheritingObject2333;
    while (inho2333->super != GraceDefaultObject) inho2333 = (struct UserObject *)inho2333->super;
    inho2333->super = obj2333;
    self = inheritingObject2333;
    *selfslot = self;
    lowerouter2333 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2333;
  }
// method "new(_,_,_)"
  block_savedest(obj2333);
  Object closure2335 = createclosure(3, "new(3)");
  setclosureframe(closure2335, stackframe);
  addtoclosure(closure2335, var_nullNode);
  addtoclosure(closure2335, var_emptySeq);
  addtoclosure(closure2335, var_matchCaseNode);
  struct UserObject *uo2335 = (struct UserObject*)obj2333;
  uo2335->data[1] = (Object)closure2335;
  Method *meth_meth_ast_new_40_3_41_2335 = addmethod2pos(obj2333, "new(3)", &meth_ast_new_40_3_41_2335, 1);
  int argcv_meth_ast_new_40_3_41_2335[] = {3};
  meth_meth_ast_new_40_3_41_2335->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_2335);
  meth_meth_ast_new_40_3_41_2335->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2335->definitionLine = 512;
  block_savedest(obj2333);
  Object closure2639 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure2639, stackframe);
  addtoclosure(closure2639, var_nullNode);
  addtoclosure(closure2639, var_emptySeq);
  addtoclosure(closure2639, var_matchCaseNode);
  Method *meth_meth_ast_new_40_3_41_2335_object = addmethod2pos(obj2333, "new(3)$object(1)", &meth_ast_new_40_3_41_2335_object, 1);
  meth_meth_ast_new_40_3_41_2335_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2335_object->definitionLine = 512;
  sourceObject = obj2333;
  objclass2333 = obj2333->class;
  objclass2333->definitionModule = modulename;
  objclass2333->definitionLine = 511;
  (*(struct UserObject *)self).data[0] = lowerouter2333;
  self = oldself2333;
  selfslot = oldselfslot2333;
  stackframe = oldstackframe2333;
// compiled object node returning obj2333 (depth = 2)
  *var_matchCaseNode = obj2333;
  if (obj2333 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "matchCaseNode"
  block_savedest(self);
  Object closure2640 = createclosure(1, "matchCaseNode");
  setclosureframe(closure2640, stackframe);
  addtoclosure(closure2640, var_matchCaseNode);
  struct UserObject *uo2640 = (struct UserObject*)self;
  uo2640->data[22] = (Object)closure2640;
  Method *meth_meth_ast_matchCaseNode2640 = addmethod2pos(self, "matchCaseNode", &meth_ast_matchCaseNode2640, 22);
  int argcv_meth_ast_matchCaseNode2640[] = {0};
  meth_meth_ast_matchCaseNode2640->type = alloc_MethodType(1, argcv_meth_ast_matchCaseNode2640);
  meth_meth_ast_matchCaseNode2640->definitionModule = modulename;
  meth_meth_ast_matchCaseNode2640->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2641 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2641 = alloc_userobj2(2,4, objclass2641);
  gc_frame_newslot(obj2641);
if (objclass2641 == NULL) {
  glfree(obj2641->class->name);
  obj2641->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2641, self, 0);
  addmethodreal(obj2641,"outer", &reader_ast_outer_2642);
  Object oldself2641 = self;
  struct StackFrameObject *oldstackframe2641 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2641);
  gc_frame_newslot((Object)stackframe);
  self = obj2641;
  Object *oldselfslot2641 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2641 = (*(struct UserObject *)self).data[0], lowerouter2641 = thisouter2641;
  if (inheritingObject2641) {
    struct UserObject *inho2641 = (struct UserObject *)inheritingObject2641;
    while (inho2641->super != GraceDefaultObject) inho2641 = (struct UserObject *)inho2641->super;
    inho2641->super = obj2641;
    self = inheritingObject2641;
    *selfslot = self;
    lowerouter2641 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2641;
  }
// method "new(_,_)"
  block_savedest(obj2641);
  Object closure2643 = createclosure(4, "new(2)");
  setclosureframe(closure2643, stackframe);
  addtoclosure(closure2643, var_uninitialized);
  addtoclosure(closure2643, var_identifierNode);
  addtoclosure(closure2643, var_k);
  addtoclosure(closure2643, var_methodTypeNode);
  struct UserObject *uo2643 = (struct UserObject*)obj2641;
  uo2643->data[1] = (Object)closure2643;
  Method *meth_meth_ast_new_40_2_41_2643 = addmethod2pos(obj2641, "new(2)", &meth_ast_new_40_2_41_2643, 1);
  int argcv_meth_ast_new_40_2_41_2643[] = {2};
  meth_meth_ast_new_40_2_41_2643->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_2643);
  meth_meth_ast_new_40_2_41_2643->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_2643->definitionLine = 575;
  block_savedest(obj2641);
  Object closure3022 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure3022, stackframe);
  addtoclosure(closure3022, var_uninitialized);
  addtoclosure(closure3022, var_identifierNode);
  addtoclosure(closure3022, var_k);
  addtoclosure(closure3022, var_methodTypeNode);
  Method *meth_meth_ast_new_40_2_41_2643_object = addmethod2pos(obj2641, "new(2)$object(1)", &meth_ast_new_40_2_41_2643_object, 1);
  meth_meth_ast_new_40_2_41_2643_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_2643_object->definitionLine = 575;
  sourceObject = obj2641;
  objclass2641 = obj2641->class;
  objclass2641->definitionModule = modulename;
  objclass2641->definitionLine = 574;
  (*(struct UserObject *)self).data[0] = lowerouter2641;
  self = oldself2641;
  selfslot = oldselfslot2641;
  stackframe = oldstackframe2641;
// compiled object node returning obj2641 (depth = 2)
  *var_methodTypeNode = obj2641;
  if (obj2641 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodTypeNode"
  block_savedest(self);
  Object closure3023 = createclosure(1, "methodTypeNode");
  setclosureframe(closure3023, stackframe);
  addtoclosure(closure3023, var_methodTypeNode);
  struct UserObject *uo3023 = (struct UserObject*)self;
  uo3023->data[23] = (Object)closure3023;
  Method *meth_meth_ast_methodTypeNode3023 = addmethod2pos(self, "methodTypeNode", &meth_ast_methodTypeNode3023, 23);
  int argcv_meth_ast_methodTypeNode3023[] = {0};
  meth_meth_ast_methodTypeNode3023->type = alloc_MethodType(1, argcv_meth_ast_methodTypeNode3023);
  meth_meth_ast_methodTypeNode3023->definitionModule = modulename;
  meth_meth_ast_methodTypeNode3023->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3024 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3024 = alloc_userobj2(2,4, objclass3024);
  gc_frame_newslot(obj3024);
if (objclass3024 == NULL) {
  glfree(obj3024->class->name);
  obj3024->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3024, self, 0);
  addmethodreal(obj3024,"outer", &reader_ast_outer_3025);
  Object oldself3024 = self;
  struct StackFrameObject *oldstackframe3024 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3024);
  gc_frame_newslot((Object)stackframe);
  self = obj3024;
  Object *oldselfslot3024 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3024 = (*(struct UserObject *)self).data[0], lowerouter3024 = thisouter3024;
  if (inheritingObject3024) {
    struct UserObject *inho3024 = (struct UserObject *)inheritingObject3024;
    while (inho3024->super != GraceDefaultObject) inho3024 = (struct UserObject *)inho3024->super;
    inho3024->super = obj3024;
    self = inheritingObject3024;
    *selfslot = self;
    lowerouter3024 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3024;
  }
// method "new(_,_)"
  block_savedest(obj3024);
  Object closure3026 = createclosure(3, "new(2)");
  setclosureframe(closure3026, stackframe);
  addtoclosure(closure3026, var_k);
  addtoclosure(closure3026, var_emptySeq);
  addtoclosure(closure3026, var_typeLiteralNode);
  struct UserObject *uo3026 = (struct UserObject*)obj3024;
  uo3026->data[1] = (Object)closure3026;
  Method *meth_meth_ast_new_40_2_41_3026 = addmethod2pos(obj3024, "new(2)", &meth_ast_new_40_2_41_3026, 1);
  int argcv_meth_ast_new_40_2_41_3026[] = {2};
  meth_meth_ast_new_40_2_41_3026->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_3026);
  meth_meth_ast_new_40_2_41_3026->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3026->definitionLine = 666;
  block_savedest(obj3024);
  Object closure3333 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure3333, stackframe);
  addtoclosure(closure3333, var_k);
  addtoclosure(closure3333, var_emptySeq);
  addtoclosure(closure3333, var_typeLiteralNode);
  Method *meth_meth_ast_new_40_2_41_3026_object = addmethod2pos(obj3024, "new(2)$object(1)", &meth_ast_new_40_2_41_3026_object, 1);
  meth_meth_ast_new_40_2_41_3026_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3026_object->definitionLine = 666;
  sourceObject = obj3024;
  objclass3024 = obj3024->class;
  objclass3024->definitionModule = modulename;
  objclass3024->definitionLine = 665;
  (*(struct UserObject *)self).data[0] = lowerouter3024;
  self = oldself3024;
  selfslot = oldselfslot3024;
  stackframe = oldstackframe3024;
// compiled object node returning obj3024 (depth = 2)
  *var_typeLiteralNode = obj3024;
  if (obj3024 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeLiteralNode"
  block_savedest(self);
  Object closure3334 = createclosure(1, "typeLiteralNode");
  setclosureframe(closure3334, stackframe);
  addtoclosure(closure3334, var_typeLiteralNode);
  struct UserObject *uo3334 = (struct UserObject*)self;
  uo3334->data[24] = (Object)closure3334;
  Method *meth_meth_ast_typeLiteralNode3334 = addmethod2pos(self, "typeLiteralNode", &meth_ast_typeLiteralNode3334, 24);
  int argcv_meth_ast_typeLiteralNode3334[] = {0};
  meth_meth_ast_typeLiteralNode3334->type = alloc_MethodType(1, argcv_meth_ast_typeLiteralNode3334);
  meth_meth_ast_typeLiteralNode3334->definitionModule = modulename;
  meth_meth_ast_typeLiteralNode3334->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3335 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3335 = alloc_userobj2(2,4, objclass3335);
  gc_frame_newslot(obj3335);
if (objclass3335 == NULL) {
  glfree(obj3335->class->name);
  obj3335->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3335, self, 0);
  addmethodreal(obj3335,"outer", &reader_ast_outer_3336);
  Object oldself3335 = self;
  struct StackFrameObject *oldstackframe3335 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3335);
  gc_frame_newslot((Object)stackframe);
  self = obj3335;
  Object *oldselfslot3335 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3335 = (*(struct UserObject *)self).data[0], lowerouter3335 = thisouter3335;
  if (inheritingObject3335) {
    struct UserObject *inho3335 = (struct UserObject *)inheritingObject3335;
    while (inho3335->super != GraceDefaultObject) inho3335 = (struct UserObject *)inho3335->super;
    inho3335->super = obj3335;
    self = inheritingObject3335;
    *selfslot = self;
    lowerouter3335 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3335;
  }
// method "new(_,_)"
  block_savedest(obj3335);
  Object closure3337 = createclosure(3, "new(2)");
  setclosureframe(closure3337, stackframe);
  addtoclosure(closure3337, var_k);
  addtoclosure(closure3337, var_nullNode);
  addtoclosure(closure3337, var_typeDecNode);
  struct UserObject *uo3337 = (struct UserObject*)obj3335;
  uo3337->data[1] = (Object)closure3337;
  Method *meth_meth_ast_new_40_2_41_3337 = addmethod2pos(obj3335, "new(2)", &meth_ast_new_40_2_41_3337, 1);
  int argcv_meth_ast_new_40_2_41_3337[] = {2};
  meth_meth_ast_new_40_2_41_3337->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_3337);
  meth_meth_ast_new_40_2_41_3337->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3337->definitionLine = 749;
  block_savedest(obj3335);
  Object closure3663 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure3663, stackframe);
  addtoclosure(closure3663, var_k);
  addtoclosure(closure3663, var_nullNode);
  addtoclosure(closure3663, var_typeDecNode);
  Method *meth_meth_ast_new_40_2_41_3337_object = addmethod2pos(obj3335, "new(2)$object(1)", &meth_ast_new_40_2_41_3337_object, 1);
  meth_meth_ast_new_40_2_41_3337_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3337_object->definitionLine = 749;
  sourceObject = obj3335;
  objclass3335 = obj3335->class;
  objclass3335->definitionModule = modulename;
  objclass3335->definitionLine = 748;
  (*(struct UserObject *)self).data[0] = lowerouter3335;
  self = oldself3335;
  selfslot = oldselfslot3335;
  stackframe = oldstackframe3335;
// compiled object node returning obj3335 (depth = 2)
  *var_typeDecNode = obj3335;
  if (obj3335 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeDecNode"
  block_savedest(self);
  Object closure3664 = createclosure(1, "typeDecNode");
  setclosureframe(closure3664, stackframe);
  addtoclosure(closure3664, var_typeDecNode);
  struct UserObject *uo3664 = (struct UserObject*)self;
  uo3664->data[25] = (Object)closure3664;
  Method *meth_meth_ast_typeDecNode3664 = addmethod2pos(self, "typeDecNode", &meth_ast_typeDecNode3664, 25);
  int argcv_meth_ast_typeDecNode3664[] = {0};
  meth_meth_ast_typeDecNode3664->type = alloc_MethodType(1, argcv_meth_ast_typeDecNode3664);
  meth_meth_ast_typeDecNode3664->definitionModule = modulename;
  meth_meth_ast_typeDecNode3664->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3665 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3665 = alloc_userobj2(3,4, objclass3665);
  gc_frame_newslot(obj3665);
if (objclass3665 == NULL) {
  glfree(obj3665->class->name);
  obj3665->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3665, self, 0);
  addmethodreal(obj3665,"outer", &reader_ast_outer_3666);
  Object oldself3665 = self;
  struct StackFrameObject *oldstackframe3665 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3665);
  gc_frame_newslot((Object)stackframe);
  self = obj3665;
  Object *oldselfslot3665 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3665 = (*(struct UserObject *)self).data[0], lowerouter3665 = thisouter3665;
  if (inheritingObject3665) {
    struct UserObject *inho3665 = (struct UserObject *)inheritingObject3665;
    while (inho3665->super != GraceDefaultObject) inho3665 = (struct UserObject *)inho3665->super;
    inho3665->super = obj3665;
    self = inheritingObject3665;
    *selfslot = self;
    lowerouter3665 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3665;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo3667 = (struct UserObject*)obj3665;
  uo3667->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_3_41_scope_40_1_41_3667 = addmethod2pos(obj3665, "new(3)scope(1)", &meth_ast_new_40_3_41_scope_40_1_41_3667, 1);
  int argcv_meth_ast_new_40_3_41_scope_40_1_41_3667[] = {3, 1};
  meth_meth_ast_new_40_3_41_scope_40_1_41_3667->type = alloc_MethodType(2, argcv_meth_ast_new_40_3_41_scope_40_1_41_3667);
  meth_meth_ast_new_40_3_41_scope_40_1_41_3667->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_scope_40_1_41_3667->definitionLine = 834;
// method "new(_,_,_)"
  block_savedest(obj3665);
  Object closure3672 = createclosure(4, "new(3)");
  setclosureframe(closure3672, stackframe);
  addtoclosure(closure3672, var_uninitialized);
  addtoclosure(closure3672, var_identifierNode);
  addtoclosure(closure3672, var_k);
  addtoclosure(closure3672, var_methodNode);
  struct UserObject *uo3672 = (struct UserObject*)obj3665;
  uo3672->data[2] = (Object)closure3672;
  Method *meth_meth_ast_new_40_3_41_3672 = addmethod2pos(obj3665, "new(3)", &meth_ast_new_40_3_41_3672, 2);
  int argcv_meth_ast_new_40_3_41_3672[] = {3};
  meth_meth_ast_new_40_3_41_3672->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_3672);
  meth_meth_ast_new_40_3_41_3672->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_3672->definitionLine = 840;
  block_savedest(obj3665);
  Object closure4786 = createclosure(4, "new(3)$object(1)");
  setclosureframe(closure4786, stackframe);
  addtoclosure(closure4786, var_uninitialized);
  addtoclosure(closure4786, var_identifierNode);
  addtoclosure(closure4786, var_k);
  addtoclosure(closure4786, var_methodNode);
  Method *meth_meth_ast_new_40_3_41_3672_object = addmethod2pos(obj3665, "new(3)$object(1)", &meth_ast_new_40_3_41_3672_object, 2);
  meth_meth_ast_new_40_3_41_3672_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_3672_object->definitionLine = 840;
  sourceObject = obj3665;
  sourceObject = obj3665;
  objclass3665 = obj3665->class;
  objclass3665->definitionModule = modulename;
  objclass3665->definitionLine = 833;
  (*(struct UserObject *)self).data[0] = lowerouter3665;
  self = oldself3665;
  selfslot = oldselfslot3665;
  stackframe = oldstackframe3665;
// compiled object node returning obj3665 (depth = 2)
  *var_methodNode = obj3665;
  if (obj3665 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodNode"
  block_savedest(self);
  Object closure4787 = createclosure(1, "methodNode");
  setclosureframe(closure4787, stackframe);
  addtoclosure(closure4787, var_methodNode);
  struct UserObject *uo4787 = (struct UserObject*)self;
  uo4787->data[26] = (Object)closure4787;
  Method *meth_meth_ast_methodNode4787 = addmethod2pos(self, "methodNode", &meth_ast_methodNode4787, 26);
  int argcv_meth_ast_methodNode4787[] = {0};
  meth_meth_ast_methodNode4787->type = alloc_MethodType(1, argcv_meth_ast_methodNode4787);
  meth_meth_ast_methodNode4787->definitionModule = modulename;
  meth_meth_ast_methodNode4787->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject4788 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4788 = alloc_userobj2(3,4, objclass4788);
  gc_frame_newslot(obj4788);
if (objclass4788 == NULL) {
  glfree(obj4788->class->name);
  obj4788->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4788, self, 0);
  addmethodreal(obj4788,"outer", &reader_ast_outer_4789);
  Object oldself4788 = self;
  struct StackFrameObject *oldstackframe4788 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4788);
  gc_frame_newslot((Object)stackframe);
  self = obj4788;
  Object *oldselfslot4788 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4788 = (*(struct UserObject *)self).data[0], lowerouter4788 = thisouter4788;
  if (inheritingObject4788) {
    struct UserObject *inho4788 = (struct UserObject *)inheritingObject4788;
    while (inho4788->super != GraceDefaultObject) inho4788 = (struct UserObject *)inho4788->super;
    inho4788->super = obj4788;
    self = inheritingObject4788;
    *selfslot = self;
    lowerouter4788 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4788;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo4790 = (struct UserObject*)obj4788;
  uo4790->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_4790 = addmethod2pos(obj4788, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_4790, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_4790[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_4790->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_4790);
  meth_meth_ast_new_40_2_41_scope_40_1_41_4790->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_4790->definitionLine = 1087;
// method "new(_,_)"
  block_savedest(obj4788);
  Object closure4795 = createclosure(3, "new(2)");
  setclosureframe(closure4795, stackframe);
  addtoclosure(closure4795, var_fakeSymbolTable);
  addtoclosure(closure4795, var_identifierNode);
  addtoclosure(closure4795, var_callNode);
  struct UserObject *uo4795 = (struct UserObject*)obj4788;
  uo4795->data[2] = (Object)closure4795;
  Method *meth_meth_ast_new_40_2_41_4795 = addmethod2pos(obj4788, "new(2)", &meth_ast_new_40_2_41_4795, 2);
  int argcv_meth_ast_new_40_2_41_4795[] = {2};
  meth_meth_ast_new_40_2_41_4795->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_4795);
  meth_meth_ast_new_40_2_41_4795->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_4795->definitionLine = 1092;
  block_savedest(obj4788);
  Object closure5320 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure5320, stackframe);
  addtoclosure(closure5320, var_fakeSymbolTable);
  addtoclosure(closure5320, var_identifierNode);
  addtoclosure(closure5320, var_callNode);
  Method *meth_meth_ast_new_40_2_41_4795_object = addmethod2pos(obj4788, "new(2)$object(1)", &meth_ast_new_40_2_41_4795_object, 2);
  meth_meth_ast_new_40_2_41_4795_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_4795_object->definitionLine = 1092;
  sourceObject = obj4788;
  sourceObject = obj4788;
  objclass4788 = obj4788->class;
  objclass4788->definitionModule = modulename;
  objclass4788->definitionLine = 1086;
  (*(struct UserObject *)self).data[0] = lowerouter4788;
  self = oldself4788;
  selfslot = oldselfslot4788;
  stackframe = oldstackframe4788;
// compiled object node returning obj4788 (depth = 2)
  *var_callNode = obj4788;
  if (obj4788 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "callNode"
  block_savedest(self);
  Object closure5321 = createclosure(1, "callNode");
  setclosureframe(closure5321, stackframe);
  addtoclosure(closure5321, var_callNode);
  struct UserObject *uo5321 = (struct UserObject*)self;
  uo5321->data[27] = (Object)closure5321;
  Method *meth_meth_ast_callNode5321 = addmethod2pos(self, "callNode", &meth_ast_callNode5321, 27);
  int argcv_meth_ast_callNode5321[] = {0};
  meth_meth_ast_callNode5321->type = alloc_MethodType(1, argcv_meth_ast_callNode5321);
  meth_meth_ast_callNode5321->definitionModule = modulename;
  meth_meth_ast_callNode5321->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5322 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5322 = alloc_userobj2(4,5, objclass5322);
  gc_frame_newslot(obj5322);
if (objclass5322 == NULL) {
  glfree(obj5322->class->name);
  obj5322->class->name = "moduleNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5322, self, 0);
  addmethodreal(obj5322,"outer", &reader_ast_outer_5323);
  Object oldself5322 = self;
  struct StackFrameObject *oldstackframe5322 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5322);
  gc_frame_newslot((Object)stackframe);
  self = obj5322;
  Object *oldselfslot5322 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5322 = (*(struct UserObject *)self).data[0], lowerouter5322 = thisouter5322;
  if (inheritingObject5322) {
    struct UserObject *inho5322 = (struct UserObject *)inheritingObject5322;
    while (inho5322->super != GraceDefaultObject) inho5322 = (struct UserObject *)inho5322->super;
    inho5322->super = obj5322;
    self = inheritingObject5322;
    *selfslot = self;
    lowerouter5322 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5322;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5324 = (struct UserObject*)obj5322;
  uo5324->data[1] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324 = addmethod2pos(obj5322, "body(1)named(1)scope(1)", &meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324, 1);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324[] = {1, 1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324->type = alloc_MethodType(3, argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324);
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5324->definitionLine = 1235;
// method "body(_)named(_)"
  struct UserObject *uo5331 = (struct UserObject*)obj5322;
  uo5331->data[2] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_5331 = addmethod2pos(obj5322, "body(1)named(1)", &meth_ast_body_40_1_41_named_40_1_41_5331, 2);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_5331[] = {1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_5331->type = alloc_MethodType(2, argcv_meth_ast_body_40_1_41_named_40_1_41_5331);
  meth_meth_ast_body_40_1_41_named_40_1_41_5331->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_5331->definitionLine = 1241;
// method "body(_)"
  block_savedest(obj5322);
  Object closure5336 = createclosure(4, "body(1)");
  setclosureframe(closure5336, stackframe);
  addtoclosure(closure5336, var_emptySeq);
  addtoclosure(closure5336, var_moduleNode);
  addtoclosure(closure5336, var_objectNode);
  addtoclosure(closure5336, var_util);
  struct UserObject *uo5336 = (struct UserObject*)obj5322;
  uo5336->data[3] = (Object)closure5336;
  Method *meth_meth_ast_body_40_1_41_5336 = addmethod2pos(obj5322, "body(1)", &meth_ast_body_40_1_41_5336, 3);
  int argcv_meth_ast_body_40_1_41_5336[] = {1};
  meth_meth_ast_body_40_1_41_5336->type = alloc_MethodType(1, argcv_meth_ast_body_40_1_41_5336);
  meth_meth_ast_body_40_1_41_5336->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_5336->definitionLine = 1246;
  block_savedest(obj5322);
  Object closure5436 = createclosure(4, "body(1)$object(1)");
  setclosureframe(closure5436, stackframe);
  addtoclosure(closure5436, var_emptySeq);
  addtoclosure(closure5436, var_moduleNode);
  addtoclosure(closure5436, var_objectNode);
  addtoclosure(closure5436, var_util);
  Method *meth_meth_ast_body_40_1_41_5336_object = addmethod2pos(obj5322, "body(1)$object(1)", &meth_ast_body_40_1_41_5336_object, 3);
  meth_meth_ast_body_40_1_41_5336_object->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_5336_object->definitionLine = 1246;
  sourceObject = obj5322;
  sourceObject = obj5322;
  sourceObject = obj5322;
  objclass5322 = obj5322->class;
  objclass5322->definitionModule = modulename;
  objclass5322->definitionLine = 1234;
  (*(struct UserObject *)self).data[0] = lowerouter5322;
  self = oldself5322;
  selfslot = oldselfslot5322;
  stackframe = oldstackframe5322;
// compiled object node returning obj5322 (depth = 2)
  *var_moduleNode = obj5322;
  if (obj5322 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "moduleNode"
  block_savedest(self);
  Object closure5437 = createclosure(1, "moduleNode");
  setclosureframe(closure5437, stackframe);
  addtoclosure(closure5437, var_moduleNode);
  struct UserObject *uo5437 = (struct UserObject*)self;
  uo5437->data[28] = (Object)closure5437;
  Method *meth_meth_ast_moduleNode5437 = addmethod2pos(self, "moduleNode", &meth_ast_moduleNode5437, 28);
  int argcv_meth_ast_moduleNode5437[] = {0};
  meth_meth_ast_moduleNode5437->type = alloc_MethodType(1, argcv_meth_ast_moduleNode5437);
  meth_meth_ast_moduleNode5437->definitionModule = modulename;
  meth_meth_ast_moduleNode5437->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5438 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5438 = alloc_userobj2(4,5, objclass5438);
  gc_frame_newslot(obj5438);
if (objclass5438 == NULL) {
  glfree(obj5438->class->name);
  obj5438->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5438, self, 0);
  addmethodreal(obj5438,"outer", &reader_ast_outer_5439);
  Object oldself5438 = self;
  struct StackFrameObject *oldstackframe5438 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5438);
  gc_frame_newslot((Object)stackframe);
  self = obj5438;
  Object *oldselfslot5438 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5438 = (*(struct UserObject *)self).data[0], lowerouter5438 = thisouter5438;
  if (inheritingObject5438) {
    struct UserObject *inho5438 = (struct UserObject *)inheritingObject5438;
    while (inho5438->super != GraceDefaultObject) inho5438 = (struct UserObject *)inho5438->super;
    inho5438->super = obj5438;
    self = inheritingObject5438;
    *selfslot = self;
    lowerouter5438 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5438;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5440 = (struct UserObject*)obj5438;
  uo5440->data[1] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440 = addmethod2pos(obj5438, "body(1)named(1)scope(1)", &meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440, 1);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440[] = {1, 1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440->type = alloc_MethodType(3, argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440);
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5440->definitionLine = 1293;
// method "body(_)named(_)"
  block_savedest(obj5438);
  Object closure5448 = createclosure(1, "body(1)named(1)");
  setclosureframe(closure5448, stackframe);
  addtoclosure(closure5448, var_fakeSymbolTable);
  struct UserObject *uo5448 = (struct UserObject*)obj5438;
  uo5448->data[2] = (Object)closure5448;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_5448 = addmethod2pos(obj5438, "body(1)named(1)", &meth_ast_body_40_1_41_named_40_1_41_5448, 2);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_5448[] = {1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_5448->type = alloc_MethodType(2, argcv_meth_ast_body_40_1_41_named_40_1_41_5448);
  meth_meth_ast_body_40_1_41_named_40_1_41_5448->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_5448->definitionLine = 1299;
// method "new(_,_)"
  block_savedest(obj5438);
  Object closure5451 = createclosure(2, "new(2)");
  setclosureframe(closure5451, stackframe);
  addtoclosure(closure5451, var_emptySeq);
  addtoclosure(closure5451, var_objectNode);
  struct UserObject *uo5451 = (struct UserObject*)obj5438;
  uo5451->data[3] = (Object)closure5451;
  Method *meth_meth_ast_new_40_2_41_5451 = addmethod2pos(obj5438, "new(2)", &meth_ast_new_40_2_41_5451, 3);
  int argcv_meth_ast_new_40_2_41_5451[] = {2};
  meth_meth_ast_new_40_2_41_5451->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_5451);
  meth_meth_ast_new_40_2_41_5451->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_5451->definitionLine = 1302;
  block_savedest(obj5438);
  Object closure6047 = createclosure(2, "new(2)$object(1)");
  setclosureframe(closure6047, stackframe);
  addtoclosure(closure6047, var_emptySeq);
  addtoclosure(closure6047, var_objectNode);
  Method *meth_meth_ast_new_40_2_41_5451_object = addmethod2pos(obj5438, "new(2)$object(1)", &meth_ast_new_40_2_41_5451_object, 3);
  meth_meth_ast_new_40_2_41_5451_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_5451_object->definitionLine = 1302;
  sourceObject = obj5438;
  sourceObject = obj5438;
  sourceObject = obj5438;
  objclass5438 = obj5438->class;
  objclass5438->definitionModule = modulename;
  objclass5438->definitionLine = 1292;
  (*(struct UserObject *)self).data[0] = lowerouter5438;
  self = oldself5438;
  selfslot = oldselfslot5438;
  stackframe = oldstackframe5438;
// compiled object node returning obj5438 (depth = 2)
  *var_objectNode = obj5438;
  if (obj5438 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "objectNode"
  block_savedest(self);
  Object closure6048 = createclosure(1, "objectNode");
  setclosureframe(closure6048, stackframe);
  addtoclosure(closure6048, var_objectNode);
  struct UserObject *uo6048 = (struct UserObject*)self;
  uo6048->data[29] = (Object)closure6048;
  Method *meth_meth_ast_objectNode6048 = addmethod2pos(self, "objectNode", &meth_ast_objectNode6048, 29);
  int argcv_meth_ast_objectNode6048[] = {0};
  meth_meth_ast_objectNode6048->type = alloc_MethodType(1, argcv_meth_ast_objectNode6048);
  meth_meth_ast_objectNode6048->definitionModule = modulename;
  meth_meth_ast_objectNode6048->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6049 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6049 = alloc_userobj2(2,4, objclass6049);
  gc_frame_newslot(obj6049);
if (objclass6049 == NULL) {
  glfree(obj6049->class->name);
  obj6049->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6049, self, 0);
  addmethodreal(obj6049,"outer", &reader_ast_outer_6050);
  Object oldself6049 = self;
  struct StackFrameObject *oldstackframe6049 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6049);
  gc_frame_newslot((Object)stackframe);
  self = obj6049;
  Object *oldselfslot6049 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6049 = (*(struct UserObject *)self).data[0], lowerouter6049 = thisouter6049;
  if (inheritingObject6049) {
    struct UserObject *inho6049 = (struct UserObject *)inheritingObject6049;
    while (inho6049->super != GraceDefaultObject) inho6049 = (struct UserObject *)inho6049->super;
    inho6049->super = obj6049;
    self = inheritingObject6049;
    *selfslot = self;
    lowerouter6049 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6049;
  }
// method "new(_)"
  block_savedest(obj6049);
  Object closure6051 = createclosure(2, "new(1)");
  setclosureframe(closure6051, stackframe);
  addtoclosure(closure6051, var_emptySeq);
  addtoclosure(closure6051, var_arrayNode);
  struct UserObject *uo6051 = (struct UserObject*)obj6049;
  uo6051->data[1] = (Object)closure6051;
  Method *meth_meth_ast_new_40_1_41_6051 = addmethod2pos(obj6049, "new(1)", &meth_ast_new_40_1_41_6051, 1);
  int argcv_meth_ast_new_40_1_41_6051[] = {1};
  meth_meth_ast_new_40_1_41_6051->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_6051);
  meth_meth_ast_new_40_1_41_6051->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6051->definitionLine = 1469;
  block_savedest(obj6049);
  Object closure6182 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure6182, stackframe);
  addtoclosure(closure6182, var_emptySeq);
  addtoclosure(closure6182, var_arrayNode);
  Method *meth_meth_ast_new_40_1_41_6051_object = addmethod2pos(obj6049, "new(1)$object(1)", &meth_ast_new_40_1_41_6051_object, 1);
  meth_meth_ast_new_40_1_41_6051_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6051_object->definitionLine = 1469;
  sourceObject = obj6049;
  objclass6049 = obj6049->class;
  objclass6049->definitionModule = modulename;
  objclass6049->definitionLine = 1468;
  (*(struct UserObject *)self).data[0] = lowerouter6049;
  self = oldself6049;
  selfslot = oldselfslot6049;
  stackframe = oldstackframe6049;
// compiled object node returning obj6049 (depth = 2)
  *var_arrayNode = obj6049;
  if (obj6049 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "arrayNode"
  block_savedest(self);
  Object closure6183 = createclosure(1, "arrayNode");
  setclosureframe(closure6183, stackframe);
  addtoclosure(closure6183, var_arrayNode);
  struct UserObject *uo6183 = (struct UserObject*)self;
  uo6183->data[30] = (Object)closure6183;
  Method *meth_meth_ast_arrayNode6183 = addmethod2pos(self, "arrayNode", &meth_ast_arrayNode6183, 30);
  int argcv_meth_ast_arrayNode6183[] = {0};
  meth_meth_ast_arrayNode6183->type = alloc_MethodType(1, argcv_meth_ast_arrayNode6183);
  meth_meth_ast_arrayNode6183->definitionModule = modulename;
  meth_meth_ast_arrayNode6183->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6184 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6184 = alloc_userobj2(3,4, objclass6184);
  gc_frame_newslot(obj6184);
if (objclass6184 == NULL) {
  glfree(obj6184->class->name);
  obj6184->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6184, self, 0);
  addmethodreal(obj6184,"outer", &reader_ast_outer_6185);
  Object oldself6184 = self;
  struct StackFrameObject *oldstackframe6184 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6184);
  gc_frame_newslot((Object)stackframe);
  self = obj6184;
  Object *oldselfslot6184 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6184 = (*(struct UserObject *)self).data[0], lowerouter6184 = thisouter6184;
  if (inheritingObject6184) {
    struct UserObject *inho6184 = (struct UserObject *)inheritingObject6184;
    while (inho6184->super != GraceDefaultObject) inho6184 = (struct UserObject *)inho6184->super;
    inho6184->super = obj6184;
    self = inheritingObject6184;
    *selfslot = self;
    lowerouter6184 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6184;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo6186 = (struct UserObject*)obj6184;
  uo6186->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_6186 = addmethod2pos(obj6184, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_6186, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_6186[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_6186->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_6186);
  meth_meth_ast_new_40_2_41_scope_40_1_41_6186->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_6186->definitionLine = 1515;
// method "new(_,_)"
  block_savedest(obj6184);
  Object closure6191 = createclosure(4, "new(2)");
  setclosureframe(closure6191, stackframe);
  addtoclosure(closure6191, var_emptySeq);
  addtoclosure(closure6191, var_fakeSymbolTable);
  addtoclosure(closure6191, var_identifierNode);
  addtoclosure(closure6191, var_memberNode);
  struct UserObject *uo6191 = (struct UserObject*)obj6184;
  uo6191->data[2] = (Object)closure6191;
  Method *meth_meth_ast_new_40_2_41_6191 = addmethod2pos(obj6184, "new(2)", &meth_ast_new_40_2_41_6191, 2);
  int argcv_meth_ast_new_40_2_41_6191[] = {2};
  meth_meth_ast_new_40_2_41_6191->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6191);
  meth_meth_ast_new_40_2_41_6191->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6191->definitionLine = 1521;
  block_savedest(obj6184);
  Object closure6574 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure6574, stackframe);
  addtoclosure(closure6574, var_emptySeq);
  addtoclosure(closure6574, var_fakeSymbolTable);
  addtoclosure(closure6574, var_identifierNode);
  addtoclosure(closure6574, var_memberNode);
  Method *meth_meth_ast_new_40_2_41_6191_object = addmethod2pos(obj6184, "new(2)$object(1)", &meth_ast_new_40_2_41_6191_object, 2);
  meth_meth_ast_new_40_2_41_6191_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6191_object->definitionLine = 1521;
  sourceObject = obj6184;
  sourceObject = obj6184;
  objclass6184 = obj6184->class;
  objclass6184->definitionModule = modulename;
  objclass6184->definitionLine = 1514;
  (*(struct UserObject *)self).data[0] = lowerouter6184;
  self = oldself6184;
  selfslot = oldselfslot6184;
  stackframe = oldstackframe6184;
// compiled object node returning obj6184 (depth = 2)
  *var_memberNode = obj6184;
  if (obj6184 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "memberNode"
  block_savedest(self);
  Object closure6575 = createclosure(1, "memberNode");
  setclosureframe(closure6575, stackframe);
  addtoclosure(closure6575, var_memberNode);
  struct UserObject *uo6575 = (struct UserObject*)self;
  uo6575->data[31] = (Object)closure6575;
  Method *meth_meth_ast_memberNode6575 = addmethod2pos(self, "memberNode", &meth_ast_memberNode6575, 31);
  int argcv_meth_ast_memberNode6575[] = {0};
  meth_meth_ast_memberNode6575->type = alloc_MethodType(1, argcv_meth_ast_memberNode6575);
  meth_meth_ast_memberNode6575->definitionModule = modulename;
  meth_meth_ast_memberNode6575->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6576 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6576 = alloc_userobj2(2,4, objclass6576);
  gc_frame_newslot(obj6576);
if (objclass6576 == NULL) {
  glfree(obj6576->class->name);
  obj6576->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6576, self, 0);
  addmethodreal(obj6576,"outer", &reader_ast_outer_6577);
  Object oldself6576 = self;
  struct StackFrameObject *oldstackframe6576 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6576);
  gc_frame_newslot((Object)stackframe);
  self = obj6576;
  Object *oldselfslot6576 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6576 = (*(struct UserObject *)self).data[0], lowerouter6576 = thisouter6576;
  if (inheritingObject6576) {
    struct UserObject *inho6576 = (struct UserObject *)inheritingObject6576;
    while (inho6576->super != GraceDefaultObject) inho6576 = (struct UserObject *)inho6576->super;
    inho6576->super = obj6576;
    self = inheritingObject6576;
    *selfslot = self;
    lowerouter6576 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6576;
  }
// method "new(_,_)"
  block_savedest(obj6576);
  Object closure6578 = createclosure(1, "new(2)");
  setclosureframe(closure6578, stackframe);
  addtoclosure(closure6578, var_genericNode);
  struct UserObject *uo6578 = (struct UserObject*)obj6576;
  uo6578->data[1] = (Object)closure6578;
  Method *meth_meth_ast_new_40_2_41_6578 = addmethod2pos(obj6576, "new(2)", &meth_ast_new_40_2_41_6578, 1);
  int argcv_meth_ast_new_40_2_41_6578[] = {2};
  meth_meth_ast_new_40_2_41_6578->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6578);
  meth_meth_ast_new_40_2_41_6578->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6578->definitionLine = 1620;
  block_savedest(obj6576);
  Object closure6735 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure6735, stackframe);
  addtoclosure(closure6735, var_genericNode);
  Method *meth_meth_ast_new_40_2_41_6578_object = addmethod2pos(obj6576, "new(2)$object(1)", &meth_ast_new_40_2_41_6578_object, 1);
  meth_meth_ast_new_40_2_41_6578_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6578_object->definitionLine = 1620;
  sourceObject = obj6576;
  objclass6576 = obj6576->class;
  objclass6576->definitionModule = modulename;
  objclass6576->definitionLine = 1619;
  (*(struct UserObject *)self).data[0] = lowerouter6576;
  self = oldself6576;
  selfslot = oldselfslot6576;
  stackframe = oldstackframe6576;
// compiled object node returning obj6576 (depth = 2)
  *var_genericNode = obj6576;
  if (obj6576 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "genericNode"
  block_savedest(self);
  Object closure6736 = createclosure(1, "genericNode");
  setclosureframe(closure6736, stackframe);
  addtoclosure(closure6736, var_genericNode);
  struct UserObject *uo6736 = (struct UserObject*)self;
  uo6736->data[32] = (Object)closure6736;
  Method *meth_meth_ast_genericNode6736 = addmethod2pos(self, "genericNode", &meth_ast_genericNode6736, 32);
  int argcv_meth_ast_genericNode6736[] = {0};
  meth_meth_ast_genericNode6736->type = alloc_MethodType(1, argcv_meth_ast_genericNode6736);
  meth_meth_ast_genericNode6736->definitionModule = modulename;
  meth_meth_ast_genericNode6736->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1663
  setline(1663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6737 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6737 = alloc_userobj2(2,4, objclass6737);
  gc_frame_newslot(obj6737);
if (objclass6737 == NULL) {
  glfree(obj6737->class->name);
  obj6737->class->name = "typeParametersNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6737, self, 0);
  addmethodreal(obj6737,"outer", &reader_ast_outer_6738);
  Object oldself6737 = self;
  struct StackFrameObject *oldstackframe6737 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6737);
  gc_frame_newslot((Object)stackframe);
  self = obj6737;
  Object *oldselfslot6737 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6737 = (*(struct UserObject *)self).data[0], lowerouter6737 = thisouter6737;
  if (inheritingObject6737) {
    struct UserObject *inho6737 = (struct UserObject *)inheritingObject6737;
    while (inho6737->super != GraceDefaultObject) inho6737 = (struct UserObject *)inho6737->super;
    inho6737->super = obj6737;
    self = inheritingObject6737;
    *selfslot = self;
    lowerouter6737 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6737;
  }
// method "new(_)"
  block_savedest(obj6737);
  Object closure6739 = createclosure(3, "new(1)");
  setclosureframe(closure6739, stackframe);
  addtoclosure(closure6739, var_k);
  addtoclosure(closure6739, var_emptySeq);
  addtoclosure(closure6739, var_typeParametersNode);
  struct UserObject *uo6739 = (struct UserObject*)obj6737;
  uo6739->data[1] = (Object)closure6739;
  Method *meth_meth_ast_new_40_1_41_6739 = addmethod2pos(obj6737, "new(1)", &meth_ast_new_40_1_41_6739, 1);
  int argcv_meth_ast_new_40_1_41_6739[] = {1};
  meth_meth_ast_new_40_1_41_6739->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_6739);
  meth_meth_ast_new_40_1_41_6739->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6739->definitionLine = 1665;
  block_savedest(obj6737);
  Object closure6898 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure6898, stackframe);
  addtoclosure(closure6898, var_k);
  addtoclosure(closure6898, var_emptySeq);
  addtoclosure(closure6898, var_typeParametersNode);
  Method *meth_meth_ast_new_40_1_41_6739_object = addmethod2pos(obj6737, "new(1)$object(1)", &meth_ast_new_40_1_41_6739_object, 1);
  meth_meth_ast_new_40_1_41_6739_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6739_object->definitionLine = 1665;
  sourceObject = obj6737;
  objclass6737 = obj6737->class;
  objclass6737->definitionModule = modulename;
  objclass6737->definitionLine = 1664;
  (*(struct UserObject *)self).data[0] = lowerouter6737;
  self = oldself6737;
  selfslot = oldselfslot6737;
  stackframe = oldstackframe6737;
// compiled object node returning obj6737 (depth = 2)
  *var_typeParametersNode = obj6737;
  if (obj6737 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeParametersNode"
  block_savedest(self);
  Object closure6899 = createclosure(1, "typeParametersNode");
  setclosureframe(closure6899, stackframe);
  addtoclosure(closure6899, var_typeParametersNode);
  struct UserObject *uo6899 = (struct UserObject*)self;
  uo6899->data[33] = (Object)closure6899;
  Method *meth_meth_ast_typeParametersNode6899 = addmethod2pos(self, "typeParametersNode", &meth_ast_typeParametersNode6899, 33);
  int argcv_meth_ast_typeParametersNode6899[] = {0};
  meth_meth_ast_typeParametersNode6899->type = alloc_MethodType(1, argcv_meth_ast_typeParametersNode6899);
  meth_meth_ast_typeParametersNode6899->definitionModule = modulename;
  meth_meth_ast_typeParametersNode6899->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6900 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6900 = alloc_userobj2(3,4, objclass6900);
  gc_frame_newslot(obj6900);
if (objclass6900 == NULL) {
  glfree(obj6900->class->name);
  obj6900->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6900, self, 0);
  addmethodreal(obj6900,"outer", &reader_ast_outer_6901);
  Object oldself6900 = self;
  struct StackFrameObject *oldstackframe6900 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6900);
  gc_frame_newslot((Object)stackframe);
  self = obj6900;
  Object *oldselfslot6900 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6900 = (*(struct UserObject *)self).data[0], lowerouter6900 = thisouter6900;
  if (inheritingObject6900) {
    struct UserObject *inho6900 = (struct UserObject *)inheritingObject6900;
    while (inho6900->super != GraceDefaultObject) inho6900 = (struct UserObject *)inho6900->super;
    inho6900->super = obj6900;
    self = inheritingObject6900;
    *selfslot = self;
    lowerouter6900 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6900;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo6902 = (struct UserObject*)obj6900;
  uo6902->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_6902 = addmethod2pos(obj6900, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_6902, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_6902[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_6902->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_6902);
  meth_meth_ast_new_40_2_41_scope_40_1_41_6902->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_6902->definitionLine = 1713;
// method "new(_,_)"
  block_savedest(obj6900);
  Object closure6907 = createclosure(1, "new(2)");
  setclosureframe(closure6907, stackframe);
  addtoclosure(closure6907, var_identifierNode);
  struct UserObject *uo6907 = (struct UserObject*)obj6900;
  uo6907->data[2] = (Object)closure6907;
  Method *meth_meth_ast_new_40_2_41_6907 = addmethod2pos(obj6900, "new(2)", &meth_ast_new_40_2_41_6907, 2);
  int argcv_meth_ast_new_40_2_41_6907[] = {2};
  meth_meth_ast_new_40_2_41_6907->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6907);
  meth_meth_ast_new_40_2_41_6907->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6907->definitionLine = 1719;
  block_savedest(obj6900);
  Object closure7329 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7329, stackframe);
  addtoclosure(closure7329, var_identifierNode);
  Method *meth_meth_ast_new_40_2_41_6907_object = addmethod2pos(obj6900, "new(2)$object(1)", &meth_ast_new_40_2_41_6907_object, 2);
  meth_meth_ast_new_40_2_41_6907_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6907_object->definitionLine = 1719;
  sourceObject = obj6900;
  sourceObject = obj6900;
  objclass6900 = obj6900->class;
  objclass6900->definitionModule = modulename;
  objclass6900->definitionLine = 1711;
  (*(struct UserObject *)self).data[0] = lowerouter6900;
  self = oldself6900;
  selfslot = oldselfslot6900;
  stackframe = oldstackframe6900;
// compiled object node returning obj6900 (depth = 2)
  *var_identifierNode = obj6900;
  if (obj6900 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "identifierNode"
  block_savedest(self);
  Object closure7330 = createclosure(1, "identifierNode");
  setclosureframe(closure7330, stackframe);
  addtoclosure(closure7330, var_identifierNode);
  struct UserObject *uo7330 = (struct UserObject*)self;
  uo7330->data[34] = (Object)closure7330;
  Method *meth_meth_ast_identifierNode7330 = addmethod2pos(self, "identifierNode", &meth_ast_identifierNode7330, 34);
  int argcv_meth_ast_identifierNode7330[] = {0};
  meth_meth_ast_identifierNode7330->type = alloc_MethodType(1, argcv_meth_ast_identifierNode7330);
  meth_meth_ast_identifierNode7330->definitionModule = modulename;
  meth_meth_ast_identifierNode7330->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7331 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7332 == NULL) {
    strlit7332 = alloc_String("Type");
    gc_root(strlit7332);
  }
// compiled string node returning strlit7332 (depth = 3)
  gc_frame_newslot(strlit7332);
// starting to compile identifier node (depth = 3)
  Object bool7333 = alloc_Boolean(0);
// compiled identifier node returning bool7333 (depth = 3)
  gc_frame_newslot(bool7333);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7332;
  params[1] = bool7333;
  partcv[0] = 2;
  Object call7334 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7331);
// compiled call node returning call7334 (depth = 2)
  *var_typeType = call7334;
  if (call7334 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeType"
  block_savedest(self);
  Object closure7335 = createclosure(1, "typeType");
  setclosureframe(closure7335, stackframe);
  addtoclosure(closure7335, var_typeType);
  struct UserObject *uo7335 = (struct UserObject*)self;
  uo7335->data[35] = (Object)closure7335;
  Method *meth_meth_ast_typeType7335 = addmethod2pos(self, "typeType", &meth_ast_typeType7335, 35);
  int argcv_meth_ast_typeType7335[] = {0};
  meth_meth_ast_typeType7335->type = alloc_MethodType(1, argcv_meth_ast_typeType7335);
  meth_meth_ast_typeType7335->definitionModule = modulename;
  meth_meth_ast_typeType7335->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7336 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7337 == NULL) {
    strlit7337 = alloc_String("Unknown");
    gc_root(strlit7337);
  }
// compiled string node returning strlit7337 (depth = 3)
  gc_frame_newslot(strlit7337);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_newslot(*var_typeType);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7337;
  params[1] = *var_typeType;
  partcv[0] = 2;
  Object call7338 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7336);
// compiled call node returning call7338 (depth = 2)
  *var_unknownType = call7338;
  if (call7338 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "unknownType"
  block_savedest(self);
  Object closure7339 = createclosure(1, "unknownType");
  setclosureframe(closure7339, stackframe);
  addtoclosure(closure7339, var_unknownType);
  struct UserObject *uo7339 = (struct UserObject*)self;
  uo7339->data[36] = (Object)closure7339;
  Method *meth_meth_ast_unknownType7339 = addmethod2pos(self, "unknownType", &meth_ast_unknownType7339, 36);
  int argcv_meth_ast_unknownType7339[] = {0};
  meth_meth_ast_unknownType7339->type = alloc_MethodType(1, argcv_meth_ast_unknownType7339);
  meth_meth_ast_unknownType7339->definitionModule = modulename;
  meth_meth_ast_unknownType7339->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7340 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7340 = alloc_userobj2(3,4, objclass7340);
  gc_frame_newslot(obj7340);
if (objclass7340 == NULL) {
  glfree(obj7340->class->name);
  obj7340->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7340, self, 0);
  addmethodreal(obj7340,"outer", &reader_ast_outer_7341);
  Object oldself7340 = self;
  struct StackFrameObject *oldstackframe7340 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7340);
  gc_frame_newslot((Object)stackframe);
  self = obj7340;
  Object *oldselfslot7340 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7340 = (*(struct UserObject *)self).data[0], lowerouter7340 = thisouter7340;
  if (inheritingObject7340) {
    struct UserObject *inho7340 = (struct UserObject *)inheritingObject7340;
    while (inho7340->super != GraceDefaultObject) inho7340 = (struct UserObject *)inho7340->super;
    inho7340->super = obj7340;
    self = inheritingObject7340;
    *selfslot = self;
    lowerouter7340 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7340;
  }
// method "new(_)scope(_)"
  struct UserObject *uo7342 = (struct UserObject*)obj7340;
  uo7342->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_1_41_scope_40_1_41_7342 = addmethod2pos(obj7340, "new(1)scope(1)", &meth_ast_new_40_1_41_scope_40_1_41_7342, 1);
  int argcv_meth_ast_new_40_1_41_scope_40_1_41_7342[] = {1, 1};
  meth_meth_ast_new_40_1_41_scope_40_1_41_7342->type = alloc_MethodType(2, argcv_meth_ast_new_40_1_41_scope_40_1_41_7342);
  meth_meth_ast_new_40_1_41_scope_40_1_41_7342->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_scope_40_1_41_7342->definitionLine = 1850;
// method "new(_)"
  block_savedest(obj7340);
  Object closure7347 = createclosure(1, "new(1)");
  setclosureframe(closure7347, stackframe);
  addtoclosure(closure7347, var_stringNode);
  struct UserObject *uo7347 = (struct UserObject*)obj7340;
  uo7347->data[2] = (Object)closure7347;
  Method *meth_meth_ast_new_40_1_41_7347 = addmethod2pos(obj7340, "new(1)", &meth_ast_new_40_1_41_7347, 2);
  int argcv_meth_ast_new_40_1_41_7347[] = {1};
  meth_meth_ast_new_40_1_41_7347->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_7347);
  meth_meth_ast_new_40_1_41_7347->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7347->definitionLine = 1856;
  block_savedest(obj7340);
  Object closure7424 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure7424, stackframe);
  addtoclosure(closure7424, var_stringNode);
  Method *meth_meth_ast_new_40_1_41_7347_object = addmethod2pos(obj7340, "new(1)$object(1)", &meth_ast_new_40_1_41_7347_object, 2);
  meth_meth_ast_new_40_1_41_7347_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7347_object->definitionLine = 1856;
  sourceObject = obj7340;
  sourceObject = obj7340;
  objclass7340 = obj7340->class;
  objclass7340->definitionModule = modulename;
  objclass7340->definitionLine = 1849;
  (*(struct UserObject *)self).data[0] = lowerouter7340;
  self = oldself7340;
  selfslot = oldselfslot7340;
  stackframe = oldstackframe7340;
// compiled object node returning obj7340 (depth = 2)
  *var_stringNode = obj7340;
  if (obj7340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "stringNode"
  block_savedest(self);
  Object closure7425 = createclosure(1, "stringNode");
  setclosureframe(closure7425, stackframe);
  addtoclosure(closure7425, var_stringNode);
  struct UserObject *uo7425 = (struct UserObject*)self;
  uo7425->data[37] = (Object)closure7425;
  Method *meth_meth_ast_stringNode7425 = addmethod2pos(self, "stringNode", &meth_ast_stringNode7425, 37);
  int argcv_meth_ast_stringNode7425[] = {0};
  meth_meth_ast_stringNode7425->type = alloc_MethodType(1, argcv_meth_ast_stringNode7425);
  meth_meth_ast_stringNode7425->definitionModule = modulename;
  meth_meth_ast_stringNode7425->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1855
  setline(1855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7426 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7426 = alloc_userobj2(2,4, objclass7426);
  gc_frame_newslot(obj7426);
if (objclass7426 == NULL) {
  glfree(obj7426->class->name);
  obj7426->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7426, self, 0);
  addmethodreal(obj7426,"outer", &reader_ast_outer_7427);
  Object oldself7426 = self;
  struct StackFrameObject *oldstackframe7426 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7426);
  gc_frame_newslot((Object)stackframe);
  self = obj7426;
  Object *oldselfslot7426 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7426 = (*(struct UserObject *)self).data[0], lowerouter7426 = thisouter7426;
  if (inheritingObject7426) {
    struct UserObject *inho7426 = (struct UserObject *)inheritingObject7426;
    while (inho7426->super != GraceDefaultObject) inho7426 = (struct UserObject *)inho7426->super;
    inho7426->super = obj7426;
    self = inheritingObject7426;
    *selfslot = self;
    lowerouter7426 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7426;
  }
// method "new(_)"
  block_savedest(obj7426);
  Object closure7428 = createclosure(1, "new(1)");
  setclosureframe(closure7428, stackframe);
  addtoclosure(closure7428, var_numNode);
  struct UserObject *uo7428 = (struct UserObject*)obj7426;
  uo7428->data[1] = (Object)closure7428;
  Method *meth_meth_ast_new_40_1_41_7428 = addmethod2pos(obj7426, "new(1)", &meth_ast_new_40_1_41_7428, 1);
  int argcv_meth_ast_new_40_1_41_7428[] = {1};
  meth_meth_ast_new_40_1_41_7428->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_7428);
  meth_meth_ast_new_40_1_41_7428->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7428->definitionLine = 1884;
  block_savedest(obj7426);
  Object closure7497 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure7497, stackframe);
  addtoclosure(closure7497, var_numNode);
  Method *meth_meth_ast_new_40_1_41_7428_object = addmethod2pos(obj7426, "new(1)$object(1)", &meth_ast_new_40_1_41_7428_object, 1);
  meth_meth_ast_new_40_1_41_7428_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7428_object->definitionLine = 1884;
  sourceObject = obj7426;
  objclass7426 = obj7426->class;
  objclass7426->definitionModule = modulename;
  objclass7426->definitionLine = 1883;
  (*(struct UserObject *)self).data[0] = lowerouter7426;
  self = oldself7426;
  selfslot = oldselfslot7426;
  stackframe = oldstackframe7426;
// compiled object node returning obj7426 (depth = 2)
  *var_numNode = obj7426;
  if (obj7426 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "numNode"
  block_savedest(self);
  Object closure7498 = createclosure(1, "numNode");
  setclosureframe(closure7498, stackframe);
  addtoclosure(closure7498, var_numNode);
  struct UserObject *uo7498 = (struct UserObject*)self;
  uo7498->data[38] = (Object)closure7498;
  Method *meth_meth_ast_numNode7498 = addmethod2pos(self, "numNode", &meth_ast_numNode7498, 38);
  int argcv_meth_ast_numNode7498[] = {0};
  meth_meth_ast_numNode7498->type = alloc_MethodType(1, argcv_meth_ast_numNode7498);
  meth_meth_ast_numNode7498->definitionModule = modulename;
  meth_meth_ast_numNode7498->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7499 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7499 = alloc_userobj2(2,4, objclass7499);
  gc_frame_newslot(obj7499);
if (objclass7499 == NULL) {
  glfree(obj7499->class->name);
  obj7499->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7499, self, 0);
  addmethodreal(obj7499,"outer", &reader_ast_outer_7500);
  Object oldself7499 = self;
  struct StackFrameObject *oldstackframe7499 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7499);
  gc_frame_newslot((Object)stackframe);
  self = obj7499;
  Object *oldselfslot7499 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7499 = (*(struct UserObject *)self).data[0], lowerouter7499 = thisouter7499;
  if (inheritingObject7499) {
    struct UserObject *inho7499 = (struct UserObject *)inheritingObject7499;
    while (inho7499->super != GraceDefaultObject) inho7499 = (struct UserObject *)inho7499->super;
    inho7499->super = obj7499;
    self = inheritingObject7499;
    *selfslot = self;
    lowerouter7499 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7499;
  }
// method "new(_,_,_)"
  block_savedest(obj7499);
  Object closure7501 = createclosure(3, "new(3)");
  setclosureframe(closure7501, stackframe);
  addtoclosure(closure7501, var_identifierNode);
  addtoclosure(closure7501, var_nullNode);
  addtoclosure(closure7501, var_opNode);
  struct UserObject *uo7501 = (struct UserObject*)obj7499;
  uo7501->data[1] = (Object)closure7501;
  Method *meth_meth_ast_new_40_3_41_7501 = addmethod2pos(obj7499, "new(3)", &meth_ast_new_40_3_41_7501, 1);
  int argcv_meth_ast_new_40_3_41_7501[] = {3};
  meth_meth_ast_new_40_3_41_7501->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_7501);
  meth_meth_ast_new_40_3_41_7501->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7501->definitionLine = 1911;
  block_savedest(obj7499);
  Object closure7781 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure7781, stackframe);
  addtoclosure(closure7781, var_identifierNode);
  addtoclosure(closure7781, var_nullNode);
  addtoclosure(closure7781, var_opNode);
  Method *meth_meth_ast_new_40_3_41_7501_object = addmethod2pos(obj7499, "new(3)$object(1)", &meth_ast_new_40_3_41_7501_object, 1);
  meth_meth_ast_new_40_3_41_7501_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7501_object->definitionLine = 1911;
  sourceObject = obj7499;
  objclass7499 = obj7499->class;
  objclass7499->definitionModule = modulename;
  objclass7499->definitionLine = 1910;
  (*(struct UserObject *)self).data[0] = lowerouter7499;
  self = oldself7499;
  selfslot = oldselfslot7499;
  stackframe = oldstackframe7499;
// compiled object node returning obj7499 (depth = 2)
  *var_opNode = obj7499;
  if (obj7499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "opNode"
  block_savedest(self);
  Object closure7782 = createclosure(1, "opNode");
  setclosureframe(closure7782, stackframe);
  addtoclosure(closure7782, var_opNode);
  struct UserObject *uo7782 = (struct UserObject*)self;
  uo7782->data[39] = (Object)closure7782;
  Method *meth_meth_ast_opNode7782 = addmethod2pos(self, "opNode", &meth_ast_opNode7782, 39);
  int argcv_meth_ast_opNode7782[] = {0};
  meth_meth_ast_opNode7782->type = alloc_MethodType(1, argcv_meth_ast_opNode7782);
  meth_meth_ast_opNode7782->definitionModule = modulename;
  meth_meth_ast_opNode7782->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7783 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7783 = alloc_userobj2(2,4, objclass7783);
  gc_frame_newslot(obj7783);
if (objclass7783 == NULL) {
  glfree(obj7783->class->name);
  obj7783->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7783, self, 0);
  addmethodreal(obj7783,"outer", &reader_ast_outer_7784);
  Object oldself7783 = self;
  struct StackFrameObject *oldstackframe7783 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7783);
  gc_frame_newslot((Object)stackframe);
  self = obj7783;
  Object *oldselfslot7783 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7783 = (*(struct UserObject *)self).data[0], lowerouter7783 = thisouter7783;
  if (inheritingObject7783) {
    struct UserObject *inho7783 = (struct UserObject *)inheritingObject7783;
    while (inho7783->super != GraceDefaultObject) inho7783 = (struct UserObject *)inho7783->super;
    inho7783->super = obj7783;
    self = inheritingObject7783;
    *selfslot = self;
    lowerouter7783 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7783;
  }
// method "new(_,_)"
  block_savedest(obj7783);
  Object closure7785 = createclosure(1, "new(2)");
  setclosureframe(closure7785, stackframe);
  addtoclosure(closure7785, var_bindNode);
  struct UserObject *uo7785 = (struct UserObject*)obj7783;
  uo7785->data[1] = (Object)closure7785;
  Method *meth_meth_ast_new_40_2_41_7785 = addmethod2pos(obj7783, "new(2)", &meth_ast_new_40_2_41_7785, 1);
  int argcv_meth_ast_new_40_2_41_7785[] = {2};
  meth_meth_ast_new_40_2_41_7785->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_7785);
  meth_meth_ast_new_40_2_41_7785->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_7785->definitionLine = 1978;
  block_savedest(obj7783);
  Object closure7970 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7970, stackframe);
  addtoclosure(closure7970, var_bindNode);
  Method *meth_meth_ast_new_40_2_41_7785_object = addmethod2pos(obj7783, "new(2)$object(1)", &meth_ast_new_40_2_41_7785_object, 1);
  meth_meth_ast_new_40_2_41_7785_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_7785_object->definitionLine = 1978;
  sourceObject = obj7783;
  objclass7783 = obj7783->class;
  objclass7783->definitionModule = modulename;
  objclass7783->definitionLine = 1977;
  (*(struct UserObject *)self).data[0] = lowerouter7783;
  self = oldself7783;
  selfslot = oldselfslot7783;
  stackframe = oldstackframe7783;
// compiled object node returning obj7783 (depth = 2)
  *var_bindNode = obj7783;
  if (obj7783 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "bindNode"
  block_savedest(self);
  Object closure7971 = createclosure(1, "bindNode");
  setclosureframe(closure7971, stackframe);
  addtoclosure(closure7971, var_bindNode);
  struct UserObject *uo7971 = (struct UserObject*)self;
  uo7971->data[40] = (Object)closure7971;
  Method *meth_meth_ast_bindNode7971 = addmethod2pos(self, "bindNode", &meth_ast_bindNode7971, 40);
  int argcv_meth_ast_bindNode7971[] = {0};
  meth_meth_ast_bindNode7971->type = alloc_MethodType(1, argcv_meth_ast_bindNode7971);
  meth_meth_ast_bindNode7971->definitionModule = modulename;
  meth_meth_ast_bindNode7971->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7972 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7972 = alloc_userobj2(3,4, objclass7972);
  gc_frame_newslot(obj7972);
if (objclass7972 == NULL) {
  glfree(obj7972->class->name);
  obj7972->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7972, self, 0);
  addmethodreal(obj7972,"outer", &reader_ast_outer_7973);
  Object oldself7972 = self;
  struct StackFrameObject *oldstackframe7972 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7972);
  gc_frame_newslot((Object)stackframe);
  self = obj7972;
  Object *oldselfslot7972 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7972 = (*(struct UserObject *)self).data[0], lowerouter7972 = thisouter7972;
  if (inheritingObject7972) {
    struct UserObject *inho7972 = (struct UserObject *)inheritingObject7972;
    while (inho7972->super != GraceDefaultObject) inho7972 = (struct UserObject *)inho7972->super;
    inho7972->super = obj7972;
    self = inheritingObject7972;
    *selfslot = self;
    lowerouter7972 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7972;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo7974 = (struct UserObject*)obj7972;
  uo7974->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_3_41_scope_40_1_41_7974 = addmethod2pos(obj7972, "new(3)scope(1)", &meth_ast_new_40_3_41_scope_40_1_41_7974, 1);
  int argcv_meth_ast_new_40_3_41_scope_40_1_41_7974[] = {3, 1};
  meth_meth_ast_new_40_3_41_scope_40_1_41_7974->type = alloc_MethodType(2, argcv_meth_ast_new_40_3_41_scope_40_1_41_7974);
  meth_meth_ast_new_40_3_41_scope_40_1_41_7974->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_scope_40_1_41_7974->definitionLine = 2030;
// method "new(_,_,_)"
  block_savedest(obj7972);
  Object closure7979 = createclosure(2, "new(3)");
  setclosureframe(closure7979, stackframe);
  addtoclosure(closure7979, var_k);
  addtoclosure(closure7979, var_defDecNode);
  struct UserObject *uo7979 = (struct UserObject*)obj7972;
  uo7979->data[2] = (Object)closure7979;
  Method *meth_meth_ast_new_40_3_41_7979 = addmethod2pos(obj7972, "new(3)", &meth_ast_new_40_3_41_7979, 2);
  int argcv_meth_ast_new_40_3_41_7979[] = {3};
  meth_meth_ast_new_40_3_41_7979->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_7979);
  meth_meth_ast_new_40_3_41_7979->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7979->definitionLine = 2036;
  block_savedest(obj7972);
  Object closure8434 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure8434, stackframe);
  addtoclosure(closure8434, var_k);
  addtoclosure(closure8434, var_defDecNode);
  Method *meth_meth_ast_new_40_3_41_7979_object = addmethod2pos(obj7972, "new(3)$object(1)", &meth_ast_new_40_3_41_7979_object, 2);
  meth_meth_ast_new_40_3_41_7979_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7979_object->definitionLine = 2036;
  sourceObject = obj7972;
  sourceObject = obj7972;
  objclass7972 = obj7972->class;
  objclass7972->definitionModule = modulename;
  objclass7972->definitionLine = 2029;
  (*(struct UserObject *)self).data[0] = lowerouter7972;
  self = oldself7972;
  selfslot = oldselfslot7972;
  stackframe = oldstackframe7972;
// compiled object node returning obj7972 (depth = 2)
  *var_defDecNode = obj7972;
  if (obj7972 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "defDecNode"
  block_savedest(self);
  Object closure8435 = createclosure(1, "defDecNode");
  setclosureframe(closure8435, stackframe);
  addtoclosure(closure8435, var_defDecNode);
  struct UserObject *uo8435 = (struct UserObject*)self;
  uo8435->data[41] = (Object)closure8435;
  Method *meth_meth_ast_defDecNode8435 = addmethod2pos(self, "defDecNode", &meth_ast_defDecNode8435, 41);
  int argcv_meth_ast_defDecNode8435[] = {0};
  meth_meth_ast_defDecNode8435->type = alloc_MethodType(1, argcv_meth_ast_defDecNode8435);
  meth_meth_ast_defDecNode8435->definitionModule = modulename;
  meth_meth_ast_defDecNode8435->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2067
  setline(2067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8436 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8436 = alloc_userobj2(2,4, objclass8436);
  gc_frame_newslot(obj8436);
if (objclass8436 == NULL) {
  glfree(obj8436->class->name);
  obj8436->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8436, self, 0);
  addmethodreal(obj8436,"outer", &reader_ast_outer_8437);
  Object oldself8436 = self;
  struct StackFrameObject *oldstackframe8436 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8436);
  gc_frame_newslot((Object)stackframe);
  self = obj8436;
  Object *oldselfslot8436 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8436 = (*(struct UserObject *)self).data[0], lowerouter8436 = thisouter8436;
  if (inheritingObject8436) {
    struct UserObject *inho8436 = (struct UserObject *)inheritingObject8436;
    while (inho8436->super != GraceDefaultObject) inho8436 = (struct UserObject *)inho8436->super;
    inho8436->super = obj8436;
    self = inheritingObject8436;
    *selfslot = self;
    lowerouter8436 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8436;
  }
// method "new(_,_,_)"
  block_savedest(obj8436);
  Object closure8438 = createclosure(2, "new(3)");
  setclosureframe(closure8438, stackframe);
  addtoclosure(closure8438, var_k);
  addtoclosure(closure8438, var_varDecNode);
  struct UserObject *uo8438 = (struct UserObject*)obj8436;
  uo8438->data[1] = (Object)closure8438;
  Method *meth_meth_ast_new_40_3_41_8438 = addmethod2pos(obj8436, "new(3)", &meth_ast_new_40_3_41_8438, 1);
  int argcv_meth_ast_new_40_3_41_8438[] = {3};
  meth_meth_ast_new_40_3_41_8438->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_8438);
  meth_meth_ast_new_40_3_41_8438->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8438->definitionLine = 2146;
  block_savedest(obj8436);
  Object closure8892 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure8892, stackframe);
  addtoclosure(closure8892, var_k);
  addtoclosure(closure8892, var_varDecNode);
  Method *meth_meth_ast_new_40_3_41_8438_object = addmethod2pos(obj8436, "new(3)$object(1)", &meth_ast_new_40_3_41_8438_object, 1);
  meth_meth_ast_new_40_3_41_8438_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8438_object->definitionLine = 2146;
  sourceObject = obj8436;
  objclass8436 = obj8436->class;
  objclass8436->definitionModule = modulename;
  objclass8436->definitionLine = 2145;
  (*(struct UserObject *)self).data[0] = lowerouter8436;
  self = oldself8436;
  selfslot = oldselfslot8436;
  stackframe = oldstackframe8436;
// compiled object node returning obj8436 (depth = 2)
  *var_varDecNode = obj8436;
  if (obj8436 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "varDecNode"
  block_savedest(self);
  Object closure8893 = createclosure(1, "varDecNode");
  setclosureframe(closure8893, stackframe);
  addtoclosure(closure8893, var_varDecNode);
  struct UserObject *uo8893 = (struct UserObject*)self;
  uo8893->data[42] = (Object)closure8893;
  Method *meth_meth_ast_varDecNode8893 = addmethod2pos(self, "varDecNode", &meth_ast_varDecNode8893, 42);
  int argcv_meth_ast_varDecNode8893[] = {0};
  meth_meth_ast_varDecNode8893->type = alloc_MethodType(1, argcv_meth_ast_varDecNode8893);
  meth_meth_ast_varDecNode8893->definitionModule = modulename;
  meth_meth_ast_varDecNode8893->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8894 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8894 = alloc_userobj2(2,4, objclass8894);
  gc_frame_newslot(obj8894);
if (objclass8894 == NULL) {
  glfree(obj8894->class->name);
  obj8894->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8894, self, 0);
  addmethodreal(obj8894,"outer", &reader_ast_outer_8895);
  Object oldself8894 = self;
  struct StackFrameObject *oldstackframe8894 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8894);
  gc_frame_newslot((Object)stackframe);
  self = obj8894;
  Object *oldselfslot8894 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8894 = (*(struct UserObject *)self).data[0], lowerouter8894 = thisouter8894;
  if (inheritingObject8894) {
    struct UserObject *inho8894 = (struct UserObject *)inheritingObject8894;
    while (inho8894->super != GraceDefaultObject) inho8894 = (struct UserObject *)inho8894->super;
    inho8894->super = obj8894;
    self = inheritingObject8894;
    *selfslot = self;
    lowerouter8894 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8894;
  }
// method "new(_,_,_)"
  block_savedest(obj8894);
  Object closure8896 = createclosure(3, "new(3)");
  setclosureframe(closure8896, stackframe);
  addtoclosure(closure8896, var_k);
  addtoclosure(closure8896, var_nullNode);
  addtoclosure(closure8896, var_importNode);
  struct UserObject *uo8896 = (struct UserObject*)obj8894;
  uo8896->data[1] = (Object)closure8896;
  Method *meth_meth_ast_new_40_3_41_8896 = addmethod2pos(obj8894, "new(3)", &meth_ast_new_40_3_41_8896, 1);
  int argcv_meth_ast_new_40_3_41_8896[] = {3};
  meth_meth_ast_new_40_3_41_8896->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_8896);
  meth_meth_ast_new_40_3_41_8896->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8896->definitionLine = 2254;
  block_savedest(obj8894);
  Object closure9172 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure9172, stackframe);
  addtoclosure(closure9172, var_k);
  addtoclosure(closure9172, var_nullNode);
  addtoclosure(closure9172, var_importNode);
  Method *meth_meth_ast_new_40_3_41_8896_object = addmethod2pos(obj8894, "new(3)$object(1)", &meth_ast_new_40_3_41_8896_object, 1);
  meth_meth_ast_new_40_3_41_8896_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8896_object->definitionLine = 2254;
  sourceObject = obj8894;
  objclass8894 = obj8894->class;
  objclass8894->definitionModule = modulename;
  objclass8894->definitionLine = 2253;
  (*(struct UserObject *)self).data[0] = lowerouter8894;
  self = oldself8894;
  selfslot = oldselfslot8894;
  stackframe = oldstackframe8894;
// compiled object node returning obj8894 (depth = 2)
  *var_importNode = obj8894;
  if (obj8894 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "importNode"
  block_savedest(self);
  Object closure9173 = createclosure(1, "importNode");
  setclosureframe(closure9173, stackframe);
  addtoclosure(closure9173, var_importNode);
  struct UserObject *uo9173 = (struct UserObject*)self;
  uo9173->data[43] = (Object)closure9173;
  Method *meth_meth_ast_importNode9173 = addmethod2pos(self, "importNode", &meth_ast_importNode9173, 43);
  int argcv_meth_ast_importNode9173[] = {0};
  meth_meth_ast_importNode9173->type = alloc_MethodType(1, argcv_meth_ast_importNode9173);
  meth_meth_ast_importNode9173->definitionModule = modulename;
  meth_meth_ast_importNode9173->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9174 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9174 = alloc_userobj2(2,4, objclass9174);
  gc_frame_newslot(obj9174);
if (objclass9174 == NULL) {
  glfree(obj9174->class->name);
  obj9174->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9174, self, 0);
  addmethodreal(obj9174,"outer", &reader_ast_outer_9175);
  Object oldself9174 = self;
  struct StackFrameObject *oldstackframe9174 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9174);
  gc_frame_newslot((Object)stackframe);
  self = obj9174;
  Object *oldselfslot9174 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9174 = (*(struct UserObject *)self).data[0], lowerouter9174 = thisouter9174;
  if (inheritingObject9174) {
    struct UserObject *inho9174 = (struct UserObject *)inheritingObject9174;
    while (inho9174->super != GraceDefaultObject) inho9174 = (struct UserObject *)inho9174->super;
    inho9174->super = obj9174;
    self = inheritingObject9174;
    *selfslot = self;
    lowerouter9174 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9174;
  }
// method "new(_)"
  block_savedest(obj9174);
  Object closure9176 = createclosure(1, "new(1)");
  setclosureframe(closure9176, stackframe);
  addtoclosure(closure9176, var_dialectNode);
  struct UserObject *uo9176 = (struct UserObject*)obj9174;
  uo9176->data[1] = (Object)closure9176;
  Method *meth_meth_ast_new_40_1_41_9176 = addmethod2pos(obj9174, "new(1)", &meth_ast_new_40_1_41_9176, 1);
  int argcv_meth_ast_new_40_1_41_9176[] = {1};
  meth_meth_ast_new_40_1_41_9176->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9176);
  meth_meth_ast_new_40_1_41_9176->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9176->definitionLine = 2331;
  block_savedest(obj9174);
  Object closure9288 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure9288, stackframe);
  addtoclosure(closure9288, var_dialectNode);
  Method *meth_meth_ast_new_40_1_41_9176_object = addmethod2pos(obj9174, "new(1)$object(1)", &meth_ast_new_40_1_41_9176_object, 1);
  meth_meth_ast_new_40_1_41_9176_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9176_object->definitionLine = 2331;
  sourceObject = obj9174;
  objclass9174 = obj9174->class;
  objclass9174->definitionModule = modulename;
  objclass9174->definitionLine = 2330;
  (*(struct UserObject *)self).data[0] = lowerouter9174;
  self = oldself9174;
  selfslot = oldselfslot9174;
  stackframe = oldstackframe9174;
// compiled object node returning obj9174 (depth = 2)
  *var_dialectNode = obj9174;
  if (obj9174 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "dialectNode"
  block_savedest(self);
  Object closure9289 = createclosure(1, "dialectNode");
  setclosureframe(closure9289, stackframe);
  addtoclosure(closure9289, var_dialectNode);
  struct UserObject *uo9289 = (struct UserObject*)self;
  uo9289->data[44] = (Object)closure9289;
  Method *meth_meth_ast_dialectNode9289 = addmethod2pos(self, "dialectNode", &meth_ast_dialectNode9289, 44);
  int argcv_meth_ast_dialectNode9289[] = {0};
  meth_meth_ast_dialectNode9289->type = alloc_MethodType(1, argcv_meth_ast_dialectNode9289);
  meth_meth_ast_dialectNode9289->definitionModule = modulename;
  meth_meth_ast_dialectNode9289->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9290 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9290 = alloc_userobj2(2,4, objclass9290);
  gc_frame_newslot(obj9290);
if (objclass9290 == NULL) {
  glfree(obj9290->class->name);
  obj9290->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9290, self, 0);
  addmethodreal(obj9290,"outer", &reader_ast_outer_9291);
  Object oldself9290 = self;
  struct StackFrameObject *oldstackframe9290 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9290);
  gc_frame_newslot((Object)stackframe);
  self = obj9290;
  Object *oldselfslot9290 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9290 = (*(struct UserObject *)self).data[0], lowerouter9290 = thisouter9290;
  if (inheritingObject9290) {
    struct UserObject *inho9290 = (struct UserObject *)inheritingObject9290;
    while (inho9290->super != GraceDefaultObject) inho9290 = (struct UserObject *)inho9290->super;
    inho9290->super = obj9290;
    self = inheritingObject9290;
    *selfslot = self;
    lowerouter9290 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9290;
  }
// method "new(_)"
  block_savedest(obj9290);
  Object closure9292 = createclosure(2, "new(1)");
  setclosureframe(closure9292, stackframe);
  addtoclosure(closure9292, var_nullNode);
  addtoclosure(closure9292, var_returnNode);
  struct UserObject *uo9292 = (struct UserObject*)obj9290;
  uo9292->data[1] = (Object)closure9292;
  Method *meth_meth_ast_new_40_1_41_9292 = addmethod2pos(obj9290, "new(1)", &meth_ast_new_40_1_41_9292, 1);
  int argcv_meth_ast_new_40_1_41_9292[] = {1};
  meth_meth_ast_new_40_1_41_9292->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9292);
  meth_meth_ast_new_40_1_41_9292->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9292->definitionLine = 2379;
  block_savedest(obj9290);
  Object closure9378 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure9378, stackframe);
  addtoclosure(closure9378, var_nullNode);
  addtoclosure(closure9378, var_returnNode);
  Method *meth_meth_ast_new_40_1_41_9292_object = addmethod2pos(obj9290, "new(1)$object(1)", &meth_ast_new_40_1_41_9292_object, 1);
  meth_meth_ast_new_40_1_41_9292_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9292_object->definitionLine = 2379;
  sourceObject = obj9290;
  objclass9290 = obj9290->class;
  objclass9290->definitionModule = modulename;
  objclass9290->definitionLine = 2378;
  (*(struct UserObject *)self).data[0] = lowerouter9290;
  self = oldself9290;
  selfslot = oldselfslot9290;
  stackframe = oldstackframe9290;
// compiled object node returning obj9290 (depth = 2)
  *var_returnNode = obj9290;
  if (obj9290 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "returnNode"
  block_savedest(self);
  Object closure9379 = createclosure(1, "returnNode");
  setclosureframe(closure9379, stackframe);
  addtoclosure(closure9379, var_returnNode);
  struct UserObject *uo9379 = (struct UserObject*)self;
  uo9379->data[45] = (Object)closure9379;
  Method *meth_meth_ast_returnNode9379 = addmethod2pos(self, "returnNode", &meth_ast_returnNode9379, 45);
  int argcv_meth_ast_returnNode9379[] = {0};
  meth_meth_ast_returnNode9379->type = alloc_MethodType(1, argcv_meth_ast_returnNode9379);
  meth_meth_ast_returnNode9379->definitionModule = modulename;
  meth_meth_ast_returnNode9379->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9380 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9380 = alloc_userobj2(3,4, objclass9380);
  gc_frame_newslot(obj9380);
if (objclass9380 == NULL) {
  glfree(obj9380->class->name);
  obj9380->class->name = "inheritNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9380, self, 0);
  addmethodreal(obj9380,"outer", &reader_ast_outer_9381);
  Object oldself9380 = self;
  struct StackFrameObject *oldstackframe9380 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9380);
  gc_frame_newslot((Object)stackframe);
  self = obj9380;
  Object *oldselfslot9380 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9380 = (*(struct UserObject *)self).data[0], lowerouter9380 = thisouter9380;
  if (inheritingObject9380) {
    struct UserObject *inho9380 = (struct UserObject *)inheritingObject9380;
    while (inho9380->super != GraceDefaultObject) inho9380 = (struct UserObject *)inho9380->super;
    inho9380->super = obj9380;
    self = inheritingObject9380;
    *selfslot = self;
    lowerouter9380 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9380;
  }
// method "new(_)scope(_)"
  struct UserObject *uo9382 = (struct UserObject*)obj9380;
  uo9382->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_1_41_scope_40_1_41_9382 = addmethod2pos(obj9380, "new(1)scope(1)", &meth_ast_new_40_1_41_scope_40_1_41_9382, 1);
  int argcv_meth_ast_new_40_1_41_scope_40_1_41_9382[] = {1, 1};
  meth_meth_ast_new_40_1_41_scope_40_1_41_9382->type = alloc_MethodType(2, argcv_meth_ast_new_40_1_41_scope_40_1_41_9382);
  meth_meth_ast_new_40_1_41_scope_40_1_41_9382->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_scope_40_1_41_9382->definitionLine = 2414;
// method "new(_)"
  block_savedest(obj9380);
  Object closure9387 = createclosure(3, "new(1)");
  setclosureframe(closure9387, stackframe);
  addtoclosure(closure9387, var_k);
  addtoclosure(closure9387, var_nullNode);
  addtoclosure(closure9387, var_inheritNode);
  struct UserObject *uo9387 = (struct UserObject*)obj9380;
  uo9387->data[2] = (Object)closure9387;
  Method *meth_meth_ast_new_40_1_41_9387 = addmethod2pos(obj9380, "new(1)", &meth_ast_new_40_1_41_9387, 2);
  int argcv_meth_ast_new_40_1_41_9387[] = {1};
  meth_meth_ast_new_40_1_41_9387->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9387);
  meth_meth_ast_new_40_1_41_9387->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9387->definitionLine = 2419;
  block_savedest(obj9380);
  Object closure9769 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure9769, stackframe);
  addtoclosure(closure9769, var_k);
  addtoclosure(closure9769, var_nullNode);
  addtoclosure(closure9769, var_inheritNode);
  Method *meth_meth_ast_new_40_1_41_9387_object = addmethod2pos(obj9380, "new(1)$object(1)", &meth_ast_new_40_1_41_9387_object, 2);
  meth_meth_ast_new_40_1_41_9387_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9387_object->definitionLine = 2419;
  sourceObject = obj9380;
  sourceObject = obj9380;
  objclass9380 = obj9380->class;
  objclass9380->definitionModule = modulename;
  objclass9380->definitionLine = 2413;
  (*(struct UserObject *)self).data[0] = lowerouter9380;
  self = oldself9380;
  selfslot = oldselfslot9380;
  stackframe = oldstackframe9380;
// compiled object node returning obj9380 (depth = 2)
  *var_inheritNode = obj9380;
  if (obj9380 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "inheritNode"
  block_savedest(self);
  Object closure9770 = createclosure(1, "inheritNode");
  setclosureframe(closure9770, stackframe);
  addtoclosure(closure9770, var_inheritNode);
  struct UserObject *uo9770 = (struct UserObject*)self;
  uo9770->data[46] = (Object)closure9770;
  Method *meth_meth_ast_inheritNode9770 = addmethod2pos(self, "inheritNode", &meth_ast_inheritNode9770, 46);
  int argcv_meth_ast_inheritNode9770[] = {0};
  meth_meth_ast_inheritNode9770->type = alloc_MethodType(1, argcv_meth_ast_inheritNode9770);
  meth_meth_ast_inheritNode9770->definitionModule = modulename;
  meth_meth_ast_inheritNode9770->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AliasPair
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type9772 = alloc_Type("AliasPair", 2);
    add_Method((ClassData)type9772, "newName", NULL);
    add_Method((ClassData)type9772, "oldName", NULL);
// compiled typeliteral node returning type9772 (depth = 2)
  *var_AliasPair = type9772;
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AliasPair"
  block_savedest(self);
  Object closure9773 = createclosure(1, "AliasPair");
  setclosureframe(closure9773, stackframe);
  addtoclosure(closure9773, var_AliasPair);
  struct UserObject *uo9773 = (struct UserObject*)self;
  uo9773->data[47] = (Object)closure9773;
  Method *meth_meth_ast_AliasPair9773 = addmethod2pos(self, "AliasPair", &meth_ast_AliasPair9773, 47);
  int argcv_meth_ast_AliasPair9773[] = {0};
  meth_meth_ast_AliasPair9773->type = alloc_MethodType(1, argcv_meth_ast_AliasPair9773);
  meth_meth_ast_AliasPair9773->definitionModule = modulename;
  meth_meth_ast_AliasPair9773->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9774 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9774 = alloc_userobj2(2,4, objclass9774);
  gc_frame_newslot(obj9774);
if (objclass9774 == NULL) {
  glfree(obj9774->class->name);
  obj9774->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9774, self, 0);
  addmethodreal(obj9774,"outer", &reader_ast_outer_9775);
  Object oldself9774 = self;
  struct StackFrameObject *oldstackframe9774 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9774);
  gc_frame_newslot((Object)stackframe);
  self = obj9774;
  Object *oldselfslot9774 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9774 = (*(struct UserObject *)self).data[0], lowerouter9774 = thisouter9774;
  if (inheritingObject9774) {
    struct UserObject *inho9774 = (struct UserObject *)inheritingObject9774;
    while (inho9774->super != GraceDefaultObject) inho9774 = (struct UserObject *)inho9774->super;
    inho9774->super = obj9774;
    self = inheritingObject9774;
    *selfslot = self;
    lowerouter9774 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9774;
  }
// method "new"
  block_savedest(obj9774);
  Object closure9776 = createclosure(1, "new");
  setclosureframe(closure9776, stackframe);
  addtoclosure(closure9776, var_blankNode);
  struct UserObject *uo9776 = (struct UserObject*)obj9774;
  uo9776->data[1] = (Object)closure9776;
  Method *meth_meth_ast_new9776 = addmethod2pos(obj9774, "new", &meth_ast_new9776, 1);
  int argcv_meth_ast_new9776[] = {0};
  meth_meth_ast_new9776->type = alloc_MethodType(1, argcv_meth_ast_new9776);
  meth_meth_ast_new9776->definitionModule = modulename;
  meth_meth_ast_new9776->definitionLine = 2541;
  block_savedest(obj9774);
  Object closure9812 = createclosure(1, "new$object(1)");
  setclosureframe(closure9812, stackframe);
  addtoclosure(closure9812, var_blankNode);
  Method *meth_meth_ast_new9776_object = addmethod2pos(obj9774, "new$object(1)", &meth_ast_new9776_object, 1);
  meth_meth_ast_new9776_object->definitionModule = modulename;
  meth_meth_ast_new9776_object->definitionLine = 2541;
  sourceObject = obj9774;
  objclass9774 = obj9774->class;
  objclass9774->definitionModule = modulename;
  objclass9774->definitionLine = 2540;
  (*(struct UserObject *)self).data[0] = lowerouter9774;
  self = oldself9774;
  selfslot = oldselfslot9774;
  stackframe = oldstackframe9774;
// compiled object node returning obj9774 (depth = 2)
  *var_blankNode = obj9774;
  if (obj9774 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blankNode"
  block_savedest(self);
  Object closure9813 = createclosure(1, "blankNode");
  setclosureframe(closure9813, stackframe);
  addtoclosure(closure9813, var_blankNode);
  struct UserObject *uo9813 = (struct UserObject*)self;
  uo9813->data[48] = (Object)closure9813;
  Method *meth_meth_ast_blankNode9813 = addmethod2pos(self, "blankNode", &meth_ast_blankNode9813, 48);
  int argcv_meth_ast_blankNode9813[] = {0};
  meth_meth_ast_blankNode9813->type = alloc_MethodType(1, argcv_meth_ast_blankNode9813);
  meth_meth_ast_blankNode9813->definitionModule = modulename;
  meth_meth_ast_blankNode9813->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9814 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9814 = alloc_userobj2(6,7, objclass9814);
  gc_frame_newslot(obj9814);
if (objclass9814 == NULL) {
  glfree(obj9814->class->name);
  obj9814->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9814, self, 0);
  addmethodreal(obj9814,"outer", &reader_ast_outer_9815);
  Object oldself9814 = self;
  struct StackFrameObject *oldstackframe9814 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9814);
  gc_frame_newslot((Object)stackframe);
  self = obj9814;
  Object *oldselfslot9814 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9814 = (*(struct UserObject *)self).data[0], lowerouter9814 = thisouter9814;
  if (inheritingObject9814) {
    struct UserObject *inho9814 = (struct UserObject *)inheritingObject9814;
    while (inho9814->super != GraceDefaultObject) inho9814 = (struct UserObject *)inho9814->super;
    inho9814->super = obj9814;
    self = inheritingObject9814;
    *selfslot = self;
    lowerouter9814 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9814;
  }
// method "new"
  struct UserObject *uo9816 = (struct UserObject*)obj9814;
  uo9816->data[1] = emptyclosure;
  Method *meth_meth_ast_new9816 = addmethod2pos(obj9814, "new", &meth_ast_new9816, 1);
  int argcv_meth_ast_new9816[] = {0};
  meth_meth_ast_new9816->type = alloc_MethodType(1, argcv_meth_ast_new9816);
  meth_meth_ast_new9816->definitionModule = modulename;
  meth_meth_ast_new9816->definitionLine = 2565;
// method "partName(_)scope(_)"
  struct UserObject *uo9821 = (struct UserObject*)obj9814;
  uo9821->data[2] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_scope_40_1_41_9821 = addmethod2pos(obj9814, "partName(1)scope(1)", &meth_ast_partName_40_1_41_scope_40_1_41_9821, 2);
  int argcv_meth_ast_partName_40_1_41_scope_40_1_41_9821[] = {1, 1};
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9821->type = alloc_MethodType(2, argcv_meth_ast_partName_40_1_41_scope_40_1_41_9821);
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9821->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9821->definitionLine = 2568;
// method "partName(_)params(_)scope(_)"
  struct UserObject *uo9827 = (struct UserObject*)obj9814;
  uo9827->data[3] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827 = addmethod2pos(obj9814, "partName(1)params(1)scope(1)", &meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827, 3);
  int argcv_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827[] = {1, 1, 1};
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827->type = alloc_MethodType(3, argcv_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827);
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9827->definitionLine = 2573;
// method "partName(_)"
  struct UserObject *uo9832 = (struct UserObject*)obj9814;
  uo9832->data[4] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_9832 = addmethod2pos(obj9814, "partName(1)", &meth_ast_partName_40_1_41_9832, 4);
  int argcv_meth_ast_partName_40_1_41_9832[] = {1};
  meth_meth_ast_partName_40_1_41_9832->type = alloc_MethodType(1, argcv_meth_ast_partName_40_1_41_9832);
  meth_meth_ast_partName_40_1_41_9832->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_9832->definitionLine = 2578;
// method "partName(_)params(_)"
  block_savedest(obj9814);
  Object closure9836 = createclosure(2, "partName(1)params(1)");
  setclosureframe(closure9836, stackframe);
  addtoclosure(closure9836, var_k);
  addtoclosure(closure9836, var_signaturePart);
  struct UserObject *uo9836 = (struct UserObject*)obj9814;
  uo9836->data[5] = (Object)closure9836;
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_9836 = addmethod2pos(obj9814, "partName(1)params(1)", &meth_ast_partName_40_1_41_params_40_1_41_9836, 5);
  int argcv_meth_ast_partName_40_1_41_params_40_1_41_9836[] = {1, 1};
  meth_meth_ast_partName_40_1_41_params_40_1_41_9836->type = alloc_MethodType(2, argcv_meth_ast_partName_40_1_41_params_40_1_41_9836);
  meth_meth_ast_partName_40_1_41_params_40_1_41_9836->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_9836->definitionLine = 2581;
  block_savedest(obj9814);
  Object closure10150 = createclosure(2, "partName(1)params(1)$object(1)");
  setclosureframe(closure10150, stackframe);
  addtoclosure(closure10150, var_k);
  addtoclosure(closure10150, var_signaturePart);
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_9836_object = addmethod2pos(obj9814, "partName(1)params(1)$object(1)", &meth_ast_partName_40_1_41_params_40_1_41_9836_object, 5);
  meth_meth_ast_partName_40_1_41_params_40_1_41_9836_object->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_9836_object->definitionLine = 2581;
  sourceObject = obj9814;
  sourceObject = obj9814;
  sourceObject = obj9814;
  sourceObject = obj9814;
  sourceObject = obj9814;
  objclass9814 = obj9814->class;
  objclass9814->definitionModule = modulename;
  objclass9814->definitionLine = 2564;
  (*(struct UserObject *)self).data[0] = lowerouter9814;
  self = oldself9814;
  selfslot = oldselfslot9814;
  stackframe = oldstackframe9814;
// compiled object node returning obj9814 (depth = 2)
  *var_signaturePart = obj9814;
  if (obj9814 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "signaturePart"
  block_savedest(self);
  Object closure10151 = createclosure(1, "signaturePart");
  setclosureframe(closure10151, stackframe);
  addtoclosure(closure10151, var_signaturePart);
  struct UserObject *uo10151 = (struct UserObject*)self;
  uo10151->data[49] = (Object)closure10151;
  Method *meth_meth_ast_signaturePart10151 = addmethod2pos(self, "signaturePart", &meth_ast_signaturePart10151, 49);
  int argcv_meth_ast_signaturePart10151[] = {0};
  meth_meth_ast_signaturePart10151->type = alloc_MethodType(1, argcv_meth_ast_signaturePart10151);
  meth_meth_ast_signaturePart10151->definitionModule = modulename;
  meth_meth_ast_signaturePart10151->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10152 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10152 = alloc_userobj2(4,5, objclass10152);
  gc_frame_newslot(obj10152);
if (objclass10152 == NULL) {
  glfree(obj10152->class->name);
  obj10152->class->name = "requestPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10152, self, 0);
  addmethodreal(obj10152,"outer", &reader_ast_outer_10153);
  Object oldself10152 = self;
  struct StackFrameObject *oldstackframe10152 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10152);
  gc_frame_newslot((Object)stackframe);
  self = obj10152;
  Object *oldselfslot10152 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10152 = (*(struct UserObject *)self).data[0], lowerouter10152 = thisouter10152;
  if (inheritingObject10152) {
    struct UserObject *inho10152 = (struct UserObject *)inheritingObject10152;
    while (inho10152->super != GraceDefaultObject) inho10152 = (struct UserObject *)inho10152->super;
    inho10152->super = obj10152;
    self = inheritingObject10152;
    *selfslot = self;
    lowerouter10152 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10152;
  }
// method "new"
  struct UserObject *uo10154 = (struct UserObject*)obj10152;
  uo10154->data[1] = emptyclosure;
  Method *meth_meth_ast_new10154 = addmethod2pos(obj10152, "new", &meth_ast_new10154, 1);
  int argcv_meth_ast_new10154[] = {0};
  meth_meth_ast_new10154->type = alloc_MethodType(1, argcv_meth_ast_new10154);
  meth_meth_ast_new10154->definitionModule = modulename;
  meth_meth_ast_new10154->definitionLine = 2657;
// method "request(_)withArgs(_)scope(_)"
  struct UserObject *uo10159 = (struct UserObject*)obj10152;
  uo10159->data[2] = emptyclosure;
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159 = addmethod2pos(obj10152, "request(1)withArgs(1)scope(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159, 2);
  int argcv_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159[] = {1, 1, 1};
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159->type = alloc_MethodType(3, argcv_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10159->definitionLine = 2660;
// method "request(_)withArgs(_)"
  block_savedest(obj10152);
  Object closure10164 = createclosure(2, "request(1)withArgs(1)");
  setclosureframe(closure10164, stackframe);
  addtoclosure(closure10164, var_requestPart);
  addtoclosure(closure10164, var_emptySeq);
  struct UserObject *uo10164 = (struct UserObject*)obj10152;
  uo10164->data[3] = (Object)closure10164;
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164 = addmethod2pos(obj10152, "request(1)withArgs(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_10164, 3);
  int argcv_meth_ast_request_40_1_41_withArgs_40_1_41_10164[] = {1, 1};
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164->type = alloc_MethodType(2, argcv_meth_ast_request_40_1_41_withArgs_40_1_41_10164);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164->definitionLine = 2665;
  block_savedest(obj10152);
  Object closure10484 = createclosure(2, "request(1)withArgs(1)$object(1)");
  setclosureframe(closure10484, stackframe);
  addtoclosure(closure10484, var_requestPart);
  addtoclosure(closure10484, var_emptySeq);
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164_object = addmethod2pos(obj10152, "request(1)withArgs(1)$object(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_10164_object, 3);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164_object->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10164_object->definitionLine = 2665;
  sourceObject = obj10152;
  sourceObject = obj10152;
  sourceObject = obj10152;
  objclass10152 = obj10152->class;
  objclass10152->definitionModule = modulename;
  objclass10152->definitionLine = 2656;
  (*(struct UserObject *)self).data[0] = lowerouter10152;
  self = oldself10152;
  selfslot = oldselfslot10152;
  stackframe = oldstackframe10152;
// compiled object node returning obj10152 (depth = 2)
  *var_requestPart = obj10152;
  if (obj10152 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "requestPart"
  block_savedest(self);
  Object closure10485 = createclosure(1, "requestPart");
  setclosureframe(closure10485, stackframe);
  addtoclosure(closure10485, var_requestPart);
  struct UserObject *uo10485 = (struct UserObject*)self;
  uo10485->data[50] = (Object)closure10485;
  Method *meth_meth_ast_requestPart10485 = addmethod2pos(self, "requestPart", &meth_ast_requestPart10485, 50);
  int argcv_meth_ast_requestPart10485[] = {0};
  meth_meth_ast_requestPart10485->type = alloc_MethodType(1, argcv_meth_ast_requestPart10485);
  meth_meth_ast_requestPart10485->definitionModule = modulename;
  meth_meth_ast_requestPart10485->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2736
  setline(2736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10486 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10486 = alloc_userobj2(2,4, objclass10486);
  gc_frame_newslot(obj10486);
if (objclass10486 == NULL) {
  glfree(obj10486->class->name);
  obj10486->class->name = "commentNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10486, self, 0);
  addmethodreal(obj10486,"outer", &reader_ast_outer_10487);
  Object oldself10486 = self;
  struct StackFrameObject *oldstackframe10486 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10486);
  gc_frame_newslot((Object)stackframe);
  self = obj10486;
  Object *oldselfslot10486 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10486 = (*(struct UserObject *)self).data[0], lowerouter10486 = thisouter10486;
  if (inheritingObject10486) {
    struct UserObject *inho10486 = (struct UserObject *)inheritingObject10486;
    while (inho10486->super != GraceDefaultObject) inho10486 = (struct UserObject *)inho10486->super;
    inho10486->super = obj10486;
    self = inheritingObject10486;
    *selfslot = self;
    lowerouter10486 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10486;
  }
// method "new(_)"
  block_savedest(obj10486);
  Object closure10488 = createclosure(4, "new(1)");
  setclosureframe(closure10488, stackframe);
  addtoclosure(closure10488, var_lineLength);
  addtoclosure(closure10488, var_nullNode);
  addtoclosure(closure10488, var_commentNode);
  addtoclosure(closure10488, var_util);
  struct UserObject *uo10488 = (struct UserObject*)obj10486;
  uo10488->data[1] = (Object)closure10488;
  Method *meth_meth_ast_new_40_1_41_10488 = addmethod2pos(obj10486, "new(1)", &meth_ast_new_40_1_41_10488, 1);
  int argcv_meth_ast_new_40_1_41_10488[] = {1};
  meth_meth_ast_new_40_1_41_10488->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_10488);
  meth_meth_ast_new_40_1_41_10488->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_10488->definitionLine = 2738;
  block_savedest(obj10486);
  Object closure10688 = createclosure(4, "new(1)$object(1)");
  setclosureframe(closure10688, stackframe);
  addtoclosure(closure10688, var_lineLength);
  addtoclosure(closure10688, var_nullNode);
  addtoclosure(closure10688, var_commentNode);
  addtoclosure(closure10688, var_util);
  Method *meth_meth_ast_new_40_1_41_10488_object = addmethod2pos(obj10486, "new(1)$object(1)", &meth_ast_new_40_1_41_10488_object, 1);
  meth_meth_ast_new_40_1_41_10488_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_10488_object->definitionLine = 2738;
  sourceObject = obj10486;
  objclass10486 = obj10486->class;
  objclass10486->definitionModule = modulename;
  objclass10486->definitionLine = 2737;
  (*(struct UserObject *)self).data[0] = lowerouter10486;
  self = oldself10486;
  selfslot = oldselfslot10486;
  stackframe = oldstackframe10486;
// compiled object node returning obj10486 (depth = 2)
  *var_commentNode = obj10486;
  if (obj10486 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "commentNode"
  block_savedest(self);
  Object closure10689 = createclosure(1, "commentNode");
  setclosureframe(closure10689, stackframe);
  addtoclosure(closure10689, var_commentNode);
  struct UserObject *uo10689 = (struct UserObject*)self;
  uo10689->data[51] = (Object)closure10689;
  Method *meth_meth_ast_commentNode10689 = addmethod2pos(self, "commentNode", &meth_ast_commentNode10689, 51);
  int argcv_meth_ast_commentNode10689[] = {0};
  meth_meth_ast_commentNode10689->type = alloc_MethodType(1, argcv_meth_ast_commentNode10689);
  meth_meth_ast_commentNode10689->definitionModule = modulename;
  meth_meth_ast_commentNode10689->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ASTVisitor
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type10691 = alloc_Type("ASTVisitor", 30);
    add_Method((ClassData)type10691, "visitIf(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitBlock(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitMatchCase(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitTryCatch(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitMethodType(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitSignaturePart(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitTypeLiteral(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitTypeParameters(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitTypeDec(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitMethod(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitCall(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitObject(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitModule(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitArray(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitMember(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitGeneric(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitIdentifier(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitString(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitNum(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitOp(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitBind(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitDefDec(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitVarDec(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitImport(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitReturn(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitInherits(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitDialect(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitBlank(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitComment(1)up(1)", NULL);
    add_Method((ClassData)type10691, "visitImplicit(1)up(1)", NULL);
// compiled typeliteral node returning type10691 (depth = 2)
  *var_ASTVisitor = type10691;
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ASTVisitor"
  block_savedest(self);
  Object closure10692 = createclosure(1, "ASTVisitor");
  setclosureframe(closure10692, stackframe);
  addtoclosure(closure10692, var_ASTVisitor);
  struct UserObject *uo10692 = (struct UserObject*)self;
  uo10692->data[52] = (Object)closure10692;
  Method *meth_meth_ast_ASTVisitor10692 = addmethod2pos(self, "ASTVisitor", &meth_ast_ASTVisitor10692, 52);
  int argcv_meth_ast_ASTVisitor10692[] = {0};
  meth_meth_ast_ASTVisitor10692->type = alloc_MethodType(1, argcv_meth_ast_ASTVisitor10692);
  meth_meth_ast_ASTVisitor10692->definitionModule = modulename;
  meth_meth_ast_ASTVisitor10692->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10693 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10693 = alloc_userobj2(1,2, objclass10693);
  gc_frame_newslot(obj10693);
if (objclass10693 == NULL) {
  glfree(obj10693->class->name);
  obj10693->class->name = "patternMarkVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10693, self, 0);
  addmethodreal(obj10693,"outer", &reader_ast_outer_10694);
  Object oldself10693 = self;
  struct StackFrameObject *oldstackframe10693 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10693);
  gc_frame_newslot((Object)stackframe);
  self = obj10693;
  Object *oldselfslot10693 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10693 = (*(struct UserObject *)self).data[0], lowerouter10693 = thisouter10693;
  if (inheritingObject10693) {
    struct UserObject *inho10693 = (struct UserObject *)inheritingObject10693;
    while (inho10693->super != GraceDefaultObject) inho10693 = (struct UserObject *)inho10693->super;
    inho10693->super = obj10693;
    self = inheritingObject10693;
    *selfslot = self;
    lowerouter10693 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10693;
  }
// method "visitCall(_)up(_)"
  struct UserObject *uo10695 = (struct UserObject*)obj10693;
  uo10695->data[1] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_10695 = addmethod2pos(obj10693, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_10695, 1);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_10695[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10695->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_10695);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10695->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10695->definitionLine = 2968;
  sourceObject = obj10693;
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10700 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10701 = gc_frame_new();
// call case 3: self.outer request
  Object call10702 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10701);
// compiled member node returning call10702 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10703 = callmethodflags(call10702, "baseVisitor$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10700);
// compiled call node returning call10703 (depth = 3)
  struct UserObject *obj10693_uo = (struct UserObject *)obj10693;
  obj10693_uo->super = call10703;
  sourceObject = obj10693;
  objclass10693 = obj10693->class;
  objclass10693->definitionModule = modulename;
  objclass10693->definitionLine = 2966;
  (*(struct UserObject *)self).data[0] = lowerouter10693;
  self = oldself10693;
  selfslot = oldselfslot10693;
  stackframe = oldstackframe10693;
// compiled object node returning obj10693 (depth = 2)
  *var_patternMarkVisitor = obj10693;
  if (obj10693 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "patternMarkVisitor"
  block_savedest(self);
  Object closure10704 = createclosure(1, "patternMarkVisitor");
  setclosureframe(closure10704, stackframe);
  addtoclosure(closure10704, var_patternMarkVisitor);
  struct UserObject *uo10704 = (struct UserObject*)self;
  uo10704->data[53] = (Object)closure10704;
  Method *meth_meth_ast_patternMarkVisitor10704 = addmethod2pos(self, "patternMarkVisitor", &meth_ast_patternMarkVisitor10704, 53);
  int argcv_meth_ast_patternMarkVisitor10704[] = {0};
  meth_meth_ast_patternMarkVisitor10704->type = alloc_MethodType(1, argcv_meth_ast_patternMarkVisitor10704);
  meth_meth_ast_patternMarkVisitor10704->definitionModule = modulename;
  meth_meth_ast_patternMarkVisitor10704->definitionLine = 2984;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
