#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "21802a386d7e3614445df7ee7c1a5afde8ad45d3";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "collectionsPrelude";
Object module_standardGrace_init();
static char *originalSourceLines[] = {
  "#pragma NativePrelude",
  "",
  "def BoundsError = ProgrammingError.refine \"BoundsError\"",
  "def IteratorExhausted = ProgrammingError.refine \"IteratorExhausted\"",
  "def SubobjectResponsibility = ProgrammingError.refine \"SubobjectResponsibility\"",
  "def NoSuchObject = ProgrammingError.refine \"NoSuchObject\"",
  "def RequestError = ProgrammingError.refine \"RequestError\"",
  "def ConcurrentModification = ProgrammingError.refine \"ConcurrentModification\"",
  "def SizeUnknown = Exception.refine \"SizeUnknown\"",
  "",
  "method abstract is confidential {",
  "    // copied from standardGrace",
  "    SubobjectResponsibility.raise \"abstract method not overriden by subobject\"",
  "}",
  "",
  "type Block0⟦R⟧ = type {",
  "    apply -> R",
  "}",
  "",
  "type Block1⟦T,R⟧ = type {",
  "    apply(a:T) -> R",
  "}",
  "",
  "type Block2⟦S,T,R⟧ = type {",
  "    apply(a:S, b:T) -> R",
  "}",
  "",
  "type SelfType = Unknown     // becuase it's not yet in the language",
  "",
  "type Iterable⟦T⟧ = Object & type {",
  "    iterator -> Iterator⟦T⟧",
  "        // the iterator on which I am based",
  "    isEmpty -> Boolean",
  "        // true if I have no elements",
  "    size -> Number",
  "        // my size (the number of elements that I contain);",
  "        // may raise SizeUnknown.",
  "    sizeIfUnknown(action: Block0⟦Number⟧)",
  "        // my size; if not known, then the result of applying action",
  "    first -> T",
  "        // my first element; raises BoundsError if I have none.",
  "    do(block1: Block1⟦T, Done⟧) -> Done",
  "        // an internal iterator; applies block1 to each of my elements",
  "    do(body:Block1⟦T, Done⟧) separatedBy(separator:Block0⟦Done⟧) -> Done",
  "        // an internal iterator; ; applies block1 to each of my elements, and applies separator in between",
  "    ++(other: Iterable⟦T⟧) -> Iterable⟦T⟧",
  "        // returns a new Iterable over the concatenation of self and other",
  "    fold(binaryFunction:Block2⟦T, T, T⟧) startingWith(initial:T) -> Object",
  "        // the left-associative fold of binaryFunction over self, starting with initial",
  "    map⟦U⟧(function:Block1⟦T, U⟧) -> Iterable⟦U⟧",
  "        // returns a new iterator that yields my elements mapped by function",
  "    filter(condition:Block1⟦T,Boolean⟧) -> Iterable⟦T⟧",
  "        // returns a new iterator that yields those of my elements for which condition holds",
  "}",
  "",
  "type Expandable⟦T⟧ = Iterable⟦T⟧ & type {",
  "    add(x: T) -> SelfType",
  "    addAll(xs: Iterable⟦T⟧) -> SelfType",
  "}",
  "",
  "type Collection⟦T⟧ = Iterable⟦T⟧ & type {",
  "    asList -> List⟦T⟧",
  "    asSequence -> Sequence⟦T⟧",
  "    asSet -> Set⟦T⟧",
  "}",
  "",
  "type Enumerable⟦T⟧ = Collection⟦T⟧ & type {",
  "    values -> Collection⟦T⟧",
  "    asDictionary -> Dictionary⟦Number,T⟧",
  "    keysAndValuesDo(action:Block2⟦Number,T,Object⟧) -> Done",
  "    into(existing: Expandable⟦Unknown⟧) -> Collection⟦Unknown⟧",
  "    sortedBy(comparison:Block2⟦T,T,Number⟧) -> SelfType",
  "    sorted -> SelfType",
  "}",
  "",
  "type Sequence⟦T⟧ = Enumerable⟦T⟧ & type {",
  "    size -> Number",
  "    at(n:Number) -> T",
  "    indices -> Sequence⟦Number⟧",
  "    keys -> Sequence⟦Number⟧",
  "    second -> T",
  "    third -> T",
  "    fourth -> T",
  "    fifth -> T",
  "    last -> T",
  "    indexOf⟦W⟧(elem:T)ifAbsent(action:Block0⟦W⟧) -> Number | W",
  "    indexOf(elem:T) -> Number",
  "    contains(elem:T) -> Boolean",
  "    reversed -> Sequence⟦T⟧",
  "}",
  "",
  "type List⟦T⟧ = Sequence⟦T⟧ & type {",
  "    add(x: T) -> List⟦T⟧",
  "    addAll(xs: Iterable⟦T⟧) -> List⟦T⟧",
  "    addFirst(x: T) -> List⟦T⟧",
  "    addAllFirst(xs: Iterable⟦T⟧) -> List⟦T⟧",
  "    addLast(x: T) -> List⟦T⟧    // same as add",
  "    at(ix:Number) put(v:T) -> List⟦T⟧",
  "    clear -> List⟦T⟧",
  "    removeFirst -> T",
  "    removeAt(n: Number) -> T",
  "    removeLast -> T",
  "    remove(v:T)",
  "    remove(v:T) ifAbsent(action:Block0⟦Done⟧)",
  "    removeAll(vs: Iterable⟦T⟧)",
  "    removeAll(vs: Iterable⟦T⟧) ifAbsent(action:Block0⟦Unknown⟧)",
  "    pop -> T",
  "    ++(o: List⟦T⟧) -> List⟦T⟧",
  "    addAll(l: Iterable⟦T⟧) -> List⟦T⟧",
  "    copy -> List⟦T⟧",
  "    sort -> List⟦T⟧",
  "    sortBy(sortBlock:Block2⟦T,T,Number⟧) -> List⟦T⟧",
  "    reverse -> List⟦T⟧",
  "    reversed -> List⟦T⟧",
  "}",
  "",
  "type Set⟦T⟧ = Collection⟦T⟧ & type {",
  "    size -> Number",
  "    add(x:T) -> SelfType",
  "    addAll(elements: Iterable⟦T⟧) -> SelfType",
  "    remove(x: T) -> Set⟦T⟧",
  "    remove(x: T) ifAbsent(block: Block0⟦Done⟧) -> Set⟦T⟧",
  "    clear -> Set⟦T⟧",
  "    includes(booleanBlock: Block1⟦T,Boolean⟧) -> Boolean",
  "    find(booleanBlock: Block1⟦T,Boolean⟧) ifNone(notFoundBlock: Block0⟦T⟧) -> T",
  "    copy -> Set⟦T⟧",
  "    contains(elem:T) -> Boolean",
  "    ** (other:Set⟦T⟧) -> Set⟦T⟧",
  "    -- (other:Set⟦T⟧) -> Set⟦T⟧",
  "    ++ (other:Set⟦T⟧) -> Set⟦T⟧",
  "    isSubset(s2: Set⟦T⟧) -> Boolean",
  "    isSuperset(s2: Iterable⟦T⟧) -> Boolean",
  "    removeAll(elems: Iterable⟦T⟧)",
  "    removeAll(elems: Iterable⟦T⟧)ifAbsent(action:Block0⟦Done⟧) -> Set⟦T⟧",
  "    into(existing: Expandable⟦Unknown⟧) -> Collection⟦Unknown⟧",
  "}",
  "",
  "type Dictionary⟦K,T⟧ = Collection⟦T⟧ & type {",
  "    size -> Number",
  "    containsKey(k:K) -> Boolean",
  "    containsValue(v:T) -> Boolean",
  "    contains(elem:T) -> Boolean",
  "    at(key:K)ifAbsent(action:Block0⟦Unknown⟧) -> Unknown",
  "    at(key:K)put(value:T) -> Dictionary⟦K,T⟧",
  "    at(k:K) -> T",
  "    removeAllKeys(keys: Iterable⟦K⟧) -> Dictionary⟦K,T⟧",
  "    removeKey(key:K) -> Dictionary⟦K,T⟧",
  "    removeAllValues(removals: Iterable⟦T⟧) -> Dictionary⟦K,T⟧",
  "    removeValue(v:T) -> Dictionary⟦K,T⟧",
  "    clear -> Dictionary⟦K,T⟧",
  "    keys -> Enumerable⟦K⟧",
  "    values -> Enumerable⟦T⟧",
  "    bindings -> Enumerable⟦Binding⟦K,T⟧⟧",
  "    keysAndValuesDo(action:Block2⟦K,T,Done⟧) -> Done",
  "    keysDo(action:Block1⟦K,Done⟧) -> Done",
  "    valuesDo(action:Block1⟦T,Done⟧) -> Done",
  "    == (other:Object) -> Boolean",
  "    copy -> Dictionary⟦K,T⟧",
  "    ++ (other:Dictionary⟦K, T⟧) -> Dictionary⟦K, T⟧",
  "    -- (other:Dictionary⟦K, T⟧) -> Dictionary⟦K, T⟧",
  "    asDictionary -> Dictionary⟦K, T⟧",
  "}",
  "",
  "type Iterator⟦T⟧ = type {",
  "    hasNext -> Boolean",
  "    next -> T",
  "}",
  "",
  "class lazySequenceOver⟦T,R⟧ (source: Iterable⟦T⟧)",
  "        mappedBy (function:Block1⟦T,R⟧) -> Enumerable⟦R⟧ is confidential {",
  "    inherit enumerable.TRAIT⟦T⟧",
  "    class iterator {",
  "        def sourceIterator = source.iterator",
  "        method asString { \"an iterator over a lazy map sequence\" }",
  "        method hasNext { sourceIterator.hasNext }",
  "        method next { function.apply(sourceIterator.next) }",
  "    }",
  "    method size { source.size }",
  "    method isEmpty { source.isEmpty }",
  "    method asDebugString { \"a lazy sequence mapping over {source}\" }",
  "}",
  "",
  "class lazySequenceOver⟦T⟧ (source: Iterable⟦T⟧)",
  "        filteredBy(predicate:Block1⟦T,Boolean⟧) -> Enumerable⟦T⟧ is confidential {",
  "    inherit enumerable.TRAIT⟦T⟧",
  "    class iterator {",
  "        var cache",
  "        var cacheLoaded := false",
  "        def sourceIterator = source.iterator",
  "        method asString { \"an iterator over filtered {source}\" }",
  "        method hasNext {",
  "        // To determine if this iterator has a next element, we have to find",
  "        // an acceptable element; this is then cached, for the use of next",
  "            if (cacheLoaded) then { true } else { hasNextAcceptableElement }",
  "        }",
  "        method next {",
  "            if (cacheLoaded.not) then { cache := nextAcceptableElement }",
  "            cacheLoaded := false",
  "            return cache",
  "        }",
  "        method nextAcceptableElement is confidential {",
  "        // return the next element of the underlying iterator satisfying",
  "        // predicate; if there is none, raises IteratorExhausted.",
  "            while { true } do {",
  "                def outerNext = sourceIterator.next",
  "                def isAcceptable = predicate.apply(outerNext)",
  "                if (isAcceptable) then { return outerNext }",
  "            }",
  "        }",
  "        method hasNextAcceptableElement is confidential {",
  "        // returns true is there is another element in the underlying iterator",
  "        // satisfying predicate, otherwise false",
  "            while { true } do {",
  "                if (sourceIterator.hasNext.not) then { return false }",
  "                def outerNext = sourceIterator.next",
  "                def isAcceptable = predicate.apply(outerNext)",
  "                if (isAcceptable) then {",
  "                    cacheLoaded := true",
  "                    cache := outerNext",
  "                    return true",
  "                }",
  "            }",
  "        }",
  "    }",
  "    method asDebugString { \"a lazy sequence filtering {source}\" }",
  "}",
  "",
  "class iteratorConcat⟦T⟧(left:Iterator⟦T⟧, right:Iterator⟦T⟧) {",
  "    method next {",
  "        if (left.hasNext) then {",
  "            left.next",
  "        } else {",
  "            right.next",
  "        }",
  "    }",
  "    method hasNext {",
  "        if (left.hasNext) then { return true }",
  "        return right.hasNext",
  "    }",
  "    method asDebugString { \"iteratorConcat of {left} and {right}\" }",
  "    method asString { \"an iterator over a concatenation\" }",
  "}",
  "class lazyConcatenation⟦T⟧(left, right) -> Enumerable⟦T⟧{",
  "    inherit enumerable.TRAIT⟦T⟧",
  "    method iterator {",
  "        iteratorConcat(left.iterator, right.iterator)",
  "    }",
  "    method asDebugString { \"lazy concatenation of {left} and {right}\" }",
  "    method size { left.size + right.size }  // may raise SizeUnknown",
  "}",
  "",
  "class collection.TRAIT⟦T⟧ {",
  "    ",
  "    method asString { \"a collection TRAIT\" }",
  "    method sizeIfUnknown(action) {",
  "        action.apply",
  "    }",
  "    method size {",
  "        SizeUnknown.raise \"this collection does not know its size\"",
  "    }",
  "    method do { abstract }",
  "    method iterator { abstract }",
  "    method isEmpty {",
  "        // override if size is known",
  "        iterator.hasNext.not",
  "    }",
  "    method first {",
  "        def it = self.iterator",
  "        if (it.hasNext) then { ",
  "            it.next",
  "        } else {",
  "            BoundsError.raise \"no first element in {self}\"",
  "        }",
  "    }",
  "    method do(block1) separatedBy(block0) {",
  "        var firstTime := true",
  "        var i := 0",
  "        self.do { each ->",
  "            if (firstTime) then {",
  "                firstTime := false",
  "            } else {",
  "                block0.apply",
  "            }",
  "            block1.apply(each)",
  "        }",
  "        return self",
  "    }",
  "    method reduce(initial, blk) {",
  "    // deprecated; for compatibility with builtInList",
  "        fold(blk)startingWith(initial)",
  "    }",
  "    method fold(blk)startingWith(initial) {",
  "        var result := initial",
  "        self.do {it ->",
  "            result := blk.apply(result, it)",
  "        }",
  "        return result",
  "    }",
  "    method map⟦R⟧(block1:Block1⟦T,R⟧) -> Enumerable⟦R⟧ {",
  "        lazySequenceOver(self) mappedBy(block1)",
  "    }",
  "    method filter(selectionCondition:Block1⟦T,Boolean⟧) -> Enumerable⟦T⟧ {",
  "        lazySequenceOver(self) filteredBy(selectionCondition)",
  "    }",
  "",
  "    method iter { self.iterator }",
  "",
  "    method asSequence {",
  "        sequence.withAll(self)",
  "    }",
  "    method asList {",
  "        list.withAll(self)",
  "    }",
  "    method asSet {",
  "        set.withAll(self)",
  "    }",
  "}",
  "",
  "class enumerable.TRAIT⟦T⟧ {",
  "    inherit collection.TRAIT⟦T⟧",
  "    method iterator { abstract }",
  "    method size {",
  "        // override if size is known",
  "        SizeUnknown.raise \"size requested on {asDebugString}\"",
  "    }",
  "    method asDictionary {",
  "        def result = dictionary.empty",
  "        keysAndValuesDo { k, v ->",
  "            result.at(k) put(v)",
  "        }",
  "        return result",
  "    }",
  "    method into(existing: Expandable⟦T⟧) -> Collection⟦T⟧ {",
  "        def selfIterator = self.iterator",
  "        while {selfIterator.hasNext} do {",
  "            existing.add(selfIterator.next)",
  "        }",
  "        existing",
  "    }",
  "    method ==(other) {",
  "        isEqual (self) toIterable (other)",
  "    }",
  "    method do(block1:Block1⟦T,Done⟧) -> Done {",
  "        def selfIterator = self.iterator",
  "        while {selfIterator.hasNext} do {",
  "            block1.apply(selfIterator.next)",
  "        }",
  "    }",
  "    method keysAndValuesDo(block2:Block2⟦Number,T,Done⟧) -> Done {",
  "        var ix := 0",
  "        def selfIterator = self.iterator",
  "        while {selfIterator.hasNext} do {",
  "            ix := ix + 1",
  "            block2.apply(ix, selfIterator.next)",
  "        }",
  "    }",
  "    method values -> Collection⟦T⟧ {",
  "        self",
  "    }",
  "    method fold⟦R⟧(block2)startingWith(initial) -> R {",
  "        var res := initial",
  "        def selfIterator = self.iterator",
  "        while { selfIterator.hasNext } do {",
  "            res := block2.apply(res, selfIterator.next)",
  "        }",
  "        return res",
  "    }",
  "    method ++ (other) -> Enumerable⟦T⟧ {",
  "        lazyConcatenation(self, other)",
  "    }",
  "    method sortedBy(sortBlock:Block2) -> List⟦T⟧ {",
  "        self.asList.sortBy(sortBlock:Block2)",
  "    }",
  "    method sorted -> List⟦T⟧ {",
  "        self.asList.sort",
  "    }",
  "    method asString {",
  "        var s := \"⟨\"",
  "        do { each -> s := s ++ each.asString } separatedBy { s := s ++ \", \" }",
  "        s ++ \"⟩\"",
  "    }",
  "}",
  "",
  "class indexable.TRAIT⟦T⟧ {",
  "    inherit collection.TRAIT⟦T⟧",
  "    method at(index) { abstract }",
  "    method size { abstract }",
  "    method isEmpty { size == 0 }",
  "    method keysAndValuesDo(action:Block2⟦Number,T,Done⟧) -> Done {",
  "        def curSize = size",
  "        var i := 1",
  "        while {i <= curSize} do {",
  "            action.apply(i, self.at(i))",
  "            i := i + 1",
  "        }",
  "    }",
  "    method first { at(1) }",
  "    method second { at(2) }",
  "    method third { at(3) }",
  "    method fourth { at(4) }",
  "    method fifth { at(5) }",
  "    method last { at(size) }",
  "    method indices { range.from 1 to(size) }",
  "    method indexOf(sought:T)  {",
  "        indexOf(sought) ifAbsent { NoSuchObject.raise \"collection does not contain {sought}\" }",
  "    }",
  "    method indexOf(sought:T) ifAbsent(action:Block0)  {",
  "        keysAndValuesDo { ix, v ->",
  "            if (v == sought) then { return ix }",
  "        }",
  "        action.apply",
  "    }",
  "    method asDictionary {",
  "        def result = dictionary.empty",
  "        keysAndValuesDo { k, v ->",
  "            result.at(k) put(v)",
  "        }",
  "        return result",
  "    }",
  "    method into(existing: Expandable⟦T⟧) -> Collection⟦T⟧ {",
  "        def selfIterator = self.iterator",
  "        while {selfIterator.hasNext} do {",
  "            existing.add(selfIterator.next)",
  "        }",
  "        existing",
  "    }",
  "}",
  "",
  "method max(a,b) is confidential {       // copied from standard prelude",
  "    if (a > b) then { a } else { b }",
  "}",
  "",
  "def emptySequence is confidential = object {",
  "    inherit indexable.TRAIT",
  "    method size { 0 }",
  "    method isEmpty { true }",
  "    method at(n) { BoundsError.raise \"index {n} of empty sequence\" }",
  "    method keys { self }",
  "    method values { self }",
  "    method keysAndValuesDo(block2) { done }",
  "    method reversed { self }",
  "    method ++(other: Iterable) { sequence.withAll(other) }",
  "    method asString { \"⟨⟩\" }",
  "    method contains(element) { false }",
  "    method do(block1) { done }",
  "    method ==(other) {",
  "        match (other)",
  "            case {o: Iterable ->",
  "                o.isEmpty",
  "            }",
  "            case {_ ->",
  "                false",
  "            }",
  "    }",
  "    class iterator {",
  "        method asString { \"emptySequenceIterator\" }",
  "        method hasNext { false }",
  "        method next { IteratorExhausted.raise \"on empty sequence\" }",
  "    }",
  "    method sorted { self }",
  "    method sortedBy(sortBlock:Block2){ self }",
  "}",
  "",
  "class sequence⟦T⟧ {",
  "",
  "    method asString { \"a sequence factory\" }",
  "",
  "    method empty {",
  "        // this is an optimization: there need be just one empty sequence",
  "        emptySequence",
  "    }",
  "",
  "    method withAll(arg: Iterable⟦T⟧) {",
  "        var sizeCertain := true",
  "        // size might be uncertain if arg is a lazy collection.",
  "        def forecastSize = arg.sizeIfUnknown {",
  "            sizeCertain := false",
  "            8",
  "        }",
  "        var inner := _prelude.primitiveArray.new(forecastSize)",
  "        var innerSize := inner.size",
  "        var ix := 0",
  "        if (sizeCertain) then {",
  "            // common, fast path",
  "            for (arg) do { elt ->",
  "                inner.at(ix)put(elt)",
  "                ix := ix + 1",
  "            }",
  "        } else {",
  "            // less-than-optimal path",
  "            for (arg) do { elt ->",
  "                if (innerSize <= ix) then {",
  "                    def newInner = _prelude.primitiveArray.new(innerSize * 2)",
  "                    for (0..(innerSize-1)) do { i ->",
  "                        newInner.at(i)put(inner.at(i))",
  "                    }",
  "                    inner := newInner",
  "                    innerSize := inner.size",
  "                }",
  "                inner.at(ix)put(elt)",
  "                ix := ix + 1",
  "            }",
  "        }",
  "        if (ix == 0) then { return emptySequence }",
  "        self.fromprimitiveArray(inner, ix)",
  "    }",
  "    method fromprimitiveArray(pArray, sz) is confidential {",
  "        // constructs a sequence from the first sz elements of pArray",
  "",
  "        object {",
  "            inherit indexable.TRAIT",
  "            def size is public = sz",
  "            def inner = pArray",
  "",
  "            method boundsCheck(n) is confidential {",
  "                if (!(n >= 1) || !(n <= size)) then {",
  "                    // the condition is written this way because NaN always",
  "                    // compares false",
  "                    BoundsError.raise \"index {n} out of bounds 1..{size}\"",
  "                }",
  "            }",
  "            method at(n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method keys {",
  "                range.from(1)to(size)",
  "            }",
  "            method values {",
  "                self",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var i := 0",
  "                while {i < size} do {",
  "                    block2.apply(i+1, inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method reversed {",
  "                def freshArray = _prelude.primitiveArray.new(size)",
  "                var ix := size - 1",
  "                do { each ->",
  "                    freshArray.at (ix) put(each)",
  "                    ix := ix - 1",
  "                }",
  "                outer.fromprimitiveArray(freshArray, size)",
  "            }",
  "            method ++(other: Iterable) {",
  "                sequence.withAll(lazyConcatenation(self, other))",
  "            }",
  "            method asString {",
  "                var s := \"⟨\"",
  "                for (0..(size-1)) do {i->",
  "                    s := s ++ inner.at(i).asString",
  "                    if (i < (size-1)) then { s := s ++ \", \" }",
  "                }",
  "                s ++ \"⟩\"",
  "            }",
  "            method contains(element) {",
  "                do { each -> if (each == element) then { return true } }",
  "                return false",
  "            }",
  "            method do(block1) {",
  "                var i := 0",
  "                while {i < size} do {",
  "                    block1.apply(inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method ==(other) {",
  "                isEqual (self) toIterable (other)",
  "            }",
  "            method iterator {",
  "                object {",
  "                    var idx := 1",
  "                    method asDebugString { \"{asString}⟪{idx}⟫\" }",
  "                    method asString { \"aSequenceIterator\" }",
  "                    method hasNext { idx <= sz }",
  "                    method next {",
  "                        if (idx > sz) then { IteratorExhausted.raise \"on sequence {outer}⟪{idx}⟫\" }",
  "                        def ret = at(idx)",
  "                        idx := idx + 1",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "            method sorted {",
  "                asList.sortBy { l, r ->",
  "                    if (l == r) then {0}",
  "                        elseif {l < r} then {-1}",
  "                        else {1}",
  "                }.asSequence",
  "            }",
  "            method sortedBy(sortBlock:Block2){",
  "                asList.sortBy(sortBlock:Block2).asSequence",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "type MinimalyIterable = type {",
  "    iterator -> Iterator",
  "}",
  "",
  "method isEqual(left) toIterable(right) {",
  "    if (MinimalyIterable.match(right)) then {",
  "        def leftIter = left.iterator",
  "        def rightIter = right.iterator",
  "        while {leftIter.hasNext && rightIter.hasNext} do {",
  "            if (leftIter.next != rightIter.next) then {",
  "                return false",
  "            }",
  "        }",
  "        leftIter.hasNext == rightIter.hasNext",
  "    } else { ",
  "        false",
  "    }",
  "}",
  "",
  "class list⟦T⟧ {",
  "    ",
  "    method asString { \"a list factory\" }",
  "    ",
  "    method empty -> List⟦T⟧ {",
  "        withAll(emptySequence)",
  "    }",
  "",
  "    method withAll(a: Iterable⟦T⟧) -> List⟦T⟧ {",
  "        if (engine == \"js\") then {",
  "          if (native \"js\" code ‹result = (this === superDepth) ? GraceTrue : GraceFalse;›) then {",
  "            return object {",
  "                inherit indexable.TRAIT⟦T⟧",
  "",
  "                var mods is readable := 0",
  "                var sz := 0",
  "                var jsArray := native \"js\" code ‹result = [];›",
  "                a.do { each ->",
  "                    native \"js\" code ‹this.data.jsArray.push(var_each);›",
  "                }",
  "",
  "                method size {",
  "                    native \"js\" code ‹return new GraceNum(this.data.jsArray.length);›",
  "                    sz",
  "                }",
  "",
  "                method at(n) {",
  "                    native \"js\" code ‹var ix = var_n._value;",
  "                        if ( !(ix >= 1) || !(ix <= this.data.jsArray.length)) {",
  "                            var msg = \"index \" + ix + \" out of bounds 1..\" + this.data.jsArray.length;",
  "                            var BoundsError = callmethod(Grace_prelude, \"BoundsError\", [0]);",
  "                            callmethod(BoundsError, \"raise(1)\", [1], new GraceString(msg));",
  "                        }",
  "                        return this.data.jsArray[ix - 1];›",
  "                }",
  "",
  "                method at(n)put(x) {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹var  ix = var_n._value;",
  "                        if (!(ix >= 1) || !(ix <= this.data.jsArray.length + 1)) {",
  "                            var msg = \"index \" + ix + \" out of bounds 1..\" + this.data.jsArray.length;",
  "                            var BoundsError = callmethod(Grace_prelude, \"BoundsError\", [0]);",
  "                            callmethod(BoundsError, \"raise(1)\", [1], new GraceString(msg));",
  "                        }",
  "                        this.data.jsArray[ix-1] = var_x;",
  "                        return this;›",
  "                }",
  "",
  "                method add(x:T) {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹this.data.jsArray.push(var_x);",
  "                        return this;›",
  "                }",
  "",
  "                method push(x) {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹this.data.jsArray.push(var_x);",
  "                        return this;›",
  "                }",
  "",
  "                method removeLast {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹if (this.data.jsArray.length === 0) {",
  "                        var msg = \"you can't remove an element from an empty list\";",
  "                        var BoundsError = callmethod(Grace_prelude, \"BoundsError\", [0]);",
  "                        callmethod(BoundsError, \"raise(1)\", [1], new GraceString(msg));",
  "                    } else",
  "                        return this.data.jsArray.pop();›",
  "                }",
  "                method clear {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹this.data.jsArray = [];",
  "                        return this;›",
  "                }",
  "                method addAllFirst(l) {",
  "                    mods := mods + 1",
  "                    var ix := l.size;",
  "                    while {ix > 0} do {",
  "                        def each = l.at(ix)",
  "                        ix := ix - 1",
  "                        native \"js\" code ‹this.data.jsArray.unshift(var_each);›",
  "                    }",
  "                    self",
  "                }",
  "",
  "                method removeAt(n) {",
  "                    mods := mods + 1",
  "                    def removed = self.at(n)    // does the bounds check",
  "                    native \"js\" code ‹this.data.jsArray.splice(var_n._value - 1, 1);›",
  "                    return removed",
  "                }",
  "",
  "                method sortBy(sortBlock:Block2) {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹var compareFun = function compareFun(a, b) {",
  "                              var res = callmethod(var_sortBlock, \"apply(2)\", [2], a, b);",
  "                              if (res.className == \"number\") return res._value;",
  "                              throw new GraceExceptionPacket(TypeErrorObject,",
  "                                     new GraceString(\"sort block in list.sortBy method did not return a number\"));",
  "                          };",
  "                          this.data.jsArray.sort(compareFun);›",
  "                    self",
  "                }",
  "                // end of native methods",
  "",
  "",
  "                method addLast(x) { push(x) }    // compatibility",
  "                method addAll(l) {",
  "                    for (l) do { each -> push(each) }",
  "                    self",
  "                }",
  "",
  "                method addFirst(elem) {",
  "                    mods := mods + 1",
  "                    native \"js\" code ‹this.data.jsArray.unshift(var_elem);›",
  "                    self",
  "                }                ",
  "",
  "                method removeFirst {",
  "                    removeAt(1)",
  "                }",
  "",
  "",
  "                method remove(elt:T) {",
  "                    def ix = self.indexOf(elt) ifAbsent {",
  "                        NoSuchObject.raise \"list does not contain object {elt}\"",
  "                    }",
  "                    removeAt(ix)",
  "                    self",
  "                }",
  "",
  "",
  "                method remove(elt:T) ifAbsent(action:Block0⟦Done⟧) {",
  "                    def ix = self.indexOf(elt) ifAbsent {",
  "                        return action.apply",
  "                    }",
  "                    removeAt(ix)",
  "                    self",
  "                }",
  "",
  "                method removeAll(vs: Iterable⟦T⟧) {",
  "                    removeAll(vs) ifAbsent { NoSuchObject.raise \"list does not contain object\" }",
  "                }",
  "",
  "",
  "                method removeAll(vs: Iterable⟦T⟧) ifAbsent(action:Block0⟦Unknown⟧)  {",
  "                    for (vs) do { each ->",
  "                        def ix = self.indexOf(each) ifAbsent { 0 }",
  "                        if (ix ≠ 0) then {",
  "                            removeAt(ix)",
  "                        } else {",
  "                            action.apply",
  "                        }",
  "                    }",
  "                    self",
  "                }",
  "",
  "                method pop { removeLast }",
  "",
  "                method reversed {",
  "                    def result = list.empty",
  "                    do { each -> result.addFirst(each) }",
  "                    result",
  "                }",
  "                method reverse {",
  "                    mods := mods + 1",
  "                    var hiIx := size",
  "                    var loIx := 1",
  "                    while {loIx < hiIx} do {",
  "                        def hiVal = self.at(hiIx)",
  "                        self.at(hiIx) put (self.at(loIx))",
  "                        self.at(loIx) put (hiVal)",
  "                        hiIx := hiIx - 1",
  "                        loIx := loIx + 1",
  "                    }",
  "                    self",
  "                }",
  "",
  "                method ++(o) {",
  "                    def l = list.withAll(self)",
  "                    l.addAll(o)",
  "                }",
  "",
  "",
  "                method asString {",
  "                    var s := \"[\"",
  "                    def curSize = self.size",
  "                    for (1..curSize) do { i ->",
  "                        s := s ++ at(i).asString",
  "                        if (i < curSize) then { s := s ++ \", \" }",
  "                    }",
  "                    s ++ \"]\"",
  "                }",
  "",
  "                method asDebugString {",
  "                    var s := \"[\"",
  "                    def curSize = self.size",
  "                    for (1..curSize) do { i ->",
  "                        s := s ++ at(i).asDebugString",
  "                        if (i < curSize) then { s := s ++ \", \" }",
  "                    }",
  "                    s ++ \"]\"",
  "                }",
  "",
  "                method extend(l) { addAll(l); done }    // compatibility",
  "",
  "",
  "                method contains(element) {",
  "                    do { each -> if (each == element) then { return true } }",
  "                    return false",
  "                }",
  "",
  "                method do(block1) {",
  "                    var i := 1",
  "                    def curSize = self.size",
  "                    while {i <= curSize} do {",
  "                        block1.apply(self.at(i))",
  "                        i := i + 1",
  "                    }",
  "                }",
  "",
  "                method ==(other) {",
  "                    isEqual (self) toIterable (other)",
  "                }",
  "",
  "                method iterator {",
  "                    object {",
  "                        var imods := mods",
  "                        var idx := 1",
  "                        method asDebugString { \"{asString}⟪{idx}⟫\" }",
  "                        method asString { \"aListIterator\" }",
  "                        method hasNext { idx <= size }",
  "                        method next {",
  "                            if (imods != mods) then {",
  "                                ConcurrentModification.raise (asDebugString)",
  "                            }",
  "                            if (idx > size) then { IteratorExhausted.raise \"on list\" }",
  "                            def ret = at(idx)",
  "                            idx := idx + 1",
  "                            ret",
  "                        }",
  "                    }",
  "                }",
  "",
  "                method values {",
  "                    self",
  "                }",
  "",
  "                method keys {",
  "                    self.indices",
  "                }",
  "",
  "                method sort {",
  "                    mods := mods + 1",
  "                    sortBy { l, r ->",
  "                        if (l == r) then {0}",
  "                            elseif {l < r} then {-1}",
  "                            else {1}",
  "                    }",
  "                }",
  "                method sortedBy(sortBlock:Block2) {",
  "                    copy.sortBy(sortBlock:Block2)",
  "                }",
  "                method sorted {",
  "                    copy.sort",
  "                }",
  "                method copy {",
  "                    outer.withAll(self)",
  "                }",
  "            }",
  "          }",
  "        }   // end of if (engine == \"js\") then ...",
  "",
  "        object {",
  "            // the new list object without native code",
  "            inherit indexable.TRAIT⟦T⟧",
  "",
  "            var mods is readable := 0",
  "            var sizeCertain := true",
  "            // size might be uncertain if a is a lazy collection.",
  "            def initialSize = a.sizeIfUnknown{ sizeCertain := false ; 4 } * 2 + 1",
  "            var inner := _prelude.primitiveArray.new(initialSize)",
  "            var size is readable := 0",
  "            if (sizeCertain) then {",
  "                // common, fast path",
  "                for (a) do { x ->",
  "                    inner.at(size)put(x)",
  "                    size := size + 1",
  "                }",
  "            } else {",
  "                // less-than-optimal path",
  "                var innerSize := initialSize",
  "                for (a) do { x ->",
  "                    if (innerSize <= size) then {",
  "                        def newInner = _prelude.primitiveArray.new(innerSize * 2)",
  "                        for (0..(innerSize-1)) do { i ->",
  "                            newInner.at (i) put (inner.at(i) )",
  "                        }",
  "                        inner := newInner",
  "                        innerSize := inner.size",
  "                    }",
  "                    inner.at(size)put(x)",
  "                    size := size + 1",
  "                }",
  "            }",
  "            method boundsCheck(n) is confidential {",
  "                if ( !(n >= 1) || !(n <= size)) then {",
  "                    BoundsError.raise \"index {n} out of bounds 1..{size}\"",
  "                }",
  "            }",
  "            method at(n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method at(n)put(x) {",
  "                mods := mods + 1",
  "                if (n == (size+1)) then {",
  "                    addLast(x)",
  "                } else {",
  "                    boundsCheck(n)",
  "                    inner.at(n-1)put(x)",
  "                }",
  "                self",
  "            }",
  "            method add(x) {",
  "                mods := mods + 1",
  "                if (size == inner.size) then { expandTo(inner.size * 2) }",
  "                inner.at(size)put(x)",
  "                size := size + 1",
  "                self",
  "            }",
  "            method addAll(l) {",
  "                mods := mods + 1",
  "                if ((size + l.size) > inner.size) then {",
  "                    expandTo(max(size + l.size, size * 2))",
  "                }",
  "                for (l) do {each ->",
  "                    inner.at(size)put(each)",
  "                    size := size + 1",
  "                }",
  "                self",
  "            }",
  "            method push(x) {",
  "                mods := mods + 1",
  "                if (size == inner.size) then { expandTo(inner.size * 2) }",
  "                inner.at(size)put(x)",
  "                size := size + 1",
  "                self",
  "            }",
  "            method addLast(x) { push(x) }    // compatibility",
  "            method removeLast {",
  "                mods := mods + 1",
  "                def result = inner.at(size - 1)",
  "                size := size - 1",
  "                result",
  "            }",
  "            method addAllFirst(l) {",
  "                mods := mods + 1",
  "                def increase = l.size",
  "                if ((size + increase) > inner.size) then {",
  "                    expandTo(max(size + increase, size * 2))",
  "                }",
  "                for (range.from(size-1)downTo(0)) do {i->",
  "                    inner.at(i+increase)put(inner.at(i))",
  "                }",
  "                var insertionIndex := 0",
  "                for (l) do {each ->",
  "                    inner.at(insertionIndex)put(each)",
  "                    insertionIndex := insertionIndex + 1",
  "                }",
  "                size := size + increase",
  "                self",
  "            }",
  "            method addFirst(elt:T) {",
  "                mods := mods + 1",
  "                if ((size + 1) > inner.size) then {",
  "                    expandTo(size * 2)",
  "                }",
  "                for (range.from (size-1) downTo 0) do {i->",
  "                    inner.at (i+1) put (inner.at(i) )",
  "                }",
  "                inner.at(0)put(elt)",
  "                size := size + 1",
  "                self",
  "            }",
  "            method clear {",
  "                mods := mods + 1",
  "                inner := _prelude.primitiveArray.new(initialSize)",
  "                size := 0",
  "                self",
  "            }",
  "            method removeFirst {",
  "                removeAt(1)",
  "            }",
  "            method removeAt(n) {",
  "                mods := mods + 1",
  "                boundsCheck(n)",
  "                def removed = inner.at(n-1)",
  "                for (n..(size-1)) do {i->",
  "                    inner.at(i-1)put(inner.at(i))",
  "                }",
  "                size := size - 1",
  "                return removed",
  "            }",
  "",
  "            method remove(elt:T) {",
  "                def ix = self.indexOf(elt) ifAbsent {",
  "                    NoSuchObject.raise \"list does not contain {elt}\"",
  "                }",
  "                removeAt(ix)",
  "                self",
  "            }",
  "",
  "            method remove(elt:T) ifAbsent(action:Block0⟦Done⟧) {",
  "                def ix = self.indexOf(elt) ifAbsent {",
  "                    action.apply",
  "                    return self",
  "                }",
  "                removeAt(ix)",
  "                self",
  "            }",
  "",
  "            method removeAll(vs: Iterable⟦T⟧) {",
  "                removeAll(vs) ifAbsent { NoSuchObject.raise \"list does not contain object\" }",
  "                self",
  "            }",
  "            method removeAll(vs: Iterable⟦T⟧) ifAbsent(action:Block0⟦Done⟧)  {",
  "                for (vs) do { each ->",
  "                    def ix = indexOf(each) ifAbsent { 0 }",
  "                    if (ix ≠ 0) then {",
  "                        removeAt(ix)",
  "                    } else {",
  "                        action.apply",
  "                    }",
  "                }",
  "                self",
  "            }",
  "            method pop { removeLast }",
  "            method reversed {",
  "                def result = list.empty",
  "                do { each -> result.addFirst(each) }",
  "                result",
  "            }",
  "            method reverse {",
  "                mods := mods + 1",
  "                var hiIx := size",
  "                var loIx := 1",
  "                while {loIx < hiIx} do {",
  "                    def hiVal = self.at(hiIx)",
  "                    self.at(hiIx) put (self.at(loIx))",
  "                    self.at(loIx) put (hiVal)",
  "                    hiIx := hiIx - 1",
  "                    loIx := loIx + 1",
  "                }",
  "                self",
  "            }",
  "            method ++(o) {",
  "                def l = list.withAll(self)",
  "                l.addAll(o)",
  "            }",
  "            method asString {",
  "                var s := \"[\"",
  "                for (0..(size-1)) do {i->",
  "                    s := s ++ inner.at(i).asString",
  "                    if (i < (size-1)) then { s := s ++ \", \" }",
  "                }",
  "                s ++ \"]\"",
  "            }",
  "            method asDebugString {",
  "                var s := \"[\"",
  "                for (0..(size-1)) do {i->",
  "                    s := s ++ inner.at(i).asDebugString",
  "                    if (i < (size-1)) then { s := s ++ \", \" }",
  "                }",
  "                s ++ \"]\"",
  "            }",
  "            method contains(element) {",
  "                do { each -> if (each == element) then { return true } }",
  "                return false",
  "            }",
  "            method do(block1) {",
  "                var i := 0",
  "                while {i < size} do {",
  "                    block1.apply(inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "",
  "            method ==(other) {",
  "                isEqual (self) toIterable (other)",
  "            }",
  "            method iterator {",
  "                object {",
  "                    var imods := mods",
  "                    var idx := 1",
  "                    method asDebugString { \"{asString}⟪{idx}⟫\" }",
  "                    method asString { \"aListIterator\" }",
  "                    method hasNext { idx <= size }",
  "                    method next {",
  "                        if (imods != mods) then {",
  "                            ConcurrentModification.raise (asDebugString)",
  "                        }",
  "                        if (idx > size) then { IteratorExhausted.raise \"on list\" }",
  "                        def ret = at(idx)",
  "                        idx := idx + 1",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "            method values {",
  "                self",
  "            }",
  "            method keys {",
  "                self.indices",
  "            }",
  "            method expandTo(newSize) is confidential {",
  "                def newInner = _prelude.primitiveArray.new(newSize)",
  "                for (0..(size-1)) do {i->",
  "                    newInner.at(i)put(inner.at(i))",
  "                }",
  "                inner := newInner",
  "            }",
  "            method sortBy(sortBlock:Block2) {",
  "                mods := mods + 1",
  "                inner.sortInitial(size) by(sortBlock)",
  "                self",
  "            }",
  "            method sort {",
  "                sortBy { l, r ->",
  "                    if (l == r) then {0}",
  "                        elseif {l < r} then {-1}",
  "                        else {1}",
  "                }",
  "            }",
  "            method sortedBy(sortBlock:Block2) {",
  "                copy.sortBy(sortBlock:Block2)",
  "            }",
  "            method sorted {",
  "                copy.sort",
  "            }",
  "            method copy {",
  "                outer.withAll(self)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "",
  "def unused = object {",
  "    var unused := true",
  "    def key is public = self",
  "    def value is public = self",
  "    method asString { \"unused\" }",
  "    method == (other) { self.isMe(other) }",
  "}",
  "",
  "def removed = object {",
  "    var removed := true",
  "    def key is public = self",
  "    def value is public = self",
  "    method asString { \"removed\" }",
  "    method == (other) { self.isMe(other) }",
  "}",
  "",
  "class set⟦T⟧ {",
  "",
  "    method asString { \"a set factory\" }",
  "",
  "    method withAll(a: Iterable⟦T⟧) -> Set⟦T⟧ {",
  "        def cap = max (a.sizeIfUnknown{2} * 3 + 1, 8)",
  "        def result = ofCapacity (cap)",
  "        a.do { x -> result.add(x) }",
  "        result",
  "    }",
  "    ",
  "    method empty -> Set⟦T⟧ {",
  "        ofCapacity 8",
  "    }",
  "",
  "    class ofCapacity(cap) -> Set⟦T⟧ is confidential {",
  "        inherit collection.TRAIT",
  "        var mods is readable := 0",
  "        var inner := _prelude.primitiveArray.new(cap)",
  "        var size is readable := 0",
  "        (0..(cap - 1)).do { i ->",
  "            inner.at (i) put (unused)",
  "        }",
  "",
  "        method addAll(elements) {",
  "            mods := mods + 1",
  "            for (elements) do { x ->",
  "                if (! contains(x)) then {",
  "                    def t = findPositionForAdd(x)",
  "                    inner.at(t)put(x)",
  "                    size := size + 1",
  "                    if (size > (inner.size / 2)) then {",
  "                        expand",
  "                    }",
  "                }",
  "            }",
  "            self    // for chaining",
  "        }",
  "",
  "        method add(x:T) {",
  "            if (! contains(x)) then {",
  "                mods := mods + 1",
  "                def t = findPositionForAdd(x)",
  "                inner.at(t)put(x)",
  "                size := size + 1",
  "                if (size > (inner.size / 2)) then {",
  "                    expand",
  "                }",
  "            }",
  "            self    // for chaining",
  "        }",
  "",
  "        method removeAll(elements) {",
  "            for (elements) do { x ->",
  "                remove (x) ifAbsent {",
  "                    NoSuchObject.raise \"set does not contain {x}\"",
  "                }",
  "            }",
  "            self    // for chaining",
  "        }",
  "        method removeAll(elements)ifAbsent(block:Block1⟦T,Done⟧) {",
  "            mods := mods + 1",
  "            for (elements) do { x ->",
  "                var t := findPosition(x)",
  "                if (inner.at(t) == x) then {",
  "                    inner.at(t) put (removed)",
  "                    size := size - 1",
  "                } else {",
  "                    block.apply(x)",
  "                }",
  "            }",
  "            self    // for chaining",
  "        }",
  "        method clear {",
  "            mods := mods + 1",
  "            inner := _prelude.primitiveArray.new(cap)",
  "            size := 0",
  "            self",
  "        }",
  "",
  "        method remove (elt:T) ifAbsent (block) {",
  "            var t := findPosition(elt)",
  "            if (inner.at(t) == elt) then {",
  "                inner.at(t) put (removed)",
  "                mods := mods + 1",
  "                size := size - 1",
  "            } else {",
  "                block.apply",
  "            }",
  "            self    // for chaining",
  "        }",
  "",
  "        method remove(elt:T) {",
  "            remove (elt) ifAbsent {",
  "                NoSuchObject.raise \"set does not contain {elt}\"",
  "            }",
  "            self    // for chaining",
  "        }",
  "",
  "        method contains(x) {",
  "            var t := findPosition(x)",
  "            if (inner.at(t) == x) then {",
  "                return true",
  "            }",
  "            return false",
  "        }",
  "        method includes(booleanBlock) {",
  "            self.do { each ->",
  "                if (booleanBlock.apply(each)) then { return true }",
  "            }",
  "            return false",
  "        }",
  "        method find(booleanBlock)ifNone(notFoundBlock) {",
  "            self.do { each ->",
  "                if (booleanBlock.apply(each)) then { return each }",
  "            }",
  "            return notFoundBlock.apply",
  "        }",
  "        method findPosition(x) is confidential {",
  "            def h = x.hash",
  "            def s = inner.size",
  "            var t := h % s",
  "            var jump := 5",
  "            var candidate",
  "            while {",
  "                candidate := inner.at(t)",
  "                unused ≠ candidate",
  "            } do {",
  "                if (candidate == x) then {",
  "                    return t",
  "                }",
  "                if (jump != 0) then {",
  "                    t := (t * 3 + 1) % s",
  "                    jump := jump - 1",
  "                } else {",
  "                    t := (t + 1) % s",
  "                }",
  "            }",
  "            return t",
  "        }",
  "        method findPositionForAdd(x) is confidential {",
  "            def h = x.hash",
  "            def s = inner.size",
  "            var t := h % s",
  "            var jump := 5",
  "            var candidate",
  "            while {",
  "                candidate := inner.at(t)",
  "                (unused != candidate) && (removed != candidate)",
  "            } do {",
  "                if (candidate == x) then {",
  "                    return t",
  "                }",
  "                if (jump != 0) then {",
  "                    t := (t * 3 + 1) % s",
  "                    jump := jump - 1",
  "                } else {",
  "                    t := (t + 1) % s",
  "                }",
  "            }",
  "            return t",
  "        }",
  "",
  "        method asString {",
  "            var s := \"set\\{\"",
  "            do {each -> s := s ++ each.asString }",
  "                separatedBy { s := s ++ \", \" }",
  "            s ++ \"\\}\"",
  "        }",
  "        method asDebugString {",
  "            var s := \"set\\{\"",
  "            do {each -> s := s ++ each.asDebugString }",
  "                separatedBy { s := s ++ \", \" }",
  "            s ++ \"\\}\"",
  "        }",
  "        method extend(l) {",
  "            for (l) do {i->",
  "                add(i)",
  "            }",
  "        }",
  "        method do(block1) {",
  "            var i := 0",
  "            var found := 0",
  "            var candidate",
  "            while {found < size} do {",
  "                candidate := inner.at(i)",
  "                if ((unused != candidate) && (removed != candidate)) then {",
  "                    found := found + 1",
  "                    block1.apply(candidate)",
  "                }",
  "                i := i + 1",
  "            }",
  "        }",
  "        method iterator {",
  "            object {",
  "                var imods:Number := mods",
  "                var count := 1",
  "                var idx := -1",
  "                method hasNext { size >= count }",
  "                method next {",
  "                    var candidate",
  "                    def innerSize = inner.size",
  "                    while {",
  "                        idx := idx + 1",
  "                        if (imods != mods) then {",
  "                            ConcurrentModification.raise (outer.asString)",
  "                        }",
  "                        if (idx >= innerSize) then {",
  "                            IteratorExhausted.raise \"iterator over {outer.asString}\"",
  "                        }",
  "                        candidate := inner.at(idx)",
  "                        (unused == candidate) || (removed == candidate)",
  "                    } do { }",
  "                    count := count + 1",
  "                    candidate",
  "                }",
  "            }",
  "        }",
  "",
  "        method expand is confidential {",
  "            def c = inner.size",
  "            def n = c * 2",
  "            def oldInner = inner",
  "            size := 0",
  "            inner := _prelude.primitiveArray.new(n)",
  "            for (0..(inner.size-1)) do {i->",
  "                inner.at(i)put(unused)",
  "            }",
  "            for (0..(oldInner.size-1)) do {i->",
  "                if ((unused != oldInner.at(i)) && (removed != oldInner.at(i))) then {",
  "                    add(oldInner.at(i))",
  "                }",
  "            }",
  "        }",
  "        method ==(other) {",
  "            if (Iterable.match(other)) then {",
  "                var otherSize := 0",
  "                other.do { each ->",
  "                    otherSize := otherSize + 1",
  "                    if (! self.contains(each)) then {",
  "                        return false",
  "                    }",
  "                }",
  "                otherSize == self.size",
  "            } else { ",
  "                false",
  "            }",
  "        }",
  "        method copy {",
  "            outer.withAll(self)",
  "        }",
  "        method ++ (other) {",
  "        // set union",
  "            copy.addAll(other)",
  "        }",
  "        method -- (other) {",
  "        // set difference",
  "            def result = set.empty",
  "            for (self) do {v->",
  "                if (!other.contains(v)) then {",
  "                    result.add(v)",
  "                }",
  "            }",
  "            result",
  "        }",
  "        method ** (other) {",
  "        // set intersection",
  "            (filter {each -> other.contains(each)}).asSet",
  "        }",
  "        method isSubset(s2: Set⟦T⟧) {",
  "            self.do{ each ->",
  "                if (s2.contains(each).not) then { return false }",
  "            }",
  "            return true",
  "        }",
  "",
  "        method isSuperset(s2: Iterable⟦T⟧) {",
  "            s2.do{ each ->",
  "                if (self.contains(each).not) then { return false }",
  "            }",
  "            return true",
  "        }",
  "        method into(existing: Expandable⟦T⟧) -> Collection⟦T⟧ {",
  "            do { each -> existing.add(each) }",
  "            existing",
  "        }",
  "    }",
  "}",
  "",
  "type Binding⟦K,T⟧ = {",
  "    key -> K",
  "    value -> T",
  "    hash -> Number",
  "    ==(other) -> Boolean",
  "}",
  "",
  "def binding = object {",
  "    method asString { \"binding class\" }",
  "",
  "    class key(k)value(v) {",
  "        method key {k}",
  "        method value {v}",
  "        method asString { \"{k}::{v}\" }",
  "        method hashcode { (k.hashcode * 1021) + v.hashcode }",
  "        method hash { (k.hash * 1021) + v.hash }",
  "        method == (other) {",
  "            match (other)",
  "                case {o:Binding -> (k == o.key) && (v == o.value) }",
  "                case {_ -> return false }",
  "        }",
  "    }",
  "}",
  "",
  "type ComparableToDictionary⟦K,T⟧ = type {",
  "    size -> Number",
  "    at(_:K)ifAbsent(_) -> T",
  "}",
  "",
  "class dictionary⟦K,T⟧ {",
  "",
  "    method asString { \"a dictionary factory\" }",
  "",
  "    method withAll(initialBindings: Iterable⟦Binding⟦K,T⟧⟧) -> Dictionary⟦K,T⟧ {",
  "        def result = empty",
  "        for (initialBindings) do { b -> result.add(b) }",
  "        result",
  "    }",
  "",
  "    class empty -> Dictionary⟦K,T⟧ {",
  "        inherit collection.TRAIT⟦T⟧",
  "        var mods is readable := 0",
  "        var numBindings := 0",
  "        var inner := _prelude.primitiveArray.new(8)",
  "        for (0..(inner.size-1)) do { i ->",
  "            inner.at(i)put(unused)",
  "        }",
  "        method size { numBindings }",
  "        method at(key')put(value') {",
  "            mods := mods + 1",
  "            var t := findPositionForAdd(key')",
  "            if ((unused == inner.at(t)) || (removed == inner.at(t))) then {",
  "                numBindings := numBindings + 1",
  "            }",
  "            inner.at(t)put(binding.key(key')value(value'))",
  "            if ((size * 2) > inner.size) then { expand }",
  "            self    // for chaining",
  "        }",
  "        method add(aBinding) {",
  "            mods := mods + 1",
  "            var t := findPositionForAdd (aBinding.key)",
  "            if ((unused == inner.at(t)) || (removed == inner.at(t))) then {",
  "                numBindings := numBindings + 1",
  "            }",
  "            inner.at(t)put(aBinding)",
  "            if ((size * 2) > inner.size) then { expand }",
  "            self    // for chaining",
  "        }",
  "        method at(k) {",
  "            var b := inner.at(findPosition(k))",
  "            if (b.key == k) then {",
  "                return b.value",
  "            }",
  "            NoSuchObject.raise \"dictionary does not contain entry with key {k}\"",
  "        }",
  "        method at(k) ifAbsent(action) {",
  "            var b := inner.at(findPosition(k))",
  "            if (b.key == k) then {",
  "                return b.value",
  "            }",
  "            action.apply",
  "        }",
  "        method containsKey(k) {",
  "            var t := findPosition(k)",
  "            if (inner.at(t).key == k) then {",
  "                return true",
  "            }",
  "            false",
  "        }",
  "        method removeAllKeys(keys) {",
  "            mods := mods + 1",
  "            for (keys) do { k ->",
  "                var t := findPosition(k)",
  "                if (inner.at(t).key == k) then {",
  "                    inner.at(t)put(removed)",
  "                    numBindings := numBindings - 1",
  "                } else {",
  "                    NoSuchObject.raise \"dictionary does not contain entry with key {k}\"",
  "                }",
  "            }",
  "            self",
  "        }",
  "        method removeKey(k:K) {",
  "            mods := mods + 1",
  "            var t := findPosition(k)",
  "            if (inner.at(t).key == k) then {",
  "                inner.at(t)put(removed)",
  "                numBindings := numBindings - 1",
  "            } else {",
  "                NoSuchObject.raise \"dictionary does not contain entry with key {k}\"",
  "            }",
  "            self",
  "        }",
  "        method removeAllValues(removals) {",
  "            mods := mods + 1",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if (removals.contains(a.value)) then {",
  "                    inner.at(i)put(removed)",
  "                    numBindings := numBindings - 1",
  "                }",
  "            }",
  "            self",
  "        }",
  "        method removeValue(v) {",
  "            // remove all bindings with value v",
  "            mods := mods + 1",
  "            def initialNumBindings = numBindings",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if (v == a.value) then {",
  "                    inner.at (i) put (removed)",
  "                    numBindings := numBindings - 1",
  "                }",
  "            }",
  "            if (numBindings == initialNumBindings) then {",
  "                NoSuchObject.raise \"dictionary does not contain entry with value {v}\"",
  "            }",
  "            self",
  "        }",
  "        method removeValue(v) ifAbsent (action:Block0⟦Unknown⟧) {",
  "            // remove all bindings with value v",
  "            mods := mods + 1",
  "            def initialNumBindings = numBindings",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if (v == a.value) then {",
  "                    inner.at (i) put (removed)",
  "                    numBindings := numBindings - 1",
  "                }",
  "            }",
  "            if (numBindings == initialNumBindings) then {",
  "                action.apply",
  "            }",
  "            self",
  "        }",
  "        method clear {",
  "            inner := _prelude.primitiveArray.new(8)",
  "            numBindings := 0",
  "            mods := mods + 1",
  "            for (0..(inner.size-1)) do { i ->",
  "                inner.at(i)put(unused)",
  "            }",
  "            self",
  "        }",
  "        method containsValue(v) {",
  "            self.valuesDo{ each ->",
  "                if (v == each) then { return true }",
  "            }",
  "            false",
  "        }",
  "        method contains(v) { containsValue(v) }",
  "",
  "        method findPosition(x) is confidential {",
  "            def h = x.hash",
  "            def s = inner.size",
  "            var t := h % s",
  "            var jump := 5",
  "            while { unused ≠ inner.at(t) } do {",
  "                if (inner.at(t).key == x) then {",
  "                    return t",
  "                }",
  "                if (jump != 0) then {",
  "                    t := (t * 3 + 1) % s",
  "                    jump := jump - 1",
  "                } else {",
  "                    t := (t + 1) % s",
  "                }",
  "            }",
  "            return t",
  "        }",
  "        method findPositionForAdd(x) is confidential {",
  "            def h = x.hash",
  "            def s = inner.size",
  "            var t := h % s",
  "            var jump := 5",
  "            while { (unused ≠ inner.at(t)) && (removed ≠ inner.at(t)) } do {",
  "                if (inner.at(t).key == x) then {",
  "                    return t",
  "                }",
  "                if (jump != 0) then {",
  "                    t := (t * 3 + 1) % s",
  "                    jump := jump - 1",
  "                } else {",
  "                    t := (t + 1) % s",
  "                }",
  "            }",
  "            return t",
  "        }",
  "        method asString {",
  "            // do()separatedBy won't work, because it iterates over values,",
  "            // and we need an iterator over bindings.",
  "            var s := \"dict⟬\"",
  "            var firstElement := true",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    if (! firstElement) then {",
  "                        s := s ++ \", \"",
  "                    } else {",
  "                        firstElement := false",
  "                    }",
  "                    s := s ++ \"{a.key}::{a.value}\"",
  "                }",
  "            }",
  "            s ++ \"⟭\"",
  "        }",
  "        method asDebugString {",
  "            var s := \"dict⟬\"",
  "            for (0..(inner.size-1)) do {i->",
  "                if (i > 0) then { s := s ++ \", \" }",
  "                def a = inner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    s := s ++ \"{i}→{a.key}::{a.value}\"",
  "                } else {",
  "                    s := s ++ \"{i}→{a.asDebugString}\"",
  "                }",
  "            }",
  "            s ++ \"⟭\"",
  "        }",
  "        method keys -> Enumerable⟦K⟧ {",
  "            def sourceDictionary = self",
  "            object {",
  "                inherit enumerable.TRAIT⟦K⟧",
  "                class iterator {",
  "                    def sourceIterator = sourceDictionary.bindingsIterator",
  "                    method hasNext { sourceIterator.hasNext }",
  "                    method next { sourceIterator.next.key }",
  "                    method asString {",
  "                        \"an iterator over keys of {sourceDictionary}\"",
  "                    }",
  "                }",
  "                def size is public = sourceDictionary.size",
  "                method asDebugString {",
  "                    \"a lazy sequence over keys of {sourceDictionary}\"",
  "                }",
  "            }",
  "        }",
  "        method values -> Enumerable⟦T⟧ {",
  "            def sourceDictionary = self",
  "            object {",
  "                inherit enumerable.TRAIT⟦T⟧",
  "                class iterator {",
  "                    def sourceIterator = sourceDictionary.bindingsIterator",
  "                    // should be request on outer",
  "                    method hasNext { sourceIterator.hasNext }",
  "                    method next { sourceIterator.next.value }",
  "                    method asString {",
  "                        \"an iterator over values of {sourceDictionary}\"",
  "                    }",
  "                }",
  "                def size is public = sourceDictionary.size",
  "                method asDebugString {",
  "                    \"a lazy sequence over values of {sourceDictionary}\"",
  "                }",
  "            }",
  "        }",
  "        method bindings -> Enumerable⟦T⟧ {",
  "            def sourceDictionary = self",
  "            object {",
  "                inherit enumerable.TRAIT⟦T⟧",
  "                method iterator { sourceDictionary.bindingsIterator }",
  "                // should be request on outer",
  "                def size is public = sourceDictionary.size",
  "                method asDebugString {",
  "                    \"a lazy sequence over bindings of {sourceDictionary}\"",
  "                }",
  "            }",
  "        }",
  "        method iterator -> Iterator⟦T⟧ { values.iterator }",
  "        class bindingsIterator -> Iterator⟦Binding⟦K, T⟧⟧ {",
  "            // this should be confidential, but can't be until `outer` is fixed.",
  "            def imods:Number = mods",
  "            var count := 1",
  "            var idx := 0",
  "            var elt",
  "            method hasNext { size >= count }",
  "            method next {",
  "                if (imods != mods) then {",
  "                    ConcurrentModification.raise (outer.asString)",
  "                }",
  "                if (size < count) then { IteratorExhausted.raise \"over {outer.asString}\" }",
  "                while {",
  "                    elt := inner.at(idx)",
  "                    (unused == elt) || (removed == elt)",
  "                } do {",
  "                    idx := idx + 1",
  "                }",
  "                count := count + 1",
  "                idx := idx + 1",
  "                elt",
  "            }",
  "        }",
  "        method expand is confidential {",
  "            def c = inner.size",
  "            def n = c * 2",
  "            def oldInner = inner",
  "            inner := _prelude.primitiveArray.new(n)",
  "            for (0..(n - 1)) do {i->",
  "                inner.at(i)put(unused)",
  "            }",
  "            numBindings := 0",
  "            for (0..(c - 1)) do {i->",
  "                def a = oldInner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    self.at(a.key)put(a.value)",
  "                }",
  "            }",
  "        }",
  "        method keysAndValuesDo(block2) {",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    block2.apply(a.key, a.value)",
  "                }",
  "            }",
  "        }",
  "        method keysDo(block1) {",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    block1.apply(a.key)",
  "                }",
  "            }",
  "        }",
  "        method valuesDo(block1) {",
  "            for (0..(inner.size-1)) do {i->",
  "                def a = inner.at(i)",
  "                if ((unused ≠ a) && (removed ≠ a)) then {",
  "                    block1.apply(a.value)",
  "                }",
  "            }",
  "        }",
  "        method do(block1) { valuesDo(block1) }",
  "",
  "        method ==(other) {",
  "            match (other)",
  "                case {o:ComparableToDictionary⟦K,V⟧ ->",
  "                    if (self.size != o.size) then {return false}",
  "                    self.keysAndValuesDo { k, v ->",
  "                        if (o.at(k)ifAbsent{return false} != v) then {",
  "                            return false",
  "                        }",
  "                    }",
  "                    return true",
  "                }",
  "                case {_ ->",
  "                    return false",
  "                }",
  "        }",
  "",
  "        method copy {",
  "            def newCopy = dictionary.empty",
  "            self.keysAndValuesDo{ k, v ->",
  "                newCopy.at(k)put(v)",
  "            }",
  "            newCopy",
  "        }",
  "",
  "        method asDictionary {",
  "            self",
  "        }",
  "",
  "        method ++(other) {",
  "            def newDict = self.copy",
  "            other.keysAndValuesDo {k, v ->",
  "                newDict.at(k) put(v)",
  "            }",
  "            return newDict",
  "        }",
  "",
  "        method --(other) {",
  "            def newDict = dictionary.empty",
  "            keysAndValuesDo { k, v ->",
  "                if (! other.containsKey(k)) then {",
  "                    newDict.at(k) put(v)",
  "                }",
  "            }",
  "            return newDict",
  "        }",
  "    }",
  "}",
  "",
  "class range {",
  "    method from(lower)to(upper) -> Sequence⟦Number⟧ {",
  "        match (lower)",
  "            case {_:Number -> }",
  "            case {_ -> RequestError.raise (\"lower bound {lower}\" ++",
  "                \" in range.from({lower})to({upper}) is not an integer\") }",
  "        def start = lower.truncated",
  "        if (start != lower) then {",
  "            RequestError.raise (\"lower bound {lower}\" ++",
  "                \" in range.from({lower})to({upper}) is not an integer\") }",
  "",
  "        match (upper)",
  "            case {_:Number -> }",
  "            case {_ -> RequestError.raise (\"upper bound {upper}\" ++",
  "                \" in range.from({lower})to({upper}) is not an integer\") }",
  "        def stop = upper.truncated",
  "        if (stop != upper) then {",
  "            RequestError.raise (\"upper bound {upper}\" ++",
  "                \" in range.from()to() is not an integer\")",
  "        }",
  "",
  "        uncheckedFrom (lower) to (upper)",
  "    }",
  "",
  "    method uncheckedFrom (lower) to (upper) -> Sequence⟦Number⟧ {",
  "        object {",
  "            inherit indexable.TRAIT⟦Number⟧",
  "            def start = lower",
  "            def stop = upper",
  "            def size is public =",
  "                if ((upper-lower+1) < 0) then { 0 } else {upper-lower+1}",
  "",
  "            def hash is public = { ((start.hash * 1021) + stop.hash) * 3 }",
  "",
  "            method iterator -> Iterator {",
  "                object {",
  "                    var val := start",
  "                    method hasNext { val <= stop }",
  "                    method next {",
  "                        if (val > stop) then {",
  "                            IteratorExhausted.raise \"over {outer.asString}\"",
  "                        }",
  "                        val := val + 1",
  "                        return (val - 1)",
  "                    }",
  "                    method asString { \"iterator over {outer.asString} at {val}\" }",
  "                }",
  "            }",
  "            method at(ix:Number) {",
  "                if (!(ix <= self.size)) then {",
  "                    BoundsError.raise \"requested range.at({ix}), but upper bound is {size}\"",
  "                }",
  "                if (!(ix >= 1)) then {",
  "                    BoundsError.raise \"requested range.at({ix}), but lower bound is 1\"",
  "                }",
  "                return start + (ix - 1)",
  "            }",
  "            method contains(elem) -> Boolean {",
  "                try {",
  "                    def intElem = elem.truncated",
  "                    if (intElem != elem) then {return false}",
  "                    if (intElem < start) then {return false}",
  "                    if (intElem > stop) then {return false}",
  "                } catch { ex:_prelude.Exception -> return false }",
  "                return true",
  "            }",
  "            method do(block1) {",
  "                var val := start",
  "                while {val <= stop} do {",
  "                    block1.apply(val)",
  "                    val := val + 1",
  "                }",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var key := 1",
  "                var val := start",
  "                while {val <= stop} do {",
  "                    block2.apply(key, val)",
  "                    key := key + 1",
  "                    val := val + 1",
  "                }",
  "            }",
  "            method reversed {",
  "                from(upper)downTo(lower)",
  "            }",
  "            method ++(other) {",
  "                sequence.withAll(lazyConcatenation(self, other))",
  "            }",
  "            method ==(other) {",
  "                isEqual (self) toIterable (other)",
  "            }",
  "            method sorted { self }",
  "",
  "            method sortedBy(c) { self.asList.sortBy(c) }",
  "",
  "            method keys { 1..self.size }",
  "",
  "            method values { self }",
  "",
  "            method asString -> String{",
  "                \"range.from({lower})to({upper})\"",
  "            }",
  "",
  "            method asList{",
  "                var result := list.empty",
  "                for (self) do { each -> result.add(each) }",
  "                result",
  "            }",
  "",
  "            method asSequence {",
  "                self",
  "            }",
  "        }",
  "    }",
  "    method from(upper)downTo(lower) -> Sequence⟦Number⟧ {",
  "        object {",
  "            inherit indexable.TRAIT",
  "            match (upper)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise (\"upper bound {upper}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\") }",
  "            def start = upper.truncated",
  "            if (start != upper) then {",
  "                RequestError.raise (\"upper bound {upper}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\")",
  "            }",
  "            match (lower)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise (\"lower bound {lower}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\") }",
  "            def stop = lower.truncated",
  "            if (stop != lower) then {",
  "                RequestError.raise (\"lower bound {lower}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\")",
  "            }",
  "            def size is public =",
  "                if ((upper-lower+1) < 0) then { 0 } else {upper-lower+1}",
  "            method iterator {",
  "                object {",
  "                    var val := start",
  "                    method hasNext { val >= stop }",
  "                    method next {",
  "                        if (val < stop) then { IteratorExhausted.raise \"over {outer.asString}\" }",
  "                        val := val - 1",
  "                        return (val + 1)",
  "                    }",
  "                    method asString { \"anIterator over {outer.asString} at {val}\" }",
  "                }",
  "            }",
  "            method at(ix:Number) {",
  "                if (!(ix <= self.size)) then {",
  "                    BoundsError.raise \"requested range.at({ix}) but upper bound is {size}\"",
  "                }",
  "                if (!(ix >= 1)) then {",
  "                    BoundsError.raise \"requested range.at({ix}) but lower bound is 1\"",
  "                }",
  "                return start - (ix - 1)",
  "            }",
  "            method contains(elem) -> Boolean {",
  "                try {",
  "                    def intElem = elem.truncated",
  "                    if (intElem != elem) then {return false}",
  "                    if (intElem > start) then {return false}",
  "                    if (intElem < stop) then {return false}",
  "                } catch { ex:_prelude.Exception -> return false }",
  "                return true",
  "            }",
  "            method do(block1) {",
  "                var val := start",
  "                while {val >= stop} do {",
  "                    block1.apply(val)",
  "                    val := val - 1",
  "                }",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var key := 1",
  "                var val := start",
  "                while {val >= stop} do {",
  "                    block2.apply(key, val)",
  "                    key := key + 1",
  "                    val := val - 1",
  "                }",
  "            }",
  "            method reversed {",
  "                from(lower)to(upper)",
  "            }",
  "            method ++(other) {",
  "                sequence.withAll(lazyConcatenation(self, other))",
  "            }",
  "            method ==(other) {",
  "                isEqual (self) toIterable (other)",
  "            }",
  "            method sorted { self.reversed }",
  "",
  "            method sortedBy(c) { self.asList.sortBy(c) }",
  "",
  "            method keys { 1..self.size }",
  "",
  "            method values { self }",
  "",
  "            method asString -> String {",
  "                \"range.from {upper} downTo {lower}\"",
  "            }",
  "            method asSequence {",
  "                self",
  "            }",
  "        }",
  "    }",
  "}",
  NULL
};
Object reader_collectionsPrelude_outer_7(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_10(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_sourceIterator_11(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_outer_49(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_52(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_cache_53(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_cache_53(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_cacheLoaded_54(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_cacheLoaded_54(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_sourceIterator_55(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_153(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_190(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_322(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_size_323(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_inner_324(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_outer_555(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_idx_556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_idx_556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_705(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_721(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_mods_722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_mods_722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_sz_723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_sz_723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_jsArray_724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_jsArray_724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1093(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_imods_1094(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_imods_1094(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_1095(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_idx_1095(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_mods_1233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_mods_1233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_sizeCertain_1234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_sizeCertain_1234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_initialSize_1235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_inner_1236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_collectionsPrelude_inner_1236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_collectionsPrelude_size_1237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_collectionsPrelude_size_1237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_2014(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_imods_2015(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_imods_2015(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_2016(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_idx_2016(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_2293(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_2331(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_mods_2332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_mods_2332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_inner_2333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_inner_2333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_size_2334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_size_2334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_2820(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_imods_2821(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_imods_2821(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_count_2822(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_count_2822(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_2823(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_idx_2823(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_3133(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_3148(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_mods_3149(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_mods_3149(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_numBindings_3150(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_numBindings_3150(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_inner_3151(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_inner_3151(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_3960(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_3963(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_sourceIterator_3964(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_size_3989(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_outer_4006(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4009(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_sourceIterator_4010(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_size_4035(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_outer_4052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_size_4056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_outer_4078(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_imods_4079(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_count_4080(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_count_4080(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_4081(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_idx_4081(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_elt_4082(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_collectionsPrelude_elt_4082(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_4505(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4653(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_start_4654(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_stop_4655(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_size_4656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_hash_4657(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_collectionsPrelude_outer_4660(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_val_4661(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_val_4661(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_5007(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_start_5008(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_stop_5009(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_size_5010(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_5013(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_val_5014(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_val_5014(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_5588(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_5591(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_5716(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_5719(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_5888(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_5891(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_6042(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_6096(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_6115(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_unused_6116(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_unused_6116(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_key_6117(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_value_6118(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_6127(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_removed_6128(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_removed_6128(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_key_6129(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_value_6130(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_6142(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_6147(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static Object strlit3;
static ClassData objclass6;
static ClassData objclass9;
static Object strlit13;
static Object strlit37;
static Object strlit41;
static ClassData objclass48;
static ClassData objclass51;
static Object strlit58;
static Object strlit62;
static Object strlit141;
static Object strlit145;
static ClassData objclass152;
static Object strlit171;
static Object strlit176;
static Object strlit180;
static Object strlit186;
static ClassData objclass189;
static Object strlit202;
static Object strlit207;
static Object strlit211;
static ClassData objclass233;
static Object strlit236;
static ClassData objclass321;
static Object strlit345;
static Object strlit352;
static Object strlit356;
static Object strlit463;
static Object strlit498;
static Object strlit505;
static ClassData objclass554;
static Object strlit559;
static Object strlit566;
static Object strlit572;
static Object strlit578;
static Object strlit594;
static Object strlit601;
static Object strlit607;
static ClassData objclass704;
static Object strlit707;
static Object strlit714;
static ClassData objclass720;
static Object strlit854;
static Object strlit858;
static Object strlit881;
static Object strlit978;
static Object strlit1001;
static Object strlit1008;
static Object strlit1012;
static Object strlit1035;
static Object strlit1042;
static ClassData objclass1092;
static Object strlit1098;
static Object strlit1105;
static Object strlit1111;
static Object strlit1117;
static Object strlit1154;
static ClassData objclass1231;
static Object strlit1258;
static Object strlit1265;
static Object strlit1269;
static Object strlit1752;
static Object strlit1756;
static Object strlit1779;
static Object strlit1876;
static Object strlit1911;
static Object strlit1918;
static Object strlit1922;
static Object strlit1957;
static Object strlit1964;
static ClassData objclass2013;
static Object strlit2019;
static Object strlit2026;
static Object strlit2032;
static Object strlit2038;
static Object strlit2075;
static ClassData objclass2292;
static Object strlit2295;
static ClassData objclass2330;
static Object strlit2437;
static Object strlit2441;
static Object strlit2544;
static Object strlit2548;
static Object strlit2718;
static Object strlit2732;
static Object strlit2739;
static Object strlit2743;
static Object strlit2757;
static Object strlit2764;
static ClassData objclass2819;
static Object strlit2876;
static Object strlit2884;
static ClassData objclass3132;
static Object strlit3135;
static ClassData objclass3147;
static Object strlit3290;
static Object strlit3294;
static Object strlit3368;
static Object strlit3372;
static Object strlit3413;
static Object strlit3417;
static Object strlit3526;
static Object strlit3530;
static Object strlit3790;
static Object strlit3825;
static Object strlit3833;
static Object strlit3840;
static Object strlit3846;
static Object strlit3857;
static Object strlit3861;
static Object strlit3883;
static Object strlit3903;
static Object strlit3910;
static Object strlit3917;
static Object strlit3921;
static Object strlit3933;
static Object strlit3940;
static Object strlit3944;
static Object strlit3955;
static ClassData objclass3959;
static ClassData objclass3962;
static Object strlit3979;
static Object strlit3983;
static Object strlit3992;
static Object strlit3996;
static ClassData objclass4005;
static ClassData objclass4008;
static Object strlit4025;
static Object strlit4029;
static Object strlit4038;
static Object strlit4042;
static ClassData objclass4051;
static Object strlit4059;
static Object strlit4063;
static ClassData objclass4077;
static Object strlit4122;
static Object strlit4130;
static Object strlit4412;
static ClassData objclass4504;
static Object strlit4513;
static Object strlit4525;
static Object strlit4530;
static Object strlit4534;
static Object strlit4541;
static Object strlit4545;
static Object strlit4560;
static Object strlit4565;
static Object strlit4569;
static Object strlit4576;
static Object strlit4580;
static Object strlit4591;
static Object strlit4603;
static Object strlit4608;
static Object strlit4612;
static Object strlit4619;
static Object strlit4623;
static Object strlit4637;
static Object strlit4640;
static Object strlit4644;
static ClassData objclass4652;
static ClassData objclass4659;
static Object strlit4685;
static Object strlit4693;
static Object strlit4713;
static Object strlit4720;
static Object strlit4728;
static Object strlit4749;
static Object strlit4756;
static Object strlit4760;
static Object strlit4775;
static Object strlit4779;
static Object strlit4824;
static Object strlit4929;
static Object strlit4934;
static Object strlit4938;
static ClassData objclass5006;
static ClassData objclass5012;
static Object strlit5038;
static Object strlit5046;
static Object strlit5066;
static Object strlit5073;
static Object strlit5081;
static Object strlit5102;
static Object strlit5109;
static Object strlit5113;
static Object strlit5128;
static Object strlit5132;
static Object strlit5177;
static Object strlit5284;
static Object strlit5289;
static Object strlit5293;
static Object strlit5307;
static Object strlit5319;
static Object strlit5324;
static Object strlit5328;
static Object strlit5335;
static Object strlit5339;
static Object strlit5356;
static Object strlit5361;
static Object strlit5365;
static Object strlit5372;
static Object strlit5376;
static Object strlit5387;
static Object strlit5399;
static Object strlit5404;
static Object strlit5408;
static Object strlit5415;
static Object strlit5419;
static Object strlit5436;
static Object strlit5441;
static Object strlit5445;
static Object strlit5452;
static Object strlit5456;
static Object strlit5484;
static Object strlit5490;
static Object strlit5496;
static Object strlit5502;
static Object strlit5508;
static Object strlit5514;
static Object strlit5520;
static ClassData objclass5587;
static ClassData objclass5590;
static Object strlit5593;
static Object strlit5599;
static Object strlit5632;
static Object strlit5636;
static Object strlit5713;
static ClassData objclass5715;
static ClassData objclass5718;
static Object strlit5730;
static Object strlit5736;
static Object strlit5857;
static Object strlit5871;
static Object strlit5878;
static Object strlit5885;
static ClassData objclass5887;
static ClassData objclass5890;
static Object strlit5980;
static Object strlit5984;
static Object strlit6039;
static ClassData objclass6041;
static Object strlit6050;
static Object strlit6054;
static Object strlit6070;
static Object strlit6083;
static ClassData objclass6095;
static Object strlit6098;
static Object strlit6103;
static ClassData objclass6114;
static Object strlit6120;
static ClassData objclass6126;
static Object strlit6132;
static ClassData objclass6141;
static Object strlit6144;
static ClassData objclass6146;
static Object strlit6152;
static Object strlit6157;
static Object strlit6161;
static Object strlit6210;
Object meth_collectionsPrelude_abstract1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "abstract");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SubobjectResponsibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit3 == NULL) {
    strlit3 = alloc_String("abstract method not overriden by subobject");
    gc_root(strlit3);
  }
// compiled string node returning strlit3 (depth = 3)
  gc_frame_newslot(strlit3);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SubobjectResponsibility (depth = 3)
  params[0] = strlit3;
  partcv[0] = 1;
  Object call4 = callmethodflags(*var_SubobjectResponsibility, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2);
// compiled call node returning call4 (depth = 2)
  gc_frame_end(frame);
  return call4;
}
Object meth_collectionsPrelude_asString12(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit13 == NULL) {
    strlit13 = alloc_String("an iterator over a lazy map sequence");
    gc_root(strlit13);
  }
// compiled string node returning strlit13 (depth = 2)
  gc_frame_end(frame);
  return strlit13;
}
Object meth_collectionsPrelude_hasNext14(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe15 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe16 = gc_frame_new();
// call case 4: self request
  Object call17 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe16);
// compiled member node returning call17 (depth = 3)
  Object call18 = callmethodflags(call17, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe15);
// compiled member node returning call18 (depth = 2)
  gc_frame_end(frame);
  return call18;
}
Object meth_collectionsPrelude_next19(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_function = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe20 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe21 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe22 = gc_frame_new();
// call case 4: self request
  Object call23 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe22);
// compiled member node returning call23 (depth = 4)
  Object call24 = callmethodflags(call23, "next", 0, partcv, params, 0);
  gc_frame_end(callframe21);
// compiled member node returning call24 (depth = 3)
  gc_frame_newslot(call24);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_function (depth = 3)
  params[0] = call24;
  partcv[0] = 1;
  Object call25 = callmethodflags(*var_function, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe20);
// compiled call node returning call25 (depth = 2)
  gc_frame_end(frame);
  return call25;
}
Object meth_collectionsPrelude_iterator8(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_function = getfromclosure(closure, 0);
  Object *var_source = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9 = alloc_userobj2(4,5, objclass9);
  gc_frame_newslot(obj9);
if (objclass9 == NULL) {
  glfree(obj9->class->name);
  obj9->class->name = "lazySequenceOver(_)mappedBy(_).iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9, self, 0);
  addmethodreal(obj9,"outer", &reader_collectionsPrelude_outer_10);
  Object oldself9 = self;
  struct StackFrameObject *oldstackframe9 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9);
  gc_frame_newslot((Object)stackframe);
  self = obj9;
  Object *oldselfslot9 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9 = (*(struct UserObject *)self).data[0], lowerouter9 = thisouter9;
  if (inheritingObject9) {
    struct UserObject *inho9 = (struct UserObject *)inheritingObject9;
    while (inho9->super != GraceDefaultObject) inho9 = (struct UserObject *)inho9->super;
    inho9->super = obj9;
    self = inheritingObject9;
    *selfslot = self;
    lowerouter9 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9;
  }
if (objclass9 == NULL) {
  Method *reader11 = addmethodrealflags(obj9, "sourceIterator",&reader_collectionsPrelude_sourceIterator_11, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader11->definitionModule = modulename;
  reader11->definitionLine = 173;
}
adddatum2(obj9, alloc_Undefined(), 1);
// method "asString"
  struct UserObject *uo12 = (struct UserObject*)obj9;
  uo12->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString12 = addmethod2pos(obj9, "asString", &meth_collectionsPrelude_asString12, 2);
  int argcv_meth_collectionsPrelude_asString12[] = {0};
  meth_meth_collectionsPrelude_asString12->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString12);
  meth_meth_collectionsPrelude_asString12->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString12->definitionLine = 174;
// method "hasNext"
  struct UserObject *uo14 = (struct UserObject*)obj9;
  uo14->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext14 = addmethod2pos(obj9, "hasNext", &meth_collectionsPrelude_hasNext14, 3);
  int argcv_meth_collectionsPrelude_hasNext14[] = {0};
  meth_meth_collectionsPrelude_hasNext14->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext14);
  meth_meth_collectionsPrelude_hasNext14->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext14->definitionLine = 175;
// method "next"
  block_savedest(obj9);
  Object closure19 = createclosure(1, "next");
  setclosureframe(closure19, stackframe);
  addtoclosure(closure19, var_function);
  struct UserObject *uo19 = (struct UserObject*)obj9;
  uo19->data[4] = (Object)closure19;
  Method *meth_meth_collectionsPrelude_next19 = addmethod2pos(obj9, "next", &meth_collectionsPrelude_next19, 4);
  int argcv_meth_collectionsPrelude_next19[] = {0};
  meth_meth_collectionsPrelude_next19->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next19);
  meth_meth_collectionsPrelude_next19->definitionModule = modulename;
  meth_meth_collectionsPrelude_next19->definitionLine = 176;
  sourceObject = obj9;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe26 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call27 = callmethodflags(*var_source, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled member node returning call27 (depth = 2)
  adddatum2(obj9, call27, 1);
  sourceObject = obj9;
  sourceObject = obj9;
  sourceObject = obj9;
  objclass9 = obj9->class;
  objclass9->definitionModule = modulename;
  objclass9->definitionLine = 172;
  (*(struct UserObject *)self).data[0] = lowerouter9;
  self = oldself9;
  selfslot = oldselfslot9;
  stackframe = oldstackframe9;
  gc_frame_end(frame);
  return obj9;
}
Object meth_collectionsPrelude_iterator8_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_function = getfromclosure(closure, 0);
  Object *var_source = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9 = alloc_userobj2(4,5, objclass9);
  gc_frame_newslot(obj9);
if (objclass9 == NULL) {
  glfree(obj9->class->name);
  obj9->class->name = "lazySequenceOver(_)mappedBy(_).iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9, self, 0);
  addmethodreal(obj9,"outer", &reader_collectionsPrelude_outer_10);
  Object oldself9 = self;
  struct StackFrameObject *oldstackframe9 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9);
  gc_frame_newslot((Object)stackframe);
  self = obj9;
  Object *oldselfslot9 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9 = (*(struct UserObject *)self).data[0], lowerouter9 = thisouter9;
  if (inheritingObject9) {
    struct UserObject *inho9 = (struct UserObject *)inheritingObject9;
    while (inho9->super != GraceDefaultObject) inho9 = (struct UserObject *)inho9->super;
    inho9->super = obj9;
    self = inheritingObject9;
    *selfslot = self;
    lowerouter9 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9;
  }
if (objclass9 == NULL) {
  Method *reader11 = addmethodrealflags(obj9, "sourceIterator",&reader_collectionsPrelude_sourceIterator_11, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader11->definitionModule = modulename;
  reader11->definitionLine = 173;
}
adddatum2(obj9, alloc_Undefined(), 1);
// method "asString"
  struct UserObject *uo12 = (struct UserObject*)obj9;
  uo12->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString12 = addmethod2pos(obj9, "asString", &meth_collectionsPrelude_asString12, 2);
  int argcv_meth_collectionsPrelude_asString12[] = {0};
  meth_meth_collectionsPrelude_asString12->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString12);
  meth_meth_collectionsPrelude_asString12->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString12->definitionLine = 174;
// method "hasNext"
  struct UserObject *uo14 = (struct UserObject*)obj9;
  uo14->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext14 = addmethod2pos(obj9, "hasNext", &meth_collectionsPrelude_hasNext14, 3);
  int argcv_meth_collectionsPrelude_hasNext14[] = {0};
  meth_meth_collectionsPrelude_hasNext14->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext14);
  meth_meth_collectionsPrelude_hasNext14->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext14->definitionLine = 175;
// method "next"
  block_savedest(obj9);
  Object closure19 = createclosure(1, "next");
  setclosureframe(closure19, stackframe);
  addtoclosure(closure19, var_function);
  struct UserObject *uo19 = (struct UserObject*)obj9;
  uo19->data[4] = (Object)closure19;
  Method *meth_meth_collectionsPrelude_next19 = addmethod2pos(obj9, "next", &meth_collectionsPrelude_next19, 4);
  int argcv_meth_collectionsPrelude_next19[] = {0};
  meth_meth_collectionsPrelude_next19->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next19);
  meth_meth_collectionsPrelude_next19->definitionModule = modulename;
  meth_meth_collectionsPrelude_next19->definitionLine = 176;
  sourceObject = obj9;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe26 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call27 = callmethodflags(*var_source, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled member node returning call27 (depth = 2)
  adddatum2(obj9, call27, 1);
  sourceObject = obj9;
  sourceObject = obj9;
  sourceObject = obj9;
  objclass9 = obj9->class;
  objclass9->definitionModule = modulename;
  objclass9->definitionLine = 172;
  (*(struct UserObject *)self).data[0] = lowerouter9;
  self = oldself9;
  selfslot = oldselfslot9;
  stackframe = oldstackframe9;
  gc_frame_end(frame);
  return obj9;
}
Object meth_collectionsPrelude_size29(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe30 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call31 = callmethodflags(*var_source, "size", 0, partcv, params, 0);
  gc_frame_end(callframe30);
// compiled member node returning call31 (depth = 2)
  gc_frame_end(frame);
  return call31;
}
Object meth_collectionsPrelude_isEmpty32(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe33 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call34 = callmethodflags(*var_source, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe33);
// compiled member node returning call34 (depth = 2)
  gc_frame_end(frame);
  return call34;
}
Object meth_collectionsPrelude_asDebugString35(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit37 == NULL) {
    strlit37 = alloc_String("");
    gc_root(strlit37);
  }
// compiled string node returning strlit37 (depth = 3)
  int op_slot_right_36 = gc_frame_newslot(strlit37);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_source (depth = 4)
  int op_slot_right_39 = gc_frame_newslot(*var_source);
// starting to compile string node (depth = 4)
  if (strlit41 == NULL) {
    strlit41 = alloc_String("a lazy sequence mapping over ");
    gc_root(strlit41);
  }
// compiled string node returning strlit41 (depth = 4)
  int op_slot_left_39 = gc_frame_newslot(strlit41);
  params[0] = *var_source;
  partcv[0] = 1;
  Object opresult42 = callmethod(strlit41, "++(1)", 1, partcv, params);
// compiled op node returning opresult42 (depth = 3)
  int op_slot_left_36 = gc_frame_newslot(opresult42);
  params[0] = strlit37;
  partcv[0] = 1;
  Object opresult43 = callmethod(opresult42, "++(1)", 1, partcv, params);
// compiled op node returning opresult43 (depth = 2)
  gc_frame_end(frame);
  return opresult43;
}
Object meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazySequenceOver(1)mappedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lazySequenceOver(_)mappedBy(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lazySequenceOver(_)mappedBy(_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for lazySequenceOver(_)mappedBy(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_source = &(stackframe->slots[0]);
  *var_source = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lazySequenceOver(_)");
  Object *var_function = &(stackframe->slots[1]);
  *var_function = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part mappedBy(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  Object *var_R = &(stackframe->slots[4]);
  if (nparts == 1 + 2 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
    *var_R = args[curarg++];
  } else {
    *var_T = Unknown;
    *var_R = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6 = alloc_userobj2(5,6, objclass6);
  gc_frame_newslot(obj6);
if (objclass6 == NULL) {
  glfree(obj6->class->name);
  obj6->class->name = "lazySequenceOver(_)mappedBy(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6, self, 0);
  addmethodreal(obj6,"outer", &reader_collectionsPrelude_outer_7);
  Object oldself6 = self;
  struct StackFrameObject *oldstackframe6 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6);
  gc_frame_newslot((Object)stackframe);
  self = obj6;
  Object *oldselfslot6 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6 = (*(struct UserObject *)self).data[0], lowerouter6 = thisouter6;
  if (inheritingObject6) {
    struct UserObject *inho6 = (struct UserObject *)inheritingObject6;
    while (inho6->super != GraceDefaultObject) inho6 = (struct UserObject *)inho6->super;
    inho6->super = obj6;
    self = inheritingObject6;
    *selfslot = self;
    lowerouter6 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6;
  }
// method "iterator"
  block_savedest(obj6);
  Object closure8 = createclosure(2, "iterator");
  setclosureframe(closure8, stackframe);
  addtoclosure(closure8, var_function);
  addtoclosure(closure8, var_source);
  struct UserObject *uo8 = (struct UserObject*)obj6;
  uo8->data[1] = (Object)closure8;
  Method *meth_meth_collectionsPrelude_iterator8 = addmethod2pos(obj6, "iterator", &meth_collectionsPrelude_iterator8, 1);
  int argcv_meth_collectionsPrelude_iterator8[] = {0};
  meth_meth_collectionsPrelude_iterator8->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator8);
  meth_meth_collectionsPrelude_iterator8->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator8->definitionLine = 172;
  block_savedest(obj6);
  Object closure28 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure28, stackframe);
  addtoclosure(closure28, var_function);
  addtoclosure(closure28, var_source);
  Method *meth_meth_collectionsPrelude_iterator8_object = addmethod2pos(obj6, "iterator$object(1)", &meth_collectionsPrelude_iterator8_object, 1);
  meth_meth_collectionsPrelude_iterator8_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator8_object->definitionLine = 172;
// method "size"
  block_savedest(obj6);
  Object closure29 = createclosure(1, "size");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_source);
  struct UserObject *uo29 = (struct UserObject*)obj6;
  uo29->data[2] = (Object)closure29;
  Method *meth_meth_collectionsPrelude_size29 = addmethod2pos(obj6, "size", &meth_collectionsPrelude_size29, 2);
  int argcv_meth_collectionsPrelude_size29[] = {0};
  meth_meth_collectionsPrelude_size29->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size29);
  meth_meth_collectionsPrelude_size29->definitionModule = modulename;
  meth_meth_collectionsPrelude_size29->definitionLine = 178;
// method "isEmpty"
  block_savedest(obj6);
  Object closure32 = createclosure(1, "isEmpty");
  setclosureframe(closure32, stackframe);
  addtoclosure(closure32, var_source);
  struct UserObject *uo32 = (struct UserObject*)obj6;
  uo32->data[3] = (Object)closure32;
  Method *meth_meth_collectionsPrelude_isEmpty32 = addmethod2pos(obj6, "isEmpty", &meth_collectionsPrelude_isEmpty32, 3);
  int argcv_meth_collectionsPrelude_isEmpty32[] = {0};
  meth_meth_collectionsPrelude_isEmpty32->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty32);
  meth_meth_collectionsPrelude_isEmpty32->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty32->definitionLine = 179;
// method "asDebugString"
  block_savedest(obj6);
  Object closure35 = createclosure(1, "asDebugString");
  setclosureframe(closure35, stackframe);
  addtoclosure(closure35, var_source);
  struct UserObject *uo35 = (struct UserObject*)obj6;
  uo35->data[4] = (Object)closure35;
  Method *meth_meth_collectionsPrelude_asDebugString35 = addmethod2pos(obj6, "asDebugString", &meth_collectionsPrelude_asDebugString35, 4);
  int argcv_meth_collectionsPrelude_asDebugString35[] = {0};
  meth_meth_collectionsPrelude_asDebugString35->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString35);
  meth_meth_collectionsPrelude_asDebugString35->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString35->definitionLine = 180;
  sourceObject = obj6;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe44 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call45 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe44);
// compiled call node returning call45 (depth = 2)
  struct UserObject *obj6_uo = (struct UserObject *)obj6;
  obj6_uo->super = call45;
  sourceObject = obj6;
  sourceObject = obj6;
  sourceObject = obj6;
  sourceObject = obj6;
  objclass6 = obj6->class;
  objclass6->definitionModule = modulename;
  objclass6->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter6;
  self = oldself6;
  selfslot = oldselfslot6;
  stackframe = oldstackframe6;
  gc_frame_end(frame);
  return obj6;
}
Object meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazySequenceOver(1)mappedBy(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method lazySequenceOver(_)mappedBy(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method lazySequenceOver(_)mappedBy(_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for lazySequenceOver(_)mappedBy(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_source = &(stackframe->slots[0]);
  *var_source = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lazySequenceOver(_)");
  Object *var_function = &(stackframe->slots[1]);
  *var_function = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part mappedBy(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  Object *var_R = &(stackframe->slots[4]);
  if (nparts == 1 + 2 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
    *var_R = args[curarg++];
  } else {
    *var_T = Unknown;
    *var_R = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6 = alloc_userobj2(5,6, objclass6);
  gc_frame_newslot(obj6);
if (objclass6 == NULL) {
  glfree(obj6->class->name);
  obj6->class->name = "lazySequenceOver(_)mappedBy(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6, self, 0);
  addmethodreal(obj6,"outer", &reader_collectionsPrelude_outer_7);
  Object oldself6 = self;
  struct StackFrameObject *oldstackframe6 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6);
  gc_frame_newslot((Object)stackframe);
  self = obj6;
  Object *oldselfslot6 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6 = (*(struct UserObject *)self).data[0], lowerouter6 = thisouter6;
  if (inheritingObject6) {
    struct UserObject *inho6 = (struct UserObject *)inheritingObject6;
    while (inho6->super != GraceDefaultObject) inho6 = (struct UserObject *)inho6->super;
    inho6->super = obj6;
    self = inheritingObject6;
    *selfslot = self;
    lowerouter6 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6;
  }
// method "iterator"
  block_savedest(obj6);
  Object closure8 = createclosure(2, "iterator");
  setclosureframe(closure8, stackframe);
  addtoclosure(closure8, var_function);
  addtoclosure(closure8, var_source);
  struct UserObject *uo8 = (struct UserObject*)obj6;
  uo8->data[1] = (Object)closure8;
  Method *meth_meth_collectionsPrelude_iterator8 = addmethod2pos(obj6, "iterator", &meth_collectionsPrelude_iterator8, 1);
  int argcv_meth_collectionsPrelude_iterator8[] = {0};
  meth_meth_collectionsPrelude_iterator8->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator8);
  meth_meth_collectionsPrelude_iterator8->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator8->definitionLine = 172;
  block_savedest(obj6);
  Object closure28 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure28, stackframe);
  addtoclosure(closure28, var_function);
  addtoclosure(closure28, var_source);
  Method *meth_meth_collectionsPrelude_iterator8_object = addmethod2pos(obj6, "iterator$object(1)", &meth_collectionsPrelude_iterator8_object, 1);
  meth_meth_collectionsPrelude_iterator8_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator8_object->definitionLine = 172;
// method "size"
  block_savedest(obj6);
  Object closure29 = createclosure(1, "size");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_source);
  struct UserObject *uo29 = (struct UserObject*)obj6;
  uo29->data[2] = (Object)closure29;
  Method *meth_meth_collectionsPrelude_size29 = addmethod2pos(obj6, "size", &meth_collectionsPrelude_size29, 2);
  int argcv_meth_collectionsPrelude_size29[] = {0};
  meth_meth_collectionsPrelude_size29->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size29);
  meth_meth_collectionsPrelude_size29->definitionModule = modulename;
  meth_meth_collectionsPrelude_size29->definitionLine = 178;
// method "isEmpty"
  block_savedest(obj6);
  Object closure32 = createclosure(1, "isEmpty");
  setclosureframe(closure32, stackframe);
  addtoclosure(closure32, var_source);
  struct UserObject *uo32 = (struct UserObject*)obj6;
  uo32->data[3] = (Object)closure32;
  Method *meth_meth_collectionsPrelude_isEmpty32 = addmethod2pos(obj6, "isEmpty", &meth_collectionsPrelude_isEmpty32, 3);
  int argcv_meth_collectionsPrelude_isEmpty32[] = {0};
  meth_meth_collectionsPrelude_isEmpty32->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty32);
  meth_meth_collectionsPrelude_isEmpty32->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty32->definitionLine = 179;
// method "asDebugString"
  block_savedest(obj6);
  Object closure35 = createclosure(1, "asDebugString");
  setclosureframe(closure35, stackframe);
  addtoclosure(closure35, var_source);
  struct UserObject *uo35 = (struct UserObject*)obj6;
  uo35->data[4] = (Object)closure35;
  Method *meth_meth_collectionsPrelude_asDebugString35 = addmethod2pos(obj6, "asDebugString", &meth_collectionsPrelude_asDebugString35, 4);
  int argcv_meth_collectionsPrelude_asDebugString35[] = {0};
  meth_meth_collectionsPrelude_asDebugString35->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString35);
  meth_meth_collectionsPrelude_asDebugString35->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString35->definitionLine = 180;
  sourceObject = obj6;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe44 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call45 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe44);
// compiled call node returning call45 (depth = 2)
  struct UserObject *obj6_uo = (struct UserObject *)obj6;
  obj6_uo->super = call45;
  sourceObject = obj6;
  sourceObject = obj6;
  sourceObject = obj6;
  sourceObject = obj6;
  objclass6 = obj6->class;
  objclass6->definitionModule = modulename;
  objclass6->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter6;
  self = oldself6;
  selfslot = oldselfslot6;
  stackframe = oldstackframe6;
  gc_frame_end(frame);
  return obj6;
}
Object meth_collectionsPrelude_asString56(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit58 == NULL) {
    strlit58 = alloc_String("");
    gc_root(strlit58);
  }
// compiled string node returning strlit58 (depth = 3)
  int op_slot_right_57 = gc_frame_newslot(strlit58);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_source (depth = 4)
  int op_slot_right_60 = gc_frame_newslot(*var_source);
// starting to compile string node (depth = 4)
  if (strlit62 == NULL) {
    strlit62 = alloc_String("an iterator over filtered ");
    gc_root(strlit62);
  }
// compiled string node returning strlit62 (depth = 4)
  int op_slot_left_60 = gc_frame_newslot(strlit62);
  params[0] = *var_source;
  partcv[0] = 1;
  Object opresult63 = callmethod(strlit62, "++(1)", 1, partcv, params);
// compiled op node returning opresult63 (depth = 3)
  int op_slot_left_57 = gc_frame_newslot(opresult63);
  params[0] = strlit58;
  partcv[0] = 1;
  Object opresult64 = callmethod(opresult63, "++(1)", 1, partcv, params);
// compiled op node returning opresult64 (depth = 2)
  gc_frame_end(frame);
  return opresult64;
}
Object meth_collectionsPrelude_hasNext65(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe67 = gc_frame_new();
// call case 4: self request
  Object call68 = callmethodflags(self, "cacheLoaded", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe67);
// compiled member node returning call68 (depth = 3)
  Object if66 = done;
  if (istrue(call68)) {
// starting to compile identifier node (depth = 3)
  Object bool69 = alloc_Boolean(1);
// compiled identifier node returning bool69 (depth = 3)
    gc_frame_newslot(bool69);
    if66 = bool69;
  } else {
// starting to compile member node (depth = 3)
  int callframe70 = gc_frame_new();
// call case 4: self request
  Object call71 = callmethodflags(self, "hasNextAcceptableElement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe70);
// compiled member node returning call71 (depth = 3)
    gc_frame_newslot(call71);
    if66 = call71;
  }
// compiled if node returning if66 (depth = 2)
  gc_frame_end(frame);
  return if66;
}
Object meth_collectionsPrelude_next72(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe74 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe75 = gc_frame_new();
// call case 4: self request
  Object call76 = callmethodflags(self, "cacheLoaded", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe75);
// compiled member node returning call76 (depth = 4)
  Object call77 = callmethodflags(call76, "not", 0, partcv, params, 0);
  gc_frame_end(callframe74);
// compiled member node returning call77 (depth = 3)
  Object if73 = done;
  if (istrue(call77)) {
// starting to compile call node (depth = 3)
  int callframe78 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe79 = gc_frame_new();
// call case 4: self request
  Object call80 = callmethodflags(self, "nextAcceptableElement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe79);
// compiled member node returning call80 (depth = 4)
  gc_frame_newslot(call80);
// call case 4: self request
  params[0] = call80;
  partcv[0] = 1;
  Object call81 = callmethodflags(self, "cache:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe78);
// compiled call node returning call81 (depth = 3)
    gc_frame_newslot(call81);
    if73 = call81;
  } else {
  }
// compiled if node returning if73 (depth = 2)
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe82 = gc_frame_new();
// starting to compile identifier node (depth = 3)
  Object bool83 = alloc_Boolean(0);
// compiled identifier node returning bool83 (depth = 3)
  gc_frame_newslot(bool83);
// call case 4: self request
  params[0] = bool83;
  partcv[0] = 1;
  Object call84 = callmethodflags(self, "cacheLoaded:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe82);
// compiled call node returning call84 (depth = 2)
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe85 = gc_frame_new();
// call case 4: self request
  Object call86 = callmethodflags(self, "cache", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe85);
// compiled member node returning call86 (depth = 3)
  return call86;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply90(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
  Object bool91 = alloc_Boolean(1);
// compiled identifier node returning bool91 (depth = 4)
  gc_frame_end(frame);
  return bool91;
}
Object meth_collectionsPrelude__apply94(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_predicate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_outerNext = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "outerNext");
  Object *var_isAcceptable = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "isAcceptable");
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe95 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe96 = gc_frame_new();
// call case 4: self request
  Object call97 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe96);
// compiled member node returning call97 (depth = 6)
  Object call98 = callmethodflags(call97, "next", 0, partcv, params, 0);
  gc_frame_end(callframe95);
// compiled member node returning call98 (depth = 5)
  *var_outerNext = call98;
  if (call98 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe99 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_outerNext (depth = 6)
  gc_frame_newslot(*var_outerNext);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_predicate (depth = 6)
  params[0] = *var_outerNext;
  partcv[0] = 1;
  Object call100 = callmethodflags(*var_predicate, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe99);
// compiled call node returning call100 (depth = 5)
  *var_isAcceptable = call100;
  if (call100 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isAcceptable (depth = 5)
  Object if101 = done;
  if (istrue(*var_isAcceptable)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_outerNext (depth = 6)
  block_return(realself, *var_outerNext);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if101 = undefined;
  } else {
  }
// compiled if node returning if101 (depth = 4)
  gc_frame_end(frame);
  return if101;
}
Object meth_collectionsPrelude_nextAcceptableElement87(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nextAcceptableElement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_predicate = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe88 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block89 = alloc_Block(NULL, NULL, "collectionsPrelude", 204);
  gc_frame_newslot(block89);
// method "_apply"
  block_savedest(block89);
  Object closure90 = createclosure(1, "_apply");
  setclosureframe(closure90, stackframe);
  addtoclosure(closure90, selfslot);
  struct UserObject *uo90 = (struct UserObject*)block89;
  uo90->data[0] = (Object)closure90;
  Method *meth_meth_collectionsPrelude__apply90 = addmethod2pos(block89, "_apply", &meth_collectionsPrelude__apply90, 0);
  int argcv_meth_collectionsPrelude__apply90[] = {0};
  meth_meth_collectionsPrelude__apply90->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply90);
  meth_meth_collectionsPrelude__apply90->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply90->definitionLine = 1990;
// compiled block node returning block89 (depth = 3)
  gc_frame_newslot(block89);
// starting to compile block node (depth = 3)
  Object block93 = alloc_Block(NULL, NULL, "collectionsPrelude", 204);
  gc_frame_newslot(block93);
// method "_apply"
  block_savedest(block93);
  Object closure94 = createclosure(2, "_apply");
  setclosureframe(closure94, stackframe);
  addtoclosure(closure94, var_predicate);
  addtoclosure(closure94, selfslot);
  struct UserObject *uo94 = (struct UserObject*)block93;
  uo94->data[0] = (Object)closure94;
  Method *meth_meth_collectionsPrelude__apply94 = addmethod2pos(block93, "_apply", &meth_collectionsPrelude__apply94, 0);
  int argcv_meth_collectionsPrelude__apply94[] = {0};
  meth_meth_collectionsPrelude__apply94->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply94);
  meth_meth_collectionsPrelude__apply94->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply94->definitionLine = 1990;
// compiled block node returning block93 (depth = 3)
  gc_frame_newslot(block93);
// call case 5: prelude request
  params[0] = block89;
  params[1] = block93;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call103 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe88);
// compiled call node returning call103 (depth = 2)
  gc_frame_end(frame);
  return call103;
}
Object meth_collectionsPrelude__apply107(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
  Object bool108 = alloc_Boolean(1);
// compiled identifier node returning bool108 (depth = 4)
  gc_frame_end(frame);
  return bool108;
}
Object meth_collectionsPrelude__apply111(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_predicate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_outerNext = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "outerNext");
  Object *var_isAcceptable = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "isAcceptable");
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe113 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe114 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe115 = gc_frame_new();
// call case 4: self request
  Object call116 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe115);
// compiled member node returning call116 (depth = 7)
  Object call117 = callmethodflags(call116, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe114);
// compiled member node returning call117 (depth = 6)
  Object call118 = callmethodflags(call117, "not", 0, partcv, params, 0);
  gc_frame_end(callframe113);
// compiled member node returning call118 (depth = 5)
  Object if112 = done;
  if (istrue(call118)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool119 = alloc_Boolean(0);
// compiled identifier node returning bool119 (depth = 6)
  block_return(realself, bool119);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if112 = undefined;
  } else {
  }
// compiled if node returning if112 (depth = 4)
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe120 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe121 = gc_frame_new();
// call case 4: self request
  Object call122 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe121);
// compiled member node returning call122 (depth = 6)
  Object call123 = callmethodflags(call122, "next", 0, partcv, params, 0);
  gc_frame_end(callframe120);
// compiled member node returning call123 (depth = 5)
  *var_outerNext = call123;
  if (call123 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe124 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_outerNext (depth = 6)
  gc_frame_newslot(*var_outerNext);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_predicate (depth = 6)
  params[0] = *var_outerNext;
  partcv[0] = 1;
  Object call125 = callmethodflags(*var_predicate, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe124);
// compiled call node returning call125 (depth = 5)
  *var_isAcceptable = call125;
  if (call125 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isAcceptable (depth = 5)
  Object if126 = done;
  if (istrue(*var_isAcceptable)) {
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe127 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool128 = alloc_Boolean(1);
// compiled identifier node returning bool128 (depth = 6)
  gc_frame_newslot(bool128);
// call case 4: self request
  params[0] = bool128;
  partcv[0] = 1;
  Object call129 = callmethodflags(self, "cacheLoaded:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe127);
// compiled call node returning call129 (depth = 5)
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe130 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_outerNext (depth = 6)
  gc_frame_newslot(*var_outerNext);
// call case 4: self request
  params[0] = *var_outerNext;
  partcv[0] = 1;
  Object call131 = callmethodflags(self, "cache:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe130);
// compiled call node returning call131 (depth = 5)
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool132 = alloc_Boolean(1);
// compiled identifier node returning bool132 (depth = 6)
  block_return(realself, bool132);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if126 = undefined;
  } else {
  }
// compiled if node returning if126 (depth = 4)
  gc_frame_end(frame);
  return if126;
}
Object meth_collectionsPrelude_hasNextAcceptableElement104(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hasNextAcceptableElement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_predicate = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe105 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block106 = alloc_Block(NULL, NULL, "collectionsPrelude", 213);
  gc_frame_newslot(block106);
// method "_apply"
  block_savedest(block106);
  Object closure107 = createclosure(1, "_apply");
  setclosureframe(closure107, stackframe);
  addtoclosure(closure107, selfslot);
  struct UserObject *uo107 = (struct UserObject*)block106;
  uo107->data[0] = (Object)closure107;
  Method *meth_meth_collectionsPrelude__apply107 = addmethod2pos(block106, "_apply", &meth_collectionsPrelude__apply107, 0);
  int argcv_meth_collectionsPrelude__apply107[] = {0};
  meth_meth_collectionsPrelude__apply107->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply107);
  meth_meth_collectionsPrelude__apply107->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply107->definitionLine = 1990;
// compiled block node returning block106 (depth = 3)
  gc_frame_newslot(block106);
// starting to compile block node (depth = 3)
  Object block110 = alloc_Block(NULL, NULL, "collectionsPrelude", 213);
  gc_frame_newslot(block110);
// method "_apply"
  block_savedest(block110);
  Object closure111 = createclosure(2, "_apply");
  setclosureframe(closure111, stackframe);
  addtoclosure(closure111, var_predicate);
  addtoclosure(closure111, selfslot);
  struct UserObject *uo111 = (struct UserObject*)block110;
  uo111->data[0] = (Object)closure111;
  Method *meth_meth_collectionsPrelude__apply111 = addmethod2pos(block110, "_apply", &meth_collectionsPrelude__apply111, 0);
  int argcv_meth_collectionsPrelude__apply111[] = {0};
  meth_meth_collectionsPrelude__apply111->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply111);
  meth_meth_collectionsPrelude__apply111->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply111->definitionLine = 1990;
// compiled block node returning block110 (depth = 3)
  gc_frame_newslot(block110);
// call case 5: prelude request
  params[0] = block106;
  params[1] = block110;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call134 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe105);
// compiled call node returning call134 (depth = 2)
  gc_frame_end(frame);
  return call134;
}
Object meth_collectionsPrelude_iterator50(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  Object *var_predicate = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject51 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj51 = alloc_userobj2(10,9, objclass51);
  gc_frame_newslot(obj51);
if (objclass51 == NULL) {
  glfree(obj51->class->name);
  obj51->class->name = "lazySequenceOver(_)filteredBy(_).iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj51, self, 0);
  addmethodreal(obj51,"outer", &reader_collectionsPrelude_outer_52);
  Object oldself51 = self;
  struct StackFrameObject *oldstackframe51 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe51);
  gc_frame_newslot((Object)stackframe);
  self = obj51;
  Object *oldselfslot51 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter51 = (*(struct UserObject *)self).data[0], lowerouter51 = thisouter51;
  if (inheritingObject51) {
    struct UserObject *inho51 = (struct UserObject *)inheritingObject51;
    while (inho51->super != GraceDefaultObject) inho51 = (struct UserObject *)inho51->super;
    inho51->super = obj51;
    self = inheritingObject51;
    *selfslot = self;
    lowerouter51 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter51;
  }
if (objclass51 == NULL) {
  Method *reader53 = addmethodrealflags(obj51, "cache", &reader_collectionsPrelude_cache_53, MFLAG_CONFIDENTIAL);
  Method *writer53 = addmethodrealflags(obj51, "cache:=(1)", &writer_collectionsPrelude_cache_53, MFLAG_CONFIDENTIAL);
  reader53->definitionModule = modulename;
  writer53->definitionModule = modulename;
  reader53->definitionLine = 187;
  writer53->definitionLine = 187;
}
obj51->flags |= OFLAG_MUTABLE;
adddatum2(obj51, alloc_Undefined(), 1);
if (objclass51 == NULL) {
  Method *reader54 = addmethodrealflags(obj51, "cacheLoaded", &reader_collectionsPrelude_cacheLoaded_54, MFLAG_CONFIDENTIAL);
  Method *writer54 = addmethodrealflags(obj51, "cacheLoaded:=(1)", &writer_collectionsPrelude_cacheLoaded_54, MFLAG_CONFIDENTIAL);
  reader54->definitionModule = modulename;
  writer54->definitionModule = modulename;
  reader54->definitionLine = 188;
  writer54->definitionLine = 188;
}
obj51->flags |= OFLAG_MUTABLE;
adddatum2(obj51, alloc_Undefined(), 2);
if (objclass51 == NULL) {
  Method *reader55 = addmethodrealflags(obj51, "sourceIterator",&reader_collectionsPrelude_sourceIterator_55, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader55->definitionModule = modulename;
  reader55->definitionLine = 189;
}
adddatum2(obj51, alloc_Undefined(), 3);
// method "asString"
  block_savedest(obj51);
  Object closure56 = createclosure(1, "asString");
  setclosureframe(closure56, stackframe);
  addtoclosure(closure56, var_source);
  struct UserObject *uo56 = (struct UserObject*)obj51;
  uo56->data[4] = (Object)closure56;
  Method *meth_meth_collectionsPrelude_asString56 = addmethod2pos(obj51, "asString", &meth_collectionsPrelude_asString56, 4);
  int argcv_meth_collectionsPrelude_asString56[] = {0};
  meth_meth_collectionsPrelude_asString56->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString56);
  meth_meth_collectionsPrelude_asString56->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString56->definitionLine = 190;
// method "hasNext"
  struct UserObject *uo65 = (struct UserObject*)obj51;
  uo65->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext65 = addmethod2pos(obj51, "hasNext", &meth_collectionsPrelude_hasNext65, 5);
  int argcv_meth_collectionsPrelude_hasNext65[] = {0};
  meth_meth_collectionsPrelude_hasNext65->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext65);
  meth_meth_collectionsPrelude_hasNext65->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext65->definitionLine = 191;
// method "next"
  struct UserObject *uo72 = (struct UserObject*)obj51;
  uo72->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next72 = addmethod2pos(obj51, "next", &meth_collectionsPrelude_next72, 6);
  int argcv_meth_collectionsPrelude_next72[] = {0};
  meth_meth_collectionsPrelude_next72->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next72);
  meth_meth_collectionsPrelude_next72->definitionModule = modulename;
  meth_meth_collectionsPrelude_next72->definitionLine = 196;
// method "nextAcceptableElement"
  block_savedest(obj51);
  Object closure87 = createclosure(1, "nextAcceptableElement");
  setclosureframe(closure87, stackframe);
  addtoclosure(closure87, var_predicate);
  struct UserObject *uo87 = (struct UserObject*)obj51;
  uo87->data[7] = (Object)closure87;
  Method *meth_meth_collectionsPrelude_nextAcceptableElement87 = addmethod2pos(obj51, "nextAcceptableElement", &meth_collectionsPrelude_nextAcceptableElement87, 7);
  int argcv_meth_collectionsPrelude_nextAcceptableElement87[] = {0};
  meth_meth_collectionsPrelude_nextAcceptableElement87->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_nextAcceptableElement87);
  meth_meth_collectionsPrelude_nextAcceptableElement87->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_nextAcceptableElement87->definitionModule = modulename;
  meth_meth_collectionsPrelude_nextAcceptableElement87->definitionLine = 201;
// method "hasNextAcceptableElement"
  block_savedest(obj51);
  Object closure104 = createclosure(1, "hasNextAcceptableElement");
  setclosureframe(closure104, stackframe);
  addtoclosure(closure104, var_predicate);
  struct UserObject *uo104 = (struct UserObject*)obj51;
  uo104->data[8] = (Object)closure104;
  Method *meth_meth_collectionsPrelude_hasNextAcceptableElement104 = addmethod2pos(obj51, "hasNextAcceptableElement", &meth_collectionsPrelude_hasNextAcceptableElement104, 8);
  int argcv_meth_collectionsPrelude_hasNextAcceptableElement104[] = {0};
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNextAcceptableElement104);
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->definitionLine = 210;
  sourceObject = obj51;
  adddatum2(obj51, undefined, 1);
  sourceObject = obj51;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool135 = alloc_Boolean(0);
// compiled identifier node returning bool135 (depth = 2)
  adddatum2(obj51, bool135, 2);
  sourceObject = obj51;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe136 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call137 = callmethodflags(*var_source, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe136);
// compiled member node returning call137 (depth = 2)
  adddatum2(obj51, call137, 3);
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  objclass51 = obj51->class;
  objclass51->definitionModule = modulename;
  objclass51->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter51;
  self = oldself51;
  selfslot = oldselfslot51;
  stackframe = oldstackframe51;
  gc_frame_end(frame);
  return obj51;
}
Object meth_collectionsPrelude_iterator50_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  Object *var_predicate = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject51 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj51 = alloc_userobj2(10,9, objclass51);
  gc_frame_newslot(obj51);
if (objclass51 == NULL) {
  glfree(obj51->class->name);
  obj51->class->name = "lazySequenceOver(_)filteredBy(_).iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj51, self, 0);
  addmethodreal(obj51,"outer", &reader_collectionsPrelude_outer_52);
  Object oldself51 = self;
  struct StackFrameObject *oldstackframe51 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe51);
  gc_frame_newslot((Object)stackframe);
  self = obj51;
  Object *oldselfslot51 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter51 = (*(struct UserObject *)self).data[0], lowerouter51 = thisouter51;
  if (inheritingObject51) {
    struct UserObject *inho51 = (struct UserObject *)inheritingObject51;
    while (inho51->super != GraceDefaultObject) inho51 = (struct UserObject *)inho51->super;
    inho51->super = obj51;
    self = inheritingObject51;
    *selfslot = self;
    lowerouter51 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter51;
  }
if (objclass51 == NULL) {
  Method *reader53 = addmethodrealflags(obj51, "cache", &reader_collectionsPrelude_cache_53, MFLAG_CONFIDENTIAL);
  Method *writer53 = addmethodrealflags(obj51, "cache:=(1)", &writer_collectionsPrelude_cache_53, MFLAG_CONFIDENTIAL);
  reader53->definitionModule = modulename;
  writer53->definitionModule = modulename;
  reader53->definitionLine = 187;
  writer53->definitionLine = 187;
}
obj51->flags |= OFLAG_MUTABLE;
adddatum2(obj51, alloc_Undefined(), 1);
if (objclass51 == NULL) {
  Method *reader54 = addmethodrealflags(obj51, "cacheLoaded", &reader_collectionsPrelude_cacheLoaded_54, MFLAG_CONFIDENTIAL);
  Method *writer54 = addmethodrealflags(obj51, "cacheLoaded:=(1)", &writer_collectionsPrelude_cacheLoaded_54, MFLAG_CONFIDENTIAL);
  reader54->definitionModule = modulename;
  writer54->definitionModule = modulename;
  reader54->definitionLine = 188;
  writer54->definitionLine = 188;
}
obj51->flags |= OFLAG_MUTABLE;
adddatum2(obj51, alloc_Undefined(), 2);
if (objclass51 == NULL) {
  Method *reader55 = addmethodrealflags(obj51, "sourceIterator",&reader_collectionsPrelude_sourceIterator_55, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader55->definitionModule = modulename;
  reader55->definitionLine = 189;
}
adddatum2(obj51, alloc_Undefined(), 3);
// method "asString"
  block_savedest(obj51);
  Object closure56 = createclosure(1, "asString");
  setclosureframe(closure56, stackframe);
  addtoclosure(closure56, var_source);
  struct UserObject *uo56 = (struct UserObject*)obj51;
  uo56->data[4] = (Object)closure56;
  Method *meth_meth_collectionsPrelude_asString56 = addmethod2pos(obj51, "asString", &meth_collectionsPrelude_asString56, 4);
  int argcv_meth_collectionsPrelude_asString56[] = {0};
  meth_meth_collectionsPrelude_asString56->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString56);
  meth_meth_collectionsPrelude_asString56->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString56->definitionLine = 190;
// method "hasNext"
  struct UserObject *uo65 = (struct UserObject*)obj51;
  uo65->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext65 = addmethod2pos(obj51, "hasNext", &meth_collectionsPrelude_hasNext65, 5);
  int argcv_meth_collectionsPrelude_hasNext65[] = {0};
  meth_meth_collectionsPrelude_hasNext65->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext65);
  meth_meth_collectionsPrelude_hasNext65->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext65->definitionLine = 191;
// method "next"
  struct UserObject *uo72 = (struct UserObject*)obj51;
  uo72->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next72 = addmethod2pos(obj51, "next", &meth_collectionsPrelude_next72, 6);
  int argcv_meth_collectionsPrelude_next72[] = {0};
  meth_meth_collectionsPrelude_next72->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next72);
  meth_meth_collectionsPrelude_next72->definitionModule = modulename;
  meth_meth_collectionsPrelude_next72->definitionLine = 196;
// method "nextAcceptableElement"
  block_savedest(obj51);
  Object closure87 = createclosure(1, "nextAcceptableElement");
  setclosureframe(closure87, stackframe);
  addtoclosure(closure87, var_predicate);
  struct UserObject *uo87 = (struct UserObject*)obj51;
  uo87->data[7] = (Object)closure87;
  Method *meth_meth_collectionsPrelude_nextAcceptableElement87 = addmethod2pos(obj51, "nextAcceptableElement", &meth_collectionsPrelude_nextAcceptableElement87, 7);
  int argcv_meth_collectionsPrelude_nextAcceptableElement87[] = {0};
  meth_meth_collectionsPrelude_nextAcceptableElement87->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_nextAcceptableElement87);
  meth_meth_collectionsPrelude_nextAcceptableElement87->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_nextAcceptableElement87->definitionModule = modulename;
  meth_meth_collectionsPrelude_nextAcceptableElement87->definitionLine = 201;
// method "hasNextAcceptableElement"
  block_savedest(obj51);
  Object closure104 = createclosure(1, "hasNextAcceptableElement");
  setclosureframe(closure104, stackframe);
  addtoclosure(closure104, var_predicate);
  struct UserObject *uo104 = (struct UserObject*)obj51;
  uo104->data[8] = (Object)closure104;
  Method *meth_meth_collectionsPrelude_hasNextAcceptableElement104 = addmethod2pos(obj51, "hasNextAcceptableElement", &meth_collectionsPrelude_hasNextAcceptableElement104, 8);
  int argcv_meth_collectionsPrelude_hasNextAcceptableElement104[] = {0};
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNextAcceptableElement104);
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNextAcceptableElement104->definitionLine = 210;
  sourceObject = obj51;
  adddatum2(obj51, undefined, 1);
  sourceObject = obj51;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool135 = alloc_Boolean(0);
// compiled identifier node returning bool135 (depth = 2)
  adddatum2(obj51, bool135, 2);
  sourceObject = obj51;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe136 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_source (depth = 3)
  Object call137 = callmethodflags(*var_source, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe136);
// compiled member node returning call137 (depth = 2)
  adddatum2(obj51, call137, 3);
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  sourceObject = obj51;
  objclass51 = obj51->class;
  objclass51->definitionModule = modulename;
  objclass51->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter51;
  self = oldself51;
  selfslot = oldselfslot51;
  stackframe = oldstackframe51;
  gc_frame_end(frame);
  return obj51;
}
Object meth_collectionsPrelude_asDebugString139(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_source = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit141 == NULL) {
    strlit141 = alloc_String("");
    gc_root(strlit141);
  }
// compiled string node returning strlit141 (depth = 3)
  int op_slot_right_140 = gc_frame_newslot(strlit141);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_source (depth = 4)
  int op_slot_right_143 = gc_frame_newslot(*var_source);
// starting to compile string node (depth = 4)
  if (strlit145 == NULL) {
    strlit145 = alloc_String("a lazy sequence filtering ");
    gc_root(strlit145);
  }
// compiled string node returning strlit145 (depth = 4)
  int op_slot_left_143 = gc_frame_newslot(strlit145);
  params[0] = *var_source;
  partcv[0] = 1;
  Object opresult146 = callmethod(strlit145, "++(1)", 1, partcv, params);
// compiled op node returning opresult146 (depth = 3)
  int op_slot_left_140 = gc_frame_newslot(opresult146);
  params[0] = strlit141;
  partcv[0] = 1;
  Object opresult147 = callmethod(opresult146, "++(1)", 1, partcv, params);
// compiled op node returning opresult147 (depth = 2)
  gc_frame_end(frame);
  return opresult147;
}
Object meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazySequenceOver(1)filteredBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lazySequenceOver(_)filteredBy(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lazySequenceOver(_)filteredBy(_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for lazySequenceOver(_)filteredBy(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_source = &(stackframe->slots[0]);
  *var_source = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lazySequenceOver(_)");
  Object *var_predicate = &(stackframe->slots[1]);
  *var_predicate = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part filteredBy(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 2 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject48 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj48 = alloc_userobj2(3,4, objclass48);
  gc_frame_newslot(obj48);
if (objclass48 == NULL) {
  glfree(obj48->class->name);
  obj48->class->name = "lazySequenceOver(_)filteredBy(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj48, self, 0);
  addmethodreal(obj48,"outer", &reader_collectionsPrelude_outer_49);
  Object oldself48 = self;
  struct StackFrameObject *oldstackframe48 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe48);
  gc_frame_newslot((Object)stackframe);
  self = obj48;
  Object *oldselfslot48 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter48 = (*(struct UserObject *)self).data[0], lowerouter48 = thisouter48;
  if (inheritingObject48) {
    struct UserObject *inho48 = (struct UserObject *)inheritingObject48;
    while (inho48->super != GraceDefaultObject) inho48 = (struct UserObject *)inho48->super;
    inho48->super = obj48;
    self = inheritingObject48;
    *selfslot = self;
    lowerouter48 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter48;
  }
// method "iterator"
  block_savedest(obj48);
  Object closure50 = createclosure(2, "iterator");
  setclosureframe(closure50, stackframe);
  addtoclosure(closure50, var_source);
  addtoclosure(closure50, var_predicate);
  struct UserObject *uo50 = (struct UserObject*)obj48;
  uo50->data[1] = (Object)closure50;
  Method *meth_meth_collectionsPrelude_iterator50 = addmethod2pos(obj48, "iterator", &meth_collectionsPrelude_iterator50, 1);
  int argcv_meth_collectionsPrelude_iterator50[] = {0};
  meth_meth_collectionsPrelude_iterator50->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator50);
  meth_meth_collectionsPrelude_iterator50->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator50->definitionLine = 186;
  block_savedest(obj48);
  Object closure138 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_source);
  addtoclosure(closure138, var_predicate);
  Method *meth_meth_collectionsPrelude_iterator50_object = addmethod2pos(obj48, "iterator$object(1)", &meth_collectionsPrelude_iterator50_object, 1);
  meth_meth_collectionsPrelude_iterator50_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator50_object->definitionLine = 186;
// method "asDebugString"
  block_savedest(obj48);
  Object closure139 = createclosure(1, "asDebugString");
  setclosureframe(closure139, stackframe);
  addtoclosure(closure139, var_source);
  struct UserObject *uo139 = (struct UserObject*)obj48;
  uo139->data[2] = (Object)closure139;
  Method *meth_meth_collectionsPrelude_asDebugString139 = addmethod2pos(obj48, "asDebugString", &meth_collectionsPrelude_asDebugString139, 2);
  int argcv_meth_collectionsPrelude_asDebugString139[] = {0};
  meth_meth_collectionsPrelude_asDebugString139->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString139);
  meth_meth_collectionsPrelude_asDebugString139->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString139->definitionLine = 225;
  sourceObject = obj48;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe148 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call149 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe148);
// compiled call node returning call149 (depth = 2)
  struct UserObject *obj48_uo = (struct UserObject *)obj48;
  obj48_uo->super = call149;
  sourceObject = obj48;
  sourceObject = obj48;
  objclass48 = obj48->class;
  objclass48->definitionModule = modulename;
  objclass48->definitionLine = 183;
  (*(struct UserObject *)self).data[0] = lowerouter48;
  self = oldself48;
  selfslot = oldselfslot48;
  stackframe = oldstackframe48;
  gc_frame_end(frame);
  return obj48;
}
Object meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazySequenceOver(1)filteredBy(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method lazySequenceOver(_)filteredBy(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method lazySequenceOver(_)filteredBy(_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for lazySequenceOver(_)filteredBy(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_source = &(stackframe->slots[0]);
  *var_source = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lazySequenceOver(_)");
  Object *var_predicate = &(stackframe->slots[1]);
  *var_predicate = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part filteredBy(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 2 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject48 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj48 = alloc_userobj2(3,4, objclass48);
  gc_frame_newslot(obj48);
if (objclass48 == NULL) {
  glfree(obj48->class->name);
  obj48->class->name = "lazySequenceOver(_)filteredBy(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj48, self, 0);
  addmethodreal(obj48,"outer", &reader_collectionsPrelude_outer_49);
  Object oldself48 = self;
  struct StackFrameObject *oldstackframe48 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe48);
  gc_frame_newslot((Object)stackframe);
  self = obj48;
  Object *oldselfslot48 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter48 = (*(struct UserObject *)self).data[0], lowerouter48 = thisouter48;
  if (inheritingObject48) {
    struct UserObject *inho48 = (struct UserObject *)inheritingObject48;
    while (inho48->super != GraceDefaultObject) inho48 = (struct UserObject *)inho48->super;
    inho48->super = obj48;
    self = inheritingObject48;
    *selfslot = self;
    lowerouter48 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter48;
  }
// method "iterator"
  block_savedest(obj48);
  Object closure50 = createclosure(2, "iterator");
  setclosureframe(closure50, stackframe);
  addtoclosure(closure50, var_source);
  addtoclosure(closure50, var_predicate);
  struct UserObject *uo50 = (struct UserObject*)obj48;
  uo50->data[1] = (Object)closure50;
  Method *meth_meth_collectionsPrelude_iterator50 = addmethod2pos(obj48, "iterator", &meth_collectionsPrelude_iterator50, 1);
  int argcv_meth_collectionsPrelude_iterator50[] = {0};
  meth_meth_collectionsPrelude_iterator50->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator50);
  meth_meth_collectionsPrelude_iterator50->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator50->definitionLine = 186;
  block_savedest(obj48);
  Object closure138 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_source);
  addtoclosure(closure138, var_predicate);
  Method *meth_meth_collectionsPrelude_iterator50_object = addmethod2pos(obj48, "iterator$object(1)", &meth_collectionsPrelude_iterator50_object, 1);
  meth_meth_collectionsPrelude_iterator50_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator50_object->definitionLine = 186;
// method "asDebugString"
  block_savedest(obj48);
  Object closure139 = createclosure(1, "asDebugString");
  setclosureframe(closure139, stackframe);
  addtoclosure(closure139, var_source);
  struct UserObject *uo139 = (struct UserObject*)obj48;
  uo139->data[2] = (Object)closure139;
  Method *meth_meth_collectionsPrelude_asDebugString139 = addmethod2pos(obj48, "asDebugString", &meth_collectionsPrelude_asDebugString139, 2);
  int argcv_meth_collectionsPrelude_asDebugString139[] = {0};
  meth_meth_collectionsPrelude_asDebugString139->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString139);
  meth_meth_collectionsPrelude_asDebugString139->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString139->definitionLine = 225;
  sourceObject = obj48;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe148 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call149 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe148);
// compiled call node returning call149 (depth = 2)
  struct UserObject *obj48_uo = (struct UserObject *)obj48;
  obj48_uo->super = call149;
  sourceObject = obj48;
  sourceObject = obj48;
  objclass48 = obj48->class;
  objclass48->definitionModule = modulename;
  objclass48->definitionLine = 183;
  (*(struct UserObject *)self).data[0] = lowerouter48;
  self = oldself48;
  selfslot = oldselfslot48;
  stackframe = oldstackframe48;
  gc_frame_end(frame);
  return obj48;
}
Object meth_collectionsPrelude_next154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_left = getfromclosure(closure, 0);
  Object *var_right = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe156 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_left (depth = 4)
  Object call157 = callmethodflags(*var_left, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe156);
// compiled member node returning call157 (depth = 3)
  Object if155 = done;
  if (istrue(call157)) {
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe158 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_left (depth = 4)
  Object call159 = callmethodflags(*var_left, "next", 0, partcv, params, 0);
  gc_frame_end(callframe158);
// compiled member node returning call159 (depth = 3)
    gc_frame_newslot(call159);
    if155 = call159;
  } else {
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe160 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  Object call161 = callmethodflags(*var_right, "next", 0, partcv, params, 0);
  gc_frame_end(callframe160);
// compiled member node returning call161 (depth = 3)
    gc_frame_newslot(call161);
    if155 = call161;
  }
// compiled if node returning if155 (depth = 2)
  gc_frame_end(frame);
  return if155;
}
Object meth_collectionsPrelude_hasNext162(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_left = getfromclosure(closure, 0);
  Object *var_right = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe164 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_left (depth = 4)
  Object call165 = callmethodflags(*var_left, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 3)
  Object if163 = done;
  if (istrue(call165)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool166 = alloc_Boolean(1);
// compiled identifier node returning bool166 (depth = 4)
  return bool166;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if163 = undefined;
  } else {
  }
// compiled if node returning if163 (depth = 2)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe167 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  Object call168 = callmethodflags(*var_right, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe167);
// compiled member node returning call168 (depth = 3)
  return call168;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asDebugString169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_right = getfromclosure(closure, 0);
  Object *var_left = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit171 == NULL) {
    strlit171 = alloc_String("");
    gc_root(strlit171);
  }
// compiled string node returning strlit171 (depth = 3)
  int op_slot_right_170 = gc_frame_newslot(strlit171);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  int op_slot_right_173 = gc_frame_newslot(*var_right);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit176 == NULL) {
    strlit176 = alloc_String(" and ");
    gc_root(strlit176);
  }
// compiled string node returning strlit176 (depth = 5)
  int op_slot_right_175 = gc_frame_newslot(strlit176);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_left (depth = 6)
  int op_slot_right_178 = gc_frame_newslot(*var_left);
// starting to compile string node (depth = 6)
  if (strlit180 == NULL) {
    strlit180 = alloc_String("iteratorConcat of ");
    gc_root(strlit180);
  }
// compiled string node returning strlit180 (depth = 6)
  int op_slot_left_178 = gc_frame_newslot(strlit180);
  params[0] = *var_left;
  partcv[0] = 1;
  Object opresult181 = callmethod(strlit180, "++(1)", 1, partcv, params);
// compiled op node returning opresult181 (depth = 5)
  int op_slot_left_175 = gc_frame_newslot(opresult181);
  params[0] = strlit176;
  partcv[0] = 1;
  Object opresult182 = callmethod(opresult181, "++(1)", 1, partcv, params);
// compiled op node returning opresult182 (depth = 4)
  int op_slot_left_173 = gc_frame_newslot(opresult182);
  params[0] = *var_right;
  partcv[0] = 1;
  Object opresult183 = callmethod(opresult182, "++(1)", 1, partcv, params);
// compiled op node returning opresult183 (depth = 3)
  int op_slot_left_170 = gc_frame_newslot(opresult183);
  params[0] = strlit171;
  partcv[0] = 1;
  Object opresult184 = callmethod(opresult183, "++(1)", 1, partcv, params);
// compiled op node returning opresult184 (depth = 2)
  gc_frame_end(frame);
  return opresult184;
}
Object meth_collectionsPrelude_asString185(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit186 == NULL) {
    strlit186 = alloc_String("an iterator over a concatenation");
    gc_root(strlit186);
  }
// compiled string node returning strlit186 (depth = 2)
  gc_frame_end(frame);
  return strlit186;
}
Object meth_collectionsPrelude_iteratorConcat_40_2_41_151(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iteratorConcat(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method iteratorConcat(_,_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for iteratorConcat(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_left = &(stackframe->slots[0]);
  *var_left = args[curarg];
  curarg++;
  Object *var_right = &(stackframe->slots[1]);
  *var_right = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part iteratorConcat(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject152 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj152 = alloc_userobj2(4,5, objclass152);
  gc_frame_newslot(obj152);
if (objclass152 == NULL) {
  glfree(obj152->class->name);
  obj152->class->name = "iteratorConcat(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj152, self, 0);
  addmethodreal(obj152,"outer", &reader_collectionsPrelude_outer_153);
  Object oldself152 = self;
  struct StackFrameObject *oldstackframe152 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe152);
  gc_frame_newslot((Object)stackframe);
  self = obj152;
  Object *oldselfslot152 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter152 = (*(struct UserObject *)self).data[0], lowerouter152 = thisouter152;
  if (inheritingObject152) {
    struct UserObject *inho152 = (struct UserObject *)inheritingObject152;
    while (inho152->super != GraceDefaultObject) inho152 = (struct UserObject *)inho152->super;
    inho152->super = obj152;
    self = inheritingObject152;
    *selfslot = self;
    lowerouter152 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter152;
  }
// method "next"
  block_savedest(obj152);
  Object closure154 = createclosure(2, "next");
  setclosureframe(closure154, stackframe);
  addtoclosure(closure154, var_left);
  addtoclosure(closure154, var_right);
  struct UserObject *uo154 = (struct UserObject*)obj152;
  uo154->data[1] = (Object)closure154;
  Method *meth_meth_collectionsPrelude_next154 = addmethod2pos(obj152, "next", &meth_collectionsPrelude_next154, 1);
  int argcv_meth_collectionsPrelude_next154[] = {0};
  meth_meth_collectionsPrelude_next154->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next154);
  meth_meth_collectionsPrelude_next154->definitionModule = modulename;
  meth_meth_collectionsPrelude_next154->definitionLine = 229;
// method "hasNext"
  block_savedest(obj152);
  Object closure162 = createclosure(2, "hasNext");
  setclosureframe(closure162, stackframe);
  addtoclosure(closure162, var_left);
  addtoclosure(closure162, var_right);
  struct UserObject *uo162 = (struct UserObject*)obj152;
  uo162->data[2] = (Object)closure162;
  Method *meth_meth_collectionsPrelude_hasNext162 = addmethod2pos(obj152, "hasNext", &meth_collectionsPrelude_hasNext162, 2);
  int argcv_meth_collectionsPrelude_hasNext162[] = {0};
  meth_meth_collectionsPrelude_hasNext162->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext162);
  meth_meth_collectionsPrelude_hasNext162->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext162->definitionLine = 236;
// method "asDebugString"
  block_savedest(obj152);
  Object closure169 = createclosure(2, "asDebugString");
  setclosureframe(closure169, stackframe);
  addtoclosure(closure169, var_right);
  addtoclosure(closure169, var_left);
  struct UserObject *uo169 = (struct UserObject*)obj152;
  uo169->data[3] = (Object)closure169;
  Method *meth_meth_collectionsPrelude_asDebugString169 = addmethod2pos(obj152, "asDebugString", &meth_collectionsPrelude_asDebugString169, 3);
  int argcv_meth_collectionsPrelude_asDebugString169[] = {0};
  meth_meth_collectionsPrelude_asDebugString169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString169);
  meth_meth_collectionsPrelude_asDebugString169->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString169->definitionLine = 240;
// method "asString"
  struct UserObject *uo185 = (struct UserObject*)obj152;
  uo185->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString185 = addmethod2pos(obj152, "asString", &meth_collectionsPrelude_asString185, 4);
  int argcv_meth_collectionsPrelude_asString185[] = {0};
  meth_meth_collectionsPrelude_asString185->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString185);
  meth_meth_collectionsPrelude_asString185->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString185->definitionLine = 241;
  sourceObject = obj152;
  sourceObject = obj152;
  sourceObject = obj152;
  sourceObject = obj152;
  objclass152 = obj152->class;
  objclass152->definitionModule = modulename;
  objclass152->definitionLine = 228;
  (*(struct UserObject *)self).data[0] = lowerouter152;
  self = oldself152;
  selfslot = oldselfslot152;
  stackframe = oldstackframe152;
  gc_frame_end(frame);
  return obj152;
}
Object meth_collectionsPrelude_iteratorConcat_40_2_41_151_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iteratorConcat(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method iteratorConcat(_,_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for iteratorConcat(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_left = &(stackframe->slots[0]);
  *var_left = args[curarg];
  curarg++;
  Object *var_right = &(stackframe->slots[1]);
  *var_right = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part iteratorConcat(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject152 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj152 = alloc_userobj2(4,5, objclass152);
  gc_frame_newslot(obj152);
if (objclass152 == NULL) {
  glfree(obj152->class->name);
  obj152->class->name = "iteratorConcat(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj152, self, 0);
  addmethodreal(obj152,"outer", &reader_collectionsPrelude_outer_153);
  Object oldself152 = self;
  struct StackFrameObject *oldstackframe152 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe152);
  gc_frame_newslot((Object)stackframe);
  self = obj152;
  Object *oldselfslot152 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter152 = (*(struct UserObject *)self).data[0], lowerouter152 = thisouter152;
  if (inheritingObject152) {
    struct UserObject *inho152 = (struct UserObject *)inheritingObject152;
    while (inho152->super != GraceDefaultObject) inho152 = (struct UserObject *)inho152->super;
    inho152->super = obj152;
    self = inheritingObject152;
    *selfslot = self;
    lowerouter152 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter152;
  }
// method "next"
  block_savedest(obj152);
  Object closure154 = createclosure(2, "next");
  setclosureframe(closure154, stackframe);
  addtoclosure(closure154, var_left);
  addtoclosure(closure154, var_right);
  struct UserObject *uo154 = (struct UserObject*)obj152;
  uo154->data[1] = (Object)closure154;
  Method *meth_meth_collectionsPrelude_next154 = addmethod2pos(obj152, "next", &meth_collectionsPrelude_next154, 1);
  int argcv_meth_collectionsPrelude_next154[] = {0};
  meth_meth_collectionsPrelude_next154->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next154);
  meth_meth_collectionsPrelude_next154->definitionModule = modulename;
  meth_meth_collectionsPrelude_next154->definitionLine = 229;
// method "hasNext"
  block_savedest(obj152);
  Object closure162 = createclosure(2, "hasNext");
  setclosureframe(closure162, stackframe);
  addtoclosure(closure162, var_left);
  addtoclosure(closure162, var_right);
  struct UserObject *uo162 = (struct UserObject*)obj152;
  uo162->data[2] = (Object)closure162;
  Method *meth_meth_collectionsPrelude_hasNext162 = addmethod2pos(obj152, "hasNext", &meth_collectionsPrelude_hasNext162, 2);
  int argcv_meth_collectionsPrelude_hasNext162[] = {0};
  meth_meth_collectionsPrelude_hasNext162->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext162);
  meth_meth_collectionsPrelude_hasNext162->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext162->definitionLine = 236;
// method "asDebugString"
  block_savedest(obj152);
  Object closure169 = createclosure(2, "asDebugString");
  setclosureframe(closure169, stackframe);
  addtoclosure(closure169, var_right);
  addtoclosure(closure169, var_left);
  struct UserObject *uo169 = (struct UserObject*)obj152;
  uo169->data[3] = (Object)closure169;
  Method *meth_meth_collectionsPrelude_asDebugString169 = addmethod2pos(obj152, "asDebugString", &meth_collectionsPrelude_asDebugString169, 3);
  int argcv_meth_collectionsPrelude_asDebugString169[] = {0};
  meth_meth_collectionsPrelude_asDebugString169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString169);
  meth_meth_collectionsPrelude_asDebugString169->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString169->definitionLine = 240;
// method "asString"
  struct UserObject *uo185 = (struct UserObject*)obj152;
  uo185->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString185 = addmethod2pos(obj152, "asString", &meth_collectionsPrelude_asString185, 4);
  int argcv_meth_collectionsPrelude_asString185[] = {0};
  meth_meth_collectionsPrelude_asString185->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString185);
  meth_meth_collectionsPrelude_asString185->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString185->definitionLine = 241;
  sourceObject = obj152;
  sourceObject = obj152;
  sourceObject = obj152;
  sourceObject = obj152;
  objclass152 = obj152->class;
  objclass152->definitionModule = modulename;
  objclass152->definitionLine = 228;
  (*(struct UserObject *)self).data[0] = lowerouter152;
  self = oldself152;
  selfslot = oldselfslot152;
  stackframe = oldstackframe152;
  gc_frame_end(frame);
  return obj152;
}
Object meth_collectionsPrelude_iterator191(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_left = getfromclosure(closure, 0);
  Object *var_right = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe192 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe193 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_left (depth = 4)
  Object call194 = callmethodflags(*var_left, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe193);
// compiled member node returning call194 (depth = 3)
  gc_frame_newslot(call194);
// starting to compile member node (depth = 3)
  int callframe195 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  Object call196 = callmethodflags(*var_right, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe195);
// compiled member node returning call196 (depth = 3)
  gc_frame_newslot(call196);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe197 = gc_frame_new();
// call case 3: self.outer request
  Object call198 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe197);
// compiled member node returning call198 (depth = 3)
  params[0] = call194;
  params[1] = call196;
  partcv[0] = 2;
  Object call199 = callmethodflags(call198, "iteratorConcat(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe192);
// compiled call node returning call199 (depth = 2)
  gc_frame_end(frame);
  return call199;
}
Object meth_collectionsPrelude_asDebugString200(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_right = getfromclosure(closure, 0);
  Object *var_left = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit202 == NULL) {
    strlit202 = alloc_String("");
    gc_root(strlit202);
  }
// compiled string node returning strlit202 (depth = 3)
  int op_slot_right_201 = gc_frame_newslot(strlit202);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  int op_slot_right_204 = gc_frame_newslot(*var_right);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit207 == NULL) {
    strlit207 = alloc_String(" and ");
    gc_root(strlit207);
  }
// compiled string node returning strlit207 (depth = 5)
  int op_slot_right_206 = gc_frame_newslot(strlit207);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_left (depth = 6)
  int op_slot_right_209 = gc_frame_newslot(*var_left);
// starting to compile string node (depth = 6)
  if (strlit211 == NULL) {
    strlit211 = alloc_String("lazy concatenation of ");
    gc_root(strlit211);
  }
// compiled string node returning strlit211 (depth = 6)
  int op_slot_left_209 = gc_frame_newslot(strlit211);
  params[0] = *var_left;
  partcv[0] = 1;
  Object opresult212 = callmethod(strlit211, "++(1)", 1, partcv, params);
// compiled op node returning opresult212 (depth = 5)
  int op_slot_left_206 = gc_frame_newslot(opresult212);
  params[0] = strlit207;
  partcv[0] = 1;
  Object opresult213 = callmethod(opresult212, "++(1)", 1, partcv, params);
// compiled op node returning opresult213 (depth = 4)
  int op_slot_left_204 = gc_frame_newslot(opresult213);
  params[0] = *var_right;
  partcv[0] = 1;
  Object opresult214 = callmethod(opresult213, "++(1)", 1, partcv, params);
// compiled op node returning opresult214 (depth = 3)
  int op_slot_left_201 = gc_frame_newslot(opresult214);
  params[0] = strlit202;
  partcv[0] = 1;
  Object opresult215 = callmethod(opresult214, "++(1)", 1, partcv, params);
// compiled op node returning opresult215 (depth = 2)
  gc_frame_end(frame);
  return opresult215;
}
Object meth_collectionsPrelude_size216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_right = getfromclosure(closure, 0);
  Object *var_left = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe218 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  Object call219 = callmethodflags(*var_right, "size", 0, partcv, params, 0);
  gc_frame_end(callframe218);
// compiled member node returning call219 (depth = 3)
  int op_slot_right_217 = gc_frame_newslot(call219);
// starting to compile member node (depth = 3)
  int callframe221 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_left (depth = 4)
  Object call222 = callmethodflags(*var_left, "size", 0, partcv, params, 0);
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 3)
  int op_slot_left_217 = gc_frame_newslot(call222);
  params[0] = call219;
  partcv[0] = 1;
  Object sum223 = callmethod(call222, "+(1)", 1, partcv, params);
// compiled op node returning sum223 (depth = 2)
  gc_frame_end(frame);
  return sum223;
}
Object meth_collectionsPrelude_lazyConcatenation_40_2_41_188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazyConcatenation(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method lazyConcatenation(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lazyConcatenation(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_left = &(stackframe->slots[0]);
  *var_left = args[curarg];
  curarg++;
  Object *var_right = &(stackframe->slots[1]);
  *var_right = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part lazyConcatenation(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(3,4, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "lazyConcatenation(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_collectionsPrelude_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
// method "iterator"
  block_savedest(obj189);
  Object closure191 = createclosure(2, "iterator");
  setclosureframe(closure191, stackframe);
  addtoclosure(closure191, var_left);
  addtoclosure(closure191, var_right);
  struct UserObject *uo191 = (struct UserObject*)obj189;
  uo191->data[1] = (Object)closure191;
  Method *meth_meth_collectionsPrelude_iterator191 = addmethod2pos(obj189, "iterator", &meth_collectionsPrelude_iterator191, 1);
  int argcv_meth_collectionsPrelude_iterator191[] = {0};
  meth_meth_collectionsPrelude_iterator191->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator191);
  meth_meth_collectionsPrelude_iterator191->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator191->definitionLine = 245;
// method "asDebugString"
  block_savedest(obj189);
  Object closure200 = createclosure(2, "asDebugString");
  setclosureframe(closure200, stackframe);
  addtoclosure(closure200, var_right);
  addtoclosure(closure200, var_left);
  struct UserObject *uo200 = (struct UserObject*)obj189;
  uo200->data[2] = (Object)closure200;
  Method *meth_meth_collectionsPrelude_asDebugString200 = addmethod2pos(obj189, "asDebugString", &meth_collectionsPrelude_asDebugString200, 2);
  int argcv_meth_collectionsPrelude_asDebugString200[] = {0};
  meth_meth_collectionsPrelude_asDebugString200->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString200);
  meth_meth_collectionsPrelude_asDebugString200->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString200->definitionLine = 248;
// method "size"
  block_savedest(obj189);
  Object closure216 = createclosure(2, "size");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_right);
  addtoclosure(closure216, var_left);
  struct UserObject *uo216 = (struct UserObject*)obj189;
  uo216->data[3] = (Object)closure216;
  Method *meth_meth_collectionsPrelude_size216 = addmethod2pos(obj189, "size", &meth_collectionsPrelude_size216, 3);
  int argcv_meth_collectionsPrelude_size216[] = {0};
  meth_meth_collectionsPrelude_size216->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size216);
  meth_meth_collectionsPrelude_size216->definitionModule = modulename;
  meth_meth_collectionsPrelude_size216->definitionLine = 249;
  sourceObject = obj189;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe224 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call225 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe224);
// compiled call node returning call225 (depth = 2)
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call225;
  sourceObject = obj189;
  sourceObject = obj189;
  sourceObject = obj189;
  objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 243;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_collectionsPrelude_lazyConcatenation_40_2_41_188_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lazyConcatenation(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method lazyConcatenation(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lazyConcatenation(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_left = &(stackframe->slots[0]);
  *var_left = args[curarg];
  curarg++;
  Object *var_right = &(stackframe->slots[1]);
  *var_right = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part lazyConcatenation(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[3]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(3,4, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "lazyConcatenation(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_collectionsPrelude_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
// method "iterator"
  block_savedest(obj189);
  Object closure191 = createclosure(2, "iterator");
  setclosureframe(closure191, stackframe);
  addtoclosure(closure191, var_left);
  addtoclosure(closure191, var_right);
  struct UserObject *uo191 = (struct UserObject*)obj189;
  uo191->data[1] = (Object)closure191;
  Method *meth_meth_collectionsPrelude_iterator191 = addmethod2pos(obj189, "iterator", &meth_collectionsPrelude_iterator191, 1);
  int argcv_meth_collectionsPrelude_iterator191[] = {0};
  meth_meth_collectionsPrelude_iterator191->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator191);
  meth_meth_collectionsPrelude_iterator191->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator191->definitionLine = 245;
// method "asDebugString"
  block_savedest(obj189);
  Object closure200 = createclosure(2, "asDebugString");
  setclosureframe(closure200, stackframe);
  addtoclosure(closure200, var_right);
  addtoclosure(closure200, var_left);
  struct UserObject *uo200 = (struct UserObject*)obj189;
  uo200->data[2] = (Object)closure200;
  Method *meth_meth_collectionsPrelude_asDebugString200 = addmethod2pos(obj189, "asDebugString", &meth_collectionsPrelude_asDebugString200, 2);
  int argcv_meth_collectionsPrelude_asDebugString200[] = {0};
  meth_meth_collectionsPrelude_asDebugString200->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString200);
  meth_meth_collectionsPrelude_asDebugString200->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString200->definitionLine = 248;
// method "size"
  block_savedest(obj189);
  Object closure216 = createclosure(2, "size");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_right);
  addtoclosure(closure216, var_left);
  struct UserObject *uo216 = (struct UserObject*)obj189;
  uo216->data[3] = (Object)closure216;
  Method *meth_meth_collectionsPrelude_size216 = addmethod2pos(obj189, "size", &meth_collectionsPrelude_size216, 3);
  int argcv_meth_collectionsPrelude_size216[] = {0};
  meth_meth_collectionsPrelude_size216->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size216);
  meth_meth_collectionsPrelude_size216->definitionModule = modulename;
  meth_meth_collectionsPrelude_size216->definitionLine = 249;
  sourceObject = obj189;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe224 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call225 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe224);
// compiled call node returning call225 (depth = 2)
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call225;
  sourceObject = obj189;
  sourceObject = obj189;
  sourceObject = obj189;
  objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 243;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_collectionsPrelude_max_40_2_41_227(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "max(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method max(_,_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for max(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part max(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  int op_slot_right_229 = gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  int op_slot_left_229 = gc_frame_newslot(*var_a);
  params[0] = *var_b;
  partcv[0] = 1;
  Object opresult231 = callmethod(*var_a, ">(1)", 1, partcv, params);
// compiled op node returning opresult231 (depth = 3)
  Object if228 = done;
  if (istrue(opresult231)) {
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
    gc_frame_newslot(*var_a);
    if228 = *var_a;
  } else {
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
    gc_frame_newslot(*var_b);
    if228 = *var_b;
  }
// compiled if node returning if228 (depth = 2)
  gc_frame_end(frame);
  return if228;
}
Object meth_collectionsPrelude_asString235(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit236 == NULL) {
    strlit236 = alloc_String("a sequence factory");
    gc_root(strlit236);
  }
// compiled string node returning strlit236 (depth = 2)
  gc_frame_end(frame);
  return strlit236;
}
Object meth_collectionsPrelude_empty237(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_emptySequence (depth = 2)
  gc_frame_end(frame);
  return *var_emptySequence;
}
Object meth_collectionsPrelude__apply242(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sizeCertain = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool243 = alloc_Boolean(0);
// compiled identifier node returning bool243 (depth = 6)
  *var_sizeCertain = bool243;
  if (bool243 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num245 = alloc_Float64(8);
// compiled num node returning num245 (depth = 5)
  gc_frame_end(frame);
  return num245;
}
Object meth_collectionsPrelude__apply_40_1_41_258(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_inner = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe259 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elt (depth = 6)
  gc_frame_newslot(*var_elt);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inner (depth = 6)
  params[0] = *var_ix;
  params[1] = *var_elt;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call260 = callmethodflags(*var_inner, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe259);
// compiled call node returning call260 (depth = 5)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num262 = alloc_Float64(1);
// compiled num node returning num262 (depth = 7)
  int op_slot_right_261 = gc_frame_newslot(num262);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_261 = gc_frame_newslot(*var_ix);
  params[0] = num262;
  partcv[0] = 1;
  Object sum264 = callmethod(*var_ix, "+(1)", 1, partcv, params);
// compiled op node returning sum264 (depth = 6)
  *var_ix = sum264;
  if (sum264 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply_40_1_41_293(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_inner = getfromclosure(closure, 0);
  Object *var_newInner = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe294 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// starting to compile call node (depth = 9)
  int callframe295 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_inner (depth = 10)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call296 = callmethodflags(*var_inner, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe295);
// compiled call node returning call296 (depth = 9)
  gc_frame_newslot(call296);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newInner (depth = 9)
  params[0] = *var_i;
  params[1] = call296;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call297 = callmethodflags(*var_newInner, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe294);
// compiled call node returning call297 (depth = 8)
  gc_frame_end(frame);
  return call297;
}
Object meth_collectionsPrelude__apply_40_1_41_270(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_innerSize = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_inner = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newInner = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newInner");
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_right_272 = gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_innerSize (depth = 7)
  int op_slot_left_272 = gc_frame_newslot(*var_innerSize);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult274 = callmethod(*var_innerSize, "≤(1)", 1, partcv, params);
// compiled op node returning opresult274 (depth = 6)
  Object if271 = done;
  if (istrue(opresult274)) {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe275 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num277 = alloc_Float64(2);
// compiled num node returning num277 (depth = 9)
  int op_slot_right_276 = gc_frame_newslot(num277);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_innerSize (depth = 9)
  int op_slot_left_276 = gc_frame_newslot(*var_innerSize);
  params[0] = num277;
  partcv[0] = 1;
  Object prod279 = callmethod(*var_innerSize, "*(1)", 1, partcv, params);
// compiled op node returning prod279 (depth = 8)
  gc_frame_newslot(prod279);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe280 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var__prelude (depth = 9)
  Object call281 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe280);
// compiled member node returning call281 (depth = 8)
  params[0] = prod279;
  partcv[0] = 1;
  Object call282 = callmethodflags(call281, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe275);
// compiled call node returning call282 (depth = 7)
  *var_newInner = call282;
  if (call282 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe283 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num286 = alloc_Float64(1);
// compiled num node returning num286 (depth = 9)
  int op_slot_right_285 = gc_frame_newslot(num286);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_innerSize (depth = 9)
  int op_slot_left_285 = gc_frame_newslot(*var_innerSize);
  params[0] = num286;
  partcv[0] = 1;
  Object diff288 = callmethod(*var_innerSize, "-(1)", 1, partcv, params);
// compiled op node returning diff288 (depth = 8)
  int op_slot_right_284 = gc_frame_newslot(diff288);
// starting to compile num node (depth = 8)
  Object num290 = alloc_Float64(0);
// compiled num node returning num290 (depth = 8)
  int op_slot_left_284 = gc_frame_newslot(num290);
  params[0] = diff288;
  partcv[0] = 1;
  Object opresult291 = callmethod(num290, "..(1)", 1, partcv, params);
// compiled op node returning opresult291 (depth = 7)
  gc_frame_newslot(opresult291);
// starting to compile block node (depth = 7)
  Object block292 = alloc_Block(NULL, NULL, "collectionsPrelude", 494);
  gc_frame_newslot(block292);
// method "_apply(_)"
  block_savedest(block292);
  Object closure293 = createclosure(3, "_apply(1)");
  setclosureframe(closure293, stackframe);
  addtoclosure(closure293, var_inner);
  addtoclosure(closure293, var_newInner);
  addtoclosure(closure293, selfslot);
  struct UserObject *uo293 = (struct UserObject*)block292;
  uo293->data[0] = (Object)closure293;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_293 = addmethod2pos(block292, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_293, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_293[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_293->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_293);
  meth_meth_collectionsPrelude__apply_40_1_41_293->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_293->definitionLine = 1990;
// compiled block node returning block292 (depth = 7)
  gc_frame_newslot(block292);
// call case 5: prelude request
  params[0] = opresult291;
  params[1] = block292;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call299 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe283);
// compiled call node returning call299 (depth = 6)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newInner (depth = 7)
  *var_inner = *var_newInner;
  if (*var_newInner == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe301 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inner (depth = 8)
  Object call302 = callmethodflags(*var_inner, "size", 0, partcv, params, 0);
  gc_frame_end(callframe301);
// compiled member node returning call302 (depth = 7)
  *var_innerSize = call302;
  if (call302 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if271 = done;
  } else {
  }
// compiled if node returning if271 (depth = 5)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe304 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elt (depth = 6)
  gc_frame_newslot(*var_elt);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inner (depth = 6)
  params[0] = *var_ix;
  params[1] = *var_elt;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call305 = callmethodflags(*var_inner, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe304);
// compiled call node returning call305 (depth = 5)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num307 = alloc_Float64(1);
// compiled num node returning num307 (depth = 7)
  int op_slot_right_306 = gc_frame_newslot(num307);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_306 = gc_frame_newslot(*var_ix);
  params[0] = num307;
  partcv[0] = 1;
  Object sum309 = callmethod(*var_ix, "+(1)", 1, partcv, params);
// compiled op node returning sum309 (depth = 6)
  *var_ix = sum309;
  if (sum309 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_withAll_40_1_41_238(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withAll(_)");
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_emptySequence = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sizeCertain = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sizeCertain");
  Object *var_forecastSize = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "forecastSize");
  Object *var_inner = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "inner");
  Object *var_innerSize = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "innerSize");
  Object *var_ix = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "ix");
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool239 = alloc_Boolean(1);
// compiled identifier node returning bool239 (depth = 3)
  *var_sizeCertain = bool239;
  if (bool239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe240 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block241 = alloc_Block(NULL, NULL, "collectionsPrelude", 476);
  gc_frame_newslot(block241);
// method "_apply"
  block_savedest(block241);
  Object closure242 = createclosure(2, "_apply");
  setclosureframe(closure242, stackframe);
  addtoclosure(closure242, var_sizeCertain);
  addtoclosure(closure242, selfslot);
  struct UserObject *uo242 = (struct UserObject*)block241;
  uo242->data[0] = (Object)closure242;
  Method *meth_meth_collectionsPrelude__apply242 = addmethod2pos(block241, "_apply", &meth_collectionsPrelude__apply242, 0);
  int argcv_meth_collectionsPrelude__apply242[] = {0};
  meth_meth_collectionsPrelude__apply242->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply242);
  meth_meth_collectionsPrelude__apply242->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply242->definitionLine = 1990;
// compiled block node returning block241 (depth = 4)
  gc_frame_newslot(block241);
// call case 6: other requests
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_arg (depth = 4)
  params[0] = block241;
  partcv[0] = 1;
  Object call247 = callmethodflags(*var_arg, "sizeIfUnknown(1)", 1, partcv, params, 0);
  gc_frame_end(callframe240);
// compiled call node returning call247 (depth = 3)
  *var_forecastSize = call247;
  if (call247 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe248 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_forecastSize (depth = 4)
  gc_frame_newslot(*var_forecastSize);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe249 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call250 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 4)
  params[0] = *var_forecastSize;
  partcv[0] = 1;
  Object call251 = callmethodflags(call250, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe248);
// compiled call node returning call251 (depth = 3)
  *var_inner = call251;
  if (call251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe252 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_inner (depth = 4)
  Object call253 = callmethodflags(*var_inner, "size", 0, partcv, params, 0);
  gc_frame_end(callframe252);
// compiled member node returning call253 (depth = 3)
  *var_innerSize = call253;
  if (call253 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num254 = alloc_Float64(0);
// compiled num node returning num254 (depth = 3)
  *var_ix = num254;
  if (num254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sizeCertain (depth = 3)
  Object if255 = done;
  if (istrue(*var_sizeCertain)) {
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe256 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_arg (depth = 4)
  gc_frame_newslot(*var_arg);
// starting to compile block node (depth = 4)
  Object block257 = alloc_Block(NULL, NULL, "collectionsPrelude", 485);
  gc_frame_newslot(block257);
// method "_apply(_)"
  block_savedest(block257);
  Object closure258 = createclosure(3, "_apply(1)");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_ix);
  addtoclosure(closure258, var_inner);
  addtoclosure(closure258, selfslot);
  struct UserObject *uo258 = (struct UserObject*)block257;
  uo258->data[0] = (Object)closure258;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_258 = addmethod2pos(block257, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_258, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_258[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_258->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_258);
  meth_meth_collectionsPrelude__apply_40_1_41_258->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_258->definitionLine = 1990;
// compiled block node returning block257 (depth = 4)
  gc_frame_newslot(block257);
// call case 5: prelude request
  params[0] = *var_arg;
  params[1] = block257;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call267 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe256);
// compiled call node returning call267 (depth = 3)
    gc_frame_newslot(call267);
    if255 = call267;
  } else {
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe268 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_arg (depth = 4)
  gc_frame_newslot(*var_arg);
// starting to compile block node (depth = 4)
  Object block269 = alloc_Block(NULL, NULL, "collectionsPrelude", 491);
  gc_frame_newslot(block269);
// method "_apply(_)"
  block_savedest(block269);
  Object closure270 = createclosure(5, "_apply(1)");
  setclosureframe(closure270, stackframe);
  addtoclosure(closure270, var_ix);
  addtoclosure(closure270, var_innerSize);
  addtoclosure(closure270, var__prelude);
  addtoclosure(closure270, var_inner);
  addtoclosure(closure270, selfslot);
  struct UserObject *uo270 = (struct UserObject*)block269;
  uo270->data[0] = (Object)closure270;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_270 = addmethod2pos(block269, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_270, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_270[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_270->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_270);
  meth_meth_collectionsPrelude__apply_40_1_41_270->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_270->definitionLine = 1990;
// compiled block node returning block269 (depth = 4)
  gc_frame_newslot(block269);
// call case 5: prelude request
  params[0] = *var_arg;
  params[1] = block269;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call312 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe268);
// compiled call node returning call312 (depth = 3)
    gc_frame_newslot(call312);
    if255 = call312;
  }
// compiled if node returning if255 (depth = 2)
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num315 = alloc_Float64(0);
// compiled num node returning num315 (depth = 4)
  int op_slot_right_314 = gc_frame_newslot(num315);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ix (depth = 4)
  int op_slot_left_314 = gc_frame_newslot(*var_ix);
  params[0] = num315;
  partcv[0] = 1;
  Object opresult317 = callmethod(*var_ix, "==(1)", 1, partcv, params);
// compiled op node returning opresult317 (depth = 3)
  Object if313 = done;
  if (istrue(opresult317)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_emptySequence (depth = 4)
  return *var_emptySequence;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if313 = undefined;
  } else {
  }
// compiled if node returning if313 (depth = 2)
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe318 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inner (depth = 3)
  gc_frame_newslot(*var_inner);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ix (depth = 3)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_inner;
  params[1] = *var_ix;
  partcv[0] = 2;
  Object call319 = callmethodflags(self, "fromprimitiveArray(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe318);
// compiled call node returning call319 (depth = 2)
  gc_frame_end(frame);
  return call319;
}
Object meth_collectionsPrelude_boundsCheck_40_1_41_325(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "boundsCheck(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method boundsCheck(_)");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for boundsCheck(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part boundsCheck(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe328 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe330 = gc_frame_new();
// call case 4: self request
  Object call331 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe330);
// compiled member node returning call331 (depth = 6)
  int op_slot_right_329 = gc_frame_newslot(call331);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_329 = gc_frame_newslot(*var_n);
  params[0] = call331;
  partcv[0] = 1;
  Object opresult333 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult333 (depth = 5)
  partcv[0] = 0;
  Object call334 = callmethodflags(opresult333, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe328);
// compiled call node returning call334 (depth = 4)
  int op_slot_right_327 = gc_frame_newslot(call334);
// starting to compile call node (depth = 4)
  int callframe336 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num338 = alloc_Float64(1);
// compiled num node returning num338 (depth = 6)
  int op_slot_right_337 = gc_frame_newslot(num338);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_337 = gc_frame_newslot(*var_n);
  params[0] = num338;
  partcv[0] = 1;
  Object opresult340 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult340 (depth = 5)
  partcv[0] = 0;
  Object call341 = callmethodflags(opresult340, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe336);
// compiled call node returning call341 (depth = 4)
  int op_slot_left_327 = gc_frame_newslot(call341);
  params[0] = call334;
  partcv[0] = 1;
  Object opresult342 = callmethod(call341, "||(1)", 1, partcv, params);
// compiled op node returning opresult342 (depth = 3)
  Object if326 = done;
  if (istrue(opresult342)) {
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe343 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit345 == NULL) {
    strlit345 = alloc_String("");
    gc_root(strlit345);
  }
// compiled string node returning strlit345 (depth = 5)
  int op_slot_right_344 = gc_frame_newslot(strlit345);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe348 = gc_frame_new();
// call case 4: self request
  Object call349 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe348);
// compiled member node returning call349 (depth = 6)
  int op_slot_right_347 = gc_frame_newslot(call349);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit352 == NULL) {
    strlit352 = alloc_String(" out of bounds 1..");
    gc_root(strlit352);
  }
// compiled string node returning strlit352 (depth = 7)
  int op_slot_right_351 = gc_frame_newslot(strlit352);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_354 = gc_frame_newslot(*var_n);
// starting to compile string node (depth = 8)
  if (strlit356 == NULL) {
    strlit356 = alloc_String("index ");
    gc_root(strlit356);
  }
// compiled string node returning strlit356 (depth = 8)
  int op_slot_left_354 = gc_frame_newslot(strlit356);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult357 = callmethod(strlit356, "++(1)", 1, partcv, params);
// compiled op node returning opresult357 (depth = 7)
  int op_slot_left_351 = gc_frame_newslot(opresult357);
  params[0] = strlit352;
  partcv[0] = 1;
  Object opresult358 = callmethod(opresult357, "++(1)", 1, partcv, params);
// compiled op node returning opresult358 (depth = 6)
  int op_slot_left_347 = gc_frame_newslot(opresult358);
  params[0] = call349;
  partcv[0] = 1;
  Object opresult359 = callmethod(opresult358, "++(1)", 1, partcv, params);
// compiled op node returning opresult359 (depth = 5)
  int op_slot_left_344 = gc_frame_newslot(opresult359);
  params[0] = strlit345;
  partcv[0] = 1;
  Object opresult360 = callmethod(opresult359, "++(1)", 1, partcv, params);
// compiled op node returning opresult360 (depth = 4)
  gc_frame_newslot(opresult360);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult360;
  partcv[0] = 1;
  Object call361 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe343);
// compiled call node returning call361 (depth = 3)
    gc_frame_newslot(call361);
    if326 = call361;
  } else {
  }
// compiled if node returning if326 (depth = 2)
  gc_frame_end(frame);
  return if326;
}
Object meth_collectionsPrelude_at_40_1_41_362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe363 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call364 = callmethodflags(self, "boundsCheck(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe363);
// compiled call node returning call364 (depth = 2)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe365 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num367 = alloc_Float64(1);
// compiled num node returning num367 (depth = 4)
  int op_slot_right_366 = gc_frame_newslot(num367);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_366 = gc_frame_newslot(*var_n);
  params[0] = num367;
  partcv[0] = 1;
  Object diff369 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff369 (depth = 3)
  gc_frame_newslot(diff369);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe370 = gc_frame_new();
// call case 4: self request
  Object call371 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe370);
// compiled member node returning call371 (depth = 3)
  params[0] = diff369;
  partcv[0] = 1;
  Object call372 = callmethodflags(call371, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe365);
// compiled call node returning call372 (depth = 2)
  gc_frame_end(frame);
  return call372;
}
Object meth_collectionsPrelude_keys373(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe374 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num375 = alloc_Float64(1);
// compiled num node returning num375 (depth = 3)
  gc_frame_newslot(num375);
// starting to compile member node (depth = 3)
  int callframe376 = gc_frame_new();
// call case 4: self request
  Object call377 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe376);
// compiled member node returning call377 (depth = 3)
  gc_frame_newslot(call377);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe378 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe379 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe380 = gc_frame_new();
// call case 3: self.outer request
  Object call381 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe380);
// compiled member node returning call381 (depth = 5)
  Object call382 = callmethodflags(call381, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe379);
// compiled member node returning call382 (depth = 4)
  Object call383 = callmethodflags(call382, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe378);
// compiled member node returning call383 (depth = 3)
  params[0] = num375;
  params[1] = call377;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call384 = callmethodflags(call383, "from(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe374);
// compiled call node returning call384 (depth = 2)
  gc_frame_end(frame);
  return call384;
}
Object meth_collectionsPrelude_values385(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply390(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe392 = gc_frame_new();
// call case 4: self request
  Object call393 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe392);
// compiled member node returning call393 (depth = 5)
  int op_slot_right_391 = gc_frame_newslot(call393);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_391 = gc_frame_newslot(*var_i);
  params[0] = call393;
  partcv[0] = 1;
  Object opresult395 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult395 (depth = 4)
  gc_frame_end(frame);
  return opresult395;
}
Object meth_collectionsPrelude__apply398(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block2 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe399 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num401 = alloc_Float64(1);
// compiled num node returning num401 (depth = 6)
  int op_slot_right_400 = gc_frame_newslot(num401);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_400 = gc_frame_newslot(*var_i);
  params[0] = num401;
  partcv[0] = 1;
  Object sum403 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum403 (depth = 5)
  gc_frame_newslot(sum403);
// starting to compile call node (depth = 5)
  int callframe404 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe405 = gc_frame_new();
// call case 4: self request
  Object call406 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe405);
// compiled member node returning call406 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call407 = callmethodflags(call406, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe404);
// compiled call node returning call407 (depth = 5)
  gc_frame_newslot(call407);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = sum403;
  params[1] = call407;
  partcv[0] = 2;
  Object call408 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe399);
// compiled call node returning call408 (depth = 4)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num410 = alloc_Float64(1);
// compiled num node returning num410 (depth = 6)
  int op_slot_right_409 = gc_frame_newslot(num410);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_409 = gc_frame_newslot(*var_i);
  params[0] = num410;
  partcv[0] = 1;
  Object sum412 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum412 (depth = 5)
  *var_i = sum412;
  if (sum412 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num387 = alloc_Float64(0);
// compiled num node returning num387 (depth = 3)
  *var_i = num387;
  if (num387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe388 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block389 = alloc_Block(NULL, NULL, "collectionsPrelude", 534);
  gc_frame_newslot(block389);
// method "_apply"
  block_savedest(block389);
  Object closure390 = createclosure(2, "_apply");
  setclosureframe(closure390, stackframe);
  addtoclosure(closure390, var_i);
  addtoclosure(closure390, selfslot);
  struct UserObject *uo390 = (struct UserObject*)block389;
  uo390->data[0] = (Object)closure390;
  Method *meth_meth_collectionsPrelude__apply390 = addmethod2pos(block389, "_apply", &meth_collectionsPrelude__apply390, 0);
  int argcv_meth_collectionsPrelude__apply390[] = {0};
  meth_meth_collectionsPrelude__apply390->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply390);
  meth_meth_collectionsPrelude__apply390->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply390->definitionLine = 1990;
// compiled block node returning block389 (depth = 3)
  gc_frame_newslot(block389);
// starting to compile block node (depth = 3)
  Object block397 = alloc_Block(NULL, NULL, "collectionsPrelude", 534);
  gc_frame_newslot(block397);
// method "_apply"
  block_savedest(block397);
  Object closure398 = createclosure(3, "_apply");
  setclosureframe(closure398, stackframe);
  addtoclosure(closure398, var_i);
  addtoclosure(closure398, var_block2);
  addtoclosure(closure398, selfslot);
  struct UserObject *uo398 = (struct UserObject*)block397;
  uo398->data[0] = (Object)closure398;
  Method *meth_meth_collectionsPrelude__apply398 = addmethod2pos(block397, "_apply", &meth_collectionsPrelude__apply398, 0);
  int argcv_meth_collectionsPrelude__apply398[] = {0};
  meth_meth_collectionsPrelude__apply398->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply398);
  meth_meth_collectionsPrelude__apply398->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply398->definitionLine = 1990;
// compiled block node returning block397 (depth = 3)
  gc_frame_newslot(block397);
// call case 5: prelude request
  params[0] = block389;
  params[1] = block397;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call415 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe388);
// compiled call node returning call415 (depth = 2)
  gc_frame_end(frame);
  return call415;
}
Object meth_collectionsPrelude__apply_40_1_41_431(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_freshArray = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe432 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_freshArray (depth = 5)
  params[0] = *var_ix;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call433 = callmethodflags(*var_freshArray, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe432);
// compiled call node returning call433 (depth = 4)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num435 = alloc_Float64(1);
// compiled num node returning num435 (depth = 6)
  int op_slot_right_434 = gc_frame_newslot(num435);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_434 = gc_frame_newslot(*var_ix);
  params[0] = num435;
  partcv[0] = 1;
  Object diff437 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff437 (depth = 5)
  *var_ix = diff437;
  if (diff437 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_reversed416(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_freshArray = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "freshArray");
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe417 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe418 = gc_frame_new();
// call case 4: self request
  Object call419 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe418);
// compiled member node returning call419 (depth = 4)
  gc_frame_newslot(call419);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call421 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe420);
// compiled member node returning call421 (depth = 4)
  params[0] = call419;
  partcv[0] = 1;
  Object call422 = callmethodflags(call421, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe417);
// compiled call node returning call422 (depth = 3)
  *var_freshArray = call422;
  if (call422 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num424 = alloc_Float64(1);
// compiled num node returning num424 (depth = 4)
  int op_slot_right_423 = gc_frame_newslot(num424);
// starting to compile member node (depth = 4)
  int callframe426 = gc_frame_new();
// call case 4: self request
  Object call427 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe426);
// compiled member node returning call427 (depth = 4)
  int op_slot_left_423 = gc_frame_newslot(call427);
  params[0] = num424;
  partcv[0] = 1;
  Object diff428 = callmethod(call427, "-(1)", 1, partcv, params);
// compiled op node returning diff428 (depth = 3)
  *var_ix = diff428;
  if (diff428 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe429 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block430 = alloc_Block(NULL, NULL, "collectionsPrelude", 542);
  gc_frame_newslot(block430);
// method "_apply(_)"
  block_savedest(block430);
  Object closure431 = createclosure(3, "_apply(1)");
  setclosureframe(closure431, stackframe);
  addtoclosure(closure431, var_ix);
  addtoclosure(closure431, var_freshArray);
  addtoclosure(closure431, selfslot);
  struct UserObject *uo431 = (struct UserObject*)block430;
  uo431->data[0] = (Object)closure431;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_431 = addmethod2pos(block430, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_431, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_431[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_431->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_431);
  meth_meth_collectionsPrelude__apply_40_1_41_431->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_431->definitionLine = 1990;
// compiled block node returning block430 (depth = 3)
  gc_frame_newslot(block430);
// call case 4: self request
  params[0] = block430;
  partcv[0] = 1;
  Object call440 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe429);
// compiled call node returning call440 (depth = 2)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe441 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_freshArray (depth = 3)
  gc_frame_newslot(*var_freshArray);
// starting to compile member node (depth = 3)
  int callframe442 = gc_frame_new();
// call case 4: self request
  Object call443 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe442);
// compiled member node returning call443 (depth = 3)
  gc_frame_newslot(call443);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe444 = gc_frame_new();
// call case 3: self.outer request
  Object call445 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe444);
// compiled member node returning call445 (depth = 3)
  params[0] = *var_freshArray;
  params[1] = call443;
  partcv[0] = 2;
  Object call446 = callmethodflags(call445, "fromprimitiveArray(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe441);
// compiled call node returning call446 (depth = 2)
  gc_frame_end(frame);
  return call446;
}
Object meth_collectionsPrelude__43__43__40_1_41_447(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe448 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe449 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe450 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe451 = gc_frame_new();
// call case 3: self.outer request
  Object call452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe451);
// compiled member node returning call452 (depth = 5)
  Object call453 = callmethodflags(call452, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe450);
// compiled member node returning call453 (depth = 4)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call454 = callmethodflags(call453, "lazyConcatenation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe449);
// compiled call node returning call454 (depth = 3)
  gc_frame_newslot(call454);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe455 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe456 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe457 = gc_frame_new();
// call case 3: self.outer request
  Object call458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 5)
  Object call459 = callmethodflags(call458, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe456);
// compiled member node returning call459 (depth = 4)
  Object call460 = callmethodflags(call459, "sequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe455);
// compiled member node returning call460 (depth = 3)
  params[0] = call454;
  partcv[0] = 1;
  Object call461 = callmethodflags(call460, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe448);
// compiled call node returning call461 (depth = 2)
  gc_frame_end(frame);
  return call461;
}
Object meth_collectionsPrelude__apply_40_1_41_476(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe478 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe479 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe480 = gc_frame_new();
// call case 4: self request
  Object call481 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe480);
// compiled member node returning call481 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call482 = callmethodflags(call481, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe479);
// compiled call node returning call482 (depth = 7)
  Object call483 = callmethodflags(call482, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe478);
// compiled member node returning call483 (depth = 6)
  int op_slot_right_477 = gc_frame_newslot(call483);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_477 = gc_frame_newslot(*var_s);
  params[0] = call483;
  partcv[0] = 1;
  Object opresult485 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult485 (depth = 5)
  *var_s = opresult485;
  if (opresult485 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num490 = alloc_Float64(1);
// compiled num node returning num490 (depth = 7)
  int op_slot_right_489 = gc_frame_newslot(num490);
// starting to compile member node (depth = 7)
  int callframe492 = gc_frame_new();
// call case 4: self request
  Object call493 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe492);
// compiled member node returning call493 (depth = 7)
  int op_slot_left_489 = gc_frame_newslot(call493);
  params[0] = num490;
  partcv[0] = 1;
  Object diff494 = callmethod(call493, "-(1)", 1, partcv, params);
// compiled op node returning diff494 (depth = 6)
  int op_slot_right_488 = gc_frame_newslot(diff494);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_488 = gc_frame_newslot(*var_i);
  params[0] = diff494;
  partcv[0] = 1;
  Object opresult496 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult496 (depth = 5)
  Object if487 = done;
  if (istrue(opresult496)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit498 == NULL) {
    strlit498 = alloc_String(", ");
    gc_root(strlit498);
  }
// compiled string node returning strlit498 (depth = 7)
  int op_slot_right_497 = gc_frame_newslot(strlit498);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_497 = gc_frame_newslot(*var_s);
  params[0] = strlit498;
  partcv[0] = 1;
  Object opresult500 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult500 (depth = 6)
  *var_s = opresult500;
  if (opresult500 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if487 = done;
  } else {
  }
// compiled if node returning if487 (depth = 4)
  gc_frame_end(frame);
  return if487;
}
Object meth_collectionsPrelude_asString462(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit463 == NULL) {
    strlit463 = alloc_String("""\xe2""""\x9f""""\xa8""");
    gc_root(strlit463);
  }
// compiled string node returning strlit463 (depth = 3)
  *var_s = strlit463;
  if (strlit463 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe464 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num467 = alloc_Float64(1);
// compiled num node returning num467 (depth = 5)
  int op_slot_right_466 = gc_frame_newslot(num467);
// starting to compile member node (depth = 5)
  int callframe469 = gc_frame_new();
// call case 4: self request
  Object call470 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe469);
// compiled member node returning call470 (depth = 5)
  int op_slot_left_466 = gc_frame_newslot(call470);
  params[0] = num467;
  partcv[0] = 1;
  Object diff471 = callmethod(call470, "-(1)", 1, partcv, params);
// compiled op node returning diff471 (depth = 4)
  int op_slot_right_465 = gc_frame_newslot(diff471);
// starting to compile num node (depth = 4)
  Object num473 = alloc_Float64(0);
// compiled num node returning num473 (depth = 4)
  int op_slot_left_465 = gc_frame_newslot(num473);
  params[0] = diff471;
  partcv[0] = 1;
  Object opresult474 = callmethod(num473, "..(1)", 1, partcv, params);
// compiled op node returning opresult474 (depth = 3)
  gc_frame_newslot(opresult474);
// starting to compile block node (depth = 3)
  Object block475 = alloc_Block(NULL, NULL, "collectionsPrelude", 553);
  gc_frame_newslot(block475);
// method "_apply(_)"
  block_savedest(block475);
  Object closure476 = createclosure(2, "_apply(1)");
  setclosureframe(closure476, stackframe);
  addtoclosure(closure476, var_s);
  addtoclosure(closure476, selfslot);
  struct UserObject *uo476 = (struct UserObject*)block475;
  uo476->data[0] = (Object)closure476;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_476 = addmethod2pos(block475, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_476, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_476[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_476->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_476);
  meth_meth_collectionsPrelude__apply_40_1_41_476->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_476->definitionLine = 1990;
// compiled block node returning block475 (depth = 3)
  gc_frame_newslot(block475);
// call case 5: prelude request
  params[0] = opresult474;
  params[1] = block475;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call503 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe464);
// compiled call node returning call503 (depth = 2)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit505 == NULL) {
    strlit505 = alloc_String("""\xe2""""\x9f""""\xa9""");
    gc_root(strlit505);
  }
// compiled string node returning strlit505 (depth = 3)
  int op_slot_right_504 = gc_frame_newslot(strlit505);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_504 = gc_frame_newslot(*var_s);
  params[0] = strlit505;
  partcv[0] = 1;
  Object opresult507 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult507 (depth = 2)
  gc_frame_end(frame);
  return opresult507;
}
Object meth_collectionsPrelude__apply_40_1_41_511(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_element = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_element (depth = 6)
  int op_slot_right_513 = gc_frame_newslot(*var_element);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_513 = gc_frame_newslot(*var_each);
  params[0] = *var_element;
  partcv[0] = 1;
  Object opresult515 = callmethod(*var_each, "==(1)", 1, partcv, params);
// compiled op node returning opresult515 (depth = 5)
  Object if512 = done;
  if (istrue(opresult515)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool516 = alloc_Boolean(1);
// compiled identifier node returning bool516 (depth = 6)
  block_return(realself, bool516);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if512 = undefined;
  } else {
  }
// compiled if node returning if512 (depth = 4)
  gc_frame_end(frame);
  return if512;
}
Object meth_collectionsPrelude_contains_40_1_41_508(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe509 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block510 = alloc_Block(NULL, NULL, "collectionsPrelude", 560);
  gc_frame_newslot(block510);
// method "_apply(_)"
  block_savedest(block510);
  Object closure511 = createclosure(2, "_apply(1)");
  setclosureframe(closure511, stackframe);
  addtoclosure(closure511, var_element);
  addtoclosure(closure511, selfslot);
  struct UserObject *uo511 = (struct UserObject*)block510;
  uo511->data[0] = (Object)closure511;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_511 = addmethod2pos(block510, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_511, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_511[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_511->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_511);
  meth_meth_collectionsPrelude__apply_40_1_41_511->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_511->definitionLine = 1990;
// compiled block node returning block510 (depth = 3)
  gc_frame_newslot(block510);
// call case 4: self request
  params[0] = block510;
  partcv[0] = 1;
  Object call518 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe509);
// compiled call node returning call518 (depth = 2)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool519 = alloc_Boolean(0);
// compiled identifier node returning bool519 (depth = 3)
  return bool519;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply524(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe526 = gc_frame_new();
// call case 4: self request
  Object call527 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe526);
// compiled member node returning call527 (depth = 5)
  int op_slot_right_525 = gc_frame_newslot(call527);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_525 = gc_frame_newslot(*var_i);
  params[0] = call527;
  partcv[0] = 1;
  Object opresult529 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult529 (depth = 4)
  gc_frame_end(frame);
  return opresult529;
}
Object meth_collectionsPrelude__apply532(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe533 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe534 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe535 = gc_frame_new();
// call case 4: self request
  Object call536 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe535);
// compiled member node returning call536 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call537 = callmethodflags(call536, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe534);
// compiled call node returning call537 (depth = 5)
  gc_frame_newslot(call537);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = call537;
  partcv[0] = 1;
  Object call538 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe533);
// compiled call node returning call538 (depth = 4)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num540 = alloc_Float64(1);
// compiled num node returning num540 (depth = 6)
  int op_slot_right_539 = gc_frame_newslot(num540);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_539 = gc_frame_newslot(*var_i);
  params[0] = num540;
  partcv[0] = 1;
  Object sum542 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum542 (depth = 5)
  *var_i = sum542;
  if (sum542 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_520(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num521 = alloc_Float64(0);
// compiled num node returning num521 (depth = 3)
  *var_i = num521;
  if (num521 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe522 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block523 = alloc_Block(NULL, NULL, "collectionsPrelude", 565);
  gc_frame_newslot(block523);
// method "_apply"
  block_savedest(block523);
  Object closure524 = createclosure(2, "_apply");
  setclosureframe(closure524, stackframe);
  addtoclosure(closure524, var_i);
  addtoclosure(closure524, selfslot);
  struct UserObject *uo524 = (struct UserObject*)block523;
  uo524->data[0] = (Object)closure524;
  Method *meth_meth_collectionsPrelude__apply524 = addmethod2pos(block523, "_apply", &meth_collectionsPrelude__apply524, 0);
  int argcv_meth_collectionsPrelude__apply524[] = {0};
  meth_meth_collectionsPrelude__apply524->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply524);
  meth_meth_collectionsPrelude__apply524->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply524->definitionLine = 1990;
// compiled block node returning block523 (depth = 3)
  gc_frame_newslot(block523);
// starting to compile block node (depth = 3)
  Object block531 = alloc_Block(NULL, NULL, "collectionsPrelude", 565);
  gc_frame_newslot(block531);
// method "_apply"
  block_savedest(block531);
  Object closure532 = createclosure(3, "_apply");
  setclosureframe(closure532, stackframe);
  addtoclosure(closure532, var_i);
  addtoclosure(closure532, var_block1);
  addtoclosure(closure532, selfslot);
  struct UserObject *uo532 = (struct UserObject*)block531;
  uo532->data[0] = (Object)closure532;
  Method *meth_meth_collectionsPrelude__apply532 = addmethod2pos(block531, "_apply", &meth_collectionsPrelude__apply532, 0);
  int argcv_meth_collectionsPrelude__apply532[] = {0};
  meth_meth_collectionsPrelude__apply532->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply532);
  meth_meth_collectionsPrelude__apply532->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply532->definitionLine = 1990;
// compiled block node returning block531 (depth = 3)
  gc_frame_newslot(block531);
// call case 5: prelude request
  params[0] = block523;
  params[1] = block531;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call545 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe522);
// compiled call node returning call545 (depth = 2)
  gc_frame_end(frame);
  return call545;
}
Object meth_collectionsPrelude__61__61__40_1_41_546(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe547 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe548 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe549 = gc_frame_new();
// call case 3: self.outer request
  Object call550 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe549);
// compiled member node returning call550 (depth = 4)
  Object call551 = callmethodflags(call550, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe548);
// compiled member node returning call551 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call552 = callmethodflags(call551, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe547);
// compiled call node returning call552 (depth = 2)
  gc_frame_end(frame);
  return call552;
}
Object meth_collectionsPrelude_asDebugString557(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit559 == NULL) {
    strlit559 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit559);
  }
// compiled string node returning strlit559 (depth = 3)
  int op_slot_right_558 = gc_frame_newslot(strlit559);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe562 = gc_frame_new();
// call case 4: self request
  Object call563 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe562);
// compiled member node returning call563 (depth = 4)
  int op_slot_right_561 = gc_frame_newslot(call563);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit566 == NULL) {
    strlit566 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit566);
  }
// compiled string node returning strlit566 (depth = 5)
  int op_slot_right_565 = gc_frame_newslot(strlit566);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe569 = gc_frame_new();
// call case 4: self request
  Object call570 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe569);
// compiled member node returning call570 (depth = 6)
  int op_slot_right_568 = gc_frame_newslot(call570);
// starting to compile string node (depth = 6)
  if (strlit572 == NULL) {
    strlit572 = alloc_String("");
    gc_root(strlit572);
  }
// compiled string node returning strlit572 (depth = 6)
  int op_slot_left_568 = gc_frame_newslot(strlit572);
  params[0] = call570;
  partcv[0] = 1;
  Object opresult573 = callmethod(strlit572, "++(1)", 1, partcv, params);
// compiled op node returning opresult573 (depth = 5)
  int op_slot_left_565 = gc_frame_newslot(opresult573);
  params[0] = strlit566;
  partcv[0] = 1;
  Object opresult574 = callmethod(opresult573, "++(1)", 1, partcv, params);
// compiled op node returning opresult574 (depth = 4)
  int op_slot_left_561 = gc_frame_newslot(opresult574);
  params[0] = call563;
  partcv[0] = 1;
  Object opresult575 = callmethod(opresult574, "++(1)", 1, partcv, params);
// compiled op node returning opresult575 (depth = 3)
  int op_slot_left_558 = gc_frame_newslot(opresult575);
  params[0] = strlit559;
  partcv[0] = 1;
  Object opresult576 = callmethod(opresult575, "++(1)", 1, partcv, params);
// compiled op node returning opresult576 (depth = 2)
  gc_frame_end(frame);
  return opresult576;
}
Object meth_collectionsPrelude_asString577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit578 == NULL) {
    strlit578 = alloc_String("aSequenceIterator");
    gc_root(strlit578);
  }
// compiled string node returning strlit578 (depth = 2)
  gc_frame_end(frame);
  return strlit578;
}
Object meth_collectionsPrelude_hasNext579(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sz (depth = 3)
  int op_slot_right_580 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 3)
  int callframe582 = gc_frame_new();
// call case 4: self request
  Object call583 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe582);
// compiled member node returning call583 (depth = 3)
  int op_slot_left_580 = gc_frame_newslot(call583);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult584 = callmethod(call583, "≤(1)", 1, partcv, params);
// compiled op node returning opresult584 (depth = 2)
  gc_frame_end(frame);
  return opresult584;
}
Object meth_collectionsPrelude_next585(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_587 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
  int callframe589 = gc_frame_new();
// call case 4: self request
  Object call590 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe589);
// compiled member node returning call590 (depth = 4)
  int op_slot_left_587 = gc_frame_newslot(call590);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult591 = callmethod(call590, ">(1)", 1, partcv, params);
// compiled op node returning opresult591 (depth = 3)
  Object if586 = done;
  if (istrue(opresult591)) {
// starting to compile call node (depth = 3)
  int callframe592 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit594 == NULL) {
    strlit594 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit594);
  }
// compiled string node returning strlit594 (depth = 5)
  int op_slot_right_593 = gc_frame_newslot(strlit594);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe597 = gc_frame_new();
// call case 4: self request
  Object call598 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe597);
// compiled member node returning call598 (depth = 6)
  int op_slot_right_596 = gc_frame_newslot(call598);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit601 == NULL) {
    strlit601 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit601);
  }
// compiled string node returning strlit601 (depth = 7)
  int op_slot_right_600 = gc_frame_newslot(strlit601);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe604 = gc_frame_new();
// call case 3: self.outer request
  Object call605 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe604);
// compiled member node returning call605 (depth = 8)
  int op_slot_right_603 = gc_frame_newslot(call605);
// starting to compile string node (depth = 8)
  if (strlit607 == NULL) {
    strlit607 = alloc_String("on sequence ");
    gc_root(strlit607);
  }
// compiled string node returning strlit607 (depth = 8)
  int op_slot_left_603 = gc_frame_newslot(strlit607);
  params[0] = call605;
  partcv[0] = 1;
  Object opresult608 = callmethod(strlit607, "++(1)", 1, partcv, params);
// compiled op node returning opresult608 (depth = 7)
  int op_slot_left_600 = gc_frame_newslot(opresult608);
  params[0] = strlit601;
  partcv[0] = 1;
  Object opresult609 = callmethod(opresult608, "++(1)", 1, partcv, params);
// compiled op node returning opresult609 (depth = 6)
  int op_slot_left_596 = gc_frame_newslot(opresult609);
  params[0] = call598;
  partcv[0] = 1;
  Object opresult610 = callmethod(opresult609, "++(1)", 1, partcv, params);
// compiled op node returning opresult610 (depth = 5)
  int op_slot_left_593 = gc_frame_newslot(opresult610);
  params[0] = strlit594;
  partcv[0] = 1;
  Object opresult611 = callmethod(opresult610, "++(1)", 1, partcv, params);
// compiled op node returning opresult611 (depth = 4)
  gc_frame_newslot(opresult611);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = opresult611;
  partcv[0] = 1;
  Object call612 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe592);
// compiled call node returning call612 (depth = 3)
    gc_frame_newslot(call612);
    if586 = call612;
  } else {
  }
// compiled if node returning if586 (depth = 2)
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe613 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe614 = gc_frame_new();
// call case 4: self request
  Object call615 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe614);
// compiled member node returning call615 (depth = 4)
  gc_frame_newslot(call615);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe616 = gc_frame_new();
// call case 3: self.outer request
  Object call617 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe616);
// compiled member node returning call617 (depth = 4)
  params[0] = call615;
  partcv[0] = 1;
  Object call618 = callmethodflags(call617, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe613);
// compiled call node returning call618 (depth = 3)
  *var_ret = call618;
  if (call618 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe619 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num621 = alloc_Float64(1);
// compiled num node returning num621 (depth = 4)
  int op_slot_right_620 = gc_frame_newslot(num621);
// starting to compile member node (depth = 4)
  int callframe623 = gc_frame_new();
// call case 4: self request
  Object call624 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe623);
// compiled member node returning call624 (depth = 4)
  int op_slot_left_620 = gc_frame_newslot(call624);
  params[0] = num621;
  partcv[0] = 1;
  Object sum625 = callmethod(call624, "+(1)", 1, partcv, params);
// compiled op node returning sum625 (depth = 3)
  gc_frame_newslot(sum625);
// call case 4: self request
  params[0] = sum625;
  partcv[0] = 1;
  Object call626 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe619);
// compiled call node returning call626 (depth = 2)
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ret (depth = 2)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_collectionsPrelude_iterator553(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject554 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj554 = alloc_userobj2(6,6, objclass554);
  gc_frame_newslot(obj554);
if (objclass554 == NULL) {
  glfree(obj554->class->name);
  obj554->class->name = "sequence.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj554, self, 0);
  addmethodreal(obj554,"outer", &reader_collectionsPrelude_outer_555);
  Object oldself554 = self;
  struct StackFrameObject *oldstackframe554 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe554);
  gc_frame_newslot((Object)stackframe);
  self = obj554;
  Object *oldselfslot554 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter554 = (*(struct UserObject *)self).data[0], lowerouter554 = thisouter554;
  if (inheritingObject554) {
    struct UserObject *inho554 = (struct UserObject *)inheritingObject554;
    while (inho554->super != GraceDefaultObject) inho554 = (struct UserObject *)inho554->super;
    inho554->super = obj554;
    self = inheritingObject554;
    *selfslot = self;
    lowerouter554 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter554;
  }
if (objclass554 == NULL) {
  Method *reader556 = addmethodrealflags(obj554, "idx", &reader_collectionsPrelude_idx_556, MFLAG_CONFIDENTIAL);
  Method *writer556 = addmethodrealflags(obj554, "idx:=(1)", &writer_collectionsPrelude_idx_556, MFLAG_CONFIDENTIAL);
  reader556->definitionModule = modulename;
  writer556->definitionModule = modulename;
  reader556->definitionLine = 575;
  writer556->definitionLine = 575;
}
obj554->flags |= OFLAG_MUTABLE;
adddatum2(obj554, alloc_Undefined(), 1);
// method "asDebugString"
  struct UserObject *uo557 = (struct UserObject*)obj554;
  uo557->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString557 = addmethod2pos(obj554, "asDebugString", &meth_collectionsPrelude_asDebugString557, 2);
  int argcv_meth_collectionsPrelude_asDebugString557[] = {0};
  meth_meth_collectionsPrelude_asDebugString557->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString557);
  meth_meth_collectionsPrelude_asDebugString557->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString557->definitionLine = 576;
// method "asString"
  struct UserObject *uo577 = (struct UserObject*)obj554;
  uo577->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString577 = addmethod2pos(obj554, "asString", &meth_collectionsPrelude_asString577, 3);
  int argcv_meth_collectionsPrelude_asString577[] = {0};
  meth_meth_collectionsPrelude_asString577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString577);
  meth_meth_collectionsPrelude_asString577->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString577->definitionLine = 577;
// method "hasNext"
  block_savedest(obj554);
  Object closure579 = createclosure(1, "hasNext");
  setclosureframe(closure579, stackframe);
  addtoclosure(closure579, var_sz);
  struct UserObject *uo579 = (struct UserObject*)obj554;
  uo579->data[4] = (Object)closure579;
  Method *meth_meth_collectionsPrelude_hasNext579 = addmethod2pos(obj554, "hasNext", &meth_collectionsPrelude_hasNext579, 4);
  int argcv_meth_collectionsPrelude_hasNext579[] = {0};
  meth_meth_collectionsPrelude_hasNext579->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext579);
  meth_meth_collectionsPrelude_hasNext579->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext579->definitionLine = 578;
// method "next"
  block_savedest(obj554);
  Object closure585 = createclosure(2, "next");
  setclosureframe(closure585, stackframe);
  addtoclosure(closure585, var_sz);
  addtoclosure(closure585, var_IteratorExhausted);
  struct UserObject *uo585 = (struct UserObject*)obj554;
  uo585->data[5] = (Object)closure585;
  Method *meth_meth_collectionsPrelude_next585 = addmethod2pos(obj554, "next", &meth_collectionsPrelude_next585, 5);
  int argcv_meth_collectionsPrelude_next585[] = {0};
  meth_meth_collectionsPrelude_next585->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next585);
  meth_meth_collectionsPrelude_next585->definitionModule = modulename;
  meth_meth_collectionsPrelude_next585->definitionLine = 579;
  sourceObject = obj554;
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num627 = alloc_Float64(1);
// compiled num node returning num627 (depth = 2)
  adddatum2(obj554, num627, 1);
  sourceObject = obj554;
  sourceObject = obj554;
  sourceObject = obj554;
  sourceObject = obj554;
  objclass554 = obj554->class;
  objclass554->definitionModule = modulename;
  objclass554->definitionLine = 574;
  (*(struct UserObject *)self).data[0] = lowerouter554;
  self = oldself554;
  selfslot = oldselfslot554;
  stackframe = oldstackframe554;
  gc_frame_end(frame);
  return obj554;
}
Object meth_collectionsPrelude_iterator553_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject554 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj554 = alloc_userobj2(6,6, objclass554);
  gc_frame_newslot(obj554);
if (objclass554 == NULL) {
  glfree(obj554->class->name);
  obj554->class->name = "sequence.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj554, self, 0);
  addmethodreal(obj554,"outer", &reader_collectionsPrelude_outer_555);
  Object oldself554 = self;
  struct StackFrameObject *oldstackframe554 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe554);
  gc_frame_newslot((Object)stackframe);
  self = obj554;
  Object *oldselfslot554 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter554 = (*(struct UserObject *)self).data[0], lowerouter554 = thisouter554;
  if (inheritingObject554) {
    struct UserObject *inho554 = (struct UserObject *)inheritingObject554;
    while (inho554->super != GraceDefaultObject) inho554 = (struct UserObject *)inho554->super;
    inho554->super = obj554;
    self = inheritingObject554;
    *selfslot = self;
    lowerouter554 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter554;
  }
if (objclass554 == NULL) {
  Method *reader556 = addmethodrealflags(obj554, "idx", &reader_collectionsPrelude_idx_556, MFLAG_CONFIDENTIAL);
  Method *writer556 = addmethodrealflags(obj554, "idx:=(1)", &writer_collectionsPrelude_idx_556, MFLAG_CONFIDENTIAL);
  reader556->definitionModule = modulename;
  writer556->definitionModule = modulename;
  reader556->definitionLine = 575;
  writer556->definitionLine = 575;
}
obj554->flags |= OFLAG_MUTABLE;
adddatum2(obj554, alloc_Undefined(), 1);
// method "asDebugString"
  struct UserObject *uo557 = (struct UserObject*)obj554;
  uo557->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString557 = addmethod2pos(obj554, "asDebugString", &meth_collectionsPrelude_asDebugString557, 2);
  int argcv_meth_collectionsPrelude_asDebugString557[] = {0};
  meth_meth_collectionsPrelude_asDebugString557->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString557);
  meth_meth_collectionsPrelude_asDebugString557->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString557->definitionLine = 576;
// method "asString"
  struct UserObject *uo577 = (struct UserObject*)obj554;
  uo577->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString577 = addmethod2pos(obj554, "asString", &meth_collectionsPrelude_asString577, 3);
  int argcv_meth_collectionsPrelude_asString577[] = {0};
  meth_meth_collectionsPrelude_asString577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString577);
  meth_meth_collectionsPrelude_asString577->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString577->definitionLine = 577;
// method "hasNext"
  block_savedest(obj554);
  Object closure579 = createclosure(1, "hasNext");
  setclosureframe(closure579, stackframe);
  addtoclosure(closure579, var_sz);
  struct UserObject *uo579 = (struct UserObject*)obj554;
  uo579->data[4] = (Object)closure579;
  Method *meth_meth_collectionsPrelude_hasNext579 = addmethod2pos(obj554, "hasNext", &meth_collectionsPrelude_hasNext579, 4);
  int argcv_meth_collectionsPrelude_hasNext579[] = {0};
  meth_meth_collectionsPrelude_hasNext579->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext579);
  meth_meth_collectionsPrelude_hasNext579->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext579->definitionLine = 578;
// method "next"
  block_savedest(obj554);
  Object closure585 = createclosure(2, "next");
  setclosureframe(closure585, stackframe);
  addtoclosure(closure585, var_sz);
  addtoclosure(closure585, var_IteratorExhausted);
  struct UserObject *uo585 = (struct UserObject*)obj554;
  uo585->data[5] = (Object)closure585;
  Method *meth_meth_collectionsPrelude_next585 = addmethod2pos(obj554, "next", &meth_collectionsPrelude_next585, 5);
  int argcv_meth_collectionsPrelude_next585[] = {0};
  meth_meth_collectionsPrelude_next585->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next585);
  meth_meth_collectionsPrelude_next585->definitionModule = modulename;
  meth_meth_collectionsPrelude_next585->definitionLine = 579;
  sourceObject = obj554;
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num627 = alloc_Float64(1);
// compiled num node returning num627 (depth = 2)
  adddatum2(obj554, num627, 1);
  sourceObject = obj554;
  sourceObject = obj554;
  sourceObject = obj554;
  sourceObject = obj554;
  objclass554 = obj554->class;
  objclass554->definitionModule = modulename;
  objclass554->definitionLine = 574;
  (*(struct UserObject *)self).data[0] = lowerouter554;
  self = oldself554;
  selfslot = oldselfslot554;
  stackframe = oldstackframe554;
  gc_frame_end(frame);
  return obj554;
}
Object meth_collectionsPrelude__apply_40_2_41_633(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[1]);
  *var_r = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_r (depth = 7)
  int op_slot_right_635 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  int op_slot_left_635 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult637 = callmethod(*var_l, "==(1)", 1, partcv, params);
// compiled op node returning opresult637 (depth = 6)
  Object if634 = done;
  if (istrue(opresult637)) {
// starting to compile num node (depth = 6)
  Object num638 = alloc_Float64(0);
// compiled num node returning num638 (depth = 6)
    gc_frame_newslot(num638);
    if634 = num638;
  } else {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_r (depth = 8)
  int op_slot_right_640 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_l (depth = 8)
  int op_slot_left_640 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult642 = callmethod(*var_l, "<(1)", 1, partcv, params);
// compiled op node returning opresult642 (depth = 7)
  Object if639 = done;
  if (istrue(opresult642)) {
// starting to compile call node (depth = 7)
  int callframe643 = gc_frame_new();
// call case 6: other requests
// starting to compile num node (depth = 8)
  Object num644 = alloc_Float64(1);
// compiled num node returning num644 (depth = 8)
  partcv[0] = 0;
  Object call645 = callmethodflags(num644, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe643);
// compiled call node returning call645 (depth = 7)
    gc_frame_newslot(call645);
    if639 = call645;
  } else {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num646 = alloc_Float64(1);
// compiled num node returning num646 (depth = 7)
    gc_frame_newslot(num646);
    if639 = num646;
  }
// compiled if node returning if639 (depth = 6)
    gc_frame_newslot(if639);
    if634 = if639;
  }
// compiled if node returning if634 (depth = 5)
  gc_frame_end(frame);
  return if634;
}
Object meth_collectionsPrelude_sorted629(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe630 = gc_frame_new();
// call case 6: other requests
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe631 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block632 = alloc_Block(NULL, NULL, "collectionsPrelude", 588);
  gc_frame_newslot(block632);
// method "_apply(_,_)"
  block_savedest(block632);
  Object closure633 = createclosure(1, "_apply(2)");
  setclosureframe(closure633, stackframe);
  addtoclosure(closure633, selfslot);
  struct UserObject *uo633 = (struct UserObject*)block632;
  uo633->data[0] = (Object)closure633;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_633 = addmethod2pos(block632, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_633, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_633[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_633->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_633);
  meth_meth_collectionsPrelude__apply_40_2_41_633->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_633->definitionLine = 1990;
// compiled block node returning block632 (depth = 4)
  gc_frame_newslot(block632);
// call case 6: other requests
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe648 = gc_frame_new();
// call case 4: self request
  Object call649 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe648);
// compiled member node returning call649 (depth = 4)
  params[0] = block632;
  partcv[0] = 1;
  Object call650 = callmethodflags(call649, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe631);
// compiled call node returning call650 (depth = 3)
  Object call651 = callmethodflags(call650, "asSequence", 0, partcv, params, 0);
  gc_frame_end(callframe630);
// compiled member node returning call651 (depth = 2)
  gc_frame_end(frame);
  return call651;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_652(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe653 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 3)
  int callframe654 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sortBlock (depth = 4)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe655 = gc_frame_new();
// call case 4: self request
  Object call656 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe655);
// compiled member node returning call656 (depth = 4)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call657 = callmethodflags(call656, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe654);
// compiled call node returning call657 (depth = 3)
  Object call658 = callmethodflags(call657, "asSequence", 0, partcv, params, 0);
  gc_frame_end(callframe653);
// compiled member node returning call658 (depth = 2)
  gc_frame_end(frame);
  return call658;
}
Object meth_collectionsPrelude_fromprimitiveArray_40_2_41_320(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromprimitiveArray(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method fromprimitiveArray(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_IteratorExhausted = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromprimitiveArray(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pArray = &(stackframe->slots[0]);
  *var_pArray = args[curarg];
  curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  *var_sz = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part fromprimitiveArray(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject321 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj321 = alloc_userobj2(17,18, objclass321);
  gc_frame_newslot(obj321);
if (objclass321 == NULL) {
  glfree(obj321->class->name);
  obj321->class->name = "sequence.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj321, self, 0);
  addmethodreal(obj321,"outer", &reader_collectionsPrelude_outer_322);
  Object oldself321 = self;
  struct StackFrameObject *oldstackframe321 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe321);
  gc_frame_newslot((Object)stackframe);
  self = obj321;
  Object *oldselfslot321 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter321 = (*(struct UserObject *)self).data[0], lowerouter321 = thisouter321;
  if (inheritingObject321) {
    struct UserObject *inho321 = (struct UserObject *)inheritingObject321;
    while (inho321->super != GraceDefaultObject) inho321 = (struct UserObject *)inho321->super;
    inho321->super = obj321;
    self = inheritingObject321;
    *selfslot = self;
    lowerouter321 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter321;
  }
if (objclass321 == NULL) {
  Method *reader323 = addmethodrealflags(obj321, "size",&reader_collectionsPrelude_size_323, MFLAG_DEF);
  reader323->definitionModule = modulename;
  reader323->definitionLine = 512;
}
adddatum2(obj321, alloc_Undefined(), 1);
if (objclass321 == NULL) {
  Method *reader324 = addmethodrealflags(obj321, "inner",&reader_collectionsPrelude_inner_324, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader324->definitionModule = modulename;
  reader324->definitionLine = 513;
}
adddatum2(obj321, alloc_Undefined(), 2);
// method "boundsCheck(_)"
  block_savedest(obj321);
  Object closure325 = createclosure(1, "boundsCheck(1)");
  setclosureframe(closure325, stackframe);
  addtoclosure(closure325, var_BoundsError);
  struct UserObject *uo325 = (struct UserObject*)obj321;
  uo325->data[3] = (Object)closure325;
  Method *meth_meth_collectionsPrelude_boundsCheck_40_1_41_325 = addmethod2pos(obj321, "boundsCheck(1)", &meth_collectionsPrelude_boundsCheck_40_1_41_325, 3);
  int argcv_meth_collectionsPrelude_boundsCheck_40_1_41_325[] = {1};
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck_40_1_41_325);
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->definitionLine = 515;
// method "at(_)"
  struct UserObject *uo362 = (struct UserObject*)obj321;
  uo362->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_362 = addmethod2pos(obj321, "at(1)", &meth_collectionsPrelude_at_40_1_41_362, 4);
  int argcv_meth_collectionsPrelude_at_40_1_41_362[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_362->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_362);
  meth_meth_collectionsPrelude_at_40_1_41_362->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_362->definitionLine = 522;
// method "keys"
  struct UserObject *uo373 = (struct UserObject*)obj321;
  uo373->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys373 = addmethod2pos(obj321, "keys", &meth_collectionsPrelude_keys373, 5);
  int argcv_meth_collectionsPrelude_keys373[] = {0};
  meth_meth_collectionsPrelude_keys373->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys373);
  meth_meth_collectionsPrelude_keys373->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys373->definitionLine = 526;
// method "values"
  struct UserObject *uo385 = (struct UserObject*)obj321;
  uo385->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values385 = addmethod2pos(obj321, "values", &meth_collectionsPrelude_values385, 6);
  int argcv_meth_collectionsPrelude_values385[] = {0};
  meth_meth_collectionsPrelude_values385->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values385);
  meth_meth_collectionsPrelude_values385->definitionModule = modulename;
  meth_meth_collectionsPrelude_values385->definitionLine = 529;
// method "keysAndValuesDo(_)"
  struct UserObject *uo386 = (struct UserObject*)obj321;
  uo386->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386 = addmethod2pos(obj321, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_386, 7);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->definitionLine = 532;
// method "reversed"
  block_savedest(obj321);
  Object closure416 = createclosure(1, "reversed");
  setclosureframe(closure416, stackframe);
  addtoclosure(closure416, var__prelude);
  struct UserObject *uo416 = (struct UserObject*)obj321;
  uo416->data[8] = (Object)closure416;
  Method *meth_meth_collectionsPrelude_reversed416 = addmethod2pos(obj321, "reversed", &meth_collectionsPrelude_reversed416, 8);
  int argcv_meth_collectionsPrelude_reversed416[] = {0};
  meth_meth_collectionsPrelude_reversed416->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed416);
  meth_meth_collectionsPrelude_reversed416->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed416->definitionLine = 539;
// method "++(_)"
  struct UserObject *uo447 = (struct UserObject*)obj321;
  uo447->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_447 = addmethod2pos(obj321, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_447, 9);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_447[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_447->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_447);
  meth_meth_collectionsPrelude__43__43__40_1_41_447->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_447->definitionLine = 548;
// method "asString"
  struct UserObject *uo462 = (struct UserObject*)obj321;
  uo462->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString462 = addmethod2pos(obj321, "asString", &meth_collectionsPrelude_asString462, 10);
  int argcv_meth_collectionsPrelude_asString462[] = {0};
  meth_meth_collectionsPrelude_asString462->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString462);
  meth_meth_collectionsPrelude_asString462->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString462->definitionLine = 551;
// method "contains(_)"
  struct UserObject *uo508 = (struct UserObject*)obj321;
  uo508->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_508 = addmethod2pos(obj321, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_508, 11);
  int argcv_meth_collectionsPrelude_contains_40_1_41_508[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_508->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_508);
  meth_meth_collectionsPrelude_contains_40_1_41_508->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_508->definitionLine = 559;
// method "do(_)"
  struct UserObject *uo520 = (struct UserObject*)obj321;
  uo520->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_520 = addmethod2pos(obj321, "do(1)", &meth_collectionsPrelude_do_40_1_41_520, 12);
  int argcv_meth_collectionsPrelude_do_40_1_41_520[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_520->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_520);
  meth_meth_collectionsPrelude_do_40_1_41_520->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_520->definitionLine = 563;
// method "==(_)"
  struct UserObject *uo546 = (struct UserObject*)obj321;
  uo546->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_546 = addmethod2pos(obj321, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_546, 13);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_546[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_546->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_546);
  meth_meth_collectionsPrelude__61__61__40_1_41_546->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_546->definitionLine = 570;
// method "iterator"
  block_savedest(obj321);
  Object closure553 = createclosure(2, "iterator");
  setclosureframe(closure553, stackframe);
  addtoclosure(closure553, var_sz);
  addtoclosure(closure553, var_IteratorExhausted);
  struct UserObject *uo553 = (struct UserObject*)obj321;
  uo553->data[14] = (Object)closure553;
  Method *meth_meth_collectionsPrelude_iterator553 = addmethod2pos(obj321, "iterator", &meth_collectionsPrelude_iterator553, 14);
  int argcv_meth_collectionsPrelude_iterator553[] = {0};
  meth_meth_collectionsPrelude_iterator553->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator553);
  meth_meth_collectionsPrelude_iterator553->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator553->definitionLine = 573;
  block_savedest(obj321);
  Object closure628 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure628, stackframe);
  addtoclosure(closure628, var_sz);
  addtoclosure(closure628, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator553_object = addmethod2pos(obj321, "iterator$object(1)", &meth_collectionsPrelude_iterator553_object, 14);
  meth_meth_collectionsPrelude_iterator553_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator553_object->definitionLine = 573;
// method "sorted"
  struct UserObject *uo629 = (struct UserObject*)obj321;
  uo629->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted629 = addmethod2pos(obj321, "sorted", &meth_collectionsPrelude_sorted629, 15);
  int argcv_meth_collectionsPrelude_sorted629[] = {0};
  meth_meth_collectionsPrelude_sorted629->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted629);
  meth_meth_collectionsPrelude_sorted629->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted629->definitionLine = 587;
// method "sortedBy(_)"
  struct UserObject *uo652 = (struct UserObject*)obj321;
  uo652->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_652 = addmethod2pos(obj321, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_652, 16);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_652[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_652);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->definitionLine = 594;
  sourceObject = obj321;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe659 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call660 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe659);
// compiled call node returning call660 (depth = 2)
  struct UserObject *obj321_uo = (struct UserObject *)obj321;
  obj321_uo->super = call660;
  sourceObject = obj321;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_sz (depth = 2)
  adddatum2(obj321, *var_sz, 1);
  sourceObject = obj321;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_pArray (depth = 2)
  adddatum2(obj321, *var_pArray, 2);
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  objclass321 = obj321->class;
  objclass321->definitionModule = modulename;
  objclass321->definitionLine = 510;
  (*(struct UserObject *)self).data[0] = lowerouter321;
  self = oldself321;
  selfslot = oldselfslot321;
  stackframe = oldstackframe321;
  gc_frame_end(frame);
  return obj321;
}
Object meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromprimitiveArray(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method fromprimitiveArray(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_IteratorExhausted = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromprimitiveArray(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pArray = &(stackframe->slots[0]);
  *var_pArray = args[curarg];
  curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  *var_sz = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part fromprimitiveArray(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject321 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj321 = alloc_userobj2(17,18, objclass321);
  gc_frame_newslot(obj321);
if (objclass321 == NULL) {
  glfree(obj321->class->name);
  obj321->class->name = "sequence.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj321, self, 0);
  addmethodreal(obj321,"outer", &reader_collectionsPrelude_outer_322);
  Object oldself321 = self;
  struct StackFrameObject *oldstackframe321 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe321);
  gc_frame_newslot((Object)stackframe);
  self = obj321;
  Object *oldselfslot321 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter321 = (*(struct UserObject *)self).data[0], lowerouter321 = thisouter321;
  if (inheritingObject321) {
    struct UserObject *inho321 = (struct UserObject *)inheritingObject321;
    while (inho321->super != GraceDefaultObject) inho321 = (struct UserObject *)inho321->super;
    inho321->super = obj321;
    self = inheritingObject321;
    *selfslot = self;
    lowerouter321 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter321;
  }
if (objclass321 == NULL) {
  Method *reader323 = addmethodrealflags(obj321, "size",&reader_collectionsPrelude_size_323, MFLAG_DEF);
  reader323->definitionModule = modulename;
  reader323->definitionLine = 512;
}
adddatum2(obj321, alloc_Undefined(), 1);
if (objclass321 == NULL) {
  Method *reader324 = addmethodrealflags(obj321, "inner",&reader_collectionsPrelude_inner_324, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader324->definitionModule = modulename;
  reader324->definitionLine = 513;
}
adddatum2(obj321, alloc_Undefined(), 2);
// method "boundsCheck(_)"
  block_savedest(obj321);
  Object closure325 = createclosure(1, "boundsCheck(1)");
  setclosureframe(closure325, stackframe);
  addtoclosure(closure325, var_BoundsError);
  struct UserObject *uo325 = (struct UserObject*)obj321;
  uo325->data[3] = (Object)closure325;
  Method *meth_meth_collectionsPrelude_boundsCheck_40_1_41_325 = addmethod2pos(obj321, "boundsCheck(1)", &meth_collectionsPrelude_boundsCheck_40_1_41_325, 3);
  int argcv_meth_collectionsPrelude_boundsCheck_40_1_41_325[] = {1};
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck_40_1_41_325);
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_325->definitionLine = 515;
// method "at(_)"
  struct UserObject *uo362 = (struct UserObject*)obj321;
  uo362->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_362 = addmethod2pos(obj321, "at(1)", &meth_collectionsPrelude_at_40_1_41_362, 4);
  int argcv_meth_collectionsPrelude_at_40_1_41_362[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_362->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_362);
  meth_meth_collectionsPrelude_at_40_1_41_362->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_362->definitionLine = 522;
// method "keys"
  struct UserObject *uo373 = (struct UserObject*)obj321;
  uo373->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys373 = addmethod2pos(obj321, "keys", &meth_collectionsPrelude_keys373, 5);
  int argcv_meth_collectionsPrelude_keys373[] = {0};
  meth_meth_collectionsPrelude_keys373->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys373);
  meth_meth_collectionsPrelude_keys373->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys373->definitionLine = 526;
// method "values"
  struct UserObject *uo385 = (struct UserObject*)obj321;
  uo385->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values385 = addmethod2pos(obj321, "values", &meth_collectionsPrelude_values385, 6);
  int argcv_meth_collectionsPrelude_values385[] = {0};
  meth_meth_collectionsPrelude_values385->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values385);
  meth_meth_collectionsPrelude_values385->definitionModule = modulename;
  meth_meth_collectionsPrelude_values385->definitionLine = 529;
// method "keysAndValuesDo(_)"
  struct UserObject *uo386 = (struct UserObject*)obj321;
  uo386->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386 = addmethod2pos(obj321, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_386, 7);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_386->definitionLine = 532;
// method "reversed"
  block_savedest(obj321);
  Object closure416 = createclosure(1, "reversed");
  setclosureframe(closure416, stackframe);
  addtoclosure(closure416, var__prelude);
  struct UserObject *uo416 = (struct UserObject*)obj321;
  uo416->data[8] = (Object)closure416;
  Method *meth_meth_collectionsPrelude_reversed416 = addmethod2pos(obj321, "reversed", &meth_collectionsPrelude_reversed416, 8);
  int argcv_meth_collectionsPrelude_reversed416[] = {0};
  meth_meth_collectionsPrelude_reversed416->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed416);
  meth_meth_collectionsPrelude_reversed416->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed416->definitionLine = 539;
// method "++(_)"
  struct UserObject *uo447 = (struct UserObject*)obj321;
  uo447->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_447 = addmethod2pos(obj321, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_447, 9);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_447[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_447->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_447);
  meth_meth_collectionsPrelude__43__43__40_1_41_447->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_447->definitionLine = 548;
// method "asString"
  struct UserObject *uo462 = (struct UserObject*)obj321;
  uo462->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString462 = addmethod2pos(obj321, "asString", &meth_collectionsPrelude_asString462, 10);
  int argcv_meth_collectionsPrelude_asString462[] = {0};
  meth_meth_collectionsPrelude_asString462->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString462);
  meth_meth_collectionsPrelude_asString462->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString462->definitionLine = 551;
// method "contains(_)"
  struct UserObject *uo508 = (struct UserObject*)obj321;
  uo508->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_508 = addmethod2pos(obj321, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_508, 11);
  int argcv_meth_collectionsPrelude_contains_40_1_41_508[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_508->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_508);
  meth_meth_collectionsPrelude_contains_40_1_41_508->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_508->definitionLine = 559;
// method "do(_)"
  struct UserObject *uo520 = (struct UserObject*)obj321;
  uo520->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_520 = addmethod2pos(obj321, "do(1)", &meth_collectionsPrelude_do_40_1_41_520, 12);
  int argcv_meth_collectionsPrelude_do_40_1_41_520[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_520->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_520);
  meth_meth_collectionsPrelude_do_40_1_41_520->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_520->definitionLine = 563;
// method "==(_)"
  struct UserObject *uo546 = (struct UserObject*)obj321;
  uo546->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_546 = addmethod2pos(obj321, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_546, 13);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_546[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_546->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_546);
  meth_meth_collectionsPrelude__61__61__40_1_41_546->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_546->definitionLine = 570;
// method "iterator"
  block_savedest(obj321);
  Object closure553 = createclosure(2, "iterator");
  setclosureframe(closure553, stackframe);
  addtoclosure(closure553, var_sz);
  addtoclosure(closure553, var_IteratorExhausted);
  struct UserObject *uo553 = (struct UserObject*)obj321;
  uo553->data[14] = (Object)closure553;
  Method *meth_meth_collectionsPrelude_iterator553 = addmethod2pos(obj321, "iterator", &meth_collectionsPrelude_iterator553, 14);
  int argcv_meth_collectionsPrelude_iterator553[] = {0};
  meth_meth_collectionsPrelude_iterator553->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator553);
  meth_meth_collectionsPrelude_iterator553->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator553->definitionLine = 573;
  block_savedest(obj321);
  Object closure628 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure628, stackframe);
  addtoclosure(closure628, var_sz);
  addtoclosure(closure628, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator553_object = addmethod2pos(obj321, "iterator$object(1)", &meth_collectionsPrelude_iterator553_object, 14);
  meth_meth_collectionsPrelude_iterator553_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator553_object->definitionLine = 573;
// method "sorted"
  struct UserObject *uo629 = (struct UserObject*)obj321;
  uo629->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted629 = addmethod2pos(obj321, "sorted", &meth_collectionsPrelude_sorted629, 15);
  int argcv_meth_collectionsPrelude_sorted629[] = {0};
  meth_meth_collectionsPrelude_sorted629->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted629);
  meth_meth_collectionsPrelude_sorted629->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted629->definitionLine = 587;
// method "sortedBy(_)"
  struct UserObject *uo652 = (struct UserObject*)obj321;
  uo652->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_652 = addmethod2pos(obj321, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_652, 16);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_652[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_652);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_652->definitionLine = 594;
  sourceObject = obj321;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe659 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call660 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe659);
// compiled call node returning call660 (depth = 2)
  struct UserObject *obj321_uo = (struct UserObject *)obj321;
  obj321_uo->super = call660;
  sourceObject = obj321;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_sz (depth = 2)
  adddatum2(obj321, *var_sz, 1);
  sourceObject = obj321;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_pArray (depth = 2)
  adddatum2(obj321, *var_pArray, 2);
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  sourceObject = obj321;
  objclass321 = obj321->class;
  objclass321->definitionModule = modulename;
  objclass321->definitionLine = 510;
  (*(struct UserObject *)self).data[0] = lowerouter321;
  self = oldself321;
  selfslot = oldselfslot321;
  stackframe = oldstackframe321;
  gc_frame_end(frame);
  return obj321;
}
Object meth_collectionsPrelude_sequence232(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var_IteratorExhausted = getfromclosure(closure, 3);
  Object *var_indexable = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject233 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj233 = alloc_userobj2(5,6, objclass233);
  gc_frame_newslot(obj233);
if (objclass233 == NULL) {
  glfree(obj233->class->name);
  obj233->class->name = "sequence";
}
// OBJECT OUTER DEC outer
  adddatum2(obj233, self, 0);
  addmethodreal(obj233,"outer", &reader_collectionsPrelude_outer_234);
  Object oldself233 = self;
  struct StackFrameObject *oldstackframe233 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe233);
  gc_frame_newslot((Object)stackframe);
  self = obj233;
  Object *oldselfslot233 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter233 = (*(struct UserObject *)self).data[0], lowerouter233 = thisouter233;
  if (inheritingObject233) {
    struct UserObject *inho233 = (struct UserObject *)inheritingObject233;
    while (inho233->super != GraceDefaultObject) inho233 = (struct UserObject *)inho233->super;
    inho233->super = obj233;
    self = inheritingObject233;
    *selfslot = self;
    lowerouter233 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter233;
  }
// method "asString"
  struct UserObject *uo235 = (struct UserObject*)obj233;
  uo235->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString235 = addmethod2pos(obj233, "asString", &meth_collectionsPrelude_asString235, 1);
  int argcv_meth_collectionsPrelude_asString235[] = {0};
  meth_meth_collectionsPrelude_asString235->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString235);
  meth_meth_collectionsPrelude_asString235->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString235->definitionLine = 466;
// method "empty"
  block_savedest(obj233);
  Object closure237 = createclosure(1, "empty");
  setclosureframe(closure237, stackframe);
  addtoclosure(closure237, var_emptySequence);
  struct UserObject *uo237 = (struct UserObject*)obj233;
  uo237->data[2] = (Object)closure237;
  Method *meth_meth_collectionsPrelude_empty237 = addmethod2pos(obj233, "empty", &meth_collectionsPrelude_empty237, 2);
  int argcv_meth_collectionsPrelude_empty237[] = {0};
  meth_meth_collectionsPrelude_empty237->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty237);
  meth_meth_collectionsPrelude_empty237->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty237->definitionLine = 468;
// method "withAll(_)"
  block_savedest(obj233);
  Object closure238 = createclosure(2, "withAll(1)");
  setclosureframe(closure238, stackframe);
  addtoclosure(closure238, var__prelude);
  addtoclosure(closure238, var_emptySequence);
  struct UserObject *uo238 = (struct UserObject*)obj233;
  uo238->data[3] = (Object)closure238;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_238 = addmethod2pos(obj233, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_238, 3);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_238[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_238->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_238);
  meth_meth_collectionsPrelude_withAll_40_1_41_238->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_238->definitionLine = 473;
// method "fromprimitiveArray(_,_)"
  block_savedest(obj233);
  Object closure320 = createclosure(4, "fromprimitiveArray(2)");
  setclosureframe(closure320, stackframe);
  addtoclosure(closure320, var_BoundsError);
  addtoclosure(closure320, var__prelude);
  addtoclosure(closure320, var_IteratorExhausted);
  addtoclosure(closure320, var_indexable);
  struct UserObject *uo320 = (struct UserObject*)obj233;
  uo320->data[4] = (Object)closure320;
  Method *meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320 = addmethod2pos(obj233, "fromprimitiveArray(2)", &meth_collectionsPrelude_fromprimitiveArray_40_2_41_320, 4);
  int argcv_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320[] = {2};
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320);
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->definitionLine = 507;
  block_savedest(obj233);
  Object closure661 = createclosure(4, "fromprimitiveArray(2)$object(1)");
  setclosureframe(closure661, stackframe);
  addtoclosure(closure661, var_BoundsError);
  addtoclosure(closure661, var__prelude);
  addtoclosure(closure661, var_IteratorExhausted);
  addtoclosure(closure661, var_indexable);
  Method *meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object = addmethod2pos(obj233, "fromprimitiveArray(2)$object(1)", &meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object, 4);
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->definitionLine = 507;
  sourceObject = obj233;
  sourceObject = obj233;
  sourceObject = obj233;
  sourceObject = obj233;
  objclass233 = obj233->class;
  objclass233->definitionModule = modulename;
  objclass233->definitionLine = 464;
  (*(struct UserObject *)self).data[0] = lowerouter233;
  self = oldself233;
  selfslot = oldselfslot233;
  stackframe = oldstackframe233;
  gc_frame_end(frame);
  return obj233;
}
Object meth_collectionsPrelude_sequence232_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sequence$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var_IteratorExhausted = getfromclosure(closure, 3);
  Object *var_indexable = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject233 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj233 = alloc_userobj2(5,6, objclass233);
  gc_frame_newslot(obj233);
if (objclass233 == NULL) {
  glfree(obj233->class->name);
  obj233->class->name = "sequence";
}
// OBJECT OUTER DEC outer
  adddatum2(obj233, self, 0);
  addmethodreal(obj233,"outer", &reader_collectionsPrelude_outer_234);
  Object oldself233 = self;
  struct StackFrameObject *oldstackframe233 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe233);
  gc_frame_newslot((Object)stackframe);
  self = obj233;
  Object *oldselfslot233 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter233 = (*(struct UserObject *)self).data[0], lowerouter233 = thisouter233;
  if (inheritingObject233) {
    struct UserObject *inho233 = (struct UserObject *)inheritingObject233;
    while (inho233->super != GraceDefaultObject) inho233 = (struct UserObject *)inho233->super;
    inho233->super = obj233;
    self = inheritingObject233;
    *selfslot = self;
    lowerouter233 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter233;
  }
// method "asString"
  struct UserObject *uo235 = (struct UserObject*)obj233;
  uo235->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString235 = addmethod2pos(obj233, "asString", &meth_collectionsPrelude_asString235, 1);
  int argcv_meth_collectionsPrelude_asString235[] = {0};
  meth_meth_collectionsPrelude_asString235->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString235);
  meth_meth_collectionsPrelude_asString235->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString235->definitionLine = 466;
// method "empty"
  block_savedest(obj233);
  Object closure237 = createclosure(1, "empty");
  setclosureframe(closure237, stackframe);
  addtoclosure(closure237, var_emptySequence);
  struct UserObject *uo237 = (struct UserObject*)obj233;
  uo237->data[2] = (Object)closure237;
  Method *meth_meth_collectionsPrelude_empty237 = addmethod2pos(obj233, "empty", &meth_collectionsPrelude_empty237, 2);
  int argcv_meth_collectionsPrelude_empty237[] = {0};
  meth_meth_collectionsPrelude_empty237->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty237);
  meth_meth_collectionsPrelude_empty237->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty237->definitionLine = 468;
// method "withAll(_)"
  block_savedest(obj233);
  Object closure238 = createclosure(2, "withAll(1)");
  setclosureframe(closure238, stackframe);
  addtoclosure(closure238, var__prelude);
  addtoclosure(closure238, var_emptySequence);
  struct UserObject *uo238 = (struct UserObject*)obj233;
  uo238->data[3] = (Object)closure238;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_238 = addmethod2pos(obj233, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_238, 3);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_238[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_238->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_238);
  meth_meth_collectionsPrelude_withAll_40_1_41_238->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_238->definitionLine = 473;
// method "fromprimitiveArray(_,_)"
  block_savedest(obj233);
  Object closure320 = createclosure(4, "fromprimitiveArray(2)");
  setclosureframe(closure320, stackframe);
  addtoclosure(closure320, var_BoundsError);
  addtoclosure(closure320, var__prelude);
  addtoclosure(closure320, var_IteratorExhausted);
  addtoclosure(closure320, var_indexable);
  struct UserObject *uo320 = (struct UserObject*)obj233;
  uo320->data[4] = (Object)closure320;
  Method *meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320 = addmethod2pos(obj233, "fromprimitiveArray(2)", &meth_collectionsPrelude_fromprimitiveArray_40_2_41_320, 4);
  int argcv_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320[] = {2};
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320);
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320->definitionLine = 507;
  block_savedest(obj233);
  Object closure661 = createclosure(4, "fromprimitiveArray(2)$object(1)");
  setclosureframe(closure661, stackframe);
  addtoclosure(closure661, var_BoundsError);
  addtoclosure(closure661, var__prelude);
  addtoclosure(closure661, var_IteratorExhausted);
  addtoclosure(closure661, var_indexable);
  Method *meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object = addmethod2pos(obj233, "fromprimitiveArray(2)$object(1)", &meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object, 4);
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromprimitiveArray_40_2_41_320_object->definitionLine = 507;
  sourceObject = obj233;
  sourceObject = obj233;
  sourceObject = obj233;
  sourceObject = obj233;
  objclass233 = obj233->class;
  objclass233->definitionModule = modulename;
  objclass233->definitionLine = 464;
  (*(struct UserObject *)self).data[0] = lowerouter233;
  self = oldself233;
  selfslot = oldselfslot233;
  stackframe = oldstackframe233;
  gc_frame_end(frame);
  return obj233;
}
Object meth_collectionsPrelude__apply673(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_rightIter = getfromclosure(closure, 0);
  Object *var_leftIter = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe675 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_rightIter (depth = 7)
  Object call676 = callmethodflags(*var_rightIter, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe675);
// compiled member node returning call676 (depth = 6)
  int op_slot_right_674 = gc_frame_newslot(call676);
// starting to compile member node (depth = 6)
  int callframe678 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_leftIter (depth = 7)
  Object call679 = callmethodflags(*var_leftIter, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe678);
// compiled member node returning call679 (depth = 6)
  int op_slot_left_674 = gc_frame_newslot(call679);
  params[0] = call676;
  partcv[0] = 1;
  Object opresult680 = callmethod(call679, "&&(1)", 1, partcv, params);
// compiled op node returning opresult680 (depth = 5)
  gc_frame_end(frame);
  return opresult680;
}
Object meth_collectionsPrelude__apply683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_rightIter = getfromclosure(closure, 0);
  Object *var_leftIter = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rightIter (depth = 8)
  Object call687 = callmethodflags(*var_rightIter, "next", 0, partcv, params, 0);
  gc_frame_end(callframe686);
// compiled member node returning call687 (depth = 7)
  int op_slot_right_685 = gc_frame_newslot(call687);
// starting to compile member node (depth = 7)
  int callframe689 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_leftIter (depth = 8)
  Object call690 = callmethodflags(*var_leftIter, "next", 0, partcv, params, 0);
  gc_frame_end(callframe689);
// compiled member node returning call690 (depth = 7)
  int op_slot_left_685 = gc_frame_newslot(call690);
  params[0] = call687;
  partcv[0] = 1;
  Object opresult691 = callmethod(call690, "≠(1)", 1, partcv, params);
// compiled op node returning opresult691 (depth = 6)
  Object if684 = done;
  if (istrue(opresult691)) {
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool692 = alloc_Boolean(0);
// compiled identifier node returning bool692 (depth = 7)
  block_return(realself, bool692);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if684 = undefined;
  } else {
  }
// compiled if node returning if684 (depth = 5)
  gc_frame_end(frame);
  return if684;
}
Object meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isEqual(1)toIterable(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isEqual(_)toIterable(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isEqual(_)toIterable(_)");
  Object params[2];
  int partcv[2];
  Object *var_MinimalyIterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for isEqual(_)toIterable(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_left = &(stackframe->slots[0]);
  *var_left = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isEqual(_)");
  Object *var_right = &(stackframe->slots[1]);
  *var_right = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toIterable(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_leftIter = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "leftIter");
  Object *var_rightIter = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "rightIter");
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe665 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_right (depth = 4)
  gc_frame_newslot(*var_right);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_MinimalyIterable (depth = 4)
  params[0] = *var_right;
  partcv[0] = 1;
  Object call666 = callmethodflags(*var_MinimalyIterable, "match(1)", 1, partcv, params, 0);
  gc_frame_end(callframe665);
// compiled call node returning call666 (depth = 3)
  Object if664 = done;
  if (istrue(call666)) {
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe667 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_left (depth = 5)
  Object call668 = callmethodflags(*var_left, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe667);
// compiled member node returning call668 (depth = 4)
  *var_leftIter = call668;
  if (call668 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe669 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_right (depth = 5)
  Object call670 = callmethodflags(*var_right, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe669);
// compiled member node returning call670 (depth = 4)
  *var_rightIter = call670;
  if (call670 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe671 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block672 = alloc_Block(NULL, NULL, "collectionsPrelude", 609);
  gc_frame_newslot(block672);
// method "_apply"
  block_savedest(block672);
  Object closure673 = createclosure(3, "_apply");
  setclosureframe(closure673, stackframe);
  addtoclosure(closure673, var_rightIter);
  addtoclosure(closure673, var_leftIter);
  addtoclosure(closure673, selfslot);
  struct UserObject *uo673 = (struct UserObject*)block672;
  uo673->data[0] = (Object)closure673;
  Method *meth_meth_collectionsPrelude__apply673 = addmethod2pos(block672, "_apply", &meth_collectionsPrelude__apply673, 0);
  int argcv_meth_collectionsPrelude__apply673[] = {0};
  meth_meth_collectionsPrelude__apply673->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply673);
  meth_meth_collectionsPrelude__apply673->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply673->definitionLine = 1990;
// compiled block node returning block672 (depth = 4)
  gc_frame_newslot(block672);
// starting to compile block node (depth = 4)
  Object block682 = alloc_Block(NULL, NULL, "collectionsPrelude", 609);
  gc_frame_newslot(block682);
// method "_apply"
  block_savedest(block682);
  Object closure683 = createclosure(3, "_apply");
  setclosureframe(closure683, stackframe);
  addtoclosure(closure683, var_rightIter);
  addtoclosure(closure683, var_leftIter);
  addtoclosure(closure683, selfslot);
  struct UserObject *uo683 = (struct UserObject*)block682;
  uo683->data[0] = (Object)closure683;
  Method *meth_meth_collectionsPrelude__apply683 = addmethod2pos(block682, "_apply", &meth_collectionsPrelude__apply683, 0);
  int argcv_meth_collectionsPrelude__apply683[] = {0};
  meth_meth_collectionsPrelude__apply683->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply683);
  meth_meth_collectionsPrelude__apply683->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply683->definitionLine = 1990;
// compiled block node returning block682 (depth = 4)
  gc_frame_newslot(block682);
// call case 5: prelude request
  params[0] = block672;
  params[1] = block682;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call694 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe671);
// compiled call node returning call694 (depth = 3)
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe696 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_rightIter (depth = 5)
  Object call697 = callmethodflags(*var_rightIter, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe696);
// compiled member node returning call697 (depth = 4)
  int op_slot_right_695 = gc_frame_newslot(call697);
// starting to compile member node (depth = 4)
  int callframe699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_leftIter (depth = 5)
  Object call700 = callmethodflags(*var_leftIter, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 4)
  int op_slot_left_695 = gc_frame_newslot(call700);
  params[0] = call697;
  partcv[0] = 1;
  Object opresult701 = callmethod(call700, "==(1)", 1, partcv, params);
// compiled op node returning opresult701 (depth = 3)
    gc_frame_newslot(opresult701);
    if664 = opresult701;
  } else {
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool702 = alloc_Boolean(0);
// compiled identifier node returning bool702 (depth = 3)
    gc_frame_newslot(bool702);
    if664 = bool702;
  }
// compiled if node returning if664 (depth = 2)
  gc_frame_end(frame);
  return if664;
}
Object meth_collectionsPrelude_asString706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit707 == NULL) {
    strlit707 = alloc_String("a list factory");
    gc_root(strlit707);
  }
// compiled string node returning strlit707 (depth = 2)
  gc_frame_end(frame);
  return strlit707;
}
Object meth_collectionsPrelude_empty708(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe709 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySequence (depth = 3)
  gc_frame_newslot(*var_emptySequence);
// call case 4: self request
  params[0] = *var_emptySequence;
  partcv[0] = 1;
  Object call710 = callmethodflags(self, "withAll(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe709);
// compiled call node returning call710 (depth = 2)
  gc_frame_end(frame);
  return call710;
}
Object meth_collectionsPrelude_size725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe726 = gc_frame_new();
// call case 4: self request
  Object call727 = callmethodflags(self, "sz", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe726);
// compiled member node returning call727 (depth = 6)
  gc_frame_end(frame);
  return call727;
}
Object meth_collectionsPrelude_at_40_1_41_728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_at_40_1_41_put_40_1_41_729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)put(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for at(_)put(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *var_x = &(stackframe->slots[1]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part put(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe730 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num732 = alloc_Float64(1);
// compiled num node returning num732 (depth = 8)
  int op_slot_right_731 = gc_frame_newslot(num732);
// starting to compile member node (depth = 8)
  int callframe734 = gc_frame_new();
// call case 4: self request
  Object call735 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe734);
// compiled member node returning call735 (depth = 8)
  int op_slot_left_731 = gc_frame_newslot(call735);
  params[0] = num732;
  partcv[0] = 1;
  Object sum736 = callmethod(call735, "+(1)", 1, partcv, params);
// compiled op node returning sum736 (depth = 7)
  gc_frame_newslot(sum736);
// call case 4: self request
  params[0] = sum736;
  partcv[0] = 1;
  Object call737 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe730);
// compiled call node returning call737 (depth = 6)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_add_40_1_41_738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "add(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method add(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for add(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part add(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe739 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num741 = alloc_Float64(1);
// compiled num node returning num741 (depth = 8)
  int op_slot_right_740 = gc_frame_newslot(num741);
// starting to compile member node (depth = 8)
  int callframe743 = gc_frame_new();
// call case 4: self request
  Object call744 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe743);
// compiled member node returning call744 (depth = 8)
  int op_slot_left_740 = gc_frame_newslot(call744);
  params[0] = num741;
  partcv[0] = 1;
  Object sum745 = callmethod(call744, "+(1)", 1, partcv, params);
// compiled op node returning sum745 (depth = 7)
  gc_frame_newslot(sum745);
// call case 4: self request
  params[0] = sum745;
  partcv[0] = 1;
  Object call746 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe739);
// compiled call node returning call746 (depth = 6)
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_push_40_1_41_747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part push(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe748 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num750 = alloc_Float64(1);
// compiled num node returning num750 (depth = 8)
  int op_slot_right_749 = gc_frame_newslot(num750);
// starting to compile member node (depth = 8)
  int callframe752 = gc_frame_new();
// call case 4: self request
  Object call753 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe752);
// compiled member node returning call753 (depth = 8)
  int op_slot_left_749 = gc_frame_newslot(call753);
  params[0] = num750;
  partcv[0] = 1;
  Object sum754 = callmethod(call753, "+(1)", 1, partcv, params);
// compiled op node returning sum754 (depth = 7)
  gc_frame_newslot(sum754);
// call case 4: self request
  params[0] = sum754;
  partcv[0] = 1;
  Object call755 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe748);
// compiled call node returning call755 (depth = 6)
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_removeLast756(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeLast");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe757 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num759 = alloc_Float64(1);
// compiled num node returning num759 (depth = 8)
  int op_slot_right_758 = gc_frame_newslot(num759);
// starting to compile member node (depth = 8)
  int callframe761 = gc_frame_new();
// call case 4: self request
  Object call762 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe761);
// compiled member node returning call762 (depth = 8)
  int op_slot_left_758 = gc_frame_newslot(call762);
  params[0] = num759;
  partcv[0] = 1;
  Object sum763 = callmethod(call762, "+(1)", 1, partcv, params);
// compiled op node returning sum763 (depth = 7)
  gc_frame_newslot(sum763);
// call case 4: self request
  params[0] = sum763;
  partcv[0] = 1;
  Object call764 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe757);
// compiled call node returning call764 (depth = 6)
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_clear765(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "clear");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe766 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num768 = alloc_Float64(1);
// compiled num node returning num768 (depth = 8)
  int op_slot_right_767 = gc_frame_newslot(num768);
// starting to compile member node (depth = 8)
  int callframe770 = gc_frame_new();
// call case 4: self request
  Object call771 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe770);
// compiled member node returning call771 (depth = 8)
  int op_slot_left_767 = gc_frame_newslot(call771);
  params[0] = num768;
  partcv[0] = 1;
  Object sum772 = callmethod(call771, "+(1)", 1, partcv, params);
// compiled op node returning sum772 (depth = 7)
  gc_frame_newslot(sum772);
// call case 4: self request
  params[0] = sum772;
  partcv[0] = 1;
  Object call773 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe766);
// compiled call node returning call773 (depth = 6)
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply787(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num789 = alloc_Float64(0);
// compiled num node returning num789 (depth = 9)
  int op_slot_right_788 = gc_frame_newslot(num789);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  int op_slot_left_788 = gc_frame_newslot(*var_ix);
  params[0] = num789;
  partcv[0] = 1;
  Object opresult791 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult791 (depth = 8)
  gc_frame_end(frame);
  return opresult791;
}
Object meth_collectionsPrelude__apply794(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_l = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_each = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "each");
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe795 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_l (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call796 = callmethodflags(*var_l, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe795);
// compiled call node returning call796 (depth = 9)
  *var_each = call796;
  if (call796 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num798 = alloc_Float64(1);
// compiled num node returning num798 (depth = 10)
  int op_slot_right_797 = gc_frame_newslot(num798);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  int op_slot_left_797 = gc_frame_newslot(*var_ix);
  params[0] = num798;
  partcv[0] = 1;
  Object diff800 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff800 (depth = 9)
  *var_ix = diff800;
  if (diff800 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
// compiled call node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_addAllFirst_40_1_41_774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAllFirst(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAllFirst(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addAllFirst(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAllFirst(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe775 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num777 = alloc_Float64(1);
// compiled num node returning num777 (depth = 8)
  int op_slot_right_776 = gc_frame_newslot(num777);
// starting to compile member node (depth = 8)
  int callframe779 = gc_frame_new();
// call case 4: self request
  Object call780 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe779);
// compiled member node returning call780 (depth = 8)
  int op_slot_left_776 = gc_frame_newslot(call780);
  params[0] = num777;
  partcv[0] = 1;
  Object sum781 = callmethod(call780, "+(1)", 1, partcv, params);
// compiled op node returning sum781 (depth = 7)
  gc_frame_newslot(sum781);
// call case 4: self request
  params[0] = sum781;
  partcv[0] = 1;
  Object call782 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe775);
// compiled call node returning call782 (depth = 6)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe783 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_l (depth = 8)
  Object call784 = callmethodflags(*var_l, "size", 0, partcv, params, 0);
  gc_frame_end(callframe783);
// compiled member node returning call784 (depth = 7)
  *var_ix = call784;
  if (call784 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe785 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block786 = alloc_Block(NULL, NULL, "collectionsPrelude", 697);
  gc_frame_newslot(block786);
// method "_apply"
  block_savedest(block786);
  Object closure787 = createclosure(2, "_apply");
  setclosureframe(closure787, stackframe);
  addtoclosure(closure787, var_ix);
  addtoclosure(closure787, selfslot);
  struct UserObject *uo787 = (struct UserObject*)block786;
  uo787->data[0] = (Object)closure787;
  Method *meth_meth_collectionsPrelude__apply787 = addmethod2pos(block786, "_apply", &meth_collectionsPrelude__apply787, 0);
  int argcv_meth_collectionsPrelude__apply787[] = {0};
  meth_meth_collectionsPrelude__apply787->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply787);
  meth_meth_collectionsPrelude__apply787->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply787->definitionLine = 1990;
// compiled block node returning block786 (depth = 7)
  gc_frame_newslot(block786);
// starting to compile block node (depth = 7)
  Object block793 = alloc_Block(NULL, NULL, "collectionsPrelude", 697);
  gc_frame_newslot(block793);
// method "_apply"
  block_savedest(block793);
  Object closure794 = createclosure(3, "_apply");
  setclosureframe(closure794, stackframe);
  addtoclosure(closure794, var_ix);
  addtoclosure(closure794, var_l);
  addtoclosure(closure794, selfslot);
  struct UserObject *uo794 = (struct UserObject*)block793;
  uo794->data[0] = (Object)closure794;
  Method *meth_meth_collectionsPrelude__apply794 = addmethod2pos(block793, "_apply", &meth_collectionsPrelude__apply794, 0);
  int argcv_meth_collectionsPrelude__apply794[] = {0};
  meth_meth_collectionsPrelude__apply794->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply794);
  meth_meth_collectionsPrelude__apply794->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply794->definitionLine = 1990;
// compiled block node returning block793 (depth = 7)
  gc_frame_newslot(block793);
// call case 5: prelude request
  params[0] = block786;
  params[1] = block793;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call803 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe785);
// compiled call node returning call803 (depth = 6)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_removeAt_40_1_41_804(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAt(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAt(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAt(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAt(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_removed = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "removed");
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe805 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num807 = alloc_Float64(1);
// compiled num node returning num807 (depth = 8)
  int op_slot_right_806 = gc_frame_newslot(num807);
// starting to compile member node (depth = 8)
  int callframe809 = gc_frame_new();
// call case 4: self request
  Object call810 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe809);
// compiled member node returning call810 (depth = 8)
  int op_slot_left_806 = gc_frame_newslot(call810);
  params[0] = num807;
  partcv[0] = 1;
  Object sum811 = callmethod(call810, "+(1)", 1, partcv, params);
// compiled op node returning sum811 (depth = 7)
  gc_frame_newslot(sum811);
// call case 4: self request
  params[0] = sum811;
  partcv[0] = 1;
  Object call812 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe805);
// compiled call node returning call812 (depth = 6)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe813 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call814 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe813);
// compiled call node returning call814 (depth = 7)
  *var_removed = call814;
  if (call814 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  return *var_removed;
// compiled return node returning undefined (depth = 6)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_sortBy_40_1_41_815(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe816 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num818 = alloc_Float64(1);
// compiled num node returning num818 (depth = 8)
  int op_slot_right_817 = gc_frame_newslot(num818);
// starting to compile member node (depth = 8)
  int callframe820 = gc_frame_new();
// call case 4: self request
  Object call821 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe820);
// compiled member node returning call821 (depth = 8)
  int op_slot_left_817 = gc_frame_newslot(call821);
  params[0] = num818;
  partcv[0] = 1;
  Object sum822 = callmethod(call821, "+(1)", 1, partcv, params);
// compiled op node returning sum822 (depth = 7)
  gc_frame_newslot(sum822);
// call case 4: self request
  params[0] = sum822;
  partcv[0] = 1;
  Object call823 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe816);
// compiled call node returning call823 (depth = 6)
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_addLast_40_1_41_824(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addLast(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addLast(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addLast(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addLast(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe825 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call826 = callmethodflags(self, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe825);
// compiled call node returning call826 (depth = 6)
  gc_frame_end(frame);
  return call826;
}
Object meth_collectionsPrelude__apply_40_1_41_830(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe831 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call832 = callmethodflags(self, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe831);
// compiled call node returning call832 (depth = 8)
  gc_frame_end(frame);
  return call832;
}
Object meth_collectionsPrelude_addAll_40_1_41_827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAll(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe828 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 7)
  Object block829 = alloc_Block(NULL, NULL, "collectionsPrelude", 728);
  gc_frame_newslot(block829);
// method "_apply(_)"
  block_savedest(block829);
  Object closure830 = createclosure(1, "_apply(1)");
  setclosureframe(closure830, stackframe);
  addtoclosure(closure830, selfslot);
  struct UserObject *uo830 = (struct UserObject*)block829;
  uo830->data[0] = (Object)closure830;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_830 = addmethod2pos(block829, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_830, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_830[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_830->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_830);
  meth_meth_collectionsPrelude__apply_40_1_41_830->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_830->definitionLine = 1990;
// compiled block node returning block829 (depth = 7)
  gc_frame_newslot(block829);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block829;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call834 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe828);
// compiled call node returning call834 (depth = 6)
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_addFirst_40_1_41_835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addFirst(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFirst(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addFirst(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elem = &(stackframe->slots[0]);
  *var_elem = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addFirst(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe836 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num838 = alloc_Float64(1);
// compiled num node returning num838 (depth = 8)
  int op_slot_right_837 = gc_frame_newslot(num838);
// starting to compile member node (depth = 8)
  int callframe840 = gc_frame_new();
// call case 4: self request
  Object call841 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe840);
// compiled member node returning call841 (depth = 8)
  int op_slot_left_837 = gc_frame_newslot(call841);
  params[0] = num838;
  partcv[0] = 1;
  Object sum842 = callmethod(call841, "+(1)", 1, partcv, params);
// compiled op node returning sum842 (depth = 7)
  gc_frame_newslot(sum842);
// call case 4: self request
  params[0] = sum842;
  partcv[0] = 1;
  Object call843 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe836);
// compiled call node returning call843 (depth = 6)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_removeFirst844(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeFirst");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe845 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num846 = alloc_Float64(1);
// compiled num node returning num846 (depth = 7)
  gc_frame_newslot(num846);
// call case 4: self request
  params[0] = num846;
  partcv[0] = 1;
  Object call847 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe845);
// compiled call node returning call847 (depth = 6)
  gc_frame_end(frame);
  return call847;
}
Object meth_collectionsPrelude__apply851(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elt = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe852 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit854 == NULL) {
    strlit854 = alloc_String("");
    gc_root(strlit854);
  }
// compiled string node returning strlit854 (depth = 11)
  int op_slot_right_853 = gc_frame_newslot(strlit854);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_elt (depth = 12)
  int op_slot_right_856 = gc_frame_newslot(*var_elt);
// starting to compile string node (depth = 12)
  if (strlit858 == NULL) {
    strlit858 = alloc_String("list does not contain object ");
    gc_root(strlit858);
  }
// compiled string node returning strlit858 (depth = 12)
  int op_slot_left_856 = gc_frame_newslot(strlit858);
  params[0] = *var_elt;
  partcv[0] = 1;
  Object opresult859 = callmethod(strlit858, "++(1)", 1, partcv, params);
// compiled op node returning opresult859 (depth = 11)
  int op_slot_left_853 = gc_frame_newslot(opresult859);
  params[0] = strlit854;
  partcv[0] = 1;
  Object opresult860 = callmethod(opresult859, "++(1)", 1, partcv, params);
// compiled op node returning opresult860 (depth = 10)
  gc_frame_newslot(opresult860);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_NoSuchObject (depth = 10)
  params[0] = opresult860;
  partcv[0] = 1;
  Object call861 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe852);
// compiled call node returning call861 (depth = 9)
  gc_frame_end(frame);
  return call861;
}
Object meth_collectionsPrelude_remove_40_1_41_848(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "remove(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for remove(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe849 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_elt (depth = 8)
  gc_frame_newslot(*var_elt);
// starting to compile block node (depth = 8)
  Object block850 = alloc_Block(NULL, NULL, "collectionsPrelude", 744);
  gc_frame_newslot(block850);
// method "_apply"
  block_savedest(block850);
  Object closure851 = createclosure(3, "_apply");
  setclosureframe(closure851, stackframe);
  addtoclosure(closure851, var_elt);
  addtoclosure(closure851, var_NoSuchObject);
  addtoclosure(closure851, selfslot);
  struct UserObject *uo851 = (struct UserObject*)block850;
  uo851->data[0] = (Object)closure851;
  Method *meth_meth_collectionsPrelude__apply851 = addmethod2pos(block850, "_apply", &meth_collectionsPrelude__apply851, 0);
  int argcv_meth_collectionsPrelude__apply851[] = {0};
  meth_meth_collectionsPrelude__apply851->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply851);
  meth_meth_collectionsPrelude__apply851->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply851->definitionLine = 1990;
// compiled block node returning block850 (depth = 8)
  gc_frame_newslot(block850);
// call case 4: self request
  params[0] = *var_elt;
  params[1] = block850;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call863 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe849);
// compiled call node returning call863 (depth = 7)
  *var_ix = call863;
  if (call863 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe864 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call865 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe864);
// compiled call node returning call865 (depth = 6)
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply869(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe870 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_action (depth = 11)
  Object call871 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe870);
// compiled member node returning call871 (depth = 10)
  block_return(realself, call871);
// compiled return node returning undefined (depth = 9)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for remove(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ix");
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe867 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_elt (depth = 8)
  gc_frame_newslot(*var_elt);
// starting to compile block node (depth = 8)
  Object block868 = alloc_Block(NULL, NULL, "collectionsPrelude", 753);
  gc_frame_newslot(block868);
// method "_apply"
  block_savedest(block868);
  Object closure869 = createclosure(2, "_apply");
  setclosureframe(closure869, stackframe);
  addtoclosure(closure869, var_action);
  addtoclosure(closure869, selfslot);
  struct UserObject *uo869 = (struct UserObject*)block868;
  uo869->data[0] = (Object)closure869;
  Method *meth_meth_collectionsPrelude__apply869 = addmethod2pos(block868, "_apply", &meth_collectionsPrelude__apply869, 0);
  int argcv_meth_collectionsPrelude__apply869[] = {0};
  meth_meth_collectionsPrelude__apply869->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply869);
  meth_meth_collectionsPrelude__apply869->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply869->definitionLine = 1990;
// compiled block node returning block868 (depth = 8)
  gc_frame_newslot(block868);
// call case 4: self request
  params[0] = *var_elt;
  params[1] = block868;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call873 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe867);
// compiled call node returning call873 (depth = 7)
  *var_ix = call873;
  if (call873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe874 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call875 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe874);
// compiled call node returning call875 (depth = 6)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply879(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe880 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit881 == NULL) {
    strlit881 = alloc_String("list does not contain object");
    gc_root(strlit881);
  }
// compiled string node returning strlit881 (depth = 9)
  gc_frame_newslot(strlit881);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_NoSuchObject (depth = 9)
  params[0] = strlit881;
  partcv[0] = 1;
  Object call882 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe880);
// compiled call node returning call882 (depth = 8)
  gc_frame_end(frame);
  return call882;
}
Object meth_collectionsPrelude_removeAll_40_1_41_876(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe877 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_vs (depth = 7)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 7)
  Object block878 = alloc_Block(NULL, NULL, "collectionsPrelude", 761);
  gc_frame_newslot(block878);
// method "_apply"
  block_savedest(block878);
  Object closure879 = createclosure(2, "_apply");
  setclosureframe(closure879, stackframe);
  addtoclosure(closure879, var_NoSuchObject);
  addtoclosure(closure879, selfslot);
  struct UserObject *uo879 = (struct UserObject*)block878;
  uo879->data[0] = (Object)closure879;
  Method *meth_meth_collectionsPrelude__apply879 = addmethod2pos(block878, "_apply", &meth_collectionsPrelude__apply879, 0);
  int argcv_meth_collectionsPrelude__apply879[] = {0};
  meth_meth_collectionsPrelude__apply879->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply879);
  meth_meth_collectionsPrelude__apply879->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply879->definitionLine = 1990;
// compiled block node returning block878 (depth = 7)
  gc_frame_newslot(block878);
// call case 4: self request
  params[0] = *var_vs;
  params[1] = block878;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call884 = callmethodflags(self, "removeAll(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe877);
// compiled call node returning call884 (depth = 6)
  gc_frame_end(frame);
  return call884;
}
Object meth_collectionsPrelude__apply891(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile num node (depth = 11)
  Object num892 = alloc_Float64(0);
// compiled num node returning num892 (depth = 11)
  gc_frame_end(frame);
  return num892;
}
Object meth_collectionsPrelude__apply_40_1_41_888(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe889 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_each (depth = 10)
  gc_frame_newslot(*var_each);
// starting to compile block node (depth = 10)
  Object block890 = alloc_Block(NULL, NULL, "collectionsPrelude", 767);
  gc_frame_newslot(block890);
// method "_apply"
  block_savedest(block890);
  Object closure891 = createclosure(1, "_apply");
  setclosureframe(closure891, stackframe);
  addtoclosure(closure891, selfslot);
  struct UserObject *uo891 = (struct UserObject*)block890;
  uo891->data[0] = (Object)closure891;
  Method *meth_meth_collectionsPrelude__apply891 = addmethod2pos(block890, "_apply", &meth_collectionsPrelude__apply891, 0);
  int argcv_meth_collectionsPrelude__apply891[] = {0};
  meth_meth_collectionsPrelude__apply891->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply891);
  meth_meth_collectionsPrelude__apply891->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply891->definitionLine = 1990;
// compiled block node returning block890 (depth = 10)
  gc_frame_newslot(block890);
// call case 4: self request
  params[0] = *var_each;
  params[1] = block890;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call894 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe889);
// compiled call node returning call894 (depth = 9)
  *var_ix = call894;
  if (call894 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num897 = alloc_Float64(0);
// compiled num node returning num897 (depth = 10)
  int op_slot_right_896 = gc_frame_newslot(num897);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  int op_slot_left_896 = gc_frame_newslot(*var_ix);
  params[0] = num897;
  partcv[0] = 1;
  Object opresult899 = callmethod(*var_ix, "≠(1)", 1, partcv, params);
// compiled op node returning opresult899 (depth = 9)
  Object if895 = done;
  if (istrue(opresult899)) {
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe900 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call901 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe900);
// compiled call node returning call901 (depth = 9)
    gc_frame_newslot(call901);
    if895 = call901;
  } else {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_action (depth = 10)
  Object call903 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe902);
// compiled member node returning call903 (depth = 9)
    gc_frame_newslot(call903);
    if895 = call903;
  }
// compiled if node returning if895 (depth = 8)
  gc_frame_end(frame);
  return if895;
}
Object meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAll(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe886 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_vs (depth = 7)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 7)
  Object block887 = alloc_Block(NULL, NULL, "collectionsPrelude", 766);
  gc_frame_newslot(block887);
// method "_apply(_)"
  block_savedest(block887);
  Object closure888 = createclosure(2, "_apply(1)");
  setclosureframe(closure888, stackframe);
  addtoclosure(closure888, var_action);
  addtoclosure(closure888, selfslot);
  struct UserObject *uo888 = (struct UserObject*)block887;
  uo888->data[0] = (Object)closure888;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_888 = addmethod2pos(block887, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_888, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_888[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_888->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_888);
  meth_meth_collectionsPrelude__apply_40_1_41_888->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_888->definitionLine = 1990;
// compiled block node returning block887 (depth = 7)
  gc_frame_newslot(block887);
// call case 5: prelude request
  params[0] = *var_vs;
  params[1] = block887;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call905 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe886);
// compiled call node returning call905 (depth = 6)
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_pop906(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe907 = gc_frame_new();
// call case 4: self request
  Object call908 = callmethodflags(self, "removeLast", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe907);
// compiled member node returning call908 (depth = 6)
  gc_frame_end(frame);
  return call908;
}
Object meth_collectionsPrelude__apply_40_1_41_920(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe921 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_result (depth = 9)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call922 = callmethodflags(*var_result, "addFirst(1)", 1, partcv, params, 0);
  gc_frame_end(callframe921);
// compiled call node returning call922 (depth = 8)
  gc_frame_end(frame);
  return call922;
}
Object meth_collectionsPrelude_reversed909(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe910 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe911 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe912 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe913 = gc_frame_new();
// call case 3: self.outer request
  Object call914 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe913);
// compiled member node returning call914 (depth = 10)
  Object call915 = callmethodflags(call914, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe912);
// compiled member node returning call915 (depth = 9)
  Object call916 = callmethodflags(call915, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe911);
// compiled member node returning call916 (depth = 8)
  Object call917 = callmethodflags(call916, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe910);
// compiled member node returning call917 (depth = 7)
  *var_result = call917;
  if (call917 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe918 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block919 = alloc_Block(NULL, NULL, "collectionsPrelude", 781);
  gc_frame_newslot(block919);
// method "_apply(_)"
  block_savedest(block919);
  Object closure920 = createclosure(2, "_apply(1)");
  setclosureframe(closure920, stackframe);
  addtoclosure(closure920, var_result);
  addtoclosure(closure920, selfslot);
  struct UserObject *uo920 = (struct UserObject*)block919;
  uo920->data[0] = (Object)closure920;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_920 = addmethod2pos(block919, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_920, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_920[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_920->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_920);
  meth_meth_collectionsPrelude__apply_40_1_41_920->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_920->definitionLine = 1990;
// compiled block node returning block919 (depth = 7)
  gc_frame_newslot(block919);
// call case 4: self request
  params[0] = block919;
  partcv[0] = 1;
  Object call924 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe918);
// compiled call node returning call924 (depth = 6)
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply939(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_hiIx (depth = 9)
  int op_slot_right_940 = gc_frame_newslot(*var_hiIx);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_loIx (depth = 9)
  int op_slot_left_940 = gc_frame_newslot(*var_loIx);
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object opresult942 = callmethod(*var_loIx, "<(1)", 1, partcv, params);
// compiled op node returning opresult942 (depth = 8)
  gc_frame_end(frame);
  return opresult942;
}
Object meth_collectionsPrelude__apply945(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiVal = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiVal");
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe946 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_hiIx (depth = 10)
  gc_frame_newslot(*var_hiIx);
// call case 4: self request
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object call947 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe946);
// compiled call node returning call947 (depth = 9)
  *var_hiVal = call947;
  if (call947 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe948 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_hiIx (depth = 9)
  gc_frame_newslot(*var_hiIx);
// starting to compile call node (depth = 9)
  int callframe949 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_loIx (depth = 10)
  gc_frame_newslot(*var_loIx);
// call case 4: self request
  params[0] = *var_loIx;
  partcv[0] = 1;
  Object call950 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe949);
// compiled call node returning call950 (depth = 9)
  gc_frame_newslot(call950);
// call case 4: self request
  params[0] = *var_hiIx;
  params[1] = call950;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call951 = callmethodflags(self, "at(1)put(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe948);
// compiled call node returning call951 (depth = 8)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe952 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_loIx (depth = 9)
  gc_frame_newslot(*var_loIx);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_hiVal (depth = 9)
  gc_frame_newslot(*var_hiVal);
// call case 4: self request
  params[0] = *var_loIx;
  params[1] = *var_hiVal;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call953 = callmethodflags(self, "at(1)put(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe952);
// compiled call node returning call953 (depth = 8)
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num955 = alloc_Float64(1);
// compiled num node returning num955 (depth = 10)
  int op_slot_right_954 = gc_frame_newslot(num955);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_hiIx (depth = 10)
  int op_slot_left_954 = gc_frame_newslot(*var_hiIx);
  params[0] = num955;
  partcv[0] = 1;
  Object diff957 = callmethod(*var_hiIx, "-(1)", 1, partcv, params);
// compiled op node returning diff957 (depth = 9)
  *var_hiIx = diff957;
  if (diff957 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num960 = alloc_Float64(1);
// compiled num node returning num960 (depth = 10)
  int op_slot_right_959 = gc_frame_newslot(num960);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_loIx (depth = 10)
  int op_slot_left_959 = gc_frame_newslot(*var_loIx);
  params[0] = num960;
  partcv[0] = 1;
  Object sum962 = callmethod(*var_loIx, "+(1)", 1, partcv, params);
// compiled op node returning sum962 (depth = 9)
  *var_loIx = sum962;
  if (sum962 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_reverse925(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reverse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiIx = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiIx");
  Object *var_loIx = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "loIx");
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe926 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num928 = alloc_Float64(1);
// compiled num node returning num928 (depth = 8)
  int op_slot_right_927 = gc_frame_newslot(num928);
// starting to compile member node (depth = 8)
  int callframe930 = gc_frame_new();
// call case 4: self request
  Object call931 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe930);
// compiled member node returning call931 (depth = 8)
  int op_slot_left_927 = gc_frame_newslot(call931);
  params[0] = num928;
  partcv[0] = 1;
  Object sum932 = callmethod(call931, "+(1)", 1, partcv, params);
// compiled op node returning sum932 (depth = 7)
  gc_frame_newslot(sum932);
// call case 4: self request
  params[0] = sum932;
  partcv[0] = 1;
  Object call933 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe926);
// compiled call node returning call933 (depth = 6)
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe934 = gc_frame_new();
// call case 4: self request
  Object call935 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe934);
// compiled member node returning call935 (depth = 7)
  *var_hiIx = call935;
  if (call935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile num node (depth = 7)
  Object num936 = alloc_Float64(1);
// compiled num node returning num936 (depth = 7)
  *var_loIx = num936;
  if (num936 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe937 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block938 = alloc_Block(NULL, NULL, "collectionsPrelude", 788);
  gc_frame_newslot(block938);
// method "_apply"
  block_savedest(block938);
  Object closure939 = createclosure(3, "_apply");
  setclosureframe(closure939, stackframe);
  addtoclosure(closure939, var_hiIx);
  addtoclosure(closure939, var_loIx);
  addtoclosure(closure939, selfslot);
  struct UserObject *uo939 = (struct UserObject*)block938;
  uo939->data[0] = (Object)closure939;
  Method *meth_meth_collectionsPrelude__apply939 = addmethod2pos(block938, "_apply", &meth_collectionsPrelude__apply939, 0);
  int argcv_meth_collectionsPrelude__apply939[] = {0};
  meth_meth_collectionsPrelude__apply939->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply939);
  meth_meth_collectionsPrelude__apply939->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply939->definitionLine = 1990;
// compiled block node returning block938 (depth = 7)
  gc_frame_newslot(block938);
// starting to compile block node (depth = 7)
  Object block944 = alloc_Block(NULL, NULL, "collectionsPrelude", 788);
  gc_frame_newslot(block944);
// method "_apply"
  block_savedest(block944);
  Object closure945 = createclosure(3, "_apply");
  setclosureframe(closure945, stackframe);
  addtoclosure(closure945, var_hiIx);
  addtoclosure(closure945, var_loIx);
  addtoclosure(closure945, selfslot);
  struct UserObject *uo945 = (struct UserObject*)block944;
  uo945->data[0] = (Object)closure945;
  Method *meth_meth_collectionsPrelude__apply945 = addmethod2pos(block944, "_apply", &meth_collectionsPrelude__apply945, 0);
  int argcv_meth_collectionsPrelude__apply945[] = {0};
  meth_meth_collectionsPrelude__apply945->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply945);
  meth_meth_collectionsPrelude__apply945->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply945->definitionLine = 1990;
// compiled block node returning block944 (depth = 7)
  gc_frame_newslot(block944);
// call case 5: prelude request
  params[0] = block938;
  params[1] = block944;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call965 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe937);
// compiled call node returning call965 (depth = 6)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__43__43__40_1_41_966(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_l = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "l");
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe967 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe969 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe970 = gc_frame_new();
// call case 3: self.outer request
  Object call971 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe970);
// compiled member node returning call971 (depth = 10)
  Object call972 = callmethodflags(call971, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe969);
// compiled member node returning call972 (depth = 9)
  Object call973 = callmethodflags(call972, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe968);
// compiled member node returning call973 (depth = 8)
  params[0] = self;
  partcv[0] = 1;
  Object call974 = callmethodflags(call973, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe967);
// compiled call node returning call974 (depth = 7)
  *var_l = call974;
  if (call974 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe975 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call976 = callmethodflags(*var_l, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe975);
// compiled call node returning call976 (depth = 6)
  gc_frame_end(frame);
  return call976;
}
Object meth_collectionsPrelude__apply_40_1_41_987(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_curSize = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe989 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 11)
  int callframe990 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call991 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe990);
// compiled call node returning call991 (depth = 11)
  Object call992 = callmethodflags(call991, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe989);
// compiled member node returning call992 (depth = 10)
  int op_slot_right_988 = gc_frame_newslot(call992);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_988 = gc_frame_newslot(*var_s);
  params[0] = call992;
  partcv[0] = 1;
  Object opresult994 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult994 (depth = 9)
  *var_s = opresult994;
  if (opresult994 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_curSize (depth = 10)
  int op_slot_right_997 = gc_frame_newslot(*var_curSize);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  int op_slot_left_997 = gc_frame_newslot(*var_i);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult999 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult999 (depth = 9)
  Object if996 = done;
  if (istrue(opresult999)) {
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1001 == NULL) {
    strlit1001 = alloc_String(", ");
    gc_root(strlit1001);
  }
// compiled string node returning strlit1001 (depth = 11)
  int op_slot_right_1000 = gc_frame_newslot(strlit1001);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1000 = gc_frame_newslot(*var_s);
  params[0] = strlit1001;
  partcv[0] = 1;
  Object opresult1003 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1003 (depth = 10)
  *var_s = opresult1003;
  if (opresult1003 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if996 = done;
  } else {
  }
// compiled if node returning if996 (depth = 8)
  gc_frame_end(frame);
  return if996;
}
Object meth_collectionsPrelude_asString977(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
  Object *var_curSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "curSize");
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit978 == NULL) {
    strlit978 = alloc_String("[");
    gc_root(strlit978);
  }
// compiled string node returning strlit978 (depth = 7)
  *var_s = strlit978;
  if (strlit978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe979 = gc_frame_new();
// call case 4: self request
  Object call980 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe979);
// compiled member node returning call980 (depth = 7)
  *var_curSize = call980;
  if (call980 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe981 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_curSize (depth = 8)
  int op_slot_right_982 = gc_frame_newslot(*var_curSize);
// starting to compile num node (depth = 8)
  Object num984 = alloc_Float64(1);
// compiled num node returning num984 (depth = 8)
  int op_slot_left_982 = gc_frame_newslot(num984);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult985 = callmethod(num984, "..(1)", 1, partcv, params);
// compiled op node returning opresult985 (depth = 7)
  gc_frame_newslot(opresult985);
// starting to compile block node (depth = 7)
  Object block986 = alloc_Block(NULL, NULL, "collectionsPrelude", 807);
  gc_frame_newslot(block986);
// method "_apply(_)"
  block_savedest(block986);
  Object closure987 = createclosure(3, "_apply(1)");
  setclosureframe(closure987, stackframe);
  addtoclosure(closure987, var_s);
  addtoclosure(closure987, var_curSize);
  addtoclosure(closure987, selfslot);
  struct UserObject *uo987 = (struct UserObject*)block986;
  uo987->data[0] = (Object)closure987;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_987 = addmethod2pos(block986, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_987, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_987[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_987->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_987);
  meth_meth_collectionsPrelude__apply_40_1_41_987->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_987->definitionLine = 1990;
// compiled block node returning block986 (depth = 7)
  gc_frame_newslot(block986);
// call case 5: prelude request
  params[0] = opresult985;
  params[1] = block986;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1006 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe981);
// compiled call node returning call1006 (depth = 6)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1008 == NULL) {
    strlit1008 = alloc_String("]");
    gc_root(strlit1008);
  }
// compiled string node returning strlit1008 (depth = 7)
  int op_slot_right_1007 = gc_frame_newslot(strlit1008);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1007 = gc_frame_newslot(*var_s);
  params[0] = strlit1008;
  partcv[0] = 1;
  Object opresult1010 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1010 (depth = 6)
  gc_frame_end(frame);
  return opresult1010;
}
Object meth_collectionsPrelude__apply_40_1_41_1021(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_curSize = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1023 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 11)
  int callframe1024 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1025 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1024);
// compiled call node returning call1025 (depth = 11)
  Object call1026 = callmethodflags(call1025, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe1023);
// compiled member node returning call1026 (depth = 10)
  int op_slot_right_1022 = gc_frame_newslot(call1026);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1022 = gc_frame_newslot(*var_s);
  params[0] = call1026;
  partcv[0] = 1;
  Object opresult1028 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1028 (depth = 9)
  *var_s = opresult1028;
  if (opresult1028 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_curSize (depth = 10)
  int op_slot_right_1031 = gc_frame_newslot(*var_curSize);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  int op_slot_left_1031 = gc_frame_newslot(*var_i);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult1033 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1033 (depth = 9)
  Object if1030 = done;
  if (istrue(opresult1033)) {
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1035 == NULL) {
    strlit1035 = alloc_String(", ");
    gc_root(strlit1035);
  }
// compiled string node returning strlit1035 (depth = 11)
  int op_slot_right_1034 = gc_frame_newslot(strlit1035);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1034 = gc_frame_newslot(*var_s);
  params[0] = strlit1035;
  partcv[0] = 1;
  Object opresult1037 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1037 (depth = 10)
  *var_s = opresult1037;
  if (opresult1037 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1030 = done;
  } else {
  }
// compiled if node returning if1030 (depth = 8)
  gc_frame_end(frame);
  return if1030;
}
Object meth_collectionsPrelude_asDebugString1011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
  Object *var_curSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "curSize");
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1012 == NULL) {
    strlit1012 = alloc_String("[");
    gc_root(strlit1012);
  }
// compiled string node returning strlit1012 (depth = 7)
  *var_s = strlit1012;
  if (strlit1012 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1013 = gc_frame_new();
// call case 4: self request
  Object call1014 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1013);
// compiled member node returning call1014 (depth = 7)
  *var_curSize = call1014;
  if (call1014 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1015 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_curSize (depth = 8)
  int op_slot_right_1016 = gc_frame_newslot(*var_curSize);
// starting to compile num node (depth = 8)
  Object num1018 = alloc_Float64(1);
// compiled num node returning num1018 (depth = 8)
  int op_slot_left_1016 = gc_frame_newslot(num1018);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult1019 = callmethod(num1018, "..(1)", 1, partcv, params);
// compiled op node returning opresult1019 (depth = 7)
  gc_frame_newslot(opresult1019);
// starting to compile block node (depth = 7)
  Object block1020 = alloc_Block(NULL, NULL, "collectionsPrelude", 817);
  gc_frame_newslot(block1020);
// method "_apply(_)"
  block_savedest(block1020);
  Object closure1021 = createclosure(3, "_apply(1)");
  setclosureframe(closure1021, stackframe);
  addtoclosure(closure1021, var_s);
  addtoclosure(closure1021, var_curSize);
  addtoclosure(closure1021, selfslot);
  struct UserObject *uo1021 = (struct UserObject*)block1020;
  uo1021->data[0] = (Object)closure1021;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1021 = addmethod2pos(block1020, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1021, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1021[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1021->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1021);
  meth_meth_collectionsPrelude__apply_40_1_41_1021->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1021->definitionLine = 1990;
// compiled block node returning block1020 (depth = 7)
  gc_frame_newslot(block1020);
// call case 5: prelude request
  params[0] = opresult1019;
  params[1] = block1020;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1040 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1015);
// compiled call node returning call1040 (depth = 6)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1042 == NULL) {
    strlit1042 = alloc_String("]");
    gc_root(strlit1042);
  }
// compiled string node returning strlit1042 (depth = 7)
  int op_slot_right_1041 = gc_frame_newslot(strlit1042);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1041 = gc_frame_newslot(*var_s);
  params[0] = strlit1042;
  partcv[0] = 1;
  Object opresult1044 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1044 (depth = 6)
  gc_frame_end(frame);
  return opresult1044;
}
Object meth_collectionsPrelude_extend_40_1_41_1045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1046 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call1047 = callmethodflags(self, "addAll(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1046);
// compiled call node returning call1047 (depth = 6)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_done (depth = 6)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude__apply_40_1_41_1051(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_element = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_element (depth = 10)
  int op_slot_right_1053 = gc_frame_newslot(*var_element);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_each (depth = 10)
  int op_slot_left_1053 = gc_frame_newslot(*var_each);
  params[0] = *var_element;
  partcv[0] = 1;
  Object opresult1055 = callmethod(*var_each, "==(1)", 1, partcv, params);
// compiled op node returning opresult1055 (depth = 9)
  Object if1052 = done;
  if (istrue(opresult1055)) {
// starting to compile return node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1056 = alloc_Boolean(1);
// compiled identifier node returning bool1056 (depth = 10)
  block_return(realself, bool1056);
// compiled return node returning undefined (depth = 9)
    gc_frame_newslot(undefined);
    if1052 = undefined;
  } else {
  }
// compiled if node returning if1052 (depth = 8)
  gc_frame_end(frame);
  return if1052;
}
Object meth_collectionsPrelude_contains_40_1_41_1048(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1049 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1050 = alloc_Block(NULL, NULL, "collectionsPrelude", 828);
  gc_frame_newslot(block1050);
// method "_apply(_)"
  block_savedest(block1050);
  Object closure1051 = createclosure(2, "_apply(1)");
  setclosureframe(closure1051, stackframe);
  addtoclosure(closure1051, var_element);
  addtoclosure(closure1051, selfslot);
  struct UserObject *uo1051 = (struct UserObject*)block1050;
  uo1051->data[0] = (Object)closure1051;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1051 = addmethod2pos(block1050, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1051, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1051[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1051->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1051);
  meth_meth_collectionsPrelude__apply_40_1_41_1051->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1051->definitionLine = 1990;
// compiled block node returning block1050 (depth = 7)
  gc_frame_newslot(block1050);
// call case 4: self request
  params[0] = block1050;
  partcv[0] = 1;
  Object call1058 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1049);
// compiled call node returning call1058 (depth = 6)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1059 = alloc_Boolean(0);
// compiled identifier node returning bool1059 (depth = 7)
  return bool1059;
// compiled return node returning undefined (depth = 6)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1066(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_curSize = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_curSize (depth = 9)
  int op_slot_right_1067 = gc_frame_newslot(*var_curSize);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_1067 = gc_frame_newslot(*var_i);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult1069 = callmethod(*var_i, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1069 (depth = 8)
  gc_frame_end(frame);
  return opresult1069;
}
Object meth_collectionsPrelude__apply1072(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1073 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1074 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1075 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1074);
// compiled call node returning call1075 (depth = 9)
  gc_frame_newslot(call1075);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_block1 (depth = 9)
  params[0] = call1075;
  partcv[0] = 1;
  Object call1076 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1073);
// compiled call node returning call1076 (depth = 8)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1078 = alloc_Float64(1);
// compiled num node returning num1078 (depth = 10)
  int op_slot_right_1077 = gc_frame_newslot(num1078);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  int op_slot_left_1077 = gc_frame_newslot(*var_i);
  params[0] = num1078;
  partcv[0] = 1;
  Object sum1080 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1080 (depth = 9)
  *var_i = sum1080;
  if (sum1080 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_1060(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
  Object *var_curSize = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "curSize");
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1061 = alloc_Float64(1);
// compiled num node returning num1061 (depth = 7)
  *var_i = num1061;
  if (num1061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1062 = gc_frame_new();
// call case 4: self request
  Object call1063 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1062);
// compiled member node returning call1063 (depth = 7)
  *var_curSize = call1063;
  if (call1063 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1064 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1065 = alloc_Block(NULL, NULL, "collectionsPrelude", 835);
  gc_frame_newslot(block1065);
// method "_apply"
  block_savedest(block1065);
  Object closure1066 = createclosure(3, "_apply");
  setclosureframe(closure1066, stackframe);
  addtoclosure(closure1066, var_curSize);
  addtoclosure(closure1066, var_i);
  addtoclosure(closure1066, selfslot);
  struct UserObject *uo1066 = (struct UserObject*)block1065;
  uo1066->data[0] = (Object)closure1066;
  Method *meth_meth_collectionsPrelude__apply1066 = addmethod2pos(block1065, "_apply", &meth_collectionsPrelude__apply1066, 0);
  int argcv_meth_collectionsPrelude__apply1066[] = {0};
  meth_meth_collectionsPrelude__apply1066->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1066);
  meth_meth_collectionsPrelude__apply1066->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1066->definitionLine = 1990;
// compiled block node returning block1065 (depth = 7)
  gc_frame_newslot(block1065);
// starting to compile block node (depth = 7)
  Object block1071 = alloc_Block(NULL, NULL, "collectionsPrelude", 835);
  gc_frame_newslot(block1071);
// method "_apply"
  block_savedest(block1071);
  Object closure1072 = createclosure(3, "_apply");
  setclosureframe(closure1072, stackframe);
  addtoclosure(closure1072, var_i);
  addtoclosure(closure1072, var_block1);
  addtoclosure(closure1072, selfslot);
  struct UserObject *uo1072 = (struct UserObject*)block1071;
  uo1072->data[0] = (Object)closure1072;
  Method *meth_meth_collectionsPrelude__apply1072 = addmethod2pos(block1071, "_apply", &meth_collectionsPrelude__apply1072, 0);
  int argcv_meth_collectionsPrelude__apply1072[] = {0};
  meth_meth_collectionsPrelude__apply1072->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1072);
  meth_meth_collectionsPrelude__apply1072->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1072->definitionLine = 1990;
// compiled block node returning block1071 (depth = 7)
  gc_frame_newslot(block1071);
// call case 5: prelude request
  params[0] = block1065;
  params[1] = block1071;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1083 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1064);
// compiled call node returning call1083 (depth = 6)
  gc_frame_end(frame);
  return call1083;
}
Object meth_collectionsPrelude__61__61__40_1_41_1084(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1085 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1086 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1087 = gc_frame_new();
// call case 3: self.outer request
  Object call1088 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1087);
// compiled member node returning call1088 (depth = 8)
  Object call1089 = callmethodflags(call1088, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1086);
// compiled member node returning call1089 (depth = 7)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1090 = callmethodflags(call1089, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1085);
// compiled call node returning call1090 (depth = 6)
  gc_frame_end(frame);
  return call1090;
}
Object meth_collectionsPrelude_asDebugString1096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1098 == NULL) {
    strlit1098 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit1098);
  }
// compiled string node returning strlit1098 (depth = 7)
  int op_slot_right_1097 = gc_frame_newslot(strlit1098);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1101 = gc_frame_new();
// call case 4: self request
  Object call1102 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1101);
// compiled member node returning call1102 (depth = 8)
  int op_slot_right_1100 = gc_frame_newslot(call1102);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1105 == NULL) {
    strlit1105 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit1105);
  }
// compiled string node returning strlit1105 (depth = 9)
  int op_slot_right_1104 = gc_frame_newslot(strlit1105);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1108 = gc_frame_new();
// call case 4: self request
  Object call1109 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1108);
// compiled member node returning call1109 (depth = 10)
  int op_slot_right_1107 = gc_frame_newslot(call1109);
// starting to compile string node (depth = 10)
  if (strlit1111 == NULL) {
    strlit1111 = alloc_String("");
    gc_root(strlit1111);
  }
// compiled string node returning strlit1111 (depth = 10)
  int op_slot_left_1107 = gc_frame_newslot(strlit1111);
  params[0] = call1109;
  partcv[0] = 1;
  Object opresult1112 = callmethod(strlit1111, "++(1)", 1, partcv, params);
// compiled op node returning opresult1112 (depth = 9)
  int op_slot_left_1104 = gc_frame_newslot(opresult1112);
  params[0] = strlit1105;
  partcv[0] = 1;
  Object opresult1113 = callmethod(opresult1112, "++(1)", 1, partcv, params);
// compiled op node returning opresult1113 (depth = 8)
  int op_slot_left_1100 = gc_frame_newslot(opresult1113);
  params[0] = call1102;
  partcv[0] = 1;
  Object opresult1114 = callmethod(opresult1113, "++(1)", 1, partcv, params);
// compiled op node returning opresult1114 (depth = 7)
  int op_slot_left_1097 = gc_frame_newslot(opresult1114);
  params[0] = strlit1098;
  partcv[0] = 1;
  Object opresult1115 = callmethod(opresult1114, "++(1)", 1, partcv, params);
// compiled op node returning opresult1115 (depth = 6)
  gc_frame_end(frame);
  return opresult1115;
}
Object meth_collectionsPrelude_asString1116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1117 == NULL) {
    strlit1117 = alloc_String("aListIterator");
    gc_root(strlit1117);
  }
// compiled string node returning strlit1117 (depth = 6)
  gc_frame_end(frame);
  return strlit1117;
}
Object meth_collectionsPrelude_hasNext1118(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1120 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1121 = gc_frame_new();
// call case 3: self.outer request
  Object call1122 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1121);
// compiled member node returning call1122 (depth = 8)
  Object call1123 = callmethodflags(call1122, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1120);
// compiled member node returning call1123 (depth = 7)
  int op_slot_right_1119 = gc_frame_newslot(call1123);
// starting to compile member node (depth = 7)
  int callframe1125 = gc_frame_new();
// call case 4: self request
  Object call1126 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1125);
// compiled member node returning call1126 (depth = 7)
  int op_slot_left_1119 = gc_frame_newslot(call1126);
  params[0] = call1123;
  partcv[0] = 1;
  Object opresult1127 = callmethod(call1126, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1127 (depth = 6)
  gc_frame_end(frame);
  return opresult1127;
}
Object meth_collectionsPrelude_next1128(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1131 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1132 = gc_frame_new();
// call case 3: self.outer request
  Object call1133 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1132);
// compiled member node returning call1133 (depth = 9)
  Object call1134 = callmethodflags(call1133, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1131);
// compiled member node returning call1134 (depth = 8)
  int op_slot_right_1130 = gc_frame_newslot(call1134);
// starting to compile member node (depth = 8)
  int callframe1136 = gc_frame_new();
// call case 4: self request
  Object call1137 = callmethodflags(self, "imods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1136);
// compiled member node returning call1137 (depth = 8)
  int op_slot_left_1130 = gc_frame_newslot(call1137);
  params[0] = call1134;
  partcv[0] = 1;
  Object opresult1138 = callmethod(call1137, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1138 (depth = 7)
  Object if1129 = done;
  if (istrue(opresult1138)) {
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1139 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1140 = gc_frame_new();
// call case 4: self request
  Object call1141 = callmethodflags(self, "asDebugString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1140);
// compiled member node returning call1141 (depth = 8)
  gc_frame_newslot(call1141);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ConcurrentModification (depth = 8)
  params[0] = call1141;
  partcv[0] = 1;
  Object call1142 = callmethodflags(*var_ConcurrentModification, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1139);
// compiled call node returning call1142 (depth = 7)
    gc_frame_newslot(call1142);
    if1129 = call1142;
  } else {
  }
// compiled if node returning if1129 (depth = 6)
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1145 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1146 = gc_frame_new();
// call case 3: self.outer request
  Object call1147 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1146);
// compiled member node returning call1147 (depth = 9)
  Object call1148 = callmethodflags(call1147, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1145);
// compiled member node returning call1148 (depth = 8)
  int op_slot_right_1144 = gc_frame_newslot(call1148);
// starting to compile member node (depth = 8)
  int callframe1150 = gc_frame_new();
// call case 4: self request
  Object call1151 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1150);
// compiled member node returning call1151 (depth = 8)
  int op_slot_left_1144 = gc_frame_newslot(call1151);
  params[0] = call1148;
  partcv[0] = 1;
  Object opresult1152 = callmethod(call1151, ">(1)", 1, partcv, params);
// compiled op node returning opresult1152 (depth = 7)
  Object if1143 = done;
  if (istrue(opresult1152)) {
// starting to compile call node (depth = 7)
  int callframe1153 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1154 == NULL) {
    strlit1154 = alloc_String("on list");
    gc_root(strlit1154);
  }
// compiled string node returning strlit1154 (depth = 8)
  gc_frame_newslot(strlit1154);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_IteratorExhausted (depth = 8)
  params[0] = strlit1154;
  partcv[0] = 1;
  Object call1155 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1153);
// compiled call node returning call1155 (depth = 7)
    gc_frame_newslot(call1155);
    if1143 = call1155;
  } else {
  }
// compiled if node returning if1143 (depth = 6)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1156 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1157 = gc_frame_new();
// call case 4: self request
  Object call1158 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1157);
// compiled member node returning call1158 (depth = 8)
  gc_frame_newslot(call1158);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1159 = gc_frame_new();
// call case 3: self.outer request
  Object call1160 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1159);
// compiled member node returning call1160 (depth = 8)
  params[0] = call1158;
  partcv[0] = 1;
  Object call1161 = callmethodflags(call1160, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1156);
// compiled call node returning call1161 (depth = 7)
  *var_ret = call1161;
  if (call1161 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1162 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1164 = alloc_Float64(1);
// compiled num node returning num1164 (depth = 8)
  int op_slot_right_1163 = gc_frame_newslot(num1164);
// starting to compile member node (depth = 8)
  int callframe1166 = gc_frame_new();
// call case 4: self request
  Object call1167 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1166);
// compiled member node returning call1167 (depth = 8)
  int op_slot_left_1163 = gc_frame_newslot(call1167);
  params[0] = num1164;
  partcv[0] = 1;
  Object sum1168 = callmethod(call1167, "+(1)", 1, partcv, params);
// compiled op node returning sum1168 (depth = 7)
  gc_frame_newslot(sum1168);
// call case 4: self request
  params[0] = sum1168;
  partcv[0] = 1;
  Object call1169 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1162);
// compiled call node returning call1169 (depth = 6)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ret (depth = 6)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_collectionsPrelude_iterator1091(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1092 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1092 = alloc_userobj2(8,7, objclass1092);
  gc_frame_newslot(obj1092);
if (objclass1092 == NULL) {
  glfree(obj1092->class->name);
  obj1092->class->name = "obj720.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1092, self, 0);
  addmethodreal(obj1092,"outer", &reader_collectionsPrelude_outer_1093);
  Object oldself1092 = self;
  struct StackFrameObject *oldstackframe1092 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1092);
  gc_frame_newslot((Object)stackframe);
  self = obj1092;
  Object *oldselfslot1092 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1092 = (*(struct UserObject *)self).data[0], lowerouter1092 = thisouter1092;
  if (inheritingObject1092) {
    struct UserObject *inho1092 = (struct UserObject *)inheritingObject1092;
    while (inho1092->super != GraceDefaultObject) inho1092 = (struct UserObject *)inho1092->super;
    inho1092->super = obj1092;
    self = inheritingObject1092;
    *selfslot = self;
    lowerouter1092 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1092;
  }
if (objclass1092 == NULL) {
  Method *reader1094 = addmethodrealflags(obj1092, "imods", &reader_collectionsPrelude_imods_1094, MFLAG_CONFIDENTIAL);
  Method *writer1094 = addmethodrealflags(obj1092, "imods:=(1)", &writer_collectionsPrelude_imods_1094, MFLAG_CONFIDENTIAL);
  reader1094->definitionModule = modulename;
  writer1094->definitionModule = modulename;
  reader1094->definitionLine = 847;
  writer1094->definitionLine = 847;
}
obj1092->flags |= OFLAG_MUTABLE;
adddatum2(obj1092, alloc_Undefined(), 1);
if (objclass1092 == NULL) {
  Method *reader1095 = addmethodrealflags(obj1092, "idx", &reader_collectionsPrelude_idx_1095, MFLAG_CONFIDENTIAL);
  Method *writer1095 = addmethodrealflags(obj1092, "idx:=(1)", &writer_collectionsPrelude_idx_1095, MFLAG_CONFIDENTIAL);
  reader1095->definitionModule = modulename;
  writer1095->definitionModule = modulename;
  reader1095->definitionLine = 848;
  writer1095->definitionLine = 848;
}
obj1092->flags |= OFLAG_MUTABLE;
adddatum2(obj1092, alloc_Undefined(), 2);
// method "asDebugString"
  struct UserObject *uo1096 = (struct UserObject*)obj1092;
  uo1096->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1096 = addmethod2pos(obj1092, "asDebugString", &meth_collectionsPrelude_asDebugString1096, 3);
  int argcv_meth_collectionsPrelude_asDebugString1096[] = {0};
  meth_meth_collectionsPrelude_asDebugString1096->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1096);
  meth_meth_collectionsPrelude_asDebugString1096->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1096->definitionLine = 849;
// method "asString"
  struct UserObject *uo1116 = (struct UserObject*)obj1092;
  uo1116->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1116 = addmethod2pos(obj1092, "asString", &meth_collectionsPrelude_asString1116, 4);
  int argcv_meth_collectionsPrelude_asString1116[] = {0};
  meth_meth_collectionsPrelude_asString1116->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1116);
  meth_meth_collectionsPrelude_asString1116->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1116->definitionLine = 850;
// method "hasNext"
  struct UserObject *uo1118 = (struct UserObject*)obj1092;
  uo1118->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1118 = addmethod2pos(obj1092, "hasNext", &meth_collectionsPrelude_hasNext1118, 5);
  int argcv_meth_collectionsPrelude_hasNext1118[] = {0};
  meth_meth_collectionsPrelude_hasNext1118->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1118);
  meth_meth_collectionsPrelude_hasNext1118->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1118->definitionLine = 851;
// method "next"
  block_savedest(obj1092);
  Object closure1128 = createclosure(2, "next");
  setclosureframe(closure1128, stackframe);
  addtoclosure(closure1128, var_ConcurrentModification);
  addtoclosure(closure1128, var_IteratorExhausted);
  struct UserObject *uo1128 = (struct UserObject*)obj1092;
  uo1128->data[6] = (Object)closure1128;
  Method *meth_meth_collectionsPrelude_next1128 = addmethod2pos(obj1092, "next", &meth_collectionsPrelude_next1128, 6);
  int argcv_meth_collectionsPrelude_next1128[] = {0};
  meth_meth_collectionsPrelude_next1128->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1128);
  meth_meth_collectionsPrelude_next1128->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1128->definitionLine = 852;
  sourceObject = obj1092;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1170 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1171 = gc_frame_new();
// call case 3: self.outer request
  Object call1172 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1171);
// compiled member node returning call1172 (depth = 7)
  Object call1173 = callmethodflags(call1172, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1170);
// compiled member node returning call1173 (depth = 6)
  adddatum2(obj1092, call1173, 1);
  sourceObject = obj1092;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1174 = alloc_Float64(1);
// compiled num node returning num1174 (depth = 6)
  adddatum2(obj1092, num1174, 2);
  sourceObject = obj1092;
  sourceObject = obj1092;
  sourceObject = obj1092;
  sourceObject = obj1092;
  objclass1092 = obj1092->class;
  objclass1092->definitionModule = modulename;
  objclass1092->definitionLine = 846;
  (*(struct UserObject *)self).data[0] = lowerouter1092;
  self = oldself1092;
  selfslot = oldselfslot1092;
  stackframe = oldstackframe1092;
  gc_frame_end(frame);
  return obj1092;
}
Object meth_collectionsPrelude_iterator1091_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1092 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1092 = alloc_userobj2(8,7, objclass1092);
  gc_frame_newslot(obj1092);
if (objclass1092 == NULL) {
  glfree(obj1092->class->name);
  obj1092->class->name = "obj720.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1092, self, 0);
  addmethodreal(obj1092,"outer", &reader_collectionsPrelude_outer_1093);
  Object oldself1092 = self;
  struct StackFrameObject *oldstackframe1092 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1092);
  gc_frame_newslot((Object)stackframe);
  self = obj1092;
  Object *oldselfslot1092 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1092 = (*(struct UserObject *)self).data[0], lowerouter1092 = thisouter1092;
  if (inheritingObject1092) {
    struct UserObject *inho1092 = (struct UserObject *)inheritingObject1092;
    while (inho1092->super != GraceDefaultObject) inho1092 = (struct UserObject *)inho1092->super;
    inho1092->super = obj1092;
    self = inheritingObject1092;
    *selfslot = self;
    lowerouter1092 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1092;
  }
if (objclass1092 == NULL) {
  Method *reader1094 = addmethodrealflags(obj1092, "imods", &reader_collectionsPrelude_imods_1094, MFLAG_CONFIDENTIAL);
  Method *writer1094 = addmethodrealflags(obj1092, "imods:=(1)", &writer_collectionsPrelude_imods_1094, MFLAG_CONFIDENTIAL);
  reader1094->definitionModule = modulename;
  writer1094->definitionModule = modulename;
  reader1094->definitionLine = 847;
  writer1094->definitionLine = 847;
}
obj1092->flags |= OFLAG_MUTABLE;
adddatum2(obj1092, alloc_Undefined(), 1);
if (objclass1092 == NULL) {
  Method *reader1095 = addmethodrealflags(obj1092, "idx", &reader_collectionsPrelude_idx_1095, MFLAG_CONFIDENTIAL);
  Method *writer1095 = addmethodrealflags(obj1092, "idx:=(1)", &writer_collectionsPrelude_idx_1095, MFLAG_CONFIDENTIAL);
  reader1095->definitionModule = modulename;
  writer1095->definitionModule = modulename;
  reader1095->definitionLine = 848;
  writer1095->definitionLine = 848;
}
obj1092->flags |= OFLAG_MUTABLE;
adddatum2(obj1092, alloc_Undefined(), 2);
// method "asDebugString"
  struct UserObject *uo1096 = (struct UserObject*)obj1092;
  uo1096->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1096 = addmethod2pos(obj1092, "asDebugString", &meth_collectionsPrelude_asDebugString1096, 3);
  int argcv_meth_collectionsPrelude_asDebugString1096[] = {0};
  meth_meth_collectionsPrelude_asDebugString1096->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1096);
  meth_meth_collectionsPrelude_asDebugString1096->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1096->definitionLine = 849;
// method "asString"
  struct UserObject *uo1116 = (struct UserObject*)obj1092;
  uo1116->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1116 = addmethod2pos(obj1092, "asString", &meth_collectionsPrelude_asString1116, 4);
  int argcv_meth_collectionsPrelude_asString1116[] = {0};
  meth_meth_collectionsPrelude_asString1116->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1116);
  meth_meth_collectionsPrelude_asString1116->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1116->definitionLine = 850;
// method "hasNext"
  struct UserObject *uo1118 = (struct UserObject*)obj1092;
  uo1118->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1118 = addmethod2pos(obj1092, "hasNext", &meth_collectionsPrelude_hasNext1118, 5);
  int argcv_meth_collectionsPrelude_hasNext1118[] = {0};
  meth_meth_collectionsPrelude_hasNext1118->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1118);
  meth_meth_collectionsPrelude_hasNext1118->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1118->definitionLine = 851;
// method "next"
  block_savedest(obj1092);
  Object closure1128 = createclosure(2, "next");
  setclosureframe(closure1128, stackframe);
  addtoclosure(closure1128, var_ConcurrentModification);
  addtoclosure(closure1128, var_IteratorExhausted);
  struct UserObject *uo1128 = (struct UserObject*)obj1092;
  uo1128->data[6] = (Object)closure1128;
  Method *meth_meth_collectionsPrelude_next1128 = addmethod2pos(obj1092, "next", &meth_collectionsPrelude_next1128, 6);
  int argcv_meth_collectionsPrelude_next1128[] = {0};
  meth_meth_collectionsPrelude_next1128->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1128);
  meth_meth_collectionsPrelude_next1128->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1128->definitionLine = 852;
  sourceObject = obj1092;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1170 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1171 = gc_frame_new();
// call case 3: self.outer request
  Object call1172 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1171);
// compiled member node returning call1172 (depth = 7)
  Object call1173 = callmethodflags(call1172, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1170);
// compiled member node returning call1173 (depth = 6)
  adddatum2(obj1092, call1173, 1);
  sourceObject = obj1092;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1174 = alloc_Float64(1);
// compiled num node returning num1174 (depth = 6)
  adddatum2(obj1092, num1174, 2);
  sourceObject = obj1092;
  sourceObject = obj1092;
  sourceObject = obj1092;
  sourceObject = obj1092;
  objclass1092 = obj1092->class;
  objclass1092->definitionModule = modulename;
  objclass1092->definitionLine = 846;
  (*(struct UserObject *)self).data[0] = lowerouter1092;
  self = oldself1092;
  selfslot = oldselfslot1092;
  stackframe = oldstackframe1092;
  gc_frame_end(frame);
  return obj1092;
}
Object meth_collectionsPrelude_values1176(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_keys1177(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1178 = gc_frame_new();
// call case 4: self request
  Object call1179 = callmethodflags(self, "indices", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1178);
// compiled member node returning call1179 (depth = 6)
  gc_frame_end(frame);
  return call1179;
}
Object meth_collectionsPrelude__apply_40_2_41_1191(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[1]);
  *var_r = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_r (depth = 10)
  int op_slot_right_1193 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_l (depth = 10)
  int op_slot_left_1193 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult1195 = callmethod(*var_l, "==(1)", 1, partcv, params);
// compiled op node returning opresult1195 (depth = 9)
  Object if1192 = done;
  if (istrue(opresult1195)) {
// starting to compile num node (depth = 9)
  Object num1196 = alloc_Float64(0);
// compiled num node returning num1196 (depth = 9)
    gc_frame_newslot(num1196);
    if1192 = num1196;
  } else {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_r (depth = 11)
  int op_slot_right_1198 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_l (depth = 11)
  int op_slot_left_1198 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult1200 = callmethod(*var_l, "<(1)", 1, partcv, params);
// compiled op node returning opresult1200 (depth = 10)
  Object if1197 = done;
  if (istrue(opresult1200)) {
// starting to compile call node (depth = 10)
  int callframe1201 = gc_frame_new();
// call case 6: other requests
// starting to compile num node (depth = 11)
  Object num1202 = alloc_Float64(1);
// compiled num node returning num1202 (depth = 11)
  partcv[0] = 0;
  Object call1203 = callmethodflags(num1202, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe1201);
// compiled call node returning call1203 (depth = 10)
    gc_frame_newslot(call1203);
    if1197 = call1203;
  } else {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 10)
  Object num1204 = alloc_Float64(1);
// compiled num node returning num1204 (depth = 10)
    gc_frame_newslot(num1204);
    if1197 = num1204;
  }
// compiled if node returning if1197 (depth = 9)
    gc_frame_newslot(if1197);
    if1192 = if1197;
  }
// compiled if node returning if1192 (depth = 8)
  gc_frame_end(frame);
  return if1192;
}
Object meth_collectionsPrelude_sort1180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sort");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1181 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1183 = alloc_Float64(1);
// compiled num node returning num1183 (depth = 8)
  int op_slot_right_1182 = gc_frame_newslot(num1183);
// starting to compile member node (depth = 8)
  int callframe1185 = gc_frame_new();
// call case 4: self request
  Object call1186 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1185);
// compiled member node returning call1186 (depth = 8)
  int op_slot_left_1182 = gc_frame_newslot(call1186);
  params[0] = num1183;
  partcv[0] = 1;
  Object sum1187 = callmethod(call1186, "+(1)", 1, partcv, params);
// compiled op node returning sum1187 (depth = 7)
  gc_frame_newslot(sum1187);
// call case 4: self request
  params[0] = sum1187;
  partcv[0] = 1;
  Object call1188 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1181);
// compiled call node returning call1188 (depth = 6)
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1189 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1190 = alloc_Block(NULL, NULL, "collectionsPrelude", 874);
  gc_frame_newslot(block1190);
// method "_apply(_,_)"
  block_savedest(block1190);
  Object closure1191 = createclosure(1, "_apply(2)");
  setclosureframe(closure1191, stackframe);
  addtoclosure(closure1191, selfslot);
  struct UserObject *uo1191 = (struct UserObject*)block1190;
  uo1191->data[0] = (Object)closure1191;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_1191 = addmethod2pos(block1190, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_1191, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_1191[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_1191->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_1191);
  meth_meth_collectionsPrelude__apply_40_2_41_1191->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_1191->definitionLine = 1990;
// compiled block node returning block1190 (depth = 7)
  gc_frame_newslot(block1190);
// call case 4: self request
  params[0] = block1190;
  partcv[0] = 1;
  Object call1206 = callmethodflags(self, "sortBy(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compiled call node returning call1206 (depth = 6)
  gc_frame_end(frame);
  return call1206;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_1207(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1208 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sortBlock (depth = 7)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1209 = gc_frame_new();
// call case 4: self request
  Object call1210 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1209);
// compiled member node returning call1210 (depth = 7)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call1211 = callmethodflags(call1210, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1208);
// compiled call node returning call1211 (depth = 6)
  gc_frame_end(frame);
  return call1211;
}
Object meth_collectionsPrelude_sorted1212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1213 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1214 = gc_frame_new();
// call case 4: self request
  Object call1215 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1214);
// compiled member node returning call1215 (depth = 7)
  Object call1216 = callmethodflags(call1215, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1213);
// compiled member node returning call1216 (depth = 6)
  gc_frame_end(frame);
  return call1216;
}
Object meth_collectionsPrelude_copy1217(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1218 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1219 = gc_frame_new();
// call case 3: self.outer request
  Object call1220 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1219);
// compiled member node returning call1220 (depth = 7)
  params[0] = self;
  partcv[0] = 1;
  Object call1221 = callmethodflags(call1220, "withAll(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1218);
// compiled call node returning call1221 (depth = 6)
  gc_frame_end(frame);
  return call1221;
}
Object meth_collectionsPrelude__apply_40_1_41_1228(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
// compiled call node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_boundsCheck_40_1_41_1238(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "boundsCheck(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method boundsCheck(_)");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for boundsCheck(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part boundsCheck(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1241 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1243 = gc_frame_new();
// call case 4: self request
  Object call1244 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1243);
// compiled member node returning call1244 (depth = 6)
  int op_slot_right_1242 = gc_frame_newslot(call1244);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_1242 = gc_frame_newslot(*var_n);
  params[0] = call1244;
  partcv[0] = 1;
  Object opresult1246 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1246 (depth = 5)
  partcv[0] = 0;
  Object call1247 = callmethodflags(opresult1246, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe1241);
// compiled call node returning call1247 (depth = 4)
  int op_slot_right_1240 = gc_frame_newslot(call1247);
// starting to compile call node (depth = 4)
  int callframe1249 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1251 = alloc_Float64(1);
// compiled num node returning num1251 (depth = 6)
  int op_slot_right_1250 = gc_frame_newslot(num1251);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_1250 = gc_frame_newslot(*var_n);
  params[0] = num1251;
  partcv[0] = 1;
  Object opresult1253 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1253 (depth = 5)
  partcv[0] = 0;
  Object call1254 = callmethodflags(opresult1253, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe1249);
// compiled call node returning call1254 (depth = 4)
  int op_slot_left_1240 = gc_frame_newslot(call1254);
  params[0] = call1247;
  partcv[0] = 1;
  Object opresult1255 = callmethod(call1254, "||(1)", 1, partcv, params);
// compiled op node returning opresult1255 (depth = 3)
  Object if1239 = done;
  if (istrue(opresult1255)) {
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1256 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1258 == NULL) {
    strlit1258 = alloc_String("");
    gc_root(strlit1258);
  }
// compiled string node returning strlit1258 (depth = 5)
  int op_slot_right_1257 = gc_frame_newslot(strlit1258);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1261 = gc_frame_new();
// call case 4: self request
  Object call1262 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1261);
// compiled member node returning call1262 (depth = 6)
  int op_slot_right_1260 = gc_frame_newslot(call1262);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1265 == NULL) {
    strlit1265 = alloc_String(" out of bounds 1..");
    gc_root(strlit1265);
  }
// compiled string node returning strlit1265 (depth = 7)
  int op_slot_right_1264 = gc_frame_newslot(strlit1265);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_1267 = gc_frame_newslot(*var_n);
// starting to compile string node (depth = 8)
  if (strlit1269 == NULL) {
    strlit1269 = alloc_String("index ");
    gc_root(strlit1269);
  }
// compiled string node returning strlit1269 (depth = 8)
  int op_slot_left_1267 = gc_frame_newslot(strlit1269);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult1270 = callmethod(strlit1269, "++(1)", 1, partcv, params);
// compiled op node returning opresult1270 (depth = 7)
  int op_slot_left_1264 = gc_frame_newslot(opresult1270);
  params[0] = strlit1265;
  partcv[0] = 1;
  Object opresult1271 = callmethod(opresult1270, "++(1)", 1, partcv, params);
// compiled op node returning opresult1271 (depth = 6)
  int op_slot_left_1260 = gc_frame_newslot(opresult1271);
  params[0] = call1262;
  partcv[0] = 1;
  Object opresult1272 = callmethod(opresult1271, "++(1)", 1, partcv, params);
// compiled op node returning opresult1272 (depth = 5)
  int op_slot_left_1257 = gc_frame_newslot(opresult1272);
  params[0] = strlit1258;
  partcv[0] = 1;
  Object opresult1273 = callmethod(opresult1272, "++(1)", 1, partcv, params);
// compiled op node returning opresult1273 (depth = 4)
  gc_frame_newslot(opresult1273);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult1273;
  partcv[0] = 1;
  Object call1274 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1256);
// compiled call node returning call1274 (depth = 3)
    gc_frame_newslot(call1274);
    if1239 = call1274;
  } else {
  }
// compiled if node returning if1239 (depth = 2)
  gc_frame_end(frame);
  return if1239;
}
Object meth_collectionsPrelude_at_40_1_41_1275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1276 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1277 = callmethodflags(self, "boundsCheck(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1276);
// compiled call node returning call1277 (depth = 2)
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1278 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1280 = alloc_Float64(1);
// compiled num node returning num1280 (depth = 4)
  int op_slot_right_1279 = gc_frame_newslot(num1280);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_1279 = gc_frame_newslot(*var_n);
  params[0] = num1280;
  partcv[0] = 1;
  Object diff1282 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1282 (depth = 3)
  gc_frame_newslot(diff1282);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1283 = gc_frame_new();
// call case 4: self request
  Object call1284 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1283);
// compiled member node returning call1284 (depth = 3)
  params[0] = diff1282;
  partcv[0] = 1;
  Object call1285 = callmethodflags(call1284, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1278);
// compiled call node returning call1285 (depth = 2)
  gc_frame_end(frame);
  return call1285;
}
Object meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)put(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for at(_)put(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *var_x = &(stackframe->slots[1]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part put(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1287 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1289 = alloc_Float64(1);
// compiled num node returning num1289 (depth = 4)
  int op_slot_right_1288 = gc_frame_newslot(num1289);
// starting to compile member node (depth = 4)
  int callframe1291 = gc_frame_new();
// call case 4: self request
  Object call1292 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1291);
// compiled member node returning call1292 (depth = 4)
  int op_slot_left_1288 = gc_frame_newslot(call1292);
  params[0] = num1289;
  partcv[0] = 1;
  Object sum1293 = callmethod(call1292, "+(1)", 1, partcv, params);
// compiled op node returning sum1293 (depth = 3)
  gc_frame_newslot(sum1293);
// call case 4: self request
  params[0] = sum1293;
  partcv[0] = 1;
  Object call1294 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1287);
// compiled call node returning call1294 (depth = 2)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1298 = alloc_Float64(1);
// compiled num node returning num1298 (depth = 5)
  int op_slot_right_1297 = gc_frame_newslot(num1298);
// starting to compile member node (depth = 5)
  int callframe1300 = gc_frame_new();
// call case 4: self request
  Object call1301 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1300);
// compiled member node returning call1301 (depth = 5)
  int op_slot_left_1297 = gc_frame_newslot(call1301);
  params[0] = num1298;
  partcv[0] = 1;
  Object sum1302 = callmethod(call1301, "+(1)", 1, partcv, params);
// compiled op node returning sum1302 (depth = 4)
  int op_slot_right_1296 = gc_frame_newslot(sum1302);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_1296 = gc_frame_newslot(*var_n);
  params[0] = sum1302;
  partcv[0] = 1;
  Object opresult1304 = callmethod(*var_n, "==(1)", 1, partcv, params);
// compiled op node returning opresult1304 (depth = 3)
  Object if1295 = done;
  if (istrue(opresult1304)) {
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1305 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1306 = callmethodflags(self, "addLast(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1305);
// compiled call node returning call1306 (depth = 3)
    gc_frame_newslot(call1306);
    if1295 = call1306;
  } else {
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1307 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1308 = callmethodflags(self, "boundsCheck(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1307);
// compiled call node returning call1308 (depth = 3)
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1309 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1311 = alloc_Float64(1);
// compiled num node returning num1311 (depth = 5)
  int op_slot_right_1310 = gc_frame_newslot(num1311);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_1310 = gc_frame_newslot(*var_n);
  params[0] = num1311;
  partcv[0] = 1;
  Object diff1313 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1313 (depth = 4)
  gc_frame_newslot(diff1313);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1314 = gc_frame_new();
// call case 4: self request
  Object call1315 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1314);
// compiled member node returning call1315 (depth = 4)
  params[0] = diff1313;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1316 = callmethodflags(call1315, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1309);
// compiled call node returning call1316 (depth = 3)
    gc_frame_newslot(call1316);
    if1295 = call1316;
  }
// compiled if node returning if1295 (depth = 2)
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_add_40_1_41_1317(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "add(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method add(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for add(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part add(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1318 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1320 = alloc_Float64(1);
// compiled num node returning num1320 (depth = 4)
  int op_slot_right_1319 = gc_frame_newslot(num1320);
// starting to compile member node (depth = 4)
  int callframe1322 = gc_frame_new();
// call case 4: self request
  Object call1323 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1322);
// compiled member node returning call1323 (depth = 4)
  int op_slot_left_1319 = gc_frame_newslot(call1323);
  params[0] = num1320;
  partcv[0] = 1;
  Object sum1324 = callmethod(call1323, "+(1)", 1, partcv, params);
// compiled op node returning sum1324 (depth = 3)
  gc_frame_newslot(sum1324);
// call case 4: self request
  params[0] = sum1324;
  partcv[0] = 1;
  Object call1325 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1318);
// compiled call node returning call1325 (depth = 2)
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1328 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1329 = gc_frame_new();
// call case 4: self request
  Object call1330 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1329);
// compiled member node returning call1330 (depth = 5)
  Object call1331 = callmethodflags(call1330, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1328);
// compiled member node returning call1331 (depth = 4)
  int op_slot_right_1327 = gc_frame_newslot(call1331);
// starting to compile member node (depth = 4)
  int callframe1333 = gc_frame_new();
// call case 4: self request
  Object call1334 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1333);
// compiled member node returning call1334 (depth = 4)
  int op_slot_left_1327 = gc_frame_newslot(call1334);
  params[0] = call1331;
  partcv[0] = 1;
  Object opresult1335 = callmethod(call1334, "==(1)", 1, partcv, params);
// compiled op node returning opresult1335 (depth = 3)
  Object if1326 = done;
  if (istrue(opresult1335)) {
// starting to compile call node (depth = 3)
  int callframe1336 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1338 = alloc_Float64(2);
// compiled num node returning num1338 (depth = 5)
  int op_slot_right_1337 = gc_frame_newslot(num1338);
// starting to compile member node (depth = 5)
  int callframe1340 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1341 = gc_frame_new();
// call case 4: self request
  Object call1342 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1341);
// compiled member node returning call1342 (depth = 6)
  Object call1343 = callmethodflags(call1342, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1340);
// compiled member node returning call1343 (depth = 5)
  int op_slot_left_1337 = gc_frame_newslot(call1343);
  params[0] = num1338;
  partcv[0] = 1;
  Object prod1344 = callmethod(call1343, "*(1)", 1, partcv, params);
// compiled op node returning prod1344 (depth = 4)
  gc_frame_newslot(prod1344);
// call case 4: self request
  params[0] = prod1344;
  partcv[0] = 1;
  Object call1345 = callmethodflags(self, "expandTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1336);
// compiled call node returning call1345 (depth = 3)
    gc_frame_newslot(call1345);
    if1326 = call1345;
  } else {
  }
// compiled if node returning if1326 (depth = 2)
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1346 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1347 = gc_frame_new();
// call case 4: self request
  Object call1348 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1347);
// compiled member node returning call1348 (depth = 3)
  gc_frame_newslot(call1348);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1349 = gc_frame_new();
// call case 4: self request
  Object call1350 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1349);
// compiled member node returning call1350 (depth = 3)
  params[0] = call1348;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1351 = callmethodflags(call1350, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1346);
// compiled call node returning call1351 (depth = 2)
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1352 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1354 = alloc_Float64(1);
// compiled num node returning num1354 (depth = 4)
  int op_slot_right_1353 = gc_frame_newslot(num1354);
// starting to compile member node (depth = 4)
  int callframe1356 = gc_frame_new();
// call case 4: self request
  Object call1357 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1356);
// compiled member node returning call1357 (depth = 4)
  int op_slot_left_1353 = gc_frame_newslot(call1357);
  params[0] = num1354;
  partcv[0] = 1;
  Object sum1358 = callmethod(call1357, "+(1)", 1, partcv, params);
// compiled op node returning sum1358 (depth = 3)
  gc_frame_newslot(sum1358);
// call case 4: self request
  params[0] = sum1358;
  partcv[0] = 1;
  Object call1359 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1352);
// compiled call node returning call1359 (depth = 2)
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_1407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1408 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1409 = gc_frame_new();
// call case 4: self request
  Object call1410 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1409);
// compiled member node returning call1410 (depth = 5)
  gc_frame_newslot(call1410);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1411 = gc_frame_new();
// call case 4: self request
  Object call1412 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1411);
// compiled member node returning call1412 (depth = 5)
  params[0] = call1410;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1413 = callmethodflags(call1412, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1408);
// compiled call node returning call1413 (depth = 4)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1414 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1416 = alloc_Float64(1);
// compiled num node returning num1416 (depth = 6)
  int op_slot_right_1415 = gc_frame_newslot(num1416);
// starting to compile member node (depth = 6)
  int callframe1418 = gc_frame_new();
// call case 4: self request
  Object call1419 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1418);
// compiled member node returning call1419 (depth = 6)
  int op_slot_left_1415 = gc_frame_newslot(call1419);
  params[0] = num1416;
  partcv[0] = 1;
  Object sum1420 = callmethod(call1419, "+(1)", 1, partcv, params);
// compiled op node returning sum1420 (depth = 5)
  gc_frame_newslot(sum1420);
// call case 4: self request
  params[0] = sum1420;
  partcv[0] = 1;
  Object call1421 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1414);
// compiled call node returning call1421 (depth = 4)
  gc_frame_end(frame);
  return call1421;
}
Object meth_collectionsPrelude_addAll_40_1_41_1360(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAll(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1361 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1363 = alloc_Float64(1);
// compiled num node returning num1363 (depth = 4)
  int op_slot_right_1362 = gc_frame_newslot(num1363);
// starting to compile member node (depth = 4)
  int callframe1365 = gc_frame_new();
// call case 4: self request
  Object call1366 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1365);
// compiled member node returning call1366 (depth = 4)
  int op_slot_left_1362 = gc_frame_newslot(call1366);
  params[0] = num1363;
  partcv[0] = 1;
  Object sum1367 = callmethod(call1366, "+(1)", 1, partcv, params);
// compiled op node returning sum1367 (depth = 3)
  gc_frame_newslot(sum1367);
// call case 4: self request
  params[0] = sum1367;
  partcv[0] = 1;
  Object call1368 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1361);
// compiled call node returning call1368 (depth = 2)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1371 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1372 = gc_frame_new();
// call case 4: self request
  Object call1373 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1372);
// compiled member node returning call1373 (depth = 5)
  Object call1374 = callmethodflags(call1373, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1371);
// compiled member node returning call1374 (depth = 4)
  int op_slot_right_1370 = gc_frame_newslot(call1374);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1377 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_l (depth = 6)
  Object call1378 = callmethodflags(*var_l, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1377);
// compiled member node returning call1378 (depth = 5)
  int op_slot_right_1376 = gc_frame_newslot(call1378);
// starting to compile member node (depth = 5)
  int callframe1380 = gc_frame_new();
// call case 4: self request
  Object call1381 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1380);
// compiled member node returning call1381 (depth = 5)
  int op_slot_left_1376 = gc_frame_newslot(call1381);
  params[0] = call1378;
  partcv[0] = 1;
  Object sum1382 = callmethod(call1381, "+(1)", 1, partcv, params);
// compiled op node returning sum1382 (depth = 4)
  int op_slot_left_1370 = gc_frame_newslot(sum1382);
  params[0] = call1374;
  partcv[0] = 1;
  Object opresult1383 = callmethod(sum1382, ">(1)", 1, partcv, params);
// compiled op node returning opresult1383 (depth = 3)
  Object if1369 = done;
  if (istrue(opresult1383)) {
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1384 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1385 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1387 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  Object call1388 = callmethodflags(*var_l, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1387);
// compiled member node returning call1388 (depth = 6)
  int op_slot_right_1386 = gc_frame_newslot(call1388);
// starting to compile member node (depth = 6)
  int callframe1390 = gc_frame_new();
// call case 4: self request
  Object call1391 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1390);
// compiled member node returning call1391 (depth = 6)
  int op_slot_left_1386 = gc_frame_newslot(call1391);
  params[0] = call1388;
  partcv[0] = 1;
  Object sum1392 = callmethod(call1391, "+(1)", 1, partcv, params);
// compiled op node returning sum1392 (depth = 5)
  gc_frame_newslot(sum1392);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1394 = alloc_Float64(2);
// compiled num node returning num1394 (depth = 6)
  int op_slot_right_1393 = gc_frame_newslot(num1394);
// starting to compile member node (depth = 6)
  int callframe1396 = gc_frame_new();
// call case 4: self request
  Object call1397 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1396);
// compiled member node returning call1397 (depth = 6)
  int op_slot_left_1393 = gc_frame_newslot(call1397);
  params[0] = num1394;
  partcv[0] = 1;
  Object prod1398 = callmethod(call1397, "*(1)", 1, partcv, params);
// compiled op node returning prod1398 (depth = 5)
  gc_frame_newslot(prod1398);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1399 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1400 = gc_frame_new();
// call case 3: self.outer request
  Object call1401 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1400);
// compiled member node returning call1401 (depth = 6)
  Object call1402 = callmethodflags(call1401, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1399);
// compiled member node returning call1402 (depth = 5)
  params[0] = sum1392;
  params[1] = prod1398;
  partcv[0] = 2;
  Object call1403 = callmethodflags(call1402, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1385);
// compiled call node returning call1403 (depth = 4)
  gc_frame_newslot(call1403);
// call case 4: self request
  params[0] = call1403;
  partcv[0] = 1;
  Object call1404 = callmethodflags(self, "expandTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1384);
// compiled call node returning call1404 (depth = 3)
    gc_frame_newslot(call1404);
    if1369 = call1404;
  } else {
  }
// compiled if node returning if1369 (depth = 2)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1405 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block1406 = alloc_Block(NULL, NULL, "collectionsPrelude", 956);
  gc_frame_newslot(block1406);
// method "_apply(_)"
  block_savedest(block1406);
  Object closure1407 = createclosure(1, "_apply(1)");
  setclosureframe(closure1407, stackframe);
  addtoclosure(closure1407, selfslot);
  struct UserObject *uo1407 = (struct UserObject*)block1406;
  uo1407->data[0] = (Object)closure1407;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1407 = addmethod2pos(block1406, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1407, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1407[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1407->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1407);
  meth_meth_collectionsPrelude__apply_40_1_41_1407->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1407->definitionLine = 1990;
// compiled block node returning block1406 (depth = 3)
  gc_frame_newslot(block1406);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block1406;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1423 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1405);
// compiled call node returning call1423 (depth = 2)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_push_40_1_41_1424(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part push(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1425 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1427 = alloc_Float64(1);
// compiled num node returning num1427 (depth = 4)
  int op_slot_right_1426 = gc_frame_newslot(num1427);
// starting to compile member node (depth = 4)
  int callframe1429 = gc_frame_new();
// call case 4: self request
  Object call1430 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1429);
// compiled member node returning call1430 (depth = 4)
  int op_slot_left_1426 = gc_frame_newslot(call1430);
  params[0] = num1427;
  partcv[0] = 1;
  Object sum1431 = callmethod(call1430, "+(1)", 1, partcv, params);
// compiled op node returning sum1431 (depth = 3)
  gc_frame_newslot(sum1431);
// call case 4: self request
  params[0] = sum1431;
  partcv[0] = 1;
  Object call1432 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1425);
// compiled call node returning call1432 (depth = 2)
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1435 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1436 = gc_frame_new();
// call case 4: self request
  Object call1437 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1436);
// compiled member node returning call1437 (depth = 5)
  Object call1438 = callmethodflags(call1437, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1435);
// compiled member node returning call1438 (depth = 4)
  int op_slot_right_1434 = gc_frame_newslot(call1438);
// starting to compile member node (depth = 4)
  int callframe1440 = gc_frame_new();
// call case 4: self request
  Object call1441 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1440);
// compiled member node returning call1441 (depth = 4)
  int op_slot_left_1434 = gc_frame_newslot(call1441);
  params[0] = call1438;
  partcv[0] = 1;
  Object opresult1442 = callmethod(call1441, "==(1)", 1, partcv, params);
// compiled op node returning opresult1442 (depth = 3)
  Object if1433 = done;
  if (istrue(opresult1442)) {
// starting to compile call node (depth = 3)
  int callframe1443 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1445 = alloc_Float64(2);
// compiled num node returning num1445 (depth = 5)
  int op_slot_right_1444 = gc_frame_newslot(num1445);
// starting to compile member node (depth = 5)
  int callframe1447 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1448 = gc_frame_new();
// call case 4: self request
  Object call1449 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1448);
// compiled member node returning call1449 (depth = 6)
  Object call1450 = callmethodflags(call1449, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1447);
// compiled member node returning call1450 (depth = 5)
  int op_slot_left_1444 = gc_frame_newslot(call1450);
  params[0] = num1445;
  partcv[0] = 1;
  Object prod1451 = callmethod(call1450, "*(1)", 1, partcv, params);
// compiled op node returning prod1451 (depth = 4)
  gc_frame_newslot(prod1451);
// call case 4: self request
  params[0] = prod1451;
  partcv[0] = 1;
  Object call1452 = callmethodflags(self, "expandTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1443);
// compiled call node returning call1452 (depth = 3)
    gc_frame_newslot(call1452);
    if1433 = call1452;
  } else {
  }
// compiled if node returning if1433 (depth = 2)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1453 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1454 = gc_frame_new();
// call case 4: self request
  Object call1455 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1454);
// compiled member node returning call1455 (depth = 3)
  gc_frame_newslot(call1455);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1456 = gc_frame_new();
// call case 4: self request
  Object call1457 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1456);
// compiled member node returning call1457 (depth = 3)
  params[0] = call1455;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1458 = callmethodflags(call1457, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1453);
// compiled call node returning call1458 (depth = 2)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1459 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1461 = alloc_Float64(1);
// compiled num node returning num1461 (depth = 4)
  int op_slot_right_1460 = gc_frame_newslot(num1461);
// starting to compile member node (depth = 4)
  int callframe1463 = gc_frame_new();
// call case 4: self request
  Object call1464 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1463);
// compiled member node returning call1464 (depth = 4)
  int op_slot_left_1460 = gc_frame_newslot(call1464);
  params[0] = num1461;
  partcv[0] = 1;
  Object sum1465 = callmethod(call1464, "+(1)", 1, partcv, params);
// compiled op node returning sum1465 (depth = 3)
  gc_frame_newslot(sum1465);
// call case 4: self request
  params[0] = sum1465;
  partcv[0] = 1;
  Object call1466 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1459);
// compiled call node returning call1466 (depth = 2)
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_addLast_40_1_41_1467(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addLast(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addLast(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addLast(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addLast(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1468 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1469 = callmethodflags(self, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1468);
// compiled call node returning call1469 (depth = 2)
  gc_frame_end(frame);
  return call1469;
}
Object meth_collectionsPrelude_removeLast1470(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeLast");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1471 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1473 = alloc_Float64(1);
// compiled num node returning num1473 (depth = 4)
  int op_slot_right_1472 = gc_frame_newslot(num1473);
// starting to compile member node (depth = 4)
  int callframe1475 = gc_frame_new();
// call case 4: self request
  Object call1476 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1475);
// compiled member node returning call1476 (depth = 4)
  int op_slot_left_1472 = gc_frame_newslot(call1476);
  params[0] = num1473;
  partcv[0] = 1;
  Object sum1477 = callmethod(call1476, "+(1)", 1, partcv, params);
// compiled op node returning sum1477 (depth = 3)
  gc_frame_newslot(sum1477);
// call case 4: self request
  params[0] = sum1477;
  partcv[0] = 1;
  Object call1478 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1471);
// compiled call node returning call1478 (depth = 2)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1479 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1481 = alloc_Float64(1);
// compiled num node returning num1481 (depth = 5)
  int op_slot_right_1480 = gc_frame_newslot(num1481);
// starting to compile member node (depth = 5)
  int callframe1483 = gc_frame_new();
// call case 4: self request
  Object call1484 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1483);
// compiled member node returning call1484 (depth = 5)
  int op_slot_left_1480 = gc_frame_newslot(call1484);
  params[0] = num1481;
  partcv[0] = 1;
  Object diff1485 = callmethod(call1484, "-(1)", 1, partcv, params);
// compiled op node returning diff1485 (depth = 4)
  gc_frame_newslot(diff1485);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1486 = gc_frame_new();
// call case 4: self request
  Object call1487 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1486);
// compiled member node returning call1487 (depth = 4)
  params[0] = diff1485;
  partcv[0] = 1;
  Object call1488 = callmethodflags(call1487, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1479);
// compiled call node returning call1488 (depth = 3)
  *var_result = call1488;
  if (call1488 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1489 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1491 = alloc_Float64(1);
// compiled num node returning num1491 (depth = 4)
  int op_slot_right_1490 = gc_frame_newslot(num1491);
// starting to compile member node (depth = 4)
  int callframe1493 = gc_frame_new();
// call case 4: self request
  Object call1494 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1493);
// compiled member node returning call1494 (depth = 4)
  int op_slot_left_1490 = gc_frame_newslot(call1494);
  params[0] = num1491;
  partcv[0] = 1;
  Object diff1495 = callmethod(call1494, "-(1)", 1, partcv, params);
// compiled op node returning diff1495 (depth = 3)
  gc_frame_newslot(diff1495);
// call case 4: self request
  params[0] = diff1495;
  partcv[0] = 1;
  Object call1496 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1489);
// compiled call node returning call1496 (depth = 2)
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply_40_1_41_1557(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_increase = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1558 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_increase (depth = 6)
  int op_slot_right_1559 = gc_frame_newslot(*var_increase);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1559 = gc_frame_newslot(*var_i);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum1561 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1561 (depth = 5)
  gc_frame_newslot(sum1561);
// starting to compile call node (depth = 5)
  int callframe1562 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1563 = gc_frame_new();
// call case 4: self request
  Object call1564 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1563);
// compiled member node returning call1564 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1565 = callmethodflags(call1564, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1562);
// compiled call node returning call1565 (depth = 5)
  gc_frame_newslot(call1565);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1566 = gc_frame_new();
// call case 4: self request
  Object call1567 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1566);
// compiled member node returning call1567 (depth = 5)
  params[0] = sum1561;
  params[1] = call1565;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1568 = callmethodflags(call1567, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1558);
// compiled call node returning call1568 (depth = 4)
  gc_frame_end(frame);
  return call1568;
}
Object meth_collectionsPrelude__apply_40_1_41_1574(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_insertionIndex = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1575 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_insertionIndex (depth = 5)
  gc_frame_newslot(*var_insertionIndex);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1576 = gc_frame_new();
// call case 4: self request
  Object call1577 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1576);
// compiled member node returning call1577 (depth = 5)
  params[0] = *var_insertionIndex;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1578 = callmethodflags(call1577, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1575);
// compiled call node returning call1578 (depth = 4)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1580 = alloc_Float64(1);
// compiled num node returning num1580 (depth = 6)
  int op_slot_right_1579 = gc_frame_newslot(num1580);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_insertionIndex (depth = 6)
  int op_slot_left_1579 = gc_frame_newslot(*var_insertionIndex);
  params[0] = num1580;
  partcv[0] = 1;
  Object sum1582 = callmethod(*var_insertionIndex, "+(1)", 1, partcv, params);
// compiled op node returning sum1582 (depth = 5)
  *var_insertionIndex = sum1582;
  if (sum1582 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_addAllFirst_40_1_41_1497(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAllFirst(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAllFirst(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addAllFirst(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAllFirst(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_increase = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "increase");
  Object *var_insertionIndex = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "insertionIndex");
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1498 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1500 = alloc_Float64(1);
// compiled num node returning num1500 (depth = 4)
  int op_slot_right_1499 = gc_frame_newslot(num1500);
// starting to compile member node (depth = 4)
  int callframe1502 = gc_frame_new();
// call case 4: self request
  Object call1503 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1502);
// compiled member node returning call1503 (depth = 4)
  int op_slot_left_1499 = gc_frame_newslot(call1503);
  params[0] = num1500;
  partcv[0] = 1;
  Object sum1504 = callmethod(call1503, "+(1)", 1, partcv, params);
// compiled op node returning sum1504 (depth = 3)
  gc_frame_newslot(sum1504);
// call case 4: self request
  params[0] = sum1504;
  partcv[0] = 1;
  Object call1505 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1498);
// compiled call node returning call1505 (depth = 2)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1506 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  Object call1507 = callmethodflags(*var_l, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1506);
// compiled member node returning call1507 (depth = 3)
  *var_increase = call1507;
  if (call1507 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1510 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1511 = gc_frame_new();
// call case 4: self request
  Object call1512 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1511);
// compiled member node returning call1512 (depth = 5)
  Object call1513 = callmethodflags(call1512, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1510);
// compiled member node returning call1513 (depth = 4)
  int op_slot_right_1509 = gc_frame_newslot(call1513);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_increase (depth = 5)
  int op_slot_right_1515 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 5)
  int callframe1517 = gc_frame_new();
// call case 4: self request
  Object call1518 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1517);
// compiled member node returning call1518 (depth = 5)
  int op_slot_left_1515 = gc_frame_newslot(call1518);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum1519 = callmethod(call1518, "+(1)", 1, partcv, params);
// compiled op node returning sum1519 (depth = 4)
  int op_slot_left_1509 = gc_frame_newslot(sum1519);
  params[0] = call1513;
  partcv[0] = 1;
  Object opresult1520 = callmethod(sum1519, ">(1)", 1, partcv, params);
// compiled op node returning opresult1520 (depth = 3)
  Object if1508 = done;
  if (istrue(opresult1520)) {
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1521 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1522 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_increase (depth = 6)
  int op_slot_right_1523 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 6)
  int callframe1525 = gc_frame_new();
// call case 4: self request
  Object call1526 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1525);
// compiled member node returning call1526 (depth = 6)
  int op_slot_left_1523 = gc_frame_newslot(call1526);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum1527 = callmethod(call1526, "+(1)", 1, partcv, params);
// compiled op node returning sum1527 (depth = 5)
  gc_frame_newslot(sum1527);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1529 = alloc_Float64(2);
// compiled num node returning num1529 (depth = 6)
  int op_slot_right_1528 = gc_frame_newslot(num1529);
// starting to compile member node (depth = 6)
  int callframe1531 = gc_frame_new();
// call case 4: self request
  Object call1532 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1531);
// compiled member node returning call1532 (depth = 6)
  int op_slot_left_1528 = gc_frame_newslot(call1532);
  params[0] = num1529;
  partcv[0] = 1;
  Object prod1533 = callmethod(call1532, "*(1)", 1, partcv, params);
// compiled op node returning prod1533 (depth = 5)
  gc_frame_newslot(prod1533);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1534 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1535 = gc_frame_new();
// call case 3: self.outer request
  Object call1536 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1535);
// compiled member node returning call1536 (depth = 6)
  Object call1537 = callmethodflags(call1536, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1534);
// compiled member node returning call1537 (depth = 5)
  params[0] = sum1527;
  params[1] = prod1533;
  partcv[0] = 2;
  Object call1538 = callmethodflags(call1537, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1522);
// compiled call node returning call1538 (depth = 4)
  gc_frame_newslot(call1538);
// call case 4: self request
  params[0] = call1538;
  partcv[0] = 1;
  Object call1539 = callmethodflags(self, "expandTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1521);
// compiled call node returning call1539 (depth = 3)
    gc_frame_newslot(call1539);
    if1508 = call1539;
  } else {
  }
// compiled if node returning if1508 (depth = 2)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1540 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe1541 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1543 = alloc_Float64(1);
// compiled num node returning num1543 (depth = 5)
  int op_slot_right_1542 = gc_frame_newslot(num1543);
// starting to compile member node (depth = 5)
  int callframe1545 = gc_frame_new();
// call case 4: self request
  Object call1546 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1545);
// compiled member node returning call1546 (depth = 5)
  int op_slot_left_1542 = gc_frame_newslot(call1546);
  params[0] = num1543;
  partcv[0] = 1;
  Object diff1547 = callmethod(call1546, "-(1)", 1, partcv, params);
// compiled op node returning diff1547 (depth = 4)
  gc_frame_newslot(diff1547);
// starting to compile num node (depth = 4)
  Object num1548 = alloc_Float64(0);
// compiled num node returning num1548 (depth = 4)
  gc_frame_newslot(num1548);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1549 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1550 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1551 = gc_frame_new();
// call case 3: self.outer request
  Object call1552 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1551);
// compiled member node returning call1552 (depth = 6)
  Object call1553 = callmethodflags(call1552, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1550);
// compiled member node returning call1553 (depth = 5)
  Object call1554 = callmethodflags(call1553, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1549);
// compiled member node returning call1554 (depth = 4)
  params[0] = diff1547;
  params[1] = num1548;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1555 = callmethodflags(call1554, "from(1)downTo(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1541);
// compiled call node returning call1555 (depth = 3)
  gc_frame_newslot(call1555);
// starting to compile block node (depth = 3)
  Object block1556 = alloc_Block(NULL, NULL, "collectionsPrelude", 982);
  gc_frame_newslot(block1556);
// method "_apply(_)"
  block_savedest(block1556);
  Object closure1557 = createclosure(2, "_apply(1)");
  setclosureframe(closure1557, stackframe);
  addtoclosure(closure1557, var_increase);
  addtoclosure(closure1557, selfslot);
  struct UserObject *uo1557 = (struct UserObject*)block1556;
  uo1557->data[0] = (Object)closure1557;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1557 = addmethod2pos(block1556, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1557, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1557[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1557->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1557);
  meth_meth_collectionsPrelude__apply_40_1_41_1557->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1557->definitionLine = 1990;
// compiled block node returning block1556 (depth = 3)
  gc_frame_newslot(block1556);
// call case 5: prelude request
  params[0] = call1555;
  params[1] = block1556;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1570 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1540);
// compiled call node returning call1570 (depth = 2)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1571 = alloc_Float64(0);
// compiled num node returning num1571 (depth = 3)
  *var_insertionIndex = num1571;
  if (num1571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1572 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block1573 = alloc_Block(NULL, NULL, "collectionsPrelude", 986);
  gc_frame_newslot(block1573);
// method "_apply(_)"
  block_savedest(block1573);
  Object closure1574 = createclosure(2, "_apply(1)");
  setclosureframe(closure1574, stackframe);
  addtoclosure(closure1574, var_insertionIndex);
  addtoclosure(closure1574, selfslot);
  struct UserObject *uo1574 = (struct UserObject*)block1573;
  uo1574->data[0] = (Object)closure1574;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1574 = addmethod2pos(block1573, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1574, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1574[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1574->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1574);
  meth_meth_collectionsPrelude__apply_40_1_41_1574->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1574->definitionLine = 1990;
// compiled block node returning block1573 (depth = 3)
  gc_frame_newslot(block1573);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block1573;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1585 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1572);
// compiled call node returning call1585 (depth = 2)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1586 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_increase (depth = 4)
  int op_slot_right_1587 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 4)
  int callframe1589 = gc_frame_new();
// call case 4: self request
  Object call1590 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1589);
// compiled member node returning call1590 (depth = 4)
  int op_slot_left_1587 = gc_frame_newslot(call1590);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum1591 = callmethod(call1590, "+(1)", 1, partcv, params);
// compiled op node returning sum1591 (depth = 3)
  gc_frame_newslot(sum1591);
// call case 4: self request
  params[0] = sum1591;
  partcv[0] = 1;
  Object call1592 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1586);
// compiled call node returning call1592 (depth = 2)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_1641(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1642 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1644 = alloc_Float64(1);
// compiled num node returning num1644 (depth = 6)
  int op_slot_right_1643 = gc_frame_newslot(num1644);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1643 = gc_frame_newslot(*var_i);
  params[0] = num1644;
  partcv[0] = 1;
  Object sum1646 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1646 (depth = 5)
  gc_frame_newslot(sum1646);
// starting to compile call node (depth = 5)
  int callframe1647 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1648 = gc_frame_new();
// call case 4: self request
  Object call1649 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1648);
// compiled member node returning call1649 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1650 = callmethodflags(call1649, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1647);
// compiled call node returning call1650 (depth = 5)
  gc_frame_newslot(call1650);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1651 = gc_frame_new();
// call case 4: self request
  Object call1652 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1651);
// compiled member node returning call1652 (depth = 5)
  params[0] = sum1646;
  params[1] = call1650;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1653 = callmethodflags(call1652, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1642);
// compiled call node returning call1653 (depth = 4)
  gc_frame_end(frame);
  return call1653;
}
Object meth_collectionsPrelude_addFirst_40_1_41_1593(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addFirst(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFirst(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addFirst(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addFirst(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1594 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1596 = alloc_Float64(1);
// compiled num node returning num1596 (depth = 4)
  int op_slot_right_1595 = gc_frame_newslot(num1596);
// starting to compile member node (depth = 4)
  int callframe1598 = gc_frame_new();
// call case 4: self request
  Object call1599 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1598);
// compiled member node returning call1599 (depth = 4)
  int op_slot_left_1595 = gc_frame_newslot(call1599);
  params[0] = num1596;
  partcv[0] = 1;
  Object sum1600 = callmethod(call1599, "+(1)", 1, partcv, params);
// compiled op node returning sum1600 (depth = 3)
  gc_frame_newslot(sum1600);
// call case 4: self request
  params[0] = sum1600;
  partcv[0] = 1;
  Object call1601 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1594);
// compiled call node returning call1601 (depth = 2)
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1604 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1605 = gc_frame_new();
// call case 4: self request
  Object call1606 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1605);
// compiled member node returning call1606 (depth = 5)
  Object call1607 = callmethodflags(call1606, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1604);
// compiled member node returning call1607 (depth = 4)
  int op_slot_right_1603 = gc_frame_newslot(call1607);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1610 = alloc_Float64(1);
// compiled num node returning num1610 (depth = 5)
  int op_slot_right_1609 = gc_frame_newslot(num1610);
// starting to compile member node (depth = 5)
  int callframe1612 = gc_frame_new();
// call case 4: self request
  Object call1613 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1612);
// compiled member node returning call1613 (depth = 5)
  int op_slot_left_1609 = gc_frame_newslot(call1613);
  params[0] = num1610;
  partcv[0] = 1;
  Object sum1614 = callmethod(call1613, "+(1)", 1, partcv, params);
// compiled op node returning sum1614 (depth = 4)
  int op_slot_left_1603 = gc_frame_newslot(sum1614);
  params[0] = call1607;
  partcv[0] = 1;
  Object opresult1615 = callmethod(sum1614, ">(1)", 1, partcv, params);
// compiled op node returning opresult1615 (depth = 3)
  Object if1602 = done;
  if (istrue(opresult1615)) {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1616 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1618 = alloc_Float64(2);
// compiled num node returning num1618 (depth = 5)
  int op_slot_right_1617 = gc_frame_newslot(num1618);
// starting to compile member node (depth = 5)
  int callframe1620 = gc_frame_new();
// call case 4: self request
  Object call1621 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1620);
// compiled member node returning call1621 (depth = 5)
  int op_slot_left_1617 = gc_frame_newslot(call1621);
  params[0] = num1618;
  partcv[0] = 1;
  Object prod1622 = callmethod(call1621, "*(1)", 1, partcv, params);
// compiled op node returning prod1622 (depth = 4)
  gc_frame_newslot(prod1622);
// call case 4: self request
  params[0] = prod1622;
  partcv[0] = 1;
  Object call1623 = callmethodflags(self, "expandTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1616);
// compiled call node returning call1623 (depth = 3)
    gc_frame_newslot(call1623);
    if1602 = call1623;
  } else {
  }
// compiled if node returning if1602 (depth = 2)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1624 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe1625 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1627 = alloc_Float64(1);
// compiled num node returning num1627 (depth = 5)
  int op_slot_right_1626 = gc_frame_newslot(num1627);
// starting to compile member node (depth = 5)
  int callframe1629 = gc_frame_new();
// call case 4: self request
  Object call1630 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1629);
// compiled member node returning call1630 (depth = 5)
  int op_slot_left_1626 = gc_frame_newslot(call1630);
  params[0] = num1627;
  partcv[0] = 1;
  Object diff1631 = callmethod(call1630, "-(1)", 1, partcv, params);
// compiled op node returning diff1631 (depth = 4)
  gc_frame_newslot(diff1631);
// starting to compile num node (depth = 4)
  Object num1632 = alloc_Float64(0);
// compiled num node returning num1632 (depth = 4)
  gc_frame_newslot(num1632);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1633 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1634 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1635 = gc_frame_new();
// call case 3: self.outer request
  Object call1636 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1635);
// compiled member node returning call1636 (depth = 6)
  Object call1637 = callmethodflags(call1636, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1634);
// compiled member node returning call1637 (depth = 5)
  Object call1638 = callmethodflags(call1637, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1633);
// compiled member node returning call1638 (depth = 4)
  params[0] = diff1631;
  params[1] = num1632;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1639 = callmethodflags(call1638, "from(1)downTo(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1625);
// compiled call node returning call1639 (depth = 3)
  gc_frame_newslot(call1639);
// starting to compile block node (depth = 3)
  Object block1640 = alloc_Block(NULL, NULL, "collectionsPrelude", 998);
  gc_frame_newslot(block1640);
// method "_apply(_)"
  block_savedest(block1640);
  Object closure1641 = createclosure(1, "_apply(1)");
  setclosureframe(closure1641, stackframe);
  addtoclosure(closure1641, selfslot);
  struct UserObject *uo1641 = (struct UserObject*)block1640;
  uo1641->data[0] = (Object)closure1641;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1641 = addmethod2pos(block1640, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1641, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1641[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1641->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1641);
  meth_meth_collectionsPrelude__apply_40_1_41_1641->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1641->definitionLine = 1990;
// compiled block node returning block1640 (depth = 3)
  gc_frame_newslot(block1640);
// call case 5: prelude request
  params[0] = call1639;
  params[1] = block1640;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1655 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1624);
// compiled call node returning call1655 (depth = 2)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1656 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1657 = alloc_Float64(0);
// compiled num node returning num1657 (depth = 3)
  gc_frame_newslot(num1657);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elt (depth = 3)
  gc_frame_newslot(*var_elt);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1658 = gc_frame_new();
// call case 4: self request
  Object call1659 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1658);
// compiled member node returning call1659 (depth = 3)
  params[0] = num1657;
  params[1] = *var_elt;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1660 = callmethodflags(call1659, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1656);
// compiled call node returning call1660 (depth = 2)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1661 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1663 = alloc_Float64(1);
// compiled num node returning num1663 (depth = 4)
  int op_slot_right_1662 = gc_frame_newslot(num1663);
// starting to compile member node (depth = 4)
  int callframe1665 = gc_frame_new();
// call case 4: self request
  Object call1666 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1665);
// compiled member node returning call1666 (depth = 4)
  int op_slot_left_1662 = gc_frame_newslot(call1666);
  params[0] = num1663;
  partcv[0] = 1;
  Object sum1667 = callmethod(call1666, "+(1)", 1, partcv, params);
// compiled op node returning sum1667 (depth = 3)
  gc_frame_newslot(sum1667);
// call case 4: self request
  params[0] = sum1667;
  partcv[0] = 1;
  Object call1668 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1661);
// compiled call node returning call1668 (depth = 2)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_clear1669(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "clear");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1670 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1672 = alloc_Float64(1);
// compiled num node returning num1672 (depth = 4)
  int op_slot_right_1671 = gc_frame_newslot(num1672);
// starting to compile member node (depth = 4)
  int callframe1674 = gc_frame_new();
// call case 4: self request
  Object call1675 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1674);
// compiled member node returning call1675 (depth = 4)
  int op_slot_left_1671 = gc_frame_newslot(call1675);
  params[0] = num1672;
  partcv[0] = 1;
  Object sum1676 = callmethod(call1675, "+(1)", 1, partcv, params);
// compiled op node returning sum1676 (depth = 3)
  gc_frame_newslot(sum1676);
// call case 4: self request
  params[0] = sum1676;
  partcv[0] = 1;
  Object call1677 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1670);
// compiled call node returning call1677 (depth = 2)
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1678 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe1679 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1680 = gc_frame_new();
// call case 4: self request
  Object call1681 = callmethodflags(self, "initialSize", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1680);
// compiled member node returning call1681 (depth = 4)
  gc_frame_newslot(call1681);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1682 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call1683 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe1682);
// compiled member node returning call1683 (depth = 4)
  params[0] = call1681;
  partcv[0] = 1;
  Object call1684 = callmethodflags(call1683, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1679);
// compiled call node returning call1684 (depth = 3)
  gc_frame_newslot(call1684);
// call case 4: self request
  params[0] = call1684;
  partcv[0] = 1;
  Object call1685 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1678);
// compiled call node returning call1685 (depth = 2)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1686 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1687 = alloc_Float64(0);
// compiled num node returning num1687 (depth = 3)
  gc_frame_newslot(num1687);
// call case 4: self request
  params[0] = num1687;
  partcv[0] = 1;
  Object call1688 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1686);
// compiled call node returning call1688 (depth = 2)
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_removeFirst1689(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeFirst");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1690 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1691 = alloc_Float64(1);
// compiled num node returning num1691 (depth = 3)
  gc_frame_newslot(num1691);
// call case 4: self request
  params[0] = num1691;
  partcv[0] = 1;
  Object call1692 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1690);
// compiled call node returning call1692 (depth = 2)
  gc_frame_end(frame);
  return call1692;
}
Object meth_collectionsPrelude__apply_40_1_41_1723(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1724 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1726 = alloc_Float64(1);
// compiled num node returning num1726 (depth = 6)
  int op_slot_right_1725 = gc_frame_newslot(num1726);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1725 = gc_frame_newslot(*var_i);
  params[0] = num1726;
  partcv[0] = 1;
  Object diff1728 = callmethod(*var_i, "-(1)", 1, partcv, params);
// compiled op node returning diff1728 (depth = 5)
  gc_frame_newslot(diff1728);
// starting to compile call node (depth = 5)
  int callframe1729 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1730 = gc_frame_new();
// call case 4: self request
  Object call1731 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1730);
// compiled member node returning call1731 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1732 = callmethodflags(call1731, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1729);
// compiled call node returning call1732 (depth = 5)
  gc_frame_newslot(call1732);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1733 = gc_frame_new();
// call case 4: self request
  Object call1734 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1733);
// compiled member node returning call1734 (depth = 5)
  params[0] = diff1728;
  params[1] = call1732;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1735 = callmethodflags(call1734, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1724);
// compiled call node returning call1735 (depth = 4)
  gc_frame_end(frame);
  return call1735;
}
Object meth_collectionsPrelude_removeAt_40_1_41_1693(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAt(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAt(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAt(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAt(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_removed = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "removed");
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1694 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1696 = alloc_Float64(1);
// compiled num node returning num1696 (depth = 4)
  int op_slot_right_1695 = gc_frame_newslot(num1696);
// starting to compile member node (depth = 4)
  int callframe1698 = gc_frame_new();
// call case 4: self request
  Object call1699 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1698);
// compiled member node returning call1699 (depth = 4)
  int op_slot_left_1695 = gc_frame_newslot(call1699);
  params[0] = num1696;
  partcv[0] = 1;
  Object sum1700 = callmethod(call1699, "+(1)", 1, partcv, params);
// compiled op node returning sum1700 (depth = 3)
  gc_frame_newslot(sum1700);
// call case 4: self request
  params[0] = sum1700;
  partcv[0] = 1;
  Object call1701 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1694);
// compiled call node returning call1701 (depth = 2)
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1702 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1703 = callmethodflags(self, "boundsCheck(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1702);
// compiled call node returning call1703 (depth = 2)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1704 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1706 = alloc_Float64(1);
// compiled num node returning num1706 (depth = 5)
  int op_slot_right_1705 = gc_frame_newslot(num1706);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_1705 = gc_frame_newslot(*var_n);
  params[0] = num1706;
  partcv[0] = 1;
  Object diff1708 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1708 (depth = 4)
  gc_frame_newslot(diff1708);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1709 = gc_frame_new();
// call case 4: self request
  Object call1710 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1709);
// compiled member node returning call1710 (depth = 4)
  params[0] = diff1708;
  partcv[0] = 1;
  Object call1711 = callmethodflags(call1710, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1704);
// compiled call node returning call1711 (depth = 3)
  *var_removed = call1711;
  if (call1711 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1712 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1715 = alloc_Float64(1);
// compiled num node returning num1715 (depth = 5)
  int op_slot_right_1714 = gc_frame_newslot(num1715);
// starting to compile member node (depth = 5)
  int callframe1717 = gc_frame_new();
// call case 4: self request
  Object call1718 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1717);
// compiled member node returning call1718 (depth = 5)
  int op_slot_left_1714 = gc_frame_newslot(call1718);
  params[0] = num1715;
  partcv[0] = 1;
  Object diff1719 = callmethod(call1718, "-(1)", 1, partcv, params);
// compiled op node returning diff1719 (depth = 4)
  int op_slot_right_1713 = gc_frame_newslot(diff1719);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_1713 = gc_frame_newslot(*var_n);
  params[0] = diff1719;
  partcv[0] = 1;
  Object opresult1721 = callmethod(*var_n, "..(1)", 1, partcv, params);
// compiled op node returning opresult1721 (depth = 3)
  gc_frame_newslot(opresult1721);
// starting to compile block node (depth = 3)
  Object block1722 = alloc_Block(NULL, NULL, "collectionsPrelude", 1018);
  gc_frame_newslot(block1722);
// method "_apply(_)"
  block_savedest(block1722);
  Object closure1723 = createclosure(1, "_apply(1)");
  setclosureframe(closure1723, stackframe);
  addtoclosure(closure1723, selfslot);
  struct UserObject *uo1723 = (struct UserObject*)block1722;
  uo1723->data[0] = (Object)closure1723;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1723 = addmethod2pos(block1722, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1723, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1723[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1723->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1723);
  meth_meth_collectionsPrelude__apply_40_1_41_1723->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1723->definitionLine = 1990;
// compiled block node returning block1722 (depth = 3)
  gc_frame_newslot(block1722);
// call case 5: prelude request
  params[0] = opresult1721;
  params[1] = block1722;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1737 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1712);
// compiled call node returning call1737 (depth = 2)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1738 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1740 = alloc_Float64(1);
// compiled num node returning num1740 (depth = 4)
  int op_slot_right_1739 = gc_frame_newslot(num1740);
// starting to compile member node (depth = 4)
  int callframe1742 = gc_frame_new();
// call case 4: self request
  Object call1743 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1742);
// compiled member node returning call1743 (depth = 4)
  int op_slot_left_1739 = gc_frame_newslot(call1743);
  params[0] = num1740;
  partcv[0] = 1;
  Object diff1744 = callmethod(call1743, "-(1)", 1, partcv, params);
// compiled op node returning diff1744 (depth = 3)
  gc_frame_newslot(diff1744);
// call case 4: self request
  params[0] = diff1744;
  partcv[0] = 1;
  Object call1745 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1738);
// compiled call node returning call1745 (depth = 2)
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_removed (depth = 3)
  return *var_removed;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1749(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elt = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1750 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1752 == NULL) {
    strlit1752 = alloc_String("");
    gc_root(strlit1752);
  }
// compiled string node returning strlit1752 (depth = 7)
  int op_slot_right_1751 = gc_frame_newslot(strlit1752);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_elt (depth = 8)
  int op_slot_right_1754 = gc_frame_newslot(*var_elt);
// starting to compile string node (depth = 8)
  if (strlit1756 == NULL) {
    strlit1756 = alloc_String("list does not contain ");
    gc_root(strlit1756);
  }
// compiled string node returning strlit1756 (depth = 8)
  int op_slot_left_1754 = gc_frame_newslot(strlit1756);
  params[0] = *var_elt;
  partcv[0] = 1;
  Object opresult1757 = callmethod(strlit1756, "++(1)", 1, partcv, params);
// compiled op node returning opresult1757 (depth = 7)
  int op_slot_left_1751 = gc_frame_newslot(opresult1757);
  params[0] = strlit1752;
  partcv[0] = 1;
  Object opresult1758 = callmethod(opresult1757, "++(1)", 1, partcv, params);
// compiled op node returning opresult1758 (depth = 6)
  gc_frame_newslot(opresult1758);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_NoSuchObject (depth = 6)
  params[0] = opresult1758;
  partcv[0] = 1;
  Object call1759 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1750);
// compiled call node returning call1759 (depth = 5)
  gc_frame_end(frame);
  return call1759;
}
Object meth_collectionsPrelude_remove_40_1_41_1746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "remove(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for remove(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1747 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elt (depth = 4)
  gc_frame_newslot(*var_elt);
// starting to compile block node (depth = 4)
  Object block1748 = alloc_Block(NULL, NULL, "collectionsPrelude", 1026);
  gc_frame_newslot(block1748);
// method "_apply"
  block_savedest(block1748);
  Object closure1749 = createclosure(3, "_apply");
  setclosureframe(closure1749, stackframe);
  addtoclosure(closure1749, var_elt);
  addtoclosure(closure1749, var_NoSuchObject);
  addtoclosure(closure1749, selfslot);
  struct UserObject *uo1749 = (struct UserObject*)block1748;
  uo1749->data[0] = (Object)closure1749;
  Method *meth_meth_collectionsPrelude__apply1749 = addmethod2pos(block1748, "_apply", &meth_collectionsPrelude__apply1749, 0);
  int argcv_meth_collectionsPrelude__apply1749[] = {0};
  meth_meth_collectionsPrelude__apply1749->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1749);
  meth_meth_collectionsPrelude__apply1749->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1749->definitionLine = 1990;
// compiled block node returning block1748 (depth = 4)
  gc_frame_newslot(block1748);
// call case 4: self request
  params[0] = *var_elt;
  params[1] = block1748;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1761 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1747);
// compiled call node returning call1761 (depth = 3)
  *var_ix = call1761;
  if (call1761 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1762 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ix (depth = 3)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call1763 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1762);
// compiled call node returning call1763 (depth = 2)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply1767(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1768 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  Object call1769 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe1768);
// compiled member node returning call1769 (depth = 5)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  block_return(realself, self);
// compiled return node returning undefined (depth = 5)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for remove(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ix");
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1765 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elt (depth = 4)
  gc_frame_newslot(*var_elt);
// starting to compile block node (depth = 4)
  Object block1766 = alloc_Block(NULL, NULL, "collectionsPrelude", 1034);
  gc_frame_newslot(block1766);
// method "_apply"
  block_savedest(block1766);
  Object closure1767 = createclosure(2, "_apply");
  setclosureframe(closure1767, stackframe);
  addtoclosure(closure1767, var_action);
  addtoclosure(closure1767, selfslot);
  struct UserObject *uo1767 = (struct UserObject*)block1766;
  uo1767->data[0] = (Object)closure1767;
  Method *meth_meth_collectionsPrelude__apply1767 = addmethod2pos(block1766, "_apply", &meth_collectionsPrelude__apply1767, 0);
  int argcv_meth_collectionsPrelude__apply1767[] = {0};
  meth_meth_collectionsPrelude__apply1767->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1767);
  meth_meth_collectionsPrelude__apply1767->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1767->definitionLine = 1990;
// compiled block node returning block1766 (depth = 4)
  gc_frame_newslot(block1766);
// call case 4: self request
  params[0] = *var_elt;
  params[1] = block1766;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1771 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1765);
// compiled call node returning call1771 (depth = 3)
  *var_ix = call1771;
  if (call1771 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1772 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ix (depth = 3)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call1773 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1772);
// compiled call node returning call1773 (depth = 2)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply1777(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe1778 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1779 == NULL) {
    strlit1779 = alloc_String("list does not contain object");
    gc_root(strlit1779);
  }
// compiled string node returning strlit1779 (depth = 5)
  gc_frame_newslot(strlit1779);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_NoSuchObject (depth = 5)
  params[0] = strlit1779;
  partcv[0] = 1;
  Object call1780 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1778);
// compiled call node returning call1780 (depth = 4)
  gc_frame_end(frame);
  return call1780;
}
Object meth_collectionsPrelude_removeAll_40_1_41_1774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1775 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_vs (depth = 3)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 3)
  Object block1776 = alloc_Block(NULL, NULL, "collectionsPrelude", 1043);
  gc_frame_newslot(block1776);
// method "_apply"
  block_savedest(block1776);
  Object closure1777 = createclosure(2, "_apply");
  setclosureframe(closure1777, stackframe);
  addtoclosure(closure1777, var_NoSuchObject);
  addtoclosure(closure1777, selfslot);
  struct UserObject *uo1777 = (struct UserObject*)block1776;
  uo1777->data[0] = (Object)closure1777;
  Method *meth_meth_collectionsPrelude__apply1777 = addmethod2pos(block1776, "_apply", &meth_collectionsPrelude__apply1777, 0);
  int argcv_meth_collectionsPrelude__apply1777[] = {0};
  meth_meth_collectionsPrelude__apply1777->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1777);
  meth_meth_collectionsPrelude__apply1777->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1777->definitionLine = 1990;
// compiled block node returning block1776 (depth = 3)
  gc_frame_newslot(block1776);
// call case 4: self request
  params[0] = *var_vs;
  params[1] = block1776;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1782 = callmethodflags(self, "removeAll(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1775);
// compiled call node returning call1782 (depth = 2)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply1789(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile num node (depth = 7)
  Object num1790 = alloc_Float64(0);
// compiled num node returning num1790 (depth = 7)
  gc_frame_end(frame);
  return num1790;
}
Object meth_collectionsPrelude__apply_40_1_41_1786(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1787 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// starting to compile block node (depth = 6)
  Object block1788 = alloc_Block(NULL, NULL, "collectionsPrelude", 1048);
  gc_frame_newslot(block1788);
// method "_apply"
  block_savedest(block1788);
  Object closure1789 = createclosure(1, "_apply");
  setclosureframe(closure1789, stackframe);
  addtoclosure(closure1789, selfslot);
  struct UserObject *uo1789 = (struct UserObject*)block1788;
  uo1789->data[0] = (Object)closure1789;
  Method *meth_meth_collectionsPrelude__apply1789 = addmethod2pos(block1788, "_apply", &meth_collectionsPrelude__apply1789, 0);
  int argcv_meth_collectionsPrelude__apply1789[] = {0};
  meth_meth_collectionsPrelude__apply1789->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1789);
  meth_meth_collectionsPrelude__apply1789->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1789->definitionLine = 1990;
// compiled block node returning block1788 (depth = 6)
  gc_frame_newslot(block1788);
// call case 4: self request
  params[0] = *var_each;
  params[1] = block1788;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1792 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1787);
// compiled call node returning call1792 (depth = 5)
  *var_ix = call1792;
  if (call1792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1795 = alloc_Float64(0);
// compiled num node returning num1795 (depth = 6)
  int op_slot_right_1794 = gc_frame_newslot(num1795);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_1794 = gc_frame_newslot(*var_ix);
  params[0] = num1795;
  partcv[0] = 1;
  Object opresult1797 = callmethod(*var_ix, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1797 (depth = 5)
  Object if1793 = done;
  if (istrue(opresult1797)) {
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1798 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call1799 = callmethodflags(self, "removeAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1798);
// compiled call node returning call1799 (depth = 5)
    gc_frame_newslot(call1799);
    if1793 = call1799;
  } else {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1800 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  Object call1801 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe1800);
// compiled member node returning call1801 (depth = 5)
    gc_frame_newslot(call1801);
    if1793 = call1801;
  }
// compiled if node returning if1793 (depth = 4)
  gc_frame_end(frame);
  return if1793;
}
Object meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAll(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1784 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_vs (depth = 3)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 3)
  Object block1785 = alloc_Block(NULL, NULL, "collectionsPrelude", 1047);
  gc_frame_newslot(block1785);
// method "_apply(_)"
  block_savedest(block1785);
  Object closure1786 = createclosure(2, "_apply(1)");
  setclosureframe(closure1786, stackframe);
  addtoclosure(closure1786, var_action);
  addtoclosure(closure1786, selfslot);
  struct UserObject *uo1786 = (struct UserObject*)block1785;
  uo1786->data[0] = (Object)closure1786;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1786 = addmethod2pos(block1785, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1786, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1786[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1786->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1786);
  meth_meth_collectionsPrelude__apply_40_1_41_1786->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1786->definitionLine = 1990;
// compiled block node returning block1785 (depth = 3)
  gc_frame_newslot(block1785);
// call case 5: prelude request
  params[0] = *var_vs;
  params[1] = block1785;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1803 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1784);
// compiled call node returning call1803 (depth = 2)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_pop1804(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe1805 = gc_frame_new();
// call case 4: self request
  Object call1806 = callmethodflags(self, "removeLast", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1805);
// compiled member node returning call1806 (depth = 2)
  gc_frame_end(frame);
  return call1806;
}
Object meth_collectionsPrelude__apply_40_1_41_1818(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe1819 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call1820 = callmethodflags(*var_result, "addFirst(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1819);
// compiled call node returning call1820 (depth = 4)
  gc_frame_end(frame);
  return call1820;
}
Object meth_collectionsPrelude_reversed1807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1808 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1809 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1810 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1811 = gc_frame_new();
// call case 3: self.outer request
  Object call1812 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1811);
// compiled member node returning call1812 (depth = 6)
  Object call1813 = callmethodflags(call1812, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1810);
// compiled member node returning call1813 (depth = 5)
  Object call1814 = callmethodflags(call1813, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1809);
// compiled member node returning call1814 (depth = 4)
  Object call1815 = callmethodflags(call1814, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe1808);
// compiled member node returning call1815 (depth = 3)
  *var_result = call1815;
  if (call1815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1816 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1817 = alloc_Block(NULL, NULL, "collectionsPrelude", 1060);
  gc_frame_newslot(block1817);
// method "_apply(_)"
  block_savedest(block1817);
  Object closure1818 = createclosure(2, "_apply(1)");
  setclosureframe(closure1818, stackframe);
  addtoclosure(closure1818, var_result);
  addtoclosure(closure1818, selfslot);
  struct UserObject *uo1818 = (struct UserObject*)block1817;
  uo1818->data[0] = (Object)closure1818;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1818 = addmethod2pos(block1817, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1818, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1818[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1818->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1818);
  meth_meth_collectionsPrelude__apply_40_1_41_1818->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1818->definitionLine = 1990;
// compiled block node returning block1817 (depth = 3)
  gc_frame_newslot(block1817);
// call case 4: self request
  params[0] = block1817;
  partcv[0] = 1;
  Object call1822 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1816);
// compiled call node returning call1822 (depth = 2)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply1837(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiIx (depth = 5)
  int op_slot_right_1838 = gc_frame_newslot(*var_hiIx);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_loIx (depth = 5)
  int op_slot_left_1838 = gc_frame_newslot(*var_loIx);
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object opresult1840 = callmethod(*var_loIx, "<(1)", 1, partcv, params);
// compiled op node returning opresult1840 (depth = 4)
  gc_frame_end(frame);
  return opresult1840;
}
Object meth_collectionsPrelude__apply1843(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiVal = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiVal");
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1844 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_hiIx (depth = 6)
  gc_frame_newslot(*var_hiIx);
// call case 4: self request
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object call1845 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1844);
// compiled call node returning call1845 (depth = 5)
  *var_hiVal = call1845;
  if (call1845 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1846 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiIx (depth = 5)
  gc_frame_newslot(*var_hiIx);
// starting to compile call node (depth = 5)
  int callframe1847 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_loIx (depth = 6)
  gc_frame_newslot(*var_loIx);
// call case 4: self request
  params[0] = *var_loIx;
  partcv[0] = 1;
  Object call1848 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1847);
// compiled call node returning call1848 (depth = 5)
  gc_frame_newslot(call1848);
// call case 4: self request
  params[0] = *var_hiIx;
  params[1] = call1848;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1849 = callmethodflags(self, "at(1)put(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1846);
// compiled call node returning call1849 (depth = 4)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1850 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_loIx (depth = 5)
  gc_frame_newslot(*var_loIx);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiVal (depth = 5)
  gc_frame_newslot(*var_hiVal);
// call case 4: self request
  params[0] = *var_loIx;
  params[1] = *var_hiVal;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1851 = callmethodflags(self, "at(1)put(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1850);
// compiled call node returning call1851 (depth = 4)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1853 = alloc_Float64(1);
// compiled num node returning num1853 (depth = 6)
  int op_slot_right_1852 = gc_frame_newslot(num1853);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_hiIx (depth = 6)
  int op_slot_left_1852 = gc_frame_newslot(*var_hiIx);
  params[0] = num1853;
  partcv[0] = 1;
  Object diff1855 = callmethod(*var_hiIx, "-(1)", 1, partcv, params);
// compiled op node returning diff1855 (depth = 5)
  *var_hiIx = diff1855;
  if (diff1855 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1858 = alloc_Float64(1);
// compiled num node returning num1858 (depth = 6)
  int op_slot_right_1857 = gc_frame_newslot(num1858);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_loIx (depth = 6)
  int op_slot_left_1857 = gc_frame_newslot(*var_loIx);
  params[0] = num1858;
  partcv[0] = 1;
  Object sum1860 = callmethod(*var_loIx, "+(1)", 1, partcv, params);
// compiled op node returning sum1860 (depth = 5)
  *var_loIx = sum1860;
  if (sum1860 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_reverse1823(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reverse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiIx = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiIx");
  Object *var_loIx = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "loIx");
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1824 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1826 = alloc_Float64(1);
// compiled num node returning num1826 (depth = 4)
  int op_slot_right_1825 = gc_frame_newslot(num1826);
// starting to compile member node (depth = 4)
  int callframe1828 = gc_frame_new();
// call case 4: self request
  Object call1829 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1828);
// compiled member node returning call1829 (depth = 4)
  int op_slot_left_1825 = gc_frame_newslot(call1829);
  params[0] = num1826;
  partcv[0] = 1;
  Object sum1830 = callmethod(call1829, "+(1)", 1, partcv, params);
// compiled op node returning sum1830 (depth = 3)
  gc_frame_newslot(sum1830);
// call case 4: self request
  params[0] = sum1830;
  partcv[0] = 1;
  Object call1831 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1824);
// compiled call node returning call1831 (depth = 2)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1832 = gc_frame_new();
// call case 4: self request
  Object call1833 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1832);
// compiled member node returning call1833 (depth = 3)
  *var_hiIx = call1833;
  if (call1833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1834 = alloc_Float64(1);
// compiled num node returning num1834 (depth = 3)
  *var_loIx = num1834;
  if (num1834 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1835 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1836 = alloc_Block(NULL, NULL, "collectionsPrelude", 1067);
  gc_frame_newslot(block1836);
// method "_apply"
  block_savedest(block1836);
  Object closure1837 = createclosure(3, "_apply");
  setclosureframe(closure1837, stackframe);
  addtoclosure(closure1837, var_hiIx);
  addtoclosure(closure1837, var_loIx);
  addtoclosure(closure1837, selfslot);
  struct UserObject *uo1837 = (struct UserObject*)block1836;
  uo1837->data[0] = (Object)closure1837;
  Method *meth_meth_collectionsPrelude__apply1837 = addmethod2pos(block1836, "_apply", &meth_collectionsPrelude__apply1837, 0);
  int argcv_meth_collectionsPrelude__apply1837[] = {0};
  meth_meth_collectionsPrelude__apply1837->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1837);
  meth_meth_collectionsPrelude__apply1837->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1837->definitionLine = 1990;
// compiled block node returning block1836 (depth = 3)
  gc_frame_newslot(block1836);
// starting to compile block node (depth = 3)
  Object block1842 = alloc_Block(NULL, NULL, "collectionsPrelude", 1067);
  gc_frame_newslot(block1842);
// method "_apply"
  block_savedest(block1842);
  Object closure1843 = createclosure(3, "_apply");
  setclosureframe(closure1843, stackframe);
  addtoclosure(closure1843, var_hiIx);
  addtoclosure(closure1843, var_loIx);
  addtoclosure(closure1843, selfslot);
  struct UserObject *uo1843 = (struct UserObject*)block1842;
  uo1843->data[0] = (Object)closure1843;
  Method *meth_meth_collectionsPrelude__apply1843 = addmethod2pos(block1842, "_apply", &meth_collectionsPrelude__apply1843, 0);
  int argcv_meth_collectionsPrelude__apply1843[] = {0};
  meth_meth_collectionsPrelude__apply1843->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1843);
  meth_meth_collectionsPrelude__apply1843->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1843->definitionLine = 1990;
// compiled block node returning block1842 (depth = 3)
  gc_frame_newslot(block1842);
// call case 5: prelude request
  params[0] = block1836;
  params[1] = block1842;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1863 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1835);
// compiled call node returning call1863 (depth = 2)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__43__43__40_1_41_1864(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_l = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "l");
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1865 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1866 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1867 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1868 = gc_frame_new();
// call case 3: self.outer request
  Object call1869 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1868);
// compiled member node returning call1869 (depth = 6)
  Object call1870 = callmethodflags(call1869, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1867);
// compiled member node returning call1870 (depth = 5)
  Object call1871 = callmethodflags(call1870, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1866);
// compiled member node returning call1871 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1872 = callmethodflags(call1871, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1865);
// compiled call node returning call1872 (depth = 3)
  *var_l = call1872;
  if (call1872 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1873 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1874 = callmethodflags(*var_l, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1873);
// compiled call node returning call1874 (depth = 2)
  gc_frame_end(frame);
  return call1874;
}
Object meth_collectionsPrelude__apply_40_1_41_1889(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1891 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe1892 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1893 = gc_frame_new();
// call case 4: self request
  Object call1894 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1893);
// compiled member node returning call1894 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1895 = callmethodflags(call1894, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1892);
// compiled call node returning call1895 (depth = 7)
  Object call1896 = callmethodflags(call1895, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe1891);
// compiled member node returning call1896 (depth = 6)
  int op_slot_right_1890 = gc_frame_newslot(call1896);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1890 = gc_frame_newslot(*var_s);
  params[0] = call1896;
  partcv[0] = 1;
  Object opresult1898 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1898 (depth = 5)
  *var_s = opresult1898;
  if (opresult1898 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1903 = alloc_Float64(1);
// compiled num node returning num1903 (depth = 7)
  int op_slot_right_1902 = gc_frame_newslot(num1903);
// starting to compile member node (depth = 7)
  int callframe1905 = gc_frame_new();
// call case 4: self request
  Object call1906 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1905);
// compiled member node returning call1906 (depth = 7)
  int op_slot_left_1902 = gc_frame_newslot(call1906);
  params[0] = num1903;
  partcv[0] = 1;
  Object diff1907 = callmethod(call1906, "-(1)", 1, partcv, params);
// compiled op node returning diff1907 (depth = 6)
  int op_slot_right_1901 = gc_frame_newslot(diff1907);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1901 = gc_frame_newslot(*var_i);
  params[0] = diff1907;
  partcv[0] = 1;
  Object opresult1909 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1909 (depth = 5)
  Object if1900 = done;
  if (istrue(opresult1909)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1911 == NULL) {
    strlit1911 = alloc_String(", ");
    gc_root(strlit1911);
  }
// compiled string node returning strlit1911 (depth = 7)
  int op_slot_right_1910 = gc_frame_newslot(strlit1911);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1910 = gc_frame_newslot(*var_s);
  params[0] = strlit1911;
  partcv[0] = 1;
  Object opresult1913 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1913 (depth = 6)
  *var_s = opresult1913;
  if (opresult1913 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1900 = done;
  } else {
  }
// compiled if node returning if1900 (depth = 4)
  gc_frame_end(frame);
  return if1900;
}
Object meth_collectionsPrelude_asString1875(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1876 == NULL) {
    strlit1876 = alloc_String("[");
    gc_root(strlit1876);
  }
// compiled string node returning strlit1876 (depth = 3)
  *var_s = strlit1876;
  if (strlit1876 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1877 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1880 = alloc_Float64(1);
// compiled num node returning num1880 (depth = 5)
  int op_slot_right_1879 = gc_frame_newslot(num1880);
// starting to compile member node (depth = 5)
  int callframe1882 = gc_frame_new();
// call case 4: self request
  Object call1883 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1882);
// compiled member node returning call1883 (depth = 5)
  int op_slot_left_1879 = gc_frame_newslot(call1883);
  params[0] = num1880;
  partcv[0] = 1;
  Object diff1884 = callmethod(call1883, "-(1)", 1, partcv, params);
// compiled op node returning diff1884 (depth = 4)
  int op_slot_right_1878 = gc_frame_newslot(diff1884);
// starting to compile num node (depth = 4)
  Object num1886 = alloc_Float64(0);
// compiled num node returning num1886 (depth = 4)
  int op_slot_left_1878 = gc_frame_newslot(num1886);
  params[0] = diff1884;
  partcv[0] = 1;
  Object opresult1887 = callmethod(num1886, "..(1)", 1, partcv, params);
// compiled op node returning opresult1887 (depth = 3)
  gc_frame_newslot(opresult1887);
// starting to compile block node (depth = 3)
  Object block1888 = alloc_Block(NULL, NULL, "collectionsPrelude", 1082);
  gc_frame_newslot(block1888);
// method "_apply(_)"
  block_savedest(block1888);
  Object closure1889 = createclosure(2, "_apply(1)");
  setclosureframe(closure1889, stackframe);
  addtoclosure(closure1889, var_s);
  addtoclosure(closure1889, selfslot);
  struct UserObject *uo1889 = (struct UserObject*)block1888;
  uo1889->data[0] = (Object)closure1889;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1889 = addmethod2pos(block1888, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1889, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1889[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1889->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1889);
  meth_meth_collectionsPrelude__apply_40_1_41_1889->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1889->definitionLine = 1990;
// compiled block node returning block1888 (depth = 3)
  gc_frame_newslot(block1888);
// call case 5: prelude request
  params[0] = opresult1887;
  params[1] = block1888;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1916 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1877);
// compiled call node returning call1916 (depth = 2)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1918 == NULL) {
    strlit1918 = alloc_String("]");
    gc_root(strlit1918);
  }
// compiled string node returning strlit1918 (depth = 3)
  int op_slot_right_1917 = gc_frame_newslot(strlit1918);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_1917 = gc_frame_newslot(*var_s);
  params[0] = strlit1918;
  partcv[0] = 1;
  Object opresult1920 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1920 (depth = 2)
  gc_frame_end(frame);
  return opresult1920;
}
Object meth_collectionsPrelude__apply_40_1_41_1935(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1937 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe1938 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1939 = gc_frame_new();
// call case 4: self request
  Object call1940 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1939);
// compiled member node returning call1940 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1941 = callmethodflags(call1940, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1938);
// compiled call node returning call1941 (depth = 7)
  Object call1942 = callmethodflags(call1941, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe1937);
// compiled member node returning call1942 (depth = 6)
  int op_slot_right_1936 = gc_frame_newslot(call1942);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1936 = gc_frame_newslot(*var_s);
  params[0] = call1942;
  partcv[0] = 1;
  Object opresult1944 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1944 (depth = 5)
  *var_s = opresult1944;
  if (opresult1944 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1949 = alloc_Float64(1);
// compiled num node returning num1949 (depth = 7)
  int op_slot_right_1948 = gc_frame_newslot(num1949);
// starting to compile member node (depth = 7)
  int callframe1951 = gc_frame_new();
// call case 4: self request
  Object call1952 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1951);
// compiled member node returning call1952 (depth = 7)
  int op_slot_left_1948 = gc_frame_newslot(call1952);
  params[0] = num1949;
  partcv[0] = 1;
  Object diff1953 = callmethod(call1952, "-(1)", 1, partcv, params);
// compiled op node returning diff1953 (depth = 6)
  int op_slot_right_1947 = gc_frame_newslot(diff1953);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1947 = gc_frame_newslot(*var_i);
  params[0] = diff1953;
  partcv[0] = 1;
  Object opresult1955 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1955 (depth = 5)
  Object if1946 = done;
  if (istrue(opresult1955)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1957 == NULL) {
    strlit1957 = alloc_String(", ");
    gc_root(strlit1957);
  }
// compiled string node returning strlit1957 (depth = 7)
  int op_slot_right_1956 = gc_frame_newslot(strlit1957);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1956 = gc_frame_newslot(*var_s);
  params[0] = strlit1957;
  partcv[0] = 1;
  Object opresult1959 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1959 (depth = 6)
  *var_s = opresult1959;
  if (opresult1959 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1946 = done;
  } else {
  }
// compiled if node returning if1946 (depth = 4)
  gc_frame_end(frame);
  return if1946;
}
Object meth_collectionsPrelude_asDebugString1921(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1922 == NULL) {
    strlit1922 = alloc_String("[");
    gc_root(strlit1922);
  }
// compiled string node returning strlit1922 (depth = 3)
  *var_s = strlit1922;
  if (strlit1922 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1923 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1926 = alloc_Float64(1);
// compiled num node returning num1926 (depth = 5)
  int op_slot_right_1925 = gc_frame_newslot(num1926);
// starting to compile member node (depth = 5)
  int callframe1928 = gc_frame_new();
// call case 4: self request
  Object call1929 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1928);
// compiled member node returning call1929 (depth = 5)
  int op_slot_left_1925 = gc_frame_newslot(call1929);
  params[0] = num1926;
  partcv[0] = 1;
  Object diff1930 = callmethod(call1929, "-(1)", 1, partcv, params);
// compiled op node returning diff1930 (depth = 4)
  int op_slot_right_1924 = gc_frame_newslot(diff1930);
// starting to compile num node (depth = 4)
  Object num1932 = alloc_Float64(0);
// compiled num node returning num1932 (depth = 4)
  int op_slot_left_1924 = gc_frame_newslot(num1932);
  params[0] = diff1930;
  partcv[0] = 1;
  Object opresult1933 = callmethod(num1932, "..(1)", 1, partcv, params);
// compiled op node returning opresult1933 (depth = 3)
  gc_frame_newslot(opresult1933);
// starting to compile block node (depth = 3)
  Object block1934 = alloc_Block(NULL, NULL, "collectionsPrelude", 1090);
  gc_frame_newslot(block1934);
// method "_apply(_)"
  block_savedest(block1934);
  Object closure1935 = createclosure(2, "_apply(1)");
  setclosureframe(closure1935, stackframe);
  addtoclosure(closure1935, var_s);
  addtoclosure(closure1935, selfslot);
  struct UserObject *uo1935 = (struct UserObject*)block1934;
  uo1935->data[0] = (Object)closure1935;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1935 = addmethod2pos(block1934, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1935, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1935[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1935->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1935);
  meth_meth_collectionsPrelude__apply_40_1_41_1935->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1935->definitionLine = 1990;
// compiled block node returning block1934 (depth = 3)
  gc_frame_newslot(block1934);
// call case 5: prelude request
  params[0] = opresult1933;
  params[1] = block1934;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1962 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1923);
// compiled call node returning call1962 (depth = 2)
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1964 == NULL) {
    strlit1964 = alloc_String("]");
    gc_root(strlit1964);
  }
// compiled string node returning strlit1964 (depth = 3)
  int op_slot_right_1963 = gc_frame_newslot(strlit1964);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_1963 = gc_frame_newslot(*var_s);
  params[0] = strlit1964;
  partcv[0] = 1;
  Object opresult1966 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1966 (depth = 2)
  gc_frame_end(frame);
  return opresult1966;
}
Object meth_collectionsPrelude__apply_40_1_41_1970(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_element = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_element (depth = 6)
  int op_slot_right_1972 = gc_frame_newslot(*var_element);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_1972 = gc_frame_newslot(*var_each);
  params[0] = *var_element;
  partcv[0] = 1;
  Object opresult1974 = callmethod(*var_each, "==(1)", 1, partcv, params);
// compiled op node returning opresult1974 (depth = 5)
  Object if1971 = done;
  if (istrue(opresult1974)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1975 = alloc_Boolean(1);
// compiled identifier node returning bool1975 (depth = 6)
  block_return(realself, bool1975);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1971 = undefined;
  } else {
  }
// compiled if node returning if1971 (depth = 4)
  gc_frame_end(frame);
  return if1971;
}
Object meth_collectionsPrelude_contains_40_1_41_1967(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1968 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1969 = alloc_Block(NULL, NULL, "collectionsPrelude", 1097);
  gc_frame_newslot(block1969);
// method "_apply(_)"
  block_savedest(block1969);
  Object closure1970 = createclosure(2, "_apply(1)");
  setclosureframe(closure1970, stackframe);
  addtoclosure(closure1970, var_element);
  addtoclosure(closure1970, selfslot);
  struct UserObject *uo1970 = (struct UserObject*)block1969;
  uo1970->data[0] = (Object)closure1970;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1970 = addmethod2pos(block1969, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1970, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1970[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1970->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1970);
  meth_meth_collectionsPrelude__apply_40_1_41_1970->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1970->definitionLine = 1990;
// compiled block node returning block1969 (depth = 3)
  gc_frame_newslot(block1969);
// call case 4: self request
  params[0] = block1969;
  partcv[0] = 1;
  Object call1977 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1968);
// compiled call node returning call1977 (depth = 2)
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1978 = alloc_Boolean(0);
// compiled identifier node returning bool1978 (depth = 3)
  return bool1978;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1983(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1985 = gc_frame_new();
// call case 4: self request
  Object call1986 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1985);
// compiled member node returning call1986 (depth = 5)
  int op_slot_right_1984 = gc_frame_newslot(call1986);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_1984 = gc_frame_newslot(*var_i);
  params[0] = call1986;
  partcv[0] = 1;
  Object opresult1988 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1988 (depth = 4)
  gc_frame_end(frame);
  return opresult1988;
}
Object meth_collectionsPrelude__apply1991(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1992 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe1993 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1994 = gc_frame_new();
// call case 4: self request
  Object call1995 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1994);
// compiled member node returning call1995 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1996 = callmethodflags(call1995, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1993);
// compiled call node returning call1996 (depth = 5)
  gc_frame_newslot(call1996);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = call1996;
  partcv[0] = 1;
  Object call1997 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1992);
// compiled call node returning call1997 (depth = 4)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1999 = alloc_Float64(1);
// compiled num node returning num1999 (depth = 6)
  int op_slot_right_1998 = gc_frame_newslot(num1999);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1998 = gc_frame_newslot(*var_i);
  params[0] = num1999;
  partcv[0] = 1;
  Object sum2001 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum2001 (depth = 5)
  *var_i = sum2001;
  if (sum2001 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_1979(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1980 = alloc_Float64(0);
// compiled num node returning num1980 (depth = 3)
  *var_i = num1980;
  if (num1980 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1981 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1982 = alloc_Block(NULL, NULL, "collectionsPrelude", 1102);
  gc_frame_newslot(block1982);
// method "_apply"
  block_savedest(block1982);
  Object closure1983 = createclosure(2, "_apply");
  setclosureframe(closure1983, stackframe);
  addtoclosure(closure1983, var_i);
  addtoclosure(closure1983, selfslot);
  struct UserObject *uo1983 = (struct UserObject*)block1982;
  uo1983->data[0] = (Object)closure1983;
  Method *meth_meth_collectionsPrelude__apply1983 = addmethod2pos(block1982, "_apply", &meth_collectionsPrelude__apply1983, 0);
  int argcv_meth_collectionsPrelude__apply1983[] = {0};
  meth_meth_collectionsPrelude__apply1983->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1983);
  meth_meth_collectionsPrelude__apply1983->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1983->definitionLine = 1990;
// compiled block node returning block1982 (depth = 3)
  gc_frame_newslot(block1982);
// starting to compile block node (depth = 3)
  Object block1990 = alloc_Block(NULL, NULL, "collectionsPrelude", 1102);
  gc_frame_newslot(block1990);
// method "_apply"
  block_savedest(block1990);
  Object closure1991 = createclosure(3, "_apply");
  setclosureframe(closure1991, stackframe);
  addtoclosure(closure1991, var_i);
  addtoclosure(closure1991, var_block1);
  addtoclosure(closure1991, selfslot);
  struct UserObject *uo1991 = (struct UserObject*)block1990;
  uo1991->data[0] = (Object)closure1991;
  Method *meth_meth_collectionsPrelude__apply1991 = addmethod2pos(block1990, "_apply", &meth_collectionsPrelude__apply1991, 0);
  int argcv_meth_collectionsPrelude__apply1991[] = {0};
  meth_meth_collectionsPrelude__apply1991->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1991);
  meth_meth_collectionsPrelude__apply1991->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1991->definitionLine = 1990;
// compiled block node returning block1990 (depth = 3)
  gc_frame_newslot(block1990);
// call case 5: prelude request
  params[0] = block1982;
  params[1] = block1990;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2004 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1981);
// compiled call node returning call2004 (depth = 2)
  gc_frame_end(frame);
  return call2004;
}
Object meth_collectionsPrelude__61__61__40_1_41_2005(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2006 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2007 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2008 = gc_frame_new();
// call case 3: self.outer request
  Object call2009 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2008);
// compiled member node returning call2009 (depth = 4)
  Object call2010 = callmethodflags(call2009, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2007);
// compiled member node returning call2010 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2011 = callmethodflags(call2010, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2006);
// compiled call node returning call2011 (depth = 2)
  gc_frame_end(frame);
  return call2011;
}
Object meth_collectionsPrelude_asDebugString2017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2019 == NULL) {
    strlit2019 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit2019);
  }
// compiled string node returning strlit2019 (depth = 3)
  int op_slot_right_2018 = gc_frame_newslot(strlit2019);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2022 = gc_frame_new();
// call case 4: self request
  Object call2023 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2022);
// compiled member node returning call2023 (depth = 4)
  int op_slot_right_2021 = gc_frame_newslot(call2023);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2026 == NULL) {
    strlit2026 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit2026);
  }
// compiled string node returning strlit2026 (depth = 5)
  int op_slot_right_2025 = gc_frame_newslot(strlit2026);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2029 = gc_frame_new();
// call case 4: self request
  Object call2030 = callmethodflags(self, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2029);
// compiled member node returning call2030 (depth = 6)
  int op_slot_right_2028 = gc_frame_newslot(call2030);
// starting to compile string node (depth = 6)
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("");
    gc_root(strlit2032);
  }
// compiled string node returning strlit2032 (depth = 6)
  int op_slot_left_2028 = gc_frame_newslot(strlit2032);
  params[0] = call2030;
  partcv[0] = 1;
  Object opresult2033 = callmethod(strlit2032, "++(1)", 1, partcv, params);
// compiled op node returning opresult2033 (depth = 5)
  int op_slot_left_2025 = gc_frame_newslot(opresult2033);
  params[0] = strlit2026;
  partcv[0] = 1;
  Object opresult2034 = callmethod(opresult2033, "++(1)", 1, partcv, params);
// compiled op node returning opresult2034 (depth = 4)
  int op_slot_left_2021 = gc_frame_newslot(opresult2034);
  params[0] = call2023;
  partcv[0] = 1;
  Object opresult2035 = callmethod(opresult2034, "++(1)", 1, partcv, params);
// compiled op node returning opresult2035 (depth = 3)
  int op_slot_left_2018 = gc_frame_newslot(opresult2035);
  params[0] = strlit2019;
  partcv[0] = 1;
  Object opresult2036 = callmethod(opresult2035, "++(1)", 1, partcv, params);
// compiled op node returning opresult2036 (depth = 2)
  gc_frame_end(frame);
  return opresult2036;
}
Object meth_collectionsPrelude_asString2037(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2038 == NULL) {
    strlit2038 = alloc_String("aListIterator");
    gc_root(strlit2038);
  }
// compiled string node returning strlit2038 (depth = 2)
  gc_frame_end(frame);
  return strlit2038;
}
Object meth_collectionsPrelude_hasNext2039(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2042 = gc_frame_new();
// call case 3: self.outer request
  Object call2043 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2042);
// compiled member node returning call2043 (depth = 4)
  Object call2044 = callmethodflags(call2043, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2041);
// compiled member node returning call2044 (depth = 3)
  int op_slot_right_2040 = gc_frame_newslot(call2044);
// starting to compile member node (depth = 3)
  int callframe2046 = gc_frame_new();
// call case 4: self request
  Object call2047 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2046);
// compiled member node returning call2047 (depth = 3)
  int op_slot_left_2040 = gc_frame_newslot(call2047);
  params[0] = call2044;
  partcv[0] = 1;
  Object opresult2048 = callmethod(call2047, "≤(1)", 1, partcv, params);
// compiled op node returning opresult2048 (depth = 2)
  gc_frame_end(frame);
  return opresult2048;
}
Object meth_collectionsPrelude_next2049(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2052 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2053 = gc_frame_new();
// call case 3: self.outer request
  Object call2054 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2053);
// compiled member node returning call2054 (depth = 5)
  Object call2055 = callmethodflags(call2054, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2052);
// compiled member node returning call2055 (depth = 4)
  int op_slot_right_2051 = gc_frame_newslot(call2055);
// starting to compile member node (depth = 4)
  int callframe2057 = gc_frame_new();
// call case 4: self request
  Object call2058 = callmethodflags(self, "imods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2057);
// compiled member node returning call2058 (depth = 4)
  int op_slot_left_2051 = gc_frame_newslot(call2058);
  params[0] = call2055;
  partcv[0] = 1;
  Object opresult2059 = callmethod(call2058, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2059 (depth = 3)
  Object if2050 = done;
  if (istrue(opresult2059)) {
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2060 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2061 = gc_frame_new();
// call case 4: self request
  Object call2062 = callmethodflags(self, "asDebugString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2061);
// compiled member node returning call2062 (depth = 4)
  gc_frame_newslot(call2062);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ConcurrentModification (depth = 4)
  params[0] = call2062;
  partcv[0] = 1;
  Object call2063 = callmethodflags(*var_ConcurrentModification, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2060);
// compiled call node returning call2063 (depth = 3)
    gc_frame_newslot(call2063);
    if2050 = call2063;
  } else {
  }
// compiled if node returning if2050 (depth = 2)
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2066 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2067 = gc_frame_new();
// call case 3: self.outer request
  Object call2068 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2067);
// compiled member node returning call2068 (depth = 5)
  Object call2069 = callmethodflags(call2068, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2066);
// compiled member node returning call2069 (depth = 4)
  int op_slot_right_2065 = gc_frame_newslot(call2069);
// starting to compile member node (depth = 4)
  int callframe2071 = gc_frame_new();
// call case 4: self request
  Object call2072 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled member node returning call2072 (depth = 4)
  int op_slot_left_2065 = gc_frame_newslot(call2072);
  params[0] = call2069;
  partcv[0] = 1;
  Object opresult2073 = callmethod(call2072, ">(1)", 1, partcv, params);
// compiled op node returning opresult2073 (depth = 3)
  Object if2064 = done;
  if (istrue(opresult2073)) {
// starting to compile call node (depth = 3)
  int callframe2074 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("on list");
    gc_root(strlit2075);
  }
// compiled string node returning strlit2075 (depth = 4)
  gc_frame_newslot(strlit2075);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = strlit2075;
  partcv[0] = 1;
  Object call2076 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2074);
// compiled call node returning call2076 (depth = 3)
    gc_frame_newslot(call2076);
    if2064 = call2076;
  } else {
  }
// compiled if node returning if2064 (depth = 2)
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2077 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2078 = gc_frame_new();
// call case 4: self request
  Object call2079 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2078);
// compiled member node returning call2079 (depth = 4)
  gc_frame_newslot(call2079);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2080 = gc_frame_new();
// call case 3: self.outer request
  Object call2081 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2080);
// compiled member node returning call2081 (depth = 4)
  params[0] = call2079;
  partcv[0] = 1;
  Object call2082 = callmethodflags(call2081, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2077);
// compiled call node returning call2082 (depth = 3)
  *var_ret = call2082;
  if (call2082 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2083 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2085 = alloc_Float64(1);
// compiled num node returning num2085 (depth = 4)
  int op_slot_right_2084 = gc_frame_newslot(num2085);
// starting to compile member node (depth = 4)
  int callframe2087 = gc_frame_new();
// call case 4: self request
  Object call2088 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2087);
// compiled member node returning call2088 (depth = 4)
  int op_slot_left_2084 = gc_frame_newslot(call2088);
  params[0] = num2085;
  partcv[0] = 1;
  Object sum2089 = callmethod(call2088, "+(1)", 1, partcv, params);
// compiled op node returning sum2089 (depth = 3)
  gc_frame_newslot(sum2089);
// call case 4: self request
  params[0] = sum2089;
  partcv[0] = 1;
  Object call2090 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2083);
// compiled call node returning call2090 (depth = 2)
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ret (depth = 2)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_collectionsPrelude_iterator2012(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2013 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2013 = alloc_userobj2(8,7, objclass2013);
  gc_frame_newslot(obj2013);
if (objclass2013 == NULL) {
  glfree(obj2013->class->name);
  obj2013->class->name = "list.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2013, self, 0);
  addmethodreal(obj2013,"outer", &reader_collectionsPrelude_outer_2014);
  Object oldself2013 = self;
  struct StackFrameObject *oldstackframe2013 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2013);
  gc_frame_newslot((Object)stackframe);
  self = obj2013;
  Object *oldselfslot2013 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2013 = (*(struct UserObject *)self).data[0], lowerouter2013 = thisouter2013;
  if (inheritingObject2013) {
    struct UserObject *inho2013 = (struct UserObject *)inheritingObject2013;
    while (inho2013->super != GraceDefaultObject) inho2013 = (struct UserObject *)inho2013->super;
    inho2013->super = obj2013;
    self = inheritingObject2013;
    *selfslot = self;
    lowerouter2013 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2013;
  }
if (objclass2013 == NULL) {
  Method *reader2015 = addmethodrealflags(obj2013, "imods", &reader_collectionsPrelude_imods_2015, MFLAG_CONFIDENTIAL);
  Method *writer2015 = addmethodrealflags(obj2013, "imods:=(1)", &writer_collectionsPrelude_imods_2015, MFLAG_CONFIDENTIAL);
  reader2015->definitionModule = modulename;
  writer2015->definitionModule = modulename;
  reader2015->definitionLine = 1113;
  writer2015->definitionLine = 1113;
}
obj2013->flags |= OFLAG_MUTABLE;
adddatum2(obj2013, alloc_Undefined(), 1);
if (objclass2013 == NULL) {
  Method *reader2016 = addmethodrealflags(obj2013, "idx", &reader_collectionsPrelude_idx_2016, MFLAG_CONFIDENTIAL);
  Method *writer2016 = addmethodrealflags(obj2013, "idx:=(1)", &writer_collectionsPrelude_idx_2016, MFLAG_CONFIDENTIAL);
  reader2016->definitionModule = modulename;
  writer2016->definitionModule = modulename;
  reader2016->definitionLine = 1114;
  writer2016->definitionLine = 1114;
}
obj2013->flags |= OFLAG_MUTABLE;
adddatum2(obj2013, alloc_Undefined(), 2);
// method "asDebugString"
  struct UserObject *uo2017 = (struct UserObject*)obj2013;
  uo2017->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2017 = addmethod2pos(obj2013, "asDebugString", &meth_collectionsPrelude_asDebugString2017, 3);
  int argcv_meth_collectionsPrelude_asDebugString2017[] = {0};
  meth_meth_collectionsPrelude_asDebugString2017->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2017);
  meth_meth_collectionsPrelude_asDebugString2017->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2017->definitionLine = 1115;
// method "asString"
  struct UserObject *uo2037 = (struct UserObject*)obj2013;
  uo2037->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2037 = addmethod2pos(obj2013, "asString", &meth_collectionsPrelude_asString2037, 4);
  int argcv_meth_collectionsPrelude_asString2037[] = {0};
  meth_meth_collectionsPrelude_asString2037->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2037);
  meth_meth_collectionsPrelude_asString2037->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2037->definitionLine = 1116;
// method "hasNext"
  struct UserObject *uo2039 = (struct UserObject*)obj2013;
  uo2039->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2039 = addmethod2pos(obj2013, "hasNext", &meth_collectionsPrelude_hasNext2039, 5);
  int argcv_meth_collectionsPrelude_hasNext2039[] = {0};
  meth_meth_collectionsPrelude_hasNext2039->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2039);
  meth_meth_collectionsPrelude_hasNext2039->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2039->definitionLine = 1117;
// method "next"
  block_savedest(obj2013);
  Object closure2049 = createclosure(2, "next");
  setclosureframe(closure2049, stackframe);
  addtoclosure(closure2049, var_ConcurrentModification);
  addtoclosure(closure2049, var_IteratorExhausted);
  struct UserObject *uo2049 = (struct UserObject*)obj2013;
  uo2049->data[6] = (Object)closure2049;
  Method *meth_meth_collectionsPrelude_next2049 = addmethod2pos(obj2013, "next", &meth_collectionsPrelude_next2049, 6);
  int argcv_meth_collectionsPrelude_next2049[] = {0};
  meth_meth_collectionsPrelude_next2049->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2049);
  meth_meth_collectionsPrelude_next2049->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2049->definitionLine = 1118;
  sourceObject = obj2013;
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2091 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2092 = gc_frame_new();
// call case 3: self.outer request
  Object call2093 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2092);
// compiled member node returning call2093 (depth = 3)
  Object call2094 = callmethodflags(call2093, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2091);
// compiled member node returning call2094 (depth = 2)
  adddatum2(obj2013, call2094, 1);
  sourceObject = obj2013;
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2095 = alloc_Float64(1);
// compiled num node returning num2095 (depth = 2)
  adddatum2(obj2013, num2095, 2);
  sourceObject = obj2013;
  sourceObject = obj2013;
  sourceObject = obj2013;
  sourceObject = obj2013;
  objclass2013 = obj2013->class;
  objclass2013->definitionModule = modulename;
  objclass2013->definitionLine = 1112;
  (*(struct UserObject *)self).data[0] = lowerouter2013;
  self = oldself2013;
  selfslot = oldselfslot2013;
  stackframe = oldstackframe2013;
  gc_frame_end(frame);
  return obj2013;
}
Object meth_collectionsPrelude_iterator2012_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2013 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2013 = alloc_userobj2(8,7, objclass2013);
  gc_frame_newslot(obj2013);
if (objclass2013 == NULL) {
  glfree(obj2013->class->name);
  obj2013->class->name = "list.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2013, self, 0);
  addmethodreal(obj2013,"outer", &reader_collectionsPrelude_outer_2014);
  Object oldself2013 = self;
  struct StackFrameObject *oldstackframe2013 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2013);
  gc_frame_newslot((Object)stackframe);
  self = obj2013;
  Object *oldselfslot2013 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2013 = (*(struct UserObject *)self).data[0], lowerouter2013 = thisouter2013;
  if (inheritingObject2013) {
    struct UserObject *inho2013 = (struct UserObject *)inheritingObject2013;
    while (inho2013->super != GraceDefaultObject) inho2013 = (struct UserObject *)inho2013->super;
    inho2013->super = obj2013;
    self = inheritingObject2013;
    *selfslot = self;
    lowerouter2013 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2013;
  }
if (objclass2013 == NULL) {
  Method *reader2015 = addmethodrealflags(obj2013, "imods", &reader_collectionsPrelude_imods_2015, MFLAG_CONFIDENTIAL);
  Method *writer2015 = addmethodrealflags(obj2013, "imods:=(1)", &writer_collectionsPrelude_imods_2015, MFLAG_CONFIDENTIAL);
  reader2015->definitionModule = modulename;
  writer2015->definitionModule = modulename;
  reader2015->definitionLine = 1113;
  writer2015->definitionLine = 1113;
}
obj2013->flags |= OFLAG_MUTABLE;
adddatum2(obj2013, alloc_Undefined(), 1);
if (objclass2013 == NULL) {
  Method *reader2016 = addmethodrealflags(obj2013, "idx", &reader_collectionsPrelude_idx_2016, MFLAG_CONFIDENTIAL);
  Method *writer2016 = addmethodrealflags(obj2013, "idx:=(1)", &writer_collectionsPrelude_idx_2016, MFLAG_CONFIDENTIAL);
  reader2016->definitionModule = modulename;
  writer2016->definitionModule = modulename;
  reader2016->definitionLine = 1114;
  writer2016->definitionLine = 1114;
}
obj2013->flags |= OFLAG_MUTABLE;
adddatum2(obj2013, alloc_Undefined(), 2);
// method "asDebugString"
  struct UserObject *uo2017 = (struct UserObject*)obj2013;
  uo2017->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2017 = addmethod2pos(obj2013, "asDebugString", &meth_collectionsPrelude_asDebugString2017, 3);
  int argcv_meth_collectionsPrelude_asDebugString2017[] = {0};
  meth_meth_collectionsPrelude_asDebugString2017->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2017);
  meth_meth_collectionsPrelude_asDebugString2017->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2017->definitionLine = 1115;
// method "asString"
  struct UserObject *uo2037 = (struct UserObject*)obj2013;
  uo2037->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2037 = addmethod2pos(obj2013, "asString", &meth_collectionsPrelude_asString2037, 4);
  int argcv_meth_collectionsPrelude_asString2037[] = {0};
  meth_meth_collectionsPrelude_asString2037->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2037);
  meth_meth_collectionsPrelude_asString2037->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2037->definitionLine = 1116;
// method "hasNext"
  struct UserObject *uo2039 = (struct UserObject*)obj2013;
  uo2039->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2039 = addmethod2pos(obj2013, "hasNext", &meth_collectionsPrelude_hasNext2039, 5);
  int argcv_meth_collectionsPrelude_hasNext2039[] = {0};
  meth_meth_collectionsPrelude_hasNext2039->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2039);
  meth_meth_collectionsPrelude_hasNext2039->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2039->definitionLine = 1117;
// method "next"
  block_savedest(obj2013);
  Object closure2049 = createclosure(2, "next");
  setclosureframe(closure2049, stackframe);
  addtoclosure(closure2049, var_ConcurrentModification);
  addtoclosure(closure2049, var_IteratorExhausted);
  struct UserObject *uo2049 = (struct UserObject*)obj2013;
  uo2049->data[6] = (Object)closure2049;
  Method *meth_meth_collectionsPrelude_next2049 = addmethod2pos(obj2013, "next", &meth_collectionsPrelude_next2049, 6);
  int argcv_meth_collectionsPrelude_next2049[] = {0};
  meth_meth_collectionsPrelude_next2049->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2049);
  meth_meth_collectionsPrelude_next2049->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2049->definitionLine = 1118;
  sourceObject = obj2013;
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2091 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2092 = gc_frame_new();
// call case 3: self.outer request
  Object call2093 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2092);
// compiled member node returning call2093 (depth = 3)
  Object call2094 = callmethodflags(call2093, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2091);
// compiled member node returning call2094 (depth = 2)
  adddatum2(obj2013, call2094, 1);
  sourceObject = obj2013;
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2095 = alloc_Float64(1);
// compiled num node returning num2095 (depth = 2)
  adddatum2(obj2013, num2095, 2);
  sourceObject = obj2013;
  sourceObject = obj2013;
  sourceObject = obj2013;
  sourceObject = obj2013;
  objclass2013 = obj2013->class;
  objclass2013->definitionModule = modulename;
  objclass2013->definitionLine = 1112;
  (*(struct UserObject *)self).data[0] = lowerouter2013;
  self = oldself2013;
  selfslot = oldselfslot2013;
  stackframe = oldstackframe2013;
  gc_frame_end(frame);
  return obj2013;
}
Object meth_collectionsPrelude_values2097(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_keys2098(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2099 = gc_frame_new();
// call case 4: self request
  Object call2100 = callmethodflags(self, "indices", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2099);
// compiled member node returning call2100 (depth = 2)
  gc_frame_end(frame);
  return call2100;
}
Object meth_collectionsPrelude__apply_40_1_41_2118(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_newInner = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2119 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile call node (depth = 5)
  int callframe2120 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2121 = gc_frame_new();
// call case 4: self request
  Object call2122 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2121);
// compiled member node returning call2122 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2123 = callmethodflags(call2122, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2120);
// compiled call node returning call2123 (depth = 5)
  gc_frame_newslot(call2123);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newInner (depth = 5)
  params[0] = *var_i;
  params[1] = call2123;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2124 = callmethodflags(*var_newInner, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2119);
// compiled call node returning call2124 (depth = 4)
  gc_frame_end(frame);
  return call2124;
}
Object meth_collectionsPrelude_expandTo_40_1_41_2101(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expandTo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method expandTo(_)");
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for expandTo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_newSize = &(stackframe->slots[0]);
  *var_newSize = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part expandTo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newInner = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newInner");
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2102 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newSize (depth = 4)
  gc_frame_newslot(*var_newSize);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2103 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call2104 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2103);
// compiled member node returning call2104 (depth = 4)
  params[0] = *var_newSize;
  partcv[0] = 1;
  Object call2105 = callmethodflags(call2104, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2102);
// compiled call node returning call2105 (depth = 3)
  *var_newInner = call2105;
  if (call2105 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2106 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2109 = alloc_Float64(1);
// compiled num node returning num2109 (depth = 5)
  int op_slot_right_2108 = gc_frame_newslot(num2109);
// starting to compile member node (depth = 5)
  int callframe2111 = gc_frame_new();
// call case 4: self request
  Object call2112 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2111);
// compiled member node returning call2112 (depth = 5)
  int op_slot_left_2108 = gc_frame_newslot(call2112);
  params[0] = num2109;
  partcv[0] = 1;
  Object diff2113 = callmethod(call2112, "-(1)", 1, partcv, params);
// compiled op node returning diff2113 (depth = 4)
  int op_slot_right_2107 = gc_frame_newslot(diff2113);
// starting to compile num node (depth = 4)
  Object num2115 = alloc_Float64(0);
// compiled num node returning num2115 (depth = 4)
  int op_slot_left_2107 = gc_frame_newslot(num2115);
  params[0] = diff2113;
  partcv[0] = 1;
  Object opresult2116 = callmethod(num2115, "..(1)", 1, partcv, params);
// compiled op node returning opresult2116 (depth = 3)
  gc_frame_newslot(opresult2116);
// starting to compile block node (depth = 3)
  Object block2117 = alloc_Block(NULL, NULL, "collectionsPrelude", 1137);
  gc_frame_newslot(block2117);
// method "_apply(_)"
  block_savedest(block2117);
  Object closure2118 = createclosure(2, "_apply(1)");
  setclosureframe(closure2118, stackframe);
  addtoclosure(closure2118, var_newInner);
  addtoclosure(closure2118, selfslot);
  struct UserObject *uo2118 = (struct UserObject*)block2117;
  uo2118->data[0] = (Object)closure2118;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2118 = addmethod2pos(block2117, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2118, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2118[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2118->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2118);
  meth_meth_collectionsPrelude__apply_40_1_41_2118->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2118->definitionLine = 1990;
// compiled block node returning block2117 (depth = 3)
  gc_frame_newslot(block2117);
// call case 5: prelude request
  params[0] = opresult2116;
  params[1] = block2117;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2126 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2106);
// compiled call node returning call2126 (depth = 2)
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2127 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newInner (depth = 3)
  gc_frame_newslot(*var_newInner);
// call case 4: self request
  params[0] = *var_newInner;
  partcv[0] = 1;
  Object call2128 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2127);
// compiled call node returning call2128 (depth = 2)
  gc_frame_end(frame);
  return call2128;
}
Object meth_collectionsPrelude_sortBy_40_1_41_2129(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortBy(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2130 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2132 = alloc_Float64(1);
// compiled num node returning num2132 (depth = 4)
  int op_slot_right_2131 = gc_frame_newslot(num2132);
// starting to compile member node (depth = 4)
  int callframe2134 = gc_frame_new();
// call case 4: self request
  Object call2135 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2134);
// compiled member node returning call2135 (depth = 4)
  int op_slot_left_2131 = gc_frame_newslot(call2135);
  params[0] = num2132;
  partcv[0] = 1;
  Object sum2136 = callmethod(call2135, "+(1)", 1, partcv, params);
// compiled op node returning sum2136 (depth = 3)
  gc_frame_newslot(sum2136);
// call case 4: self request
  params[0] = sum2136;
  partcv[0] = 1;
  Object call2137 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2130);
// compiled call node returning call2137 (depth = 2)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2138 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2139 = gc_frame_new();
// call case 4: self request
  Object call2140 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2139);
// compiled member node returning call2140 (depth = 3)
  gc_frame_newslot(call2140);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sortBlock (depth = 3)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2141 = gc_frame_new();
// call case 4: self request
  Object call2142 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2141);
// compiled member node returning call2142 (depth = 3)
  params[0] = call2140;
  params[1] = *var_sortBlock;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2143 = callmethodflags(call2142, "sortInitial(1)by(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2138);
// compiled call node returning call2143 (depth = 2)
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_2_41_2147(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[1]);
  *var_r = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_r (depth = 6)
  int op_slot_right_2149 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_l (depth = 6)
  int op_slot_left_2149 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult2151 = callmethod(*var_l, "==(1)", 1, partcv, params);
// compiled op node returning opresult2151 (depth = 5)
  Object if2148 = done;
  if (istrue(opresult2151)) {
// starting to compile num node (depth = 5)
  Object num2152 = alloc_Float64(0);
// compiled num node returning num2152 (depth = 5)
    gc_frame_newslot(num2152);
    if2148 = num2152;
  } else {
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_r (depth = 7)
  int op_slot_right_2154 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  int op_slot_left_2154 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult2156 = callmethod(*var_l, "<(1)", 1, partcv, params);
// compiled op node returning opresult2156 (depth = 6)
  Object if2153 = done;
  if (istrue(opresult2156)) {
// starting to compile call node (depth = 6)
  int callframe2157 = gc_frame_new();
// call case 6: other requests
// starting to compile num node (depth = 7)
  Object num2158 = alloc_Float64(1);
// compiled num node returning num2158 (depth = 7)
  partcv[0] = 0;
  Object call2159 = callmethodflags(num2158, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe2157);
// compiled call node returning call2159 (depth = 6)
    gc_frame_newslot(call2159);
    if2153 = call2159;
  } else {
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num2160 = alloc_Float64(1);
// compiled num node returning num2160 (depth = 6)
    gc_frame_newslot(num2160);
    if2153 = num2160;
  }
// compiled if node returning if2153 (depth = 5)
    gc_frame_newslot(if2153);
    if2148 = if2153;
  }
// compiled if node returning if2148 (depth = 4)
  gc_frame_end(frame);
  return if2148;
}
Object meth_collectionsPrelude_sort2144(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sort");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2145 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2146 = alloc_Block(NULL, NULL, "collectionsPrelude", 1148);
  gc_frame_newslot(block2146);
// method "_apply(_,_)"
  block_savedest(block2146);
  Object closure2147 = createclosure(1, "_apply(2)");
  setclosureframe(closure2147, stackframe);
  addtoclosure(closure2147, selfslot);
  struct UserObject *uo2147 = (struct UserObject*)block2146;
  uo2147->data[0] = (Object)closure2147;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_2147 = addmethod2pos(block2146, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_2147, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_2147[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_2147->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_2147);
  meth_meth_collectionsPrelude__apply_40_2_41_2147->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_2147->definitionLine = 1990;
// compiled block node returning block2146 (depth = 3)
  gc_frame_newslot(block2146);
// call case 4: self request
  params[0] = block2146;
  partcv[0] = 1;
  Object call2162 = callmethodflags(self, "sortBy(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2145);
// compiled call node returning call2162 (depth = 2)
  gc_frame_end(frame);
  return call2162;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_2163(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2164 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sortBlock (depth = 3)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2165 = gc_frame_new();
// call case 4: self request
  Object call2166 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2165);
// compiled member node returning call2166 (depth = 3)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call2167 = callmethodflags(call2166, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2164);
// compiled call node returning call2167 (depth = 2)
  gc_frame_end(frame);
  return call2167;
}
Object meth_collectionsPrelude_sorted2168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2169 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2170 = gc_frame_new();
// call case 4: self request
  Object call2171 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2170);
// compiled member node returning call2171 (depth = 3)
  Object call2172 = callmethodflags(call2171, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe2169);
// compiled member node returning call2172 (depth = 2)
  gc_frame_end(frame);
  return call2172;
}
Object meth_collectionsPrelude_copy2173(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2174 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2175 = gc_frame_new();
// call case 3: self.outer request
  Object call2176 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2175);
// compiled member node returning call2176 (depth = 3)
  params[0] = self;
  partcv[0] = 1;
  Object call2177 = callmethodflags(call2176, "withAll(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2174);
// compiled call node returning call2177 (depth = 2)
  gc_frame_end(frame);
  return call2177;
}
Object meth_collectionsPrelude__apply2190(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe2191 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool2192 = alloc_Boolean(0);
// compiled identifier node returning bool2192 (depth = 7)
  gc_frame_newslot(bool2192);
// call case 4: self request
  params[0] = bool2192;
  partcv[0] = 1;
  Object call2193 = callmethodflags(self, "sizeCertain:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2191);
// compiled call node returning call2193 (depth = 6)
// starting to compile num node (depth = 6)
  Object num2194 = alloc_Float64(4);
// compiled num node returning num2194 (depth = 6)
  gc_frame_end(frame);
  return num2194;
}
Object meth_collectionsPrelude__apply_40_1_41_2211(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2212 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2213 = gc_frame_new();
// call case 4: self request
  Object call2214 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2213);
// compiled member node returning call2214 (depth = 6)
  gc_frame_newslot(call2214);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2215 = gc_frame_new();
// call case 4: self request
  Object call2216 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2215);
// compiled member node returning call2216 (depth = 6)
  params[0] = call2214;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2217 = callmethodflags(call2216, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2212);
// compiled call node returning call2217 (depth = 5)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2218 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2220 = alloc_Float64(1);
// compiled num node returning num2220 (depth = 7)
  int op_slot_right_2219 = gc_frame_newslot(num2220);
// starting to compile member node (depth = 7)
  int callframe2222 = gc_frame_new();
// call case 4: self request
  Object call2223 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2222);
// compiled member node returning call2223 (depth = 7)
  int op_slot_left_2219 = gc_frame_newslot(call2223);
  params[0] = num2220;
  partcv[0] = 1;
  Object sum2224 = callmethod(call2223, "+(1)", 1, partcv, params);
// compiled op node returning sum2224 (depth = 6)
  gc_frame_newslot(sum2224);
// call case 4: self request
  params[0] = sum2224;
  partcv[0] = 1;
  Object call2225 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2218);
// compiled call node returning call2225 (depth = 5)
  gc_frame_end(frame);
  return call2225;
}
Object meth_collectionsPrelude__apply_40_1_41_2257(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_newInner = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2258 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// starting to compile call node (depth = 9)
  int callframe2259 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2260 = gc_frame_new();
// call case 4: self request
  Object call2261 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2260);
// compiled member node returning call2261 (depth = 10)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2262 = callmethodflags(call2261, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2259);
// compiled call node returning call2262 (depth = 9)
  gc_frame_newslot(call2262);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newInner (depth = 9)
  params[0] = *var_i;
  params[1] = call2262;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2263 = callmethodflags(*var_newInner, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2258);
// compiled call node returning call2263 (depth = 8)
  gc_frame_end(frame);
  return call2263;
}
Object meth_collectionsPrelude__apply_40_1_41_2232(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_innerSize = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newInner = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newInner");
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2235 = gc_frame_new();
// call case 4: self request
  Object call2236 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2235);
// compiled member node returning call2236 (depth = 7)
  int op_slot_right_2234 = gc_frame_newslot(call2236);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_innerSize (depth = 7)
  int op_slot_left_2234 = gc_frame_newslot(*var_innerSize);
  params[0] = call2236;
  partcv[0] = 1;
  Object opresult2238 = callmethod(*var_innerSize, "≤(1)", 1, partcv, params);
// compiled op node returning opresult2238 (depth = 6)
  Object if2233 = done;
  if (istrue(opresult2238)) {
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2239 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2241 = alloc_Float64(2);
// compiled num node returning num2241 (depth = 9)
  int op_slot_right_2240 = gc_frame_newslot(num2241);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_innerSize (depth = 9)
  int op_slot_left_2240 = gc_frame_newslot(*var_innerSize);
  params[0] = num2241;
  partcv[0] = 1;
  Object prod2243 = callmethod(*var_innerSize, "*(1)", 1, partcv, params);
// compiled op node returning prod2243 (depth = 8)
  gc_frame_newslot(prod2243);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2244 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var__prelude (depth = 9)
  Object call2245 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2244);
// compiled member node returning call2245 (depth = 8)
  params[0] = prod2243;
  partcv[0] = 1;
  Object call2246 = callmethodflags(call2245, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2239);
// compiled call node returning call2246 (depth = 7)
  *var_newInner = call2246;
  if (call2246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2247 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2250 = alloc_Float64(1);
// compiled num node returning num2250 (depth = 9)
  int op_slot_right_2249 = gc_frame_newslot(num2250);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_innerSize (depth = 9)
  int op_slot_left_2249 = gc_frame_newslot(*var_innerSize);
  params[0] = num2250;
  partcv[0] = 1;
  Object diff2252 = callmethod(*var_innerSize, "-(1)", 1, partcv, params);
// compiled op node returning diff2252 (depth = 8)
  int op_slot_right_2248 = gc_frame_newslot(diff2252);
// starting to compile num node (depth = 8)
  Object num2254 = alloc_Float64(0);
// compiled num node returning num2254 (depth = 8)
  int op_slot_left_2248 = gc_frame_newslot(num2254);
  params[0] = diff2252;
  partcv[0] = 1;
  Object opresult2255 = callmethod(num2254, "..(1)", 1, partcv, params);
// compiled op node returning opresult2255 (depth = 7)
  gc_frame_newslot(opresult2255);
// starting to compile block node (depth = 7)
  Object block2256 = alloc_Block(NULL, NULL, "collectionsPrelude", 915);
  gc_frame_newslot(block2256);
// method "_apply(_)"
  block_savedest(block2256);
  Object closure2257 = createclosure(2, "_apply(1)");
  setclosureframe(closure2257, stackframe);
  addtoclosure(closure2257, var_newInner);
  addtoclosure(closure2257, selfslot);
  struct UserObject *uo2257 = (struct UserObject*)block2256;
  uo2257->data[0] = (Object)closure2257;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2257 = addmethod2pos(block2256, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2257, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2257[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2257->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2257);
  meth_meth_collectionsPrelude__apply_40_1_41_2257->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2257->definitionLine = 1990;
// compiled block node returning block2256 (depth = 7)
  gc_frame_newslot(block2256);
// call case 5: prelude request
  params[0] = opresult2255;
  params[1] = block2256;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2265 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2247);
// compiled call node returning call2265 (depth = 6)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2266 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newInner (depth = 7)
  gc_frame_newslot(*var_newInner);
// call case 4: self request
  params[0] = *var_newInner;
  partcv[0] = 1;
  Object call2267 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2266);
// compiled call node returning call2267 (depth = 6)
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2268 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2269 = gc_frame_new();
// call case 4: self request
  Object call2270 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2269);
// compiled member node returning call2270 (depth = 8)
  Object call2271 = callmethodflags(call2270, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2268);
// compiled member node returning call2271 (depth = 7)
  *var_innerSize = call2271;
  if (call2271 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2233 = done;
  } else {
  }
// compiled if node returning if2233 (depth = 5)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2273 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2274 = gc_frame_new();
// call case 4: self request
  Object call2275 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2274);
// compiled member node returning call2275 (depth = 6)
  gc_frame_newslot(call2275);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2276 = gc_frame_new();
// call case 4: self request
  Object call2277 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2276);
// compiled member node returning call2277 (depth = 6)
  params[0] = call2275;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2278 = callmethodflags(call2277, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2273);
// compiled call node returning call2278 (depth = 5)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2279 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2281 = alloc_Float64(1);
// compiled num node returning num2281 (depth = 7)
  int op_slot_right_2280 = gc_frame_newslot(num2281);
// starting to compile member node (depth = 7)
  int callframe2283 = gc_frame_new();
// call case 4: self request
  Object call2284 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2283);
// compiled member node returning call2284 (depth = 7)
  int op_slot_left_2280 = gc_frame_newslot(call2284);
  params[0] = num2281;
  partcv[0] = 1;
  Object sum2285 = callmethod(call2284, "+(1)", 1, partcv, params);
// compiled op node returning sum2285 (depth = 6)
  gc_frame_newslot(sum2285);
// call case 4: self request
  params[0] = sum2285;
  partcv[0] = 1;
  Object call2286 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2279);
// compiled call node returning call2286 (depth = 5)
  gc_frame_end(frame);
  return call2286;
}
Object meth_collectionsPrelude_withAll_40_1_41_711(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withAll(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_ConcurrentModification = getfromclosure(closure, 2);
  Object *var_IteratorExhausted = getfromclosure(closure, 3);
  Object *var_indexable = getfromclosure(closure, 4);
  Object *var_BoundsError = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit714 == NULL) {
    strlit714 = alloc_String("js");
    gc_root(strlit714);
  }
// compiled string node returning strlit714 (depth = 4)
  int op_slot_right_713 = gc_frame_newslot(strlit714);
// starting to compile member node (depth = 4)
  int callframe716 = gc_frame_new();
// call case 5: prelude request
  Object call717 = callmethodflags(prelude, "engine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe716);
// compiled member node returning call717 (depth = 4)
  int op_slot_left_713 = gc_frame_newslot(call717);
  params[0] = strlit714;
  partcv[0] = 1;
  Object opresult718 = callmethod(call717, "==(1)", 1, partcv, params);
// compiled op node returning opresult718 (depth = 3)
  Object if712 = done;
  if (istrue(opresult718)) {
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
// compiled call node returning done (depth = 4)
  Object if719 = done;
  if (istrue(done)) {
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile object node (depth = 5)
  Object inheritingObject720 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj720 = alloc_userobj2(43,41, objclass720);
  gc_frame_newslot(obj720);
// OBJECT OUTER DEC outer
  adddatum2(obj720, self, 0);
  addmethodreal(obj720,"outer", &reader_collectionsPrelude_outer_721);
  Object oldself720 = self;
  struct StackFrameObject *oldstackframe720 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe720);
  gc_frame_newslot((Object)stackframe);
  self = obj720;
  Object *oldselfslot720 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter720 = (*(struct UserObject *)self).data[0], lowerouter720 = thisouter720;
  if (inheritingObject720) {
    struct UserObject *inho720 = (struct UserObject *)inheritingObject720;
    while (inho720->super != GraceDefaultObject) inho720 = (struct UserObject *)inho720->super;
    inho720->super = obj720;
    self = inheritingObject720;
    *selfslot = self;
    lowerouter720 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter720;
  }
if (objclass720 == NULL) {
  Method *reader722 = addmethodrealflags(obj720, "mods", &reader_collectionsPrelude_mods_722, 0);
  Method *writer722 = addmethodrealflags(obj720, "mods:=(1)", &writer_collectionsPrelude_mods_722, MFLAG_CONFIDENTIAL);
  reader722->definitionModule = modulename;
  writer722->definitionModule = modulename;
  reader722->definitionLine = 634;
  writer722->definitionLine = 634;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 1);
if (objclass720 == NULL) {
  Method *reader723 = addmethodrealflags(obj720, "sz", &reader_collectionsPrelude_sz_723, MFLAG_CONFIDENTIAL);
  Method *writer723 = addmethodrealflags(obj720, "sz:=(1)", &writer_collectionsPrelude_sz_723, MFLAG_CONFIDENTIAL);
  reader723->definitionModule = modulename;
  writer723->definitionModule = modulename;
  reader723->definitionLine = 635;
  writer723->definitionLine = 635;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 2);
if (objclass720 == NULL) {
  Method *reader724 = addmethodrealflags(obj720, "jsArray", &reader_collectionsPrelude_jsArray_724, MFLAG_CONFIDENTIAL);
  Method *writer724 = addmethodrealflags(obj720, "jsArray:=(1)", &writer_collectionsPrelude_jsArray_724, MFLAG_CONFIDENTIAL);
  reader724->definitionModule = modulename;
  writer724->definitionModule = modulename;
  reader724->definitionLine = 636;
  writer724->definitionLine = 636;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 3);
// method "size"
  struct UserObject *uo725 = (struct UserObject*)obj720;
  uo725->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size725 = addmethod2pos(obj720, "size", &meth_collectionsPrelude_size725, 4);
  int argcv_meth_collectionsPrelude_size725[] = {0};
  meth_meth_collectionsPrelude_size725->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size725);
  meth_meth_collectionsPrelude_size725->definitionModule = modulename;
  meth_meth_collectionsPrelude_size725->definitionLine = 641;
// method "at(_)"
  struct UserObject *uo728 = (struct UserObject*)obj720;
  uo728->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_728 = addmethod2pos(obj720, "at(1)", &meth_collectionsPrelude_at_40_1_41_728, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_728[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_728->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_728);
  meth_meth_collectionsPrelude_at_40_1_41_728->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_728->definitionLine = 646;
// method "at(_)put(_)"
  struct UserObject *uo729 = (struct UserObject*)obj720;
  uo729->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729 = addmethod2pos(obj720, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_729, 6);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->definitionLine = 656;
// method "add(_)"
  struct UserObject *uo738 = (struct UserObject*)obj720;
  uo738->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_738 = addmethod2pos(obj720, "add(1)", &meth_collectionsPrelude_add_40_1_41_738, 7);
  int argcv_meth_collectionsPrelude_add_40_1_41_738[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_738->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_738);
  meth_meth_collectionsPrelude_add_40_1_41_738->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_738->definitionLine = 668;
// method "push(_)"
  struct UserObject *uo747 = (struct UserObject*)obj720;
  uo747->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push_40_1_41_747 = addmethod2pos(obj720, "push(1)", &meth_collectionsPrelude_push_40_1_41_747, 8);
  int argcv_meth_collectionsPrelude_push_40_1_41_747[] = {1};
  meth_meth_collectionsPrelude_push_40_1_41_747->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push_40_1_41_747);
  meth_meth_collectionsPrelude_push_40_1_41_747->definitionModule = modulename;
  meth_meth_collectionsPrelude_push_40_1_41_747->definitionLine = 674;
// method "removeLast"
  struct UserObject *uo756 = (struct UserObject*)obj720;
  uo756->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast756 = addmethod2pos(obj720, "removeLast", &meth_collectionsPrelude_removeLast756, 9);
  int argcv_meth_collectionsPrelude_removeLast756[] = {0};
  meth_meth_collectionsPrelude_removeLast756->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast756);
  meth_meth_collectionsPrelude_removeLast756->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast756->definitionLine = 680;
// method "clear"
  struct UserObject *uo765 = (struct UserObject*)obj720;
  uo765->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_clear765 = addmethod2pos(obj720, "clear", &meth_collectionsPrelude_clear765, 10);
  int argcv_meth_collectionsPrelude_clear765[] = {0};
  meth_meth_collectionsPrelude_clear765->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear765);
  meth_meth_collectionsPrelude_clear765->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear765->definitionLine = 689;
// method "addAllFirst(_)"
  struct UserObject *uo774 = (struct UserObject*)obj720;
  uo774->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst_40_1_41_774 = addmethod2pos(obj720, "addAllFirst(1)", &meth_collectionsPrelude_addAllFirst_40_1_41_774, 11);
  int argcv_meth_collectionsPrelude_addAllFirst_40_1_41_774[] = {1};
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst_40_1_41_774);
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->definitionLine = 694;
// method "removeAt(_)"
  struct UserObject *uo804 = (struct UserObject*)obj720;
  uo804->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt_40_1_41_804 = addmethod2pos(obj720, "removeAt(1)", &meth_collectionsPrelude_removeAt_40_1_41_804, 12);
  int argcv_meth_collectionsPrelude_removeAt_40_1_41_804[] = {1};
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt_40_1_41_804);
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->definitionLine = 705;
// method "sortBy(_)"
  struct UserObject *uo815 = (struct UserObject*)obj720;
  uo815->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy_40_1_41_815 = addmethod2pos(obj720, "sortBy(1)", &meth_collectionsPrelude_sortBy_40_1_41_815, 13);
  int argcv_meth_collectionsPrelude_sortBy_40_1_41_815[] = {1};
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy_40_1_41_815);
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->definitionLine = 712;
// method "addLast(_)"
  struct UserObject *uo824 = (struct UserObject*)obj720;
  uo824->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast_40_1_41_824 = addmethod2pos(obj720, "addLast(1)", &meth_collectionsPrelude_addLast_40_1_41_824, 14);
  int argcv_meth_collectionsPrelude_addLast_40_1_41_824[] = {1};
  meth_meth_collectionsPrelude_addLast_40_1_41_824->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast_40_1_41_824);
  meth_meth_collectionsPrelude_addLast_40_1_41_824->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast_40_1_41_824->definitionLine = 726;
// method "addAll(_)"
  struct UserObject *uo827 = (struct UserObject*)obj720;
  uo827->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_827 = addmethod2pos(obj720, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_827, 15);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_827[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_827->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_827);
  meth_meth_collectionsPrelude_addAll_40_1_41_827->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_827->definitionLine = 727;
// method "addFirst(_)"
  struct UserObject *uo835 = (struct UserObject*)obj720;
  uo835->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst_40_1_41_835 = addmethod2pos(obj720, "addFirst(1)", &meth_collectionsPrelude_addFirst_40_1_41_835, 16);
  int argcv_meth_collectionsPrelude_addFirst_40_1_41_835[] = {1};
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst_40_1_41_835);
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->definitionLine = 732;
// method "removeFirst"
  struct UserObject *uo844 = (struct UserObject*)obj720;
  uo844->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst844 = addmethod2pos(obj720, "removeFirst", &meth_collectionsPrelude_removeFirst844, 17);
  int argcv_meth_collectionsPrelude_removeFirst844[] = {0};
  meth_meth_collectionsPrelude_removeFirst844->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst844);
  meth_meth_collectionsPrelude_removeFirst844->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst844->definitionLine = 738;
// method "remove(_)"
  block_savedest(obj720);
  Object closure848 = createclosure(1, "remove(1)");
  setclosureframe(closure848, stackframe);
  addtoclosure(closure848, var_NoSuchObject);
  struct UserObject *uo848 = (struct UserObject*)obj720;
  uo848->data[18] = (Object)closure848;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_848 = addmethod2pos(obj720, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_848, 18);
  int argcv_meth_collectionsPrelude_remove_40_1_41_848[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_848->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_848);
  meth_meth_collectionsPrelude_remove_40_1_41_848->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_848->definitionLine = 743;
// method "remove(_)ifAbsent(_)"
  struct UserObject *uo866 = (struct UserObject*)obj720;
  uo866->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866 = addmethod2pos(obj720, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866, 19);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->definitionLine = 752;
// method "removeAll(_)"
  block_savedest(obj720);
  Object closure876 = createclosure(1, "removeAll(1)");
  setclosureframe(closure876, stackframe);
  addtoclosure(closure876, var_NoSuchObject);
  struct UserObject *uo876 = (struct UserObject*)obj720;
  uo876->data[20] = (Object)closure876;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_876 = addmethod2pos(obj720, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_876, 20);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_876[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_876);
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->definitionLine = 760;
// method "removeAll(_)ifAbsent(_)"
  struct UserObject *uo885 = (struct UserObject*)obj720;
  uo885->data[21] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885 = addmethod2pos(obj720, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885, 21);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->definitionLine = 765;
// method "pop"
  struct UserObject *uo906 = (struct UserObject*)obj720;
  uo906->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop906 = addmethod2pos(obj720, "pop", &meth_collectionsPrelude_pop906, 22);
  int argcv_meth_collectionsPrelude_pop906[] = {0};
  meth_meth_collectionsPrelude_pop906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop906);
  meth_meth_collectionsPrelude_pop906->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop906->definitionLine = 777;
// method "reversed"
  struct UserObject *uo909 = (struct UserObject*)obj720;
  uo909->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed909 = addmethod2pos(obj720, "reversed", &meth_collectionsPrelude_reversed909, 23);
  int argcv_meth_collectionsPrelude_reversed909[] = {0};
  meth_meth_collectionsPrelude_reversed909->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed909);
  meth_meth_collectionsPrelude_reversed909->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed909->definitionLine = 779;
// method "reverse"
  struct UserObject *uo925 = (struct UserObject*)obj720;
  uo925->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse925 = addmethod2pos(obj720, "reverse", &meth_collectionsPrelude_reverse925, 24);
  int argcv_meth_collectionsPrelude_reverse925[] = {0};
  meth_meth_collectionsPrelude_reverse925->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse925);
  meth_meth_collectionsPrelude_reverse925->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse925->definitionLine = 784;
// method "++(_)"
  struct UserObject *uo966 = (struct UserObject*)obj720;
  uo966->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_966 = addmethod2pos(obj720, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_966, 25);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_966[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_966->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_966);
  meth_meth_collectionsPrelude__43__43__40_1_41_966->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_966->definitionLine = 798;
// method "asString"
  struct UserObject *uo977 = (struct UserObject*)obj720;
  uo977->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString977 = addmethod2pos(obj720, "asString", &meth_collectionsPrelude_asString977, 26);
  int argcv_meth_collectionsPrelude_asString977[] = {0};
  meth_meth_collectionsPrelude_asString977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString977);
  meth_meth_collectionsPrelude_asString977->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString977->definitionLine = 804;
// method "asDebugString"
  struct UserObject *uo1011 = (struct UserObject*)obj720;
  uo1011->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1011 = addmethod2pos(obj720, "asDebugString", &meth_collectionsPrelude_asDebugString1011, 27);
  int argcv_meth_collectionsPrelude_asDebugString1011[] = {0};
  meth_meth_collectionsPrelude_asDebugString1011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1011);
  meth_meth_collectionsPrelude_asDebugString1011->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1011->definitionLine = 814;
// method "extend(_)"
  block_savedest(obj720);
  Object closure1045 = createclosure(1, "extend(1)");
  setclosureframe(closure1045, stackframe);
  addtoclosure(closure1045, var_done);
  struct UserObject *uo1045 = (struct UserObject*)obj720;
  uo1045->data[28] = (Object)closure1045;
  Method *meth_meth_collectionsPrelude_extend_40_1_41_1045 = addmethod2pos(obj720, "extend(1)", &meth_collectionsPrelude_extend_40_1_41_1045, 28);
  int argcv_meth_collectionsPrelude_extend_40_1_41_1045[] = {1};
  meth_meth_collectionsPrelude_extend_40_1_41_1045->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend_40_1_41_1045);
  meth_meth_collectionsPrelude_extend_40_1_41_1045->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend_40_1_41_1045->definitionLine = 824;
// method "contains(_)"
  struct UserObject *uo1048 = (struct UserObject*)obj720;
  uo1048->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_1048 = addmethod2pos(obj720, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_1048, 29);
  int argcv_meth_collectionsPrelude_contains_40_1_41_1048[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_1048->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_1048);
  meth_meth_collectionsPrelude_contains_40_1_41_1048->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_1048->definitionLine = 827;
// method "do(_)"
  struct UserObject *uo1060 = (struct UserObject*)obj720;
  uo1060->data[30] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_1060 = addmethod2pos(obj720, "do(1)", &meth_collectionsPrelude_do_40_1_41_1060, 30);
  int argcv_meth_collectionsPrelude_do_40_1_41_1060[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_1060->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_1060);
  meth_meth_collectionsPrelude_do_40_1_41_1060->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_1060->definitionLine = 832;
// method "==(_)"
  struct UserObject *uo1084 = (struct UserObject*)obj720;
  uo1084->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_1084 = addmethod2pos(obj720, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_1084, 31);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_1084[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_1084);
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->definitionLine = 841;
// method "iterator"
  block_savedest(obj720);
  Object closure1091 = createclosure(2, "iterator");
  setclosureframe(closure1091, stackframe);
  addtoclosure(closure1091, var_ConcurrentModification);
  addtoclosure(closure1091, var_IteratorExhausted);
  struct UserObject *uo1091 = (struct UserObject*)obj720;
  uo1091->data[32] = (Object)closure1091;
  Method *meth_meth_collectionsPrelude_iterator1091 = addmethod2pos(obj720, "iterator", &meth_collectionsPrelude_iterator1091, 32);
  int argcv_meth_collectionsPrelude_iterator1091[] = {0};
  meth_meth_collectionsPrelude_iterator1091->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1091);
  meth_meth_collectionsPrelude_iterator1091->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1091->definitionLine = 845;
  block_savedest(obj720);
  Object closure1175 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure1175, stackframe);
  addtoclosure(closure1175, var_ConcurrentModification);
  addtoclosure(closure1175, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator1091_object = addmethod2pos(obj720, "iterator$object(1)", &meth_collectionsPrelude_iterator1091_object, 32);
  meth_meth_collectionsPrelude_iterator1091_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1091_object->definitionLine = 845;
// method "values"
  struct UserObject *uo1176 = (struct UserObject*)obj720;
  uo1176->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values1176 = addmethod2pos(obj720, "values", &meth_collectionsPrelude_values1176, 33);
  int argcv_meth_collectionsPrelude_values1176[] = {0};
  meth_meth_collectionsPrelude_values1176->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values1176);
  meth_meth_collectionsPrelude_values1176->definitionModule = modulename;
  meth_meth_collectionsPrelude_values1176->definitionLine = 864;
// method "keys"
  struct UserObject *uo1177 = (struct UserObject*)obj720;
  uo1177->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys1177 = addmethod2pos(obj720, "keys", &meth_collectionsPrelude_keys1177, 34);
  int argcv_meth_collectionsPrelude_keys1177[] = {0};
  meth_meth_collectionsPrelude_keys1177->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys1177);
  meth_meth_collectionsPrelude_keys1177->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys1177->definitionLine = 868;
// method "sort"
  struct UserObject *uo1180 = (struct UserObject*)obj720;
  uo1180->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort1180 = addmethod2pos(obj720, "sort", &meth_collectionsPrelude_sort1180, 35);
  int argcv_meth_collectionsPrelude_sort1180[] = {0};
  meth_meth_collectionsPrelude_sort1180->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort1180);
  meth_meth_collectionsPrelude_sort1180->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort1180->definitionLine = 872;
// method "sortedBy(_)"
  struct UserObject *uo1207 = (struct UserObject*)obj720;
  uo1207->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_1207 = addmethod2pos(obj720, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_1207, 36);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_1207[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_1207);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->definitionLine = 880;
// method "sorted"
  struct UserObject *uo1212 = (struct UserObject*)obj720;
  uo1212->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted1212 = addmethod2pos(obj720, "sorted", &meth_collectionsPrelude_sorted1212, 37);
  int argcv_meth_collectionsPrelude_sorted1212[] = {0};
  meth_meth_collectionsPrelude_sorted1212->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted1212);
  meth_meth_collectionsPrelude_sorted1212->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted1212->definitionLine = 883;
// method "copy"
  struct UserObject *uo1217 = (struct UserObject*)obj720;
  uo1217->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1217 = addmethod2pos(obj720, "copy", &meth_collectionsPrelude_copy1217, 38);
  int argcv_meth_collectionsPrelude_copy1217[] = {0};
  meth_meth_collectionsPrelude_copy1217->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1217);
  meth_meth_collectionsPrelude_copy1217->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1217->definitionLine = 886;
  sourceObject = obj720;
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1222 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_indexable (depth = 7)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1223 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1222);
// compiled call node returning call1223 (depth = 6)
  struct UserObject *obj720_uo = (struct UserObject *)obj720;
  obj720_uo->super = call1223;
  sourceObject = obj720;
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1224 = alloc_Float64(0);
// compiled num node returning num1224 (depth = 6)
  adddatum2(obj720, num1224, 1);
  sourceObject = obj720;
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1225 = alloc_Float64(0);
// compiled num node returning num1225 (depth = 6)
  adddatum2(obj720, num1225, 2);
  sourceObject = obj720;
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  adddatum2(obj720, done, 3);
  sourceObject = obj720;
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1226 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1227 = alloc_Block(NULL, NULL, "collectionsPrelude", 637);
  gc_frame_newslot(block1227);
// method "_apply(_)"
  block_savedest(block1227);
  Object closure1228 = createclosure(1, "_apply(1)");
  setclosureframe(closure1228, stackframe);
  addtoclosure(closure1228, selfslot);
  struct UserObject *uo1228 = (struct UserObject*)block1227;
  uo1228->data[0] = (Object)closure1228;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1228 = addmethod2pos(block1227, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1228, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1228[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1228->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1228);
  meth_meth_collectionsPrelude__apply_40_1_41_1228->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1228->definitionLine = 1990;
// compiled block node returning block1227 (depth = 7)
  gc_frame_newslot(block1227);
// call case 6: other requests
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  params[0] = block1227;
  partcv[0] = 1;
  Object call1230 = callmethodflags(*var_a, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1226);
// compiled call node returning call1230 (depth = 6)
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  objclass720 = obj720->class;
  objclass720->definitionModule = modulename;
  objclass720->definitionLine = 631;
  (*(struct UserObject *)self).data[0] = lowerouter720;
  self = oldself720;
  selfslot = oldselfslot720;
  stackframe = oldstackframe720;
// compiled object node returning obj720 (depth = 5)
  return obj720;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if719 = undefined;
  } else {
  }
// compiled if node returning if719 (depth = 3)
    gc_frame_newslot(if719);
    if712 = if719;
  } else {
  }
// compiled if node returning if712 (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1231 = alloc_userobj2(46,43, objclass1231);
  gc_frame_newslot(obj1231);
if (objclass1231 == NULL) {
  glfree(obj1231->class->name);
  obj1231->class->name = "list.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1231, self, 0);
  addmethodreal(obj1231,"outer", &reader_collectionsPrelude_outer_1232);
  Object oldself1231 = self;
  struct StackFrameObject *oldstackframe1231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1231);
  gc_frame_newslot((Object)stackframe);
  self = obj1231;
  Object *oldselfslot1231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1231 = (*(struct UserObject *)self).data[0], lowerouter1231 = thisouter1231;
  if (inheritingObject1231) {
    struct UserObject *inho1231 = (struct UserObject *)inheritingObject1231;
    while (inho1231->super != GraceDefaultObject) inho1231 = (struct UserObject *)inho1231->super;
    inho1231->super = obj1231;
    self = inheritingObject1231;
    *selfslot = self;
    lowerouter1231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1231;
  }
if (objclass1231 == NULL) {
  Method *reader1233 = addmethodrealflags(obj1231, "mods", &reader_collectionsPrelude_mods_1233, 0);
  Method *writer1233 = addmethodrealflags(obj1231, "mods:=(1)", &writer_collectionsPrelude_mods_1233, MFLAG_CONFIDENTIAL);
  reader1233->definitionModule = modulename;
  writer1233->definitionModule = modulename;
  reader1233->definitionLine = 897;
  writer1233->definitionLine = 897;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 1);
if (objclass1231 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1231, "sizeCertain", &reader_collectionsPrelude_sizeCertain_1234, MFLAG_CONFIDENTIAL);
  Method *writer1234 = addmethodrealflags(obj1231, "sizeCertain:=(1)", &writer_collectionsPrelude_sizeCertain_1234, MFLAG_CONFIDENTIAL);
  reader1234->definitionModule = modulename;
  writer1234->definitionModule = modulename;
  reader1234->definitionLine = 898;
  writer1234->definitionLine = 898;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 2);
if (objclass1231 == NULL) {
  Method *reader1235 = addmethodrealflags(obj1231, "initialSize",&reader_collectionsPrelude_initialSize_1235, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1235->definitionModule = modulename;
  reader1235->definitionLine = 900;
}
adddatum2(obj1231, alloc_Undefined(), 3);
if (objclass1231 == NULL) {
  Method *reader1236 = addmethodrealflags(obj1231, "inner", &reader_collectionsPrelude_inner_1236, MFLAG_CONFIDENTIAL);
  Method *writer1236 = addmethodrealflags(obj1231, "inner:=(1)", &writer_collectionsPrelude_inner_1236, MFLAG_CONFIDENTIAL);
  reader1236->definitionModule = modulename;
  writer1236->definitionModule = modulename;
  reader1236->definitionLine = 901;
  writer1236->definitionLine = 901;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 4);
if (objclass1231 == NULL) {
  Method *reader1237 = addmethodrealflags(obj1231, "size", &reader_collectionsPrelude_size_1237, 0);
  Method *writer1237 = addmethodrealflags(obj1231, "size:=(1)", &writer_collectionsPrelude_size_1237, MFLAG_CONFIDENTIAL);
  reader1237->definitionModule = modulename;
  writer1237->definitionModule = modulename;
  reader1237->definitionLine = 902;
  writer1237->definitionLine = 902;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 5);
// method "boundsCheck(_)"
  block_savedest(obj1231);
  Object closure1238 = createclosure(1, "boundsCheck(1)");
  setclosureframe(closure1238, stackframe);
  addtoclosure(closure1238, var_BoundsError);
  struct UserObject *uo1238 = (struct UserObject*)obj1231;
  uo1238->data[6] = (Object)closure1238;
  Method *meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238 = addmethod2pos(obj1231, "boundsCheck(1)", &meth_collectionsPrelude_boundsCheck_40_1_41_1238, 6);
  int argcv_meth_collectionsPrelude_boundsCheck_40_1_41_1238[] = {1};
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck_40_1_41_1238);
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->definitionLine = 925;
// method "at(_)"
  struct UserObject *uo1275 = (struct UserObject*)obj1231;
  uo1275->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_1275 = addmethod2pos(obj1231, "at(1)", &meth_collectionsPrelude_at_40_1_41_1275, 7);
  int argcv_meth_collectionsPrelude_at_40_1_41_1275[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_1275->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_1275);
  meth_meth_collectionsPrelude_at_40_1_41_1275->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_1275->definitionLine = 930;
// method "at(_)put(_)"
  struct UserObject *uo1286 = (struct UserObject*)obj1231;
  uo1286->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286 = addmethod2pos(obj1231, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286, 8);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->definitionLine = 934;
// method "add(_)"
  struct UserObject *uo1317 = (struct UserObject*)obj1231;
  uo1317->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_1317 = addmethod2pos(obj1231, "add(1)", &meth_collectionsPrelude_add_40_1_41_1317, 9);
  int argcv_meth_collectionsPrelude_add_40_1_41_1317[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_1317->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_1317);
  meth_meth_collectionsPrelude_add_40_1_41_1317->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_1317->definitionLine = 944;
// method "addAll(_)"
  struct UserObject *uo1360 = (struct UserObject*)obj1231;
  uo1360->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_1360 = addmethod2pos(obj1231, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_1360, 10);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_1360[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_1360);
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->definitionLine = 951;
// method "push(_)"
  struct UserObject *uo1424 = (struct UserObject*)obj1231;
  uo1424->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push_40_1_41_1424 = addmethod2pos(obj1231, "push(1)", &meth_collectionsPrelude_push_40_1_41_1424, 11);
  int argcv_meth_collectionsPrelude_push_40_1_41_1424[] = {1};
  meth_meth_collectionsPrelude_push_40_1_41_1424->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push_40_1_41_1424);
  meth_meth_collectionsPrelude_push_40_1_41_1424->definitionModule = modulename;
  meth_meth_collectionsPrelude_push_40_1_41_1424->definitionLine = 962;
// method "addLast(_)"
  struct UserObject *uo1467 = (struct UserObject*)obj1231;
  uo1467->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast_40_1_41_1467 = addmethod2pos(obj1231, "addLast(1)", &meth_collectionsPrelude_addLast_40_1_41_1467, 12);
  int argcv_meth_collectionsPrelude_addLast_40_1_41_1467[] = {1};
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast_40_1_41_1467);
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->definitionLine = 969;
// method "removeLast"
  struct UserObject *uo1470 = (struct UserObject*)obj1231;
  uo1470->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast1470 = addmethod2pos(obj1231, "removeLast", &meth_collectionsPrelude_removeLast1470, 13);
  int argcv_meth_collectionsPrelude_removeLast1470[] = {0};
  meth_meth_collectionsPrelude_removeLast1470->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast1470);
  meth_meth_collectionsPrelude_removeLast1470->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast1470->definitionLine = 970;
// method "addAllFirst(_)"
  struct UserObject *uo1497 = (struct UserObject*)obj1231;
  uo1497->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497 = addmethod2pos(obj1231, "addAllFirst(1)", &meth_collectionsPrelude_addAllFirst_40_1_41_1497, 14);
  int argcv_meth_collectionsPrelude_addAllFirst_40_1_41_1497[] = {1};
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst_40_1_41_1497);
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->definitionLine = 976;
// method "addFirst(_)"
  struct UserObject *uo1593 = (struct UserObject*)obj1231;
  uo1593->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst_40_1_41_1593 = addmethod2pos(obj1231, "addFirst(1)", &meth_collectionsPrelude_addFirst_40_1_41_1593, 15);
  int argcv_meth_collectionsPrelude_addFirst_40_1_41_1593[] = {1};
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst_40_1_41_1593);
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->definitionLine = 993;
// method "clear"
  block_savedest(obj1231);
  Object closure1669 = createclosure(1, "clear");
  setclosureframe(closure1669, stackframe);
  addtoclosure(closure1669, var__prelude);
  struct UserObject *uo1669 = (struct UserObject*)obj1231;
  uo1669->data[16] = (Object)closure1669;
  Method *meth_meth_collectionsPrelude_clear1669 = addmethod2pos(obj1231, "clear", &meth_collectionsPrelude_clear1669, 16);
  int argcv_meth_collectionsPrelude_clear1669[] = {0};
  meth_meth_collectionsPrelude_clear1669->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear1669);
  meth_meth_collectionsPrelude_clear1669->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear1669->definitionLine = 1005;
// method "removeFirst"
  struct UserObject *uo1689 = (struct UserObject*)obj1231;
  uo1689->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst1689 = addmethod2pos(obj1231, "removeFirst", &meth_collectionsPrelude_removeFirst1689, 17);
  int argcv_meth_collectionsPrelude_removeFirst1689[] = {0};
  meth_meth_collectionsPrelude_removeFirst1689->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst1689);
  meth_meth_collectionsPrelude_removeFirst1689->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst1689->definitionLine = 1011;
// method "removeAt(_)"
  struct UserObject *uo1693 = (struct UserObject*)obj1231;
  uo1693->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt_40_1_41_1693 = addmethod2pos(obj1231, "removeAt(1)", &meth_collectionsPrelude_removeAt_40_1_41_1693, 18);
  int argcv_meth_collectionsPrelude_removeAt_40_1_41_1693[] = {1};
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt_40_1_41_1693);
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->definitionLine = 1014;
// method "remove(_)"
  block_savedest(obj1231);
  Object closure1746 = createclosure(1, "remove(1)");
  setclosureframe(closure1746, stackframe);
  addtoclosure(closure1746, var_NoSuchObject);
  struct UserObject *uo1746 = (struct UserObject*)obj1231;
  uo1746->data[19] = (Object)closure1746;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_1746 = addmethod2pos(obj1231, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_1746, 19);
  int argcv_meth_collectionsPrelude_remove_40_1_41_1746[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_1746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_1746);
  meth_meth_collectionsPrelude_remove_40_1_41_1746->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_1746->definitionLine = 1025;
// method "remove(_)ifAbsent(_)"
  struct UserObject *uo1764 = (struct UserObject*)obj1231;
  uo1764->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764 = addmethod2pos(obj1231, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764, 20);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->definitionLine = 1033;
// method "removeAll(_)"
  block_savedest(obj1231);
  Object closure1774 = createclosure(1, "removeAll(1)");
  setclosureframe(closure1774, stackframe);
  addtoclosure(closure1774, var_NoSuchObject);
  struct UserObject *uo1774 = (struct UserObject*)obj1231;
  uo1774->data[21] = (Object)closure1774;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_1774 = addmethod2pos(obj1231, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_1774, 21);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_1774[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_1774);
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->definitionLine = 1042;
// method "removeAll(_)ifAbsent(_)"
  struct UserObject *uo1783 = (struct UserObject*)obj1231;
  uo1783->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783 = addmethod2pos(obj1231, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783, 22);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->definitionLine = 1046;
// method "pop"
  struct UserObject *uo1804 = (struct UserObject*)obj1231;
  uo1804->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop1804 = addmethod2pos(obj1231, "pop", &meth_collectionsPrelude_pop1804, 23);
  int argcv_meth_collectionsPrelude_pop1804[] = {0};
  meth_meth_collectionsPrelude_pop1804->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop1804);
  meth_meth_collectionsPrelude_pop1804->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop1804->definitionLine = 1057;
// method "reversed"
  struct UserObject *uo1807 = (struct UserObject*)obj1231;
  uo1807->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed1807 = addmethod2pos(obj1231, "reversed", &meth_collectionsPrelude_reversed1807, 24);
  int argcv_meth_collectionsPrelude_reversed1807[] = {0};
  meth_meth_collectionsPrelude_reversed1807->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed1807);
  meth_meth_collectionsPrelude_reversed1807->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed1807->definitionLine = 1058;
// method "reverse"
  struct UserObject *uo1823 = (struct UserObject*)obj1231;
  uo1823->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse1823 = addmethod2pos(obj1231, "reverse", &meth_collectionsPrelude_reverse1823, 25);
  int argcv_meth_collectionsPrelude_reverse1823[] = {0};
  meth_meth_collectionsPrelude_reverse1823->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse1823);
  meth_meth_collectionsPrelude_reverse1823->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse1823->definitionLine = 1063;
// method "++(_)"
  struct UserObject *uo1864 = (struct UserObject*)obj1231;
  uo1864->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_1864 = addmethod2pos(obj1231, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_1864, 26);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_1864[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_1864);
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->definitionLine = 1076;
// method "asString"
  struct UserObject *uo1875 = (struct UserObject*)obj1231;
  uo1875->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1875 = addmethod2pos(obj1231, "asString", &meth_collectionsPrelude_asString1875, 27);
  int argcv_meth_collectionsPrelude_asString1875[] = {0};
  meth_meth_collectionsPrelude_asString1875->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1875);
  meth_meth_collectionsPrelude_asString1875->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1875->definitionLine = 1080;
// method "asDebugString"
  struct UserObject *uo1921 = (struct UserObject*)obj1231;
  uo1921->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1921 = addmethod2pos(obj1231, "asDebugString", &meth_collectionsPrelude_asDebugString1921, 28);
  int argcv_meth_collectionsPrelude_asDebugString1921[] = {0};
  meth_meth_collectionsPrelude_asDebugString1921->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1921);
  meth_meth_collectionsPrelude_asDebugString1921->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1921->definitionLine = 1088;
// method "contains(_)"
  struct UserObject *uo1967 = (struct UserObject*)obj1231;
  uo1967->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_1967 = addmethod2pos(obj1231, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_1967, 29);
  int argcv_meth_collectionsPrelude_contains_40_1_41_1967[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_1967->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_1967);
  meth_meth_collectionsPrelude_contains_40_1_41_1967->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_1967->definitionLine = 1096;
// method "do(_)"
  struct UserObject *uo1979 = (struct UserObject*)obj1231;
  uo1979->data[30] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_1979 = addmethod2pos(obj1231, "do(1)", &meth_collectionsPrelude_do_40_1_41_1979, 30);
  int argcv_meth_collectionsPrelude_do_40_1_41_1979[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_1979->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_1979);
  meth_meth_collectionsPrelude_do_40_1_41_1979->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_1979->definitionLine = 1100;
// method "==(_)"
  struct UserObject *uo2005 = (struct UserObject*)obj1231;
  uo2005->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_2005 = addmethod2pos(obj1231, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_2005, 31);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_2005[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_2005);
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->definitionLine = 1108;
// method "iterator"
  block_savedest(obj1231);
  Object closure2012 = createclosure(2, "iterator");
  setclosureframe(closure2012, stackframe);
  addtoclosure(closure2012, var_ConcurrentModification);
  addtoclosure(closure2012, var_IteratorExhausted);
  struct UserObject *uo2012 = (struct UserObject*)obj1231;
  uo2012->data[32] = (Object)closure2012;
  Method *meth_meth_collectionsPrelude_iterator2012 = addmethod2pos(obj1231, "iterator", &meth_collectionsPrelude_iterator2012, 32);
  int argcv_meth_collectionsPrelude_iterator2012[] = {0};
  meth_meth_collectionsPrelude_iterator2012->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2012);
  meth_meth_collectionsPrelude_iterator2012->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2012->definitionLine = 1111;
  block_savedest(obj1231);
  Object closure2096 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure2096, stackframe);
  addtoclosure(closure2096, var_ConcurrentModification);
  addtoclosure(closure2096, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator2012_object = addmethod2pos(obj1231, "iterator$object(1)", &meth_collectionsPrelude_iterator2012_object, 32);
  meth_meth_collectionsPrelude_iterator2012_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2012_object->definitionLine = 1111;
// method "values"
  struct UserObject *uo2097 = (struct UserObject*)obj1231;
  uo2097->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values2097 = addmethod2pos(obj1231, "values", &meth_collectionsPrelude_values2097, 33);
  int argcv_meth_collectionsPrelude_values2097[] = {0};
  meth_meth_collectionsPrelude_values2097->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values2097);
  meth_meth_collectionsPrelude_values2097->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2097->definitionLine = 1129;
// method "keys"
  struct UserObject *uo2098 = (struct UserObject*)obj1231;
  uo2098->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys2098 = addmethod2pos(obj1231, "keys", &meth_collectionsPrelude_keys2098, 34);
  int argcv_meth_collectionsPrelude_keys2098[] = {0};
  meth_meth_collectionsPrelude_keys2098->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys2098);
  meth_meth_collectionsPrelude_keys2098->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2098->definitionLine = 1132;
// method "expandTo(_)"
  block_savedest(obj1231);
  Object closure2101 = createclosure(1, "expandTo(1)");
  setclosureframe(closure2101, stackframe);
  addtoclosure(closure2101, var__prelude);
  struct UserObject *uo2101 = (struct UserObject*)obj1231;
  uo2101->data[35] = (Object)closure2101;
  Method *meth_meth_collectionsPrelude_expandTo_40_1_41_2101 = addmethod2pos(obj1231, "expandTo(1)", &meth_collectionsPrelude_expandTo_40_1_41_2101, 35);
  int argcv_meth_collectionsPrelude_expandTo_40_1_41_2101[] = {1};
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expandTo_40_1_41_2101);
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->definitionModule = modulename;
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->definitionLine = 1135;
// method "sortBy(_)"
  struct UserObject *uo2129 = (struct UserObject*)obj1231;
  uo2129->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy_40_1_41_2129 = addmethod2pos(obj1231, "sortBy(1)", &meth_collectionsPrelude_sortBy_40_1_41_2129, 36);
  int argcv_meth_collectionsPrelude_sortBy_40_1_41_2129[] = {1};
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy_40_1_41_2129);
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->definitionLine = 1142;
// method "sort"
  struct UserObject *uo2144 = (struct UserObject*)obj1231;
  uo2144->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort2144 = addmethod2pos(obj1231, "sort", &meth_collectionsPrelude_sort2144, 37);
  int argcv_meth_collectionsPrelude_sort2144[] = {0};
  meth_meth_collectionsPrelude_sort2144->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort2144);
  meth_meth_collectionsPrelude_sort2144->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort2144->definitionLine = 1147;
// method "sortedBy(_)"
  struct UserObject *uo2163 = (struct UserObject*)obj1231;
  uo2163->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_2163 = addmethod2pos(obj1231, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_2163, 38);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_2163[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_2163);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->definitionLine = 1154;
// method "sorted"
  struct UserObject *uo2168 = (struct UserObject*)obj1231;
  uo2168->data[39] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted2168 = addmethod2pos(obj1231, "sorted", &meth_collectionsPrelude_sorted2168, 39);
  int argcv_meth_collectionsPrelude_sorted2168[] = {0};
  meth_meth_collectionsPrelude_sorted2168->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted2168);
  meth_meth_collectionsPrelude_sorted2168->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted2168->definitionLine = 1157;
// method "copy"
  struct UserObject *uo2173 = (struct UserObject*)obj1231;
  uo2173->data[40] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy2173 = addmethod2pos(obj1231, "copy", &meth_collectionsPrelude_copy2173, 40);
  int argcv_meth_collectionsPrelude_copy2173[] = {0};
  meth_meth_collectionsPrelude_copy2173->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy2173);
  meth_meth_collectionsPrelude_copy2173->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy2173->definitionLine = 1160;
  sourceObject = obj1231;
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2178 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2179 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2178);
// compiled call node returning call2179 (depth = 2)
  struct UserObject *obj1231_uo = (struct UserObject *)obj1231;
  obj1231_uo->super = call2179;
  sourceObject = obj1231;
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2180 = alloc_Float64(0);
// compiled num node returning num2180 (depth = 2)
  adddatum2(obj1231, num2180, 1);
  sourceObject = obj1231;
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2181 = alloc_Boolean(1);
// compiled identifier node returning bool2181 (depth = 2)
  adddatum2(obj1231, bool2181, 2);
  sourceObject = obj1231;
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2183 = alloc_Float64(1);
// compiled num node returning num2183 (depth = 3)
  int op_slot_right_2182 = gc_frame_newslot(num2183);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2186 = alloc_Float64(2);
// compiled num node returning num2186 (depth = 4)
  int op_slot_right_2185 = gc_frame_newslot(num2186);
// starting to compile call node (depth = 4)
  int callframe2188 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2189 = alloc_Block(NULL, NULL, "collectionsPrelude", 900);
  gc_frame_newslot(block2189);
// method "_apply"
  block_savedest(block2189);
  Object closure2190 = createclosure(1, "_apply");
  setclosureframe(closure2190, stackframe);
  addtoclosure(closure2190, selfslot);
  struct UserObject *uo2190 = (struct UserObject*)block2189;
  uo2190->data[0] = (Object)closure2190;
  Method *meth_meth_collectionsPrelude__apply2190 = addmethod2pos(block2189, "_apply", &meth_collectionsPrelude__apply2190, 0);
  int argcv_meth_collectionsPrelude__apply2190[] = {0};
  meth_meth_collectionsPrelude__apply2190->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2190);
  meth_meth_collectionsPrelude__apply2190->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2190->definitionLine = 1990;
// compiled block node returning block2189 (depth = 5)
  gc_frame_newslot(block2189);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_a (depth = 5)
  params[0] = block2189;
  partcv[0] = 1;
  Object call2196 = callmethodflags(*var_a, "sizeIfUnknown(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2188);
// compiled call node returning call2196 (depth = 4)
  int op_slot_left_2185 = gc_frame_newslot(call2196);
  params[0] = num2186;
  partcv[0] = 1;
  Object prod2197 = callmethod(call2196, "*(1)", 1, partcv, params);
// compiled op node returning prod2197 (depth = 3)
  int op_slot_left_2182 = gc_frame_newslot(prod2197);
  params[0] = num2183;
  partcv[0] = 1;
  Object sum2198 = callmethod(prod2197, "+(1)", 1, partcv, params);
// compiled op node returning sum2198 (depth = 2)
  adddatum2(obj1231, sum2198, 3);
  sourceObject = obj1231;
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2199 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2200 = gc_frame_new();
// call case 4: self request
  Object call2201 = callmethodflags(self, "initialSize", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2200);
// compiled member node returning call2201 (depth = 3)
  gc_frame_newslot(call2201);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call2203 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2202);
// compiled member node returning call2203 (depth = 3)
  params[0] = call2201;
  partcv[0] = 1;
  Object call2204 = callmethodflags(call2203, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2199);
// compiled call node returning call2204 (depth = 2)
  adddatum2(obj1231, call2204, 4);
  sourceObject = obj1231;
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2205 = alloc_Float64(0);
// compiled num node returning num2205 (depth = 2)
  adddatum2(obj1231, num2205, 5);
  sourceObject = obj1231;
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2207 = gc_frame_new();
// call case 4: self request
  Object call2208 = callmethodflags(self, "sizeCertain", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2207);
// compiled member node returning call2208 (depth = 3)
  Object if2206 = done;
struct StackFrameObject *iftmpstackframe2206 = stackframe;
  if (istrue(call2208)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2206);
gc_frame_newslot((Object)stackframe);
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2209 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 4)
  Object block2210 = alloc_Block(NULL, NULL, "collectionsPrelude", 905);
  gc_frame_newslot(block2210);
// method "_apply(_)"
  block_savedest(block2210);
  Object closure2211 = createclosure(1, "_apply(1)");
  setclosureframe(closure2211, stackframe);
  addtoclosure(closure2211, selfslot);
  struct UserObject *uo2211 = (struct UserObject*)block2210;
  uo2211->data[0] = (Object)closure2211;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2211 = addmethod2pos(block2210, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2211, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2211[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2211->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2211);
  meth_meth_collectionsPrelude__apply_40_1_41_2211->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2211->definitionLine = 1990;
// compiled block node returning block2210 (depth = 4)
  gc_frame_newslot(block2210);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block2210;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2227 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2209);
// compiled call node returning call2227 (depth = 3)
    gc_frame_newslot(call2227);
    if2206 = call2227;
  } else {
  stackframe = alloc_StackFrame(1, iftmpstackframe2206);
  gc_frame_newslot((Object)stackframe);
  Object *var_innerSize = &(stackframe->slots[0]);
  setframeelementname(stackframe, 0, "innerSize");
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2228 = gc_frame_new();
// call case 4: self request
  Object call2229 = callmethodflags(self, "initialSize", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2228);
// compiled member node returning call2229 (depth = 4)
  *var_innerSize = call2229;
  if (call2229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2230 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 4)
  Object block2231 = alloc_Block(NULL, NULL, "collectionsPrelude", 912);
  gc_frame_newslot(block2231);
// method "_apply(_)"
  block_savedest(block2231);
  Object closure2232 = createclosure(3, "_apply(1)");
  setclosureframe(closure2232, stackframe);
  addtoclosure(closure2232, var_innerSize);
  addtoclosure(closure2232, var__prelude);
  addtoclosure(closure2232, selfslot);
  struct UserObject *uo2232 = (struct UserObject*)block2231;
  uo2232->data[0] = (Object)closure2232;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2232 = addmethod2pos(block2231, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2232, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2232[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2232->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2232);
  meth_meth_collectionsPrelude__apply_40_1_41_2232->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2232->definitionLine = 1990;
// compiled block node returning block2231 (depth = 4)
  gc_frame_newslot(block2231);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block2231;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2288 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2230);
// compiled call node returning call2288 (depth = 3)
    gc_frame_newslot(call2288);
    if2206 = call2288;
  }
stackframe = iftmpstackframe2206;
// compiled if node returning if2206 (depth = 2)
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  objclass1231 = obj1231->class;
  objclass1231->definitionModule = modulename;
  objclass1231->definitionLine = 893;
  (*(struct UserObject *)self).data[0] = lowerouter1231;
  self = oldself1231;
  selfslot = oldselfslot1231;
  stackframe = oldstackframe1231;
  gc_frame_end(frame);
  return obj1231;
}
Object meth_collectionsPrelude_withAll_40_1_41_711_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method withAll(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_ConcurrentModification = getfromclosure(closure, 2);
  Object *var_IteratorExhausted = getfromclosure(closure, 3);
  Object *var_indexable = getfromclosure(closure, 4);
  Object *var_BoundsError = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit714 == NULL) {
    strlit714 = alloc_String("js");
    gc_root(strlit714);
  }
// compiled string node returning strlit714 (depth = 4)
  int op_slot_right_713 = gc_frame_newslot(strlit714);
// starting to compile member node (depth = 4)
  int callframe716 = gc_frame_new();
// call case 5: prelude request
  Object call717 = callmethodflags(prelude, "engine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe716);
// compiled member node returning call717 (depth = 4)
  int op_slot_left_713 = gc_frame_newslot(call717);
  params[0] = strlit714;
  partcv[0] = 1;
  Object opresult718 = callmethod(call717, "==(1)", 1, partcv, params);
// compiled op node returning opresult718 (depth = 3)
  Object if712 = done;
  if (istrue(opresult718)) {
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
// compiled call node returning done (depth = 4)
  Object if719 = done;
  if (istrue(done)) {
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile object node (depth = 5)
  Object inheritingObject720 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj720 = alloc_userobj2(43,41, objclass720);
  gc_frame_newslot(obj720);
// OBJECT OUTER DEC outer
  adddatum2(obj720, self, 0);
  addmethodreal(obj720,"outer", &reader_collectionsPrelude_outer_721);
  Object oldself720 = self;
  struct StackFrameObject *oldstackframe720 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe720);
  gc_frame_newslot((Object)stackframe);
  self = obj720;
  Object *oldselfslot720 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter720 = (*(struct UserObject *)self).data[0], lowerouter720 = thisouter720;
  if (inheritingObject720) {
    struct UserObject *inho720 = (struct UserObject *)inheritingObject720;
    while (inho720->super != GraceDefaultObject) inho720 = (struct UserObject *)inho720->super;
    inho720->super = obj720;
    self = inheritingObject720;
    *selfslot = self;
    lowerouter720 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter720;
  }
if (objclass720 == NULL) {
  Method *reader722 = addmethodrealflags(obj720, "mods", &reader_collectionsPrelude_mods_722, 0);
  Method *writer722 = addmethodrealflags(obj720, "mods:=(1)", &writer_collectionsPrelude_mods_722, MFLAG_CONFIDENTIAL);
  reader722->definitionModule = modulename;
  writer722->definitionModule = modulename;
  reader722->definitionLine = 634;
  writer722->definitionLine = 634;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 1);
if (objclass720 == NULL) {
  Method *reader723 = addmethodrealflags(obj720, "sz", &reader_collectionsPrelude_sz_723, MFLAG_CONFIDENTIAL);
  Method *writer723 = addmethodrealflags(obj720, "sz:=(1)", &writer_collectionsPrelude_sz_723, MFLAG_CONFIDENTIAL);
  reader723->definitionModule = modulename;
  writer723->definitionModule = modulename;
  reader723->definitionLine = 635;
  writer723->definitionLine = 635;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 2);
if (objclass720 == NULL) {
  Method *reader724 = addmethodrealflags(obj720, "jsArray", &reader_collectionsPrelude_jsArray_724, MFLAG_CONFIDENTIAL);
  Method *writer724 = addmethodrealflags(obj720, "jsArray:=(1)", &writer_collectionsPrelude_jsArray_724, MFLAG_CONFIDENTIAL);
  reader724->definitionModule = modulename;
  writer724->definitionModule = modulename;
  reader724->definitionLine = 636;
  writer724->definitionLine = 636;
}
obj720->flags |= OFLAG_MUTABLE;
adddatum2(obj720, alloc_Undefined(), 3);
// method "size"
  struct UserObject *uo725 = (struct UserObject*)obj720;
  uo725->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size725 = addmethod2pos(obj720, "size", &meth_collectionsPrelude_size725, 4);
  int argcv_meth_collectionsPrelude_size725[] = {0};
  meth_meth_collectionsPrelude_size725->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size725);
  meth_meth_collectionsPrelude_size725->definitionModule = modulename;
  meth_meth_collectionsPrelude_size725->definitionLine = 641;
// method "at(_)"
  struct UserObject *uo728 = (struct UserObject*)obj720;
  uo728->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_728 = addmethod2pos(obj720, "at(1)", &meth_collectionsPrelude_at_40_1_41_728, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_728[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_728->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_728);
  meth_meth_collectionsPrelude_at_40_1_41_728->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_728->definitionLine = 646;
// method "at(_)put(_)"
  struct UserObject *uo729 = (struct UserObject*)obj720;
  uo729->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729 = addmethod2pos(obj720, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_729, 6);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_729->definitionLine = 656;
// method "add(_)"
  struct UserObject *uo738 = (struct UserObject*)obj720;
  uo738->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_738 = addmethod2pos(obj720, "add(1)", &meth_collectionsPrelude_add_40_1_41_738, 7);
  int argcv_meth_collectionsPrelude_add_40_1_41_738[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_738->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_738);
  meth_meth_collectionsPrelude_add_40_1_41_738->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_738->definitionLine = 668;
// method "push(_)"
  struct UserObject *uo747 = (struct UserObject*)obj720;
  uo747->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push_40_1_41_747 = addmethod2pos(obj720, "push(1)", &meth_collectionsPrelude_push_40_1_41_747, 8);
  int argcv_meth_collectionsPrelude_push_40_1_41_747[] = {1};
  meth_meth_collectionsPrelude_push_40_1_41_747->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push_40_1_41_747);
  meth_meth_collectionsPrelude_push_40_1_41_747->definitionModule = modulename;
  meth_meth_collectionsPrelude_push_40_1_41_747->definitionLine = 674;
// method "removeLast"
  struct UserObject *uo756 = (struct UserObject*)obj720;
  uo756->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast756 = addmethod2pos(obj720, "removeLast", &meth_collectionsPrelude_removeLast756, 9);
  int argcv_meth_collectionsPrelude_removeLast756[] = {0};
  meth_meth_collectionsPrelude_removeLast756->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast756);
  meth_meth_collectionsPrelude_removeLast756->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast756->definitionLine = 680;
// method "clear"
  struct UserObject *uo765 = (struct UserObject*)obj720;
  uo765->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_clear765 = addmethod2pos(obj720, "clear", &meth_collectionsPrelude_clear765, 10);
  int argcv_meth_collectionsPrelude_clear765[] = {0};
  meth_meth_collectionsPrelude_clear765->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear765);
  meth_meth_collectionsPrelude_clear765->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear765->definitionLine = 689;
// method "addAllFirst(_)"
  struct UserObject *uo774 = (struct UserObject*)obj720;
  uo774->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst_40_1_41_774 = addmethod2pos(obj720, "addAllFirst(1)", &meth_collectionsPrelude_addAllFirst_40_1_41_774, 11);
  int argcv_meth_collectionsPrelude_addAllFirst_40_1_41_774[] = {1};
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst_40_1_41_774);
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_774->definitionLine = 694;
// method "removeAt(_)"
  struct UserObject *uo804 = (struct UserObject*)obj720;
  uo804->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt_40_1_41_804 = addmethod2pos(obj720, "removeAt(1)", &meth_collectionsPrelude_removeAt_40_1_41_804, 12);
  int argcv_meth_collectionsPrelude_removeAt_40_1_41_804[] = {1};
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt_40_1_41_804);
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt_40_1_41_804->definitionLine = 705;
// method "sortBy(_)"
  struct UserObject *uo815 = (struct UserObject*)obj720;
  uo815->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy_40_1_41_815 = addmethod2pos(obj720, "sortBy(1)", &meth_collectionsPrelude_sortBy_40_1_41_815, 13);
  int argcv_meth_collectionsPrelude_sortBy_40_1_41_815[] = {1};
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy_40_1_41_815);
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy_40_1_41_815->definitionLine = 712;
// method "addLast(_)"
  struct UserObject *uo824 = (struct UserObject*)obj720;
  uo824->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast_40_1_41_824 = addmethod2pos(obj720, "addLast(1)", &meth_collectionsPrelude_addLast_40_1_41_824, 14);
  int argcv_meth_collectionsPrelude_addLast_40_1_41_824[] = {1};
  meth_meth_collectionsPrelude_addLast_40_1_41_824->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast_40_1_41_824);
  meth_meth_collectionsPrelude_addLast_40_1_41_824->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast_40_1_41_824->definitionLine = 726;
// method "addAll(_)"
  struct UserObject *uo827 = (struct UserObject*)obj720;
  uo827->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_827 = addmethod2pos(obj720, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_827, 15);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_827[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_827->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_827);
  meth_meth_collectionsPrelude_addAll_40_1_41_827->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_827->definitionLine = 727;
// method "addFirst(_)"
  struct UserObject *uo835 = (struct UserObject*)obj720;
  uo835->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst_40_1_41_835 = addmethod2pos(obj720, "addFirst(1)", &meth_collectionsPrelude_addFirst_40_1_41_835, 16);
  int argcv_meth_collectionsPrelude_addFirst_40_1_41_835[] = {1};
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst_40_1_41_835);
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst_40_1_41_835->definitionLine = 732;
// method "removeFirst"
  struct UserObject *uo844 = (struct UserObject*)obj720;
  uo844->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst844 = addmethod2pos(obj720, "removeFirst", &meth_collectionsPrelude_removeFirst844, 17);
  int argcv_meth_collectionsPrelude_removeFirst844[] = {0};
  meth_meth_collectionsPrelude_removeFirst844->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst844);
  meth_meth_collectionsPrelude_removeFirst844->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst844->definitionLine = 738;
// method "remove(_)"
  block_savedest(obj720);
  Object closure848 = createclosure(1, "remove(1)");
  setclosureframe(closure848, stackframe);
  addtoclosure(closure848, var_NoSuchObject);
  struct UserObject *uo848 = (struct UserObject*)obj720;
  uo848->data[18] = (Object)closure848;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_848 = addmethod2pos(obj720, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_848, 18);
  int argcv_meth_collectionsPrelude_remove_40_1_41_848[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_848->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_848);
  meth_meth_collectionsPrelude_remove_40_1_41_848->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_848->definitionLine = 743;
// method "remove(_)ifAbsent(_)"
  struct UserObject *uo866 = (struct UserObject*)obj720;
  uo866->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866 = addmethod2pos(obj720, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866, 19);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_866->definitionLine = 752;
// method "removeAll(_)"
  block_savedest(obj720);
  Object closure876 = createclosure(1, "removeAll(1)");
  setclosureframe(closure876, stackframe);
  addtoclosure(closure876, var_NoSuchObject);
  struct UserObject *uo876 = (struct UserObject*)obj720;
  uo876->data[20] = (Object)closure876;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_876 = addmethod2pos(obj720, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_876, 20);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_876[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_876);
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_876->definitionLine = 760;
// method "removeAll(_)ifAbsent(_)"
  struct UserObject *uo885 = (struct UserObject*)obj720;
  uo885->data[21] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885 = addmethod2pos(obj720, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885, 21);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_885->definitionLine = 765;
// method "pop"
  struct UserObject *uo906 = (struct UserObject*)obj720;
  uo906->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop906 = addmethod2pos(obj720, "pop", &meth_collectionsPrelude_pop906, 22);
  int argcv_meth_collectionsPrelude_pop906[] = {0};
  meth_meth_collectionsPrelude_pop906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop906);
  meth_meth_collectionsPrelude_pop906->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop906->definitionLine = 777;
// method "reversed"
  struct UserObject *uo909 = (struct UserObject*)obj720;
  uo909->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed909 = addmethod2pos(obj720, "reversed", &meth_collectionsPrelude_reversed909, 23);
  int argcv_meth_collectionsPrelude_reversed909[] = {0};
  meth_meth_collectionsPrelude_reversed909->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed909);
  meth_meth_collectionsPrelude_reversed909->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed909->definitionLine = 779;
// method "reverse"
  struct UserObject *uo925 = (struct UserObject*)obj720;
  uo925->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse925 = addmethod2pos(obj720, "reverse", &meth_collectionsPrelude_reverse925, 24);
  int argcv_meth_collectionsPrelude_reverse925[] = {0};
  meth_meth_collectionsPrelude_reverse925->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse925);
  meth_meth_collectionsPrelude_reverse925->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse925->definitionLine = 784;
// method "++(_)"
  struct UserObject *uo966 = (struct UserObject*)obj720;
  uo966->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_966 = addmethod2pos(obj720, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_966, 25);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_966[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_966->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_966);
  meth_meth_collectionsPrelude__43__43__40_1_41_966->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_966->definitionLine = 798;
// method "asString"
  struct UserObject *uo977 = (struct UserObject*)obj720;
  uo977->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString977 = addmethod2pos(obj720, "asString", &meth_collectionsPrelude_asString977, 26);
  int argcv_meth_collectionsPrelude_asString977[] = {0};
  meth_meth_collectionsPrelude_asString977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString977);
  meth_meth_collectionsPrelude_asString977->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString977->definitionLine = 804;
// method "asDebugString"
  struct UserObject *uo1011 = (struct UserObject*)obj720;
  uo1011->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1011 = addmethod2pos(obj720, "asDebugString", &meth_collectionsPrelude_asDebugString1011, 27);
  int argcv_meth_collectionsPrelude_asDebugString1011[] = {0};
  meth_meth_collectionsPrelude_asDebugString1011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1011);
  meth_meth_collectionsPrelude_asDebugString1011->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1011->definitionLine = 814;
// method "extend(_)"
  block_savedest(obj720);
  Object closure1045 = createclosure(1, "extend(1)");
  setclosureframe(closure1045, stackframe);
  addtoclosure(closure1045, var_done);
  struct UserObject *uo1045 = (struct UserObject*)obj720;
  uo1045->data[28] = (Object)closure1045;
  Method *meth_meth_collectionsPrelude_extend_40_1_41_1045 = addmethod2pos(obj720, "extend(1)", &meth_collectionsPrelude_extend_40_1_41_1045, 28);
  int argcv_meth_collectionsPrelude_extend_40_1_41_1045[] = {1};
  meth_meth_collectionsPrelude_extend_40_1_41_1045->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend_40_1_41_1045);
  meth_meth_collectionsPrelude_extend_40_1_41_1045->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend_40_1_41_1045->definitionLine = 824;
// method "contains(_)"
  struct UserObject *uo1048 = (struct UserObject*)obj720;
  uo1048->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_1048 = addmethod2pos(obj720, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_1048, 29);
  int argcv_meth_collectionsPrelude_contains_40_1_41_1048[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_1048->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_1048);
  meth_meth_collectionsPrelude_contains_40_1_41_1048->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_1048->definitionLine = 827;
// method "do(_)"
  struct UserObject *uo1060 = (struct UserObject*)obj720;
  uo1060->data[30] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_1060 = addmethod2pos(obj720, "do(1)", &meth_collectionsPrelude_do_40_1_41_1060, 30);
  int argcv_meth_collectionsPrelude_do_40_1_41_1060[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_1060->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_1060);
  meth_meth_collectionsPrelude_do_40_1_41_1060->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_1060->definitionLine = 832;
// method "==(_)"
  struct UserObject *uo1084 = (struct UserObject*)obj720;
  uo1084->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_1084 = addmethod2pos(obj720, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_1084, 31);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_1084[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_1084);
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_1084->definitionLine = 841;
// method "iterator"
  block_savedest(obj720);
  Object closure1091 = createclosure(2, "iterator");
  setclosureframe(closure1091, stackframe);
  addtoclosure(closure1091, var_ConcurrentModification);
  addtoclosure(closure1091, var_IteratorExhausted);
  struct UserObject *uo1091 = (struct UserObject*)obj720;
  uo1091->data[32] = (Object)closure1091;
  Method *meth_meth_collectionsPrelude_iterator1091 = addmethod2pos(obj720, "iterator", &meth_collectionsPrelude_iterator1091, 32);
  int argcv_meth_collectionsPrelude_iterator1091[] = {0};
  meth_meth_collectionsPrelude_iterator1091->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1091);
  meth_meth_collectionsPrelude_iterator1091->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1091->definitionLine = 845;
  block_savedest(obj720);
  Object closure1175 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure1175, stackframe);
  addtoclosure(closure1175, var_ConcurrentModification);
  addtoclosure(closure1175, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator1091_object = addmethod2pos(obj720, "iterator$object(1)", &meth_collectionsPrelude_iterator1091_object, 32);
  meth_meth_collectionsPrelude_iterator1091_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1091_object->definitionLine = 845;
// method "values"
  struct UserObject *uo1176 = (struct UserObject*)obj720;
  uo1176->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values1176 = addmethod2pos(obj720, "values", &meth_collectionsPrelude_values1176, 33);
  int argcv_meth_collectionsPrelude_values1176[] = {0};
  meth_meth_collectionsPrelude_values1176->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values1176);
  meth_meth_collectionsPrelude_values1176->definitionModule = modulename;
  meth_meth_collectionsPrelude_values1176->definitionLine = 864;
// method "keys"
  struct UserObject *uo1177 = (struct UserObject*)obj720;
  uo1177->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys1177 = addmethod2pos(obj720, "keys", &meth_collectionsPrelude_keys1177, 34);
  int argcv_meth_collectionsPrelude_keys1177[] = {0};
  meth_meth_collectionsPrelude_keys1177->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys1177);
  meth_meth_collectionsPrelude_keys1177->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys1177->definitionLine = 868;
// method "sort"
  struct UserObject *uo1180 = (struct UserObject*)obj720;
  uo1180->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort1180 = addmethod2pos(obj720, "sort", &meth_collectionsPrelude_sort1180, 35);
  int argcv_meth_collectionsPrelude_sort1180[] = {0};
  meth_meth_collectionsPrelude_sort1180->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort1180);
  meth_meth_collectionsPrelude_sort1180->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort1180->definitionLine = 872;
// method "sortedBy(_)"
  struct UserObject *uo1207 = (struct UserObject*)obj720;
  uo1207->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_1207 = addmethod2pos(obj720, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_1207, 36);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_1207[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_1207);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_1207->definitionLine = 880;
// method "sorted"
  struct UserObject *uo1212 = (struct UserObject*)obj720;
  uo1212->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted1212 = addmethod2pos(obj720, "sorted", &meth_collectionsPrelude_sorted1212, 37);
  int argcv_meth_collectionsPrelude_sorted1212[] = {0};
  meth_meth_collectionsPrelude_sorted1212->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted1212);
  meth_meth_collectionsPrelude_sorted1212->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted1212->definitionLine = 883;
// method "copy"
  struct UserObject *uo1217 = (struct UserObject*)obj720;
  uo1217->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1217 = addmethod2pos(obj720, "copy", &meth_collectionsPrelude_copy1217, 38);
  int argcv_meth_collectionsPrelude_copy1217[] = {0};
  meth_meth_collectionsPrelude_copy1217->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1217);
  meth_meth_collectionsPrelude_copy1217->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1217->definitionLine = 886;
  sourceObject = obj720;
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1222 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_indexable (depth = 7)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1223 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1222);
// compiled call node returning call1223 (depth = 6)
  struct UserObject *obj720_uo = (struct UserObject *)obj720;
  obj720_uo->super = call1223;
  sourceObject = obj720;
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1224 = alloc_Float64(0);
// compiled num node returning num1224 (depth = 6)
  adddatum2(obj720, num1224, 1);
  sourceObject = obj720;
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1225 = alloc_Float64(0);
// compiled num node returning num1225 (depth = 6)
  adddatum2(obj720, num1225, 2);
  sourceObject = obj720;
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
// compiled call node returning done (depth = 6)
  adddatum2(obj720, done, 3);
  sourceObject = obj720;
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1226 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1227 = alloc_Block(NULL, NULL, "collectionsPrelude", 637);
  gc_frame_newslot(block1227);
// method "_apply(_)"
  block_savedest(block1227);
  Object closure1228 = createclosure(1, "_apply(1)");
  setclosureframe(closure1228, stackframe);
  addtoclosure(closure1228, selfslot);
  struct UserObject *uo1228 = (struct UserObject*)block1227;
  uo1228->data[0] = (Object)closure1228;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_1228 = addmethod2pos(block1227, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_1228, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_1228[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_1228->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_1228);
  meth_meth_collectionsPrelude__apply_40_1_41_1228->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_1228->definitionLine = 1990;
// compiled block node returning block1227 (depth = 7)
  gc_frame_newslot(block1227);
// call case 6: other requests
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  params[0] = block1227;
  partcv[0] = 1;
  Object call1230 = callmethodflags(*var_a, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1226);
// compiled call node returning call1230 (depth = 6)
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  sourceObject = obj720;
  objclass720 = obj720->class;
  objclass720->definitionModule = modulename;
  objclass720->definitionLine = 631;
  (*(struct UserObject *)self).data[0] = lowerouter720;
  self = oldself720;
  selfslot = oldselfslot720;
  stackframe = oldstackframe720;
// compiled object node returning obj720 (depth = 5)
  return obj720;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if719 = undefined;
  } else {
  }
// compiled if node returning if719 (depth = 3)
    gc_frame_newslot(if719);
    if712 = if719;
  } else {
  }
// compiled if node returning if712 (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1231 = alloc_userobj2(46,43, objclass1231);
  gc_frame_newslot(obj1231);
if (objclass1231 == NULL) {
  glfree(obj1231->class->name);
  obj1231->class->name = "list.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1231, self, 0);
  addmethodreal(obj1231,"outer", &reader_collectionsPrelude_outer_1232);
  Object oldself1231 = self;
  struct StackFrameObject *oldstackframe1231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1231);
  gc_frame_newslot((Object)stackframe);
  self = obj1231;
  Object *oldselfslot1231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1231 = (*(struct UserObject *)self).data[0], lowerouter1231 = thisouter1231;
  if (inheritingObject1231) {
    struct UserObject *inho1231 = (struct UserObject *)inheritingObject1231;
    while (inho1231->super != GraceDefaultObject) inho1231 = (struct UserObject *)inho1231->super;
    inho1231->super = obj1231;
    self = inheritingObject1231;
    *selfslot = self;
    lowerouter1231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1231;
  }
if (objclass1231 == NULL) {
  Method *reader1233 = addmethodrealflags(obj1231, "mods", &reader_collectionsPrelude_mods_1233, 0);
  Method *writer1233 = addmethodrealflags(obj1231, "mods:=(1)", &writer_collectionsPrelude_mods_1233, MFLAG_CONFIDENTIAL);
  reader1233->definitionModule = modulename;
  writer1233->definitionModule = modulename;
  reader1233->definitionLine = 897;
  writer1233->definitionLine = 897;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 1);
if (objclass1231 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1231, "sizeCertain", &reader_collectionsPrelude_sizeCertain_1234, MFLAG_CONFIDENTIAL);
  Method *writer1234 = addmethodrealflags(obj1231, "sizeCertain:=(1)", &writer_collectionsPrelude_sizeCertain_1234, MFLAG_CONFIDENTIAL);
  reader1234->definitionModule = modulename;
  writer1234->definitionModule = modulename;
  reader1234->definitionLine = 898;
  writer1234->definitionLine = 898;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 2);
if (objclass1231 == NULL) {
  Method *reader1235 = addmethodrealflags(obj1231, "initialSize",&reader_collectionsPrelude_initialSize_1235, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1235->definitionModule = modulename;
  reader1235->definitionLine = 900;
}
adddatum2(obj1231, alloc_Undefined(), 3);
if (objclass1231 == NULL) {
  Method *reader1236 = addmethodrealflags(obj1231, "inner", &reader_collectionsPrelude_inner_1236, MFLAG_CONFIDENTIAL);
  Method *writer1236 = addmethodrealflags(obj1231, "inner:=(1)", &writer_collectionsPrelude_inner_1236, MFLAG_CONFIDENTIAL);
  reader1236->definitionModule = modulename;
  writer1236->definitionModule = modulename;
  reader1236->definitionLine = 901;
  writer1236->definitionLine = 901;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 4);
if (objclass1231 == NULL) {
  Method *reader1237 = addmethodrealflags(obj1231, "size", &reader_collectionsPrelude_size_1237, 0);
  Method *writer1237 = addmethodrealflags(obj1231, "size:=(1)", &writer_collectionsPrelude_size_1237, MFLAG_CONFIDENTIAL);
  reader1237->definitionModule = modulename;
  writer1237->definitionModule = modulename;
  reader1237->definitionLine = 902;
  writer1237->definitionLine = 902;
}
obj1231->flags |= OFLAG_MUTABLE;
adddatum2(obj1231, alloc_Undefined(), 5);
// method "boundsCheck(_)"
  block_savedest(obj1231);
  Object closure1238 = createclosure(1, "boundsCheck(1)");
  setclosureframe(closure1238, stackframe);
  addtoclosure(closure1238, var_BoundsError);
  struct UserObject *uo1238 = (struct UserObject*)obj1231;
  uo1238->data[6] = (Object)closure1238;
  Method *meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238 = addmethod2pos(obj1231, "boundsCheck(1)", &meth_collectionsPrelude_boundsCheck_40_1_41_1238, 6);
  int argcv_meth_collectionsPrelude_boundsCheck_40_1_41_1238[] = {1};
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck_40_1_41_1238);
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck_40_1_41_1238->definitionLine = 925;
// method "at(_)"
  struct UserObject *uo1275 = (struct UserObject*)obj1231;
  uo1275->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_1275 = addmethod2pos(obj1231, "at(1)", &meth_collectionsPrelude_at_40_1_41_1275, 7);
  int argcv_meth_collectionsPrelude_at_40_1_41_1275[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_1275->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_1275);
  meth_meth_collectionsPrelude_at_40_1_41_1275->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_1275->definitionLine = 930;
// method "at(_)put(_)"
  struct UserObject *uo1286 = (struct UserObject*)obj1231;
  uo1286->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286 = addmethod2pos(obj1231, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286, 8);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_1286->definitionLine = 934;
// method "add(_)"
  struct UserObject *uo1317 = (struct UserObject*)obj1231;
  uo1317->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_1317 = addmethod2pos(obj1231, "add(1)", &meth_collectionsPrelude_add_40_1_41_1317, 9);
  int argcv_meth_collectionsPrelude_add_40_1_41_1317[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_1317->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_1317);
  meth_meth_collectionsPrelude_add_40_1_41_1317->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_1317->definitionLine = 944;
// method "addAll(_)"
  struct UserObject *uo1360 = (struct UserObject*)obj1231;
  uo1360->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_1360 = addmethod2pos(obj1231, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_1360, 10);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_1360[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_1360);
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_1360->definitionLine = 951;
// method "push(_)"
  struct UserObject *uo1424 = (struct UserObject*)obj1231;
  uo1424->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push_40_1_41_1424 = addmethod2pos(obj1231, "push(1)", &meth_collectionsPrelude_push_40_1_41_1424, 11);
  int argcv_meth_collectionsPrelude_push_40_1_41_1424[] = {1};
  meth_meth_collectionsPrelude_push_40_1_41_1424->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push_40_1_41_1424);
  meth_meth_collectionsPrelude_push_40_1_41_1424->definitionModule = modulename;
  meth_meth_collectionsPrelude_push_40_1_41_1424->definitionLine = 962;
// method "addLast(_)"
  struct UserObject *uo1467 = (struct UserObject*)obj1231;
  uo1467->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast_40_1_41_1467 = addmethod2pos(obj1231, "addLast(1)", &meth_collectionsPrelude_addLast_40_1_41_1467, 12);
  int argcv_meth_collectionsPrelude_addLast_40_1_41_1467[] = {1};
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast_40_1_41_1467);
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast_40_1_41_1467->definitionLine = 969;
// method "removeLast"
  struct UserObject *uo1470 = (struct UserObject*)obj1231;
  uo1470->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast1470 = addmethod2pos(obj1231, "removeLast", &meth_collectionsPrelude_removeLast1470, 13);
  int argcv_meth_collectionsPrelude_removeLast1470[] = {0};
  meth_meth_collectionsPrelude_removeLast1470->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast1470);
  meth_meth_collectionsPrelude_removeLast1470->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast1470->definitionLine = 970;
// method "addAllFirst(_)"
  struct UserObject *uo1497 = (struct UserObject*)obj1231;
  uo1497->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497 = addmethod2pos(obj1231, "addAllFirst(1)", &meth_collectionsPrelude_addAllFirst_40_1_41_1497, 14);
  int argcv_meth_collectionsPrelude_addAllFirst_40_1_41_1497[] = {1};
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst_40_1_41_1497);
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst_40_1_41_1497->definitionLine = 976;
// method "addFirst(_)"
  struct UserObject *uo1593 = (struct UserObject*)obj1231;
  uo1593->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst_40_1_41_1593 = addmethod2pos(obj1231, "addFirst(1)", &meth_collectionsPrelude_addFirst_40_1_41_1593, 15);
  int argcv_meth_collectionsPrelude_addFirst_40_1_41_1593[] = {1};
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst_40_1_41_1593);
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst_40_1_41_1593->definitionLine = 993;
// method "clear"
  block_savedest(obj1231);
  Object closure1669 = createclosure(1, "clear");
  setclosureframe(closure1669, stackframe);
  addtoclosure(closure1669, var__prelude);
  struct UserObject *uo1669 = (struct UserObject*)obj1231;
  uo1669->data[16] = (Object)closure1669;
  Method *meth_meth_collectionsPrelude_clear1669 = addmethod2pos(obj1231, "clear", &meth_collectionsPrelude_clear1669, 16);
  int argcv_meth_collectionsPrelude_clear1669[] = {0};
  meth_meth_collectionsPrelude_clear1669->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear1669);
  meth_meth_collectionsPrelude_clear1669->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear1669->definitionLine = 1005;
// method "removeFirst"
  struct UserObject *uo1689 = (struct UserObject*)obj1231;
  uo1689->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst1689 = addmethod2pos(obj1231, "removeFirst", &meth_collectionsPrelude_removeFirst1689, 17);
  int argcv_meth_collectionsPrelude_removeFirst1689[] = {0};
  meth_meth_collectionsPrelude_removeFirst1689->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst1689);
  meth_meth_collectionsPrelude_removeFirst1689->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst1689->definitionLine = 1011;
// method "removeAt(_)"
  struct UserObject *uo1693 = (struct UserObject*)obj1231;
  uo1693->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt_40_1_41_1693 = addmethod2pos(obj1231, "removeAt(1)", &meth_collectionsPrelude_removeAt_40_1_41_1693, 18);
  int argcv_meth_collectionsPrelude_removeAt_40_1_41_1693[] = {1};
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt_40_1_41_1693);
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt_40_1_41_1693->definitionLine = 1014;
// method "remove(_)"
  block_savedest(obj1231);
  Object closure1746 = createclosure(1, "remove(1)");
  setclosureframe(closure1746, stackframe);
  addtoclosure(closure1746, var_NoSuchObject);
  struct UserObject *uo1746 = (struct UserObject*)obj1231;
  uo1746->data[19] = (Object)closure1746;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_1746 = addmethod2pos(obj1231, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_1746, 19);
  int argcv_meth_collectionsPrelude_remove_40_1_41_1746[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_1746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_1746);
  meth_meth_collectionsPrelude_remove_40_1_41_1746->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_1746->definitionLine = 1025;
// method "remove(_)ifAbsent(_)"
  struct UserObject *uo1764 = (struct UserObject*)obj1231;
  uo1764->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764 = addmethod2pos(obj1231, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764, 20);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_1764->definitionLine = 1033;
// method "removeAll(_)"
  block_savedest(obj1231);
  Object closure1774 = createclosure(1, "removeAll(1)");
  setclosureframe(closure1774, stackframe);
  addtoclosure(closure1774, var_NoSuchObject);
  struct UserObject *uo1774 = (struct UserObject*)obj1231;
  uo1774->data[21] = (Object)closure1774;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_1774 = addmethod2pos(obj1231, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_1774, 21);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_1774[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_1774);
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_1774->definitionLine = 1042;
// method "removeAll(_)ifAbsent(_)"
  struct UserObject *uo1783 = (struct UserObject*)obj1231;
  uo1783->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783 = addmethod2pos(obj1231, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783, 22);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_1783->definitionLine = 1046;
// method "pop"
  struct UserObject *uo1804 = (struct UserObject*)obj1231;
  uo1804->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop1804 = addmethod2pos(obj1231, "pop", &meth_collectionsPrelude_pop1804, 23);
  int argcv_meth_collectionsPrelude_pop1804[] = {0};
  meth_meth_collectionsPrelude_pop1804->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop1804);
  meth_meth_collectionsPrelude_pop1804->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop1804->definitionLine = 1057;
// method "reversed"
  struct UserObject *uo1807 = (struct UserObject*)obj1231;
  uo1807->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed1807 = addmethod2pos(obj1231, "reversed", &meth_collectionsPrelude_reversed1807, 24);
  int argcv_meth_collectionsPrelude_reversed1807[] = {0};
  meth_meth_collectionsPrelude_reversed1807->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed1807);
  meth_meth_collectionsPrelude_reversed1807->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed1807->definitionLine = 1058;
// method "reverse"
  struct UserObject *uo1823 = (struct UserObject*)obj1231;
  uo1823->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse1823 = addmethod2pos(obj1231, "reverse", &meth_collectionsPrelude_reverse1823, 25);
  int argcv_meth_collectionsPrelude_reverse1823[] = {0};
  meth_meth_collectionsPrelude_reverse1823->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse1823);
  meth_meth_collectionsPrelude_reverse1823->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse1823->definitionLine = 1063;
// method "++(_)"
  struct UserObject *uo1864 = (struct UserObject*)obj1231;
  uo1864->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_1864 = addmethod2pos(obj1231, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_1864, 26);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_1864[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_1864);
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_1864->definitionLine = 1076;
// method "asString"
  struct UserObject *uo1875 = (struct UserObject*)obj1231;
  uo1875->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1875 = addmethod2pos(obj1231, "asString", &meth_collectionsPrelude_asString1875, 27);
  int argcv_meth_collectionsPrelude_asString1875[] = {0};
  meth_meth_collectionsPrelude_asString1875->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1875);
  meth_meth_collectionsPrelude_asString1875->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1875->definitionLine = 1080;
// method "asDebugString"
  struct UserObject *uo1921 = (struct UserObject*)obj1231;
  uo1921->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1921 = addmethod2pos(obj1231, "asDebugString", &meth_collectionsPrelude_asDebugString1921, 28);
  int argcv_meth_collectionsPrelude_asDebugString1921[] = {0};
  meth_meth_collectionsPrelude_asDebugString1921->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1921);
  meth_meth_collectionsPrelude_asDebugString1921->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1921->definitionLine = 1088;
// method "contains(_)"
  struct UserObject *uo1967 = (struct UserObject*)obj1231;
  uo1967->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_1967 = addmethod2pos(obj1231, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_1967, 29);
  int argcv_meth_collectionsPrelude_contains_40_1_41_1967[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_1967->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_1967);
  meth_meth_collectionsPrelude_contains_40_1_41_1967->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_1967->definitionLine = 1096;
// method "do(_)"
  struct UserObject *uo1979 = (struct UserObject*)obj1231;
  uo1979->data[30] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_1979 = addmethod2pos(obj1231, "do(1)", &meth_collectionsPrelude_do_40_1_41_1979, 30);
  int argcv_meth_collectionsPrelude_do_40_1_41_1979[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_1979->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_1979);
  meth_meth_collectionsPrelude_do_40_1_41_1979->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_1979->definitionLine = 1100;
// method "==(_)"
  struct UserObject *uo2005 = (struct UserObject*)obj1231;
  uo2005->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_2005 = addmethod2pos(obj1231, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_2005, 31);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_2005[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_2005);
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_2005->definitionLine = 1108;
// method "iterator"
  block_savedest(obj1231);
  Object closure2012 = createclosure(2, "iterator");
  setclosureframe(closure2012, stackframe);
  addtoclosure(closure2012, var_ConcurrentModification);
  addtoclosure(closure2012, var_IteratorExhausted);
  struct UserObject *uo2012 = (struct UserObject*)obj1231;
  uo2012->data[32] = (Object)closure2012;
  Method *meth_meth_collectionsPrelude_iterator2012 = addmethod2pos(obj1231, "iterator", &meth_collectionsPrelude_iterator2012, 32);
  int argcv_meth_collectionsPrelude_iterator2012[] = {0};
  meth_meth_collectionsPrelude_iterator2012->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2012);
  meth_meth_collectionsPrelude_iterator2012->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2012->definitionLine = 1111;
  block_savedest(obj1231);
  Object closure2096 = createclosure(2, "iterator$object(1)");
  setclosureframe(closure2096, stackframe);
  addtoclosure(closure2096, var_ConcurrentModification);
  addtoclosure(closure2096, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator2012_object = addmethod2pos(obj1231, "iterator$object(1)", &meth_collectionsPrelude_iterator2012_object, 32);
  meth_meth_collectionsPrelude_iterator2012_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2012_object->definitionLine = 1111;
// method "values"
  struct UserObject *uo2097 = (struct UserObject*)obj1231;
  uo2097->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values2097 = addmethod2pos(obj1231, "values", &meth_collectionsPrelude_values2097, 33);
  int argcv_meth_collectionsPrelude_values2097[] = {0};
  meth_meth_collectionsPrelude_values2097->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values2097);
  meth_meth_collectionsPrelude_values2097->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2097->definitionLine = 1129;
// method "keys"
  struct UserObject *uo2098 = (struct UserObject*)obj1231;
  uo2098->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys2098 = addmethod2pos(obj1231, "keys", &meth_collectionsPrelude_keys2098, 34);
  int argcv_meth_collectionsPrelude_keys2098[] = {0};
  meth_meth_collectionsPrelude_keys2098->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys2098);
  meth_meth_collectionsPrelude_keys2098->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2098->definitionLine = 1132;
// method "expandTo(_)"
  block_savedest(obj1231);
  Object closure2101 = createclosure(1, "expandTo(1)");
  setclosureframe(closure2101, stackframe);
  addtoclosure(closure2101, var__prelude);
  struct UserObject *uo2101 = (struct UserObject*)obj1231;
  uo2101->data[35] = (Object)closure2101;
  Method *meth_meth_collectionsPrelude_expandTo_40_1_41_2101 = addmethod2pos(obj1231, "expandTo(1)", &meth_collectionsPrelude_expandTo_40_1_41_2101, 35);
  int argcv_meth_collectionsPrelude_expandTo_40_1_41_2101[] = {1};
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expandTo_40_1_41_2101);
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->definitionModule = modulename;
  meth_meth_collectionsPrelude_expandTo_40_1_41_2101->definitionLine = 1135;
// method "sortBy(_)"
  struct UserObject *uo2129 = (struct UserObject*)obj1231;
  uo2129->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy_40_1_41_2129 = addmethod2pos(obj1231, "sortBy(1)", &meth_collectionsPrelude_sortBy_40_1_41_2129, 36);
  int argcv_meth_collectionsPrelude_sortBy_40_1_41_2129[] = {1};
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy_40_1_41_2129);
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy_40_1_41_2129->definitionLine = 1142;
// method "sort"
  struct UserObject *uo2144 = (struct UserObject*)obj1231;
  uo2144->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort2144 = addmethod2pos(obj1231, "sort", &meth_collectionsPrelude_sort2144, 37);
  int argcv_meth_collectionsPrelude_sort2144[] = {0};
  meth_meth_collectionsPrelude_sort2144->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort2144);
  meth_meth_collectionsPrelude_sort2144->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort2144->definitionLine = 1147;
// method "sortedBy(_)"
  struct UserObject *uo2163 = (struct UserObject*)obj1231;
  uo2163->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_2163 = addmethod2pos(obj1231, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_2163, 38);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_2163[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_2163);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_2163->definitionLine = 1154;
// method "sorted"
  struct UserObject *uo2168 = (struct UserObject*)obj1231;
  uo2168->data[39] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted2168 = addmethod2pos(obj1231, "sorted", &meth_collectionsPrelude_sorted2168, 39);
  int argcv_meth_collectionsPrelude_sorted2168[] = {0};
  meth_meth_collectionsPrelude_sorted2168->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted2168);
  meth_meth_collectionsPrelude_sorted2168->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted2168->definitionLine = 1157;
// method "copy"
  struct UserObject *uo2173 = (struct UserObject*)obj1231;
  uo2173->data[40] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy2173 = addmethod2pos(obj1231, "copy", &meth_collectionsPrelude_copy2173, 40);
  int argcv_meth_collectionsPrelude_copy2173[] = {0};
  meth_meth_collectionsPrelude_copy2173->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy2173);
  meth_meth_collectionsPrelude_copy2173->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy2173->definitionLine = 1160;
  sourceObject = obj1231;
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2178 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2179 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2178);
// compiled call node returning call2179 (depth = 2)
  struct UserObject *obj1231_uo = (struct UserObject *)obj1231;
  obj1231_uo->super = call2179;
  sourceObject = obj1231;
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2180 = alloc_Float64(0);
// compiled num node returning num2180 (depth = 2)
  adddatum2(obj1231, num2180, 1);
  sourceObject = obj1231;
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2181 = alloc_Boolean(1);
// compiled identifier node returning bool2181 (depth = 2)
  adddatum2(obj1231, bool2181, 2);
  sourceObject = obj1231;
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2183 = alloc_Float64(1);
// compiled num node returning num2183 (depth = 3)
  int op_slot_right_2182 = gc_frame_newslot(num2183);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2186 = alloc_Float64(2);
// compiled num node returning num2186 (depth = 4)
  int op_slot_right_2185 = gc_frame_newslot(num2186);
// starting to compile call node (depth = 4)
  int callframe2188 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2189 = alloc_Block(NULL, NULL, "collectionsPrelude", 900);
  gc_frame_newslot(block2189);
// method "_apply"
  block_savedest(block2189);
  Object closure2190 = createclosure(1, "_apply");
  setclosureframe(closure2190, stackframe);
  addtoclosure(closure2190, selfslot);
  struct UserObject *uo2190 = (struct UserObject*)block2189;
  uo2190->data[0] = (Object)closure2190;
  Method *meth_meth_collectionsPrelude__apply2190 = addmethod2pos(block2189, "_apply", &meth_collectionsPrelude__apply2190, 0);
  int argcv_meth_collectionsPrelude__apply2190[] = {0};
  meth_meth_collectionsPrelude__apply2190->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2190);
  meth_meth_collectionsPrelude__apply2190->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2190->definitionLine = 1990;
// compiled block node returning block2189 (depth = 5)
  gc_frame_newslot(block2189);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_a (depth = 5)
  params[0] = block2189;
  partcv[0] = 1;
  Object call2196 = callmethodflags(*var_a, "sizeIfUnknown(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2188);
// compiled call node returning call2196 (depth = 4)
  int op_slot_left_2185 = gc_frame_newslot(call2196);
  params[0] = num2186;
  partcv[0] = 1;
  Object prod2197 = callmethod(call2196, "*(1)", 1, partcv, params);
// compiled op node returning prod2197 (depth = 3)
  int op_slot_left_2182 = gc_frame_newslot(prod2197);
  params[0] = num2183;
  partcv[0] = 1;
  Object sum2198 = callmethod(prod2197, "+(1)", 1, partcv, params);
// compiled op node returning sum2198 (depth = 2)
  adddatum2(obj1231, sum2198, 3);
  sourceObject = obj1231;
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2199 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2200 = gc_frame_new();
// call case 4: self request
  Object call2201 = callmethodflags(self, "initialSize", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2200);
// compiled member node returning call2201 (depth = 3)
  gc_frame_newslot(call2201);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call2203 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2202);
// compiled member node returning call2203 (depth = 3)
  params[0] = call2201;
  partcv[0] = 1;
  Object call2204 = callmethodflags(call2203, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2199);
// compiled call node returning call2204 (depth = 2)
  adddatum2(obj1231, call2204, 4);
  sourceObject = obj1231;
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2205 = alloc_Float64(0);
// compiled num node returning num2205 (depth = 2)
  adddatum2(obj1231, num2205, 5);
  sourceObject = obj1231;
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2207 = gc_frame_new();
// call case 4: self request
  Object call2208 = callmethodflags(self, "sizeCertain", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2207);
// compiled member node returning call2208 (depth = 3)
  Object if2206 = done;
struct StackFrameObject *iftmpstackframe2206 = stackframe;
  if (istrue(call2208)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2206);
gc_frame_newslot((Object)stackframe);
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2209 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 4)
  Object block2210 = alloc_Block(NULL, NULL, "collectionsPrelude", 905);
  gc_frame_newslot(block2210);
// method "_apply(_)"
  block_savedest(block2210);
  Object closure2211 = createclosure(1, "_apply(1)");
  setclosureframe(closure2211, stackframe);
  addtoclosure(closure2211, selfslot);
  struct UserObject *uo2211 = (struct UserObject*)block2210;
  uo2211->data[0] = (Object)closure2211;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2211 = addmethod2pos(block2210, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2211, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2211[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2211->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2211);
  meth_meth_collectionsPrelude__apply_40_1_41_2211->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2211->definitionLine = 1990;
// compiled block node returning block2210 (depth = 4)
  gc_frame_newslot(block2210);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block2210;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2227 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2209);
// compiled call node returning call2227 (depth = 3)
    gc_frame_newslot(call2227);
    if2206 = call2227;
  } else {
  stackframe = alloc_StackFrame(1, iftmpstackframe2206);
  gc_frame_newslot((Object)stackframe);
  Object *var_innerSize = &(stackframe->slots[0]);
  setframeelementname(stackframe, 0, "innerSize");
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2228 = gc_frame_new();
// call case 4: self request
  Object call2229 = callmethodflags(self, "initialSize", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2228);
// compiled member node returning call2229 (depth = 4)
  *var_innerSize = call2229;
  if (call2229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2230 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 4)
  Object block2231 = alloc_Block(NULL, NULL, "collectionsPrelude", 912);
  gc_frame_newslot(block2231);
// method "_apply(_)"
  block_savedest(block2231);
  Object closure2232 = createclosure(3, "_apply(1)");
  setclosureframe(closure2232, stackframe);
  addtoclosure(closure2232, var_innerSize);
  addtoclosure(closure2232, var__prelude);
  addtoclosure(closure2232, selfslot);
  struct UserObject *uo2232 = (struct UserObject*)block2231;
  uo2232->data[0] = (Object)closure2232;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2232 = addmethod2pos(block2231, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2232, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2232[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2232->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2232);
  meth_meth_collectionsPrelude__apply_40_1_41_2232->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2232->definitionLine = 1990;
// compiled block node returning block2231 (depth = 4)
  gc_frame_newslot(block2231);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block2231;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2288 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2230);
// compiled call node returning call2288 (depth = 3)
    gc_frame_newslot(call2288);
    if2206 = call2288;
  }
stackframe = iftmpstackframe2206;
// compiled if node returning if2206 (depth = 2)
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  sourceObject = obj1231;
  objclass1231 = obj1231->class;
  objclass1231->definitionModule = modulename;
  objclass1231->definitionLine = 893;
  (*(struct UserObject *)self).data[0] = lowerouter1231;
  self = oldself1231;
  selfslot = oldselfslot1231;
  stackframe = oldstackframe1231;
  gc_frame_end(frame);
  return obj1231;
}
Object meth_collectionsPrelude_list703(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "list");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_ConcurrentModification = getfromclosure(closure, 3);
  Object *var_IteratorExhausted = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_BoundsError = getfromclosure(closure, 6);
  Object *var__prelude = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject704 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj704 = alloc_userobj2(4,5, objclass704);
  gc_frame_newslot(obj704);
if (objclass704 == NULL) {
  glfree(obj704->class->name);
  obj704->class->name = "list";
}
// OBJECT OUTER DEC outer
  adddatum2(obj704, self, 0);
  addmethodreal(obj704,"outer", &reader_collectionsPrelude_outer_705);
  Object oldself704 = self;
  struct StackFrameObject *oldstackframe704 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe704);
  gc_frame_newslot((Object)stackframe);
  self = obj704;
  Object *oldselfslot704 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter704 = (*(struct UserObject *)self).data[0], lowerouter704 = thisouter704;
  if (inheritingObject704) {
    struct UserObject *inho704 = (struct UserObject *)inheritingObject704;
    while (inho704->super != GraceDefaultObject) inho704 = (struct UserObject *)inho704->super;
    inho704->super = obj704;
    self = inheritingObject704;
    *selfslot = self;
    lowerouter704 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter704;
  }
// method "asString"
  struct UserObject *uo706 = (struct UserObject*)obj704;
  uo706->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString706 = addmethod2pos(obj704, "asString", &meth_collectionsPrelude_asString706, 1);
  int argcv_meth_collectionsPrelude_asString706[] = {0};
  meth_meth_collectionsPrelude_asString706->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString706);
  meth_meth_collectionsPrelude_asString706->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString706->definitionLine = 622;
// method "empty"
  block_savedest(obj704);
  Object closure708 = createclosure(1, "empty");
  setclosureframe(closure708, stackframe);
  addtoclosure(closure708, var_emptySequence);
  struct UserObject *uo708 = (struct UserObject*)obj704;
  uo708->data[2] = (Object)closure708;
  Method *meth_meth_collectionsPrelude_empty708 = addmethod2pos(obj704, "empty", &meth_collectionsPrelude_empty708, 2);
  int argcv_meth_collectionsPrelude_empty708[] = {0};
  meth_meth_collectionsPrelude_empty708->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty708);
  meth_meth_collectionsPrelude_empty708->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty708->definitionLine = 624;
// method "withAll(_)"
  block_savedest(obj704);
  Object closure711 = createclosure(7, "withAll(1)");
  setclosureframe(closure711, stackframe);
  addtoclosure(closure711, var_NoSuchObject);
  addtoclosure(closure711, var_done);
  addtoclosure(closure711, var_ConcurrentModification);
  addtoclosure(closure711, var_IteratorExhausted);
  addtoclosure(closure711, var_indexable);
  addtoclosure(closure711, var_BoundsError);
  addtoclosure(closure711, var__prelude);
  struct UserObject *uo711 = (struct UserObject*)obj704;
  uo711->data[3] = (Object)closure711;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_711 = addmethod2pos(obj704, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_711, 3);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_711[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_711->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_711);
  meth_meth_collectionsPrelude_withAll_40_1_41_711->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_711->definitionLine = 628;
  block_savedest(obj704);
  Object closure2289 = createclosure(7, "withAll(1)$object(1)");
  setclosureframe(closure2289, stackframe);
  addtoclosure(closure2289, var_NoSuchObject);
  addtoclosure(closure2289, var_done);
  addtoclosure(closure2289, var_ConcurrentModification);
  addtoclosure(closure2289, var_IteratorExhausted);
  addtoclosure(closure2289, var_indexable);
  addtoclosure(closure2289, var_BoundsError);
  addtoclosure(closure2289, var__prelude);
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_711_object = addmethod2pos(obj704, "withAll(1)$object(1)", &meth_collectionsPrelude_withAll_40_1_41_711_object, 3);
  meth_meth_collectionsPrelude_withAll_40_1_41_711_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_711_object->definitionLine = 628;
  sourceObject = obj704;
  sourceObject = obj704;
  sourceObject = obj704;
  objclass704 = obj704->class;
  objclass704->definitionModule = modulename;
  objclass704->definitionLine = 620;
  (*(struct UserObject *)self).data[0] = lowerouter704;
  self = oldself704;
  selfslot = oldselfslot704;
  stackframe = oldstackframe704;
  gc_frame_end(frame);
  return obj704;
}
Object meth_collectionsPrelude_list703_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "list$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_ConcurrentModification = getfromclosure(closure, 3);
  Object *var_IteratorExhausted = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_BoundsError = getfromclosure(closure, 6);
  Object *var__prelude = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject704 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj704 = alloc_userobj2(4,5, objclass704);
  gc_frame_newslot(obj704);
if (objclass704 == NULL) {
  glfree(obj704->class->name);
  obj704->class->name = "list";
}
// OBJECT OUTER DEC outer
  adddatum2(obj704, self, 0);
  addmethodreal(obj704,"outer", &reader_collectionsPrelude_outer_705);
  Object oldself704 = self;
  struct StackFrameObject *oldstackframe704 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe704);
  gc_frame_newslot((Object)stackframe);
  self = obj704;
  Object *oldselfslot704 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter704 = (*(struct UserObject *)self).data[0], lowerouter704 = thisouter704;
  if (inheritingObject704) {
    struct UserObject *inho704 = (struct UserObject *)inheritingObject704;
    while (inho704->super != GraceDefaultObject) inho704 = (struct UserObject *)inho704->super;
    inho704->super = obj704;
    self = inheritingObject704;
    *selfslot = self;
    lowerouter704 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter704;
  }
// method "asString"
  struct UserObject *uo706 = (struct UserObject*)obj704;
  uo706->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString706 = addmethod2pos(obj704, "asString", &meth_collectionsPrelude_asString706, 1);
  int argcv_meth_collectionsPrelude_asString706[] = {0};
  meth_meth_collectionsPrelude_asString706->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString706);
  meth_meth_collectionsPrelude_asString706->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString706->definitionLine = 622;
// method "empty"
  block_savedest(obj704);
  Object closure708 = createclosure(1, "empty");
  setclosureframe(closure708, stackframe);
  addtoclosure(closure708, var_emptySequence);
  struct UserObject *uo708 = (struct UserObject*)obj704;
  uo708->data[2] = (Object)closure708;
  Method *meth_meth_collectionsPrelude_empty708 = addmethod2pos(obj704, "empty", &meth_collectionsPrelude_empty708, 2);
  int argcv_meth_collectionsPrelude_empty708[] = {0};
  meth_meth_collectionsPrelude_empty708->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty708);
  meth_meth_collectionsPrelude_empty708->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty708->definitionLine = 624;
// method "withAll(_)"
  block_savedest(obj704);
  Object closure711 = createclosure(7, "withAll(1)");
  setclosureframe(closure711, stackframe);
  addtoclosure(closure711, var_NoSuchObject);
  addtoclosure(closure711, var_done);
  addtoclosure(closure711, var_ConcurrentModification);
  addtoclosure(closure711, var_IteratorExhausted);
  addtoclosure(closure711, var_indexable);
  addtoclosure(closure711, var_BoundsError);
  addtoclosure(closure711, var__prelude);
  struct UserObject *uo711 = (struct UserObject*)obj704;
  uo711->data[3] = (Object)closure711;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_711 = addmethod2pos(obj704, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_711, 3);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_711[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_711->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_711);
  meth_meth_collectionsPrelude_withAll_40_1_41_711->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_711->definitionLine = 628;
  block_savedest(obj704);
  Object closure2289 = createclosure(7, "withAll(1)$object(1)");
  setclosureframe(closure2289, stackframe);
  addtoclosure(closure2289, var_NoSuchObject);
  addtoclosure(closure2289, var_done);
  addtoclosure(closure2289, var_ConcurrentModification);
  addtoclosure(closure2289, var_IteratorExhausted);
  addtoclosure(closure2289, var_indexable);
  addtoclosure(closure2289, var_BoundsError);
  addtoclosure(closure2289, var__prelude);
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_711_object = addmethod2pos(obj704, "withAll(1)$object(1)", &meth_collectionsPrelude_withAll_40_1_41_711_object, 3);
  meth_meth_collectionsPrelude_withAll_40_1_41_711_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_711_object->definitionLine = 628;
  sourceObject = obj704;
  sourceObject = obj704;
  sourceObject = obj704;
  objclass704 = obj704->class;
  objclass704->definitionModule = modulename;
  objclass704->definitionLine = 620;
  (*(struct UserObject *)self).data[0] = lowerouter704;
  self = oldself704;
  selfslot = oldselfslot704;
  stackframe = oldstackframe704;
  gc_frame_end(frame);
  return obj704;
}
Object meth_collectionsPrelude_asString2294(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2295 == NULL) {
    strlit2295 = alloc_String("a set factory");
    gc_root(strlit2295);
  }
// compiled string node returning strlit2295 (depth = 2)
  gc_frame_end(frame);
  return strlit2295;
}
Object meth_collectionsPrelude__apply2306(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile num node (depth = 8)
  Object num2307 = alloc_Float64(2);
// compiled num node returning num2307 (depth = 8)
  gc_frame_end(frame);
  return num2307;
}
Object meth_collectionsPrelude__apply_40_1_41_2320(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe2321 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2322 = callmethodflags(*var_result, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2321);
// compiled call node returning call2322 (depth = 4)
  gc_frame_end(frame);
  return call2322;
}
Object meth_collectionsPrelude_withAll_40_1_41_2296(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withAll(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_cap = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "cap");
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2297 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2299 = alloc_Float64(1);
// compiled num node returning num2299 (depth = 5)
  int op_slot_right_2298 = gc_frame_newslot(num2299);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2302 = alloc_Float64(3);
// compiled num node returning num2302 (depth = 6)
  int op_slot_right_2301 = gc_frame_newslot(num2302);
// starting to compile call node (depth = 6)
  int callframe2304 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2305 = alloc_Block(NULL, NULL, "collectionsPrelude", 1189);
  gc_frame_newslot(block2305);
// method "_apply"
  block_savedest(block2305);
  Object closure2306 = createclosure(1, "_apply");
  setclosureframe(closure2306, stackframe);
  addtoclosure(closure2306, selfslot);
  struct UserObject *uo2306 = (struct UserObject*)block2305;
  uo2306->data[0] = (Object)closure2306;
  Method *meth_meth_collectionsPrelude__apply2306 = addmethod2pos(block2305, "_apply", &meth_collectionsPrelude__apply2306, 0);
  int argcv_meth_collectionsPrelude__apply2306[] = {0};
  meth_meth_collectionsPrelude__apply2306->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2306);
  meth_meth_collectionsPrelude__apply2306->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2306->definitionLine = 1990;
// compiled block node returning block2305 (depth = 7)
  gc_frame_newslot(block2305);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  params[0] = block2305;
  partcv[0] = 1;
  Object call2309 = callmethodflags(*var_a, "sizeIfUnknown(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2304);
// compiled call node returning call2309 (depth = 6)
  int op_slot_left_2301 = gc_frame_newslot(call2309);
  params[0] = num2302;
  partcv[0] = 1;
  Object prod2310 = callmethod(call2309, "*(1)", 1, partcv, params);
// compiled op node returning prod2310 (depth = 5)
  int op_slot_left_2298 = gc_frame_newslot(prod2310);
  params[0] = num2299;
  partcv[0] = 1;
  Object sum2311 = callmethod(prod2310, "+(1)", 1, partcv, params);
// compiled op node returning sum2311 (depth = 4)
  gc_frame_newslot(sum2311);
// starting to compile num node (depth = 4)
  Object num2312 = alloc_Float64(8);
// compiled num node returning num2312 (depth = 4)
  gc_frame_newslot(num2312);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2313 = gc_frame_new();
// call case 3: self.outer request
  Object call2314 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2313);
// compiled member node returning call2314 (depth = 4)
  params[0] = sum2311;
  params[1] = num2312;
  partcv[0] = 2;
  Object call2315 = callmethodflags(call2314, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2297);
// compiled call node returning call2315 (depth = 3)
  *var_cap = call2315;
  if (call2315 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2316 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cap (depth = 4)
  gc_frame_newslot(*var_cap);
// call case 4: self request
  params[0] = *var_cap;
  partcv[0] = 1;
  Object call2317 = callmethodflags(self, "ofCapacity(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2316);
// compiled call node returning call2317 (depth = 3)
  *var_result = call2317;
  if (call2317 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2318 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2319 = alloc_Block(NULL, NULL, "collectionsPrelude", 1191);
  gc_frame_newslot(block2319);
// method "_apply(_)"
  block_savedest(block2319);
  Object closure2320 = createclosure(2, "_apply(1)");
  setclosureframe(closure2320, stackframe);
  addtoclosure(closure2320, var_result);
  addtoclosure(closure2320, selfslot);
  struct UserObject *uo2320 = (struct UserObject*)block2319;
  uo2320->data[0] = (Object)closure2320;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2320 = addmethod2pos(block2319, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2320, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2320[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2320->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2320);
  meth_meth_collectionsPrelude__apply_40_1_41_2320->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2320->definitionLine = 1990;
// compiled block node returning block2319 (depth = 3)
  gc_frame_newslot(block2319);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  params[0] = block2319;
  partcv[0] = 1;
  Object call2324 = callmethodflags(*var_a, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2318);
// compiled call node returning call2324 (depth = 2)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude_empty2325(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2326 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2327 = alloc_Float64(8);
// compiled num node returning num2327 (depth = 3)
  gc_frame_newslot(num2327);
// call case 4: self request
  params[0] = num2327;
  partcv[0] = 1;
  Object call2328 = callmethodflags(self, "ofCapacity(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2326);
// compiled call node returning call2328 (depth = 2)
  gc_frame_end(frame);
  return call2328;
}
Object meth_collectionsPrelude__apply_40_1_41_2346(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2348 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe2349 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2350 = callmethodflags(self, "contains(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2349);
// compiled call node returning call2350 (depth = 6)
  partcv[0] = 0;
  Object call2351 = callmethodflags(call2350, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe2348);
// compiled call node returning call2351 (depth = 5)
  Object if2347 = done;
  if (istrue(call2351)) {
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2352 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2353 = callmethodflags(self, "findPositionForAdd(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2352);
// compiled call node returning call2353 (depth = 6)
  *var_t = call2353;
  if (call2353 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2354 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2355 = gc_frame_new();
// call case 4: self request
  Object call2356 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2355);
// compiled member node returning call2356 (depth = 6)
  params[0] = *var_t;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2357 = callmethodflags(call2356, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2354);
// compiled call node returning call2357 (depth = 5)
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2358 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2360 = alloc_Float64(1);
// compiled num node returning num2360 (depth = 7)
  int op_slot_right_2359 = gc_frame_newslot(num2360);
// starting to compile member node (depth = 7)
  int callframe2362 = gc_frame_new();
// call case 4: self request
  Object call2363 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2362);
// compiled member node returning call2363 (depth = 7)
  int op_slot_left_2359 = gc_frame_newslot(call2363);
  params[0] = num2360;
  partcv[0] = 1;
  Object sum2364 = callmethod(call2363, "+(1)", 1, partcv, params);
// compiled op node returning sum2364 (depth = 6)
  gc_frame_newslot(sum2364);
// call case 4: self request
  params[0] = sum2364;
  partcv[0] = 1;
  Object call2365 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2358);
// compiled call node returning call2365 (depth = 5)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2369 = alloc_Float64(2);
// compiled num node returning num2369 (depth = 8)
  int op_slot_right_2368 = gc_frame_newslot(num2369);
// starting to compile member node (depth = 8)
  int callframe2371 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2372 = gc_frame_new();
// call case 4: self request
  Object call2373 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2372);
// compiled member node returning call2373 (depth = 9)
  Object call2374 = callmethodflags(call2373, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2371);
// compiled member node returning call2374 (depth = 8)
  int op_slot_left_2368 = gc_frame_newslot(call2374);
  params[0] = num2369;
  partcv[0] = 1;
  Object quotient2375 = callmethod(call2374, "/(1)", 1, partcv, params);
// compiled op node returning quotient2375 (depth = 7)
  int op_slot_right_2367 = gc_frame_newslot(quotient2375);
// starting to compile member node (depth = 7)
  int callframe2377 = gc_frame_new();
// call case 4: self request
  Object call2378 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2377);
// compiled member node returning call2378 (depth = 7)
  int op_slot_left_2367 = gc_frame_newslot(call2378);
  params[0] = quotient2375;
  partcv[0] = 1;
  Object opresult2379 = callmethod(call2378, ">(1)", 1, partcv, params);
// compiled op node returning opresult2379 (depth = 6)
  Object if2366 = done;
  if (istrue(opresult2379)) {
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2380 = gc_frame_new();
// call case 4: self request
  Object call2381 = callmethodflags(self, "expand", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2380);
// compiled member node returning call2381 (depth = 6)
    gc_frame_newslot(call2381);
    if2366 = call2381;
  } else {
  }
// compiled if node returning if2366 (depth = 5)
    gc_frame_newslot(if2366);
    if2347 = if2366;
  } else {
  }
// compiled if node returning if2347 (depth = 4)
  gc_frame_end(frame);
  return if2347;
}
Object meth_collectionsPrelude_addAll_40_1_41_2335(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAll(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2336 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2338 = alloc_Float64(1);
// compiled num node returning num2338 (depth = 4)
  int op_slot_right_2337 = gc_frame_newslot(num2338);
// starting to compile member node (depth = 4)
  int callframe2340 = gc_frame_new();
// call case 4: self request
  Object call2341 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2340);
// compiled member node returning call2341 (depth = 4)
  int op_slot_left_2337 = gc_frame_newslot(call2341);
  params[0] = num2338;
  partcv[0] = 1;
  Object sum2342 = callmethod(call2341, "+(1)", 1, partcv, params);
// compiled op node returning sum2342 (depth = 3)
  gc_frame_newslot(sum2342);
// call case 4: self request
  params[0] = sum2342;
  partcv[0] = 1;
  Object call2343 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2336);
// compiled call node returning call2343 (depth = 2)
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2344 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block2345 = alloc_Block(NULL, NULL, "collectionsPrelude", 1210);
  gc_frame_newslot(block2345);
// method "_apply(_)"
  block_savedest(block2345);
  Object closure2346 = createclosure(1, "_apply(1)");
  setclosureframe(closure2346, stackframe);
  addtoclosure(closure2346, selfslot);
  struct UserObject *uo2346 = (struct UserObject*)block2345;
  uo2346->data[0] = (Object)closure2346;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2346 = addmethod2pos(block2345, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2346, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2346[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2346->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2346);
  meth_meth_collectionsPrelude__apply_40_1_41_2346->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2346->definitionLine = 1990;
// compiled block node returning block2345 (depth = 3)
  gc_frame_newslot(block2345);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block2345;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2383 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2344);
// compiled call node returning call2383 (depth = 2)
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_add_40_1_41_2384(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "add(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method add(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for add(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part add(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2386 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2387 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2388 = callmethodflags(self, "contains(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2387);
// compiled call node returning call2388 (depth = 4)
  partcv[0] = 0;
  Object call2389 = callmethodflags(call2388, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe2386);
// compiled call node returning call2389 (depth = 3)
  Object if2385 = done;
  if (istrue(call2389)) {
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2390 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2392 = alloc_Float64(1);
// compiled num node returning num2392 (depth = 5)
  int op_slot_right_2391 = gc_frame_newslot(num2392);
// starting to compile member node (depth = 5)
  int callframe2394 = gc_frame_new();
// call case 4: self request
  Object call2395 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2394);
// compiled member node returning call2395 (depth = 5)
  int op_slot_left_2391 = gc_frame_newslot(call2395);
  params[0] = num2392;
  partcv[0] = 1;
  Object sum2396 = callmethod(call2395, "+(1)", 1, partcv, params);
// compiled op node returning sum2396 (depth = 4)
  gc_frame_newslot(sum2396);
// call case 4: self request
  params[0] = sum2396;
  partcv[0] = 1;
  Object call2397 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled call node returning call2397 (depth = 3)
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2398 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2399 = callmethodflags(self, "findPositionForAdd(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2398);
// compiled call node returning call2399 (depth = 4)
  *var_t = call2399;
  if (call2399 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2400 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2401 = gc_frame_new();
// call case 4: self request
  Object call2402 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2401);
// compiled member node returning call2402 (depth = 4)
  params[0] = *var_t;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2403 = callmethodflags(call2402, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2400);
// compiled call node returning call2403 (depth = 3)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2404 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2406 = alloc_Float64(1);
// compiled num node returning num2406 (depth = 5)
  int op_slot_right_2405 = gc_frame_newslot(num2406);
// starting to compile member node (depth = 5)
  int callframe2408 = gc_frame_new();
// call case 4: self request
  Object call2409 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2408);
// compiled member node returning call2409 (depth = 5)
  int op_slot_left_2405 = gc_frame_newslot(call2409);
  params[0] = num2406;
  partcv[0] = 1;
  Object sum2410 = callmethod(call2409, "+(1)", 1, partcv, params);
// compiled op node returning sum2410 (depth = 4)
  gc_frame_newslot(sum2410);
// call case 4: self request
  params[0] = sum2410;
  partcv[0] = 1;
  Object call2411 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2404);
// compiled call node returning call2411 (depth = 3)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2415 = alloc_Float64(2);
// compiled num node returning num2415 (depth = 6)
  int op_slot_right_2414 = gc_frame_newslot(num2415);
// starting to compile member node (depth = 6)
  int callframe2417 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2418 = gc_frame_new();
// call case 4: self request
  Object call2419 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2418);
// compiled member node returning call2419 (depth = 7)
  Object call2420 = callmethodflags(call2419, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2417);
// compiled member node returning call2420 (depth = 6)
  int op_slot_left_2414 = gc_frame_newslot(call2420);
  params[0] = num2415;
  partcv[0] = 1;
  Object quotient2421 = callmethod(call2420, "/(1)", 1, partcv, params);
// compiled op node returning quotient2421 (depth = 5)
  int op_slot_right_2413 = gc_frame_newslot(quotient2421);
// starting to compile member node (depth = 5)
  int callframe2423 = gc_frame_new();
// call case 4: self request
  Object call2424 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2423);
// compiled member node returning call2424 (depth = 5)
  int op_slot_left_2413 = gc_frame_newslot(call2424);
  params[0] = quotient2421;
  partcv[0] = 1;
  Object opresult2425 = callmethod(call2424, ">(1)", 1, partcv, params);
// compiled op node returning opresult2425 (depth = 4)
  Object if2412 = done;
  if (istrue(opresult2425)) {
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2426 = gc_frame_new();
// call case 4: self request
  Object call2427 = callmethodflags(self, "expand", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2426);
// compiled member node returning call2427 (depth = 4)
    gc_frame_newslot(call2427);
    if2412 = call2427;
  } else {
  }
// compiled if node returning if2412 (depth = 3)
    gc_frame_newslot(if2412);
    if2385 = if2412;
  } else {
  }
// compiled if node returning if2385 (depth = 2)
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply2434(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2435 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2437 == NULL) {
    strlit2437 = alloc_String("");
    gc_root(strlit2437);
  }
// compiled string node returning strlit2437 (depth = 8)
  int op_slot_right_2436 = gc_frame_newslot(strlit2437);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_x (depth = 9)
  int op_slot_right_2439 = gc_frame_newslot(*var_x);
// starting to compile string node (depth = 9)
  if (strlit2441 == NULL) {
    strlit2441 = alloc_String("set does not contain ");
    gc_root(strlit2441);
  }
// compiled string node returning strlit2441 (depth = 9)
  int op_slot_left_2439 = gc_frame_newslot(strlit2441);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2442 = callmethod(strlit2441, "++(1)", 1, partcv, params);
// compiled op node returning opresult2442 (depth = 8)
  int op_slot_left_2436 = gc_frame_newslot(opresult2442);
  params[0] = strlit2437;
  partcv[0] = 1;
  Object opresult2443 = callmethod(opresult2442, "++(1)", 1, partcv, params);
// compiled op node returning opresult2443 (depth = 7)
  gc_frame_newslot(opresult2443);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_NoSuchObject (depth = 7)
  params[0] = opresult2443;
  partcv[0] = 1;
  Object call2444 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2435);
// compiled call node returning call2444 (depth = 6)
  gc_frame_end(frame);
  return call2444;
}
Object meth_collectionsPrelude__apply_40_1_41_2431(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2432 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// starting to compile block node (depth = 5)
  Object block2433 = alloc_Block(NULL, NULL, "collectionsPrelude", 1238);
  gc_frame_newslot(block2433);
// method "_apply"
  block_savedest(block2433);
  Object closure2434 = createclosure(3, "_apply");
  setclosureframe(closure2434, stackframe);
  addtoclosure(closure2434, var_x);
  addtoclosure(closure2434, var_NoSuchObject);
  addtoclosure(closure2434, selfslot);
  struct UserObject *uo2434 = (struct UserObject*)block2433;
  uo2434->data[0] = (Object)closure2434;
  Method *meth_meth_collectionsPrelude__apply2434 = addmethod2pos(block2433, "_apply", &meth_collectionsPrelude__apply2434, 0);
  int argcv_meth_collectionsPrelude__apply2434[] = {0};
  meth_meth_collectionsPrelude__apply2434->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2434);
  meth_meth_collectionsPrelude__apply2434->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2434->definitionLine = 1990;
// compiled block node returning block2433 (depth = 5)
  gc_frame_newslot(block2433);
// call case 4: self request
  params[0] = *var_x;
  params[1] = block2433;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2446 = callmethodflags(self, "remove(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2432);
// compiled call node returning call2446 (depth = 4)
  gc_frame_end(frame);
  return call2446;
}
Object meth_collectionsPrelude_removeAll_40_1_41_2428(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2429 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block2430 = alloc_Block(NULL, NULL, "collectionsPrelude", 1237);
  gc_frame_newslot(block2430);
// method "_apply(_)"
  block_savedest(block2430);
  Object closure2431 = createclosure(2, "_apply(1)");
  setclosureframe(closure2431, stackframe);
  addtoclosure(closure2431, var_NoSuchObject);
  addtoclosure(closure2431, selfslot);
  struct UserObject *uo2431 = (struct UserObject*)block2430;
  uo2431->data[0] = (Object)closure2431;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2431 = addmethod2pos(block2430, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2431, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2431[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2431->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2431);
  meth_meth_collectionsPrelude__apply_40_1_41_2431->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2431->definitionLine = 1990;
// compiled block node returning block2430 (depth = 3)
  gc_frame_newslot(block2430);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block2430;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2448 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2429);
// compiled call node returning call2448 (depth = 2)
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_2460(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_block = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2461 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2462 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2461);
// compiled call node returning call2462 (depth = 5)
  *var_t = call2462;
  if (call2462 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_2464 = gc_frame_newslot(*var_x);
// starting to compile call node (depth = 6)
  int callframe2466 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2467 = gc_frame_new();
// call case 4: self request
  Object call2468 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2467);
// compiled member node returning call2468 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2469 = callmethodflags(call2468, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2466);
// compiled call node returning call2469 (depth = 6)
  int op_slot_left_2464 = gc_frame_newslot(call2469);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2470 = callmethod(call2469, "==(1)", 1, partcv, params);
// compiled op node returning opresult2470 (depth = 5)
  Object if2463 = done;
  if (istrue(opresult2470)) {
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2471 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2472 = gc_frame_new();
// call case 4: self request
  Object call2473 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2472);
// compiled member node returning call2473 (depth = 6)
  params[0] = *var_t;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2474 = callmethodflags(call2473, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2471);
// compiled call node returning call2474 (depth = 5)
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2475 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2477 = alloc_Float64(1);
// compiled num node returning num2477 (depth = 7)
  int op_slot_right_2476 = gc_frame_newslot(num2477);
// starting to compile member node (depth = 7)
  int callframe2479 = gc_frame_new();
// call case 4: self request
  Object call2480 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2479);
// compiled member node returning call2480 (depth = 7)
  int op_slot_left_2476 = gc_frame_newslot(call2480);
  params[0] = num2477;
  partcv[0] = 1;
  Object diff2481 = callmethod(call2480, "-(1)", 1, partcv, params);
// compiled op node returning diff2481 (depth = 6)
  gc_frame_newslot(diff2481);
// call case 4: self request
  params[0] = diff2481;
  partcv[0] = 1;
  Object call2482 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2475);
// compiled call node returning call2482 (depth = 5)
    gc_frame_newslot(call2482);
    if2463 = call2482;
  } else {
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2483 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block (depth = 6)
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2484 = callmethodflags(*var_block, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2483);
// compiled call node returning call2484 (depth = 5)
    gc_frame_newslot(call2484);
    if2463 = call2484;
  }
// compiled if node returning if2463 (depth = 4)
  gc_frame_end(frame);
  return if2463;
}
Object meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAll(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for removeAll(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAll(_)");
  Object *var_block = &(stackframe->slots[1]);
  *var_block = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2450 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2452 = alloc_Float64(1);
// compiled num node returning num2452 (depth = 4)
  int op_slot_right_2451 = gc_frame_newslot(num2452);
// starting to compile member node (depth = 4)
  int callframe2454 = gc_frame_new();
// call case 4: self request
  Object call2455 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2454);
// compiled member node returning call2455 (depth = 4)
  int op_slot_left_2451 = gc_frame_newslot(call2455);
  params[0] = num2452;
  partcv[0] = 1;
  Object sum2456 = callmethod(call2455, "+(1)", 1, partcv, params);
// compiled op node returning sum2456 (depth = 3)
  gc_frame_newslot(sum2456);
// call case 4: self request
  params[0] = sum2456;
  partcv[0] = 1;
  Object call2457 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2450);
// compiled call node returning call2457 (depth = 2)
// Begin line 1246
  setline(1246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2458 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block2459 = alloc_Block(NULL, NULL, "collectionsPrelude", 1246);
  gc_frame_newslot(block2459);
// method "_apply(_)"
  block_savedest(block2459);
  Object closure2460 = createclosure(3, "_apply(1)");
  setclosureframe(closure2460, stackframe);
  addtoclosure(closure2460, var_removed);
  addtoclosure(closure2460, var_block);
  addtoclosure(closure2460, selfslot);
  struct UserObject *uo2460 = (struct UserObject*)block2459;
  uo2460->data[0] = (Object)closure2460;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2460 = addmethod2pos(block2459, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2460, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2460[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2460->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2460);
  meth_meth_collectionsPrelude__apply_40_1_41_2460->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2460->definitionLine = 1990;
// compiled block node returning block2459 (depth = 3)
  gc_frame_newslot(block2459);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block2459;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2486 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2458);
// compiled call node returning call2486 (depth = 2)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_clear2487(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "clear");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_cap = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2488 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2490 = alloc_Float64(1);
// compiled num node returning num2490 (depth = 4)
  int op_slot_right_2489 = gc_frame_newslot(num2490);
// starting to compile member node (depth = 4)
  int callframe2492 = gc_frame_new();
// call case 4: self request
  Object call2493 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2492);
// compiled member node returning call2493 (depth = 4)
  int op_slot_left_2489 = gc_frame_newslot(call2493);
  params[0] = num2490;
  partcv[0] = 1;
  Object sum2494 = callmethod(call2493, "+(1)", 1, partcv, params);
// compiled op node returning sum2494 (depth = 3)
  gc_frame_newslot(sum2494);
// call case 4: self request
  params[0] = sum2494;
  partcv[0] = 1;
  Object call2495 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2488);
// compiled call node returning call2495 (depth = 2)
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2496 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe2497 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cap (depth = 4)
  gc_frame_newslot(*var_cap);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2498 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call2499 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2498);
// compiled member node returning call2499 (depth = 4)
  params[0] = *var_cap;
  partcv[0] = 1;
  Object call2500 = callmethodflags(call2499, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2497);
// compiled call node returning call2500 (depth = 3)
  gc_frame_newslot(call2500);
// call case 4: self request
  params[0] = call2500;
  partcv[0] = 1;
  Object call2501 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2496);
// compiled call node returning call2501 (depth = 2)
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2502 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2503 = alloc_Float64(0);
// compiled num node returning num2503 (depth = 3)
  gc_frame_newslot(num2503);
// call case 4: self request
  params[0] = num2503;
  partcv[0] = 1;
  Object call2504 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2502);
// compiled call node returning call2504 (depth = 2)
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "remove(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for remove(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *var_block = &(stackframe->slots[1]);
  *var_block = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "t");
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2506 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elt (depth = 4)
  gc_frame_newslot(*var_elt);
// call case 4: self request
  params[0] = *var_elt;
  partcv[0] = 1;
  Object call2507 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2506);
// compiled call node returning call2507 (depth = 3)
  *var_t = call2507;
  if (call2507 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elt (depth = 4)
  int op_slot_right_2509 = gc_frame_newslot(*var_elt);
// starting to compile call node (depth = 4)
  int callframe2511 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_t (depth = 5)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2512 = gc_frame_new();
// call case 4: self request
  Object call2513 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2512);
// compiled member node returning call2513 (depth = 5)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2514 = callmethodflags(call2513, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2511);
// compiled call node returning call2514 (depth = 4)
  int op_slot_left_2509 = gc_frame_newslot(call2514);
  params[0] = *var_elt;
  partcv[0] = 1;
  Object opresult2515 = callmethod(call2514, "==(1)", 1, partcv, params);
// compiled op node returning opresult2515 (depth = 3)
  Object if2508 = done;
  if (istrue(opresult2515)) {
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2516 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_removed (depth = 4)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2517 = gc_frame_new();
// call case 4: self request
  Object call2518 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2517);
// compiled member node returning call2518 (depth = 4)
  params[0] = *var_t;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2519 = callmethodflags(call2518, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2516);
// compiled call node returning call2519 (depth = 3)
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2520 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2522 = alloc_Float64(1);
// compiled num node returning num2522 (depth = 5)
  int op_slot_right_2521 = gc_frame_newslot(num2522);
// starting to compile member node (depth = 5)
  int callframe2524 = gc_frame_new();
// call case 4: self request
  Object call2525 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2524);
// compiled member node returning call2525 (depth = 5)
  int op_slot_left_2521 = gc_frame_newslot(call2525);
  params[0] = num2522;
  partcv[0] = 1;
  Object sum2526 = callmethod(call2525, "+(1)", 1, partcv, params);
// compiled op node returning sum2526 (depth = 4)
  gc_frame_newslot(sum2526);
// call case 4: self request
  params[0] = sum2526;
  partcv[0] = 1;
  Object call2527 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2520);
// compiled call node returning call2527 (depth = 3)
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2528 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2530 = alloc_Float64(1);
// compiled num node returning num2530 (depth = 5)
  int op_slot_right_2529 = gc_frame_newslot(num2530);
// starting to compile member node (depth = 5)
  int callframe2532 = gc_frame_new();
// call case 4: self request
  Object call2533 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2532);
// compiled member node returning call2533 (depth = 5)
  int op_slot_left_2529 = gc_frame_newslot(call2533);
  params[0] = num2530;
  partcv[0] = 1;
  Object diff2534 = callmethod(call2533, "-(1)", 1, partcv, params);
// compiled op node returning diff2534 (depth = 4)
  gc_frame_newslot(diff2534);
// call case 4: self request
  params[0] = diff2534;
  partcv[0] = 1;
  Object call2535 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2528);
// compiled call node returning call2535 (depth = 3)
    gc_frame_newslot(call2535);
    if2508 = call2535;
  } else {
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2536 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_block (depth = 4)
  Object call2537 = callmethodflags(*var_block, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe2536);
// compiled member node returning call2537 (depth = 3)
    gc_frame_newslot(call2537);
    if2508 = call2537;
  }
// compiled if node returning if2508 (depth = 2)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply2541(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elt = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2542 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2544 == NULL) {
    strlit2544 = alloc_String("");
    gc_root(strlit2544);
  }
// compiled string node returning strlit2544 (depth = 6)
  int op_slot_right_2543 = gc_frame_newslot(strlit2544);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_elt (depth = 7)
  int op_slot_right_2546 = gc_frame_newslot(*var_elt);
// starting to compile string node (depth = 7)
  if (strlit2548 == NULL) {
    strlit2548 = alloc_String("set does not contain ");
    gc_root(strlit2548);
  }
// compiled string node returning strlit2548 (depth = 7)
  int op_slot_left_2546 = gc_frame_newslot(strlit2548);
  params[0] = *var_elt;
  partcv[0] = 1;
  Object opresult2549 = callmethod(strlit2548, "++(1)", 1, partcv, params);
// compiled op node returning opresult2549 (depth = 6)
  int op_slot_left_2543 = gc_frame_newslot(opresult2549);
  params[0] = strlit2544;
  partcv[0] = 1;
  Object opresult2550 = callmethod(opresult2549, "++(1)", 1, partcv, params);
// compiled op node returning opresult2550 (depth = 5)
  gc_frame_newslot(opresult2550);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_NoSuchObject (depth = 5)
  params[0] = opresult2550;
  partcv[0] = 1;
  Object call2551 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2542);
// compiled call node returning call2551 (depth = 4)
  gc_frame_end(frame);
  return call2551;
}
Object meth_collectionsPrelude_remove_40_1_41_2538(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "remove(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method remove(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for remove(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part remove(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2539 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elt (depth = 3)
  gc_frame_newslot(*var_elt);
// starting to compile block node (depth = 3)
  Object block2540 = alloc_Block(NULL, NULL, "collectionsPrelude", 1277);
  gc_frame_newslot(block2540);
// method "_apply"
  block_savedest(block2540);
  Object closure2541 = createclosure(3, "_apply");
  setclosureframe(closure2541, stackframe);
  addtoclosure(closure2541, var_elt);
  addtoclosure(closure2541, var_NoSuchObject);
  addtoclosure(closure2541, selfslot);
  struct UserObject *uo2541 = (struct UserObject*)block2540;
  uo2541->data[0] = (Object)closure2541;
  Method *meth_meth_collectionsPrelude__apply2541 = addmethod2pos(block2540, "_apply", &meth_collectionsPrelude__apply2541, 0);
  int argcv_meth_collectionsPrelude__apply2541[] = {0};
  meth_meth_collectionsPrelude__apply2541->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2541);
  meth_meth_collectionsPrelude__apply2541->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2541->definitionLine = 1990;
// compiled block node returning block2540 (depth = 3)
  gc_frame_newslot(block2540);
// call case 4: self request
  params[0] = *var_elt;
  params[1] = block2540;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2553 = callmethodflags(self, "remove(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2539);
// compiled call node returning call2553 (depth = 2)
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_contains_40_1_41_2554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2555 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call2556 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2555);
// compiled call node returning call2556 (depth = 3)
  *var_t = call2556;
  if (call2556 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  int op_slot_right_2558 = gc_frame_newslot(*var_x);
// starting to compile call node (depth = 4)
  int callframe2560 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_t (depth = 5)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2561 = gc_frame_new();
// call case 4: self request
  Object call2562 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2561);
// compiled member node returning call2562 (depth = 5)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2563 = callmethodflags(call2562, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2560);
// compiled call node returning call2563 (depth = 4)
  int op_slot_left_2558 = gc_frame_newslot(call2563);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2564 = callmethod(call2563, "==(1)", 1, partcv, params);
// compiled op node returning opresult2564 (depth = 3)
  Object if2557 = done;
  if (istrue(opresult2564)) {
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool2565 = alloc_Boolean(1);
// compiled identifier node returning bool2565 (depth = 4)
  return bool2565;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2557 = undefined;
  } else {
  }
// compiled if node returning if2557 (depth = 2)
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2566 = alloc_Boolean(0);
// compiled identifier node returning bool2566 (depth = 3)
  return bool2566;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_2570(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_booleanBlock = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2572 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_booleanBlock (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2573 = callmethodflags(*var_booleanBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2572);
// compiled call node returning call2573 (depth = 5)
  Object if2571 = done;
  if (istrue(call2573)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2574 = alloc_Boolean(1);
// compiled identifier node returning bool2574 (depth = 6)
  block_return(realself, bool2574);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2571 = undefined;
  } else {
  }
// compiled if node returning if2571 (depth = 4)
  gc_frame_end(frame);
  return if2571;
}
Object meth_collectionsPrelude_includes_40_1_41_2567(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "includes(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method includes(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for includes(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_booleanBlock = &(stackframe->slots[0]);
  *var_booleanBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part includes(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2568 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2569 = alloc_Block(NULL, NULL, "collectionsPrelude", 1291);
  gc_frame_newslot(block2569);
// method "_apply(_)"
  block_savedest(block2569);
  Object closure2570 = createclosure(2, "_apply(1)");
  setclosureframe(closure2570, stackframe);
  addtoclosure(closure2570, var_booleanBlock);
  addtoclosure(closure2570, selfslot);
  struct UserObject *uo2570 = (struct UserObject*)block2569;
  uo2570->data[0] = (Object)closure2570;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2570 = addmethod2pos(block2569, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2570, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2570[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2570->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2570);
  meth_meth_collectionsPrelude__apply_40_1_41_2570->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2570->definitionLine = 1990;
// compiled block node returning block2569 (depth = 3)
  gc_frame_newslot(block2569);
// call case 4: self request
  params[0] = block2569;
  partcv[0] = 1;
  Object call2576 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2568);
// compiled call node returning call2576 (depth = 2)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2577 = alloc_Boolean(0);
// compiled identifier node returning bool2577 (depth = 3)
  return bool2577;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_2581(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_booleanBlock = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2583 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_booleanBlock (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2584 = callmethodflags(*var_booleanBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2583);
// compiled call node returning call2584 (depth = 5)
  Object if2582 = done;
  if (istrue(call2584)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  block_return(realself, *var_each);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2582 = undefined;
  } else {
  }
// compiled if node returning if2582 (depth = 4)
  gc_frame_end(frame);
  return if2582;
}
Object meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "find(1)ifNone(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method find(_)ifNone(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method find(_)ifNone(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for find(_)ifNone(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_booleanBlock = &(stackframe->slots[0]);
  *var_booleanBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part find(_)");
  Object *var_notFoundBlock = &(stackframe->slots[1]);
  *var_notFoundBlock = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifNone(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2579 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2580 = alloc_Block(NULL, NULL, "collectionsPrelude", 1297);
  gc_frame_newslot(block2580);
// method "_apply(_)"
  block_savedest(block2580);
  Object closure2581 = createclosure(2, "_apply(1)");
  setclosureframe(closure2581, stackframe);
  addtoclosure(closure2581, var_booleanBlock);
  addtoclosure(closure2581, selfslot);
  struct UserObject *uo2581 = (struct UserObject*)block2580;
  uo2581->data[0] = (Object)closure2581;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2581 = addmethod2pos(block2580, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2581, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2581[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2581->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2581);
  meth_meth_collectionsPrelude__apply_40_1_41_2581->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2581->definitionLine = 1990;
// compiled block node returning block2580 (depth = 3)
  gc_frame_newslot(block2580);
// call case 4: self request
  params[0] = block2580;
  partcv[0] = 1;
  Object call2586 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2579);
// compiled call node returning call2586 (depth = 2)
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2587 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_notFoundBlock (depth = 4)
  Object call2588 = callmethodflags(*var_notFoundBlock, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe2587);
// compiled member node returning call2588 (depth = 3)
  return call2588;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2602(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_unused = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2603 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2604 = gc_frame_new();
// call case 4: self request
  Object call2605 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2604);
// compiled member node returning call2605 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2606 = callmethodflags(call2605, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2603);
// compiled call node returning call2606 (depth = 5)
  *var_candidate = call2606;
  if (call2606 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  int op_slot_right_2608 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  int op_slot_left_2608 = gc_frame_newslot(*var_unused);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2610 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2610 (depth = 4)
  gc_frame_end(frame);
  return opresult2610;
}
Object meth_collectionsPrelude__apply2613(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_jump = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_2615 = gc_frame_newslot(*var_x);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_2615 = gc_frame_newslot(*var_candidate);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2617 = callmethod(*var_candidate, "==(1)", 1, partcv, params);
// compiled op node returning opresult2617 (depth = 5)
  Object if2614 = done;
  if (istrue(opresult2617)) {
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2614 = undefined;
  } else {
  }
// compiled if node returning if2614 (depth = 4)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2620 = alloc_Float64(0);
// compiled num node returning num2620 (depth = 6)
  int op_slot_right_2619 = gc_frame_newslot(num2620);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_2619 = gc_frame_newslot(*var_jump);
  params[0] = num2620;
  partcv[0] = 1;
  Object opresult2622 = callmethod(*var_jump, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2622 (depth = 5)
  Object if2618 = done;
  if (istrue(opresult2622)) {
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2623 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2626 = alloc_Float64(1);
// compiled num node returning num2626 (depth = 8)
  int op_slot_right_2625 = gc_frame_newslot(num2626);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2629 = alloc_Float64(3);
// compiled num node returning num2629 (depth = 9)
  int op_slot_right_2628 = gc_frame_newslot(num2629);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_2628 = gc_frame_newslot(*var_t);
  params[0] = num2629;
  partcv[0] = 1;
  Object prod2631 = callmethod(*var_t, "*(1)", 1, partcv, params);
// compiled op node returning prod2631 (depth = 8)
  int op_slot_left_2625 = gc_frame_newslot(prod2631);
  params[0] = num2626;
  partcv[0] = 1;
  Object sum2632 = callmethod(prod2631, "+(1)", 1, partcv, params);
// compiled op node returning sum2632 (depth = 7)
  int op_slot_left_2623 = gc_frame_newslot(sum2632);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2633 = callmethod(sum2632, "%(1)", 1, partcv, params);
// compiled op node returning modulus2633 (depth = 6)
  *var_t = modulus2633;
  if (modulus2633 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2636 = alloc_Float64(1);
// compiled num node returning num2636 (depth = 7)
  int op_slot_right_2635 = gc_frame_newslot(num2636);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_2635 = gc_frame_newslot(*var_jump);
  params[0] = num2636;
  partcv[0] = 1;
  Object diff2638 = callmethod(*var_jump, "-(1)", 1, partcv, params);
// compiled op node returning diff2638 (depth = 6)
  *var_jump = diff2638;
  if (diff2638 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2618 = done;
  } else {
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2640 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2643 = alloc_Float64(1);
// compiled num node returning num2643 (depth = 8)
  int op_slot_right_2642 = gc_frame_newslot(num2643);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_2642 = gc_frame_newslot(*var_t);
  params[0] = num2643;
  partcv[0] = 1;
  Object sum2645 = callmethod(*var_t, "+(1)", 1, partcv, params);
// compiled op node returning sum2645 (depth = 7)
  int op_slot_left_2640 = gc_frame_newslot(sum2645);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2646 = callmethod(sum2645, "%(1)", 1, partcv, params);
// compiled op node returning modulus2646 (depth = 6)
  *var_t = modulus2646;
  if (modulus2646 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2618 = done;
  }
// compiled if node returning if2618 (depth = 4)
  gc_frame_end(frame);
  return if2618;
}
Object meth_collectionsPrelude_findPosition_40_1_41_2589(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findPosition(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findPosition(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findPosition(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findPosition(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
  Object *var_candidate = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "candidate");
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2590 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  Object call2591 = callmethodflags(*var_x, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe2590);
// compiled member node returning call2591 (depth = 3)
  *var_h = call2591;
  if (call2591 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2592 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2593 = gc_frame_new();
// call case 4: self request
  Object call2594 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2593);
// compiled member node returning call2594 (depth = 4)
  Object call2595 = callmethodflags(call2594, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2592);
// compiled member node returning call2595 (depth = 3)
  *var_s = call2595;
  if (call2595 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_2596 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_2596 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2598 = callmethod(*var_h, "%(1)", 1, partcv, params);
// compiled op node returning modulus2598 (depth = 3)
  *var_t = modulus2598;
  if (modulus2598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2599 = alloc_Float64(5);
// compiled num node returning num2599 (depth = 3)
  *var_jump = num2599;
  if (num2599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2600 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2601 = alloc_Block(NULL, NULL, "collectionsPrelude", 1308);
  gc_frame_newslot(block2601);
// method "_apply"
  block_savedest(block2601);
  Object closure2602 = createclosure(4, "_apply");
  setclosureframe(closure2602, stackframe);
  addtoclosure(closure2602, var_t);
  addtoclosure(closure2602, var_candidate);
  addtoclosure(closure2602, var_unused);
  addtoclosure(closure2602, selfslot);
  struct UserObject *uo2602 = (struct UserObject*)block2601;
  uo2602->data[0] = (Object)closure2602;
  Method *meth_meth_collectionsPrelude__apply2602 = addmethod2pos(block2601, "_apply", &meth_collectionsPrelude__apply2602, 0);
  int argcv_meth_collectionsPrelude__apply2602[] = {0};
  meth_meth_collectionsPrelude__apply2602->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2602);
  meth_meth_collectionsPrelude__apply2602->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2602->definitionLine = 1990;
// compiled block node returning block2601 (depth = 3)
  gc_frame_newslot(block2601);
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2612 = alloc_Block(NULL, NULL, "collectionsPrelude", 1311);
  gc_frame_newslot(block2612);
// method "_apply"
  block_savedest(block2612);
  Object closure2613 = createclosure(6, "_apply");
  setclosureframe(closure2613, stackframe);
  addtoclosure(closure2613, var_x);
  addtoclosure(closure2613, var_candidate);
  addtoclosure(closure2613, var_t);
  addtoclosure(closure2613, var_jump);
  addtoclosure(closure2613, var_s);
  addtoclosure(closure2613, selfslot);
  struct UserObject *uo2613 = (struct UserObject*)block2612;
  uo2613->data[0] = (Object)closure2613;
  Method *meth_meth_collectionsPrelude__apply2613 = addmethod2pos(block2612, "_apply", &meth_collectionsPrelude__apply2613, 0);
  int argcv_meth_collectionsPrelude__apply2613[] = {0};
  meth_meth_collectionsPrelude__apply2613->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2613);
  meth_meth_collectionsPrelude__apply2613->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2613->definitionLine = 1990;
// compiled block node returning block2612 (depth = 3)
  gc_frame_newslot(block2612);
// call case 5: prelude request
  params[0] = block2601;
  params[1] = block2612;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2649 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2600);
// compiled call node returning call2649 (depth = 2)
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2663(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2664 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2665 = gc_frame_new();
// call case 4: self request
  Object call2666 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2665);
// compiled member node returning call2666 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2667 = callmethodflags(call2666, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2664);
// compiled call node returning call2667 (depth = 5)
  *var_candidate = call2667;
  if (call2667 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_right_2670 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  int op_slot_left_2670 = gc_frame_newslot(*var_removed);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2672 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2672 (depth = 5)
  int op_slot_right_2669 = gc_frame_newslot(opresult2672);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_right_2674 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_unused (depth = 6)
  int op_slot_left_2674 = gc_frame_newslot(*var_unused);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2676 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2676 (depth = 5)
  int op_slot_left_2669 = gc_frame_newslot(opresult2676);
  params[0] = opresult2672;
  partcv[0] = 1;
  Object opresult2677 = callmethod(opresult2676, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2677 (depth = 4)
  gc_frame_end(frame);
  return opresult2677;
}
Object meth_collectionsPrelude__apply2680(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_jump = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_2682 = gc_frame_newslot(*var_x);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_2682 = gc_frame_newslot(*var_candidate);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2684 = callmethod(*var_candidate, "==(1)", 1, partcv, params);
// compiled op node returning opresult2684 (depth = 5)
  Object if2681 = done;
  if (istrue(opresult2684)) {
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2681 = undefined;
  } else {
  }
// compiled if node returning if2681 (depth = 4)
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2687 = alloc_Float64(0);
// compiled num node returning num2687 (depth = 6)
  int op_slot_right_2686 = gc_frame_newslot(num2687);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_2686 = gc_frame_newslot(*var_jump);
  params[0] = num2687;
  partcv[0] = 1;
  Object opresult2689 = callmethod(*var_jump, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2689 (depth = 5)
  Object if2685 = done;
  if (istrue(opresult2689)) {
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2690 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2693 = alloc_Float64(1);
// compiled num node returning num2693 (depth = 8)
  int op_slot_right_2692 = gc_frame_newslot(num2693);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2696 = alloc_Float64(3);
// compiled num node returning num2696 (depth = 9)
  int op_slot_right_2695 = gc_frame_newslot(num2696);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_2695 = gc_frame_newslot(*var_t);
  params[0] = num2696;
  partcv[0] = 1;
  Object prod2698 = callmethod(*var_t, "*(1)", 1, partcv, params);
// compiled op node returning prod2698 (depth = 8)
  int op_slot_left_2692 = gc_frame_newslot(prod2698);
  params[0] = num2693;
  partcv[0] = 1;
  Object sum2699 = callmethod(prod2698, "+(1)", 1, partcv, params);
// compiled op node returning sum2699 (depth = 7)
  int op_slot_left_2690 = gc_frame_newslot(sum2699);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2700 = callmethod(sum2699, "%(1)", 1, partcv, params);
// compiled op node returning modulus2700 (depth = 6)
  *var_t = modulus2700;
  if (modulus2700 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2703 = alloc_Float64(1);
// compiled num node returning num2703 (depth = 7)
  int op_slot_right_2702 = gc_frame_newslot(num2703);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_2702 = gc_frame_newslot(*var_jump);
  params[0] = num2703;
  partcv[0] = 1;
  Object diff2705 = callmethod(*var_jump, "-(1)", 1, partcv, params);
// compiled op node returning diff2705 (depth = 6)
  *var_jump = diff2705;
  if (diff2705 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2685 = done;
  } else {
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2707 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2710 = alloc_Float64(1);
// compiled num node returning num2710 (depth = 8)
  int op_slot_right_2709 = gc_frame_newslot(num2710);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_2709 = gc_frame_newslot(*var_t);
  params[0] = num2710;
  partcv[0] = 1;
  Object sum2712 = callmethod(*var_t, "+(1)", 1, partcv, params);
// compiled op node returning sum2712 (depth = 7)
  int op_slot_left_2707 = gc_frame_newslot(sum2712);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2713 = callmethod(sum2712, "%(1)", 1, partcv, params);
// compiled op node returning modulus2713 (depth = 6)
  *var_t = modulus2713;
  if (modulus2713 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2685 = done;
  }
// compiled if node returning if2685 (depth = 4)
  gc_frame_end(frame);
  return if2685;
}
Object meth_collectionsPrelude_findPositionForAdd_40_1_41_2650(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findPositionForAdd(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findPositionForAdd(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findPositionForAdd(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findPositionForAdd(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
  Object *var_candidate = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "candidate");
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2651 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  Object call2652 = callmethodflags(*var_x, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe2651);
// compiled member node returning call2652 (depth = 3)
  *var_h = call2652;
  if (call2652 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2653 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2654 = gc_frame_new();
// call case 4: self request
  Object call2655 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2654);
// compiled member node returning call2655 (depth = 4)
  Object call2656 = callmethodflags(call2655, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2653);
// compiled member node returning call2656 (depth = 3)
  *var_s = call2656;
  if (call2656 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_2657 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_2657 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2659 = callmethod(*var_h, "%(1)", 1, partcv, params);
// compiled op node returning modulus2659 (depth = 3)
  *var_t = modulus2659;
  if (modulus2659 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2660 = alloc_Float64(5);
// compiled num node returning num2660 (depth = 3)
  *var_jump = num2660;
  if (num2660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2661 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2662 = alloc_Block(NULL, NULL, "collectionsPrelude", 1330);
  gc_frame_newslot(block2662);
// method "_apply"
  block_savedest(block2662);
  Object closure2663 = createclosure(5, "_apply");
  setclosureframe(closure2663, stackframe);
  addtoclosure(closure2663, var_t);
  addtoclosure(closure2663, var_candidate);
  addtoclosure(closure2663, var_removed);
  addtoclosure(closure2663, var_unused);
  addtoclosure(closure2663, selfslot);
  struct UserObject *uo2663 = (struct UserObject*)block2662;
  uo2663->data[0] = (Object)closure2663;
  Method *meth_meth_collectionsPrelude__apply2663 = addmethod2pos(block2662, "_apply", &meth_collectionsPrelude__apply2663, 0);
  int argcv_meth_collectionsPrelude__apply2663[] = {0};
  meth_meth_collectionsPrelude__apply2663->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2663);
  meth_meth_collectionsPrelude__apply2663->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2663->definitionLine = 1990;
// compiled block node returning block2662 (depth = 3)
  gc_frame_newslot(block2662);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2679 = alloc_Block(NULL, NULL, "collectionsPrelude", 1333);
  gc_frame_newslot(block2679);
// method "_apply"
  block_savedest(block2679);
  Object closure2680 = createclosure(6, "_apply");
  setclosureframe(closure2680, stackframe);
  addtoclosure(closure2680, var_x);
  addtoclosure(closure2680, var_candidate);
  addtoclosure(closure2680, var_t);
  addtoclosure(closure2680, var_jump);
  addtoclosure(closure2680, var_s);
  addtoclosure(closure2680, selfslot);
  struct UserObject *uo2680 = (struct UserObject*)block2679;
  uo2680->data[0] = (Object)closure2680;
  Method *meth_meth_collectionsPrelude__apply2680 = addmethod2pos(block2679, "_apply", &meth_collectionsPrelude__apply2680, 0);
  int argcv_meth_collectionsPrelude__apply2680[] = {0};
  meth_meth_collectionsPrelude__apply2680->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2680);
  meth_meth_collectionsPrelude__apply2680->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2680->definitionLine = 1990;
// compiled block node returning block2679 (depth = 3)
  gc_frame_newslot(block2679);
// call case 5: prelude request
  params[0] = block2662;
  params[1] = block2679;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2716 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2661);
// compiled call node returning call2716 (depth = 2)
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_2721(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2723 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call2724 = callmethodflags(*var_each, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe2723);
// compiled member node returning call2724 (depth = 6)
  int op_slot_right_2722 = gc_frame_newslot(call2724);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2722 = gc_frame_newslot(*var_s);
  params[0] = call2724;
  partcv[0] = 1;
  Object opresult2726 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2726 (depth = 5)
  *var_s = opresult2726;
  if (opresult2726 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply2730(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2732 == NULL) {
    strlit2732 = alloc_String(", ");
    gc_root(strlit2732);
  }
// compiled string node returning strlit2732 (depth = 6)
  int op_slot_right_2731 = gc_frame_newslot(strlit2732);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2731 = gc_frame_newslot(*var_s);
  params[0] = strlit2732;
  partcv[0] = 1;
  Object opresult2734 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2734 (depth = 5)
  *var_s = opresult2734;
  if (opresult2734 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_asString2717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2718 == NULL) {
    strlit2718 = alloc_String("set{");
    gc_root(strlit2718);
  }
// compiled string node returning strlit2718 (depth = 3)
  *var_s = strlit2718;
  if (strlit2718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1349
  setline(1349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2719 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2720 = alloc_Block(NULL, NULL, "collectionsPrelude", 1349);
  gc_frame_newslot(block2720);
// method "_apply(_)"
  block_savedest(block2720);
  Object closure2721 = createclosure(2, "_apply(1)");
  setclosureframe(closure2721, stackframe);
  addtoclosure(closure2721, var_s);
  addtoclosure(closure2721, selfslot);
  struct UserObject *uo2721 = (struct UserObject*)block2720;
  uo2721->data[0] = (Object)closure2721;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2721 = addmethod2pos(block2720, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2721, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2721[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2721->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2721);
  meth_meth_collectionsPrelude__apply_40_1_41_2721->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2721->definitionLine = 1990;
// compiled block node returning block2720 (depth = 3)
  gc_frame_newslot(block2720);
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2729 = alloc_Block(NULL, NULL, "collectionsPrelude", 1350);
  gc_frame_newslot(block2729);
// method "_apply"
  block_savedest(block2729);
  Object closure2730 = createclosure(2, "_apply");
  setclosureframe(closure2730, stackframe);
  addtoclosure(closure2730, var_s);
  addtoclosure(closure2730, selfslot);
  struct UserObject *uo2730 = (struct UserObject*)block2729;
  uo2730->data[0] = (Object)closure2730;
  Method *meth_meth_collectionsPrelude__apply2730 = addmethod2pos(block2729, "_apply", &meth_collectionsPrelude__apply2730, 0);
  int argcv_meth_collectionsPrelude__apply2730[] = {0};
  meth_meth_collectionsPrelude__apply2730->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2730);
  meth_meth_collectionsPrelude__apply2730->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2730->definitionLine = 1990;
// compiled block node returning block2729 (depth = 3)
  gc_frame_newslot(block2729);
// call case 4: self request
  params[0] = block2720;
  params[1] = block2729;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2737 = callmethodflags(self, "do(1)separatedBy(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2719);
// compiled call node returning call2737 (depth = 2)
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2739 == NULL) {
    strlit2739 = alloc_String("}");
    gc_root(strlit2739);
  }
// compiled string node returning strlit2739 (depth = 3)
  int op_slot_right_2738 = gc_frame_newslot(strlit2739);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_2738 = gc_frame_newslot(*var_s);
  params[0] = strlit2739;
  partcv[0] = 1;
  Object opresult2741 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2741 (depth = 2)
  gc_frame_end(frame);
  return opresult2741;
}
Object meth_collectionsPrelude__apply_40_1_41_2746(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2748 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call2749 = callmethodflags(*var_each, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe2748);
// compiled member node returning call2749 (depth = 6)
  int op_slot_right_2747 = gc_frame_newslot(call2749);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2747 = gc_frame_newslot(*var_s);
  params[0] = call2749;
  partcv[0] = 1;
  Object opresult2751 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2751 (depth = 5)
  *var_s = opresult2751;
  if (opresult2751 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply2755(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2757 == NULL) {
    strlit2757 = alloc_String(", ");
    gc_root(strlit2757);
  }
// compiled string node returning strlit2757 (depth = 6)
  int op_slot_right_2756 = gc_frame_newslot(strlit2757);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2756 = gc_frame_newslot(*var_s);
  params[0] = strlit2757;
  partcv[0] = 1;
  Object opresult2759 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2759 (depth = 5)
  *var_s = opresult2759;
  if (opresult2759 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_asDebugString2742(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2743 == NULL) {
    strlit2743 = alloc_String("set{");
    gc_root(strlit2743);
  }
// compiled string node returning strlit2743 (depth = 3)
  *var_s = strlit2743;
  if (strlit2743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2744 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2745 = alloc_Block(NULL, NULL, "collectionsPrelude", 1355);
  gc_frame_newslot(block2745);
// method "_apply(_)"
  block_savedest(block2745);
  Object closure2746 = createclosure(2, "_apply(1)");
  setclosureframe(closure2746, stackframe);
  addtoclosure(closure2746, var_s);
  addtoclosure(closure2746, selfslot);
  struct UserObject *uo2746 = (struct UserObject*)block2745;
  uo2746->data[0] = (Object)closure2746;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2746 = addmethod2pos(block2745, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2746, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2746[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2746);
  meth_meth_collectionsPrelude__apply_40_1_41_2746->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2746->definitionLine = 1990;
// compiled block node returning block2745 (depth = 3)
  gc_frame_newslot(block2745);
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2754 = alloc_Block(NULL, NULL, "collectionsPrelude", 1356);
  gc_frame_newslot(block2754);
// method "_apply"
  block_savedest(block2754);
  Object closure2755 = createclosure(2, "_apply");
  setclosureframe(closure2755, stackframe);
  addtoclosure(closure2755, var_s);
  addtoclosure(closure2755, selfslot);
  struct UserObject *uo2755 = (struct UserObject*)block2754;
  uo2755->data[0] = (Object)closure2755;
  Method *meth_meth_collectionsPrelude__apply2755 = addmethod2pos(block2754, "_apply", &meth_collectionsPrelude__apply2755, 0);
  int argcv_meth_collectionsPrelude__apply2755[] = {0};
  meth_meth_collectionsPrelude__apply2755->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2755);
  meth_meth_collectionsPrelude__apply2755->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2755->definitionLine = 1990;
// compiled block node returning block2754 (depth = 3)
  gc_frame_newslot(block2754);
// call case 4: self request
  params[0] = block2745;
  params[1] = block2754;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2762 = callmethodflags(self, "do(1)separatedBy(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2744);
// compiled call node returning call2762 (depth = 2)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2764 == NULL) {
    strlit2764 = alloc_String("}");
    gc_root(strlit2764);
  }
// compiled string node returning strlit2764 (depth = 3)
  int op_slot_right_2763 = gc_frame_newslot(strlit2764);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_2763 = gc_frame_newslot(*var_s);
  params[0] = strlit2764;
  partcv[0] = 1;
  Object opresult2766 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2766 (depth = 2)
  gc_frame_end(frame);
  return opresult2766;
}
Object meth_collectionsPrelude__apply_40_1_41_2770(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2771 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2772 = callmethodflags(self, "add(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2771);
// compiled call node returning call2772 (depth = 4)
  gc_frame_end(frame);
  return call2772;
}
Object meth_collectionsPrelude_extend_40_1_41_2767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2768 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block2769 = alloc_Block(NULL, NULL, "collectionsPrelude", 1360);
  gc_frame_newslot(block2769);
// method "_apply(_)"
  block_savedest(block2769);
  Object closure2770 = createclosure(1, "_apply(1)");
  setclosureframe(closure2770, stackframe);
  addtoclosure(closure2770, selfslot);
  struct UserObject *uo2770 = (struct UserObject*)block2769;
  uo2770->data[0] = (Object)closure2770;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2770 = addmethod2pos(block2769, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2770, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2770[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2770->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2770);
  meth_meth_collectionsPrelude__apply_40_1_41_2770->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2770->definitionLine = 1990;
// compiled block node returning block2769 (depth = 3)
  gc_frame_newslot(block2769);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block2769;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2774 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2768);
// compiled call node returning call2774 (depth = 2)
  gc_frame_end(frame);
  return call2774;
}
Object meth_collectionsPrelude__apply2780(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_found = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2782 = gc_frame_new();
// call case 4: self request
  Object call2783 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2782);
// compiled member node returning call2783 (depth = 5)
  int op_slot_right_2781 = gc_frame_newslot(call2783);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_found (depth = 5)
  int op_slot_left_2781 = gc_frame_newslot(*var_found);
  params[0] = call2783;
  partcv[0] = 1;
  Object opresult2785 = callmethod(*var_found, "<(1)", 1, partcv, params);
// compiled op node returning opresult2785 (depth = 4)
  gc_frame_end(frame);
  return opresult2785;
}
Object meth_collectionsPrelude__apply2788(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object *var_found = getfromclosure(closure, 4);
  Object *var_block1 = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2789 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2790 = gc_frame_new();
// call case 4: self request
  Object call2791 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2790);
// compiled member node returning call2791 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2792 = callmethodflags(call2791, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2789);
// compiled call node returning call2792 (depth = 5)
  *var_candidate = call2792;
  if (call2792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_candidate (depth = 7)
  int op_slot_right_2796 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_2796 = gc_frame_newslot(*var_removed);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2798 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2798 (depth = 6)
  int op_slot_right_2795 = gc_frame_newslot(opresult2798);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_candidate (depth = 7)
  int op_slot_right_2800 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_2800 = gc_frame_newslot(*var_unused);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2802 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2802 (depth = 6)
  int op_slot_left_2795 = gc_frame_newslot(opresult2802);
  params[0] = opresult2798;
  partcv[0] = 1;
  Object opresult2803 = callmethod(opresult2802, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2803 (depth = 5)
  Object if2794 = done;
  if (istrue(opresult2803)) {
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2805 = alloc_Float64(1);
// compiled num node returning num2805 (depth = 7)
  int op_slot_right_2804 = gc_frame_newslot(num2805);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_found (depth = 7)
  int op_slot_left_2804 = gc_frame_newslot(*var_found);
  params[0] = num2805;
  partcv[0] = 1;
  Object sum2807 = callmethod(*var_found, "+(1)", 1, partcv, params);
// compiled op node returning sum2807 (depth = 6)
  *var_found = sum2807;
  if (sum2807 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2809 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  gc_frame_newslot(*var_candidate);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object call2810 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2809);
// compiled call node returning call2810 (depth = 5)
    gc_frame_newslot(call2810);
    if2794 = call2810;
  } else {
  }
// compiled if node returning if2794 (depth = 4)
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2812 = alloc_Float64(1);
// compiled num node returning num2812 (depth = 6)
  int op_slot_right_2811 = gc_frame_newslot(num2812);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_2811 = gc_frame_newslot(*var_i);
  params[0] = num2812;
  partcv[0] = 1;
  Object sum2814 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum2814 (depth = 5)
  *var_i = sum2814;
  if (sum2814 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_2775(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
  Object *var_found = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "found");
  Object *var_candidate = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "candidate");
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2776 = alloc_Float64(0);
// compiled num node returning num2776 (depth = 3)
  *var_i = num2776;
  if (num2776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2777 = alloc_Float64(0);
// compiled num node returning num2777 (depth = 3)
  *var_found = num2777;
  if (num2777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2778 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2779 = alloc_Block(NULL, NULL, "collectionsPrelude", 1368);
  gc_frame_newslot(block2779);
// method "_apply"
  block_savedest(block2779);
  Object closure2780 = createclosure(2, "_apply");
  setclosureframe(closure2780, stackframe);
  addtoclosure(closure2780, var_found);
  addtoclosure(closure2780, selfslot);
  struct UserObject *uo2780 = (struct UserObject*)block2779;
  uo2780->data[0] = (Object)closure2780;
  Method *meth_meth_collectionsPrelude__apply2780 = addmethod2pos(block2779, "_apply", &meth_collectionsPrelude__apply2780, 0);
  int argcv_meth_collectionsPrelude__apply2780[] = {0};
  meth_meth_collectionsPrelude__apply2780->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2780);
  meth_meth_collectionsPrelude__apply2780->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2780->definitionLine = 1990;
// compiled block node returning block2779 (depth = 3)
  gc_frame_newslot(block2779);
// starting to compile block node (depth = 3)
  Object block2787 = alloc_Block(NULL, NULL, "collectionsPrelude", 1368);
  gc_frame_newslot(block2787);
// method "_apply"
  block_savedest(block2787);
  Object closure2788 = createclosure(7, "_apply");
  setclosureframe(closure2788, stackframe);
  addtoclosure(closure2788, var_i);
  addtoclosure(closure2788, var_candidate);
  addtoclosure(closure2788, var_removed);
  addtoclosure(closure2788, var_unused);
  addtoclosure(closure2788, var_found);
  addtoclosure(closure2788, var_block1);
  addtoclosure(closure2788, selfslot);
  struct UserObject *uo2788 = (struct UserObject*)block2787;
  uo2788->data[0] = (Object)closure2788;
  Method *meth_meth_collectionsPrelude__apply2788 = addmethod2pos(block2787, "_apply", &meth_collectionsPrelude__apply2788, 0);
  int argcv_meth_collectionsPrelude__apply2788[] = {0};
  meth_meth_collectionsPrelude__apply2788->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2788);
  meth_meth_collectionsPrelude__apply2788->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2788->definitionLine = 1990;
// compiled block node returning block2787 (depth = 3)
  gc_frame_newslot(block2787);
// call case 5: prelude request
  params[0] = block2779;
  params[1] = block2787;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2817 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2778);
// compiled call node returning call2817 (depth = 2)
  gc_frame_end(frame);
  return call2817;
}
Object meth_collectionsPrelude_hasNext2824(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2826 = gc_frame_new();
// call case 4: self request
  Object call2827 = callmethodflags(self, "count", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2826);
// compiled member node returning call2827 (depth = 3)
  int op_slot_right_2825 = gc_frame_newslot(call2827);
// starting to compile member node (depth = 3)
  int callframe2829 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2830 = gc_frame_new();
// call case 3: self.outer request
  Object call2831 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2830);
// compiled member node returning call2831 (depth = 4)
  Object call2832 = callmethodflags(call2831, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2829);
// compiled member node returning call2832 (depth = 3)
  int op_slot_left_2825 = gc_frame_newslot(call2832);
  params[0] = call2827;
  partcv[0] = 1;
  Object opresult2833 = callmethod(call2832, "≥(1)", 1, partcv, params);
// compiled op node returning opresult2833 (depth = 2)
  gc_frame_end(frame);
  return opresult2833;
}
Object meth_collectionsPrelude__apply2843(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_innerSize = getfromclosure(closure, 1);
  Object *var_IteratorExhausted = getfromclosure(closure, 2);
  Object *var_candidate = getfromclosure(closure, 3);
  Object *var_removed = getfromclosure(closure, 4);
  Object *var_unused = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe2844 = gc_frame_new();
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2846 = alloc_Float64(1);
// compiled num node returning num2846 (depth = 6)
  int op_slot_right_2845 = gc_frame_newslot(num2846);
// starting to compile member node (depth = 6)
  int callframe2848 = gc_frame_new();
// call case 4: self request
  Object call2849 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2848);
// compiled member node returning call2849 (depth = 6)
  int op_slot_left_2845 = gc_frame_newslot(call2849);
  params[0] = num2846;
  partcv[0] = 1;
  Object sum2850 = callmethod(call2849, "+(1)", 1, partcv, params);
// compiled op node returning sum2850 (depth = 5)
  gc_frame_newslot(sum2850);
// call case 4: self request
  params[0] = sum2850;
  partcv[0] = 1;
  Object call2851 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2844);
// compiled call node returning call2851 (depth = 4)
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2854 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2855 = gc_frame_new();
// call case 3: self.outer request
  Object call2856 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2855);
// compiled member node returning call2856 (depth = 7)
  Object call2857 = callmethodflags(call2856, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2854);
// compiled member node returning call2857 (depth = 6)
  int op_slot_right_2853 = gc_frame_newslot(call2857);
// starting to compile member node (depth = 6)
  int callframe2859 = gc_frame_new();
// call case 4: self request
  Object call2860 = callmethodflags(self, "imods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2859);
// compiled member node returning call2860 (depth = 6)
  int op_slot_left_2853 = gc_frame_newslot(call2860);
  params[0] = call2857;
  partcv[0] = 1;
  Object opresult2861 = callmethod(call2860, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2861 (depth = 5)
  Object if2852 = done;
  if (istrue(opresult2861)) {
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2862 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2863 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2864 = gc_frame_new();
// call case 3: self.outer request
  Object call2865 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2864);
// compiled member node returning call2865 (depth = 7)
  Object call2866 = callmethodflags(call2865, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2863);
// compiled member node returning call2866 (depth = 6)
  gc_frame_newslot(call2866);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ConcurrentModification (depth = 6)
  params[0] = call2866;
  partcv[0] = 1;
  Object call2867 = callmethodflags(*var_ConcurrentModification, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2862);
// compiled call node returning call2867 (depth = 5)
    gc_frame_newslot(call2867);
    if2852 = call2867;
  } else {
  }
// compiled if node returning if2852 (depth = 4)
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_innerSize (depth = 6)
  int op_slot_right_2869 = gc_frame_newslot(*var_innerSize);
// starting to compile member node (depth = 6)
  int callframe2871 = gc_frame_new();
// call case 4: self request
  Object call2872 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2871);
// compiled member node returning call2872 (depth = 6)
  int op_slot_left_2869 = gc_frame_newslot(call2872);
  params[0] = *var_innerSize;
  partcv[0] = 1;
  Object opresult2873 = callmethod(call2872, "≥(1)", 1, partcv, params);
// compiled op node returning opresult2873 (depth = 5)
  Object if2868 = done;
  if (istrue(opresult2873)) {
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2874 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2876 == NULL) {
    strlit2876 = alloc_String("");
    gc_root(strlit2876);
  }
// compiled string node returning strlit2876 (depth = 7)
  int op_slot_right_2875 = gc_frame_newslot(strlit2876);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2879 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2880 = gc_frame_new();
// call case 3: self.outer request
  Object call2881 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2880);
// compiled member node returning call2881 (depth = 9)
  Object call2882 = callmethodflags(call2881, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2879);
// compiled member node returning call2882 (depth = 8)
  int op_slot_right_2878 = gc_frame_newslot(call2882);
// starting to compile string node (depth = 8)
  if (strlit2884 == NULL) {
    strlit2884 = alloc_String("iterator over ");
    gc_root(strlit2884);
  }
// compiled string node returning strlit2884 (depth = 8)
  int op_slot_left_2878 = gc_frame_newslot(strlit2884);
  params[0] = call2882;
  partcv[0] = 1;
  Object opresult2885 = callmethod(strlit2884, "++(1)", 1, partcv, params);
// compiled op node returning opresult2885 (depth = 7)
  int op_slot_left_2875 = gc_frame_newslot(opresult2885);
  params[0] = strlit2876;
  partcv[0] = 1;
  Object opresult2886 = callmethod(opresult2885, "++(1)", 1, partcv, params);
// compiled op node returning opresult2886 (depth = 6)
  gc_frame_newslot(opresult2886);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_IteratorExhausted (depth = 6)
  params[0] = opresult2886;
  partcv[0] = 1;
  Object call2887 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2874);
// compiled call node returning call2887 (depth = 5)
    gc_frame_newslot(call2887);
    if2868 = call2887;
  } else {
  }
// compiled if node returning if2868 (depth = 4)
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2888 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2889 = gc_frame_new();
// call case 4: self request
  Object call2890 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2889);
// compiled member node returning call2890 (depth = 6)
  gc_frame_newslot(call2890);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2891 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2892 = gc_frame_new();
// call case 3: self.outer request
  Object call2893 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2892);
// compiled member node returning call2893 (depth = 7)
  Object call2894 = callmethodflags(call2893, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2891);
// compiled member node returning call2894 (depth = 6)
  params[0] = call2890;
  partcv[0] = 1;
  Object call2895 = callmethodflags(call2894, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2888);
// compiled call node returning call2895 (depth = 5)
  *var_candidate = call2895;
  if (call2895 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_right_2898 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  int op_slot_left_2898 = gc_frame_newslot(*var_removed);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2900 = callmethod(*var_removed, "==(1)", 1, partcv, params);
// compiled op node returning opresult2900 (depth = 5)
  int op_slot_right_2897 = gc_frame_newslot(opresult2900);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_right_2902 = gc_frame_newslot(*var_candidate);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_unused (depth = 6)
  int op_slot_left_2902 = gc_frame_newslot(*var_unused);
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object opresult2904 = callmethod(*var_unused, "==(1)", 1, partcv, params);
// compiled op node returning opresult2904 (depth = 5)
  int op_slot_left_2897 = gc_frame_newslot(opresult2904);
  params[0] = opresult2900;
  partcv[0] = 1;
  Object opresult2905 = callmethod(opresult2904, "||(1)", 1, partcv, params);
// compiled op node returning opresult2905 (depth = 4)
  gc_frame_end(frame);
  return opresult2905;
}
Object meth_collectionsPrelude__apply2908(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_next2834(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_candidate = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "candidate");
  Object *var_innerSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "innerSize");
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2835 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2836 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2837 = gc_frame_new();
// call case 3: self.outer request
  Object call2838 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2837);
// compiled member node returning call2838 (depth = 5)
  Object call2839 = callmethodflags(call2838, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2836);
// compiled member node returning call2839 (depth = 4)
  Object call2840 = callmethodflags(call2839, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2835);
// compiled member node returning call2840 (depth = 3)
  *var_innerSize = call2840;
  if (call2840 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2841 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2842 = alloc_Block(NULL, NULL, "collectionsPrelude", 1386);
  gc_frame_newslot(block2842);
// method "_apply"
  block_savedest(block2842);
  Object closure2843 = createclosure(7, "_apply");
  setclosureframe(closure2843, stackframe);
  addtoclosure(closure2843, var_ConcurrentModification);
  addtoclosure(closure2843, var_innerSize);
  addtoclosure(closure2843, var_IteratorExhausted);
  addtoclosure(closure2843, var_candidate);
  addtoclosure(closure2843, var_removed);
  addtoclosure(closure2843, var_unused);
  addtoclosure(closure2843, selfslot);
  struct UserObject *uo2843 = (struct UserObject*)block2842;
  uo2843->data[0] = (Object)closure2843;
  Method *meth_meth_collectionsPrelude__apply2843 = addmethod2pos(block2842, "_apply", &meth_collectionsPrelude__apply2843, 0);
  int argcv_meth_collectionsPrelude__apply2843[] = {0};
  meth_meth_collectionsPrelude__apply2843->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2843);
  meth_meth_collectionsPrelude__apply2843->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2843->definitionLine = 1990;
// compiled block node returning block2842 (depth = 3)
  gc_frame_newslot(block2842);
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2907 = alloc_Block(NULL, NULL, "collectionsPrelude", 1396);
  gc_frame_newslot(block2907);
// method "_apply"
  block_savedest(block2907);
  Object closure2908 = createclosure(1, "_apply");
  setclosureframe(closure2908, stackframe);
  addtoclosure(closure2908, selfslot);
  struct UserObject *uo2908 = (struct UserObject*)block2907;
  uo2908->data[0] = (Object)closure2908;
  Method *meth_meth_collectionsPrelude__apply2908 = addmethod2pos(block2907, "_apply", &meth_collectionsPrelude__apply2908, 0);
  int argcv_meth_collectionsPrelude__apply2908[] = {0};
  meth_meth_collectionsPrelude__apply2908->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2908);
  meth_meth_collectionsPrelude__apply2908->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2908->definitionLine = 1990;
// compiled block node returning block2907 (depth = 3)
  gc_frame_newslot(block2907);
// call case 5: prelude request
  params[0] = block2842;
  params[1] = block2907;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2910 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2841);
// compiled call node returning call2910 (depth = 2)
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2911 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2913 = alloc_Float64(1);
// compiled num node returning num2913 (depth = 4)
  int op_slot_right_2912 = gc_frame_newslot(num2913);
// starting to compile member node (depth = 4)
  int callframe2915 = gc_frame_new();
// call case 4: self request
  Object call2916 = callmethodflags(self, "count", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2915);
// compiled member node returning call2916 (depth = 4)
  int op_slot_left_2912 = gc_frame_newslot(call2916);
  params[0] = num2913;
  partcv[0] = 1;
  Object sum2917 = callmethod(call2916, "+(1)", 1, partcv, params);
// compiled op node returning sum2917 (depth = 3)
  gc_frame_newslot(sum2917);
// call case 4: self request
  params[0] = sum2917;
  partcv[0] = 1;
  Object call2918 = callmethodflags(self, "count:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2911);
// compiled call node returning call2918 (depth = 2)
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_candidate (depth = 2)
  gc_frame_end(frame);
  return *var_candidate;
}
Object meth_collectionsPrelude_iterator2818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2819 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2819 = alloc_userobj2(8,6, objclass2819);
  gc_frame_newslot(obj2819);
if (objclass2819 == NULL) {
  glfree(obj2819->class->name);
  obj2819->class->name = "set.ofCapacity(_).object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2819, self, 0);
  addmethodreal(obj2819,"outer", &reader_collectionsPrelude_outer_2820);
  Object oldself2819 = self;
  struct StackFrameObject *oldstackframe2819 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2819);
  gc_frame_newslot((Object)stackframe);
  self = obj2819;
  Object *oldselfslot2819 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2819 = (*(struct UserObject *)self).data[0], lowerouter2819 = thisouter2819;
  if (inheritingObject2819) {
    struct UserObject *inho2819 = (struct UserObject *)inheritingObject2819;
    while (inho2819->super != GraceDefaultObject) inho2819 = (struct UserObject *)inho2819->super;
    inho2819->super = obj2819;
    self = inheritingObject2819;
    *selfslot = self;
    lowerouter2819 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2819;
  }
if (objclass2819 == NULL) {
  Method *reader2821 = addmethodrealflags(obj2819, "imods", &reader_collectionsPrelude_imods_2821, MFLAG_CONFIDENTIAL);
  Method *writer2821 = addmethodrealflags(obj2819, "imods:=(1)", &writer_collectionsPrelude_imods_2821, MFLAG_CONFIDENTIAL);
  reader2821->definitionModule = modulename;
  writer2821->definitionModule = modulename;
  reader2821->definitionLine = 1379;
  writer2821->definitionLine = 1379;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 1);
if (objclass2819 == NULL) {
  Method *reader2822 = addmethodrealflags(obj2819, "count", &reader_collectionsPrelude_count_2822, MFLAG_CONFIDENTIAL);
  Method *writer2822 = addmethodrealflags(obj2819, "count:=(1)", &writer_collectionsPrelude_count_2822, MFLAG_CONFIDENTIAL);
  reader2822->definitionModule = modulename;
  writer2822->definitionModule = modulename;
  reader2822->definitionLine = 1380;
  writer2822->definitionLine = 1380;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 2);
if (objclass2819 == NULL) {
  Method *reader2823 = addmethodrealflags(obj2819, "idx", &reader_collectionsPrelude_idx_2823, MFLAG_CONFIDENTIAL);
  Method *writer2823 = addmethodrealflags(obj2819, "idx:=(1)", &writer_collectionsPrelude_idx_2823, MFLAG_CONFIDENTIAL);
  reader2823->definitionModule = modulename;
  writer2823->definitionModule = modulename;
  reader2823->definitionLine = 1381;
  writer2823->definitionLine = 1381;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 3);
// method "hasNext"
  struct UserObject *uo2824 = (struct UserObject*)obj2819;
  uo2824->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2824 = addmethod2pos(obj2819, "hasNext", &meth_collectionsPrelude_hasNext2824, 4);
  int argcv_meth_collectionsPrelude_hasNext2824[] = {0};
  meth_meth_collectionsPrelude_hasNext2824->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2824);
  meth_meth_collectionsPrelude_hasNext2824->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2824->definitionLine = 1382;
// method "next"
  block_savedest(obj2819);
  Object closure2834 = createclosure(4, "next");
  setclosureframe(closure2834, stackframe);
  addtoclosure(closure2834, var_ConcurrentModification);
  addtoclosure(closure2834, var_IteratorExhausted);
  addtoclosure(closure2834, var_removed);
  addtoclosure(closure2834, var_unused);
  struct UserObject *uo2834 = (struct UserObject*)obj2819;
  uo2834->data[5] = (Object)closure2834;
  Method *meth_meth_collectionsPrelude_next2834 = addmethod2pos(obj2819, "next", &meth_collectionsPrelude_next2834, 5);
  int argcv_meth_collectionsPrelude_next2834[] = {0};
  meth_meth_collectionsPrelude_next2834->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2834);
  meth_meth_collectionsPrelude_next2834->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2834->definitionLine = 1383;
  sourceObject = obj2819;
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2919 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2920 = gc_frame_new();
// call case 3: self.outer request
  Object call2921 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2920);
// compiled member node returning call2921 (depth = 3)
  Object call2922 = callmethodflags(call2921, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2919);
// compiled member node returning call2922 (depth = 2)
  adddatum2(obj2819, call2922, 1);
  sourceObject = obj2819;
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2923 = alloc_Float64(1);
// compiled num node returning num2923 (depth = 2)
  adddatum2(obj2819, num2923, 2);
  sourceObject = obj2819;
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2924 = gc_frame_new();
// call case 6: other requests
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num2925 = alloc_Float64(1);
// compiled num node returning num2925 (depth = 3)
  partcv[0] = 0;
  Object call2926 = callmethodflags(num2925, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe2924);
// compiled call node returning call2926 (depth = 2)
  adddatum2(obj2819, call2926, 3);
  sourceObject = obj2819;
  sourceObject = obj2819;
  objclass2819 = obj2819->class;
  objclass2819->definitionModule = modulename;
  objclass2819->definitionLine = 1378;
  (*(struct UserObject *)self).data[0] = lowerouter2819;
  self = oldself2819;
  selfslot = oldselfslot2819;
  stackframe = oldstackframe2819;
  gc_frame_end(frame);
  return obj2819;
}
Object meth_collectionsPrelude_iterator2818_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2819 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2819 = alloc_userobj2(8,6, objclass2819);
  gc_frame_newslot(obj2819);
if (objclass2819 == NULL) {
  glfree(obj2819->class->name);
  obj2819->class->name = "set.ofCapacity(_).object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2819, self, 0);
  addmethodreal(obj2819,"outer", &reader_collectionsPrelude_outer_2820);
  Object oldself2819 = self;
  struct StackFrameObject *oldstackframe2819 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2819);
  gc_frame_newslot((Object)stackframe);
  self = obj2819;
  Object *oldselfslot2819 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2819 = (*(struct UserObject *)self).data[0], lowerouter2819 = thisouter2819;
  if (inheritingObject2819) {
    struct UserObject *inho2819 = (struct UserObject *)inheritingObject2819;
    while (inho2819->super != GraceDefaultObject) inho2819 = (struct UserObject *)inho2819->super;
    inho2819->super = obj2819;
    self = inheritingObject2819;
    *selfslot = self;
    lowerouter2819 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2819;
  }
if (objclass2819 == NULL) {
  Method *reader2821 = addmethodrealflags(obj2819, "imods", &reader_collectionsPrelude_imods_2821, MFLAG_CONFIDENTIAL);
  Method *writer2821 = addmethodrealflags(obj2819, "imods:=(1)", &writer_collectionsPrelude_imods_2821, MFLAG_CONFIDENTIAL);
  reader2821->definitionModule = modulename;
  writer2821->definitionModule = modulename;
  reader2821->definitionLine = 1379;
  writer2821->definitionLine = 1379;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 1);
if (objclass2819 == NULL) {
  Method *reader2822 = addmethodrealflags(obj2819, "count", &reader_collectionsPrelude_count_2822, MFLAG_CONFIDENTIAL);
  Method *writer2822 = addmethodrealflags(obj2819, "count:=(1)", &writer_collectionsPrelude_count_2822, MFLAG_CONFIDENTIAL);
  reader2822->definitionModule = modulename;
  writer2822->definitionModule = modulename;
  reader2822->definitionLine = 1380;
  writer2822->definitionLine = 1380;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 2);
if (objclass2819 == NULL) {
  Method *reader2823 = addmethodrealflags(obj2819, "idx", &reader_collectionsPrelude_idx_2823, MFLAG_CONFIDENTIAL);
  Method *writer2823 = addmethodrealflags(obj2819, "idx:=(1)", &writer_collectionsPrelude_idx_2823, MFLAG_CONFIDENTIAL);
  reader2823->definitionModule = modulename;
  writer2823->definitionModule = modulename;
  reader2823->definitionLine = 1381;
  writer2823->definitionLine = 1381;
}
obj2819->flags |= OFLAG_MUTABLE;
adddatum2(obj2819, alloc_Undefined(), 3);
// method "hasNext"
  struct UserObject *uo2824 = (struct UserObject*)obj2819;
  uo2824->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2824 = addmethod2pos(obj2819, "hasNext", &meth_collectionsPrelude_hasNext2824, 4);
  int argcv_meth_collectionsPrelude_hasNext2824[] = {0};
  meth_meth_collectionsPrelude_hasNext2824->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2824);
  meth_meth_collectionsPrelude_hasNext2824->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2824->definitionLine = 1382;
// method "next"
  block_savedest(obj2819);
  Object closure2834 = createclosure(4, "next");
  setclosureframe(closure2834, stackframe);
  addtoclosure(closure2834, var_ConcurrentModification);
  addtoclosure(closure2834, var_IteratorExhausted);
  addtoclosure(closure2834, var_removed);
  addtoclosure(closure2834, var_unused);
  struct UserObject *uo2834 = (struct UserObject*)obj2819;
  uo2834->data[5] = (Object)closure2834;
  Method *meth_meth_collectionsPrelude_next2834 = addmethod2pos(obj2819, "next", &meth_collectionsPrelude_next2834, 5);
  int argcv_meth_collectionsPrelude_next2834[] = {0};
  meth_meth_collectionsPrelude_next2834->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2834);
  meth_meth_collectionsPrelude_next2834->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2834->definitionLine = 1383;
  sourceObject = obj2819;
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2919 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2920 = gc_frame_new();
// call case 3: self.outer request
  Object call2921 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2920);
// compiled member node returning call2921 (depth = 3)
  Object call2922 = callmethodflags(call2921, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2919);
// compiled member node returning call2922 (depth = 2)
  adddatum2(obj2819, call2922, 1);
  sourceObject = obj2819;
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2923 = alloc_Float64(1);
// compiled num node returning num2923 (depth = 2)
  adddatum2(obj2819, num2923, 2);
  sourceObject = obj2819;
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2924 = gc_frame_new();
// call case 6: other requests
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num2925 = alloc_Float64(1);
// compiled num node returning num2925 (depth = 3)
  partcv[0] = 0;
  Object call2926 = callmethodflags(num2925, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe2924);
// compiled call node returning call2926 (depth = 2)
  adddatum2(obj2819, call2926, 3);
  sourceObject = obj2819;
  sourceObject = obj2819;
  objclass2819 = obj2819->class;
  objclass2819->definitionModule = modulename;
  objclass2819->definitionLine = 1378;
  (*(struct UserObject *)self).data[0] = lowerouter2819;
  self = oldself2819;
  selfslot = oldselfslot2819;
  stackframe = oldstackframe2819;
  gc_frame_end(frame);
  return obj2819;
}
Object meth_collectionsPrelude__apply_40_1_41_2962(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2963 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  gc_frame_newslot(*var_unused);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2964 = gc_frame_new();
// call case 4: self request
  Object call2965 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2964);
// compiled member node returning call2965 (depth = 5)
  params[0] = *var_i;
  params[1] = *var_unused;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2966 = callmethodflags(call2965, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2963);
// compiled call node returning call2966 (depth = 4)
  gc_frame_end(frame);
  return call2966;
}
Object meth_collectionsPrelude__apply_40_1_41_2981(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_oldInner = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var_unused = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2985 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_oldInner (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2986 = callmethodflags(*var_oldInner, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2985);
// compiled call node returning call2986 (depth = 7)
  int op_slot_right_2984 = gc_frame_newslot(call2986);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_2984 = gc_frame_newslot(*var_removed);
  params[0] = call2986;
  partcv[0] = 1;
  Object opresult2988 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2988 (depth = 6)
  int op_slot_right_2983 = gc_frame_newslot(opresult2988);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2991 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_oldInner (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2992 = callmethodflags(*var_oldInner, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2991);
// compiled call node returning call2992 (depth = 7)
  int op_slot_right_2990 = gc_frame_newslot(call2992);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_2990 = gc_frame_newslot(*var_unused);
  params[0] = call2992;
  partcv[0] = 1;
  Object opresult2994 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2994 (depth = 6)
  int op_slot_left_2983 = gc_frame_newslot(opresult2994);
  params[0] = opresult2988;
  partcv[0] = 1;
  Object opresult2995 = callmethod(opresult2994, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2995 (depth = 5)
  Object if2982 = done;
  if (istrue(opresult2995)) {
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2996 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe2997 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_oldInner (depth = 7)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2998 = callmethodflags(*var_oldInner, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2997);
// compiled call node returning call2998 (depth = 6)
  gc_frame_newslot(call2998);
// call case 4: self request
  params[0] = call2998;
  partcv[0] = 1;
  Object call2999 = callmethodflags(self, "add(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2996);
// compiled call node returning call2999 (depth = 5)
    gc_frame_newslot(call2999);
    if2982 = call2999;
  } else {
  }
// compiled if node returning if2982 (depth = 4)
  gc_frame_end(frame);
  return if2982;
}
Object meth_collectionsPrelude_expand2928(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expand");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_c = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "c");
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_oldInner = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldInner");
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2929 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2930 = gc_frame_new();
// call case 4: self request
  Object call2931 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2930);
// compiled member node returning call2931 (depth = 4)
  Object call2932 = callmethodflags(call2931, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2929);
// compiled member node returning call2932 (depth = 3)
  *var_c = call2932;
  if (call2932 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2934 = alloc_Float64(2);
// compiled num node returning num2934 (depth = 4)
  int op_slot_right_2933 = gc_frame_newslot(num2934);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2933 = gc_frame_newslot(*var_c);
  params[0] = num2934;
  partcv[0] = 1;
  Object prod2936 = callmethod(*var_c, "*(1)", 1, partcv, params);
// compiled op node returning prod2936 (depth = 3)
  *var_n = prod2936;
  if (prod2936 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2937 = gc_frame_new();
// call case 4: self request
  Object call2938 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2937);
// compiled member node returning call2938 (depth = 3)
  *var_oldInner = call2938;
  if (call2938 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2939 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2940 = alloc_Float64(0);
// compiled num node returning num2940 (depth = 3)
  gc_frame_newslot(num2940);
// call case 4: self request
  params[0] = num2940;
  partcv[0] = 1;
  Object call2941 = callmethodflags(self, "size:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2939);
// compiled call node returning call2941 (depth = 2)
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2942 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe2943 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2944 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call2945 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe2944);
// compiled member node returning call2945 (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2946 = callmethodflags(call2945, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2943);
// compiled call node returning call2946 (depth = 3)
  gc_frame_newslot(call2946);
// call case 4: self request
  params[0] = call2946;
  partcv[0] = 1;
  Object call2947 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2942);
// compiled call node returning call2947 (depth = 2)
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2948 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2951 = alloc_Float64(1);
// compiled num node returning num2951 (depth = 5)
  int op_slot_right_2950 = gc_frame_newslot(num2951);
// starting to compile member node (depth = 5)
  int callframe2953 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2954 = gc_frame_new();
// call case 4: self request
  Object call2955 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2954);
// compiled member node returning call2955 (depth = 6)
  Object call2956 = callmethodflags(call2955, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2953);
// compiled member node returning call2956 (depth = 5)
  int op_slot_left_2950 = gc_frame_newslot(call2956);
  params[0] = num2951;
  partcv[0] = 1;
  Object diff2957 = callmethod(call2956, "-(1)", 1, partcv, params);
// compiled op node returning diff2957 (depth = 4)
  int op_slot_right_2949 = gc_frame_newslot(diff2957);
// starting to compile num node (depth = 4)
  Object num2959 = alloc_Float64(0);
// compiled num node returning num2959 (depth = 4)
  int op_slot_left_2949 = gc_frame_newslot(num2959);
  params[0] = diff2957;
  partcv[0] = 1;
  Object opresult2960 = callmethod(num2959, "..(1)", 1, partcv, params);
// compiled op node returning opresult2960 (depth = 3)
  gc_frame_newslot(opresult2960);
// starting to compile block node (depth = 3)
  Object block2961 = alloc_Block(NULL, NULL, "collectionsPrelude", 1409);
  gc_frame_newslot(block2961);
// method "_apply(_)"
  block_savedest(block2961);
  Object closure2962 = createclosure(2, "_apply(1)");
  setclosureframe(closure2962, stackframe);
  addtoclosure(closure2962, var_unused);
  addtoclosure(closure2962, selfslot);
  struct UserObject *uo2962 = (struct UserObject*)block2961;
  uo2962->data[0] = (Object)closure2962;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2962 = addmethod2pos(block2961, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2962, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2962[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2962->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2962);
  meth_meth_collectionsPrelude__apply_40_1_41_2962->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2962->definitionLine = 1990;
// compiled block node returning block2961 (depth = 3)
  gc_frame_newslot(block2961);
// call case 5: prelude request
  params[0] = opresult2960;
  params[1] = block2961;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2968 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2948);
// compiled call node returning call2968 (depth = 2)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2969 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2972 = alloc_Float64(1);
// compiled num node returning num2972 (depth = 5)
  int op_slot_right_2971 = gc_frame_newslot(num2972);
// starting to compile member node (depth = 5)
  int callframe2974 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_oldInner (depth = 6)
  Object call2975 = callmethodflags(*var_oldInner, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2974);
// compiled member node returning call2975 (depth = 5)
  int op_slot_left_2971 = gc_frame_newslot(call2975);
  params[0] = num2972;
  partcv[0] = 1;
  Object diff2976 = callmethod(call2975, "-(1)", 1, partcv, params);
// compiled op node returning diff2976 (depth = 4)
  int op_slot_right_2970 = gc_frame_newslot(diff2976);
// starting to compile num node (depth = 4)
  Object num2978 = alloc_Float64(0);
// compiled num node returning num2978 (depth = 4)
  int op_slot_left_2970 = gc_frame_newslot(num2978);
  params[0] = diff2976;
  partcv[0] = 1;
  Object opresult2979 = callmethod(num2978, "..(1)", 1, partcv, params);
// compiled op node returning opresult2979 (depth = 3)
  gc_frame_newslot(opresult2979);
// starting to compile block node (depth = 3)
  Object block2980 = alloc_Block(NULL, NULL, "collectionsPrelude", 1412);
  gc_frame_newslot(block2980);
// method "_apply(_)"
  block_savedest(block2980);
  Object closure2981 = createclosure(4, "_apply(1)");
  setclosureframe(closure2981, stackframe);
  addtoclosure(closure2981, var_oldInner);
  addtoclosure(closure2981, var_removed);
  addtoclosure(closure2981, var_unused);
  addtoclosure(closure2981, selfslot);
  struct UserObject *uo2981 = (struct UserObject*)block2980;
  uo2981->data[0] = (Object)closure2981;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_2981 = addmethod2pos(block2980, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_2981, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_2981[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_2981->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_2981);
  meth_meth_collectionsPrelude__apply_40_1_41_2981->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_2981->definitionLine = 1990;
// compiled block node returning block2980 (depth = 3)
  gc_frame_newslot(block2980);
// call case 5: prelude request
  params[0] = opresult2979;
  params[1] = block2980;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3001 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2969);
// compiled call node returning call3001 (depth = 2)
  gc_frame_end(frame);
  return call3001;
}
Object meth_collectionsPrelude__apply_40_1_41_3009(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_otherSize = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3011 = alloc_Float64(1);
// compiled num node returning num3011 (depth = 7)
  int op_slot_right_3010 = gc_frame_newslot(num3011);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_otherSize (depth = 7)
  int op_slot_left_3010 = gc_frame_newslot(*var_otherSize);
  params[0] = num3011;
  partcv[0] = 1;
  Object sum3013 = callmethod(*var_otherSize, "+(1)", 1, partcv, params);
// compiled op node returning sum3013 (depth = 6)
  *var_otherSize = sum3013;
  if (sum3013 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3016 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe3017 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3018 = callmethodflags(self, "contains(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3017);
// compiled call node returning call3018 (depth = 7)
  partcv[0] = 0;
  Object call3019 = callmethodflags(call3018, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3016);
// compiled call node returning call3019 (depth = 6)
  Object if3015 = done;
  if (istrue(call3019)) {
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool3020 = alloc_Boolean(0);
// compiled identifier node returning bool3020 (depth = 7)
  block_return(realself, bool3020);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if3015 = undefined;
  } else {
  }
// compiled if node returning if3015 (depth = 5)
  gc_frame_end(frame);
  return if3015;
}
Object meth_collectionsPrelude__61__61__40_1_41_3002(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  Object *var_Iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_otherSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "otherSize");
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3004 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Iterable (depth = 4)
  params[0] = *var_other;
  partcv[0] = 1;
  Object call3005 = callmethodflags(*var_Iterable, "match(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3004);
// compiled call node returning call3005 (depth = 3)
  Object if3003 = done;
  if (istrue(call3005)) {
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3006 = alloc_Float64(0);
// compiled num node returning num3006 (depth = 4)
  *var_otherSize = num3006;
  if (num3006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3007 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3008 = alloc_Block(NULL, NULL, "collectionsPrelude", 1421);
  gc_frame_newslot(block3008);
// method "_apply(_)"
  block_savedest(block3008);
  Object closure3009 = createclosure(2, "_apply(1)");
  setclosureframe(closure3009, stackframe);
  addtoclosure(closure3009, var_otherSize);
  addtoclosure(closure3009, selfslot);
  struct UserObject *uo3009 = (struct UserObject*)block3008;
  uo3009->data[0] = (Object)closure3009;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3009 = addmethod2pos(block3008, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3009, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3009[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3009->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3009);
  meth_meth_collectionsPrelude__apply_40_1_41_3009->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3009->definitionLine = 1990;
// compiled block node returning block3008 (depth = 4)
  gc_frame_newslot(block3008);
// call case 6: other requests
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  params[0] = block3008;
  partcv[0] = 1;
  Object call3022 = callmethodflags(*var_other, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3007);
// compiled call node returning call3022 (depth = 3)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3024 = gc_frame_new();
// call case 4: self request
  Object call3025 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3024);
// compiled member node returning call3025 (depth = 4)
  int op_slot_right_3023 = gc_frame_newslot(call3025);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_otherSize (depth = 4)
  int op_slot_left_3023 = gc_frame_newslot(*var_otherSize);
  params[0] = call3025;
  partcv[0] = 1;
  Object opresult3027 = callmethod(*var_otherSize, "==(1)", 1, partcv, params);
// compiled op node returning opresult3027 (depth = 3)
    gc_frame_newslot(opresult3027);
    if3003 = opresult3027;
  } else {
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3028 = alloc_Boolean(0);
// compiled identifier node returning bool3028 (depth = 3)
    gc_frame_newslot(bool3028);
    if3003 = bool3028;
  }
// compiled if node returning if3003 (depth = 2)
  gc_frame_end(frame);
  return if3003;
}
Object meth_collectionsPrelude_copy3029(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3030 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3031 = gc_frame_new();
// call case 3: self.outer request
  Object call3032 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3031);
// compiled member node returning call3032 (depth = 3)
  params[0] = self;
  partcv[0] = 1;
  Object call3033 = callmethodflags(call3032, "withAll(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3030);
// compiled call node returning call3033 (depth = 2)
  gc_frame_end(frame);
  return call3033;
}
Object meth_collectionsPrelude__43__43__40_1_41_3034(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3035 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3036 = gc_frame_new();
// call case 4: self request
  Object call3037 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3036);
// compiled member node returning call3037 (depth = 3)
  params[0] = *var_other;
  partcv[0] = 1;
  Object call3038 = callmethodflags(call3037, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3035);
// compiled call node returning call3038 (depth = 2)
  gc_frame_end(frame);
  return call3038;
}
Object meth_collectionsPrelude__apply_40_1_41_3050(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_other = getfromclosure(closure, 0);
  Object *var_result = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3052 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe3053 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call3054 = callmethodflags(*var_other, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3053);
// compiled call node returning call3054 (depth = 6)
  partcv[0] = 0;
  Object call3055 = callmethodflags(call3054, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3052);
// compiled call node returning call3055 (depth = 5)
  Object if3051 = done;
  if (istrue(call3055)) {
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3056 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call3057 = callmethodflags(*var_result, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3056);
// compiled call node returning call3057 (depth = 5)
    gc_frame_newslot(call3057);
    if3051 = call3057;
  } else {
  }
// compiled if node returning if3051 (depth = 4)
  gc_frame_end(frame);
  return if3051;
}
Object meth_collectionsPrelude__45__45__40_1_41_3039(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "--(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method --(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for --(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part --(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "result");
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3040 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3042 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3043 = gc_frame_new();
// call case 3: self.outer request
  Object call3044 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3043);
// compiled member node returning call3044 (depth = 6)
  Object call3045 = callmethodflags(call3044, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3042);
// compiled member node returning call3045 (depth = 5)
  Object call3046 = callmethodflags(call3045, "set", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3041);
// compiled member node returning call3046 (depth = 4)
  Object call3047 = callmethodflags(call3046, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe3040);
// compiled member node returning call3047 (depth = 3)
  *var_result = call3047;
  if (call3047 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3048 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile block node (depth = 3)
  Object block3049 = alloc_Block(NULL, NULL, "collectionsPrelude", 1442);
  gc_frame_newslot(block3049);
// method "_apply(_)"
  block_savedest(block3049);
  Object closure3050 = createclosure(3, "_apply(1)");
  setclosureframe(closure3050, stackframe);
  addtoclosure(closure3050, var_other);
  addtoclosure(closure3050, var_result);
  addtoclosure(closure3050, selfslot);
  struct UserObject *uo3050 = (struct UserObject*)block3049;
  uo3050->data[0] = (Object)closure3050;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3050 = addmethod2pos(block3049, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3050, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3050[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3050->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3050);
  meth_meth_collectionsPrelude__apply_40_1_41_3050->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3050->definitionLine = 1990;
// compiled block node returning block3049 (depth = 3)
  gc_frame_newslot(block3049);
// call case 5: prelude request
  params[0] = self;
  params[1] = block3049;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3059 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3048);
// compiled call node returning call3059 (depth = 2)
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply_40_1_41_3064(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_other = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe3065 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3066 = callmethodflags(*var_other, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3065);
// compiled call node returning call3066 (depth = 5)
  gc_frame_end(frame);
  return call3066;
}
Object meth_collectionsPrelude__42__42__40_1_41_3060(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "**(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method **(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for **(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part **(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3061 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 3)
  int callframe3062 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3063 = alloc_Block(NULL, NULL, "collectionsPrelude", 1451);
  gc_frame_newslot(block3063);
// method "_apply(_)"
  block_savedest(block3063);
  Object closure3064 = createclosure(2, "_apply(1)");
  setclosureframe(closure3064, stackframe);
  addtoclosure(closure3064, var_other);
  addtoclosure(closure3064, selfslot);
  struct UserObject *uo3064 = (struct UserObject*)block3063;
  uo3064->data[0] = (Object)closure3064;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3064 = addmethod2pos(block3063, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3064, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3064[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3064->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3064);
  meth_meth_collectionsPrelude__apply_40_1_41_3064->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3064->definitionLine = 1990;
// compiled block node returning block3063 (depth = 4)
  gc_frame_newslot(block3063);
// call case 4: self request
  params[0] = block3063;
  partcv[0] = 1;
  Object call3068 = callmethodflags(self, "filter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3062);
// compiled call node returning call3068 (depth = 3)
  Object call3069 = callmethodflags(call3068, "asSet", 0, partcv, params, 0);
  gc_frame_end(callframe3061);
// compiled member node returning call3069 (depth = 2)
  gc_frame_end(frame);
  return call3069;
}
Object meth_collectionsPrelude__apply_40_1_41_3073(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s2 = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3075 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe3076 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s2 (depth = 7)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3077 = callmethodflags(*var_s2, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3076);
// compiled call node returning call3077 (depth = 6)
  Object call3078 = callmethodflags(call3077, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3075);
// compiled member node returning call3078 (depth = 5)
  Object if3074 = done;
  if (istrue(call3078)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3079 = alloc_Boolean(0);
// compiled identifier node returning bool3079 (depth = 6)
  block_return(realself, bool3079);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3074 = undefined;
  } else {
  }
// compiled if node returning if3074 (depth = 4)
  gc_frame_end(frame);
  return if3074;
}
Object meth_collectionsPrelude_isSubset_40_1_41_3070(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSubset(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSubset(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSubset(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s2 = &(stackframe->slots[0]);
  *var_s2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSubset(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3071 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3072 = alloc_Block(NULL, NULL, "collectionsPrelude", 1454);
  gc_frame_newslot(block3072);
// method "_apply(_)"
  block_savedest(block3072);
  Object closure3073 = createclosure(2, "_apply(1)");
  setclosureframe(closure3073, stackframe);
  addtoclosure(closure3073, var_s2);
  addtoclosure(closure3073, selfslot);
  struct UserObject *uo3073 = (struct UserObject*)block3072;
  uo3073->data[0] = (Object)closure3073;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3073 = addmethod2pos(block3072, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3073, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3073[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3073->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3073);
  meth_meth_collectionsPrelude__apply_40_1_41_3073->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3073->definitionLine = 1990;
// compiled block node returning block3072 (depth = 3)
  gc_frame_newslot(block3072);
// call case 4: self request
  params[0] = block3072;
  partcv[0] = 1;
  Object call3081 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3071);
// compiled call node returning call3081 (depth = 2)
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool3082 = alloc_Boolean(1);
// compiled identifier node returning bool3082 (depth = 3)
  return bool3082;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_3086(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3088 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe3089 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3090 = callmethodflags(self, "contains(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3089);
// compiled call node returning call3090 (depth = 6)
  Object call3091 = callmethodflags(call3090, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3088);
// compiled member node returning call3091 (depth = 5)
  Object if3087 = done;
  if (istrue(call3091)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3092 = alloc_Boolean(0);
// compiled identifier node returning bool3092 (depth = 6)
  block_return(realself, bool3092);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3087 = undefined;
  } else {
  }
// compiled if node returning if3087 (depth = 4)
  gc_frame_end(frame);
  return if3087;
}
Object meth_collectionsPrelude_isSuperset_40_1_41_3083(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuperset(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSuperset(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSuperset(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s2 = &(stackframe->slots[0]);
  *var_s2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSuperset(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3084 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3085 = alloc_Block(NULL, NULL, "collectionsPrelude", 1461);
  gc_frame_newslot(block3085);
// method "_apply(_)"
  block_savedest(block3085);
  Object closure3086 = createclosure(1, "_apply(1)");
  setclosureframe(closure3086, stackframe);
  addtoclosure(closure3086, selfslot);
  struct UserObject *uo3086 = (struct UserObject*)block3085;
  uo3086->data[0] = (Object)closure3086;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3086 = addmethod2pos(block3085, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3086, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3086[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3086->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3086);
  meth_meth_collectionsPrelude__apply_40_1_41_3086->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3086->definitionLine = 1990;
// compiled block node returning block3085 (depth = 3)
  gc_frame_newslot(block3085);
// call case 6: other requests
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s2 (depth = 3)
  params[0] = block3085;
  partcv[0] = 1;
  Object call3094 = callmethodflags(*var_s2, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3084);
// compiled call node returning call3094 (depth = 2)
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool3095 = alloc_Boolean(1);
// compiled identifier node returning bool3095 (depth = 3)
  return bool3095;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_3099(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_existing = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe3100 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_existing (depth = 5)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3101 = callmethodflags(*var_existing, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3100);
// compiled call node returning call3101 (depth = 4)
  gc_frame_end(frame);
  return call3101;
}
Object meth_collectionsPrelude_into_40_1_41_3096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "into(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method into(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for into(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_existing = &(stackframe->slots[0]);
  *var_existing = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part into(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3097 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3098 = alloc_Block(NULL, NULL, "collectionsPrelude", 1467);
  gc_frame_newslot(block3098);
// method "_apply(_)"
  block_savedest(block3098);
  Object closure3099 = createclosure(2, "_apply(1)");
  setclosureframe(closure3099, stackframe);
  addtoclosure(closure3099, var_existing);
  addtoclosure(closure3099, selfslot);
  struct UserObject *uo3099 = (struct UserObject*)block3098;
  uo3099->data[0] = (Object)closure3099;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3099 = addmethod2pos(block3098, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3099, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3099[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3099->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3099);
  meth_meth_collectionsPrelude__apply_40_1_41_3099->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3099->definitionLine = 1990;
// compiled block node returning block3098 (depth = 3)
  gc_frame_newslot(block3098);
// call case 4: self request
  params[0] = block3098;
  partcv[0] = 1;
  Object call3103 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3097);
// compiled call node returning call3103 (depth = 2)
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_existing (depth = 2)
  gc_frame_end(frame);
  return *var_existing;
}
Object meth_collectionsPrelude__apply_40_1_41_3114(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3115 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  gc_frame_newslot(*var_unused);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3116 = gc_frame_new();
// call case 4: self request
  Object call3117 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3116);
// compiled member node returning call3117 (depth = 5)
  params[0] = *var_i;
  params[1] = *var_unused;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3118 = callmethodflags(call3117, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3115);
// compiled call node returning call3118 (depth = 4)
  gc_frame_end(frame);
  return call3118;
}
Object meth_collectionsPrelude_ofCapacity_40_1_41_2329(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ofCapacity(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ofCapacity(_)");
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object *var_ConcurrentModification = getfromclosure(closure, 4);
  Object *var_IteratorExhausted = getfromclosure(closure, 5);
  Object *var_Iterable = getfromclosure(closure, 6);
  Object *var_collection = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ofCapacity(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cap = &(stackframe->slots[0]);
  *var_cap = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ofCapacity(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2330 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2330 = alloc_userobj2(34,32, objclass2330);
  gc_frame_newslot(obj2330);
if (objclass2330 == NULL) {
  glfree(obj2330->class->name);
  obj2330->class->name = "set.ofCapacity(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2330, self, 0);
  addmethodreal(obj2330,"outer", &reader_collectionsPrelude_outer_2331);
  Object oldself2330 = self;
  struct StackFrameObject *oldstackframe2330 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2330);
  gc_frame_newslot((Object)stackframe);
  self = obj2330;
  Object *oldselfslot2330 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2330 = (*(struct UserObject *)self).data[0], lowerouter2330 = thisouter2330;
  if (inheritingObject2330) {
    struct UserObject *inho2330 = (struct UserObject *)inheritingObject2330;
    while (inho2330->super != GraceDefaultObject) inho2330 = (struct UserObject *)inho2330->super;
    inho2330->super = obj2330;
    self = inheritingObject2330;
    *selfslot = self;
    lowerouter2330 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2330;
  }
if (objclass2330 == NULL) {
  Method *reader2332 = addmethodrealflags(obj2330, "mods", &reader_collectionsPrelude_mods_2332, 0);
  Method *writer2332 = addmethodrealflags(obj2330, "mods:=(1)", &writer_collectionsPrelude_mods_2332, MFLAG_CONFIDENTIAL);
  reader2332->definitionModule = modulename;
  writer2332->definitionModule = modulename;
  reader2332->definitionLine = 1201;
  writer2332->definitionLine = 1201;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 1);
if (objclass2330 == NULL) {
  Method *reader2333 = addmethodrealflags(obj2330, "inner", &reader_collectionsPrelude_inner_2333, MFLAG_CONFIDENTIAL);
  Method *writer2333 = addmethodrealflags(obj2330, "inner:=(1)", &writer_collectionsPrelude_inner_2333, MFLAG_CONFIDENTIAL);
  reader2333->definitionModule = modulename;
  writer2333->definitionModule = modulename;
  reader2333->definitionLine = 1202;
  writer2333->definitionLine = 1202;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 2);
if (objclass2330 == NULL) {
  Method *reader2334 = addmethodrealflags(obj2330, "size", &reader_collectionsPrelude_size_2334, 0);
  Method *writer2334 = addmethodrealflags(obj2330, "size:=(1)", &writer_collectionsPrelude_size_2334, MFLAG_CONFIDENTIAL);
  reader2334->definitionModule = modulename;
  writer2334->definitionModule = modulename;
  reader2334->definitionLine = 1203;
  writer2334->definitionLine = 1203;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 3);
// method "addAll(_)"
  struct UserObject *uo2335 = (struct UserObject*)obj2330;
  uo2335->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_2335 = addmethod2pos(obj2330, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_2335, 4);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_2335[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_2335);
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->definitionLine = 1208;
// method "add(_)"
  struct UserObject *uo2384 = (struct UserObject*)obj2330;
  uo2384->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_2384 = addmethod2pos(obj2330, "add(1)", &meth_collectionsPrelude_add_40_1_41_2384, 5);
  int argcv_meth_collectionsPrelude_add_40_1_41_2384[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_2384->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_2384);
  meth_meth_collectionsPrelude_add_40_1_41_2384->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_2384->definitionLine = 1223;
// method "removeAll(_)"
  block_savedest(obj2330);
  Object closure2428 = createclosure(1, "removeAll(1)");
  setclosureframe(closure2428, stackframe);
  addtoclosure(closure2428, var_NoSuchObject);
  struct UserObject *uo2428 = (struct UserObject*)obj2330;
  uo2428->data[6] = (Object)closure2428;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_2428 = addmethod2pos(obj2330, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_2428, 6);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_2428[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_2428);
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->definitionLine = 1236;
// method "removeAll(_)ifAbsent(_)"
  block_savedest(obj2330);
  Object closure2449 = createclosure(1, "removeAll(1)ifAbsent(1)");
  setclosureframe(closure2449, stackframe);
  addtoclosure(closure2449, var_removed);
  struct UserObject *uo2449 = (struct UserObject*)obj2330;
  uo2449->data[7] = (Object)closure2449;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449 = addmethod2pos(obj2330, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449, 7);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->definitionLine = 1244;
// method "clear"
  block_savedest(obj2330);
  Object closure2487 = createclosure(2, "clear");
  setclosureframe(closure2487, stackframe);
  addtoclosure(closure2487, var_cap);
  addtoclosure(closure2487, var__prelude);
  struct UserObject *uo2487 = (struct UserObject*)obj2330;
  uo2487->data[8] = (Object)closure2487;
  Method *meth_meth_collectionsPrelude_clear2487 = addmethod2pos(obj2330, "clear", &meth_collectionsPrelude_clear2487, 8);
  int argcv_meth_collectionsPrelude_clear2487[] = {0};
  meth_meth_collectionsPrelude_clear2487->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear2487);
  meth_meth_collectionsPrelude_clear2487->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear2487->definitionLine = 1257;
// method "remove(_)ifAbsent(_)"
  block_savedest(obj2330);
  Object closure2505 = createclosure(1, "remove(1)ifAbsent(1)");
  setclosureframe(closure2505, stackframe);
  addtoclosure(closure2505, var_removed);
  struct UserObject *uo2505 = (struct UserObject*)obj2330;
  uo2505->data[9] = (Object)closure2505;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505 = addmethod2pos(obj2330, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505, 9);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->definitionLine = 1264;
// method "remove(_)"
  block_savedest(obj2330);
  Object closure2538 = createclosure(1, "remove(1)");
  setclosureframe(closure2538, stackframe);
  addtoclosure(closure2538, var_NoSuchObject);
  struct UserObject *uo2538 = (struct UserObject*)obj2330;
  uo2538->data[10] = (Object)closure2538;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_2538 = addmethod2pos(obj2330, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_2538, 10);
  int argcv_meth_collectionsPrelude_remove_40_1_41_2538[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_2538->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_2538);
  meth_meth_collectionsPrelude_remove_40_1_41_2538->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_2538->definitionLine = 1276;
// method "contains(_)"
  struct UserObject *uo2554 = (struct UserObject*)obj2330;
  uo2554->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_2554 = addmethod2pos(obj2330, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_2554, 11);
  int argcv_meth_collectionsPrelude_contains_40_1_41_2554[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_2554->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_2554);
  meth_meth_collectionsPrelude_contains_40_1_41_2554->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_2554->definitionLine = 1283;
// method "includes(_)"
  struct UserObject *uo2567 = (struct UserObject*)obj2330;
  uo2567->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_includes_40_1_41_2567 = addmethod2pos(obj2330, "includes(1)", &meth_collectionsPrelude_includes_40_1_41_2567, 12);
  int argcv_meth_collectionsPrelude_includes_40_1_41_2567[] = {1};
  meth_meth_collectionsPrelude_includes_40_1_41_2567->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_includes_40_1_41_2567);
  meth_meth_collectionsPrelude_includes_40_1_41_2567->definitionModule = modulename;
  meth_meth_collectionsPrelude_includes_40_1_41_2567->definitionLine = 1290;
// method "find(_)ifNone(_)"
  struct UserObject *uo2578 = (struct UserObject*)obj2330;
  uo2578->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578 = addmethod2pos(obj2330, "find(1)ifNone(1)", &meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578, 13);
  int argcv_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578[] = {1, 1};
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578);
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->definitionModule = modulename;
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->definitionLine = 1296;
// method "findPosition(_)"
  block_savedest(obj2330);
  Object closure2589 = createclosure(1, "findPosition(1)");
  setclosureframe(closure2589, stackframe);
  addtoclosure(closure2589, var_unused);
  struct UserObject *uo2589 = (struct UserObject*)obj2330;
  uo2589->data[14] = (Object)closure2589;
  Method *meth_meth_collectionsPrelude_findPosition_40_1_41_2589 = addmethod2pos(obj2330, "findPosition(1)", &meth_collectionsPrelude_findPosition_40_1_41_2589, 14);
  int argcv_meth_collectionsPrelude_findPosition_40_1_41_2589[] = {1};
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition_40_1_41_2589);
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->definitionLine = 1302;
// method "findPositionForAdd(_)"
  block_savedest(obj2330);
  Object closure2650 = createclosure(2, "findPositionForAdd(1)");
  setclosureframe(closure2650, stackframe);
  addtoclosure(closure2650, var_removed);
  addtoclosure(closure2650, var_unused);
  struct UserObject *uo2650 = (struct UserObject*)obj2330;
  uo2650->data[15] = (Object)closure2650;
  Method *meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650 = addmethod2pos(obj2330, "findPositionForAdd(1)", &meth_collectionsPrelude_findPositionForAdd_40_1_41_2650, 15);
  int argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650);
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->definitionLine = 1324;
// method "asString"
  struct UserObject *uo2717 = (struct UserObject*)obj2330;
  uo2717->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2717 = addmethod2pos(obj2330, "asString", &meth_collectionsPrelude_asString2717, 16);
  int argcv_meth_collectionsPrelude_asString2717[] = {0};
  meth_meth_collectionsPrelude_asString2717->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2717);
  meth_meth_collectionsPrelude_asString2717->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2717->definitionLine = 1347;
// method "asDebugString"
  struct UserObject *uo2742 = (struct UserObject*)obj2330;
  uo2742->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2742 = addmethod2pos(obj2330, "asDebugString", &meth_collectionsPrelude_asDebugString2742, 17);
  int argcv_meth_collectionsPrelude_asDebugString2742[] = {0};
  meth_meth_collectionsPrelude_asDebugString2742->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2742);
  meth_meth_collectionsPrelude_asDebugString2742->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2742->definitionLine = 1353;
// method "extend(_)"
  struct UserObject *uo2767 = (struct UserObject*)obj2330;
  uo2767->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_extend_40_1_41_2767 = addmethod2pos(obj2330, "extend(1)", &meth_collectionsPrelude_extend_40_1_41_2767, 18);
  int argcv_meth_collectionsPrelude_extend_40_1_41_2767[] = {1};
  meth_meth_collectionsPrelude_extend_40_1_41_2767->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend_40_1_41_2767);
  meth_meth_collectionsPrelude_extend_40_1_41_2767->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend_40_1_41_2767->definitionLine = 1359;
// method "do(_)"
  block_savedest(obj2330);
  Object closure2775 = createclosure(2, "do(1)");
  setclosureframe(closure2775, stackframe);
  addtoclosure(closure2775, var_removed);
  addtoclosure(closure2775, var_unused);
  struct UserObject *uo2775 = (struct UserObject*)obj2330;
  uo2775->data[19] = (Object)closure2775;
  Method *meth_meth_collectionsPrelude_do_40_1_41_2775 = addmethod2pos(obj2330, "do(1)", &meth_collectionsPrelude_do_40_1_41_2775, 19);
  int argcv_meth_collectionsPrelude_do_40_1_41_2775[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_2775->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_2775);
  meth_meth_collectionsPrelude_do_40_1_41_2775->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_2775->definitionLine = 1364;
// method "iterator"
  block_savedest(obj2330);
  Object closure2818 = createclosure(4, "iterator");
  setclosureframe(closure2818, stackframe);
  addtoclosure(closure2818, var_ConcurrentModification);
  addtoclosure(closure2818, var_IteratorExhausted);
  addtoclosure(closure2818, var_removed);
  addtoclosure(closure2818, var_unused);
  struct UserObject *uo2818 = (struct UserObject*)obj2330;
  uo2818->data[20] = (Object)closure2818;
  Method *meth_meth_collectionsPrelude_iterator2818 = addmethod2pos(obj2330, "iterator", &meth_collectionsPrelude_iterator2818, 20);
  int argcv_meth_collectionsPrelude_iterator2818[] = {0};
  meth_meth_collectionsPrelude_iterator2818->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2818);
  meth_meth_collectionsPrelude_iterator2818->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2818->definitionLine = 1377;
  block_savedest(obj2330);
  Object closure2927 = createclosure(4, "iterator$object(1)");
  setclosureframe(closure2927, stackframe);
  addtoclosure(closure2927, var_ConcurrentModification);
  addtoclosure(closure2927, var_IteratorExhausted);
  addtoclosure(closure2927, var_removed);
  addtoclosure(closure2927, var_unused);
  Method *meth_meth_collectionsPrelude_iterator2818_object = addmethod2pos(obj2330, "iterator$object(1)", &meth_collectionsPrelude_iterator2818_object, 20);
  meth_meth_collectionsPrelude_iterator2818_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2818_object->definitionLine = 1377;
// method "expand"
  block_savedest(obj2330);
  Object closure2928 = createclosure(3, "expand");
  setclosureframe(closure2928, stackframe);
  addtoclosure(closure2928, var__prelude);
  addtoclosure(closure2928, var_unused);
  addtoclosure(closure2928, var_removed);
  struct UserObject *uo2928 = (struct UserObject*)obj2330;
  uo2928->data[21] = (Object)closure2928;
  Method *meth_meth_collectionsPrelude_expand2928 = addmethod2pos(obj2330, "expand", &meth_collectionsPrelude_expand2928, 21);
  int argcv_meth_collectionsPrelude_expand2928[] = {0};
  meth_meth_collectionsPrelude_expand2928->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand2928);
  meth_meth_collectionsPrelude_expand2928->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand2928->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand2928->definitionLine = 1403;
// method "==(_)"
  block_savedest(obj2330);
  Object closure3002 = createclosure(1, "==(1)");
  setclosureframe(closure3002, stackframe);
  addtoclosure(closure3002, var_Iterable);
  struct UserObject *uo3002 = (struct UserObject*)obj2330;
  uo3002->data[22] = (Object)closure3002;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_3002 = addmethod2pos(obj2330, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_3002, 22);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_3002[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_3002);
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->definitionLine = 1418;
// method "copy"
  struct UserObject *uo3029 = (struct UserObject*)obj2330;
  uo3029->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy3029 = addmethod2pos(obj2330, "copy", &meth_collectionsPrelude_copy3029, 23);
  int argcv_meth_collectionsPrelude_copy3029[] = {0};
  meth_meth_collectionsPrelude_copy3029->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy3029);
  meth_meth_collectionsPrelude_copy3029->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy3029->definitionLine = 1432;
// method "++(_)"
  struct UserObject *uo3034 = (struct UserObject*)obj2330;
  uo3034->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_3034 = addmethod2pos(obj2330, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_3034, 24);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_3034[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_3034);
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->definitionLine = 1435;
// method "--(_)"
  struct UserObject *uo3039 = (struct UserObject*)obj2330;
  uo3039->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45__45__40_1_41_3039 = addmethod2pos(obj2330, "--(1)", &meth_collectionsPrelude__45__45__40_1_41_3039, 25);
  int argcv_meth_collectionsPrelude__45__45__40_1_41_3039[] = {1};
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45__40_1_41_3039);
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->definitionLine = 1439;
// method "**(_)"
  struct UserObject *uo3060 = (struct UserObject*)obj2330;
  uo3060->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__42__42__40_1_41_3060 = addmethod2pos(obj2330, "**(1)", &meth_collectionsPrelude__42__42__40_1_41_3060, 26);
  int argcv_meth_collectionsPrelude__42__42__40_1_41_3060[] = {1};
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__42__42__40_1_41_3060);
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->definitionModule = modulename;
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->definitionLine = 1449;
// method "isSubset(_)"
  struct UserObject *uo3070 = (struct UserObject*)obj2330;
  uo3070->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isSubset_40_1_41_3070 = addmethod2pos(obj2330, "isSubset(1)", &meth_collectionsPrelude_isSubset_40_1_41_3070, 27);
  int argcv_meth_collectionsPrelude_isSubset_40_1_41_3070[] = {1};
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isSubset_40_1_41_3070);
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->definitionModule = modulename;
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->definitionLine = 1453;
// method "isSuperset(_)"
  struct UserObject *uo3083 = (struct UserObject*)obj2330;
  uo3083->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isSuperset_40_1_41_3083 = addmethod2pos(obj2330, "isSuperset(1)", &meth_collectionsPrelude_isSuperset_40_1_41_3083, 28);
  int argcv_meth_collectionsPrelude_isSuperset_40_1_41_3083[] = {1};
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isSuperset_40_1_41_3083);
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->definitionModule = modulename;
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->definitionLine = 1460;
// method "into(_)"
  struct UserObject *uo3096 = (struct UserObject*)obj2330;
  uo3096->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_3096 = addmethod2pos(obj2330, "into(1)", &meth_collectionsPrelude_into_40_1_41_3096, 29);
  int argcv_meth_collectionsPrelude_into_40_1_41_3096[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_3096->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_3096);
  meth_meth_collectionsPrelude_into_40_1_41_3096->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_3096->definitionLine = 1466;
  sourceObject = obj2330;
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3104 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collection (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3105 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3104);
// compiled call node returning call3105 (depth = 2)
  struct UserObject *obj2330_uo = (struct UserObject *)obj2330;
  obj2330_uo->super = call3105;
  sourceObject = obj2330;
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3106 = alloc_Float64(0);
// compiled num node returning num3106 (depth = 2)
  adddatum2(obj2330, num3106, 1);
  sourceObject = obj2330;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3107 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cap (depth = 3)
  gc_frame_newslot(*var_cap);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3108 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call3109 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe3108);
// compiled member node returning call3109 (depth = 3)
  params[0] = *var_cap;
  partcv[0] = 1;
  Object call3110 = callmethodflags(call3109, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3107);
// compiled call node returning call3110 (depth = 2)
  adddatum2(obj2330, call3110, 2);
  sourceObject = obj2330;
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3111 = alloc_Float64(0);
// compiled num node returning num3111 (depth = 2)
  adddatum2(obj2330, num3111, 3);
  sourceObject = obj2330;
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3112 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3113 = alloc_Block(NULL, NULL, "collectionsPrelude", 1204);
  gc_frame_newslot(block3113);
// method "_apply(_)"
  block_savedest(block3113);
  Object closure3114 = createclosure(2, "_apply(1)");
  setclosureframe(closure3114, stackframe);
  addtoclosure(closure3114, var_unused);
  addtoclosure(closure3114, selfslot);
  struct UserObject *uo3114 = (struct UserObject*)block3113;
  uo3114->data[0] = (Object)closure3114;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3114 = addmethod2pos(block3113, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3114, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3114[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3114->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3114);
  meth_meth_collectionsPrelude__apply_40_1_41_3114->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3114->definitionLine = 1990;
// compiled block node returning block3113 (depth = 3)
  gc_frame_newslot(block3113);
// call case 6: other requests
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3122 = alloc_Float64(1);
// compiled num node returning num3122 (depth = 5)
  int op_slot_right_3121 = gc_frame_newslot(num3122);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cap (depth = 5)
  int op_slot_left_3121 = gc_frame_newslot(*var_cap);
  params[0] = num3122;
  partcv[0] = 1;
  Object diff3124 = callmethod(*var_cap, "-(1)", 1, partcv, params);
// compiled op node returning diff3124 (depth = 4)
  int op_slot_right_3120 = gc_frame_newslot(diff3124);
// starting to compile num node (depth = 4)
  Object num3126 = alloc_Float64(0);
// compiled num node returning num3126 (depth = 4)
  int op_slot_left_3120 = gc_frame_newslot(num3126);
  params[0] = diff3124;
  partcv[0] = 1;
  Object opresult3127 = callmethod(num3126, "..(1)", 1, partcv, params);
// compiled op node returning opresult3127 (depth = 3)
  params[0] = block3113;
  partcv[0] = 1;
  Object call3128 = callmethodflags(opresult3127, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3112);
// compiled call node returning call3128 (depth = 2)
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  objclass2330 = obj2330->class;
  objclass2330->definitionModule = modulename;
  objclass2330->definitionLine = 1199;
  (*(struct UserObject *)self).data[0] = lowerouter2330;
  self = oldself2330;
  selfslot = oldselfslot2330;
  stackframe = oldstackframe2330;
  gc_frame_end(frame);
  return obj2330;
}
Object meth_collectionsPrelude_ofCapacity_40_1_41_2329_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ofCapacity(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method ofCapacity(_)");
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object *var_ConcurrentModification = getfromclosure(closure, 4);
  Object *var_IteratorExhausted = getfromclosure(closure, 5);
  Object *var_Iterable = getfromclosure(closure, 6);
  Object *var_collection = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ofCapacity(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cap = &(stackframe->slots[0]);
  *var_cap = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ofCapacity(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2330 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2330 = alloc_userobj2(34,32, objclass2330);
  gc_frame_newslot(obj2330);
if (objclass2330 == NULL) {
  glfree(obj2330->class->name);
  obj2330->class->name = "set.ofCapacity(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2330, self, 0);
  addmethodreal(obj2330,"outer", &reader_collectionsPrelude_outer_2331);
  Object oldself2330 = self;
  struct StackFrameObject *oldstackframe2330 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2330);
  gc_frame_newslot((Object)stackframe);
  self = obj2330;
  Object *oldselfslot2330 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2330 = (*(struct UserObject *)self).data[0], lowerouter2330 = thisouter2330;
  if (inheritingObject2330) {
    struct UserObject *inho2330 = (struct UserObject *)inheritingObject2330;
    while (inho2330->super != GraceDefaultObject) inho2330 = (struct UserObject *)inho2330->super;
    inho2330->super = obj2330;
    self = inheritingObject2330;
    *selfslot = self;
    lowerouter2330 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2330;
  }
if (objclass2330 == NULL) {
  Method *reader2332 = addmethodrealflags(obj2330, "mods", &reader_collectionsPrelude_mods_2332, 0);
  Method *writer2332 = addmethodrealflags(obj2330, "mods:=(1)", &writer_collectionsPrelude_mods_2332, MFLAG_CONFIDENTIAL);
  reader2332->definitionModule = modulename;
  writer2332->definitionModule = modulename;
  reader2332->definitionLine = 1201;
  writer2332->definitionLine = 1201;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 1);
if (objclass2330 == NULL) {
  Method *reader2333 = addmethodrealflags(obj2330, "inner", &reader_collectionsPrelude_inner_2333, MFLAG_CONFIDENTIAL);
  Method *writer2333 = addmethodrealflags(obj2330, "inner:=(1)", &writer_collectionsPrelude_inner_2333, MFLAG_CONFIDENTIAL);
  reader2333->definitionModule = modulename;
  writer2333->definitionModule = modulename;
  reader2333->definitionLine = 1202;
  writer2333->definitionLine = 1202;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 2);
if (objclass2330 == NULL) {
  Method *reader2334 = addmethodrealflags(obj2330, "size", &reader_collectionsPrelude_size_2334, 0);
  Method *writer2334 = addmethodrealflags(obj2330, "size:=(1)", &writer_collectionsPrelude_size_2334, MFLAG_CONFIDENTIAL);
  reader2334->definitionModule = modulename;
  writer2334->definitionModule = modulename;
  reader2334->definitionLine = 1203;
  writer2334->definitionLine = 1203;
}
obj2330->flags |= OFLAG_MUTABLE;
adddatum2(obj2330, alloc_Undefined(), 3);
// method "addAll(_)"
  struct UserObject *uo2335 = (struct UserObject*)obj2330;
  uo2335->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll_40_1_41_2335 = addmethod2pos(obj2330, "addAll(1)", &meth_collectionsPrelude_addAll_40_1_41_2335, 4);
  int argcv_meth_collectionsPrelude_addAll_40_1_41_2335[] = {1};
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll_40_1_41_2335);
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll_40_1_41_2335->definitionLine = 1208;
// method "add(_)"
  struct UserObject *uo2384 = (struct UserObject*)obj2330;
  uo2384->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add_40_1_41_2384 = addmethod2pos(obj2330, "add(1)", &meth_collectionsPrelude_add_40_1_41_2384, 5);
  int argcv_meth_collectionsPrelude_add_40_1_41_2384[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_2384->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_2384);
  meth_meth_collectionsPrelude_add_40_1_41_2384->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_2384->definitionLine = 1223;
// method "removeAll(_)"
  block_savedest(obj2330);
  Object closure2428 = createclosure(1, "removeAll(1)");
  setclosureframe(closure2428, stackframe);
  addtoclosure(closure2428, var_NoSuchObject);
  struct UserObject *uo2428 = (struct UserObject*)obj2330;
  uo2428->data[6] = (Object)closure2428;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_2428 = addmethod2pos(obj2330, "removeAll(1)", &meth_collectionsPrelude_removeAll_40_1_41_2428, 6);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_2428[] = {1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll_40_1_41_2428);
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_2428->definitionLine = 1236;
// method "removeAll(_)ifAbsent(_)"
  block_savedest(obj2330);
  Object closure2449 = createclosure(1, "removeAll(1)ifAbsent(1)");
  setclosureframe(closure2449, stackframe);
  addtoclosure(closure2449, var_removed);
  struct UserObject *uo2449 = (struct UserObject*)obj2330;
  uo2449->data[7] = (Object)closure2449;
  Method *meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449 = addmethod2pos(obj2330, "removeAll(1)ifAbsent(1)", &meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449, 7);
  int argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449);
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40_1_41_ifAbsent_40_1_41_2449->definitionLine = 1244;
// method "clear"
  block_savedest(obj2330);
  Object closure2487 = createclosure(2, "clear");
  setclosureframe(closure2487, stackframe);
  addtoclosure(closure2487, var_cap);
  addtoclosure(closure2487, var__prelude);
  struct UserObject *uo2487 = (struct UserObject*)obj2330;
  uo2487->data[8] = (Object)closure2487;
  Method *meth_meth_collectionsPrelude_clear2487 = addmethod2pos(obj2330, "clear", &meth_collectionsPrelude_clear2487, 8);
  int argcv_meth_collectionsPrelude_clear2487[] = {0};
  meth_meth_collectionsPrelude_clear2487->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear2487);
  meth_meth_collectionsPrelude_clear2487->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear2487->definitionLine = 1257;
// method "remove(_)ifAbsent(_)"
  block_savedest(obj2330);
  Object closure2505 = createclosure(1, "remove(1)ifAbsent(1)");
  setclosureframe(closure2505, stackframe);
  addtoclosure(closure2505, var_removed);
  struct UserObject *uo2505 = (struct UserObject*)obj2330;
  uo2505->data[9] = (Object)closure2505;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505 = addmethod2pos(obj2330, "remove(1)ifAbsent(1)", &meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505, 9);
  int argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505[] = {1, 1};
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505);
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_ifAbsent_40_1_41_2505->definitionLine = 1264;
// method "remove(_)"
  block_savedest(obj2330);
  Object closure2538 = createclosure(1, "remove(1)");
  setclosureframe(closure2538, stackframe);
  addtoclosure(closure2538, var_NoSuchObject);
  struct UserObject *uo2538 = (struct UserObject*)obj2330;
  uo2538->data[10] = (Object)closure2538;
  Method *meth_meth_collectionsPrelude_remove_40_1_41_2538 = addmethod2pos(obj2330, "remove(1)", &meth_collectionsPrelude_remove_40_1_41_2538, 10);
  int argcv_meth_collectionsPrelude_remove_40_1_41_2538[] = {1};
  meth_meth_collectionsPrelude_remove_40_1_41_2538->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove_40_1_41_2538);
  meth_meth_collectionsPrelude_remove_40_1_41_2538->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40_1_41_2538->definitionLine = 1276;
// method "contains(_)"
  struct UserObject *uo2554 = (struct UserObject*)obj2330;
  uo2554->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_2554 = addmethod2pos(obj2330, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_2554, 11);
  int argcv_meth_collectionsPrelude_contains_40_1_41_2554[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_2554->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_2554);
  meth_meth_collectionsPrelude_contains_40_1_41_2554->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_2554->definitionLine = 1283;
// method "includes(_)"
  struct UserObject *uo2567 = (struct UserObject*)obj2330;
  uo2567->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_includes_40_1_41_2567 = addmethod2pos(obj2330, "includes(1)", &meth_collectionsPrelude_includes_40_1_41_2567, 12);
  int argcv_meth_collectionsPrelude_includes_40_1_41_2567[] = {1};
  meth_meth_collectionsPrelude_includes_40_1_41_2567->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_includes_40_1_41_2567);
  meth_meth_collectionsPrelude_includes_40_1_41_2567->definitionModule = modulename;
  meth_meth_collectionsPrelude_includes_40_1_41_2567->definitionLine = 1290;
// method "find(_)ifNone(_)"
  struct UserObject *uo2578 = (struct UserObject*)obj2330;
  uo2578->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578 = addmethod2pos(obj2330, "find(1)ifNone(1)", &meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578, 13);
  int argcv_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578[] = {1, 1};
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578);
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->definitionModule = modulename;
  meth_meth_collectionsPrelude_find_40_1_41_ifNone_40_1_41_2578->definitionLine = 1296;
// method "findPosition(_)"
  block_savedest(obj2330);
  Object closure2589 = createclosure(1, "findPosition(1)");
  setclosureframe(closure2589, stackframe);
  addtoclosure(closure2589, var_unused);
  struct UserObject *uo2589 = (struct UserObject*)obj2330;
  uo2589->data[14] = (Object)closure2589;
  Method *meth_meth_collectionsPrelude_findPosition_40_1_41_2589 = addmethod2pos(obj2330, "findPosition(1)", &meth_collectionsPrelude_findPosition_40_1_41_2589, 14);
  int argcv_meth_collectionsPrelude_findPosition_40_1_41_2589[] = {1};
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition_40_1_41_2589);
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition_40_1_41_2589->definitionLine = 1302;
// method "findPositionForAdd(_)"
  block_savedest(obj2330);
  Object closure2650 = createclosure(2, "findPositionForAdd(1)");
  setclosureframe(closure2650, stackframe);
  addtoclosure(closure2650, var_removed);
  addtoclosure(closure2650, var_unused);
  struct UserObject *uo2650 = (struct UserObject*)obj2330;
  uo2650->data[15] = (Object)closure2650;
  Method *meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650 = addmethod2pos(obj2330, "findPositionForAdd(1)", &meth_collectionsPrelude_findPositionForAdd_40_1_41_2650, 15);
  int argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650);
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_2650->definitionLine = 1324;
// method "asString"
  struct UserObject *uo2717 = (struct UserObject*)obj2330;
  uo2717->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2717 = addmethod2pos(obj2330, "asString", &meth_collectionsPrelude_asString2717, 16);
  int argcv_meth_collectionsPrelude_asString2717[] = {0};
  meth_meth_collectionsPrelude_asString2717->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2717);
  meth_meth_collectionsPrelude_asString2717->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2717->definitionLine = 1347;
// method "asDebugString"
  struct UserObject *uo2742 = (struct UserObject*)obj2330;
  uo2742->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2742 = addmethod2pos(obj2330, "asDebugString", &meth_collectionsPrelude_asDebugString2742, 17);
  int argcv_meth_collectionsPrelude_asDebugString2742[] = {0};
  meth_meth_collectionsPrelude_asDebugString2742->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2742);
  meth_meth_collectionsPrelude_asDebugString2742->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2742->definitionLine = 1353;
// method "extend(_)"
  struct UserObject *uo2767 = (struct UserObject*)obj2330;
  uo2767->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_extend_40_1_41_2767 = addmethod2pos(obj2330, "extend(1)", &meth_collectionsPrelude_extend_40_1_41_2767, 18);
  int argcv_meth_collectionsPrelude_extend_40_1_41_2767[] = {1};
  meth_meth_collectionsPrelude_extend_40_1_41_2767->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend_40_1_41_2767);
  meth_meth_collectionsPrelude_extend_40_1_41_2767->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend_40_1_41_2767->definitionLine = 1359;
// method "do(_)"
  block_savedest(obj2330);
  Object closure2775 = createclosure(2, "do(1)");
  setclosureframe(closure2775, stackframe);
  addtoclosure(closure2775, var_removed);
  addtoclosure(closure2775, var_unused);
  struct UserObject *uo2775 = (struct UserObject*)obj2330;
  uo2775->data[19] = (Object)closure2775;
  Method *meth_meth_collectionsPrelude_do_40_1_41_2775 = addmethod2pos(obj2330, "do(1)", &meth_collectionsPrelude_do_40_1_41_2775, 19);
  int argcv_meth_collectionsPrelude_do_40_1_41_2775[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_2775->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_2775);
  meth_meth_collectionsPrelude_do_40_1_41_2775->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_2775->definitionLine = 1364;
// method "iterator"
  block_savedest(obj2330);
  Object closure2818 = createclosure(4, "iterator");
  setclosureframe(closure2818, stackframe);
  addtoclosure(closure2818, var_ConcurrentModification);
  addtoclosure(closure2818, var_IteratorExhausted);
  addtoclosure(closure2818, var_removed);
  addtoclosure(closure2818, var_unused);
  struct UserObject *uo2818 = (struct UserObject*)obj2330;
  uo2818->data[20] = (Object)closure2818;
  Method *meth_meth_collectionsPrelude_iterator2818 = addmethod2pos(obj2330, "iterator", &meth_collectionsPrelude_iterator2818, 20);
  int argcv_meth_collectionsPrelude_iterator2818[] = {0};
  meth_meth_collectionsPrelude_iterator2818->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2818);
  meth_meth_collectionsPrelude_iterator2818->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2818->definitionLine = 1377;
  block_savedest(obj2330);
  Object closure2927 = createclosure(4, "iterator$object(1)");
  setclosureframe(closure2927, stackframe);
  addtoclosure(closure2927, var_ConcurrentModification);
  addtoclosure(closure2927, var_IteratorExhausted);
  addtoclosure(closure2927, var_removed);
  addtoclosure(closure2927, var_unused);
  Method *meth_meth_collectionsPrelude_iterator2818_object = addmethod2pos(obj2330, "iterator$object(1)", &meth_collectionsPrelude_iterator2818_object, 20);
  meth_meth_collectionsPrelude_iterator2818_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2818_object->definitionLine = 1377;
// method "expand"
  block_savedest(obj2330);
  Object closure2928 = createclosure(3, "expand");
  setclosureframe(closure2928, stackframe);
  addtoclosure(closure2928, var__prelude);
  addtoclosure(closure2928, var_unused);
  addtoclosure(closure2928, var_removed);
  struct UserObject *uo2928 = (struct UserObject*)obj2330;
  uo2928->data[21] = (Object)closure2928;
  Method *meth_meth_collectionsPrelude_expand2928 = addmethod2pos(obj2330, "expand", &meth_collectionsPrelude_expand2928, 21);
  int argcv_meth_collectionsPrelude_expand2928[] = {0};
  meth_meth_collectionsPrelude_expand2928->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand2928);
  meth_meth_collectionsPrelude_expand2928->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand2928->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand2928->definitionLine = 1403;
// method "==(_)"
  block_savedest(obj2330);
  Object closure3002 = createclosure(1, "==(1)");
  setclosureframe(closure3002, stackframe);
  addtoclosure(closure3002, var_Iterable);
  struct UserObject *uo3002 = (struct UserObject*)obj2330;
  uo3002->data[22] = (Object)closure3002;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_3002 = addmethod2pos(obj2330, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_3002, 22);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_3002[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_3002);
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_3002->definitionLine = 1418;
// method "copy"
  struct UserObject *uo3029 = (struct UserObject*)obj2330;
  uo3029->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy3029 = addmethod2pos(obj2330, "copy", &meth_collectionsPrelude_copy3029, 23);
  int argcv_meth_collectionsPrelude_copy3029[] = {0};
  meth_meth_collectionsPrelude_copy3029->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy3029);
  meth_meth_collectionsPrelude_copy3029->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy3029->definitionLine = 1432;
// method "++(_)"
  struct UserObject *uo3034 = (struct UserObject*)obj2330;
  uo3034->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_3034 = addmethod2pos(obj2330, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_3034, 24);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_3034[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_3034);
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_3034->definitionLine = 1435;
// method "--(_)"
  struct UserObject *uo3039 = (struct UserObject*)obj2330;
  uo3039->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45__45__40_1_41_3039 = addmethod2pos(obj2330, "--(1)", &meth_collectionsPrelude__45__45__40_1_41_3039, 25);
  int argcv_meth_collectionsPrelude__45__45__40_1_41_3039[] = {1};
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45__40_1_41_3039);
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45__40_1_41_3039->definitionLine = 1439;
// method "**(_)"
  struct UserObject *uo3060 = (struct UserObject*)obj2330;
  uo3060->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__42__42__40_1_41_3060 = addmethod2pos(obj2330, "**(1)", &meth_collectionsPrelude__42__42__40_1_41_3060, 26);
  int argcv_meth_collectionsPrelude__42__42__40_1_41_3060[] = {1};
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__42__42__40_1_41_3060);
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->definitionModule = modulename;
  meth_meth_collectionsPrelude__42__42__40_1_41_3060->definitionLine = 1449;
// method "isSubset(_)"
  struct UserObject *uo3070 = (struct UserObject*)obj2330;
  uo3070->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isSubset_40_1_41_3070 = addmethod2pos(obj2330, "isSubset(1)", &meth_collectionsPrelude_isSubset_40_1_41_3070, 27);
  int argcv_meth_collectionsPrelude_isSubset_40_1_41_3070[] = {1};
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isSubset_40_1_41_3070);
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->definitionModule = modulename;
  meth_meth_collectionsPrelude_isSubset_40_1_41_3070->definitionLine = 1453;
// method "isSuperset(_)"
  struct UserObject *uo3083 = (struct UserObject*)obj2330;
  uo3083->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isSuperset_40_1_41_3083 = addmethod2pos(obj2330, "isSuperset(1)", &meth_collectionsPrelude_isSuperset_40_1_41_3083, 28);
  int argcv_meth_collectionsPrelude_isSuperset_40_1_41_3083[] = {1};
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isSuperset_40_1_41_3083);
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->definitionModule = modulename;
  meth_meth_collectionsPrelude_isSuperset_40_1_41_3083->definitionLine = 1460;
// method "into(_)"
  struct UserObject *uo3096 = (struct UserObject*)obj2330;
  uo3096->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_3096 = addmethod2pos(obj2330, "into(1)", &meth_collectionsPrelude_into_40_1_41_3096, 29);
  int argcv_meth_collectionsPrelude_into_40_1_41_3096[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_3096->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_3096);
  meth_meth_collectionsPrelude_into_40_1_41_3096->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_3096->definitionLine = 1466;
  sourceObject = obj2330;
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3104 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collection (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3105 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3104);
// compiled call node returning call3105 (depth = 2)
  struct UserObject *obj2330_uo = (struct UserObject *)obj2330;
  obj2330_uo->super = call3105;
  sourceObject = obj2330;
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3106 = alloc_Float64(0);
// compiled num node returning num3106 (depth = 2)
  adddatum2(obj2330, num3106, 1);
  sourceObject = obj2330;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3107 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cap (depth = 3)
  gc_frame_newslot(*var_cap);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3108 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call3109 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe3108);
// compiled member node returning call3109 (depth = 3)
  params[0] = *var_cap;
  partcv[0] = 1;
  Object call3110 = callmethodflags(call3109, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3107);
// compiled call node returning call3110 (depth = 2)
  adddatum2(obj2330, call3110, 2);
  sourceObject = obj2330;
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3111 = alloc_Float64(0);
// compiled num node returning num3111 (depth = 2)
  adddatum2(obj2330, num3111, 3);
  sourceObject = obj2330;
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3112 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3113 = alloc_Block(NULL, NULL, "collectionsPrelude", 1204);
  gc_frame_newslot(block3113);
// method "_apply(_)"
  block_savedest(block3113);
  Object closure3114 = createclosure(2, "_apply(1)");
  setclosureframe(closure3114, stackframe);
  addtoclosure(closure3114, var_unused);
  addtoclosure(closure3114, selfslot);
  struct UserObject *uo3114 = (struct UserObject*)block3113;
  uo3114->data[0] = (Object)closure3114;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3114 = addmethod2pos(block3113, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3114, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3114[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3114->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3114);
  meth_meth_collectionsPrelude__apply_40_1_41_3114->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3114->definitionLine = 1990;
// compiled block node returning block3113 (depth = 3)
  gc_frame_newslot(block3113);
// call case 6: other requests
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3122 = alloc_Float64(1);
// compiled num node returning num3122 (depth = 5)
  int op_slot_right_3121 = gc_frame_newslot(num3122);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cap (depth = 5)
  int op_slot_left_3121 = gc_frame_newslot(*var_cap);
  params[0] = num3122;
  partcv[0] = 1;
  Object diff3124 = callmethod(*var_cap, "-(1)", 1, partcv, params);
// compiled op node returning diff3124 (depth = 4)
  int op_slot_right_3120 = gc_frame_newslot(diff3124);
// starting to compile num node (depth = 4)
  Object num3126 = alloc_Float64(0);
// compiled num node returning num3126 (depth = 4)
  int op_slot_left_3120 = gc_frame_newslot(num3126);
  params[0] = diff3124;
  partcv[0] = 1;
  Object opresult3127 = callmethod(num3126, "..(1)", 1, partcv, params);
// compiled op node returning opresult3127 (depth = 3)
  params[0] = block3113;
  partcv[0] = 1;
  Object call3128 = callmethodflags(opresult3127, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3112);
// compiled call node returning call3128 (depth = 2)
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  sourceObject = obj2330;
  objclass2330 = obj2330->class;
  objclass2330->definitionModule = modulename;
  objclass2330->definitionLine = 1199;
  (*(struct UserObject *)self).data[0] = lowerouter2330;
  self = oldself2330;
  selfslot = oldselfslot2330;
  stackframe = oldstackframe2330;
  gc_frame_end(frame);
  return obj2330;
}
Object meth_collectionsPrelude_set2291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "set");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object *var_ConcurrentModification = getfromclosure(closure, 4);
  Object *var_IteratorExhausted = getfromclosure(closure, 5);
  Object *var_Iterable = getfromclosure(closure, 6);
  Object *var_collection = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2292 = alloc_userobj2(5,6, objclass2292);
  gc_frame_newslot(obj2292);
if (objclass2292 == NULL) {
  glfree(obj2292->class->name);
  obj2292->class->name = "set";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2292, self, 0);
  addmethodreal(obj2292,"outer", &reader_collectionsPrelude_outer_2293);
  Object oldself2292 = self;
  struct StackFrameObject *oldstackframe2292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2292);
  gc_frame_newslot((Object)stackframe);
  self = obj2292;
  Object *oldselfslot2292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2292 = (*(struct UserObject *)self).data[0], lowerouter2292 = thisouter2292;
  if (inheritingObject2292) {
    struct UserObject *inho2292 = (struct UserObject *)inheritingObject2292;
    while (inho2292->super != GraceDefaultObject) inho2292 = (struct UserObject *)inho2292->super;
    inho2292->super = obj2292;
    self = inheritingObject2292;
    *selfslot = self;
    lowerouter2292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2292;
  }
// method "asString"
  struct UserObject *uo2294 = (struct UserObject*)obj2292;
  uo2294->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2294 = addmethod2pos(obj2292, "asString", &meth_collectionsPrelude_asString2294, 1);
  int argcv_meth_collectionsPrelude_asString2294[] = {0};
  meth_meth_collectionsPrelude_asString2294->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2294);
  meth_meth_collectionsPrelude_asString2294->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2294->definitionLine = 1186;
// method "withAll(_)"
  struct UserObject *uo2296 = (struct UserObject*)obj2292;
  uo2296->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_2296 = addmethod2pos(obj2292, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_2296, 2);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_2296[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_2296);
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->definitionLine = 1188;
// method "empty"
  struct UserObject *uo2325 = (struct UserObject*)obj2292;
  uo2325->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_empty2325 = addmethod2pos(obj2292, "empty", &meth_collectionsPrelude_empty2325, 3);
  int argcv_meth_collectionsPrelude_empty2325[] = {0};
  meth_meth_collectionsPrelude_empty2325->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty2325);
  meth_meth_collectionsPrelude_empty2325->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty2325->definitionLine = 1195;
// method "ofCapacity(_)"
  block_savedest(obj2292);
  Object closure2329 = createclosure(8, "ofCapacity(1)");
  setclosureframe(closure2329, stackframe);
  addtoclosure(closure2329, var_NoSuchObject);
  addtoclosure(closure2329, var_removed);
  addtoclosure(closure2329, var__prelude);
  addtoclosure(closure2329, var_unused);
  addtoclosure(closure2329, var_ConcurrentModification);
  addtoclosure(closure2329, var_IteratorExhausted);
  addtoclosure(closure2329, var_Iterable);
  addtoclosure(closure2329, var_collection);
  struct UserObject *uo2329 = (struct UserObject*)obj2292;
  uo2329->data[4] = (Object)closure2329;
  Method *meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329 = addmethod2pos(obj2292, "ofCapacity(1)", &meth_collectionsPrelude_ofCapacity_40_1_41_2329, 4);
  int argcv_meth_collectionsPrelude_ofCapacity_40_1_41_2329[] = {1};
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_ofCapacity_40_1_41_2329);
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->definitionModule = modulename;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->definitionLine = 1199;
  block_savedest(obj2292);
  Object closure3129 = createclosure(8, "ofCapacity(1)$object(1)");
  setclosureframe(closure3129, stackframe);
  addtoclosure(closure3129, var_NoSuchObject);
  addtoclosure(closure3129, var_removed);
  addtoclosure(closure3129, var__prelude);
  addtoclosure(closure3129, var_unused);
  addtoclosure(closure3129, var_ConcurrentModification);
  addtoclosure(closure3129, var_IteratorExhausted);
  addtoclosure(closure3129, var_Iterable);
  addtoclosure(closure3129, var_collection);
  Method *meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object = addmethod2pos(obj2292, "ofCapacity(1)$object(1)", &meth_collectionsPrelude_ofCapacity_40_1_41_2329_object, 4);
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->definitionLine = 1199;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  objclass2292 = obj2292->class;
  objclass2292->definitionModule = modulename;
  objclass2292->definitionLine = 1184;
  (*(struct UserObject *)self).data[0] = lowerouter2292;
  self = oldself2292;
  selfslot = oldselfslot2292;
  stackframe = oldstackframe2292;
  gc_frame_end(frame);
  return obj2292;
}
Object meth_collectionsPrelude_set2291_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "set$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  Object *var_ConcurrentModification = getfromclosure(closure, 4);
  Object *var_IteratorExhausted = getfromclosure(closure, 5);
  Object *var_Iterable = getfromclosure(closure, 6);
  Object *var_collection = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2292 = alloc_userobj2(5,6, objclass2292);
  gc_frame_newslot(obj2292);
if (objclass2292 == NULL) {
  glfree(obj2292->class->name);
  obj2292->class->name = "set";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2292, self, 0);
  addmethodreal(obj2292,"outer", &reader_collectionsPrelude_outer_2293);
  Object oldself2292 = self;
  struct StackFrameObject *oldstackframe2292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2292);
  gc_frame_newslot((Object)stackframe);
  self = obj2292;
  Object *oldselfslot2292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2292 = (*(struct UserObject *)self).data[0], lowerouter2292 = thisouter2292;
  if (inheritingObject2292) {
    struct UserObject *inho2292 = (struct UserObject *)inheritingObject2292;
    while (inho2292->super != GraceDefaultObject) inho2292 = (struct UserObject *)inho2292->super;
    inho2292->super = obj2292;
    self = inheritingObject2292;
    *selfslot = self;
    lowerouter2292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2292;
  }
// method "asString"
  struct UserObject *uo2294 = (struct UserObject*)obj2292;
  uo2294->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2294 = addmethod2pos(obj2292, "asString", &meth_collectionsPrelude_asString2294, 1);
  int argcv_meth_collectionsPrelude_asString2294[] = {0};
  meth_meth_collectionsPrelude_asString2294->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2294);
  meth_meth_collectionsPrelude_asString2294->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2294->definitionLine = 1186;
// method "withAll(_)"
  struct UserObject *uo2296 = (struct UserObject*)obj2292;
  uo2296->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_2296 = addmethod2pos(obj2292, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_2296, 2);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_2296[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_2296);
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_2296->definitionLine = 1188;
// method "empty"
  struct UserObject *uo2325 = (struct UserObject*)obj2292;
  uo2325->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_empty2325 = addmethod2pos(obj2292, "empty", &meth_collectionsPrelude_empty2325, 3);
  int argcv_meth_collectionsPrelude_empty2325[] = {0};
  meth_meth_collectionsPrelude_empty2325->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty2325);
  meth_meth_collectionsPrelude_empty2325->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty2325->definitionLine = 1195;
// method "ofCapacity(_)"
  block_savedest(obj2292);
  Object closure2329 = createclosure(8, "ofCapacity(1)");
  setclosureframe(closure2329, stackframe);
  addtoclosure(closure2329, var_NoSuchObject);
  addtoclosure(closure2329, var_removed);
  addtoclosure(closure2329, var__prelude);
  addtoclosure(closure2329, var_unused);
  addtoclosure(closure2329, var_ConcurrentModification);
  addtoclosure(closure2329, var_IteratorExhausted);
  addtoclosure(closure2329, var_Iterable);
  addtoclosure(closure2329, var_collection);
  struct UserObject *uo2329 = (struct UserObject*)obj2292;
  uo2329->data[4] = (Object)closure2329;
  Method *meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329 = addmethod2pos(obj2292, "ofCapacity(1)", &meth_collectionsPrelude_ofCapacity_40_1_41_2329, 4);
  int argcv_meth_collectionsPrelude_ofCapacity_40_1_41_2329[] = {1};
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_ofCapacity_40_1_41_2329);
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->definitionModule = modulename;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329->definitionLine = 1199;
  block_savedest(obj2292);
  Object closure3129 = createclosure(8, "ofCapacity(1)$object(1)");
  setclosureframe(closure3129, stackframe);
  addtoclosure(closure3129, var_NoSuchObject);
  addtoclosure(closure3129, var_removed);
  addtoclosure(closure3129, var__prelude);
  addtoclosure(closure3129, var_unused);
  addtoclosure(closure3129, var_ConcurrentModification);
  addtoclosure(closure3129, var_IteratorExhausted);
  addtoclosure(closure3129, var_Iterable);
  addtoclosure(closure3129, var_collection);
  Method *meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object = addmethod2pos(obj2292, "ofCapacity(1)$object(1)", &meth_collectionsPrelude_ofCapacity_40_1_41_2329_object, 4);
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_ofCapacity_40_1_41_2329_object->definitionLine = 1199;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  objclass2292 = obj2292->class;
  objclass2292->definitionModule = modulename;
  objclass2292->definitionLine = 1184;
  (*(struct UserObject *)self).data[0] = lowerouter2292;
  self = oldself2292;
  selfslot = oldselfslot2292;
  stackframe = oldstackframe2292;
  gc_frame_end(frame);
  return obj2292;
}
Object meth_collectionsPrelude_asString3134(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1504
  setline(1504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit3135 == NULL) {
    strlit3135 = alloc_String("a dictionary factory");
    gc_root(strlit3135);
  }
// compiled string node returning strlit3135 (depth = 2)
  gc_frame_end(frame);
  return strlit3135;
}
Object meth_collectionsPrelude__apply_40_1_41_3141(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe3142 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call3143 = callmethodflags(*var_result, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3142);
// compiled call node returning call3143 (depth = 4)
  gc_frame_end(frame);
  return call3143;
}
Object meth_collectionsPrelude_withAll_40_1_41_3136(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withAll(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method withAll(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for withAll(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_initialBindings = &(stackframe->slots[0]);
  *var_initialBindings = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withAll(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "result");
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3137 = gc_frame_new();
// call case 4: self request
  Object call3138 = callmethodflags(self, "empty", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3137);
// compiled member node returning call3138 (depth = 3)
  *var_result = call3138;
  if (call3138 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1508
  setline(1508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3139 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_initialBindings (depth = 3)
  gc_frame_newslot(*var_initialBindings);
// starting to compile block node (depth = 3)
  Object block3140 = alloc_Block(NULL, NULL, "collectionsPrelude", 1508);
  gc_frame_newslot(block3140);
// method "_apply(_)"
  block_savedest(block3140);
  Object closure3141 = createclosure(2, "_apply(1)");
  setclosureframe(closure3141, stackframe);
  addtoclosure(closure3141, var_result);
  addtoclosure(closure3141, selfslot);
  struct UserObject *uo3141 = (struct UserObject*)block3140;
  uo3141->data[0] = (Object)closure3141;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3141 = addmethod2pos(block3140, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3141, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3141[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3141->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3141);
  meth_meth_collectionsPrelude__apply_40_1_41_3141->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3141->definitionLine = 1990;
// compiled block node returning block3140 (depth = 3)
  gc_frame_newslot(block3140);
// call case 5: prelude request
  params[0] = *var_initialBindings;
  params[1] = block3140;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3145 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3139);
// compiled call node returning call3145 (depth = 2)
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude_size3152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1520
  setline(1520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3153 = gc_frame_new();
// call case 4: self request
  Object call3154 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3153);
// compiled member node returning call3154 (depth = 2)
  gc_frame_end(frame);
  return call3154;
}
Object meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at(1)put(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)put(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_binding = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for at(_)put(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_key_39_ = &(stackframe->slots[0]);
  *var_key_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *var_value_39_ = &(stackframe->slots[1]);
  *var_value_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part put(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "t");
// Begin line 1522
  setline(1522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3156 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3158 = alloc_Float64(1);
// compiled num node returning num3158 (depth = 4)
  int op_slot_right_3157 = gc_frame_newslot(num3158);
// starting to compile member node (depth = 4)
  int callframe3160 = gc_frame_new();
// call case 4: self request
  Object call3161 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3160);
// compiled member node returning call3161 (depth = 4)
  int op_slot_left_3157 = gc_frame_newslot(call3161);
  params[0] = num3158;
  partcv[0] = 1;
  Object sum3162 = callmethod(call3161, "+(1)", 1, partcv, params);
// compiled op node returning sum3162 (depth = 3)
  gc_frame_newslot(sum3162);
// call case 4: self request
  params[0] = sum3162;
  partcv[0] = 1;
  Object call3163 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3156);
// compiled call node returning call3163 (depth = 2)
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3164 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_key_39_ (depth = 4)
  gc_frame_newslot(*var_key_39_);
// call case 4: self request
  params[0] = *var_key_39_;
  partcv[0] = 1;
  Object call3165 = callmethodflags(self, "findPositionForAdd(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3164);
// compiled call node returning call3165 (depth = 3)
  *var_t = call3165;
  if (call3165 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3169 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3170 = gc_frame_new();
// call case 4: self request
  Object call3171 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3170);
// compiled member node returning call3171 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3172 = callmethodflags(call3171, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3169);
// compiled call node returning call3172 (depth = 5)
  int op_slot_right_3168 = gc_frame_newslot(call3172);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_removed (depth = 5)
  int op_slot_left_3168 = gc_frame_newslot(*var_removed);
  params[0] = call3172;
  partcv[0] = 1;
  Object opresult3174 = callmethod(*var_removed, "==(1)", 1, partcv, params);
// compiled op node returning opresult3174 (depth = 4)
  int op_slot_right_3167 = gc_frame_newslot(opresult3174);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3177 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3178 = gc_frame_new();
// call case 4: self request
  Object call3179 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3178);
// compiled member node returning call3179 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3180 = callmethodflags(call3179, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3177);
// compiled call node returning call3180 (depth = 5)
  int op_slot_right_3176 = gc_frame_newslot(call3180);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  int op_slot_left_3176 = gc_frame_newslot(*var_unused);
  params[0] = call3180;
  partcv[0] = 1;
  Object opresult3182 = callmethod(*var_unused, "==(1)", 1, partcv, params);
// compiled op node returning opresult3182 (depth = 4)
  int op_slot_left_3167 = gc_frame_newslot(opresult3182);
  params[0] = opresult3174;
  partcv[0] = 1;
  Object opresult3183 = callmethod(opresult3182, "||(1)", 1, partcv, params);
// compiled op node returning opresult3183 (depth = 3)
  Object if3166 = done;
  if (istrue(opresult3183)) {
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3184 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3186 = alloc_Float64(1);
// compiled num node returning num3186 (depth = 5)
  int op_slot_right_3185 = gc_frame_newslot(num3186);
// starting to compile member node (depth = 5)
  int callframe3188 = gc_frame_new();
// call case 4: self request
  Object call3189 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3188);
// compiled member node returning call3189 (depth = 5)
  int op_slot_left_3185 = gc_frame_newslot(call3189);
  params[0] = num3186;
  partcv[0] = 1;
  Object sum3190 = callmethod(call3189, "+(1)", 1, partcv, params);
// compiled op node returning sum3190 (depth = 4)
  gc_frame_newslot(sum3190);
// call case 4: self request
  params[0] = sum3190;
  partcv[0] = 1;
  Object call3191 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3184);
// compiled call node returning call3191 (depth = 3)
    gc_frame_newslot(call3191);
    if3166 = call3191;
  } else {
  }
// compiled if node returning if3166 (depth = 2)
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3192 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  gc_frame_newslot(*var_t);
// starting to compile call node (depth = 3)
  int callframe3193 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_key_39_ (depth = 4)
  gc_frame_newslot(*var_key_39_);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_value_39_ (depth = 4)
  gc_frame_newslot(*var_value_39_);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_binding (depth = 4)
  params[0] = *var_key_39_;
  params[1] = *var_value_39_;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3194 = callmethodflags(*var_binding, "key(1)value(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3193);
// compiled call node returning call3194 (depth = 3)
  gc_frame_newslot(call3194);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3195 = gc_frame_new();
// call case 4: self request
  Object call3196 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3195);
// compiled member node returning call3196 (depth = 3)
  params[0] = *var_t;
  params[1] = call3194;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3197 = callmethodflags(call3196, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3192);
// compiled call node returning call3197 (depth = 2)
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3200 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3201 = gc_frame_new();
// call case 4: self request
  Object call3202 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3201);
// compiled member node returning call3202 (depth = 5)
  Object call3203 = callmethodflags(call3202, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3200);
// compiled member node returning call3203 (depth = 4)
  int op_slot_right_3199 = gc_frame_newslot(call3203);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3206 = alloc_Float64(2);
// compiled num node returning num3206 (depth = 5)
  int op_slot_right_3205 = gc_frame_newslot(num3206);
// starting to compile member node (depth = 5)
  int callframe3208 = gc_frame_new();
// call case 4: self request
  Object call3209 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3208);
// compiled member node returning call3209 (depth = 5)
  int op_slot_left_3205 = gc_frame_newslot(call3209);
  params[0] = num3206;
  partcv[0] = 1;
  Object prod3210 = callmethod(call3209, "*(1)", 1, partcv, params);
// compiled op node returning prod3210 (depth = 4)
  int op_slot_left_3199 = gc_frame_newslot(prod3210);
  params[0] = call3203;
  partcv[0] = 1;
  Object opresult3211 = callmethod(prod3210, ">(1)", 1, partcv, params);
// compiled op node returning opresult3211 (depth = 3)
  Object if3198 = done;
  if (istrue(opresult3211)) {
// starting to compile member node (depth = 3)
  int callframe3212 = gc_frame_new();
// call case 4: self request
  Object call3213 = callmethodflags(self, "expand", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3212);
// compiled member node returning call3213 (depth = 3)
    gc_frame_newslot(call3213);
    if3198 = call3213;
  } else {
  }
// compiled if node returning if3198 (depth = 2)
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_add_40_1_41_3214(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "add(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method add(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for add(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aBinding = &(stackframe->slots[0]);
  *var_aBinding = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part add(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3215 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3217 = alloc_Float64(1);
// compiled num node returning num3217 (depth = 4)
  int op_slot_right_3216 = gc_frame_newslot(num3217);
// starting to compile member node (depth = 4)
  int callframe3219 = gc_frame_new();
// call case 4: self request
  Object call3220 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3219);
// compiled member node returning call3220 (depth = 4)
  int op_slot_left_3216 = gc_frame_newslot(call3220);
  params[0] = num3217;
  partcv[0] = 1;
  Object sum3221 = callmethod(call3220, "+(1)", 1, partcv, params);
// compiled op node returning sum3221 (depth = 3)
  gc_frame_newslot(sum3221);
// call case 4: self request
  params[0] = sum3221;
  partcv[0] = 1;
  Object call3222 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3215);
// compiled call node returning call3222 (depth = 2)
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3223 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3224 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aBinding (depth = 5)
  Object call3225 = callmethodflags(*var_aBinding, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3224);
// compiled member node returning call3225 (depth = 4)
  gc_frame_newslot(call3225);
// call case 4: self request
  params[0] = call3225;
  partcv[0] = 1;
  Object call3226 = callmethodflags(self, "findPositionForAdd(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3223);
// compiled call node returning call3226 (depth = 3)
  *var_t = call3226;
  if (call3226 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3230 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3231 = gc_frame_new();
// call case 4: self request
  Object call3232 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3231);
// compiled member node returning call3232 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3233 = callmethodflags(call3232, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3230);
// compiled call node returning call3233 (depth = 5)
  int op_slot_right_3229 = gc_frame_newslot(call3233);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_removed (depth = 5)
  int op_slot_left_3229 = gc_frame_newslot(*var_removed);
  params[0] = call3233;
  partcv[0] = 1;
  Object opresult3235 = callmethod(*var_removed, "==(1)", 1, partcv, params);
// compiled op node returning opresult3235 (depth = 4)
  int op_slot_right_3228 = gc_frame_newslot(opresult3235);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3238 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3239 = gc_frame_new();
// call case 4: self request
  Object call3240 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3239);
// compiled member node returning call3240 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3241 = callmethodflags(call3240, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3238);
// compiled call node returning call3241 (depth = 5)
  int op_slot_right_3237 = gc_frame_newslot(call3241);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  int op_slot_left_3237 = gc_frame_newslot(*var_unused);
  params[0] = call3241;
  partcv[0] = 1;
  Object opresult3243 = callmethod(*var_unused, "==(1)", 1, partcv, params);
// compiled op node returning opresult3243 (depth = 4)
  int op_slot_left_3228 = gc_frame_newslot(opresult3243);
  params[0] = opresult3235;
  partcv[0] = 1;
  Object opresult3244 = callmethod(opresult3243, "||(1)", 1, partcv, params);
// compiled op node returning opresult3244 (depth = 3)
  Object if3227 = done;
  if (istrue(opresult3244)) {
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3245 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3247 = alloc_Float64(1);
// compiled num node returning num3247 (depth = 5)
  int op_slot_right_3246 = gc_frame_newslot(num3247);
// starting to compile member node (depth = 5)
  int callframe3249 = gc_frame_new();
// call case 4: self request
  Object call3250 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3249);
// compiled member node returning call3250 (depth = 5)
  int op_slot_left_3246 = gc_frame_newslot(call3250);
  params[0] = num3247;
  partcv[0] = 1;
  Object sum3251 = callmethod(call3250, "+(1)", 1, partcv, params);
// compiled op node returning sum3251 (depth = 4)
  gc_frame_newslot(sum3251);
// call case 4: self request
  params[0] = sum3251;
  partcv[0] = 1;
  Object call3252 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3245);
// compiled call node returning call3252 (depth = 3)
    gc_frame_newslot(call3252);
    if3227 = call3252;
  } else {
  }
// compiled if node returning if3227 (depth = 2)
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3253 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_aBinding (depth = 3)
  gc_frame_newslot(*var_aBinding);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3254 = gc_frame_new();
// call case 4: self request
  Object call3255 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3254);
// compiled member node returning call3255 (depth = 3)
  params[0] = *var_t;
  params[1] = *var_aBinding;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3256 = callmethodflags(call3255, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3253);
// compiled call node returning call3256 (depth = 2)
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3260 = gc_frame_new();
// call case 4: self request
  Object call3261 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3260);
// compiled member node returning call3261 (depth = 5)
  Object call3262 = callmethodflags(call3261, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3259);
// compiled member node returning call3262 (depth = 4)
  int op_slot_right_3258 = gc_frame_newslot(call3262);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3265 = alloc_Float64(2);
// compiled num node returning num3265 (depth = 5)
  int op_slot_right_3264 = gc_frame_newslot(num3265);
// starting to compile member node (depth = 5)
  int callframe3267 = gc_frame_new();
// call case 4: self request
  Object call3268 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3267);
// compiled member node returning call3268 (depth = 5)
  int op_slot_left_3264 = gc_frame_newslot(call3268);
  params[0] = num3265;
  partcv[0] = 1;
  Object prod3269 = callmethod(call3268, "*(1)", 1, partcv, params);
// compiled op node returning prod3269 (depth = 4)
  int op_slot_left_3258 = gc_frame_newslot(prod3269);
  params[0] = call3262;
  partcv[0] = 1;
  Object opresult3270 = callmethod(prod3269, ">(1)", 1, partcv, params);
// compiled op node returning opresult3270 (depth = 3)
  Object if3257 = done;
  if (istrue(opresult3270)) {
// starting to compile member node (depth = 3)
  int callframe3271 = gc_frame_new();
// call case 4: self request
  Object call3272 = callmethodflags(self, "expand", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3271);
// compiled member node returning call3272 (depth = 3)
    gc_frame_newslot(call3272);
    if3257 = call3272;
  } else {
  }
// compiled if node returning if3257 (depth = 2)
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_at_40_1_41_3273(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_b = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "b");
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3274 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3275 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call3276 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3275);
// compiled call node returning call3276 (depth = 4)
  gc_frame_newslot(call3276);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3277 = gc_frame_new();
// call case 4: self request
  Object call3278 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3277);
// compiled member node returning call3278 (depth = 4)
  params[0] = call3276;
  partcv[0] = 1;
  Object call3279 = callmethodflags(call3278, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3274);
// compiled call node returning call3279 (depth = 3)
  *var_b = call3279;
  if (call3279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_3281 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
  int callframe3283 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  Object call3284 = callmethodflags(*var_b, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3283);
// compiled member node returning call3284 (depth = 4)
  int op_slot_left_3281 = gc_frame_newslot(call3284);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3285 = callmethod(call3284, "==(1)", 1, partcv, params);
// compiled op node returning opresult3285 (depth = 3)
  Object if3280 = done;
  if (istrue(opresult3285)) {
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3286 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  Object call3287 = callmethodflags(*var_b, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3286);
// compiled member node returning call3287 (depth = 4)
  return call3287;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3280 = undefined;
  } else {
  }
// compiled if node returning if3280 (depth = 2)
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3288 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3290 == NULL) {
    strlit3290 = alloc_String("");
    gc_root(strlit3290);
  }
// compiled string node returning strlit3290 (depth = 4)
  int op_slot_right_3289 = gc_frame_newslot(strlit3290);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  int op_slot_right_3292 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 5)
  if (strlit3294 == NULL) {
    strlit3294 = alloc_String("dictionary does not contain entry with key ");
    gc_root(strlit3294);
  }
// compiled string node returning strlit3294 (depth = 5)
  int op_slot_left_3292 = gc_frame_newslot(strlit3294);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3295 = callmethod(strlit3294, "++(1)", 1, partcv, params);
// compiled op node returning opresult3295 (depth = 4)
  int op_slot_left_3289 = gc_frame_newslot(opresult3295);
  params[0] = strlit3290;
  partcv[0] = 1;
  Object opresult3296 = callmethod(opresult3295, "++(1)", 1, partcv, params);
// compiled op node returning opresult3296 (depth = 3)
  gc_frame_newslot(opresult3296);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_NoSuchObject (depth = 3)
  params[0] = opresult3296;
  partcv[0] = 1;
  Object call3297 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3288);
// compiled call node returning call3297 (depth = 2)
  gc_frame_end(frame);
  return call3297;
}
Object meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)ifAbsent(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for at(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_b = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "b");
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3299 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3300 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call3301 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3300);
// compiled call node returning call3301 (depth = 4)
  gc_frame_newslot(call3301);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3302 = gc_frame_new();
// call case 4: self request
  Object call3303 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3302);
// compiled member node returning call3303 (depth = 4)
  params[0] = call3301;
  partcv[0] = 1;
  Object call3304 = callmethodflags(call3303, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3299);
// compiled call node returning call3304 (depth = 3)
  *var_b = call3304;
  if (call3304 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_3306 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
  int callframe3308 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  Object call3309 = callmethodflags(*var_b, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3308);
// compiled member node returning call3309 (depth = 4)
  int op_slot_left_3306 = gc_frame_newslot(call3309);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3310 = callmethod(call3309, "==(1)", 1, partcv, params);
// compiled op node returning opresult3310 (depth = 3)
  Object if3305 = done;
  if (istrue(opresult3310)) {
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3311 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  Object call3312 = callmethodflags(*var_b, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3311);
// compiled member node returning call3312 (depth = 4)
  return call3312;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3305 = undefined;
  } else {
  }
// compiled if node returning if3305 (depth = 2)
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3313 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_action (depth = 3)
  Object call3314 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe3313);
// compiled member node returning call3314 (depth = 2)
  gc_frame_end(frame);
  return call3314;
}
Object meth_collectionsPrelude_containsKey_40_1_41_3315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "containsKey(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method containsKey(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for containsKey(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part containsKey(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3316 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call3317 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3316);
// compiled call node returning call3317 (depth = 3)
  *var_t = call3317;
  if (call3317 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_3319 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
  int callframe3321 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe3322 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3323 = gc_frame_new();
// call case 4: self request
  Object call3324 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3323);
// compiled member node returning call3324 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3325 = callmethodflags(call3324, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3322);
// compiled call node returning call3325 (depth = 5)
  Object call3326 = callmethodflags(call3325, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3321);
// compiled member node returning call3326 (depth = 4)
  int op_slot_left_3319 = gc_frame_newslot(call3326);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3327 = callmethod(call3326, "==(1)", 1, partcv, params);
// compiled op node returning opresult3327 (depth = 3)
  Object if3318 = done;
  if (istrue(opresult3327)) {
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool3328 = alloc_Boolean(1);
// compiled identifier node returning bool3328 (depth = 4)
  return bool3328;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3318 = undefined;
  } else {
  }
// compiled if node returning if3318 (depth = 2)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3329 = alloc_Boolean(0);
// compiled identifier node returning bool3329 (depth = 2)
  gc_frame_end(frame);
  return bool3329;
}
Object meth_collectionsPrelude__apply_40_1_41_3341(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3342 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call3343 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3342);
// compiled call node returning call3343 (depth = 5)
  *var_t = call3343;
  if (call3343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  int op_slot_right_3345 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 6)
  int callframe3347 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe3348 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3349 = gc_frame_new();
// call case 4: self request
  Object call3350 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3349);
// compiled member node returning call3350 (depth = 8)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3351 = callmethodflags(call3350, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3348);
// compiled call node returning call3351 (depth = 7)
  Object call3352 = callmethodflags(call3351, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3347);
// compiled member node returning call3352 (depth = 6)
  int op_slot_left_3345 = gc_frame_newslot(call3352);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3353 = callmethod(call3352, "==(1)", 1, partcv, params);
// compiled op node returning opresult3353 (depth = 5)
  Object if3344 = done;
  if (istrue(opresult3353)) {
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3354 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3355 = gc_frame_new();
// call case 4: self request
  Object call3356 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3355);
// compiled member node returning call3356 (depth = 6)
  params[0] = *var_t;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3357 = callmethodflags(call3356, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3354);
// compiled call node returning call3357 (depth = 5)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3358 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3360 = alloc_Float64(1);
// compiled num node returning num3360 (depth = 7)
  int op_slot_right_3359 = gc_frame_newslot(num3360);
// starting to compile member node (depth = 7)
  int callframe3362 = gc_frame_new();
// call case 4: self request
  Object call3363 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3362);
// compiled member node returning call3363 (depth = 7)
  int op_slot_left_3359 = gc_frame_newslot(call3363);
  params[0] = num3360;
  partcv[0] = 1;
  Object diff3364 = callmethod(call3363, "-(1)", 1, partcv, params);
// compiled op node returning diff3364 (depth = 6)
  gc_frame_newslot(diff3364);
// call case 4: self request
  params[0] = diff3364;
  partcv[0] = 1;
  Object call3365 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3358);
// compiled call node returning call3365 (depth = 5)
    gc_frame_newslot(call3365);
    if3344 = call3365;
  } else {
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3366 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3368 == NULL) {
    strlit3368 = alloc_String("");
    gc_root(strlit3368);
  }
// compiled string node returning strlit3368 (depth = 7)
  int op_slot_right_3367 = gc_frame_newslot(strlit3368);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  int op_slot_right_3370 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 8)
  if (strlit3372 == NULL) {
    strlit3372 = alloc_String("dictionary does not contain entry with key ");
    gc_root(strlit3372);
  }
// compiled string node returning strlit3372 (depth = 8)
  int op_slot_left_3370 = gc_frame_newslot(strlit3372);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3373 = callmethod(strlit3372, "++(1)", 1, partcv, params);
// compiled op node returning opresult3373 (depth = 7)
  int op_slot_left_3367 = gc_frame_newslot(opresult3373);
  params[0] = strlit3368;
  partcv[0] = 1;
  Object opresult3374 = callmethod(opresult3373, "++(1)", 1, partcv, params);
// compiled op node returning opresult3374 (depth = 6)
  gc_frame_newslot(opresult3374);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_NoSuchObject (depth = 6)
  params[0] = opresult3374;
  partcv[0] = 1;
  Object call3375 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3366);
// compiled call node returning call3375 (depth = 5)
    gc_frame_newslot(call3375);
    if3344 = call3375;
  }
// compiled if node returning if3344 (depth = 4)
  gc_frame_end(frame);
  return if3344;
}
Object meth_collectionsPrelude_removeAllKeys_40_1_41_3330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAllKeys(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAllKeys(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAllKeys(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_keys = &(stackframe->slots[0]);
  *var_keys = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAllKeys(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3331 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3333 = alloc_Float64(1);
// compiled num node returning num3333 (depth = 4)
  int op_slot_right_3332 = gc_frame_newslot(num3333);
// starting to compile member node (depth = 4)
  int callframe3335 = gc_frame_new();
// call case 4: self request
  Object call3336 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3335);
// compiled member node returning call3336 (depth = 4)
  int op_slot_left_3332 = gc_frame_newslot(call3336);
  params[0] = num3333;
  partcv[0] = 1;
  Object sum3337 = callmethod(call3336, "+(1)", 1, partcv, params);
// compiled op node returning sum3337 (depth = 3)
  gc_frame_newslot(sum3337);
// call case 4: self request
  params[0] = sum3337;
  partcv[0] = 1;
  Object call3338 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3331);
// compiled call node returning call3338 (depth = 2)
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3339 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keys (depth = 3)
  gc_frame_newslot(*var_keys);
// starting to compile block node (depth = 3)
  Object block3340 = alloc_Block(NULL, NULL, "collectionsPrelude", 1564);
  gc_frame_newslot(block3340);
// method "_apply(_)"
  block_savedest(block3340);
  Object closure3341 = createclosure(3, "_apply(1)");
  setclosureframe(closure3341, stackframe);
  addtoclosure(closure3341, var_removed);
  addtoclosure(closure3341, var_NoSuchObject);
  addtoclosure(closure3341, selfslot);
  struct UserObject *uo3341 = (struct UserObject*)block3340;
  uo3341->data[0] = (Object)closure3341;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3341 = addmethod2pos(block3340, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3341, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3341[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3341->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3341);
  meth_meth_collectionsPrelude__apply_40_1_41_3341->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3341->definitionLine = 1990;
// compiled block node returning block3340 (depth = 3)
  gc_frame_newslot(block3340);
// call case 5: prelude request
  params[0] = *var_keys;
  params[1] = block3340;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3377 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3339);
// compiled call node returning call3377 (depth = 2)
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_removeKey_40_1_41_3378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeKey(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeKey(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeKey(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeKey(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3379 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3381 = alloc_Float64(1);
// compiled num node returning num3381 (depth = 4)
  int op_slot_right_3380 = gc_frame_newslot(num3381);
// starting to compile member node (depth = 4)
  int callframe3383 = gc_frame_new();
// call case 4: self request
  Object call3384 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3383);
// compiled member node returning call3384 (depth = 4)
  int op_slot_left_3380 = gc_frame_newslot(call3384);
  params[0] = num3381;
  partcv[0] = 1;
  Object sum3385 = callmethod(call3384, "+(1)", 1, partcv, params);
// compiled op node returning sum3385 (depth = 3)
  gc_frame_newslot(sum3385);
// call case 4: self request
  params[0] = sum3385;
  partcv[0] = 1;
  Object call3386 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3379);
// compiled call node returning call3386 (depth = 2)
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3387 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call3388 = callmethodflags(self, "findPosition(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3387);
// compiled call node returning call3388 (depth = 3)
  *var_t = call3388;
  if (call3388 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_3390 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
  int callframe3392 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe3393 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3394 = gc_frame_new();
// call case 4: self request
  Object call3395 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3394);
// compiled member node returning call3395 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3396 = callmethodflags(call3395, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3393);
// compiled call node returning call3396 (depth = 5)
  Object call3397 = callmethodflags(call3396, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3392);
// compiled member node returning call3397 (depth = 4)
  int op_slot_left_3390 = gc_frame_newslot(call3397);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3398 = callmethod(call3397, "==(1)", 1, partcv, params);
// compiled op node returning opresult3398 (depth = 3)
  Object if3389 = done;
  if (istrue(opresult3398)) {
// Begin line 1579
  setline(1579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3399 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_removed (depth = 4)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3400 = gc_frame_new();
// call case 4: self request
  Object call3401 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3400);
// compiled member node returning call3401 (depth = 4)
  params[0] = *var_t;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3402 = callmethodflags(call3401, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3399);
// compiled call node returning call3402 (depth = 3)
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3403 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3405 = alloc_Float64(1);
// compiled num node returning num3405 (depth = 5)
  int op_slot_right_3404 = gc_frame_newslot(num3405);
// starting to compile member node (depth = 5)
  int callframe3407 = gc_frame_new();
// call case 4: self request
  Object call3408 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3407);
// compiled member node returning call3408 (depth = 5)
  int op_slot_left_3404 = gc_frame_newslot(call3408);
  params[0] = num3405;
  partcv[0] = 1;
  Object diff3409 = callmethod(call3408, "-(1)", 1, partcv, params);
// compiled op node returning diff3409 (depth = 4)
  gc_frame_newslot(diff3409);
// call case 4: self request
  params[0] = diff3409;
  partcv[0] = 1;
  Object call3410 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3403);
// compiled call node returning call3410 (depth = 3)
    gc_frame_newslot(call3410);
    if3389 = call3410;
  } else {
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3411 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3413 == NULL) {
    strlit3413 = alloc_String("");
    gc_root(strlit3413);
  }
// compiled string node returning strlit3413 (depth = 5)
  int op_slot_right_3412 = gc_frame_newslot(strlit3413);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  int op_slot_right_3415 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 6)
  if (strlit3417 == NULL) {
    strlit3417 = alloc_String("dictionary does not contain entry with key ");
    gc_root(strlit3417);
  }
// compiled string node returning strlit3417 (depth = 6)
  int op_slot_left_3415 = gc_frame_newslot(strlit3417);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult3418 = callmethod(strlit3417, "++(1)", 1, partcv, params);
// compiled op node returning opresult3418 (depth = 5)
  int op_slot_left_3412 = gc_frame_newslot(opresult3418);
  params[0] = strlit3413;
  partcv[0] = 1;
  Object opresult3419 = callmethod(opresult3418, "++(1)", 1, partcv, params);
// compiled op node returning opresult3419 (depth = 4)
  gc_frame_newslot(opresult3419);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_NoSuchObject (depth = 4)
  params[0] = opresult3419;
  partcv[0] = 1;
  Object call3420 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3411);
// compiled call node returning call3420 (depth = 3)
    gc_frame_newslot(call3420);
    if3389 = call3420;
  }
// compiled if node returning if3389 (depth = 2)
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_3444(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_removals = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1589
  setline(1589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3445 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3446 = gc_frame_new();
// call case 4: self request
  Object call3447 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3446);
// compiled member node returning call3447 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3448 = callmethodflags(call3447, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3445);
// compiled call node returning call3448 (depth = 5)
  *var_a = call3448;
  if (call3448 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3450 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3451 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call3452 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3451);
// compiled member node returning call3452 (depth = 6)
  gc_frame_newslot(call3452);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removals (depth = 6)
  params[0] = call3452;
  partcv[0] = 1;
  Object call3453 = callmethodflags(*var_removals, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3450);
// compiled call node returning call3453 (depth = 5)
  Object if3449 = done;
  if (istrue(call3453)) {
// Begin line 1591
  setline(1591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3454 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3455 = gc_frame_new();
// call case 4: self request
  Object call3456 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3455);
// compiled member node returning call3456 (depth = 6)
  params[0] = *var_i;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3457 = callmethodflags(call3456, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3454);
// compiled call node returning call3457 (depth = 5)
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3458 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3460 = alloc_Float64(1);
// compiled num node returning num3460 (depth = 7)
  int op_slot_right_3459 = gc_frame_newslot(num3460);
// starting to compile member node (depth = 7)
  int callframe3462 = gc_frame_new();
// call case 4: self request
  Object call3463 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3462);
// compiled member node returning call3463 (depth = 7)
  int op_slot_left_3459 = gc_frame_newslot(call3463);
  params[0] = num3460;
  partcv[0] = 1;
  Object diff3464 = callmethod(call3463, "-(1)", 1, partcv, params);
// compiled op node returning diff3464 (depth = 6)
  gc_frame_newslot(diff3464);
// call case 4: self request
  params[0] = diff3464;
  partcv[0] = 1;
  Object call3465 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3458);
// compiled call node returning call3465 (depth = 5)
    gc_frame_newslot(call3465);
    if3449 = call3465;
  } else {
  }
// compiled if node returning if3449 (depth = 4)
  gc_frame_end(frame);
  return if3449;
}
Object meth_collectionsPrelude_removeAllValues_40_1_41_3421(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAllValues(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeAllValues(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeAllValues(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_removals = &(stackframe->slots[0]);
  *var_removals = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeAllValues(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3422 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3424 = alloc_Float64(1);
// compiled num node returning num3424 (depth = 4)
  int op_slot_right_3423 = gc_frame_newslot(num3424);
// starting to compile member node (depth = 4)
  int callframe3426 = gc_frame_new();
// call case 4: self request
  Object call3427 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3426);
// compiled member node returning call3427 (depth = 4)
  int op_slot_left_3423 = gc_frame_newslot(call3427);
  params[0] = num3424;
  partcv[0] = 1;
  Object sum3428 = callmethod(call3427, "+(1)", 1, partcv, params);
// compiled op node returning sum3428 (depth = 3)
  gc_frame_newslot(sum3428);
// call case 4: self request
  params[0] = sum3428;
  partcv[0] = 1;
  Object call3429 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3422);
// compiled call node returning call3429 (depth = 2)
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3430 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3433 = alloc_Float64(1);
// compiled num node returning num3433 (depth = 5)
  int op_slot_right_3432 = gc_frame_newslot(num3433);
// starting to compile member node (depth = 5)
  int callframe3435 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3436 = gc_frame_new();
// call case 4: self request
  Object call3437 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3436);
// compiled member node returning call3437 (depth = 6)
  Object call3438 = callmethodflags(call3437, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3435);
// compiled member node returning call3438 (depth = 5)
  int op_slot_left_3432 = gc_frame_newslot(call3438);
  params[0] = num3433;
  partcv[0] = 1;
  Object diff3439 = callmethod(call3438, "-(1)", 1, partcv, params);
// compiled op node returning diff3439 (depth = 4)
  int op_slot_right_3431 = gc_frame_newslot(diff3439);
// starting to compile num node (depth = 4)
  Object num3441 = alloc_Float64(0);
// compiled num node returning num3441 (depth = 4)
  int op_slot_left_3431 = gc_frame_newslot(num3441);
  params[0] = diff3439;
  partcv[0] = 1;
  Object opresult3442 = callmethod(num3441, "..(1)", 1, partcv, params);
// compiled op node returning opresult3442 (depth = 3)
  gc_frame_newslot(opresult3442);
// starting to compile block node (depth = 3)
  Object block3443 = alloc_Block(NULL, NULL, "collectionsPrelude", 1588);
  gc_frame_newslot(block3443);
// method "_apply(_)"
  block_savedest(block3443);
  Object closure3444 = createclosure(3, "_apply(1)");
  setclosureframe(closure3444, stackframe);
  addtoclosure(closure3444, var_removals);
  addtoclosure(closure3444, var_removed);
  addtoclosure(closure3444, selfslot);
  struct UserObject *uo3444 = (struct UserObject*)block3443;
  uo3444->data[0] = (Object)closure3444;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3444 = addmethod2pos(block3443, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3444, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3444[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3444->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3444);
  meth_meth_collectionsPrelude__apply_40_1_41_3444->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3444->definitionLine = 1990;
// compiled block node returning block3443 (depth = 3)
  gc_frame_newslot(block3443);
// call case 5: prelude request
  params[0] = opresult3442;
  params[1] = block3443;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3467 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3430);
// compiled call node returning call3467 (depth = 2)
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_3493(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3494 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3495 = gc_frame_new();
// call case 4: self request
  Object call3496 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3495);
// compiled member node returning call3496 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3497 = callmethodflags(call3496, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3494);
// compiled call node returning call3497 (depth = 5)
  *var_a = call3497;
  if (call3497 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3500 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call3501 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3500);
// compiled member node returning call3501 (depth = 6)
  int op_slot_right_3499 = gc_frame_newslot(call3501);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_left_3499 = gc_frame_newslot(*var_v);
  params[0] = call3501;
  partcv[0] = 1;
  Object opresult3503 = callmethod(*var_v, "==(1)", 1, partcv, params);
// compiled op node returning opresult3503 (depth = 5)
  Object if3498 = done;
  if (istrue(opresult3503)) {
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3504 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3505 = gc_frame_new();
// call case 4: self request
  Object call3506 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3505);
// compiled member node returning call3506 (depth = 6)
  params[0] = *var_i;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3507 = callmethodflags(call3506, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3504);
// compiled call node returning call3507 (depth = 5)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3508 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3510 = alloc_Float64(1);
// compiled num node returning num3510 (depth = 7)
  int op_slot_right_3509 = gc_frame_newslot(num3510);
// starting to compile member node (depth = 7)
  int callframe3512 = gc_frame_new();
// call case 4: self request
  Object call3513 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3512);
// compiled member node returning call3513 (depth = 7)
  int op_slot_left_3509 = gc_frame_newslot(call3513);
  params[0] = num3510;
  partcv[0] = 1;
  Object diff3514 = callmethod(call3513, "-(1)", 1, partcv, params);
// compiled op node returning diff3514 (depth = 6)
  gc_frame_newslot(diff3514);
// call case 4: self request
  params[0] = diff3514;
  partcv[0] = 1;
  Object call3515 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3508);
// compiled call node returning call3515 (depth = 5)
    gc_frame_newslot(call3515);
    if3498 = call3515;
  } else {
  }
// compiled if node returning if3498 (depth = 4)
  gc_frame_end(frame);
  return if3498;
}
Object meth_collectionsPrelude_removeValue_40_1_41_3468(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeValue(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeValue(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for removeValue(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeValue(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_initialNumBindings = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "initialNumBindings");
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3469 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3471 = alloc_Float64(1);
// compiled num node returning num3471 (depth = 4)
  int op_slot_right_3470 = gc_frame_newslot(num3471);
// starting to compile member node (depth = 4)
  int callframe3473 = gc_frame_new();
// call case 4: self request
  Object call3474 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3473);
// compiled member node returning call3474 (depth = 4)
  int op_slot_left_3470 = gc_frame_newslot(call3474);
  params[0] = num3471;
  partcv[0] = 1;
  Object sum3475 = callmethod(call3474, "+(1)", 1, partcv, params);
// compiled op node returning sum3475 (depth = 3)
  gc_frame_newslot(sum3475);
// call case 4: self request
  params[0] = sum3475;
  partcv[0] = 1;
  Object call3476 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3469);
// compiled call node returning call3476 (depth = 2)
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3477 = gc_frame_new();
// call case 4: self request
  Object call3478 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3477);
// compiled member node returning call3478 (depth = 3)
  *var_initialNumBindings = call3478;
  if (call3478 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3479 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3482 = alloc_Float64(1);
// compiled num node returning num3482 (depth = 5)
  int op_slot_right_3481 = gc_frame_newslot(num3482);
// starting to compile member node (depth = 5)
  int callframe3484 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3485 = gc_frame_new();
// call case 4: self request
  Object call3486 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3485);
// compiled member node returning call3486 (depth = 6)
  Object call3487 = callmethodflags(call3486, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3484);
// compiled member node returning call3487 (depth = 5)
  int op_slot_left_3481 = gc_frame_newslot(call3487);
  params[0] = num3482;
  partcv[0] = 1;
  Object diff3488 = callmethod(call3487, "-(1)", 1, partcv, params);
// compiled op node returning diff3488 (depth = 4)
  int op_slot_right_3480 = gc_frame_newslot(diff3488);
// starting to compile num node (depth = 4)
  Object num3490 = alloc_Float64(0);
// compiled num node returning num3490 (depth = 4)
  int op_slot_left_3480 = gc_frame_newslot(num3490);
  params[0] = diff3488;
  partcv[0] = 1;
  Object opresult3491 = callmethod(num3490, "..(1)", 1, partcv, params);
// compiled op node returning opresult3491 (depth = 3)
  gc_frame_newslot(opresult3491);
// starting to compile block node (depth = 3)
  Object block3492 = alloc_Block(NULL, NULL, "collectionsPrelude", 1601);
  gc_frame_newslot(block3492);
// method "_apply(_)"
  block_savedest(block3492);
  Object closure3493 = createclosure(3, "_apply(1)");
  setclosureframe(closure3493, stackframe);
  addtoclosure(closure3493, var_v);
  addtoclosure(closure3493, var_removed);
  addtoclosure(closure3493, selfslot);
  struct UserObject *uo3493 = (struct UserObject*)block3492;
  uo3493->data[0] = (Object)closure3493;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3493 = addmethod2pos(block3492, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3493, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3493[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3493->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3493);
  meth_meth_collectionsPrelude__apply_40_1_41_3493->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3493->definitionLine = 1990;
// compiled block node returning block3492 (depth = 3)
  gc_frame_newslot(block3492);
// call case 5: prelude request
  params[0] = opresult3491;
  params[1] = block3492;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3517 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3479);
// compiled call node returning call3517 (depth = 2)
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_initialNumBindings (depth = 4)
  int op_slot_right_3519 = gc_frame_newslot(*var_initialNumBindings);
// starting to compile member node (depth = 4)
  int callframe3521 = gc_frame_new();
// call case 4: self request
  Object call3522 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3521);
// compiled member node returning call3522 (depth = 4)
  int op_slot_left_3519 = gc_frame_newslot(call3522);
  params[0] = *var_initialNumBindings;
  partcv[0] = 1;
  Object opresult3523 = callmethod(call3522, "==(1)", 1, partcv, params);
// compiled op node returning opresult3523 (depth = 3)
  Object if3518 = done;
  if (istrue(opresult3523)) {
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3524 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3526 == NULL) {
    strlit3526 = alloc_String("");
    gc_root(strlit3526);
  }
// compiled string node returning strlit3526 (depth = 5)
  int op_slot_right_3525 = gc_frame_newslot(strlit3526);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_right_3528 = gc_frame_newslot(*var_v);
// starting to compile string node (depth = 6)
  if (strlit3530 == NULL) {
    strlit3530 = alloc_String("dictionary does not contain entry with value ");
    gc_root(strlit3530);
  }
// compiled string node returning strlit3530 (depth = 6)
  int op_slot_left_3528 = gc_frame_newslot(strlit3530);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult3531 = callmethod(strlit3530, "++(1)", 1, partcv, params);
// compiled op node returning opresult3531 (depth = 5)
  int op_slot_left_3525 = gc_frame_newslot(opresult3531);
  params[0] = strlit3526;
  partcv[0] = 1;
  Object opresult3532 = callmethod(opresult3531, "++(1)", 1, partcv, params);
// compiled op node returning opresult3532 (depth = 4)
  gc_frame_newslot(opresult3532);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_NoSuchObject (depth = 4)
  params[0] = opresult3532;
  partcv[0] = 1;
  Object call3533 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3524);
// compiled call node returning call3533 (depth = 3)
    gc_frame_newslot(call3533);
    if3518 = call3533;
  } else {
  }
// compiled if node returning if3518 (depth = 2)
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_3559(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3560 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3561 = gc_frame_new();
// call case 4: self request
  Object call3562 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3561);
// compiled member node returning call3562 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3563 = callmethodflags(call3562, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3560);
// compiled call node returning call3563 (depth = 5)
  *var_a = call3563;
  if (call3563 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3566 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call3567 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3566);
// compiled member node returning call3567 (depth = 6)
  int op_slot_right_3565 = gc_frame_newslot(call3567);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_left_3565 = gc_frame_newslot(*var_v);
  params[0] = call3567;
  partcv[0] = 1;
  Object opresult3569 = callmethod(*var_v, "==(1)", 1, partcv, params);
// compiled op node returning opresult3569 (depth = 5)
  Object if3564 = done;
  if (istrue(opresult3569)) {
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3570 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  gc_frame_newslot(*var_removed);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3571 = gc_frame_new();
// call case 4: self request
  Object call3572 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3571);
// compiled member node returning call3572 (depth = 6)
  params[0] = *var_i;
  params[1] = *var_removed;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3573 = callmethodflags(call3572, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3570);
// compiled call node returning call3573 (depth = 5)
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3574 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3576 = alloc_Float64(1);
// compiled num node returning num3576 (depth = 7)
  int op_slot_right_3575 = gc_frame_newslot(num3576);
// starting to compile member node (depth = 7)
  int callframe3578 = gc_frame_new();
// call case 4: self request
  Object call3579 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3578);
// compiled member node returning call3579 (depth = 7)
  int op_slot_left_3575 = gc_frame_newslot(call3579);
  params[0] = num3576;
  partcv[0] = 1;
  Object diff3580 = callmethod(call3579, "-(1)", 1, partcv, params);
// compiled op node returning diff3580 (depth = 6)
  gc_frame_newslot(diff3580);
// call case 4: self request
  params[0] = diff3580;
  partcv[0] = 1;
  Object call3581 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3574);
// compiled call node returning call3581 (depth = 5)
    gc_frame_newslot(call3581);
    if3564 = call3581;
  } else {
  }
// compiled if node returning if3564 (depth = 4)
  gc_frame_end(frame);
  return if3564;
}
Object meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeValue(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeValue(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method removeValue(_)ifAbsent(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for removeValue(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part removeValue(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_initialNumBindings = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "initialNumBindings");
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3535 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3537 = alloc_Float64(1);
// compiled num node returning num3537 (depth = 4)
  int op_slot_right_3536 = gc_frame_newslot(num3537);
// starting to compile member node (depth = 4)
  int callframe3539 = gc_frame_new();
// call case 4: self request
  Object call3540 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3539);
// compiled member node returning call3540 (depth = 4)
  int op_slot_left_3536 = gc_frame_newslot(call3540);
  params[0] = num3537;
  partcv[0] = 1;
  Object sum3541 = callmethod(call3540, "+(1)", 1, partcv, params);
// compiled op node returning sum3541 (depth = 3)
  gc_frame_newslot(sum3541);
// call case 4: self request
  params[0] = sum3541;
  partcv[0] = 1;
  Object call3542 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3535);
// compiled call node returning call3542 (depth = 2)
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3543 = gc_frame_new();
// call case 4: self request
  Object call3544 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3543);
// compiled member node returning call3544 (depth = 3)
  *var_initialNumBindings = call3544;
  if (call3544 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3545 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3548 = alloc_Float64(1);
// compiled num node returning num3548 (depth = 5)
  int op_slot_right_3547 = gc_frame_newslot(num3548);
// starting to compile member node (depth = 5)
  int callframe3550 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3551 = gc_frame_new();
// call case 4: self request
  Object call3552 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3551);
// compiled member node returning call3552 (depth = 6)
  Object call3553 = callmethodflags(call3552, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3550);
// compiled member node returning call3553 (depth = 5)
  int op_slot_left_3547 = gc_frame_newslot(call3553);
  params[0] = num3548;
  partcv[0] = 1;
  Object diff3554 = callmethod(call3553, "-(1)", 1, partcv, params);
// compiled op node returning diff3554 (depth = 4)
  int op_slot_right_3546 = gc_frame_newslot(diff3554);
// starting to compile num node (depth = 4)
  Object num3556 = alloc_Float64(0);
// compiled num node returning num3556 (depth = 4)
  int op_slot_left_3546 = gc_frame_newslot(num3556);
  params[0] = diff3554;
  partcv[0] = 1;
  Object opresult3557 = callmethod(num3556, "..(1)", 1, partcv, params);
// compiled op node returning opresult3557 (depth = 3)
  gc_frame_newslot(opresult3557);
// starting to compile block node (depth = 3)
  Object block3558 = alloc_Block(NULL, NULL, "collectionsPrelude", 1617);
  gc_frame_newslot(block3558);
// method "_apply(_)"
  block_savedest(block3558);
  Object closure3559 = createclosure(3, "_apply(1)");
  setclosureframe(closure3559, stackframe);
  addtoclosure(closure3559, var_v);
  addtoclosure(closure3559, var_removed);
  addtoclosure(closure3559, selfslot);
  struct UserObject *uo3559 = (struct UserObject*)block3558;
  uo3559->data[0] = (Object)closure3559;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3559 = addmethod2pos(block3558, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3559, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3559[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3559->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3559);
  meth_meth_collectionsPrelude__apply_40_1_41_3559->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3559->definitionLine = 1990;
// compiled block node returning block3558 (depth = 3)
  gc_frame_newslot(block3558);
// call case 5: prelude request
  params[0] = opresult3557;
  params[1] = block3558;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3583 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3545);
// compiled call node returning call3583 (depth = 2)
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_initialNumBindings (depth = 4)
  int op_slot_right_3585 = gc_frame_newslot(*var_initialNumBindings);
// starting to compile member node (depth = 4)
  int callframe3587 = gc_frame_new();
// call case 4: self request
  Object call3588 = callmethodflags(self, "numBindings", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled member node returning call3588 (depth = 4)
  int op_slot_left_3585 = gc_frame_newslot(call3588);
  params[0] = *var_initialNumBindings;
  partcv[0] = 1;
  Object opresult3589 = callmethod(call3588, "==(1)", 1, partcv, params);
// compiled op node returning opresult3589 (depth = 3)
  Object if3584 = done;
  if (istrue(opresult3589)) {
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3590 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_action (depth = 4)
  Object call3591 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe3590);
// compiled member node returning call3591 (depth = 3)
    gc_frame_newslot(call3591);
    if3584 = call3591;
  } else {
  }
// compiled if node returning if3584 (depth = 2)
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_3625(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3626 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  gc_frame_newslot(*var_unused);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3627 = gc_frame_new();
// call case 4: self request
  Object call3628 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3627);
// compiled member node returning call3628 (depth = 5)
  params[0] = *var_i;
  params[1] = *var_unused;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3629 = callmethodflags(call3628, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3626);
// compiled call node returning call3629 (depth = 4)
  gc_frame_end(frame);
  return call3629;
}
Object meth_collectionsPrelude_clear3592(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "clear");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3593 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe3594 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num3595 = alloc_Float64(8);
// compiled num node returning num3595 (depth = 4)
  gc_frame_newslot(num3595);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3596 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call3597 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe3596);
// compiled member node returning call3597 (depth = 4)
  params[0] = num3595;
  partcv[0] = 1;
  Object call3598 = callmethodflags(call3597, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3594);
// compiled call node returning call3598 (depth = 3)
  gc_frame_newslot(call3598);
// call case 4: self request
  params[0] = call3598;
  partcv[0] = 1;
  Object call3599 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3593);
// compiled call node returning call3599 (depth = 2)
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3600 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num3601 = alloc_Float64(0);
// compiled num node returning num3601 (depth = 3)
  gc_frame_newslot(num3601);
// call case 4: self request
  params[0] = num3601;
  partcv[0] = 1;
  Object call3602 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3600);
// compiled call node returning call3602 (depth = 2)
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3603 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3605 = alloc_Float64(1);
// compiled num node returning num3605 (depth = 4)
  int op_slot_right_3604 = gc_frame_newslot(num3605);
// starting to compile member node (depth = 4)
  int callframe3607 = gc_frame_new();
// call case 4: self request
  Object call3608 = callmethodflags(self, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3607);
// compiled member node returning call3608 (depth = 4)
  int op_slot_left_3604 = gc_frame_newslot(call3608);
  params[0] = num3605;
  partcv[0] = 1;
  Object sum3609 = callmethod(call3608, "+(1)", 1, partcv, params);
// compiled op node returning sum3609 (depth = 3)
  gc_frame_newslot(sum3609);
// call case 4: self request
  params[0] = sum3609;
  partcv[0] = 1;
  Object call3610 = callmethodflags(self, "mods:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3603);
// compiled call node returning call3610 (depth = 2)
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3611 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3614 = alloc_Float64(1);
// compiled num node returning num3614 (depth = 5)
  int op_slot_right_3613 = gc_frame_newslot(num3614);
// starting to compile member node (depth = 5)
  int callframe3616 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3617 = gc_frame_new();
// call case 4: self request
  Object call3618 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3617);
// compiled member node returning call3618 (depth = 6)
  Object call3619 = callmethodflags(call3618, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3616);
// compiled member node returning call3619 (depth = 5)
  int op_slot_left_3613 = gc_frame_newslot(call3619);
  params[0] = num3614;
  partcv[0] = 1;
  Object diff3620 = callmethod(call3619, "-(1)", 1, partcv, params);
// compiled op node returning diff3620 (depth = 4)
  int op_slot_right_3612 = gc_frame_newslot(diff3620);
// starting to compile num node (depth = 4)
  Object num3622 = alloc_Float64(0);
// compiled num node returning num3622 (depth = 4)
  int op_slot_left_3612 = gc_frame_newslot(num3622);
  params[0] = diff3620;
  partcv[0] = 1;
  Object opresult3623 = callmethod(num3622, "..(1)", 1, partcv, params);
// compiled op node returning opresult3623 (depth = 3)
  gc_frame_newslot(opresult3623);
// starting to compile block node (depth = 3)
  Object block3624 = alloc_Block(NULL, NULL, "collectionsPrelude", 1633);
  gc_frame_newslot(block3624);
// method "_apply(_)"
  block_savedest(block3624);
  Object closure3625 = createclosure(2, "_apply(1)");
  setclosureframe(closure3625, stackframe);
  addtoclosure(closure3625, var_unused);
  addtoclosure(closure3625, selfslot);
  struct UserObject *uo3625 = (struct UserObject*)block3624;
  uo3625->data[0] = (Object)closure3625;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3625 = addmethod2pos(block3624, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3625, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3625[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3625->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3625);
  meth_meth_collectionsPrelude__apply_40_1_41_3625->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3625->definitionLine = 1990;
// compiled block node returning block3624 (depth = 3)
  gc_frame_newslot(block3624);
// call case 5: prelude request
  params[0] = opresult3623;
  params[1] = block3624;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3631 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3611);
// compiled call node returning call3631 (depth = 2)
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_3635(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_right_3637 = gc_frame_newslot(*var_each);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_left_3637 = gc_frame_newslot(*var_v);
  params[0] = *var_each;
  partcv[0] = 1;
  Object opresult3639 = callmethod(*var_v, "==(1)", 1, partcv, params);
// compiled op node returning opresult3639 (depth = 5)
  Object if3636 = done;
  if (istrue(opresult3639)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3640 = alloc_Boolean(1);
// compiled identifier node returning bool3640 (depth = 6)
  block_return(realself, bool3640);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3636 = undefined;
  } else {
  }
// compiled if node returning if3636 (depth = 4)
  gc_frame_end(frame);
  return if3636;
}
Object meth_collectionsPrelude_containsValue_40_1_41_3632(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "containsValue(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method containsValue(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for containsValue(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part containsValue(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3633 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3634 = alloc_Block(NULL, NULL, "collectionsPrelude", 1639);
  gc_frame_newslot(block3634);
// method "_apply(_)"
  block_savedest(block3634);
  Object closure3635 = createclosure(2, "_apply(1)");
  setclosureframe(closure3635, stackframe);
  addtoclosure(closure3635, var_v);
  addtoclosure(closure3635, selfslot);
  struct UserObject *uo3635 = (struct UserObject*)block3634;
  uo3635->data[0] = (Object)closure3635;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3635 = addmethod2pos(block3634, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3635, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3635[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3635->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3635);
  meth_meth_collectionsPrelude__apply_40_1_41_3635->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3635->definitionLine = 1990;
// compiled block node returning block3634 (depth = 3)
  gc_frame_newslot(block3634);
// call case 4: self request
  params[0] = block3634;
  partcv[0] = 1;
  Object call3642 = callmethodflags(self, "valuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3633);
// compiled call node returning call3642 (depth = 2)
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3643 = alloc_Boolean(0);
// compiled identifier node returning bool3643 (depth = 2)
  gc_frame_end(frame);
  return bool3643;
}
Object meth_collectionsPrelude_contains_40_1_41_3644(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3645 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call3646 = callmethodflags(self, "containsValue(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3645);
// compiled call node returning call3646 (depth = 2)
  gc_frame_end(frame);
  return call3646;
}
Object meth_collectionsPrelude__apply3660(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3662 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3663 = gc_frame_new();
// call case 4: self request
  Object call3664 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3663);
// compiled member node returning call3664 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3665 = callmethodflags(call3664, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3662);
// compiled call node returning call3665 (depth = 5)
  int op_slot_right_3661 = gc_frame_newslot(call3665);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  int op_slot_left_3661 = gc_frame_newslot(*var_unused);
  params[0] = call3665;
  partcv[0] = 1;
  Object opresult3667 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3667 (depth = 4)
  gc_frame_end(frame);
  return opresult3667;
}
Object meth_collectionsPrelude__apply3670(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_jump = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_3672 = gc_frame_newslot(*var_x);
// starting to compile member node (depth = 6)
  int callframe3674 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe3675 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3676 = gc_frame_new();
// call case 4: self request
  Object call3677 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3676);
// compiled member node returning call3677 (depth = 8)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3678 = callmethodflags(call3677, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3675);
// compiled call node returning call3678 (depth = 7)
  Object call3679 = callmethodflags(call3678, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3674);
// compiled member node returning call3679 (depth = 6)
  int op_slot_left_3672 = gc_frame_newslot(call3679);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult3680 = callmethod(call3679, "==(1)", 1, partcv, params);
// compiled op node returning opresult3680 (depth = 5)
  Object if3671 = done;
  if (istrue(opresult3680)) {
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3671 = undefined;
  } else {
  }
// compiled if node returning if3671 (depth = 4)
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3683 = alloc_Float64(0);
// compiled num node returning num3683 (depth = 6)
  int op_slot_right_3682 = gc_frame_newslot(num3683);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_3682 = gc_frame_newslot(*var_jump);
  params[0] = num3683;
  partcv[0] = 1;
  Object opresult3685 = callmethod(*var_jump, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3685 (depth = 5)
  Object if3681 = done;
  if (istrue(opresult3685)) {
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_3686 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3689 = alloc_Float64(1);
// compiled num node returning num3689 (depth = 8)
  int op_slot_right_3688 = gc_frame_newslot(num3689);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3692 = alloc_Float64(3);
// compiled num node returning num3692 (depth = 9)
  int op_slot_right_3691 = gc_frame_newslot(num3692);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_3691 = gc_frame_newslot(*var_t);
  params[0] = num3692;
  partcv[0] = 1;
  Object prod3694 = callmethod(*var_t, "*(1)", 1, partcv, params);
// compiled op node returning prod3694 (depth = 8)
  int op_slot_left_3688 = gc_frame_newslot(prod3694);
  params[0] = num3689;
  partcv[0] = 1;
  Object sum3695 = callmethod(prod3694, "+(1)", 1, partcv, params);
// compiled op node returning sum3695 (depth = 7)
  int op_slot_left_3686 = gc_frame_newslot(sum3695);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3696 = callmethod(sum3695, "%(1)", 1, partcv, params);
// compiled op node returning modulus3696 (depth = 6)
  *var_t = modulus3696;
  if (modulus3696 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3699 = alloc_Float64(1);
// compiled num node returning num3699 (depth = 7)
  int op_slot_right_3698 = gc_frame_newslot(num3699);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_3698 = gc_frame_newslot(*var_jump);
  params[0] = num3699;
  partcv[0] = 1;
  Object diff3701 = callmethod(*var_jump, "-(1)", 1, partcv, params);
// compiled op node returning diff3701 (depth = 6)
  *var_jump = diff3701;
  if (diff3701 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3681 = done;
  } else {
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_3703 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3706 = alloc_Float64(1);
// compiled num node returning num3706 (depth = 8)
  int op_slot_right_3705 = gc_frame_newslot(num3706);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_3705 = gc_frame_newslot(*var_t);
  params[0] = num3706;
  partcv[0] = 1;
  Object sum3708 = callmethod(*var_t, "+(1)", 1, partcv, params);
// compiled op node returning sum3708 (depth = 7)
  int op_slot_left_3703 = gc_frame_newslot(sum3708);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3709 = callmethod(sum3708, "%(1)", 1, partcv, params);
// compiled op node returning modulus3709 (depth = 6)
  *var_t = modulus3709;
  if (modulus3709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3681 = done;
  }
// compiled if node returning if3681 (depth = 4)
  gc_frame_end(frame);
  return if3681;
}
Object meth_collectionsPrelude_findPosition_40_1_41_3647(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findPosition(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findPosition(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findPosition(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findPosition(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3648 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  Object call3649 = callmethodflags(*var_x, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe3648);
// compiled member node returning call3649 (depth = 3)
  *var_h = call3649;
  if (call3649 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3650 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3651 = gc_frame_new();
// call case 4: self request
  Object call3652 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3651);
// compiled member node returning call3652 (depth = 4)
  Object call3653 = callmethodflags(call3652, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3650);
// compiled member node returning call3653 (depth = 3)
  *var_s = call3653;
  if (call3653 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_3654 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_3654 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3656 = callmethod(*var_h, "%(1)", 1, partcv, params);
// compiled op node returning modulus3656 (depth = 3)
  *var_t = modulus3656;
  if (modulus3656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num3657 = alloc_Float64(5);
// compiled num node returning num3657 (depth = 3)
  *var_jump = num3657;
  if (num3657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3658 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3659 = alloc_Block(NULL, NULL, "collectionsPrelude", 1651);
  gc_frame_newslot(block3659);
// method "_apply"
  block_savedest(block3659);
  Object closure3660 = createclosure(3, "_apply");
  setclosureframe(closure3660, stackframe);
  addtoclosure(closure3660, var_t);
  addtoclosure(closure3660, var_unused);
  addtoclosure(closure3660, selfslot);
  struct UserObject *uo3660 = (struct UserObject*)block3659;
  uo3660->data[0] = (Object)closure3660;
  Method *meth_meth_collectionsPrelude__apply3660 = addmethod2pos(block3659, "_apply", &meth_collectionsPrelude__apply3660, 0);
  int argcv_meth_collectionsPrelude__apply3660[] = {0};
  meth_meth_collectionsPrelude__apply3660->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3660);
  meth_meth_collectionsPrelude__apply3660->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3660->definitionLine = 1990;
// compiled block node returning block3659 (depth = 3)
  gc_frame_newslot(block3659);
// starting to compile block node (depth = 3)
  Object block3669 = alloc_Block(NULL, NULL, "collectionsPrelude", 1651);
  gc_frame_newslot(block3669);
// method "_apply"
  block_savedest(block3669);
  Object closure3670 = createclosure(5, "_apply");
  setclosureframe(closure3670, stackframe);
  addtoclosure(closure3670, var_x);
  addtoclosure(closure3670, var_t);
  addtoclosure(closure3670, var_jump);
  addtoclosure(closure3670, var_s);
  addtoclosure(closure3670, selfslot);
  struct UserObject *uo3670 = (struct UserObject*)block3669;
  uo3670->data[0] = (Object)closure3670;
  Method *meth_meth_collectionsPrelude__apply3670 = addmethod2pos(block3669, "_apply", &meth_collectionsPrelude__apply3670, 0);
  int argcv_meth_collectionsPrelude__apply3670[] = {0};
  meth_meth_collectionsPrelude__apply3670->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3670);
  meth_meth_collectionsPrelude__apply3670->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3670->definitionLine = 1990;
// compiled block node returning block3669 (depth = 3)
  gc_frame_newslot(block3669);
// call case 5: prelude request
  params[0] = block3659;
  params[1] = block3669;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3712 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3658);
// compiled call node returning call3712 (depth = 2)
// Begin line 1662
  setline(1662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3726(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var_unused = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3729 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3730 = gc_frame_new();
// call case 4: self request
  Object call3731 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3730);
// compiled member node returning call3731 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3732 = callmethodflags(call3731, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3729);
// compiled call node returning call3732 (depth = 6)
  int op_slot_right_3728 = gc_frame_newslot(call3732);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  int op_slot_left_3728 = gc_frame_newslot(*var_removed);
  params[0] = call3732;
  partcv[0] = 1;
  Object opresult3734 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3734 (depth = 5)
  int op_slot_right_3727 = gc_frame_newslot(opresult3734);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3737 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3738 = gc_frame_new();
// call case 4: self request
  Object call3739 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3738);
// compiled member node returning call3739 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3740 = callmethodflags(call3739, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3737);
// compiled call node returning call3740 (depth = 6)
  int op_slot_right_3736 = gc_frame_newslot(call3740);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_unused (depth = 6)
  int op_slot_left_3736 = gc_frame_newslot(*var_unused);
  params[0] = call3740;
  partcv[0] = 1;
  Object opresult3742 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3742 (depth = 5)
  int op_slot_left_3727 = gc_frame_newslot(opresult3742);
  params[0] = opresult3734;
  partcv[0] = 1;
  Object opresult3743 = callmethod(opresult3742, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3743 (depth = 4)
  gc_frame_end(frame);
  return opresult3743;
}
Object meth_collectionsPrelude__apply3746(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_jump = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_3748 = gc_frame_newslot(*var_x);
// starting to compile member node (depth = 6)
  int callframe3750 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe3751 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3752 = gc_frame_new();
// call case 4: self request
  Object call3753 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3752);
// compiled member node returning call3753 (depth = 8)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call3754 = callmethodflags(call3753, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3751);
// compiled call node returning call3754 (depth = 7)
  Object call3755 = callmethodflags(call3754, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3750);
// compiled member node returning call3755 (depth = 6)
  int op_slot_left_3748 = gc_frame_newslot(call3755);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult3756 = callmethod(call3755, "==(1)", 1, partcv, params);
// compiled op node returning opresult3756 (depth = 5)
  Object if3747 = done;
  if (istrue(opresult3756)) {
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3747 = undefined;
  } else {
  }
// compiled if node returning if3747 (depth = 4)
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3759 = alloc_Float64(0);
// compiled num node returning num3759 (depth = 6)
  int op_slot_right_3758 = gc_frame_newslot(num3759);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_3758 = gc_frame_newslot(*var_jump);
  params[0] = num3759;
  partcv[0] = 1;
  Object opresult3761 = callmethod(*var_jump, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3761 (depth = 5)
  Object if3757 = done;
  if (istrue(opresult3761)) {
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_3762 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3765 = alloc_Float64(1);
// compiled num node returning num3765 (depth = 8)
  int op_slot_right_3764 = gc_frame_newslot(num3765);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3768 = alloc_Float64(3);
// compiled num node returning num3768 (depth = 9)
  int op_slot_right_3767 = gc_frame_newslot(num3768);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_3767 = gc_frame_newslot(*var_t);
  params[0] = num3768;
  partcv[0] = 1;
  Object prod3770 = callmethod(*var_t, "*(1)", 1, partcv, params);
// compiled op node returning prod3770 (depth = 8)
  int op_slot_left_3764 = gc_frame_newslot(prod3770);
  params[0] = num3765;
  partcv[0] = 1;
  Object sum3771 = callmethod(prod3770, "+(1)", 1, partcv, params);
// compiled op node returning sum3771 (depth = 7)
  int op_slot_left_3762 = gc_frame_newslot(sum3771);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3772 = callmethod(sum3771, "%(1)", 1, partcv, params);
// compiled op node returning modulus3772 (depth = 6)
  *var_t = modulus3772;
  if (modulus3772 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3775 = alloc_Float64(1);
// compiled num node returning num3775 (depth = 7)
  int op_slot_right_3774 = gc_frame_newslot(num3775);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_3774 = gc_frame_newslot(*var_jump);
  params[0] = num3775;
  partcv[0] = 1;
  Object diff3777 = callmethod(*var_jump, "-(1)", 1, partcv, params);
// compiled op node returning diff3777 (depth = 6)
  *var_jump = diff3777;
  if (diff3777 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3757 = done;
  } else {
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_3779 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3782 = alloc_Float64(1);
// compiled num node returning num3782 (depth = 8)
  int op_slot_right_3781 = gc_frame_newslot(num3782);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_3781 = gc_frame_newslot(*var_t);
  params[0] = num3782;
  partcv[0] = 1;
  Object sum3784 = callmethod(*var_t, "+(1)", 1, partcv, params);
// compiled op node returning sum3784 (depth = 7)
  int op_slot_left_3779 = gc_frame_newslot(sum3784);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3785 = callmethod(sum3784, "%(1)", 1, partcv, params);
// compiled op node returning modulus3785 (depth = 6)
  *var_t = modulus3785;
  if (modulus3785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3757 = done;
  }
// compiled if node returning if3757 (depth = 4)
  gc_frame_end(frame);
  return if3757;
}
Object meth_collectionsPrelude_findPositionForAdd_40_1_41_3713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findPositionForAdd(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findPositionForAdd(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findPositionForAdd(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findPositionForAdd(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3714 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  Object call3715 = callmethodflags(*var_x, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe3714);
// compiled member node returning call3715 (depth = 3)
  *var_h = call3715;
  if (call3715 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3717 = gc_frame_new();
// call case 4: self request
  Object call3718 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3717);
// compiled member node returning call3718 (depth = 4)
  Object call3719 = callmethodflags(call3718, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3716);
// compiled member node returning call3719 (depth = 3)
  *var_s = call3719;
  if (call3719 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_3720 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_3720 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus3722 = callmethod(*var_h, "%(1)", 1, partcv, params);
// compiled op node returning modulus3722 (depth = 3)
  *var_t = modulus3722;
  if (modulus3722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num3723 = alloc_Float64(5);
// compiled num node returning num3723 (depth = 3)
  *var_jump = num3723;
  if (num3723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3724 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3725 = alloc_Block(NULL, NULL, "collectionsPrelude", 1669);
  gc_frame_newslot(block3725);
// method "_apply"
  block_savedest(block3725);
  Object closure3726 = createclosure(4, "_apply");
  setclosureframe(closure3726, stackframe);
  addtoclosure(closure3726, var_t);
  addtoclosure(closure3726, var_removed);
  addtoclosure(closure3726, var_unused);
  addtoclosure(closure3726, selfslot);
  struct UserObject *uo3726 = (struct UserObject*)block3725;
  uo3726->data[0] = (Object)closure3726;
  Method *meth_meth_collectionsPrelude__apply3726 = addmethod2pos(block3725, "_apply", &meth_collectionsPrelude__apply3726, 0);
  int argcv_meth_collectionsPrelude__apply3726[] = {0};
  meth_meth_collectionsPrelude__apply3726->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3726);
  meth_meth_collectionsPrelude__apply3726->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3726->definitionLine = 1990;
// compiled block node returning block3725 (depth = 3)
  gc_frame_newslot(block3725);
// starting to compile block node (depth = 3)
  Object block3745 = alloc_Block(NULL, NULL, "collectionsPrelude", 1669);
  gc_frame_newslot(block3745);
// method "_apply"
  block_savedest(block3745);
  Object closure3746 = createclosure(5, "_apply");
  setclosureframe(closure3746, stackframe);
  addtoclosure(closure3746, var_x);
  addtoclosure(closure3746, var_t);
  addtoclosure(closure3746, var_jump);
  addtoclosure(closure3746, var_s);
  addtoclosure(closure3746, selfslot);
  struct UserObject *uo3746 = (struct UserObject*)block3745;
  uo3746->data[0] = (Object)closure3746;
  Method *meth_meth_collectionsPrelude__apply3746 = addmethod2pos(block3745, "_apply", &meth_collectionsPrelude__apply3746, 0);
  int argcv_meth_collectionsPrelude__apply3746[] = {0};
  meth_meth_collectionsPrelude__apply3746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3746);
  meth_meth_collectionsPrelude__apply3746->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3746->definitionLine = 1990;
// compiled block node returning block3745 (depth = 3)
  gc_frame_newslot(block3745);
// call case 5: prelude request
  params[0] = block3725;
  params[1] = block3745;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3788 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3724);
// compiled call node returning call3788 (depth = 2)
// Begin line 1680
  setline(1680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_3806(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_firstElement = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3807 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3808 = gc_frame_new();
// call case 4: self request
  Object call3809 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3808);
// compiled member node returning call3809 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3810 = callmethodflags(call3809, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3807);
// compiled call node returning call3810 (depth = 5)
  *var_a = call3810;
  if (call3810 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_3813 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_3813 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult3815 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3815 (depth = 6)
  int op_slot_right_3812 = gc_frame_newslot(opresult3815);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_3817 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_3817 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult3819 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3819 (depth = 6)
  int op_slot_left_3812 = gc_frame_newslot(opresult3819);
  params[0] = opresult3815;
  partcv[0] = 1;
  Object opresult3820 = callmethod(opresult3819, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3820 (depth = 5)
  Object if3811 = done;
  if (istrue(opresult3820)) {
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3822 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_firstElement (depth = 7)
  partcv[0] = 0;
  Object call3823 = callmethodflags(*var_firstElement, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3822);
// compiled call node returning call3823 (depth = 6)
  Object if3821 = done;
  if (istrue(call3823)) {
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3825 == NULL) {
    strlit3825 = alloc_String(", ");
    gc_root(strlit3825);
  }
// compiled string node returning strlit3825 (depth = 8)
  int op_slot_right_3824 = gc_frame_newslot(strlit3825);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3824 = gc_frame_newslot(*var_s);
  params[0] = strlit3825;
  partcv[0] = 1;
  Object opresult3827 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3827 (depth = 7)
  *var_s = opresult3827;
  if (opresult3827 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if3821 = done;
  } else {
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool3829 = alloc_Boolean(0);
// compiled identifier node returning bool3829 (depth = 7)
  *var_firstElement = bool3829;
  if (bool3829 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if3821 = done;
  }
// compiled if node returning if3821 (depth = 5)
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3833 == NULL) {
    strlit3833 = alloc_String("");
    gc_root(strlit3833);
  }
// compiled string node returning strlit3833 (depth = 8)
  int op_slot_right_3832 = gc_frame_newslot(strlit3833);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3836 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_a (depth = 10)
  Object call3837 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3836);
// compiled member node returning call3837 (depth = 9)
  int op_slot_right_3835 = gc_frame_newslot(call3837);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3840 == NULL) {
    strlit3840 = alloc_String("::");
    gc_root(strlit3840);
  }
// compiled string node returning strlit3840 (depth = 10)
  int op_slot_right_3839 = gc_frame_newslot(strlit3840);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe3843 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  Object call3844 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3843);
// compiled member node returning call3844 (depth = 11)
  int op_slot_right_3842 = gc_frame_newslot(call3844);
// starting to compile string node (depth = 11)
  if (strlit3846 == NULL) {
    strlit3846 = alloc_String("");
    gc_root(strlit3846);
  }
// compiled string node returning strlit3846 (depth = 11)
  int op_slot_left_3842 = gc_frame_newslot(strlit3846);
  params[0] = call3844;
  partcv[0] = 1;
  Object opresult3847 = callmethod(strlit3846, "++(1)", 1, partcv, params);
// compiled op node returning opresult3847 (depth = 10)
  int op_slot_left_3839 = gc_frame_newslot(opresult3847);
  params[0] = strlit3840;
  partcv[0] = 1;
  Object opresult3848 = callmethod(opresult3847, "++(1)", 1, partcv, params);
// compiled op node returning opresult3848 (depth = 9)
  int op_slot_left_3835 = gc_frame_newslot(opresult3848);
  params[0] = call3837;
  partcv[0] = 1;
  Object opresult3849 = callmethod(opresult3848, "++(1)", 1, partcv, params);
// compiled op node returning opresult3849 (depth = 8)
  int op_slot_left_3832 = gc_frame_newslot(opresult3849);
  params[0] = strlit3833;
  partcv[0] = 1;
  Object opresult3850 = callmethod(opresult3849, "++(1)", 1, partcv, params);
// compiled op node returning opresult3850 (depth = 7)
  int op_slot_right_3831 = gc_frame_newslot(opresult3850);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3831 = gc_frame_newslot(*var_s);
  params[0] = opresult3850;
  partcv[0] = 1;
  Object opresult3852 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3852 (depth = 6)
  *var_s = opresult3852;
  if (opresult3852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3811 = done;
  } else {
  }
// compiled if node returning if3811 (depth = 4)
  gc_frame_end(frame);
  return if3811;
}
Object meth_collectionsPrelude_asString3789(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
  Object *var_firstElement = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "firstElement");
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3790 == NULL) {
    strlit3790 = alloc_String("dict""\xe2""""\x9f""""\xac""");
    gc_root(strlit3790);
  }
// compiled string node returning strlit3790 (depth = 3)
  *var_s = strlit3790;
  if (strlit3790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool3791 = alloc_Boolean(1);
// compiled identifier node returning bool3791 (depth = 3)
  *var_firstElement = bool3791;
  if (bool3791 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3792 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3795 = alloc_Float64(1);
// compiled num node returning num3795 (depth = 5)
  int op_slot_right_3794 = gc_frame_newslot(num3795);
// starting to compile member node (depth = 5)
  int callframe3797 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3798 = gc_frame_new();
// call case 4: self request
  Object call3799 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3798);
// compiled member node returning call3799 (depth = 6)
  Object call3800 = callmethodflags(call3799, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3797);
// compiled member node returning call3800 (depth = 5)
  int op_slot_left_3794 = gc_frame_newslot(call3800);
  params[0] = num3795;
  partcv[0] = 1;
  Object diff3801 = callmethod(call3800, "-(1)", 1, partcv, params);
// compiled op node returning diff3801 (depth = 4)
  int op_slot_right_3793 = gc_frame_newslot(diff3801);
// starting to compile num node (depth = 4)
  Object num3803 = alloc_Float64(0);
// compiled num node returning num3803 (depth = 4)
  int op_slot_left_3793 = gc_frame_newslot(num3803);
  params[0] = diff3801;
  partcv[0] = 1;
  Object opresult3804 = callmethod(num3803, "..(1)", 1, partcv, params);
// compiled op node returning opresult3804 (depth = 3)
  gc_frame_newslot(opresult3804);
// starting to compile block node (depth = 3)
  Object block3805 = alloc_Block(NULL, NULL, "collectionsPrelude", 1687);
  gc_frame_newslot(block3805);
// method "_apply(_)"
  block_savedest(block3805);
  Object closure3806 = createclosure(5, "_apply(1)");
  setclosureframe(closure3806, stackframe);
  addtoclosure(closure3806, var_removed);
  addtoclosure(closure3806, var_unused);
  addtoclosure(closure3806, var_firstElement);
  addtoclosure(closure3806, var_s);
  addtoclosure(closure3806, selfslot);
  struct UserObject *uo3806 = (struct UserObject*)block3805;
  uo3806->data[0] = (Object)closure3806;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3806 = addmethod2pos(block3805, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3806, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3806[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3806->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3806);
  meth_meth_collectionsPrelude__apply_40_1_41_3806->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3806->definitionLine = 1990;
// compiled block node returning block3805 (depth = 3)
  gc_frame_newslot(block3805);
// call case 5: prelude request
  params[0] = opresult3804;
  params[1] = block3805;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3855 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3792);
// compiled call node returning call3855 (depth = 2)
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3857 == NULL) {
    strlit3857 = alloc_String("""\xe2""""\x9f""""\xad""");
    gc_root(strlit3857);
  }
// compiled string node returning strlit3857 (depth = 3)
  int op_slot_right_3856 = gc_frame_newslot(strlit3857);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_3856 = gc_frame_newslot(*var_s);
  params[0] = strlit3857;
  partcv[0] = 1;
  Object opresult3859 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3859 (depth = 2)
  gc_frame_end(frame);
  return opresult3859;
}
Object meth_collectionsPrelude__apply_40_1_41_3876(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var_unused = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3879 = alloc_Float64(0);
// compiled num node returning num3879 (depth = 6)
  int op_slot_right_3878 = gc_frame_newslot(num3879);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_3878 = gc_frame_newslot(*var_i);
  params[0] = num3879;
  partcv[0] = 1;
  Object opresult3881 = callmethod(*var_i, ">(1)", 1, partcv, params);
// compiled op node returning opresult3881 (depth = 5)
  Object if3877 = done;
  if (istrue(opresult3881)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3883 == NULL) {
    strlit3883 = alloc_String(", ");
    gc_root(strlit3883);
  }
// compiled string node returning strlit3883 (depth = 7)
  int op_slot_right_3882 = gc_frame_newslot(strlit3883);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3882 = gc_frame_newslot(*var_s);
  params[0] = strlit3883;
  partcv[0] = 1;
  Object opresult3885 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3885 (depth = 6)
  *var_s = opresult3885;
  if (opresult3885 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3877 = done;
  } else {
  }
// compiled if node returning if3877 (depth = 4)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3887 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3888 = gc_frame_new();
// call case 4: self request
  Object call3889 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3888);
// compiled member node returning call3889 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3890 = callmethodflags(call3889, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3887);
// compiled call node returning call3890 (depth = 5)
  *var_a = call3890;
  if (call3890 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_3893 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_3893 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult3895 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3895 (depth = 6)
  int op_slot_right_3892 = gc_frame_newslot(opresult3895);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_3897 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_3897 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult3899 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3899 (depth = 6)
  int op_slot_left_3892 = gc_frame_newslot(opresult3899);
  params[0] = opresult3895;
  partcv[0] = 1;
  Object opresult3900 = callmethod(opresult3899, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3900 (depth = 5)
  Object if3891 = done;
  if (istrue(opresult3900)) {
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3903 == NULL) {
    strlit3903 = alloc_String("");
    gc_root(strlit3903);
  }
// compiled string node returning strlit3903 (depth = 8)
  int op_slot_right_3902 = gc_frame_newslot(strlit3903);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3906 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_a (depth = 10)
  Object call3907 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3906);
// compiled member node returning call3907 (depth = 9)
  int op_slot_right_3905 = gc_frame_newslot(call3907);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3910 == NULL) {
    strlit3910 = alloc_String("::");
    gc_root(strlit3910);
  }
// compiled string node returning strlit3910 (depth = 10)
  int op_slot_right_3909 = gc_frame_newslot(strlit3910);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe3913 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  Object call3914 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3913);
// compiled member node returning call3914 (depth = 11)
  int op_slot_right_3912 = gc_frame_newslot(call3914);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3917 == NULL) {
    strlit3917 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit3917);
  }
// compiled string node returning strlit3917 (depth = 12)
  int op_slot_right_3916 = gc_frame_newslot(strlit3917);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_i (depth = 13)
  int op_slot_right_3919 = gc_frame_newslot(*var_i);
// starting to compile string node (depth = 13)
  if (strlit3921 == NULL) {
    strlit3921 = alloc_String("");
    gc_root(strlit3921);
  }
// compiled string node returning strlit3921 (depth = 13)
  int op_slot_left_3919 = gc_frame_newslot(strlit3921);
  params[0] = *var_i;
  partcv[0] = 1;
  Object opresult3922 = callmethod(strlit3921, "++(1)", 1, partcv, params);
// compiled op node returning opresult3922 (depth = 12)
  int op_slot_left_3916 = gc_frame_newslot(opresult3922);
  params[0] = strlit3917;
  partcv[0] = 1;
  Object opresult3923 = callmethod(opresult3922, "++(1)", 1, partcv, params);
// compiled op node returning opresult3923 (depth = 11)
  int op_slot_left_3912 = gc_frame_newslot(opresult3923);
  params[0] = call3914;
  partcv[0] = 1;
  Object opresult3924 = callmethod(opresult3923, "++(1)", 1, partcv, params);
// compiled op node returning opresult3924 (depth = 10)
  int op_slot_left_3909 = gc_frame_newslot(opresult3924);
  params[0] = strlit3910;
  partcv[0] = 1;
  Object opresult3925 = callmethod(opresult3924, "++(1)", 1, partcv, params);
// compiled op node returning opresult3925 (depth = 9)
  int op_slot_left_3905 = gc_frame_newslot(opresult3925);
  params[0] = call3907;
  partcv[0] = 1;
  Object opresult3926 = callmethod(opresult3925, "++(1)", 1, partcv, params);
// compiled op node returning opresult3926 (depth = 8)
  int op_slot_left_3902 = gc_frame_newslot(opresult3926);
  params[0] = strlit3903;
  partcv[0] = 1;
  Object opresult3927 = callmethod(opresult3926, "++(1)", 1, partcv, params);
// compiled op node returning opresult3927 (depth = 7)
  int op_slot_right_3901 = gc_frame_newslot(opresult3927);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3901 = gc_frame_newslot(*var_s);
  params[0] = opresult3927;
  partcv[0] = 1;
  Object opresult3929 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3929 (depth = 6)
  *var_s = opresult3929;
  if (opresult3929 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3891 = done;
  } else {
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3933 == NULL) {
    strlit3933 = alloc_String("");
    gc_root(strlit3933);
  }
// compiled string node returning strlit3933 (depth = 8)
  int op_slot_right_3932 = gc_frame_newslot(strlit3933);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3936 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_a (depth = 10)
  Object call3937 = callmethodflags(*var_a, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe3936);
// compiled member node returning call3937 (depth = 9)
  int op_slot_right_3935 = gc_frame_newslot(call3937);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3940 == NULL) {
    strlit3940 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit3940);
  }
// compiled string node returning strlit3940 (depth = 10)
  int op_slot_right_3939 = gc_frame_newslot(strlit3940);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_right_3942 = gc_frame_newslot(*var_i);
// starting to compile string node (depth = 11)
  if (strlit3944 == NULL) {
    strlit3944 = alloc_String("");
    gc_root(strlit3944);
  }
// compiled string node returning strlit3944 (depth = 11)
  int op_slot_left_3942 = gc_frame_newslot(strlit3944);
  params[0] = *var_i;
  partcv[0] = 1;
  Object opresult3945 = callmethod(strlit3944, "++(1)", 1, partcv, params);
// compiled op node returning opresult3945 (depth = 10)
  int op_slot_left_3939 = gc_frame_newslot(opresult3945);
  params[0] = strlit3940;
  partcv[0] = 1;
  Object opresult3946 = callmethod(opresult3945, "++(1)", 1, partcv, params);
// compiled op node returning opresult3946 (depth = 9)
  int op_slot_left_3935 = gc_frame_newslot(opresult3946);
  params[0] = call3937;
  partcv[0] = 1;
  Object opresult3947 = callmethod(opresult3946, "++(1)", 1, partcv, params);
// compiled op node returning opresult3947 (depth = 8)
  int op_slot_left_3932 = gc_frame_newslot(opresult3947);
  params[0] = strlit3933;
  partcv[0] = 1;
  Object opresult3948 = callmethod(opresult3947, "++(1)", 1, partcv, params);
// compiled op node returning opresult3948 (depth = 7)
  int op_slot_right_3931 = gc_frame_newslot(opresult3948);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3931 = gc_frame_newslot(*var_s);
  params[0] = opresult3948;
  partcv[0] = 1;
  Object opresult3950 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3950 (depth = 6)
  *var_s = opresult3950;
  if (opresult3950 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3891 = done;
  }
// compiled if node returning if3891 (depth = 4)
  gc_frame_end(frame);
  return if3891;
}
Object meth_collectionsPrelude_asDebugString3860(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3861 == NULL) {
    strlit3861 = alloc_String("dict""\xe2""""\x9f""""\xac""");
    gc_root(strlit3861);
  }
// compiled string node returning strlit3861 (depth = 3)
  *var_s = strlit3861;
  if (strlit3861 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3862 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3865 = alloc_Float64(1);
// compiled num node returning num3865 (depth = 5)
  int op_slot_right_3864 = gc_frame_newslot(num3865);
// starting to compile member node (depth = 5)
  int callframe3867 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3868 = gc_frame_new();
// call case 4: self request
  Object call3869 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3868);
// compiled member node returning call3869 (depth = 6)
  Object call3870 = callmethodflags(call3869, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3867);
// compiled member node returning call3870 (depth = 5)
  int op_slot_left_3864 = gc_frame_newslot(call3870);
  params[0] = num3865;
  partcv[0] = 1;
  Object diff3871 = callmethod(call3870, "-(1)", 1, partcv, params);
// compiled op node returning diff3871 (depth = 4)
  int op_slot_right_3863 = gc_frame_newslot(diff3871);
// starting to compile num node (depth = 4)
  Object num3873 = alloc_Float64(0);
// compiled num node returning num3873 (depth = 4)
  int op_slot_left_3863 = gc_frame_newslot(num3873);
  params[0] = diff3871;
  partcv[0] = 1;
  Object opresult3874 = callmethod(num3873, "..(1)", 1, partcv, params);
// compiled op node returning opresult3874 (depth = 3)
  gc_frame_newslot(opresult3874);
// starting to compile block node (depth = 3)
  Object block3875 = alloc_Block(NULL, NULL, "collectionsPrelude", 1702);
  gc_frame_newslot(block3875);
// method "_apply(_)"
  block_savedest(block3875);
  Object closure3876 = createclosure(4, "_apply(1)");
  setclosureframe(closure3876, stackframe);
  addtoclosure(closure3876, var_s);
  addtoclosure(closure3876, var_removed);
  addtoclosure(closure3876, var_unused);
  addtoclosure(closure3876, selfslot);
  struct UserObject *uo3876 = (struct UserObject*)block3875;
  uo3876->data[0] = (Object)closure3876;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_3876 = addmethod2pos(block3875, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_3876, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_3876[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_3876->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_3876);
  meth_meth_collectionsPrelude__apply_40_1_41_3876->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_3876->definitionLine = 1990;
// compiled block node returning block3875 (depth = 3)
  gc_frame_newslot(block3875);
// call case 5: prelude request
  params[0] = opresult3874;
  params[1] = block3875;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3953 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3862);
// compiled call node returning call3953 (depth = 2)
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3955 == NULL) {
    strlit3955 = alloc_String("""\xe2""""\x9f""""\xad""");
    gc_root(strlit3955);
  }
// compiled string node returning strlit3955 (depth = 3)
  int op_slot_right_3954 = gc_frame_newslot(strlit3955);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_3954 = gc_frame_newslot(*var_s);
  params[0] = strlit3955;
  partcv[0] = 1;
  Object opresult3957 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3957 (depth = 2)
  gc_frame_end(frame);
  return opresult3957;
}
Object meth_collectionsPrelude_hasNext3965(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3966 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3967 = gc_frame_new();
// call case 4: self request
  Object call3968 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3967);
// compiled member node returning call3968 (depth = 3)
  Object call3969 = callmethodflags(call3968, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe3966);
// compiled member node returning call3969 (depth = 2)
  gc_frame_end(frame);
  return call3969;
}
Object meth_collectionsPrelude_next3970(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3971 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3972 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3973 = gc_frame_new();
// call case 4: self request
  Object call3974 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3973);
// compiled member node returning call3974 (depth = 4)
  Object call3975 = callmethodflags(call3974, "next", 0, partcv, params, 0);
  gc_frame_end(callframe3972);
// compiled member node returning call3975 (depth = 3)
  Object call3976 = callmethodflags(call3975, "key", 0, partcv, params, 0);
  gc_frame_end(callframe3971);
// compiled member node returning call3976 (depth = 2)
  gc_frame_end(frame);
  return call3976;
}
Object meth_collectionsPrelude_asString3977(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3979 == NULL) {
    strlit3979 = alloc_String("");
    gc_root(strlit3979);
  }
// compiled string node returning strlit3979 (depth = 3)
  int op_slot_right_3978 = gc_frame_newslot(strlit3979);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sourceDictionary (depth = 4)
  int op_slot_right_3981 = gc_frame_newslot(*var_sourceDictionary);
// starting to compile string node (depth = 4)
  if (strlit3983 == NULL) {
    strlit3983 = alloc_String("an iterator over keys of ");
    gc_root(strlit3983);
  }
// compiled string node returning strlit3983 (depth = 4)
  int op_slot_left_3981 = gc_frame_newslot(strlit3983);
  params[0] = *var_sourceDictionary;
  partcv[0] = 1;
  Object opresult3984 = callmethod(strlit3983, "++(1)", 1, partcv, params);
// compiled op node returning opresult3984 (depth = 3)
  int op_slot_left_3978 = gc_frame_newslot(opresult3984);
  params[0] = strlit3979;
  partcv[0] = 1;
  Object opresult3985 = callmethod(opresult3984, "++(1)", 1, partcv, params);
// compiled op node returning opresult3985 (depth = 2)
  gc_frame_end(frame);
  return opresult3985;
}
Object meth_collectionsPrelude_iterator3961(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3962 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3962 = alloc_userobj2(4,5, objclass3962);
  gc_frame_newslot(obj3962);
if (objclass3962 == NULL) {
  glfree(obj3962->class->name);
  obj3962->class->name = "dictionary.empty.object.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3962, self, 0);
  addmethodreal(obj3962,"outer", &reader_collectionsPrelude_outer_3963);
  Object oldself3962 = self;
  struct StackFrameObject *oldstackframe3962 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3962);
  gc_frame_newslot((Object)stackframe);
  self = obj3962;
  Object *oldselfslot3962 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3962 = (*(struct UserObject *)self).data[0], lowerouter3962 = thisouter3962;
  if (inheritingObject3962) {
    struct UserObject *inho3962 = (struct UserObject *)inheritingObject3962;
    while (inho3962->super != GraceDefaultObject) inho3962 = (struct UserObject *)inho3962->super;
    inho3962->super = obj3962;
    self = inheritingObject3962;
    *selfslot = self;
    lowerouter3962 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3962;
  }
if (objclass3962 == NULL) {
  Method *reader3964 = addmethodrealflags(obj3962, "sourceIterator",&reader_collectionsPrelude_sourceIterator_3964, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3964->definitionModule = modulename;
  reader3964->definitionLine = 1718;
}
adddatum2(obj3962, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo3965 = (struct UserObject*)obj3962;
  uo3965->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3965 = addmethod2pos(obj3962, "hasNext", &meth_collectionsPrelude_hasNext3965, 2);
  int argcv_meth_collectionsPrelude_hasNext3965[] = {0};
  meth_meth_collectionsPrelude_hasNext3965->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3965);
  meth_meth_collectionsPrelude_hasNext3965->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3965->definitionLine = 1719;
// method "next"
  struct UserObject *uo3970 = (struct UserObject*)obj3962;
  uo3970->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next3970 = addmethod2pos(obj3962, "next", &meth_collectionsPrelude_next3970, 3);
  int argcv_meth_collectionsPrelude_next3970[] = {0};
  meth_meth_collectionsPrelude_next3970->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3970);
  meth_meth_collectionsPrelude_next3970->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3970->definitionLine = 1720;
// method "asString"
  block_savedest(obj3962);
  Object closure3977 = createclosure(1, "asString");
  setclosureframe(closure3977, stackframe);
  addtoclosure(closure3977, var_sourceDictionary);
  struct UserObject *uo3977 = (struct UserObject*)obj3962;
  uo3977->data[4] = (Object)closure3977;
  Method *meth_meth_collectionsPrelude_asString3977 = addmethod2pos(obj3962, "asString", &meth_collectionsPrelude_asString3977, 4);
  int argcv_meth_collectionsPrelude_asString3977[] = {0};
  meth_meth_collectionsPrelude_asString3977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3977);
  meth_meth_collectionsPrelude_asString3977->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3977->definitionLine = 1721;
  sourceObject = obj3962;
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3986 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call3987 = callmethodflags(*var_sourceDictionary, "bindingsIterator", 0, partcv, params, 0);
  gc_frame_end(callframe3986);
// compiled member node returning call3987 (depth = 2)
  adddatum2(obj3962, call3987, 1);
  sourceObject = obj3962;
  sourceObject = obj3962;
  sourceObject = obj3962;
  objclass3962 = obj3962->class;
  objclass3962->definitionModule = modulename;
  objclass3962->definitionLine = 1717;
  (*(struct UserObject *)self).data[0] = lowerouter3962;
  self = oldself3962;
  selfslot = oldselfslot3962;
  stackframe = oldstackframe3962;
  gc_frame_end(frame);
  return obj3962;
}
Object meth_collectionsPrelude_iterator3961_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3962 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3962 = alloc_userobj2(4,5, objclass3962);
  gc_frame_newslot(obj3962);
if (objclass3962 == NULL) {
  glfree(obj3962->class->name);
  obj3962->class->name = "dictionary.empty.object.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3962, self, 0);
  addmethodreal(obj3962,"outer", &reader_collectionsPrelude_outer_3963);
  Object oldself3962 = self;
  struct StackFrameObject *oldstackframe3962 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3962);
  gc_frame_newslot((Object)stackframe);
  self = obj3962;
  Object *oldselfslot3962 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3962 = (*(struct UserObject *)self).data[0], lowerouter3962 = thisouter3962;
  if (inheritingObject3962) {
    struct UserObject *inho3962 = (struct UserObject *)inheritingObject3962;
    while (inho3962->super != GraceDefaultObject) inho3962 = (struct UserObject *)inho3962->super;
    inho3962->super = obj3962;
    self = inheritingObject3962;
    *selfslot = self;
    lowerouter3962 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3962;
  }
if (objclass3962 == NULL) {
  Method *reader3964 = addmethodrealflags(obj3962, "sourceIterator",&reader_collectionsPrelude_sourceIterator_3964, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3964->definitionModule = modulename;
  reader3964->definitionLine = 1718;
}
adddatum2(obj3962, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo3965 = (struct UserObject*)obj3962;
  uo3965->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3965 = addmethod2pos(obj3962, "hasNext", &meth_collectionsPrelude_hasNext3965, 2);
  int argcv_meth_collectionsPrelude_hasNext3965[] = {0};
  meth_meth_collectionsPrelude_hasNext3965->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3965);
  meth_meth_collectionsPrelude_hasNext3965->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3965->definitionLine = 1719;
// method "next"
  struct UserObject *uo3970 = (struct UserObject*)obj3962;
  uo3970->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next3970 = addmethod2pos(obj3962, "next", &meth_collectionsPrelude_next3970, 3);
  int argcv_meth_collectionsPrelude_next3970[] = {0};
  meth_meth_collectionsPrelude_next3970->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3970);
  meth_meth_collectionsPrelude_next3970->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3970->definitionLine = 1720;
// method "asString"
  block_savedest(obj3962);
  Object closure3977 = createclosure(1, "asString");
  setclosureframe(closure3977, stackframe);
  addtoclosure(closure3977, var_sourceDictionary);
  struct UserObject *uo3977 = (struct UserObject*)obj3962;
  uo3977->data[4] = (Object)closure3977;
  Method *meth_meth_collectionsPrelude_asString3977 = addmethod2pos(obj3962, "asString", &meth_collectionsPrelude_asString3977, 4);
  int argcv_meth_collectionsPrelude_asString3977[] = {0};
  meth_meth_collectionsPrelude_asString3977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3977);
  meth_meth_collectionsPrelude_asString3977->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3977->definitionLine = 1721;
  sourceObject = obj3962;
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3986 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call3987 = callmethodflags(*var_sourceDictionary, "bindingsIterator", 0, partcv, params, 0);
  gc_frame_end(callframe3986);
// compiled member node returning call3987 (depth = 2)
  adddatum2(obj3962, call3987, 1);
  sourceObject = obj3962;
  sourceObject = obj3962;
  sourceObject = obj3962;
  objclass3962 = obj3962->class;
  objclass3962->definitionModule = modulename;
  objclass3962->definitionLine = 1717;
  (*(struct UserObject *)self).data[0] = lowerouter3962;
  self = oldself3962;
  selfslot = oldselfslot3962;
  stackframe = oldstackframe3962;
  gc_frame_end(frame);
  return obj3962;
}
Object meth_collectionsPrelude_asDebugString3990(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3992 == NULL) {
    strlit3992 = alloc_String("");
    gc_root(strlit3992);
  }
// compiled string node returning strlit3992 (depth = 3)
  int op_slot_right_3991 = gc_frame_newslot(strlit3992);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sourceDictionary (depth = 4)
  int op_slot_right_3994 = gc_frame_newslot(*var_sourceDictionary);
// starting to compile string node (depth = 4)
  if (strlit3996 == NULL) {
    strlit3996 = alloc_String("a lazy sequence over keys of ");
    gc_root(strlit3996);
  }
// compiled string node returning strlit3996 (depth = 4)
  int op_slot_left_3994 = gc_frame_newslot(strlit3996);
  params[0] = *var_sourceDictionary;
  partcv[0] = 1;
  Object opresult3997 = callmethod(strlit3996, "++(1)", 1, partcv, params);
// compiled op node returning opresult3997 (depth = 3)
  int op_slot_left_3991 = gc_frame_newslot(opresult3997);
  params[0] = strlit3992;
  partcv[0] = 1;
  Object opresult3998 = callmethod(opresult3997, "++(1)", 1, partcv, params);
// compiled op node returning opresult3998 (depth = 2)
  gc_frame_end(frame);
  return opresult3998;
}
Object meth_collectionsPrelude_keys3958(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3959 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3959 = alloc_userobj2(4,5, objclass3959);
  gc_frame_newslot(obj3959);
if (objclass3959 == NULL) {
  glfree(obj3959->class->name);
  obj3959->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3959, self, 0);
  addmethodreal(obj3959,"outer", &reader_collectionsPrelude_outer_3960);
  Object oldself3959 = self;
  struct StackFrameObject *oldstackframe3959 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3959);
  gc_frame_newslot((Object)stackframe);
  self = obj3959;
  Object *oldselfslot3959 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3959 = (*(struct UserObject *)self).data[0], lowerouter3959 = thisouter3959;
  if (inheritingObject3959) {
    struct UserObject *inho3959 = (struct UserObject *)inheritingObject3959;
    while (inho3959->super != GraceDefaultObject) inho3959 = (struct UserObject *)inho3959->super;
    inho3959->super = obj3959;
    self = inheritingObject3959;
    *selfslot = self;
    lowerouter3959 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3959;
  }
// method "iterator"
  block_savedest(obj3959);
  Object closure3961 = createclosure(1, "iterator");
  setclosureframe(closure3961, stackframe);
  addtoclosure(closure3961, var_sourceDictionary);
  struct UserObject *uo3961 = (struct UserObject*)obj3959;
  uo3961->data[1] = (Object)closure3961;
  Method *meth_meth_collectionsPrelude_iterator3961 = addmethod2pos(obj3959, "iterator", &meth_collectionsPrelude_iterator3961, 1);
  int argcv_meth_collectionsPrelude_iterator3961[] = {0};
  meth_meth_collectionsPrelude_iterator3961->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3961);
  meth_meth_collectionsPrelude_iterator3961->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3961->definitionLine = 1717;
  block_savedest(obj3959);
  Object closure3988 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure3988, stackframe);
  addtoclosure(closure3988, var_sourceDictionary);
  Method *meth_meth_collectionsPrelude_iterator3961_object = addmethod2pos(obj3959, "iterator$object(1)", &meth_collectionsPrelude_iterator3961_object, 1);
  meth_meth_collectionsPrelude_iterator3961_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3961_object->definitionLine = 1717;
if (objclass3959 == NULL) {
  Method *reader3989 = addmethodrealflags(obj3959, "size",&reader_collectionsPrelude_size_3989, MFLAG_DEF);
  reader3989->definitionModule = modulename;
  reader3989->definitionLine = 1725;
}
adddatum2(obj3959, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj3959);
  Object closure3990 = createclosure(1, "asDebugString");
  setclosureframe(closure3990, stackframe);
  addtoclosure(closure3990, var_sourceDictionary);
  struct UserObject *uo3990 = (struct UserObject*)obj3959;
  uo3990->data[3] = (Object)closure3990;
  Method *meth_meth_collectionsPrelude_asDebugString3990 = addmethod2pos(obj3959, "asDebugString", &meth_collectionsPrelude_asDebugString3990, 3);
  int argcv_meth_collectionsPrelude_asDebugString3990[] = {0};
  meth_meth_collectionsPrelude_asDebugString3990->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString3990);
  meth_meth_collectionsPrelude_asDebugString3990->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString3990->definitionLine = 1726;
  sourceObject = obj3959;
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3999 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4000 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3999);
// compiled call node returning call4000 (depth = 2)
  struct UserObject *obj3959_uo = (struct UserObject *)obj3959;
  obj3959_uo->super = call4000;
  sourceObject = obj3959;
  sourceObject = obj3959;
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4001 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4002 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4001);
// compiled member node returning call4002 (depth = 2)
  adddatum2(obj3959, call4002, 2);
  sourceObject = obj3959;
  objclass3959 = obj3959->class;
  objclass3959->definitionModule = modulename;
  objclass3959->definitionLine = 1715;
  (*(struct UserObject *)self).data[0] = lowerouter3959;
  self = oldself3959;
  selfslot = oldselfslot3959;
  stackframe = oldstackframe3959;
  gc_frame_end(frame);
  return obj3959;
}
Object meth_collectionsPrelude_keys3958_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keys$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3959 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3959 = alloc_userobj2(4,5, objclass3959);
  gc_frame_newslot(obj3959);
if (objclass3959 == NULL) {
  glfree(obj3959->class->name);
  obj3959->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3959, self, 0);
  addmethodreal(obj3959,"outer", &reader_collectionsPrelude_outer_3960);
  Object oldself3959 = self;
  struct StackFrameObject *oldstackframe3959 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3959);
  gc_frame_newslot((Object)stackframe);
  self = obj3959;
  Object *oldselfslot3959 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3959 = (*(struct UserObject *)self).data[0], lowerouter3959 = thisouter3959;
  if (inheritingObject3959) {
    struct UserObject *inho3959 = (struct UserObject *)inheritingObject3959;
    while (inho3959->super != GraceDefaultObject) inho3959 = (struct UserObject *)inho3959->super;
    inho3959->super = obj3959;
    self = inheritingObject3959;
    *selfslot = self;
    lowerouter3959 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3959;
  }
// method "iterator"
  block_savedest(obj3959);
  Object closure3961 = createclosure(1, "iterator");
  setclosureframe(closure3961, stackframe);
  addtoclosure(closure3961, var_sourceDictionary);
  struct UserObject *uo3961 = (struct UserObject*)obj3959;
  uo3961->data[1] = (Object)closure3961;
  Method *meth_meth_collectionsPrelude_iterator3961 = addmethod2pos(obj3959, "iterator", &meth_collectionsPrelude_iterator3961, 1);
  int argcv_meth_collectionsPrelude_iterator3961[] = {0};
  meth_meth_collectionsPrelude_iterator3961->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3961);
  meth_meth_collectionsPrelude_iterator3961->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3961->definitionLine = 1717;
  block_savedest(obj3959);
  Object closure3988 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure3988, stackframe);
  addtoclosure(closure3988, var_sourceDictionary);
  Method *meth_meth_collectionsPrelude_iterator3961_object = addmethod2pos(obj3959, "iterator$object(1)", &meth_collectionsPrelude_iterator3961_object, 1);
  meth_meth_collectionsPrelude_iterator3961_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3961_object->definitionLine = 1717;
if (objclass3959 == NULL) {
  Method *reader3989 = addmethodrealflags(obj3959, "size",&reader_collectionsPrelude_size_3989, MFLAG_DEF);
  reader3989->definitionModule = modulename;
  reader3989->definitionLine = 1725;
}
adddatum2(obj3959, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj3959);
  Object closure3990 = createclosure(1, "asDebugString");
  setclosureframe(closure3990, stackframe);
  addtoclosure(closure3990, var_sourceDictionary);
  struct UserObject *uo3990 = (struct UserObject*)obj3959;
  uo3990->data[3] = (Object)closure3990;
  Method *meth_meth_collectionsPrelude_asDebugString3990 = addmethod2pos(obj3959, "asDebugString", &meth_collectionsPrelude_asDebugString3990, 3);
  int argcv_meth_collectionsPrelude_asDebugString3990[] = {0};
  meth_meth_collectionsPrelude_asDebugString3990->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString3990);
  meth_meth_collectionsPrelude_asDebugString3990->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString3990->definitionLine = 1726;
  sourceObject = obj3959;
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3999 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4000 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3999);
// compiled call node returning call4000 (depth = 2)
  struct UserObject *obj3959_uo = (struct UserObject *)obj3959;
  obj3959_uo->super = call4000;
  sourceObject = obj3959;
  sourceObject = obj3959;
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4001 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4002 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4001);
// compiled member node returning call4002 (depth = 2)
  adddatum2(obj3959, call4002, 2);
  sourceObject = obj3959;
  objclass3959 = obj3959->class;
  objclass3959->definitionModule = modulename;
  objclass3959->definitionLine = 1715;
  (*(struct UserObject *)self).data[0] = lowerouter3959;
  self = oldself3959;
  selfslot = oldselfslot3959;
  stackframe = oldstackframe3959;
  gc_frame_end(frame);
  return obj3959;
}
Object meth_collectionsPrelude_hasNext4011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4012 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4013 = gc_frame_new();
// call case 4: self request
  Object call4014 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4013);
// compiled member node returning call4014 (depth = 3)
  Object call4015 = callmethodflags(call4014, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe4012);
// compiled member node returning call4015 (depth = 2)
  gc_frame_end(frame);
  return call4015;
}
Object meth_collectionsPrelude_next4016(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4017 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4018 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4019 = gc_frame_new();
// call case 4: self request
  Object call4020 = callmethodflags(self, "sourceIterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4019);
// compiled member node returning call4020 (depth = 4)
  Object call4021 = callmethodflags(call4020, "next", 0, partcv, params, 0);
  gc_frame_end(callframe4018);
// compiled member node returning call4021 (depth = 3)
  Object call4022 = callmethodflags(call4021, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4017);
// compiled member node returning call4022 (depth = 2)
  gc_frame_end(frame);
  return call4022;
}
Object meth_collectionsPrelude_asString4023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4025 == NULL) {
    strlit4025 = alloc_String("");
    gc_root(strlit4025);
  }
// compiled string node returning strlit4025 (depth = 3)
  int op_slot_right_4024 = gc_frame_newslot(strlit4025);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sourceDictionary (depth = 4)
  int op_slot_right_4027 = gc_frame_newslot(*var_sourceDictionary);
// starting to compile string node (depth = 4)
  if (strlit4029 == NULL) {
    strlit4029 = alloc_String("an iterator over values of ");
    gc_root(strlit4029);
  }
// compiled string node returning strlit4029 (depth = 4)
  int op_slot_left_4027 = gc_frame_newslot(strlit4029);
  params[0] = *var_sourceDictionary;
  partcv[0] = 1;
  Object opresult4030 = callmethod(strlit4029, "++(1)", 1, partcv, params);
// compiled op node returning opresult4030 (depth = 3)
  int op_slot_left_4024 = gc_frame_newslot(opresult4030);
  params[0] = strlit4025;
  partcv[0] = 1;
  Object opresult4031 = callmethod(opresult4030, "++(1)", 1, partcv, params);
// compiled op node returning opresult4031 (depth = 2)
  gc_frame_end(frame);
  return opresult4031;
}
Object meth_collectionsPrelude_iterator4007(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4008 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4008 = alloc_userobj2(4,5, objclass4008);
  gc_frame_newslot(obj4008);
if (objclass4008 == NULL) {
  glfree(obj4008->class->name);
  obj4008->class->name = "dictionary.empty.object.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4008, self, 0);
  addmethodreal(obj4008,"outer", &reader_collectionsPrelude_outer_4009);
  Object oldself4008 = self;
  struct StackFrameObject *oldstackframe4008 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4008);
  gc_frame_newslot((Object)stackframe);
  self = obj4008;
  Object *oldselfslot4008 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4008 = (*(struct UserObject *)self).data[0], lowerouter4008 = thisouter4008;
  if (inheritingObject4008) {
    struct UserObject *inho4008 = (struct UserObject *)inheritingObject4008;
    while (inho4008->super != GraceDefaultObject) inho4008 = (struct UserObject *)inho4008->super;
    inho4008->super = obj4008;
    self = inheritingObject4008;
    *selfslot = self;
    lowerouter4008 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4008;
  }
if (objclass4008 == NULL) {
  Method *reader4010 = addmethodrealflags(obj4008, "sourceIterator",&reader_collectionsPrelude_sourceIterator_4010, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4010->definitionModule = modulename;
  reader4010->definitionLine = 1736;
}
adddatum2(obj4008, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo4011 = (struct UserObject*)obj4008;
  uo4011->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4011 = addmethod2pos(obj4008, "hasNext", &meth_collectionsPrelude_hasNext4011, 2);
  int argcv_meth_collectionsPrelude_hasNext4011[] = {0};
  meth_meth_collectionsPrelude_hasNext4011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4011);
  meth_meth_collectionsPrelude_hasNext4011->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4011->definitionLine = 1738;
// method "next"
  struct UserObject *uo4016 = (struct UserObject*)obj4008;
  uo4016->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4016 = addmethod2pos(obj4008, "next", &meth_collectionsPrelude_next4016, 3);
  int argcv_meth_collectionsPrelude_next4016[] = {0};
  meth_meth_collectionsPrelude_next4016->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4016);
  meth_meth_collectionsPrelude_next4016->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4016->definitionLine = 1739;
// method "asString"
  block_savedest(obj4008);
  Object closure4023 = createclosure(1, "asString");
  setclosureframe(closure4023, stackframe);
  addtoclosure(closure4023, var_sourceDictionary);
  struct UserObject *uo4023 = (struct UserObject*)obj4008;
  uo4023->data[4] = (Object)closure4023;
  Method *meth_meth_collectionsPrelude_asString4023 = addmethod2pos(obj4008, "asString", &meth_collectionsPrelude_asString4023, 4);
  int argcv_meth_collectionsPrelude_asString4023[] = {0};
  meth_meth_collectionsPrelude_asString4023->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4023);
  meth_meth_collectionsPrelude_asString4023->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4023->definitionLine = 1740;
  sourceObject = obj4008;
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4032 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4033 = callmethodflags(*var_sourceDictionary, "bindingsIterator", 0, partcv, params, 0);
  gc_frame_end(callframe4032);
// compiled member node returning call4033 (depth = 2)
  adddatum2(obj4008, call4033, 1);
  sourceObject = obj4008;
  sourceObject = obj4008;
  sourceObject = obj4008;
  objclass4008 = obj4008->class;
  objclass4008->definitionModule = modulename;
  objclass4008->definitionLine = 1735;
  (*(struct UserObject *)self).data[0] = lowerouter4008;
  self = oldself4008;
  selfslot = oldselfslot4008;
  stackframe = oldstackframe4008;
  gc_frame_end(frame);
  return obj4008;
}
Object meth_collectionsPrelude_iterator4007_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4008 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4008 = alloc_userobj2(4,5, objclass4008);
  gc_frame_newslot(obj4008);
if (objclass4008 == NULL) {
  glfree(obj4008->class->name);
  obj4008->class->name = "dictionary.empty.object.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4008, self, 0);
  addmethodreal(obj4008,"outer", &reader_collectionsPrelude_outer_4009);
  Object oldself4008 = self;
  struct StackFrameObject *oldstackframe4008 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4008);
  gc_frame_newslot((Object)stackframe);
  self = obj4008;
  Object *oldselfslot4008 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4008 = (*(struct UserObject *)self).data[0], lowerouter4008 = thisouter4008;
  if (inheritingObject4008) {
    struct UserObject *inho4008 = (struct UserObject *)inheritingObject4008;
    while (inho4008->super != GraceDefaultObject) inho4008 = (struct UserObject *)inho4008->super;
    inho4008->super = obj4008;
    self = inheritingObject4008;
    *selfslot = self;
    lowerouter4008 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4008;
  }
if (objclass4008 == NULL) {
  Method *reader4010 = addmethodrealflags(obj4008, "sourceIterator",&reader_collectionsPrelude_sourceIterator_4010, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4010->definitionModule = modulename;
  reader4010->definitionLine = 1736;
}
adddatum2(obj4008, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo4011 = (struct UserObject*)obj4008;
  uo4011->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4011 = addmethod2pos(obj4008, "hasNext", &meth_collectionsPrelude_hasNext4011, 2);
  int argcv_meth_collectionsPrelude_hasNext4011[] = {0};
  meth_meth_collectionsPrelude_hasNext4011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4011);
  meth_meth_collectionsPrelude_hasNext4011->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4011->definitionLine = 1738;
// method "next"
  struct UserObject *uo4016 = (struct UserObject*)obj4008;
  uo4016->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4016 = addmethod2pos(obj4008, "next", &meth_collectionsPrelude_next4016, 3);
  int argcv_meth_collectionsPrelude_next4016[] = {0};
  meth_meth_collectionsPrelude_next4016->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4016);
  meth_meth_collectionsPrelude_next4016->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4016->definitionLine = 1739;
// method "asString"
  block_savedest(obj4008);
  Object closure4023 = createclosure(1, "asString");
  setclosureframe(closure4023, stackframe);
  addtoclosure(closure4023, var_sourceDictionary);
  struct UserObject *uo4023 = (struct UserObject*)obj4008;
  uo4023->data[4] = (Object)closure4023;
  Method *meth_meth_collectionsPrelude_asString4023 = addmethod2pos(obj4008, "asString", &meth_collectionsPrelude_asString4023, 4);
  int argcv_meth_collectionsPrelude_asString4023[] = {0};
  meth_meth_collectionsPrelude_asString4023->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4023);
  meth_meth_collectionsPrelude_asString4023->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4023->definitionLine = 1740;
  sourceObject = obj4008;
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4032 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4033 = callmethodflags(*var_sourceDictionary, "bindingsIterator", 0, partcv, params, 0);
  gc_frame_end(callframe4032);
// compiled member node returning call4033 (depth = 2)
  adddatum2(obj4008, call4033, 1);
  sourceObject = obj4008;
  sourceObject = obj4008;
  sourceObject = obj4008;
  objclass4008 = obj4008->class;
  objclass4008->definitionModule = modulename;
  objclass4008->definitionLine = 1735;
  (*(struct UserObject *)self).data[0] = lowerouter4008;
  self = oldself4008;
  selfslot = oldselfslot4008;
  stackframe = oldstackframe4008;
  gc_frame_end(frame);
  return obj4008;
}
Object meth_collectionsPrelude_asDebugString4036(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4038 == NULL) {
    strlit4038 = alloc_String("");
    gc_root(strlit4038);
  }
// compiled string node returning strlit4038 (depth = 3)
  int op_slot_right_4037 = gc_frame_newslot(strlit4038);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sourceDictionary (depth = 4)
  int op_slot_right_4040 = gc_frame_newslot(*var_sourceDictionary);
// starting to compile string node (depth = 4)
  if (strlit4042 == NULL) {
    strlit4042 = alloc_String("a lazy sequence over values of ");
    gc_root(strlit4042);
  }
// compiled string node returning strlit4042 (depth = 4)
  int op_slot_left_4040 = gc_frame_newslot(strlit4042);
  params[0] = *var_sourceDictionary;
  partcv[0] = 1;
  Object opresult4043 = callmethod(strlit4042, "++(1)", 1, partcv, params);
// compiled op node returning opresult4043 (depth = 3)
  int op_slot_left_4037 = gc_frame_newslot(opresult4043);
  params[0] = strlit4038;
  partcv[0] = 1;
  Object opresult4044 = callmethod(opresult4043, "++(1)", 1, partcv, params);
// compiled op node returning opresult4044 (depth = 2)
  gc_frame_end(frame);
  return opresult4044;
}
Object meth_collectionsPrelude_values4004(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4005 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4005 = alloc_userobj2(4,5, objclass4005);
  gc_frame_newslot(obj4005);
if (objclass4005 == NULL) {
  glfree(obj4005->class->name);
  obj4005->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4005, self, 0);
  addmethodreal(obj4005,"outer", &reader_collectionsPrelude_outer_4006);
  Object oldself4005 = self;
  struct StackFrameObject *oldstackframe4005 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4005);
  gc_frame_newslot((Object)stackframe);
  self = obj4005;
  Object *oldselfslot4005 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4005 = (*(struct UserObject *)self).data[0], lowerouter4005 = thisouter4005;
  if (inheritingObject4005) {
    struct UserObject *inho4005 = (struct UserObject *)inheritingObject4005;
    while (inho4005->super != GraceDefaultObject) inho4005 = (struct UserObject *)inho4005->super;
    inho4005->super = obj4005;
    self = inheritingObject4005;
    *selfslot = self;
    lowerouter4005 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4005;
  }
// method "iterator"
  block_savedest(obj4005);
  Object closure4007 = createclosure(1, "iterator");
  setclosureframe(closure4007, stackframe);
  addtoclosure(closure4007, var_sourceDictionary);
  struct UserObject *uo4007 = (struct UserObject*)obj4005;
  uo4007->data[1] = (Object)closure4007;
  Method *meth_meth_collectionsPrelude_iterator4007 = addmethod2pos(obj4005, "iterator", &meth_collectionsPrelude_iterator4007, 1);
  int argcv_meth_collectionsPrelude_iterator4007[] = {0};
  meth_meth_collectionsPrelude_iterator4007->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4007);
  meth_meth_collectionsPrelude_iterator4007->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4007->definitionLine = 1735;
  block_savedest(obj4005);
  Object closure4034 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure4034, stackframe);
  addtoclosure(closure4034, var_sourceDictionary);
  Method *meth_meth_collectionsPrelude_iterator4007_object = addmethod2pos(obj4005, "iterator$object(1)", &meth_collectionsPrelude_iterator4007_object, 1);
  meth_meth_collectionsPrelude_iterator4007_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4007_object->definitionLine = 1735;
if (objclass4005 == NULL) {
  Method *reader4035 = addmethodrealflags(obj4005, "size",&reader_collectionsPrelude_size_4035, MFLAG_DEF);
  reader4035->definitionModule = modulename;
  reader4035->definitionLine = 1744;
}
adddatum2(obj4005, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj4005);
  Object closure4036 = createclosure(1, "asDebugString");
  setclosureframe(closure4036, stackframe);
  addtoclosure(closure4036, var_sourceDictionary);
  struct UserObject *uo4036 = (struct UserObject*)obj4005;
  uo4036->data[3] = (Object)closure4036;
  Method *meth_meth_collectionsPrelude_asDebugString4036 = addmethod2pos(obj4005, "asDebugString", &meth_collectionsPrelude_asDebugString4036, 3);
  int argcv_meth_collectionsPrelude_asDebugString4036[] = {0};
  meth_meth_collectionsPrelude_asDebugString4036->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString4036);
  meth_meth_collectionsPrelude_asDebugString4036->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString4036->definitionLine = 1745;
  sourceObject = obj4005;
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4045 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4046 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4045);
// compiled call node returning call4046 (depth = 2)
  struct UserObject *obj4005_uo = (struct UserObject *)obj4005;
  obj4005_uo->super = call4046;
  sourceObject = obj4005;
  sourceObject = obj4005;
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4047 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4048 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4047);
// compiled member node returning call4048 (depth = 2)
  adddatum2(obj4005, call4048, 2);
  sourceObject = obj4005;
  objclass4005 = obj4005->class;
  objclass4005->definitionModule = modulename;
  objclass4005->definitionLine = 1733;
  (*(struct UserObject *)self).data[0] = lowerouter4005;
  self = oldself4005;
  selfslot = oldselfslot4005;
  stackframe = oldstackframe4005;
  gc_frame_end(frame);
  return obj4005;
}
Object meth_collectionsPrelude_values4004_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4005 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4005 = alloc_userobj2(4,5, objclass4005);
  gc_frame_newslot(obj4005);
if (objclass4005 == NULL) {
  glfree(obj4005->class->name);
  obj4005->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4005, self, 0);
  addmethodreal(obj4005,"outer", &reader_collectionsPrelude_outer_4006);
  Object oldself4005 = self;
  struct StackFrameObject *oldstackframe4005 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4005);
  gc_frame_newslot((Object)stackframe);
  self = obj4005;
  Object *oldselfslot4005 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4005 = (*(struct UserObject *)self).data[0], lowerouter4005 = thisouter4005;
  if (inheritingObject4005) {
    struct UserObject *inho4005 = (struct UserObject *)inheritingObject4005;
    while (inho4005->super != GraceDefaultObject) inho4005 = (struct UserObject *)inho4005->super;
    inho4005->super = obj4005;
    self = inheritingObject4005;
    *selfslot = self;
    lowerouter4005 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4005;
  }
// method "iterator"
  block_savedest(obj4005);
  Object closure4007 = createclosure(1, "iterator");
  setclosureframe(closure4007, stackframe);
  addtoclosure(closure4007, var_sourceDictionary);
  struct UserObject *uo4007 = (struct UserObject*)obj4005;
  uo4007->data[1] = (Object)closure4007;
  Method *meth_meth_collectionsPrelude_iterator4007 = addmethod2pos(obj4005, "iterator", &meth_collectionsPrelude_iterator4007, 1);
  int argcv_meth_collectionsPrelude_iterator4007[] = {0};
  meth_meth_collectionsPrelude_iterator4007->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4007);
  meth_meth_collectionsPrelude_iterator4007->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4007->definitionLine = 1735;
  block_savedest(obj4005);
  Object closure4034 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure4034, stackframe);
  addtoclosure(closure4034, var_sourceDictionary);
  Method *meth_meth_collectionsPrelude_iterator4007_object = addmethod2pos(obj4005, "iterator$object(1)", &meth_collectionsPrelude_iterator4007_object, 1);
  meth_meth_collectionsPrelude_iterator4007_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4007_object->definitionLine = 1735;
if (objclass4005 == NULL) {
  Method *reader4035 = addmethodrealflags(obj4005, "size",&reader_collectionsPrelude_size_4035, MFLAG_DEF);
  reader4035->definitionModule = modulename;
  reader4035->definitionLine = 1744;
}
adddatum2(obj4005, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj4005);
  Object closure4036 = createclosure(1, "asDebugString");
  setclosureframe(closure4036, stackframe);
  addtoclosure(closure4036, var_sourceDictionary);
  struct UserObject *uo4036 = (struct UserObject*)obj4005;
  uo4036->data[3] = (Object)closure4036;
  Method *meth_meth_collectionsPrelude_asDebugString4036 = addmethod2pos(obj4005, "asDebugString", &meth_collectionsPrelude_asDebugString4036, 3);
  int argcv_meth_collectionsPrelude_asDebugString4036[] = {0};
  meth_meth_collectionsPrelude_asDebugString4036->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString4036);
  meth_meth_collectionsPrelude_asDebugString4036->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString4036->definitionLine = 1745;
  sourceObject = obj4005;
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4045 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4046 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4045);
// compiled call node returning call4046 (depth = 2)
  struct UserObject *obj4005_uo = (struct UserObject *)obj4005;
  obj4005_uo->super = call4046;
  sourceObject = obj4005;
  sourceObject = obj4005;
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4047 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4048 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4047);
// compiled member node returning call4048 (depth = 2)
  adddatum2(obj4005, call4048, 2);
  sourceObject = obj4005;
  objclass4005 = obj4005->class;
  objclass4005->definitionModule = modulename;
  objclass4005->definitionLine = 1733;
  (*(struct UserObject *)self).data[0] = lowerouter4005;
  self = oldself4005;
  selfslot = oldselfslot4005;
  stackframe = oldstackframe4005;
  gc_frame_end(frame);
  return obj4005;
}
Object meth_collectionsPrelude_iterator4053(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1754
  setline(1754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4054 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4055 = callmethodflags(*var_sourceDictionary, "bindingsIterator", 0, partcv, params, 0);
  gc_frame_end(callframe4054);
// compiled member node returning call4055 (depth = 2)
  gc_frame_end(frame);
  return call4055;
}
Object meth_collectionsPrelude_asDebugString4057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sourceDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4059 == NULL) {
    strlit4059 = alloc_String("");
    gc_root(strlit4059);
  }
// compiled string node returning strlit4059 (depth = 3)
  int op_slot_right_4058 = gc_frame_newslot(strlit4059);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sourceDictionary (depth = 4)
  int op_slot_right_4061 = gc_frame_newslot(*var_sourceDictionary);
// starting to compile string node (depth = 4)
  if (strlit4063 == NULL) {
    strlit4063 = alloc_String("a lazy sequence over bindings of ");
    gc_root(strlit4063);
  }
// compiled string node returning strlit4063 (depth = 4)
  int op_slot_left_4061 = gc_frame_newslot(strlit4063);
  params[0] = *var_sourceDictionary;
  partcv[0] = 1;
  Object opresult4064 = callmethod(strlit4063, "++(1)", 1, partcv, params);
// compiled op node returning opresult4064 (depth = 3)
  int op_slot_left_4058 = gc_frame_newslot(opresult4064);
  params[0] = strlit4059;
  partcv[0] = 1;
  Object opresult4065 = callmethod(opresult4064, "++(1)", 1, partcv, params);
// compiled op node returning opresult4065 (depth = 2)
  gc_frame_end(frame);
  return opresult4065;
}
Object meth_collectionsPrelude_bindings4050(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindings");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4051 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4051 = alloc_userobj2(3,4, objclass4051);
  gc_frame_newslot(obj4051);
if (objclass4051 == NULL) {
  glfree(obj4051->class->name);
  obj4051->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4051, self, 0);
  addmethodreal(obj4051,"outer", &reader_collectionsPrelude_outer_4052);
  Object oldself4051 = self;
  struct StackFrameObject *oldstackframe4051 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4051);
  gc_frame_newslot((Object)stackframe);
  self = obj4051;
  Object *oldselfslot4051 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4051 = (*(struct UserObject *)self).data[0], lowerouter4051 = thisouter4051;
  if (inheritingObject4051) {
    struct UserObject *inho4051 = (struct UserObject *)inheritingObject4051;
    while (inho4051->super != GraceDefaultObject) inho4051 = (struct UserObject *)inho4051->super;
    inho4051->super = obj4051;
    self = inheritingObject4051;
    *selfslot = self;
    lowerouter4051 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4051;
  }
// method "iterator"
  block_savedest(obj4051);
  Object closure4053 = createclosure(1, "iterator");
  setclosureframe(closure4053, stackframe);
  addtoclosure(closure4053, var_sourceDictionary);
  struct UserObject *uo4053 = (struct UserObject*)obj4051;
  uo4053->data[1] = (Object)closure4053;
  Method *meth_meth_collectionsPrelude_iterator4053 = addmethod2pos(obj4051, "iterator", &meth_collectionsPrelude_iterator4053, 1);
  int argcv_meth_collectionsPrelude_iterator4053[] = {0};
  meth_meth_collectionsPrelude_iterator4053->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4053);
  meth_meth_collectionsPrelude_iterator4053->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4053->definitionLine = 1754;
if (objclass4051 == NULL) {
  Method *reader4056 = addmethodrealflags(obj4051, "size",&reader_collectionsPrelude_size_4056, MFLAG_DEF);
  reader4056->definitionModule = modulename;
  reader4056->definitionLine = 1756;
}
adddatum2(obj4051, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj4051);
  Object closure4057 = createclosure(1, "asDebugString");
  setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, var_sourceDictionary);
  struct UserObject *uo4057 = (struct UserObject*)obj4051;
  uo4057->data[3] = (Object)closure4057;
  Method *meth_meth_collectionsPrelude_asDebugString4057 = addmethod2pos(obj4051, "asDebugString", &meth_collectionsPrelude_asDebugString4057, 3);
  int argcv_meth_collectionsPrelude_asDebugString4057[] = {0};
  meth_meth_collectionsPrelude_asDebugString4057->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString4057);
  meth_meth_collectionsPrelude_asDebugString4057->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString4057->definitionLine = 1757;
  sourceObject = obj4051;
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4066 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4067 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4066);
// compiled call node returning call4067 (depth = 2)
  struct UserObject *obj4051_uo = (struct UserObject *)obj4051;
  obj4051_uo->super = call4067;
  sourceObject = obj4051;
  sourceObject = obj4051;
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4069 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4068);
// compiled member node returning call4069 (depth = 2)
  adddatum2(obj4051, call4069, 2);
  sourceObject = obj4051;
  objclass4051 = obj4051->class;
  objclass4051->definitionModule = modulename;
  objclass4051->definitionLine = 1752;
  (*(struct UserObject *)self).data[0] = lowerouter4051;
  self = oldself4051;
  selfslot = oldselfslot4051;
  stackframe = oldstackframe4051;
  gc_frame_end(frame);
  return obj4051;
}
Object meth_collectionsPrelude_bindings4050_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindings$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sourceDictionary = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sourceDictionary");
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  *var_sourceDictionary = self;
  if (self == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4051 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4051 = alloc_userobj2(3,4, objclass4051);
  gc_frame_newslot(obj4051);
if (objclass4051 == NULL) {
  glfree(obj4051->class->name);
  obj4051->class->name = "dictionary.empty.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4051, self, 0);
  addmethodreal(obj4051,"outer", &reader_collectionsPrelude_outer_4052);
  Object oldself4051 = self;
  struct StackFrameObject *oldstackframe4051 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4051);
  gc_frame_newslot((Object)stackframe);
  self = obj4051;
  Object *oldselfslot4051 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4051 = (*(struct UserObject *)self).data[0], lowerouter4051 = thisouter4051;
  if (inheritingObject4051) {
    struct UserObject *inho4051 = (struct UserObject *)inheritingObject4051;
    while (inho4051->super != GraceDefaultObject) inho4051 = (struct UserObject *)inho4051->super;
    inho4051->super = obj4051;
    self = inheritingObject4051;
    *selfslot = self;
    lowerouter4051 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4051;
  }
// method "iterator"
  block_savedest(obj4051);
  Object closure4053 = createclosure(1, "iterator");
  setclosureframe(closure4053, stackframe);
  addtoclosure(closure4053, var_sourceDictionary);
  struct UserObject *uo4053 = (struct UserObject*)obj4051;
  uo4053->data[1] = (Object)closure4053;
  Method *meth_meth_collectionsPrelude_iterator4053 = addmethod2pos(obj4051, "iterator", &meth_collectionsPrelude_iterator4053, 1);
  int argcv_meth_collectionsPrelude_iterator4053[] = {0};
  meth_meth_collectionsPrelude_iterator4053->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4053);
  meth_meth_collectionsPrelude_iterator4053->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4053->definitionLine = 1754;
if (objclass4051 == NULL) {
  Method *reader4056 = addmethodrealflags(obj4051, "size",&reader_collectionsPrelude_size_4056, MFLAG_DEF);
  reader4056->definitionModule = modulename;
  reader4056->definitionLine = 1756;
}
adddatum2(obj4051, alloc_Undefined(), 2);
// method "asDebugString"
  block_savedest(obj4051);
  Object closure4057 = createclosure(1, "asDebugString");
  setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, var_sourceDictionary);
  struct UserObject *uo4057 = (struct UserObject*)obj4051;
  uo4057->data[3] = (Object)closure4057;
  Method *meth_meth_collectionsPrelude_asDebugString4057 = addmethod2pos(obj4051, "asDebugString", &meth_collectionsPrelude_asDebugString4057, 3);
  int argcv_meth_collectionsPrelude_asDebugString4057[] = {0};
  meth_meth_collectionsPrelude_asDebugString4057->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString4057);
  meth_meth_collectionsPrelude_asDebugString4057->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString4057->definitionLine = 1757;
  sourceObject = obj4051;
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4066 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4067 = callmethodflags(*var_enumerable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4066);
// compiled call node returning call4067 (depth = 2)
  struct UserObject *obj4051_uo = (struct UserObject *)obj4051;
  obj4051_uo->super = call4067;
  sourceObject = obj4051;
  sourceObject = obj4051;
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sourceDictionary (depth = 3)
  Object call4069 = callmethodflags(*var_sourceDictionary, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4068);
// compiled member node returning call4069 (depth = 2)
  adddatum2(obj4051, call4069, 2);
  sourceObject = obj4051;
  objclass4051 = obj4051->class;
  objclass4051->definitionModule = modulename;
  objclass4051->definitionLine = 1752;
  (*(struct UserObject *)self).data[0] = lowerouter4051;
  self = oldself4051;
  selfslot = oldselfslot4051;
  stackframe = oldstackframe4051;
  gc_frame_end(frame);
  return obj4051;
}
Object meth_collectionsPrelude_iterator4071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4072 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4073 = gc_frame_new();
// call case 4: self request
  Object call4074 = callmethodflags(self, "values", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4073);
// compiled member node returning call4074 (depth = 3)
  Object call4075 = callmethodflags(call4074, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe4072);
// compiled member node returning call4075 (depth = 2)
  gc_frame_end(frame);
  return call4075;
}
Object meth_collectionsPrelude_hasNext4083(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4085 = gc_frame_new();
// call case 4: self request
  Object call4086 = callmethodflags(self, "count", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4085);
// compiled member node returning call4086 (depth = 3)
  int op_slot_right_4084 = gc_frame_newslot(call4086);
// starting to compile member node (depth = 3)
  int callframe4088 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4089 = gc_frame_new();
// call case 3: self.outer request
  Object call4090 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4089);
// compiled member node returning call4090 (depth = 4)
  Object call4091 = callmethodflags(call4090, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4088);
// compiled member node returning call4091 (depth = 3)
  int op_slot_left_4084 = gc_frame_newslot(call4091);
  params[0] = call4086;
  partcv[0] = 1;
  Object opresult4092 = callmethod(call4091, "≥(1)", 1, partcv, params);
// compiled op node returning opresult4092 (depth = 2)
  gc_frame_end(frame);
  return opresult4092;
}
Object meth_collectionsPrelude__apply4136(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe4137 = gc_frame_new();
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4138 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4139 = gc_frame_new();
// call case 4: self request
  Object call4140 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4139);
// compiled member node returning call4140 (depth = 6)
  gc_frame_newslot(call4140);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4141 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4142 = gc_frame_new();
// call case 3: self.outer request
  Object call4143 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4142);
// compiled member node returning call4143 (depth = 7)
  Object call4144 = callmethodflags(call4143, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4141);
// compiled member node returning call4144 (depth = 6)
  params[0] = call4140;
  partcv[0] = 1;
  Object call4145 = callmethodflags(call4144, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4138);
// compiled call node returning call4145 (depth = 5)
  gc_frame_newslot(call4145);
// call case 4: self request
  params[0] = call4145;
  partcv[0] = 1;
  Object call4146 = callmethodflags(self, "elt:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4137);
// compiled call node returning call4146 (depth = 4)
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4149 = gc_frame_new();
// call case 4: self request
  Object call4150 = callmethodflags(self, "elt", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4149);
// compiled member node returning call4150 (depth = 6)
  int op_slot_right_4148 = gc_frame_newslot(call4150);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removed (depth = 6)
  int op_slot_left_4148 = gc_frame_newslot(*var_removed);
  params[0] = call4150;
  partcv[0] = 1;
  Object opresult4152 = callmethod(*var_removed, "==(1)", 1, partcv, params);
// compiled op node returning opresult4152 (depth = 5)
  int op_slot_right_4147 = gc_frame_newslot(opresult4152);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4155 = gc_frame_new();
// call case 4: self request
  Object call4156 = callmethodflags(self, "elt", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4155);
// compiled member node returning call4156 (depth = 6)
  int op_slot_right_4154 = gc_frame_newslot(call4156);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_unused (depth = 6)
  int op_slot_left_4154 = gc_frame_newslot(*var_unused);
  params[0] = call4156;
  partcv[0] = 1;
  Object opresult4158 = callmethod(*var_unused, "==(1)", 1, partcv, params);
// compiled op node returning opresult4158 (depth = 5)
  int op_slot_left_4147 = gc_frame_newslot(opresult4158);
  params[0] = opresult4152;
  partcv[0] = 1;
  Object opresult4159 = callmethod(opresult4158, "||(1)", 1, partcv, params);
// compiled op node returning opresult4159 (depth = 4)
  gc_frame_end(frame);
  return opresult4159;
}
Object meth_collectionsPrelude__apply4162(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe4163 = gc_frame_new();
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4165 = alloc_Float64(1);
// compiled num node returning num4165 (depth = 6)
  int op_slot_right_4164 = gc_frame_newslot(num4165);
// starting to compile member node (depth = 6)
  int callframe4167 = gc_frame_new();
// call case 4: self request
  Object call4168 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4167);
// compiled member node returning call4168 (depth = 6)
  int op_slot_left_4164 = gc_frame_newslot(call4168);
  params[0] = num4165;
  partcv[0] = 1;
  Object sum4169 = callmethod(call4168, "+(1)", 1, partcv, params);
// compiled op node returning sum4169 (depth = 5)
  gc_frame_newslot(sum4169);
// call case 4: self request
  params[0] = sum4169;
  partcv[0] = 1;
  Object call4170 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4163);
// compiled call node returning call4170 (depth = 4)
  gc_frame_end(frame);
  return call4170;
}
Object meth_collectionsPrelude_next4093(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4096 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4097 = gc_frame_new();
// call case 3: self.outer request
  Object call4098 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4097);
// compiled member node returning call4098 (depth = 5)
  Object call4099 = callmethodflags(call4098, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4096);
// compiled member node returning call4099 (depth = 4)
  int op_slot_right_4095 = gc_frame_newslot(call4099);
// starting to compile member node (depth = 4)
  int callframe4101 = gc_frame_new();
// call case 4: self request
  Object call4102 = callmethodflags(self, "imods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4101);
// compiled member node returning call4102 (depth = 4)
  int op_slot_left_4095 = gc_frame_newslot(call4102);
  params[0] = call4099;
  partcv[0] = 1;
  Object opresult4103 = callmethod(call4102, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4103 (depth = 3)
  Object if4094 = done;
  if (istrue(opresult4103)) {
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4104 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4105 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4106 = gc_frame_new();
// call case 3: self.outer request
  Object call4107 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4106);
// compiled member node returning call4107 (depth = 5)
  Object call4108 = callmethodflags(call4107, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4105);
// compiled member node returning call4108 (depth = 4)
  gc_frame_newslot(call4108);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ConcurrentModification (depth = 4)
  params[0] = call4108;
  partcv[0] = 1;
  Object call4109 = callmethodflags(*var_ConcurrentModification, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4104);
// compiled call node returning call4109 (depth = 3)
    gc_frame_newslot(call4109);
    if4094 = call4109;
  } else {
  }
// compiled if node returning if4094 (depth = 2)
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4112 = gc_frame_new();
// call case 4: self request
  Object call4113 = callmethodflags(self, "count", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4112);
// compiled member node returning call4113 (depth = 4)
  int op_slot_right_4111 = gc_frame_newslot(call4113);
// starting to compile member node (depth = 4)
  int callframe4115 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4116 = gc_frame_new();
// call case 3: self.outer request
  Object call4117 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4116);
// compiled member node returning call4117 (depth = 5)
  Object call4118 = callmethodflags(call4117, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4115);
// compiled member node returning call4118 (depth = 4)
  int op_slot_left_4111 = gc_frame_newslot(call4118);
  params[0] = call4113;
  partcv[0] = 1;
  Object opresult4119 = callmethod(call4118, "<(1)", 1, partcv, params);
// compiled op node returning opresult4119 (depth = 3)
  Object if4110 = done;
  if (istrue(opresult4119)) {
// starting to compile call node (depth = 3)
  int callframe4120 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4122 == NULL) {
    strlit4122 = alloc_String("");
    gc_root(strlit4122);
  }
// compiled string node returning strlit4122 (depth = 5)
  int op_slot_right_4121 = gc_frame_newslot(strlit4122);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4125 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4126 = gc_frame_new();
// call case 3: self.outer request
  Object call4127 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4126);
// compiled member node returning call4127 (depth = 7)
  Object call4128 = callmethodflags(call4127, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4125);
// compiled member node returning call4128 (depth = 6)
  int op_slot_right_4124 = gc_frame_newslot(call4128);
// starting to compile string node (depth = 6)
  if (strlit4130 == NULL) {
    strlit4130 = alloc_String("over ");
    gc_root(strlit4130);
  }
// compiled string node returning strlit4130 (depth = 6)
  int op_slot_left_4124 = gc_frame_newslot(strlit4130);
  params[0] = call4128;
  partcv[0] = 1;
  Object opresult4131 = callmethod(strlit4130, "++(1)", 1, partcv, params);
// compiled op node returning opresult4131 (depth = 5)
  int op_slot_left_4121 = gc_frame_newslot(opresult4131);
  params[0] = strlit4122;
  partcv[0] = 1;
  Object opresult4132 = callmethod(opresult4131, "++(1)", 1, partcv, params);
// compiled op node returning opresult4132 (depth = 4)
  gc_frame_newslot(opresult4132);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = opresult4132;
  partcv[0] = 1;
  Object call4133 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4120);
// compiled call node returning call4133 (depth = 3)
    gc_frame_newslot(call4133);
    if4110 = call4133;
  } else {
  }
// compiled if node returning if4110 (depth = 2)
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4134 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4135 = alloc_Block(NULL, NULL, "collectionsPrelude", 1775);
  gc_frame_newslot(block4135);
// method "_apply"
  block_savedest(block4135);
  Object closure4136 = createclosure(3, "_apply");
  setclosureframe(closure4136, stackframe);
  addtoclosure(closure4136, var_removed);
  addtoclosure(closure4136, var_unused);
  addtoclosure(closure4136, selfslot);
  struct UserObject *uo4136 = (struct UserObject*)block4135;
  uo4136->data[0] = (Object)closure4136;
  Method *meth_meth_collectionsPrelude__apply4136 = addmethod2pos(block4135, "_apply", &meth_collectionsPrelude__apply4136, 0);
  int argcv_meth_collectionsPrelude__apply4136[] = {0};
  meth_meth_collectionsPrelude__apply4136->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4136);
  meth_meth_collectionsPrelude__apply4136->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4136->definitionLine = 1990;
// compiled block node returning block4135 (depth = 3)
  gc_frame_newslot(block4135);
// Begin line 1778
  setline(1778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4161 = alloc_Block(NULL, NULL, "collectionsPrelude", 1778);
  gc_frame_newslot(block4161);
// method "_apply"
  block_savedest(block4161);
  Object closure4162 = createclosure(1, "_apply");
  setclosureframe(closure4162, stackframe);
  addtoclosure(closure4162, selfslot);
  struct UserObject *uo4162 = (struct UserObject*)block4161;
  uo4162->data[0] = (Object)closure4162;
  Method *meth_meth_collectionsPrelude__apply4162 = addmethod2pos(block4161, "_apply", &meth_collectionsPrelude__apply4162, 0);
  int argcv_meth_collectionsPrelude__apply4162[] = {0};
  meth_meth_collectionsPrelude__apply4162->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4162);
  meth_meth_collectionsPrelude__apply4162->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4162->definitionLine = 1990;
// compiled block node returning block4161 (depth = 3)
  gc_frame_newslot(block4161);
// call case 5: prelude request
  params[0] = block4135;
  params[1] = block4161;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4172 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4134);
// compiled call node returning call4172 (depth = 2)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4173 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4175 = alloc_Float64(1);
// compiled num node returning num4175 (depth = 4)
  int op_slot_right_4174 = gc_frame_newslot(num4175);
// starting to compile member node (depth = 4)
  int callframe4177 = gc_frame_new();
// call case 4: self request
  Object call4178 = callmethodflags(self, "count", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4177);
// compiled member node returning call4178 (depth = 4)
  int op_slot_left_4174 = gc_frame_newslot(call4178);
  params[0] = num4175;
  partcv[0] = 1;
  Object sum4179 = callmethod(call4178, "+(1)", 1, partcv, params);
// compiled op node returning sum4179 (depth = 3)
  gc_frame_newslot(sum4179);
// call case 4: self request
  params[0] = sum4179;
  partcv[0] = 1;
  Object call4180 = callmethodflags(self, "count:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4173);
// compiled call node returning call4180 (depth = 2)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4181 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4183 = alloc_Float64(1);
// compiled num node returning num4183 (depth = 4)
  int op_slot_right_4182 = gc_frame_newslot(num4183);
// starting to compile member node (depth = 4)
  int callframe4185 = gc_frame_new();
// call case 4: self request
  Object call4186 = callmethodflags(self, "idx", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4185);
// compiled member node returning call4186 (depth = 4)
  int op_slot_left_4182 = gc_frame_newslot(call4186);
  params[0] = num4183;
  partcv[0] = 1;
  Object sum4187 = callmethod(call4186, "+(1)", 1, partcv, params);
// compiled op node returning sum4187 (depth = 3)
  gc_frame_newslot(sum4187);
// call case 4: self request
  params[0] = sum4187;
  partcv[0] = 1;
  Object call4188 = callmethodflags(self, "idx:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4181);
// compiled call node returning call4188 (depth = 2)
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4189 = gc_frame_new();
// call case 4: self request
  Object call4190 = callmethodflags(self, "elt", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4189);
// compiled member node returning call4190 (depth = 2)
  gc_frame_end(frame);
  return call4190;
}
Object meth_collectionsPrelude_bindingsIterator4076(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindingsIterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4077 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4077 = alloc_userobj2(9,7, objclass4077);
  gc_frame_newslot(obj4077);
if (objclass4077 == NULL) {
  glfree(obj4077->class->name);
  obj4077->class->name = "dictionary.empty.bindingsIterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4077, self, 0);
  addmethodreal(obj4077,"outer", &reader_collectionsPrelude_outer_4078);
  Object oldself4077 = self;
  struct StackFrameObject *oldstackframe4077 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4077);
  gc_frame_newslot((Object)stackframe);
  self = obj4077;
  Object *oldselfslot4077 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4077 = (*(struct UserObject *)self).data[0], lowerouter4077 = thisouter4077;
  if (inheritingObject4077) {
    struct UserObject *inho4077 = (struct UserObject *)inheritingObject4077;
    while (inho4077->super != GraceDefaultObject) inho4077 = (struct UserObject *)inho4077->super;
    inho4077->super = obj4077;
    self = inheritingObject4077;
    *selfslot = self;
    lowerouter4077 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4077;
  }
if (objclass4077 == NULL) {
  Method *reader4079 = addmethodrealflags(obj4077, "imods",&reader_collectionsPrelude_imods_4079, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4079->definitionModule = modulename;
  reader4079->definitionLine = 1765;
}
adddatum2(obj4077, alloc_Undefined(), 1);
if (objclass4077 == NULL) {
  Method *reader4080 = addmethodrealflags(obj4077, "count", &reader_collectionsPrelude_count_4080, MFLAG_CONFIDENTIAL);
  Method *writer4080 = addmethodrealflags(obj4077, "count:=(1)", &writer_collectionsPrelude_count_4080, MFLAG_CONFIDENTIAL);
  reader4080->definitionModule = modulename;
  writer4080->definitionModule = modulename;
  reader4080->definitionLine = 1766;
  writer4080->definitionLine = 1766;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 2);
if (objclass4077 == NULL) {
  Method *reader4081 = addmethodrealflags(obj4077, "idx", &reader_collectionsPrelude_idx_4081, MFLAG_CONFIDENTIAL);
  Method *writer4081 = addmethodrealflags(obj4077, "idx:=(1)", &writer_collectionsPrelude_idx_4081, MFLAG_CONFIDENTIAL);
  reader4081->definitionModule = modulename;
  writer4081->definitionModule = modulename;
  reader4081->definitionLine = 1767;
  writer4081->definitionLine = 1767;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 3);
if (objclass4077 == NULL) {
  Method *reader4082 = addmethodrealflags(obj4077, "elt", &reader_collectionsPrelude_elt_4082, MFLAG_CONFIDENTIAL);
  Method *writer4082 = addmethodrealflags(obj4077, "elt:=(1)", &writer_collectionsPrelude_elt_4082, MFLAG_CONFIDENTIAL);
  reader4082->definitionModule = modulename;
  writer4082->definitionModule = modulename;
  reader4082->definitionLine = 1768;
  writer4082->definitionLine = 1768;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 4);
// method "hasNext"
  struct UserObject *uo4083 = (struct UserObject*)obj4077;
  uo4083->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4083 = addmethod2pos(obj4077, "hasNext", &meth_collectionsPrelude_hasNext4083, 5);
  int argcv_meth_collectionsPrelude_hasNext4083[] = {0};
  meth_meth_collectionsPrelude_hasNext4083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4083);
  meth_meth_collectionsPrelude_hasNext4083->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4083->definitionLine = 1769;
// method "next"
  block_savedest(obj4077);
  Object closure4093 = createclosure(4, "next");
  setclosureframe(closure4093, stackframe);
  addtoclosure(closure4093, var_ConcurrentModification);
  addtoclosure(closure4093, var_IteratorExhausted);
  addtoclosure(closure4093, var_removed);
  addtoclosure(closure4093, var_unused);
  struct UserObject *uo4093 = (struct UserObject*)obj4077;
  uo4093->data[6] = (Object)closure4093;
  Method *meth_meth_collectionsPrelude_next4093 = addmethod2pos(obj4077, "next", &meth_collectionsPrelude_next4093, 6);
  int argcv_meth_collectionsPrelude_next4093[] = {0};
  meth_meth_collectionsPrelude_next4093->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4093);
  meth_meth_collectionsPrelude_next4093->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4093->definitionLine = 1770;
  sourceObject = obj4077;
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4191 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4192 = gc_frame_new();
// call case 3: self.outer request
  Object call4193 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4192);
// compiled member node returning call4193 (depth = 3)
  Object call4194 = callmethodflags(call4193, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4191);
// compiled member node returning call4194 (depth = 2)
  adddatum2(obj4077, call4194, 1);
  sourceObject = obj4077;
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4195 = alloc_Float64(1);
// compiled num node returning num4195 (depth = 2)
  adddatum2(obj4077, num4195, 2);
  sourceObject = obj4077;
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4196 = alloc_Float64(0);
// compiled num node returning num4196 (depth = 2)
  adddatum2(obj4077, num4196, 3);
  sourceObject = obj4077;
  adddatum2(obj4077, undefined, 4);
  sourceObject = obj4077;
  sourceObject = obj4077;
  objclass4077 = obj4077->class;
  objclass4077->definitionModule = modulename;
  objclass4077->definitionLine = 1763;
  (*(struct UserObject *)self).data[0] = lowerouter4077;
  self = oldself4077;
  selfslot = oldselfslot4077;
  stackframe = oldstackframe4077;
  gc_frame_end(frame);
  return obj4077;
}
Object meth_collectionsPrelude_bindingsIterator4076_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindingsIterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  Object *var_IteratorExhausted = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  Object *var_unused = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4077 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4077 = alloc_userobj2(9,7, objclass4077);
  gc_frame_newslot(obj4077);
if (objclass4077 == NULL) {
  glfree(obj4077->class->name);
  obj4077->class->name = "dictionary.empty.bindingsIterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4077, self, 0);
  addmethodreal(obj4077,"outer", &reader_collectionsPrelude_outer_4078);
  Object oldself4077 = self;
  struct StackFrameObject *oldstackframe4077 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4077);
  gc_frame_newslot((Object)stackframe);
  self = obj4077;
  Object *oldselfslot4077 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4077 = (*(struct UserObject *)self).data[0], lowerouter4077 = thisouter4077;
  if (inheritingObject4077) {
    struct UserObject *inho4077 = (struct UserObject *)inheritingObject4077;
    while (inho4077->super != GraceDefaultObject) inho4077 = (struct UserObject *)inho4077->super;
    inho4077->super = obj4077;
    self = inheritingObject4077;
    *selfslot = self;
    lowerouter4077 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4077;
  }
if (objclass4077 == NULL) {
  Method *reader4079 = addmethodrealflags(obj4077, "imods",&reader_collectionsPrelude_imods_4079, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4079->definitionModule = modulename;
  reader4079->definitionLine = 1765;
}
adddatum2(obj4077, alloc_Undefined(), 1);
if (objclass4077 == NULL) {
  Method *reader4080 = addmethodrealflags(obj4077, "count", &reader_collectionsPrelude_count_4080, MFLAG_CONFIDENTIAL);
  Method *writer4080 = addmethodrealflags(obj4077, "count:=(1)", &writer_collectionsPrelude_count_4080, MFLAG_CONFIDENTIAL);
  reader4080->definitionModule = modulename;
  writer4080->definitionModule = modulename;
  reader4080->definitionLine = 1766;
  writer4080->definitionLine = 1766;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 2);
if (objclass4077 == NULL) {
  Method *reader4081 = addmethodrealflags(obj4077, "idx", &reader_collectionsPrelude_idx_4081, MFLAG_CONFIDENTIAL);
  Method *writer4081 = addmethodrealflags(obj4077, "idx:=(1)", &writer_collectionsPrelude_idx_4081, MFLAG_CONFIDENTIAL);
  reader4081->definitionModule = modulename;
  writer4081->definitionModule = modulename;
  reader4081->definitionLine = 1767;
  writer4081->definitionLine = 1767;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 3);
if (objclass4077 == NULL) {
  Method *reader4082 = addmethodrealflags(obj4077, "elt", &reader_collectionsPrelude_elt_4082, MFLAG_CONFIDENTIAL);
  Method *writer4082 = addmethodrealflags(obj4077, "elt:=(1)", &writer_collectionsPrelude_elt_4082, MFLAG_CONFIDENTIAL);
  reader4082->definitionModule = modulename;
  writer4082->definitionModule = modulename;
  reader4082->definitionLine = 1768;
  writer4082->definitionLine = 1768;
}
obj4077->flags |= OFLAG_MUTABLE;
adddatum2(obj4077, alloc_Undefined(), 4);
// method "hasNext"
  struct UserObject *uo4083 = (struct UserObject*)obj4077;
  uo4083->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4083 = addmethod2pos(obj4077, "hasNext", &meth_collectionsPrelude_hasNext4083, 5);
  int argcv_meth_collectionsPrelude_hasNext4083[] = {0};
  meth_meth_collectionsPrelude_hasNext4083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4083);
  meth_meth_collectionsPrelude_hasNext4083->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4083->definitionLine = 1769;
// method "next"
  block_savedest(obj4077);
  Object closure4093 = createclosure(4, "next");
  setclosureframe(closure4093, stackframe);
  addtoclosure(closure4093, var_ConcurrentModification);
  addtoclosure(closure4093, var_IteratorExhausted);
  addtoclosure(closure4093, var_removed);
  addtoclosure(closure4093, var_unused);
  struct UserObject *uo4093 = (struct UserObject*)obj4077;
  uo4093->data[6] = (Object)closure4093;
  Method *meth_meth_collectionsPrelude_next4093 = addmethod2pos(obj4077, "next", &meth_collectionsPrelude_next4093, 6);
  int argcv_meth_collectionsPrelude_next4093[] = {0};
  meth_meth_collectionsPrelude_next4093->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4093);
  meth_meth_collectionsPrelude_next4093->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4093->definitionLine = 1770;
  sourceObject = obj4077;
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4191 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4192 = gc_frame_new();
// call case 3: self.outer request
  Object call4193 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4192);
// compiled member node returning call4193 (depth = 3)
  Object call4194 = callmethodflags(call4193, "mods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4191);
// compiled member node returning call4194 (depth = 2)
  adddatum2(obj4077, call4194, 1);
  sourceObject = obj4077;
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4195 = alloc_Float64(1);
// compiled num node returning num4195 (depth = 2)
  adddatum2(obj4077, num4195, 2);
  sourceObject = obj4077;
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4196 = alloc_Float64(0);
// compiled num node returning num4196 (depth = 2)
  adddatum2(obj4077, num4196, 3);
  sourceObject = obj4077;
  adddatum2(obj4077, undefined, 4);
  sourceObject = obj4077;
  sourceObject = obj4077;
  objclass4077 = obj4077->class;
  objclass4077->definitionModule = modulename;
  objclass4077->definitionLine = 1763;
  (*(struct UserObject *)self).data[0] = lowerouter4077;
  self = oldself4077;
  selfslot = oldselfslot4077;
  stackframe = oldstackframe4077;
  gc_frame_end(frame);
  return obj4077;
}
Object meth_collectionsPrelude__apply_40_1_41_4225(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4226 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  gc_frame_newslot(*var_unused);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4227 = gc_frame_new();
// call case 4: self request
  Object call4228 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4227);
// compiled member node returning call4228 (depth = 5)
  params[0] = *var_i;
  params[1] = *var_unused;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4229 = callmethodflags(call4228, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4226);
// compiled call node returning call4229 (depth = 4)
  gc_frame_end(frame);
  return call4229;
}
Object meth_collectionsPrelude__apply_40_1_41_4245(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_oldInner = getfromclosure(closure, 0);
  Object *var_removed = getfromclosure(closure, 1);
  Object *var_unused = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4246 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_oldInner (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call4247 = callmethodflags(*var_oldInner, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4246);
// compiled call node returning call4247 (depth = 5)
  *var_a = call4247;
  if (call4247 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4250 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_4250 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4252 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4252 (depth = 6)
  int op_slot_right_4249 = gc_frame_newslot(opresult4252);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4254 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_4254 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4256 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4256 (depth = 6)
  int op_slot_left_4249 = gc_frame_newslot(opresult4256);
  params[0] = opresult4252;
  partcv[0] = 1;
  Object opresult4257 = callmethod(opresult4256, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4257 (depth = 5)
  Object if4248 = done;
  if (istrue(opresult4257)) {
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4258 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4259 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4260 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe4259);
// compiled member node returning call4260 (depth = 6)
  gc_frame_newslot(call4260);
// starting to compile member node (depth = 6)
  int callframe4261 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4262 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4261);
// compiled member node returning call4262 (depth = 6)
  gc_frame_newslot(call4262);
// call case 4: self request
  params[0] = call4260;
  params[1] = call4262;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4263 = callmethodflags(self, "at(1)put(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4258);
// compiled call node returning call4263 (depth = 5)
    gc_frame_newslot(call4263);
    if4248 = call4263;
  } else {
  }
// compiled if node returning if4248 (depth = 4)
  gc_frame_end(frame);
  return if4248;
}
Object meth_collectionsPrelude_expand4198(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expand");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_removed = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_c = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "c");
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_oldInner = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldInner");
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4199 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4200 = gc_frame_new();
// call case 4: self request
  Object call4201 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4200);
// compiled member node returning call4201 (depth = 4)
  Object call4202 = callmethodflags(call4201, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4199);
// compiled member node returning call4202 (depth = 3)
  *var_c = call4202;
  if (call4202 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4204 = alloc_Float64(2);
// compiled num node returning num4204 (depth = 4)
  int op_slot_right_4203 = gc_frame_newslot(num4204);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_4203 = gc_frame_newslot(*var_c);
  params[0] = num4204;
  partcv[0] = 1;
  Object prod4206 = callmethod(*var_c, "*(1)", 1, partcv, params);
// compiled op node returning prod4206 (depth = 3)
  *var_n = prod4206;
  if (prod4206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4207 = gc_frame_new();
// call case 4: self request
  Object call4208 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4207);
// compiled member node returning call4208 (depth = 3)
  *var_oldInner = call4208;
  if (call4208 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4209 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4210 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4211 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  Object call4212 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe4211);
// compiled member node returning call4212 (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4213 = callmethodflags(call4212, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4210);
// compiled call node returning call4213 (depth = 3)
  gc_frame_newslot(call4213);
// call case 4: self request
  params[0] = call4213;
  partcv[0] = 1;
  Object call4214 = callmethodflags(self, "inner:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4209);
// compiled call node returning call4214 (depth = 2)
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4215 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4218 = alloc_Float64(1);
// compiled num node returning num4218 (depth = 5)
  int op_slot_right_4217 = gc_frame_newslot(num4218);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_4217 = gc_frame_newslot(*var_n);
  params[0] = num4218;
  partcv[0] = 1;
  Object diff4220 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff4220 (depth = 4)
  int op_slot_right_4216 = gc_frame_newslot(diff4220);
// starting to compile num node (depth = 4)
  Object num4222 = alloc_Float64(0);
// compiled num node returning num4222 (depth = 4)
  int op_slot_left_4216 = gc_frame_newslot(num4222);
  params[0] = diff4220;
  partcv[0] = 1;
  Object opresult4223 = callmethod(num4222, "..(1)", 1, partcv, params);
// compiled op node returning opresult4223 (depth = 3)
  gc_frame_newslot(opresult4223);
// starting to compile block node (depth = 3)
  Object block4224 = alloc_Block(NULL, NULL, "collectionsPrelude", 1791);
  gc_frame_newslot(block4224);
// method "_apply(_)"
  block_savedest(block4224);
  Object closure4225 = createclosure(2, "_apply(1)");
  setclosureframe(closure4225, stackframe);
  addtoclosure(closure4225, var_unused);
  addtoclosure(closure4225, selfslot);
  struct UserObject *uo4225 = (struct UserObject*)block4224;
  uo4225->data[0] = (Object)closure4225;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4225 = addmethod2pos(block4224, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4225, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4225[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4225->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4225);
  meth_meth_collectionsPrelude__apply_40_1_41_4225->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4225->definitionLine = 1990;
// compiled block node returning block4224 (depth = 3)
  gc_frame_newslot(block4224);
// call case 5: prelude request
  params[0] = opresult4223;
  params[1] = block4224;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4231 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4215);
// compiled call node returning call4231 (depth = 2)
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4232 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num4233 = alloc_Float64(0);
// compiled num node returning num4233 (depth = 3)
  gc_frame_newslot(num4233);
// call case 4: self request
  params[0] = num4233;
  partcv[0] = 1;
  Object call4234 = callmethodflags(self, "numBindings:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4232);
// compiled call node returning call4234 (depth = 2)
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4235 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4238 = alloc_Float64(1);
// compiled num node returning num4238 (depth = 5)
  int op_slot_right_4237 = gc_frame_newslot(num4238);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_4237 = gc_frame_newslot(*var_c);
  params[0] = num4238;
  partcv[0] = 1;
  Object diff4240 = callmethod(*var_c, "-(1)", 1, partcv, params);
// compiled op node returning diff4240 (depth = 4)
  int op_slot_right_4236 = gc_frame_newslot(diff4240);
// starting to compile num node (depth = 4)
  Object num4242 = alloc_Float64(0);
// compiled num node returning num4242 (depth = 4)
  int op_slot_left_4236 = gc_frame_newslot(num4242);
  params[0] = diff4240;
  partcv[0] = 1;
  Object opresult4243 = callmethod(num4242, "..(1)", 1, partcv, params);
// compiled op node returning opresult4243 (depth = 3)
  gc_frame_newslot(opresult4243);
// starting to compile block node (depth = 3)
  Object block4244 = alloc_Block(NULL, NULL, "collectionsPrelude", 1795);
  gc_frame_newslot(block4244);
// method "_apply(_)"
  block_savedest(block4244);
  Object closure4245 = createclosure(4, "_apply(1)");
  setclosureframe(closure4245, stackframe);
  addtoclosure(closure4245, var_oldInner);
  addtoclosure(closure4245, var_removed);
  addtoclosure(closure4245, var_unused);
  addtoclosure(closure4245, selfslot);
  struct UserObject *uo4245 = (struct UserObject*)block4244;
  uo4245->data[0] = (Object)closure4245;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4245 = addmethod2pos(block4244, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4245, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4245[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4245->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4245);
  meth_meth_collectionsPrelude__apply_40_1_41_4245->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4245->definitionLine = 1990;
// compiled block node returning block4244 (depth = 3)
  gc_frame_newslot(block4244);
// call case 5: prelude request
  params[0] = opresult4243;
  params[1] = block4244;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4265 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4235);
// compiled call node returning call4265 (depth = 2)
  gc_frame_end(frame);
  return call4265;
}
Object meth_collectionsPrelude__apply_40_1_41_4281(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4282 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4283 = gc_frame_new();
// call case 4: self request
  Object call4284 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4283);
// compiled member node returning call4284 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call4285 = callmethodflags(call4284, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4282);
// compiled call node returning call4285 (depth = 5)
  *var_a = call4285;
  if (call4285 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4288 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_4288 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4290 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4290 (depth = 6)
  int op_slot_right_4287 = gc_frame_newslot(opresult4290);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4292 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_4292 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4294 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4294 (depth = 6)
  int op_slot_left_4287 = gc_frame_newslot(opresult4294);
  params[0] = opresult4290;
  partcv[0] = 1;
  Object opresult4295 = callmethod(opresult4294, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4295 (depth = 5)
  Object if4286 = done;
  if (istrue(opresult4295)) {
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4296 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4297 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4298 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe4297);
// compiled member node returning call4298 (depth = 6)
  gc_frame_newslot(call4298);
// starting to compile member node (depth = 6)
  int callframe4299 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4300 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4299);
// compiled member node returning call4300 (depth = 6)
  gc_frame_newslot(call4300);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block2 (depth = 6)
  params[0] = call4298;
  params[1] = call4300;
  partcv[0] = 2;
  Object call4301 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4296);
// compiled call node returning call4301 (depth = 5)
    gc_frame_newslot(call4301);
    if4286 = call4301;
  } else {
  }
// compiled if node returning if4286 (depth = 4)
  gc_frame_end(frame);
  return if4286;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4267 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4270 = alloc_Float64(1);
// compiled num node returning num4270 (depth = 5)
  int op_slot_right_4269 = gc_frame_newslot(num4270);
// starting to compile member node (depth = 5)
  int callframe4272 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4273 = gc_frame_new();
// call case 4: self request
  Object call4274 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4273);
// compiled member node returning call4274 (depth = 6)
  Object call4275 = callmethodflags(call4274, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4272);
// compiled member node returning call4275 (depth = 5)
  int op_slot_left_4269 = gc_frame_newslot(call4275);
  params[0] = num4270;
  partcv[0] = 1;
  Object diff4276 = callmethod(call4275, "-(1)", 1, partcv, params);
// compiled op node returning diff4276 (depth = 4)
  int op_slot_right_4268 = gc_frame_newslot(diff4276);
// starting to compile num node (depth = 4)
  Object num4278 = alloc_Float64(0);
// compiled num node returning num4278 (depth = 4)
  int op_slot_left_4268 = gc_frame_newslot(num4278);
  params[0] = diff4276;
  partcv[0] = 1;
  Object opresult4279 = callmethod(num4278, "..(1)", 1, partcv, params);
// compiled op node returning opresult4279 (depth = 3)
  gc_frame_newslot(opresult4279);
// starting to compile block node (depth = 3)
  Object block4280 = alloc_Block(NULL, NULL, "collectionsPrelude", 1803);
  gc_frame_newslot(block4280);
// method "_apply(_)"
  block_savedest(block4280);
  Object closure4281 = createclosure(4, "_apply(1)");
  setclosureframe(closure4281, stackframe);
  addtoclosure(closure4281, var_removed);
  addtoclosure(closure4281, var_unused);
  addtoclosure(closure4281, var_block2);
  addtoclosure(closure4281, selfslot);
  struct UserObject *uo4281 = (struct UserObject*)block4280;
  uo4281->data[0] = (Object)closure4281;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4281 = addmethod2pos(block4280, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4281, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4281[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4281->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4281);
  meth_meth_collectionsPrelude__apply_40_1_41_4281->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4281->definitionLine = 1990;
// compiled block node returning block4280 (depth = 3)
  gc_frame_newslot(block4280);
// call case 5: prelude request
  params[0] = opresult4279;
  params[1] = block4280;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4303 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4267);
// compiled call node returning call4303 (depth = 2)
  gc_frame_end(frame);
  return call4303;
}
Object meth_collectionsPrelude__apply_40_1_41_4319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_block1 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4320 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4321 = gc_frame_new();
// call case 4: self request
  Object call4322 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4321);
// compiled member node returning call4322 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call4323 = callmethodflags(call4322, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4320);
// compiled call node returning call4323 (depth = 5)
  *var_a = call4323;
  if (call4323 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4326 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_4326 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4328 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4328 (depth = 6)
  int op_slot_right_4325 = gc_frame_newslot(opresult4328);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4330 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_4330 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4332 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4332 (depth = 6)
  int op_slot_left_4325 = gc_frame_newslot(opresult4332);
  params[0] = opresult4328;
  partcv[0] = 1;
  Object opresult4333 = callmethod(opresult4332, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4333 (depth = 5)
  Object if4324 = done;
  if (istrue(opresult4333)) {
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4334 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4335 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4336 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe4335);
// compiled member node returning call4336 (depth = 6)
  gc_frame_newslot(call4336);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = call4336;
  partcv[0] = 1;
  Object call4337 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4334);
// compiled call node returning call4337 (depth = 5)
    gc_frame_newslot(call4337);
    if4324 = call4337;
  } else {
  }
// compiled if node returning if4324 (depth = 4)
  gc_frame_end(frame);
  return if4324;
}
Object meth_collectionsPrelude_keysDo_40_1_41_4304(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keysDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysDo(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4305 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4308 = alloc_Float64(1);
// compiled num node returning num4308 (depth = 5)
  int op_slot_right_4307 = gc_frame_newslot(num4308);
// starting to compile member node (depth = 5)
  int callframe4310 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4311 = gc_frame_new();
// call case 4: self request
  Object call4312 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4311);
// compiled member node returning call4312 (depth = 6)
  Object call4313 = callmethodflags(call4312, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4310);
// compiled member node returning call4313 (depth = 5)
  int op_slot_left_4307 = gc_frame_newslot(call4313);
  params[0] = num4308;
  partcv[0] = 1;
  Object diff4314 = callmethod(call4313, "-(1)", 1, partcv, params);
// compiled op node returning diff4314 (depth = 4)
  int op_slot_right_4306 = gc_frame_newslot(diff4314);
// starting to compile num node (depth = 4)
  Object num4316 = alloc_Float64(0);
// compiled num node returning num4316 (depth = 4)
  int op_slot_left_4306 = gc_frame_newslot(num4316);
  params[0] = diff4314;
  partcv[0] = 1;
  Object opresult4317 = callmethod(num4316, "..(1)", 1, partcv, params);
// compiled op node returning opresult4317 (depth = 3)
  gc_frame_newslot(opresult4317);
// starting to compile block node (depth = 3)
  Object block4318 = alloc_Block(NULL, NULL, "collectionsPrelude", 1811);
  gc_frame_newslot(block4318);
// method "_apply(_)"
  block_savedest(block4318);
  Object closure4319 = createclosure(4, "_apply(1)");
  setclosureframe(closure4319, stackframe);
  addtoclosure(closure4319, var_removed);
  addtoclosure(closure4319, var_unused);
  addtoclosure(closure4319, var_block1);
  addtoclosure(closure4319, selfslot);
  struct UserObject *uo4319 = (struct UserObject*)block4318;
  uo4319->data[0] = (Object)closure4319;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4319 = addmethod2pos(block4318, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4319, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4319[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4319->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4319);
  meth_meth_collectionsPrelude__apply_40_1_41_4319->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4319->definitionLine = 1990;
// compiled block node returning block4318 (depth = 3)
  gc_frame_newslot(block4318);
// call case 5: prelude request
  params[0] = opresult4317;
  params[1] = block4318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4339 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4305);
// compiled call node returning call4339 (depth = 2)
  gc_frame_end(frame);
  return call4339;
}
Object meth_collectionsPrelude__apply_40_1_41_4355(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_block1 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4356 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4357 = gc_frame_new();
// call case 4: self request
  Object call4358 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4357);
// compiled member node returning call4358 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call4359 = callmethodflags(call4358, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4356);
// compiled call node returning call4359 (depth = 5)
  *var_a = call4359;
  if (call4359 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4362 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_removed (depth = 7)
  int op_slot_left_4362 = gc_frame_newslot(*var_removed);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4364 = callmethod(*var_removed, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4364 (depth = 6)
  int op_slot_right_4361 = gc_frame_newslot(opresult4364);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_right_4366 = gc_frame_newslot(*var_a);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_unused (depth = 7)
  int op_slot_left_4366 = gc_frame_newslot(*var_unused);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult4368 = callmethod(*var_unused, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4368 (depth = 6)
  int op_slot_left_4361 = gc_frame_newslot(opresult4368);
  params[0] = opresult4364;
  partcv[0] = 1;
  Object opresult4369 = callmethod(opresult4368, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4369 (depth = 5)
  Object if4360 = done;
  if (istrue(opresult4369)) {
// Begin line 1822
  setline(1822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4370 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4371 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call4372 = callmethodflags(*var_a, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4371);
// compiled member node returning call4372 (depth = 6)
  gc_frame_newslot(call4372);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = call4372;
  partcv[0] = 1;
  Object call4373 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4370);
// compiled call node returning call4373 (depth = 5)
    gc_frame_newslot(call4373);
    if4360 = call4373;
  } else {
  }
// compiled if node returning if4360 (depth = 4)
  gc_frame_end(frame);
  return if4360;
}
Object meth_collectionsPrelude_valuesDo_40_1_41_4340(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "valuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method valuesDo(_)");
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for valuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part valuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4341 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4344 = alloc_Float64(1);
// compiled num node returning num4344 (depth = 5)
  int op_slot_right_4343 = gc_frame_newslot(num4344);
// starting to compile member node (depth = 5)
  int callframe4346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4347 = gc_frame_new();
// call case 4: self request
  Object call4348 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4347);
// compiled member node returning call4348 (depth = 6)
  Object call4349 = callmethodflags(call4348, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4346);
// compiled member node returning call4349 (depth = 5)
  int op_slot_left_4343 = gc_frame_newslot(call4349);
  params[0] = num4344;
  partcv[0] = 1;
  Object diff4350 = callmethod(call4349, "-(1)", 1, partcv, params);
// compiled op node returning diff4350 (depth = 4)
  int op_slot_right_4342 = gc_frame_newslot(diff4350);
// starting to compile num node (depth = 4)
  Object num4352 = alloc_Float64(0);
// compiled num node returning num4352 (depth = 4)
  int op_slot_left_4342 = gc_frame_newslot(num4352);
  params[0] = diff4350;
  partcv[0] = 1;
  Object opresult4353 = callmethod(num4352, "..(1)", 1, partcv, params);
// compiled op node returning opresult4353 (depth = 3)
  gc_frame_newslot(opresult4353);
// starting to compile block node (depth = 3)
  Object block4354 = alloc_Block(NULL, NULL, "collectionsPrelude", 1819);
  gc_frame_newslot(block4354);
// method "_apply(_)"
  block_savedest(block4354);
  Object closure4355 = createclosure(4, "_apply(1)");
  setclosureframe(closure4355, stackframe);
  addtoclosure(closure4355, var_removed);
  addtoclosure(closure4355, var_unused);
  addtoclosure(closure4355, var_block1);
  addtoclosure(closure4355, selfslot);
  struct UserObject *uo4355 = (struct UserObject*)block4354;
  uo4355->data[0] = (Object)closure4355;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4355 = addmethod2pos(block4354, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4355, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4355[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4355->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4355);
  meth_meth_collectionsPrelude__apply_40_1_41_4355->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4355->definitionLine = 1990;
// compiled block node returning block4354 (depth = 3)
  gc_frame_newslot(block4354);
// call case 5: prelude request
  params[0] = opresult4353;
  params[1] = block4354;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4375 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4341);
// compiled call node returning call4375 (depth = 2)
  gc_frame_end(frame);
  return call4375;
}
Object meth_collectionsPrelude_do_40_1_41_4376(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4377 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block1 (depth = 3)
  gc_frame_newslot(*var_block1);
// call case 4: self request
  params[0] = *var_block1;
  partcv[0] = 1;
  Object call4378 = callmethodflags(self, "valuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4377);
// compiled call node returning call4378 (depth = 2)
  gc_frame_end(frame);
  return call4378;
}
Object meth_collectionsPrelude__apply4400(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool4401 = alloc_Boolean(0);
// compiled identifier node returning bool4401 (depth = 11)
  block_return(realself, bool4401);
// compiled return node returning undefined (depth = 10)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_2_41_4394(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_o = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  int op_slot_right_4396 = gc_frame_newslot(*var_v);
// starting to compile call node (depth = 8)
  int callframe4398 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_k (depth = 9)
  gc_frame_newslot(*var_k);
// starting to compile block node (depth = 9)
  Object block4399 = alloc_Block(NULL, NULL, "collectionsPrelude", 1833);
  gc_frame_newslot(block4399);
// method "_apply"
  block_savedest(block4399);
  Object closure4400 = createclosure(1, "_apply");
  setclosureframe(closure4400, stackframe);
  addtoclosure(closure4400, selfslot);
  struct UserObject *uo4400 = (struct UserObject*)block4399;
  uo4400->data[0] = (Object)closure4400;
  Method *meth_meth_collectionsPrelude__apply4400 = addmethod2pos(block4399, "_apply", &meth_collectionsPrelude__apply4400, 0);
  int argcv_meth_collectionsPrelude__apply4400[] = {0};
  meth_meth_collectionsPrelude__apply4400->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4400);
  meth_meth_collectionsPrelude__apply4400->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4400->definitionLine = 1990;
// compiled block node returning block4399 (depth = 9)
  gc_frame_newslot(block4399);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  params[0] = *var_k;
  params[1] = block4399;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4403 = callmethodflags(*var_o, "at(1)ifAbsent(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4398);
// compiled call node returning call4403 (depth = 8)
  int op_slot_left_4396 = gc_frame_newslot(call4403);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult4404 = callmethod(call4403, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4404 (depth = 7)
  Object if4395 = done;
  if (istrue(opresult4404)) {
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool4405 = alloc_Boolean(0);
// compiled identifier node returning bool4405 (depth = 8)
  block_return(realself, bool4405);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if4395 = undefined;
  } else {
  }
// compiled if node returning if4395 (depth = 6)
  gc_frame_end(frame);
  return if4395;
}
Object meth_collectionsPrelude__apply_40_1_41_4382(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4385 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call4386 = callmethodflags(*var_o, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4385);
// compiled member node returning call4386 (depth = 6)
  int op_slot_right_4384 = gc_frame_newslot(call4386);
// starting to compile member node (depth = 6)
  int callframe4388 = gc_frame_new();
// call case 4: self request
  Object call4389 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4388);
// compiled member node returning call4389 (depth = 6)
  int op_slot_left_4384 = gc_frame_newslot(call4389);
  params[0] = call4386;
  partcv[0] = 1;
  Object opresult4390 = callmethod(call4389, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4390 (depth = 5)
  Object if4383 = done;
  if (istrue(opresult4390)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4391 = alloc_Boolean(0);
// compiled identifier node returning bool4391 (depth = 6)
  block_return(realself, bool4391);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4383 = undefined;
  } else {
  }
// compiled if node returning if4383 (depth = 4)
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4392 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4393 = alloc_Block(NULL, NULL, "collectionsPrelude", 1832);
  gc_frame_newslot(block4393);
// method "_apply(_,_)"
  block_savedest(block4393);
  Object closure4394 = createclosure(2, "_apply(2)");
  setclosureframe(closure4394, stackframe);
  addtoclosure(closure4394, var_o);
  addtoclosure(closure4394, selfslot);
  struct UserObject *uo4394 = (struct UserObject*)block4393;
  uo4394->data[0] = (Object)closure4394;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_4394 = addmethod2pos(block4393, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_4394, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_4394[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_4394->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_4394);
  meth_meth_collectionsPrelude__apply_40_2_41_4394->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_4394->definitionLine = 1990;
// compiled block node returning block4393 (depth = 5)
  gc_frame_newslot(block4393);
// call case 4: self request
  params[0] = block4393;
  partcv[0] = 1;
  Object call4407 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4392);
// compiled call node returning call4407 (depth = 4)
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4408 = alloc_Boolean(1);
// compiled identifier node returning bool4408 (depth = 5)
  block_return(realself, bool4408);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_4420(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___19 = &(stackframe->slots[0]);
  *var___19 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4421 = alloc_Boolean(0);
// compiled identifier node returning bool4421 (depth = 5)
  block_return(realself, bool4421);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61__40_1_41_4379(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_ComparableToDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame4380 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4381 = alloc_Block(NULL, NULL, "collectionsPrelude", 1830);
  gc_frame_newslot(block4381);
// method "_apply(_)"
  block_savedest(block4381);
  Object closure4382 = createclosure(1, "_apply(1)");
  setclosureframe(closure4382, stackframe);
  addtoclosure(closure4382, selfslot);
  struct UserObject *uo4382 = (struct UserObject*)block4381;
  uo4382->data[0] = (Object)closure4382;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4382 = addmethod2pos(block4381, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4382, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4382[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4382->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4382);
  meth_meth_collectionsPrelude__apply_40_1_41_4382->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4382->definitionLine = 1990;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4410 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4411 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4412 == NULL) {
    strlit4412 = alloc_String("o");
    gc_root(strlit4412);
  }
// compiled string node returning strlit4412 (depth = 6)
  gc_frame_newslot(strlit4412);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4413 = gc_frame_new();
// call case 5: prelude request
  Object call4414 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4413);
// compiled member node returning call4414 (depth = 6)
  params[0] = strlit4412;
  partcv[0] = 1;
  Object call4415 = callmethodflags(call4414, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4411);
// compiled call node returning call4415 (depth = 5)
  gc_frame_newslot(call4415);
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ComparableToDictionary (depth = 5)
  gc_frame_newslot(*var_ComparableToDictionary);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4416 = gc_frame_new();
// call case 5: prelude request
  Object call4417 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4416);
// compiled member node returning call4417 (depth = 5)
  params[0] = call4415;
  params[1] = *var_ComparableToDictionary;
  partcv[0] = 2;
  Object call4418 = callmethodflags(call4417, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4410);
// compiled call node returning call4418 (depth = 4)
((struct UserObject *)block4381)->data[1] = call4418;
// compiled block node returning block4381 (depth = 3)
  gc_frame_newslot(block4381);
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4419 = alloc_Block(NULL, NULL, "collectionsPrelude", 1839);
  gc_frame_newslot(block4419);
// method "_apply(_)"
  block_savedest(block4419);
  Object closure4420 = createclosure(1, "_apply(1)");
  setclosureframe(closure4420, stackframe);
  addtoclosure(closure4420, selfslot);
  struct UserObject *uo4420 = (struct UserObject*)block4419;
  uo4420->data[0] = (Object)closure4420;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4420 = addmethod2pos(block4419, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4420, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4420[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4420->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4420);
  meth_meth_collectionsPrelude__apply_40_1_41_4420->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4420->definitionLine = 1990;
// compiled block node returning block4419 (depth = 3)
  gc_frame_newslot(block4419);
  params[0] = block4381;
  params[1] = block4419;
  Object matchres4380 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame4380);
// compiled matchcase node returning matchres4380 (depth = 2)
  gc_frame_end(frame);
  return matchres4380;
}
Object meth_collectionsPrelude__apply_40_2_41_4434(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_newCopy = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4435 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newCopy (depth = 5)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4436 = callmethodflags(*var_newCopy, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4435);
// compiled call node returning call4436 (depth = 4)
  gc_frame_end(frame);
  return call4436;
}
Object meth_collectionsPrelude_copy4423(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newCopy = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "newCopy");
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4424 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4425 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4426 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4427 = gc_frame_new();
// call case 3: self.outer request
  Object call4428 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4427);
// compiled member node returning call4428 (depth = 6)
  Object call4429 = callmethodflags(call4428, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4426);
// compiled member node returning call4429 (depth = 5)
  Object call4430 = callmethodflags(call4429, "dictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4425);
// compiled member node returning call4430 (depth = 4)
  Object call4431 = callmethodflags(call4430, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe4424);
// compiled member node returning call4431 (depth = 3)
  *var_newCopy = call4431;
  if (call4431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4432 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4433 = alloc_Block(NULL, NULL, "collectionsPrelude", 1846);
  gc_frame_newslot(block4433);
// method "_apply(_,_)"
  block_savedest(block4433);
  Object closure4434 = createclosure(2, "_apply(2)");
  setclosureframe(closure4434, stackframe);
  addtoclosure(closure4434, var_newCopy);
  addtoclosure(closure4434, selfslot);
  struct UserObject *uo4434 = (struct UserObject*)block4433;
  uo4434->data[0] = (Object)closure4434;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_4434 = addmethod2pos(block4433, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_4434, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_4434[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_4434->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_4434);
  meth_meth_collectionsPrelude__apply_40_2_41_4434->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_4434->definitionLine = 1990;
// compiled block node returning block4433 (depth = 3)
  gc_frame_newslot(block4433);
// call case 4: self request
  params[0] = block4433;
  partcv[0] = 1;
  Object call4438 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4432);
// compiled call node returning call4438 (depth = 2)
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newCopy (depth = 2)
  gc_frame_end(frame);
  return *var_newCopy;
}
Object meth_collectionsPrelude_asDictionary4439(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_2_41_4445(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_newDict = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4446 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDict (depth = 5)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4447 = callmethodflags(*var_newDict, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4446);
// compiled call node returning call4447 (depth = 4)
  gc_frame_end(frame);
  return call4447;
}
Object meth_collectionsPrelude__43__43__40_1_41_4440(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newDict = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newDict");
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4441 = gc_frame_new();
// call case 4: self request
  Object call4442 = callmethodflags(self, "copy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4441);
// compiled member node returning call4442 (depth = 3)
  *var_newDict = call4442;
  if (call4442 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4443 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4444 = alloc_Block(NULL, NULL, "collectionsPrelude", 1858);
  gc_frame_newslot(block4444);
// method "_apply(_,_)"
  block_savedest(block4444);
  Object closure4445 = createclosure(2, "_apply(2)");
  setclosureframe(closure4445, stackframe);
  addtoclosure(closure4445, var_newDict);
  addtoclosure(closure4445, selfslot);
  struct UserObject *uo4445 = (struct UserObject*)block4444;
  uo4445->data[0] = (Object)closure4445;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_4445 = addmethod2pos(block4444, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_4445, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_4445[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_4445->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_4445);
  meth_meth_collectionsPrelude__apply_40_2_41_4445->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_4445->definitionLine = 1990;
// compiled block node returning block4444 (depth = 3)
  gc_frame_newslot(block4444);
// call case 6: other requests
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  params[0] = block4444;
  partcv[0] = 1;
  Object call4449 = callmethodflags(*var_other, "keysAndValuesDo(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4443);
// compiled call node returning call4449 (depth = 2)
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newDict (depth = 3)
  return *var_newDict;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_2_41_4461(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_other = getfromclosure(closure, 0);
  Object *var_newDict = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4463 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe4464 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_k (depth = 7)
  gc_frame_newslot(*var_k);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  params[0] = *var_k;
  partcv[0] = 1;
  Object call4465 = callmethodflags(*var_other, "containsKey(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4464);
// compiled call node returning call4465 (depth = 6)
  partcv[0] = 0;
  Object call4466 = callmethodflags(call4465, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4463);
// compiled call node returning call4466 (depth = 5)
  Object if4462 = done;
  if (istrue(call4466)) {
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4467 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newDict (depth = 6)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4468 = callmethodflags(*var_newDict, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4467);
// compiled call node returning call4468 (depth = 5)
    gc_frame_newslot(call4468);
    if4462 = call4468;
  } else {
  }
// compiled if node returning if4462 (depth = 4)
  gc_frame_end(frame);
  return if4462;
}
Object meth_collectionsPrelude__45__45__40_1_41_4450(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "--(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method --(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for --(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part --(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newDict = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newDict");
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4451 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4452 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4454 = gc_frame_new();
// call case 3: self.outer request
  Object call4455 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4454);
// compiled member node returning call4455 (depth = 6)
  Object call4456 = callmethodflags(call4455, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4453);
// compiled member node returning call4456 (depth = 5)
  Object call4457 = callmethodflags(call4456, "dictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4452);
// compiled member node returning call4457 (depth = 4)
  Object call4458 = callmethodflags(call4457, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe4451);
// compiled member node returning call4458 (depth = 3)
  *var_newDict = call4458;
  if (call4458 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4459 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4460 = alloc_Block(NULL, NULL, "collectionsPrelude", 1866);
  gc_frame_newslot(block4460);
// method "_apply(_,_)"
  block_savedest(block4460);
  Object closure4461 = createclosure(3, "_apply(2)");
  setclosureframe(closure4461, stackframe);
  addtoclosure(closure4461, var_other);
  addtoclosure(closure4461, var_newDict);
  addtoclosure(closure4461, selfslot);
  struct UserObject *uo4461 = (struct UserObject*)block4460;
  uo4461->data[0] = (Object)closure4461;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_4461 = addmethod2pos(block4460, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_4461, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_4461[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_4461->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_4461);
  meth_meth_collectionsPrelude__apply_40_2_41_4461->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_4461->definitionLine = 1990;
// compiled block node returning block4460 (depth = 3)
  gc_frame_newslot(block4460);
// call case 4: self request
  params[0] = block4460;
  partcv[0] = 1;
  Object call4470 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4459);
// compiled call node returning call4470 (depth = 2)
// Begin line 1871
  setline(1871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newDict (depth = 3)
  return *var_newDict;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply_40_1_41_4494(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_unused = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4495 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unused (depth = 5)
  gc_frame_newslot(*var_unused);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4496 = gc_frame_new();
// call case 4: self request
  Object call4497 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4496);
// compiled member node returning call4497 (depth = 5)
  params[0] = *var_i;
  params[1] = *var_unused;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4498 = callmethodflags(call4497, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4495);
// compiled call node returning call4498 (depth = 4)
  gc_frame_end(frame);
  return call4498;
}
Object meth_collectionsPrelude_empty3146(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_binding = getfromclosure(closure, 2);
  Object *var_NoSuchObject = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_enumerable = getfromclosure(closure, 5);
  Object *var_ConcurrentModification = getfromclosure(closure, 6);
  Object *var_IteratorExhausted = getfromclosure(closure, 7);
  Object *var_ComparableToDictionary = getfromclosure(closure, 8);
  Object *var_collection = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3147 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3147 = alloc_userobj2(44,42, objclass3147);
  gc_frame_newslot(obj3147);
if (objclass3147 == NULL) {
  glfree(obj3147->class->name);
  obj3147->class->name = "dictionary.empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3147, self, 0);
  addmethodreal(obj3147,"outer", &reader_collectionsPrelude_outer_3148);
  Object oldself3147 = self;
  struct StackFrameObject *oldstackframe3147 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3147);
  gc_frame_newslot((Object)stackframe);
  self = obj3147;
  Object *oldselfslot3147 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3147 = (*(struct UserObject *)self).data[0], lowerouter3147 = thisouter3147;
  if (inheritingObject3147) {
    struct UserObject *inho3147 = (struct UserObject *)inheritingObject3147;
    while (inho3147->super != GraceDefaultObject) inho3147 = (struct UserObject *)inho3147->super;
    inho3147->super = obj3147;
    self = inheritingObject3147;
    *selfslot = self;
    lowerouter3147 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3147;
  }
if (objclass3147 == NULL) {
  Method *reader3149 = addmethodrealflags(obj3147, "mods", &reader_collectionsPrelude_mods_3149, 0);
  Method *writer3149 = addmethodrealflags(obj3147, "mods:=(1)", &writer_collectionsPrelude_mods_3149, MFLAG_CONFIDENTIAL);
  reader3149->definitionModule = modulename;
  writer3149->definitionModule = modulename;
  reader3149->definitionLine = 1514;
  writer3149->definitionLine = 1514;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 1);
if (objclass3147 == NULL) {
  Method *reader3150 = addmethodrealflags(obj3147, "numBindings", &reader_collectionsPrelude_numBindings_3150, MFLAG_CONFIDENTIAL);
  Method *writer3150 = addmethodrealflags(obj3147, "numBindings:=(1)", &writer_collectionsPrelude_numBindings_3150, MFLAG_CONFIDENTIAL);
  reader3150->definitionModule = modulename;
  writer3150->definitionModule = modulename;
  reader3150->definitionLine = 1515;
  writer3150->definitionLine = 1515;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 2);
if (objclass3147 == NULL) {
  Method *reader3151 = addmethodrealflags(obj3147, "inner", &reader_collectionsPrelude_inner_3151, MFLAG_CONFIDENTIAL);
  Method *writer3151 = addmethodrealflags(obj3147, "inner:=(1)", &writer_collectionsPrelude_inner_3151, MFLAG_CONFIDENTIAL);
  reader3151->definitionModule = modulename;
  writer3151->definitionModule = modulename;
  reader3151->definitionLine = 1516;
  writer3151->definitionLine = 1516;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 3);
// method "size"
  struct UserObject *uo3152 = (struct UserObject*)obj3147;
  uo3152->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size3152 = addmethod2pos(obj3147, "size", &meth_collectionsPrelude_size3152, 4);
  int argcv_meth_collectionsPrelude_size3152[] = {0};
  meth_meth_collectionsPrelude_size3152->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size3152);
  meth_meth_collectionsPrelude_size3152->definitionModule = modulename;
  meth_meth_collectionsPrelude_size3152->definitionLine = 1520;
// method "at(_)put(_)"
  block_savedest(obj3147);
  Object closure3155 = createclosure(3, "at(1)put(1)");
  setclosureframe(closure3155, stackframe);
  addtoclosure(closure3155, var_removed);
  addtoclosure(closure3155, var_unused);
  addtoclosure(closure3155, var_binding);
  struct UserObject *uo3155 = (struct UserObject*)obj3147;
  uo3155->data[5] = (Object)closure3155;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155 = addmethod2pos(obj3147, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->definitionLine = 1521;
// method "add(_)"
  block_savedest(obj3147);
  Object closure3214 = createclosure(2, "add(1)");
  setclosureframe(closure3214, stackframe);
  addtoclosure(closure3214, var_removed);
  addtoclosure(closure3214, var_unused);
  struct UserObject *uo3214 = (struct UserObject*)obj3147;
  uo3214->data[6] = (Object)closure3214;
  Method *meth_meth_collectionsPrelude_add_40_1_41_3214 = addmethod2pos(obj3147, "add(1)", &meth_collectionsPrelude_add_40_1_41_3214, 6);
  int argcv_meth_collectionsPrelude_add_40_1_41_3214[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_3214->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_3214);
  meth_meth_collectionsPrelude_add_40_1_41_3214->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_3214->definitionLine = 1531;
// method "at(_)"
  block_savedest(obj3147);
  Object closure3273 = createclosure(1, "at(1)");
  setclosureframe(closure3273, stackframe);
  addtoclosure(closure3273, var_NoSuchObject);
  struct UserObject *uo3273 = (struct UserObject*)obj3147;
  uo3273->data[7] = (Object)closure3273;
  Method *meth_meth_collectionsPrelude_at_40_1_41_3273 = addmethod2pos(obj3147, "at(1)", &meth_collectionsPrelude_at_40_1_41_3273, 7);
  int argcv_meth_collectionsPrelude_at_40_1_41_3273[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_3273->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_3273);
  meth_meth_collectionsPrelude_at_40_1_41_3273->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_3273->definitionLine = 1541;
// method "at(_)ifAbsent(_)"
  struct UserObject *uo3298 = (struct UserObject*)obj3147;
  uo3298->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298 = addmethod2pos(obj3147, "at(1)ifAbsent(1)", &meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298, 8);
  int argcv_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298);
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->definitionLine = 1548;
// method "containsKey(_)"
  struct UserObject *uo3315 = (struct UserObject*)obj3147;
  uo3315->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsKey_40_1_41_3315 = addmethod2pos(obj3147, "containsKey(1)", &meth_collectionsPrelude_containsKey_40_1_41_3315, 9);
  int argcv_meth_collectionsPrelude_containsKey_40_1_41_3315[] = {1};
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsKey_40_1_41_3315);
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->definitionLine = 1555;
// method "removeAllKeys(_)"
  block_savedest(obj3147);
  Object closure3330 = createclosure(2, "removeAllKeys(1)");
  setclosureframe(closure3330, stackframe);
  addtoclosure(closure3330, var_removed);
  addtoclosure(closure3330, var_NoSuchObject);
  struct UserObject *uo3330 = (struct UserObject*)obj3147;
  uo3330->data[10] = (Object)closure3330;
  Method *meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330 = addmethod2pos(obj3147, "removeAllKeys(1)", &meth_collectionsPrelude_removeAllKeys_40_1_41_3330, 10);
  int argcv_meth_collectionsPrelude_removeAllKeys_40_1_41_3330[] = {1};
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllKeys_40_1_41_3330);
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->definitionLine = 1562;
// method "removeKey(_)"
  block_savedest(obj3147);
  Object closure3378 = createclosure(2, "removeKey(1)");
  setclosureframe(closure3378, stackframe);
  addtoclosure(closure3378, var_removed);
  addtoclosure(closure3378, var_NoSuchObject);
  struct UserObject *uo3378 = (struct UserObject*)obj3147;
  uo3378->data[11] = (Object)closure3378;
  Method *meth_meth_collectionsPrelude_removeKey_40_1_41_3378 = addmethod2pos(obj3147, "removeKey(1)", &meth_collectionsPrelude_removeKey_40_1_41_3378, 11);
  int argcv_meth_collectionsPrelude_removeKey_40_1_41_3378[] = {1};
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeKey_40_1_41_3378);
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->definitionLine = 1575;
// method "removeAllValues(_)"
  block_savedest(obj3147);
  Object closure3421 = createclosure(1, "removeAllValues(1)");
  setclosureframe(closure3421, stackframe);
  addtoclosure(closure3421, var_removed);
  struct UserObject *uo3421 = (struct UserObject*)obj3147;
  uo3421->data[12] = (Object)closure3421;
  Method *meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421 = addmethod2pos(obj3147, "removeAllValues(1)", &meth_collectionsPrelude_removeAllValues_40_1_41_3421, 12);
  int argcv_meth_collectionsPrelude_removeAllValues_40_1_41_3421[] = {1};
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllValues_40_1_41_3421);
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->definitionLine = 1586;
// method "removeValue(_)"
  block_savedest(obj3147);
  Object closure3468 = createclosure(2, "removeValue(1)");
  setclosureframe(closure3468, stackframe);
  addtoclosure(closure3468, var_removed);
  addtoclosure(closure3468, var_NoSuchObject);
  struct UserObject *uo3468 = (struct UserObject*)obj3147;
  uo3468->data[13] = (Object)closure3468;
  Method *meth_meth_collectionsPrelude_removeValue_40_1_41_3468 = addmethod2pos(obj3147, "removeValue(1)", &meth_collectionsPrelude_removeValue_40_1_41_3468, 13);
  int argcv_meth_collectionsPrelude_removeValue_40_1_41_3468[] = {1};
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeValue_40_1_41_3468);
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->definitionLine = 1597;
// method "removeValue(_)ifAbsent(_)"
  block_savedest(obj3147);
  Object closure3534 = createclosure(1, "removeValue(1)ifAbsent(1)");
  setclosureframe(closure3534, stackframe);
  addtoclosure(closure3534, var_removed);
  struct UserObject *uo3534 = (struct UserObject*)obj3147;
  uo3534->data[14] = (Object)closure3534;
  Method *meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534 = addmethod2pos(obj3147, "removeValue(1)ifAbsent(1)", &meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534, 14);
  int argcv_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534[] = {1, 1};
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534);
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->definitionLine = 1613;
// method "clear"
  block_savedest(obj3147);
  Object closure3592 = createclosure(2, "clear");
  setclosureframe(closure3592, stackframe);
  addtoclosure(closure3592, var__prelude);
  addtoclosure(closure3592, var_unused);
  struct UserObject *uo3592 = (struct UserObject*)obj3147;
  uo3592->data[15] = (Object)closure3592;
  Method *meth_meth_collectionsPrelude_clear3592 = addmethod2pos(obj3147, "clear", &meth_collectionsPrelude_clear3592, 15);
  int argcv_meth_collectionsPrelude_clear3592[] = {0};
  meth_meth_collectionsPrelude_clear3592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear3592);
  meth_meth_collectionsPrelude_clear3592->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear3592->definitionLine = 1629;
// method "containsValue(_)"
  struct UserObject *uo3632 = (struct UserObject*)obj3147;
  uo3632->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsValue_40_1_41_3632 = addmethod2pos(obj3147, "containsValue(1)", &meth_collectionsPrelude_containsValue_40_1_41_3632, 16);
  int argcv_meth_collectionsPrelude_containsValue_40_1_41_3632[] = {1};
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsValue_40_1_41_3632);
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->definitionLine = 1638;
// method "contains(_)"
  struct UserObject *uo3644 = (struct UserObject*)obj3147;
  uo3644->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_3644 = addmethod2pos(obj3147, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_3644, 17);
  int argcv_meth_collectionsPrelude_contains_40_1_41_3644[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_3644->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_3644);
  meth_meth_collectionsPrelude_contains_40_1_41_3644->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_3644->definitionLine = 1644;
// method "findPosition(_)"
  block_savedest(obj3147);
  Object closure3647 = createclosure(1, "findPosition(1)");
  setclosureframe(closure3647, stackframe);
  addtoclosure(closure3647, var_unused);
  struct UserObject *uo3647 = (struct UserObject*)obj3147;
  uo3647->data[18] = (Object)closure3647;
  Method *meth_meth_collectionsPrelude_findPosition_40_1_41_3647 = addmethod2pos(obj3147, "findPosition(1)", &meth_collectionsPrelude_findPosition_40_1_41_3647, 18);
  int argcv_meth_collectionsPrelude_findPosition_40_1_41_3647[] = {1};
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition_40_1_41_3647);
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->definitionLine = 1646;
// method "findPositionForAdd(_)"
  block_savedest(obj3147);
  Object closure3713 = createclosure(2, "findPositionForAdd(1)");
  setclosureframe(closure3713, stackframe);
  addtoclosure(closure3713, var_removed);
  addtoclosure(closure3713, var_unused);
  struct UserObject *uo3713 = (struct UserObject*)obj3147;
  uo3713->data[19] = (Object)closure3713;
  Method *meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713 = addmethod2pos(obj3147, "findPositionForAdd(1)", &meth_collectionsPrelude_findPositionForAdd_40_1_41_3713, 19);
  int argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713);
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->definitionLine = 1664;
// method "asString"
  block_savedest(obj3147);
  Object closure3789 = createclosure(2, "asString");
  setclosureframe(closure3789, stackframe);
  addtoclosure(closure3789, var_removed);
  addtoclosure(closure3789, var_unused);
  struct UserObject *uo3789 = (struct UserObject*)obj3147;
  uo3789->data[20] = (Object)closure3789;
  Method *meth_meth_collectionsPrelude_asString3789 = addmethod2pos(obj3147, "asString", &meth_collectionsPrelude_asString3789, 20);
  int argcv_meth_collectionsPrelude_asString3789[] = {0};
  meth_meth_collectionsPrelude_asString3789->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3789);
  meth_meth_collectionsPrelude_asString3789->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3789->definitionLine = 1682;
// method "asDebugString"
  block_savedest(obj3147);
  Object closure3860 = createclosure(2, "asDebugString");
  setclosureframe(closure3860, stackframe);
  addtoclosure(closure3860, var_removed);
  addtoclosure(closure3860, var_unused);
  struct UserObject *uo3860 = (struct UserObject*)obj3147;
  uo3860->data[21] = (Object)closure3860;
  Method *meth_meth_collectionsPrelude_asDebugString3860 = addmethod2pos(obj3147, "asDebugString", &meth_collectionsPrelude_asDebugString3860, 21);
  int argcv_meth_collectionsPrelude_asDebugString3860[] = {0};
  meth_meth_collectionsPrelude_asDebugString3860->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString3860);
  meth_meth_collectionsPrelude_asDebugString3860->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString3860->definitionLine = 1700;
// method "keys"
  block_savedest(obj3147);
  Object closure3958 = createclosure(1, "keys");
  setclosureframe(closure3958, stackframe);
  addtoclosure(closure3958, var_enumerable);
  struct UserObject *uo3958 = (struct UserObject*)obj3147;
  uo3958->data[22] = (Object)closure3958;
  Method *meth_meth_collectionsPrelude_keys3958 = addmethod2pos(obj3147, "keys", &meth_collectionsPrelude_keys3958, 22);
  int argcv_meth_collectionsPrelude_keys3958[] = {0};
  meth_meth_collectionsPrelude_keys3958->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3958);
  meth_meth_collectionsPrelude_keys3958->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3958->definitionLine = 1713;
  block_savedest(obj3147);
  Object closure4003 = createclosure(1, "keys$object(1)");
  setclosureframe(closure4003, stackframe);
  addtoclosure(closure4003, var_enumerable);
  Method *meth_meth_collectionsPrelude_keys3958_object = addmethod2pos(obj3147, "keys$object(1)", &meth_collectionsPrelude_keys3958_object, 22);
  meth_meth_collectionsPrelude_keys3958_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3958_object->definitionLine = 1713;
// method "values"
  block_savedest(obj3147);
  Object closure4004 = createclosure(1, "values");
  setclosureframe(closure4004, stackframe);
  addtoclosure(closure4004, var_enumerable);
  struct UserObject *uo4004 = (struct UserObject*)obj3147;
  uo4004->data[23] = (Object)closure4004;
  Method *meth_meth_collectionsPrelude_values4004 = addmethod2pos(obj3147, "values", &meth_collectionsPrelude_values4004, 23);
  int argcv_meth_collectionsPrelude_values4004[] = {0};
  meth_meth_collectionsPrelude_values4004->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values4004);
  meth_meth_collectionsPrelude_values4004->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4004->definitionLine = 1731;
  block_savedest(obj3147);
  Object closure4049 = createclosure(1, "values$object(1)");
  setclosureframe(closure4049, stackframe);
  addtoclosure(closure4049, var_enumerable);
  Method *meth_meth_collectionsPrelude_values4004_object = addmethod2pos(obj3147, "values$object(1)", &meth_collectionsPrelude_values4004_object, 23);
  meth_meth_collectionsPrelude_values4004_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4004_object->definitionLine = 1731;
// method "bindings"
  block_savedest(obj3147);
  Object closure4050 = createclosure(1, "bindings");
  setclosureframe(closure4050, stackframe);
  addtoclosure(closure4050, var_enumerable);
  struct UserObject *uo4050 = (struct UserObject*)obj3147;
  uo4050->data[24] = (Object)closure4050;
  Method *meth_meth_collectionsPrelude_bindings4050 = addmethod2pos(obj3147, "bindings", &meth_collectionsPrelude_bindings4050, 24);
  int argcv_meth_collectionsPrelude_bindings4050[] = {0};
  meth_meth_collectionsPrelude_bindings4050->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindings4050);
  meth_meth_collectionsPrelude_bindings4050->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings4050->definitionLine = 1750;
  block_savedest(obj3147);
  Object closure4070 = createclosure(1, "bindings$object(1)");
  setclosureframe(closure4070, stackframe);
  addtoclosure(closure4070, var_enumerable);
  Method *meth_meth_collectionsPrelude_bindings4050_object = addmethod2pos(obj3147, "bindings$object(1)", &meth_collectionsPrelude_bindings4050_object, 24);
  meth_meth_collectionsPrelude_bindings4050_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings4050_object->definitionLine = 1750;
// method "iterator"
  struct UserObject *uo4071 = (struct UserObject*)obj3147;
  uo4071->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4071 = addmethod2pos(obj3147, "iterator", &meth_collectionsPrelude_iterator4071, 25);
  int argcv_meth_collectionsPrelude_iterator4071[] = {0};
  meth_meth_collectionsPrelude_iterator4071->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4071);
  meth_meth_collectionsPrelude_iterator4071->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4071->definitionLine = 1762;
// method "bindingsIterator"
  block_savedest(obj3147);
  Object closure4076 = createclosure(4, "bindingsIterator");
  setclosureframe(closure4076, stackframe);
  addtoclosure(closure4076, var_ConcurrentModification);
  addtoclosure(closure4076, var_IteratorExhausted);
  addtoclosure(closure4076, var_removed);
  addtoclosure(closure4076, var_unused);
  struct UserObject *uo4076 = (struct UserObject*)obj3147;
  uo4076->data[26] = (Object)closure4076;
  Method *meth_meth_collectionsPrelude_bindingsIterator4076 = addmethod2pos(obj3147, "bindingsIterator", &meth_collectionsPrelude_bindingsIterator4076, 26);
  int argcv_meth_collectionsPrelude_bindingsIterator4076[] = {0};
  meth_meth_collectionsPrelude_bindingsIterator4076->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindingsIterator4076);
  meth_meth_collectionsPrelude_bindingsIterator4076->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindingsIterator4076->definitionLine = 1763;
  block_savedest(obj3147);
  Object closure4197 = createclosure(4, "bindingsIterator$object(1)");
  setclosureframe(closure4197, stackframe);
  addtoclosure(closure4197, var_ConcurrentModification);
  addtoclosure(closure4197, var_IteratorExhausted);
  addtoclosure(closure4197, var_removed);
  addtoclosure(closure4197, var_unused);
  Method *meth_meth_collectionsPrelude_bindingsIterator4076_object = addmethod2pos(obj3147, "bindingsIterator$object(1)", &meth_collectionsPrelude_bindingsIterator4076_object, 26);
  meth_meth_collectionsPrelude_bindingsIterator4076_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindingsIterator4076_object->definitionLine = 1763;
// method "expand"
  block_savedest(obj3147);
  Object closure4198 = createclosure(3, "expand");
  setclosureframe(closure4198, stackframe);
  addtoclosure(closure4198, var__prelude);
  addtoclosure(closure4198, var_unused);
  addtoclosure(closure4198, var_removed);
  struct UserObject *uo4198 = (struct UserObject*)obj3147;
  uo4198->data[27] = (Object)closure4198;
  Method *meth_meth_collectionsPrelude_expand4198 = addmethod2pos(obj3147, "expand", &meth_collectionsPrelude_expand4198, 27);
  int argcv_meth_collectionsPrelude_expand4198[] = {0};
  meth_meth_collectionsPrelude_expand4198->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand4198);
  meth_meth_collectionsPrelude_expand4198->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand4198->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand4198->definitionLine = 1786;
// method "keysAndValuesDo(_)"
  block_savedest(obj3147);
  Object closure4266 = createclosure(2, "keysAndValuesDo(1)");
  setclosureframe(closure4266, stackframe);
  addtoclosure(closure4266, var_removed);
  addtoclosure(closure4266, var_unused);
  struct UserObject *uo4266 = (struct UserObject*)obj3147;
  uo4266->data[28] = (Object)closure4266;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266 = addmethod2pos(obj3147, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266, 28);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->definitionLine = 1802;
// method "keysDo(_)"
  block_savedest(obj3147);
  Object closure4304 = createclosure(2, "keysDo(1)");
  setclosureframe(closure4304, stackframe);
  addtoclosure(closure4304, var_removed);
  addtoclosure(closure4304, var_unused);
  struct UserObject *uo4304 = (struct UserObject*)obj3147;
  uo4304->data[29] = (Object)closure4304;
  Method *meth_meth_collectionsPrelude_keysDo_40_1_41_4304 = addmethod2pos(obj3147, "keysDo(1)", &meth_collectionsPrelude_keysDo_40_1_41_4304, 29);
  int argcv_meth_collectionsPrelude_keysDo_40_1_41_4304[] = {1};
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysDo_40_1_41_4304);
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->definitionLine = 1810;
// method "valuesDo(_)"
  block_savedest(obj3147);
  Object closure4340 = createclosure(2, "valuesDo(1)");
  setclosureframe(closure4340, stackframe);
  addtoclosure(closure4340, var_removed);
  addtoclosure(closure4340, var_unused);
  struct UserObject *uo4340 = (struct UserObject*)obj3147;
  uo4340->data[30] = (Object)closure4340;
  Method *meth_meth_collectionsPrelude_valuesDo_40_1_41_4340 = addmethod2pos(obj3147, "valuesDo(1)", &meth_collectionsPrelude_valuesDo_40_1_41_4340, 30);
  int argcv_meth_collectionsPrelude_valuesDo_40_1_41_4340[] = {1};
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_valuesDo_40_1_41_4340);
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->definitionModule = modulename;
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->definitionLine = 1818;
// method "do(_)"
  struct UserObject *uo4376 = (struct UserObject*)obj3147;
  uo4376->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_4376 = addmethod2pos(obj3147, "do(1)", &meth_collectionsPrelude_do_40_1_41_4376, 31);
  int argcv_meth_collectionsPrelude_do_40_1_41_4376[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_4376->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_4376);
  meth_meth_collectionsPrelude_do_40_1_41_4376->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_4376->definitionLine = 1826;
// method "==(_)"
  block_savedest(obj3147);
  Object closure4379 = createclosure(1, "==(1)");
  setclosureframe(closure4379, stackframe);
  addtoclosure(closure4379, var_ComparableToDictionary);
  struct UserObject *uo4379 = (struct UserObject*)obj3147;
  uo4379->data[32] = (Object)closure4379;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_4379 = addmethod2pos(obj3147, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_4379, 32);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_4379[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_4379);
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->definitionLine = 1828;
// method "copy"
  struct UserObject *uo4423 = (struct UserObject*)obj3147;
  uo4423->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy4423 = addmethod2pos(obj3147, "copy", &meth_collectionsPrelude_copy4423, 33);
  int argcv_meth_collectionsPrelude_copy4423[] = {0};
  meth_meth_collectionsPrelude_copy4423->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy4423);
  meth_meth_collectionsPrelude_copy4423->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy4423->definitionLine = 1844;
// method "asDictionary"
  struct UserObject *uo4439 = (struct UserObject*)obj3147;
  uo4439->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary4439 = addmethod2pos(obj3147, "asDictionary", &meth_collectionsPrelude_asDictionary4439, 34);
  int argcv_meth_collectionsPrelude_asDictionary4439[] = {0};
  meth_meth_collectionsPrelude_asDictionary4439->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary4439);
  meth_meth_collectionsPrelude_asDictionary4439->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary4439->definitionLine = 1852;
// method "++(_)"
  struct UserObject *uo4440 = (struct UserObject*)obj3147;
  uo4440->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_4440 = addmethod2pos(obj3147, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_4440, 35);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_4440[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_4440);
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->definitionLine = 1856;
// method "--(_)"
  struct UserObject *uo4450 = (struct UserObject*)obj3147;
  uo4450->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45__45__40_1_41_4450 = addmethod2pos(obj3147, "--(1)", &meth_collectionsPrelude__45__45__40_1_41_4450, 36);
  int argcv_meth_collectionsPrelude__45__45__40_1_41_4450[] = {1};
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45__40_1_41_4450);
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->definitionLine = 1864;
  sourceObject = obj3147;
// Begin line 1513
  setline(1513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4471 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collection (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4472 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4471);
// compiled call node returning call4472 (depth = 2)
  struct UserObject *obj3147_uo = (struct UserObject *)obj3147;
  obj3147_uo->super = call4472;
  sourceObject = obj3147;
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4473 = alloc_Float64(0);
// compiled num node returning num4473 (depth = 2)
  adddatum2(obj3147, num4473, 1);
  sourceObject = obj3147;
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4474 = alloc_Float64(0);
// compiled num node returning num4474 (depth = 2)
  adddatum2(obj3147, num4474, 2);
  sourceObject = obj3147;
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4475 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num4476 = alloc_Float64(8);
// compiled num node returning num4476 (depth = 3)
  gc_frame_newslot(num4476);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call4478 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe4477);
// compiled member node returning call4478 (depth = 3)
  params[0] = num4476;
  partcv[0] = 1;
  Object call4479 = callmethodflags(call4478, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4475);
// compiled call node returning call4479 (depth = 2)
  adddatum2(obj3147, call4479, 3);
  sourceObject = obj3147;
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4480 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4483 = alloc_Float64(1);
// compiled num node returning num4483 (depth = 5)
  int op_slot_right_4482 = gc_frame_newslot(num4483);
// starting to compile member node (depth = 5)
  int callframe4485 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4486 = gc_frame_new();
// call case 4: self request
  Object call4487 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4486);
// compiled member node returning call4487 (depth = 6)
  Object call4488 = callmethodflags(call4487, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4485);
// compiled member node returning call4488 (depth = 5)
  int op_slot_left_4482 = gc_frame_newslot(call4488);
  params[0] = num4483;
  partcv[0] = 1;
  Object diff4489 = callmethod(call4488, "-(1)", 1, partcv, params);
// compiled op node returning diff4489 (depth = 4)
  int op_slot_right_4481 = gc_frame_newslot(diff4489);
// starting to compile num node (depth = 4)
  Object num4491 = alloc_Float64(0);
// compiled num node returning num4491 (depth = 4)
  int op_slot_left_4481 = gc_frame_newslot(num4491);
  params[0] = diff4489;
  partcv[0] = 1;
  Object opresult4492 = callmethod(num4491, "..(1)", 1, partcv, params);
// compiled op node returning opresult4492 (depth = 3)
  gc_frame_newslot(opresult4492);
// starting to compile block node (depth = 3)
  Object block4493 = alloc_Block(NULL, NULL, "collectionsPrelude", 1517);
  gc_frame_newslot(block4493);
// method "_apply(_)"
  block_savedest(block4493);
  Object closure4494 = createclosure(2, "_apply(1)");
  setclosureframe(closure4494, stackframe);
  addtoclosure(closure4494, var_unused);
  addtoclosure(closure4494, selfslot);
  struct UserObject *uo4494 = (struct UserObject*)block4493;
  uo4494->data[0] = (Object)closure4494;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4494 = addmethod2pos(block4493, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4494, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4494[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4494->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4494);
  meth_meth_collectionsPrelude__apply_40_1_41_4494->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4494->definitionLine = 1990;
// compiled block node returning block4493 (depth = 3)
  gc_frame_newslot(block4493);
// call case 5: prelude request
  params[0] = opresult4492;
  params[1] = block4493;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4500 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4480);
// compiled call node returning call4500 (depth = 2)
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  objclass3147 = obj3147->class;
  objclass3147->definitionModule = modulename;
  objclass3147->definitionLine = 1512;
  (*(struct UserObject *)self).data[0] = lowerouter3147;
  self = oldself3147;
  selfslot = oldselfslot3147;
  stackframe = oldstackframe3147;
  gc_frame_end(frame);
  return obj3147;
}
Object meth_collectionsPrelude_empty3146_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "empty$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[2];
  int partcv[2];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_binding = getfromclosure(closure, 2);
  Object *var_NoSuchObject = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_enumerable = getfromclosure(closure, 5);
  Object *var_ConcurrentModification = getfromclosure(closure, 6);
  Object *var_IteratorExhausted = getfromclosure(closure, 7);
  Object *var_ComparableToDictionary = getfromclosure(closure, 8);
  Object *var_collection = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3147 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3147 = alloc_userobj2(44,42, objclass3147);
  gc_frame_newslot(obj3147);
if (objclass3147 == NULL) {
  glfree(obj3147->class->name);
  obj3147->class->name = "dictionary.empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3147, self, 0);
  addmethodreal(obj3147,"outer", &reader_collectionsPrelude_outer_3148);
  Object oldself3147 = self;
  struct StackFrameObject *oldstackframe3147 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3147);
  gc_frame_newslot((Object)stackframe);
  self = obj3147;
  Object *oldselfslot3147 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3147 = (*(struct UserObject *)self).data[0], lowerouter3147 = thisouter3147;
  if (inheritingObject3147) {
    struct UserObject *inho3147 = (struct UserObject *)inheritingObject3147;
    while (inho3147->super != GraceDefaultObject) inho3147 = (struct UserObject *)inho3147->super;
    inho3147->super = obj3147;
    self = inheritingObject3147;
    *selfslot = self;
    lowerouter3147 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3147;
  }
if (objclass3147 == NULL) {
  Method *reader3149 = addmethodrealflags(obj3147, "mods", &reader_collectionsPrelude_mods_3149, 0);
  Method *writer3149 = addmethodrealflags(obj3147, "mods:=(1)", &writer_collectionsPrelude_mods_3149, MFLAG_CONFIDENTIAL);
  reader3149->definitionModule = modulename;
  writer3149->definitionModule = modulename;
  reader3149->definitionLine = 1514;
  writer3149->definitionLine = 1514;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 1);
if (objclass3147 == NULL) {
  Method *reader3150 = addmethodrealflags(obj3147, "numBindings", &reader_collectionsPrelude_numBindings_3150, MFLAG_CONFIDENTIAL);
  Method *writer3150 = addmethodrealflags(obj3147, "numBindings:=(1)", &writer_collectionsPrelude_numBindings_3150, MFLAG_CONFIDENTIAL);
  reader3150->definitionModule = modulename;
  writer3150->definitionModule = modulename;
  reader3150->definitionLine = 1515;
  writer3150->definitionLine = 1515;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 2);
if (objclass3147 == NULL) {
  Method *reader3151 = addmethodrealflags(obj3147, "inner", &reader_collectionsPrelude_inner_3151, MFLAG_CONFIDENTIAL);
  Method *writer3151 = addmethodrealflags(obj3147, "inner:=(1)", &writer_collectionsPrelude_inner_3151, MFLAG_CONFIDENTIAL);
  reader3151->definitionModule = modulename;
  writer3151->definitionModule = modulename;
  reader3151->definitionLine = 1516;
  writer3151->definitionLine = 1516;
}
obj3147->flags |= OFLAG_MUTABLE;
adddatum2(obj3147, alloc_Undefined(), 3);
// method "size"
  struct UserObject *uo3152 = (struct UserObject*)obj3147;
  uo3152->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size3152 = addmethod2pos(obj3147, "size", &meth_collectionsPrelude_size3152, 4);
  int argcv_meth_collectionsPrelude_size3152[] = {0};
  meth_meth_collectionsPrelude_size3152->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size3152);
  meth_meth_collectionsPrelude_size3152->definitionModule = modulename;
  meth_meth_collectionsPrelude_size3152->definitionLine = 1520;
// method "at(_)put(_)"
  block_savedest(obj3147);
  Object closure3155 = createclosure(3, "at(1)put(1)");
  setclosureframe(closure3155, stackframe);
  addtoclosure(closure3155, var_removed);
  addtoclosure(closure3155, var_unused);
  addtoclosure(closure3155, var_binding);
  struct UserObject *uo3155 = (struct UserObject*)obj3147;
  uo3155->data[5] = (Object)closure3155;
  Method *meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155 = addmethod2pos(obj3147, "at(1)put(1)", &meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155);
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_put_40_1_41_3155->definitionLine = 1521;
// method "add(_)"
  block_savedest(obj3147);
  Object closure3214 = createclosure(2, "add(1)");
  setclosureframe(closure3214, stackframe);
  addtoclosure(closure3214, var_removed);
  addtoclosure(closure3214, var_unused);
  struct UserObject *uo3214 = (struct UserObject*)obj3147;
  uo3214->data[6] = (Object)closure3214;
  Method *meth_meth_collectionsPrelude_add_40_1_41_3214 = addmethod2pos(obj3147, "add(1)", &meth_collectionsPrelude_add_40_1_41_3214, 6);
  int argcv_meth_collectionsPrelude_add_40_1_41_3214[] = {1};
  meth_meth_collectionsPrelude_add_40_1_41_3214->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add_40_1_41_3214);
  meth_meth_collectionsPrelude_add_40_1_41_3214->definitionModule = modulename;
  meth_meth_collectionsPrelude_add_40_1_41_3214->definitionLine = 1531;
// method "at(_)"
  block_savedest(obj3147);
  Object closure3273 = createclosure(1, "at(1)");
  setclosureframe(closure3273, stackframe);
  addtoclosure(closure3273, var_NoSuchObject);
  struct UserObject *uo3273 = (struct UserObject*)obj3147;
  uo3273->data[7] = (Object)closure3273;
  Method *meth_meth_collectionsPrelude_at_40_1_41_3273 = addmethod2pos(obj3147, "at(1)", &meth_collectionsPrelude_at_40_1_41_3273, 7);
  int argcv_meth_collectionsPrelude_at_40_1_41_3273[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_3273->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_3273);
  meth_meth_collectionsPrelude_at_40_1_41_3273->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_3273->definitionLine = 1541;
// method "at(_)ifAbsent(_)"
  struct UserObject *uo3298 = (struct UserObject*)obj3147;
  uo3298->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298 = addmethod2pos(obj3147, "at(1)ifAbsent(1)", &meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298, 8);
  int argcv_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298[] = {1, 1};
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298);
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_ifAbsent_40_1_41_3298->definitionLine = 1548;
// method "containsKey(_)"
  struct UserObject *uo3315 = (struct UserObject*)obj3147;
  uo3315->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsKey_40_1_41_3315 = addmethod2pos(obj3147, "containsKey(1)", &meth_collectionsPrelude_containsKey_40_1_41_3315, 9);
  int argcv_meth_collectionsPrelude_containsKey_40_1_41_3315[] = {1};
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsKey_40_1_41_3315);
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsKey_40_1_41_3315->definitionLine = 1555;
// method "removeAllKeys(_)"
  block_savedest(obj3147);
  Object closure3330 = createclosure(2, "removeAllKeys(1)");
  setclosureframe(closure3330, stackframe);
  addtoclosure(closure3330, var_removed);
  addtoclosure(closure3330, var_NoSuchObject);
  struct UserObject *uo3330 = (struct UserObject*)obj3147;
  uo3330->data[10] = (Object)closure3330;
  Method *meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330 = addmethod2pos(obj3147, "removeAllKeys(1)", &meth_collectionsPrelude_removeAllKeys_40_1_41_3330, 10);
  int argcv_meth_collectionsPrelude_removeAllKeys_40_1_41_3330[] = {1};
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllKeys_40_1_41_3330);
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllKeys_40_1_41_3330->definitionLine = 1562;
// method "removeKey(_)"
  block_savedest(obj3147);
  Object closure3378 = createclosure(2, "removeKey(1)");
  setclosureframe(closure3378, stackframe);
  addtoclosure(closure3378, var_removed);
  addtoclosure(closure3378, var_NoSuchObject);
  struct UserObject *uo3378 = (struct UserObject*)obj3147;
  uo3378->data[11] = (Object)closure3378;
  Method *meth_meth_collectionsPrelude_removeKey_40_1_41_3378 = addmethod2pos(obj3147, "removeKey(1)", &meth_collectionsPrelude_removeKey_40_1_41_3378, 11);
  int argcv_meth_collectionsPrelude_removeKey_40_1_41_3378[] = {1};
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeKey_40_1_41_3378);
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeKey_40_1_41_3378->definitionLine = 1575;
// method "removeAllValues(_)"
  block_savedest(obj3147);
  Object closure3421 = createclosure(1, "removeAllValues(1)");
  setclosureframe(closure3421, stackframe);
  addtoclosure(closure3421, var_removed);
  struct UserObject *uo3421 = (struct UserObject*)obj3147;
  uo3421->data[12] = (Object)closure3421;
  Method *meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421 = addmethod2pos(obj3147, "removeAllValues(1)", &meth_collectionsPrelude_removeAllValues_40_1_41_3421, 12);
  int argcv_meth_collectionsPrelude_removeAllValues_40_1_41_3421[] = {1};
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllValues_40_1_41_3421);
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllValues_40_1_41_3421->definitionLine = 1586;
// method "removeValue(_)"
  block_savedest(obj3147);
  Object closure3468 = createclosure(2, "removeValue(1)");
  setclosureframe(closure3468, stackframe);
  addtoclosure(closure3468, var_removed);
  addtoclosure(closure3468, var_NoSuchObject);
  struct UserObject *uo3468 = (struct UserObject*)obj3147;
  uo3468->data[13] = (Object)closure3468;
  Method *meth_meth_collectionsPrelude_removeValue_40_1_41_3468 = addmethod2pos(obj3147, "removeValue(1)", &meth_collectionsPrelude_removeValue_40_1_41_3468, 13);
  int argcv_meth_collectionsPrelude_removeValue_40_1_41_3468[] = {1};
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeValue_40_1_41_3468);
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue_40_1_41_3468->definitionLine = 1597;
// method "removeValue(_)ifAbsent(_)"
  block_savedest(obj3147);
  Object closure3534 = createclosure(1, "removeValue(1)ifAbsent(1)");
  setclosureframe(closure3534, stackframe);
  addtoclosure(closure3534, var_removed);
  struct UserObject *uo3534 = (struct UserObject*)obj3147;
  uo3534->data[14] = (Object)closure3534;
  Method *meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534 = addmethod2pos(obj3147, "removeValue(1)ifAbsent(1)", &meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534, 14);
  int argcv_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534[] = {1, 1};
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534);
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue_40_1_41_ifAbsent_40_1_41_3534->definitionLine = 1613;
// method "clear"
  block_savedest(obj3147);
  Object closure3592 = createclosure(2, "clear");
  setclosureframe(closure3592, stackframe);
  addtoclosure(closure3592, var__prelude);
  addtoclosure(closure3592, var_unused);
  struct UserObject *uo3592 = (struct UserObject*)obj3147;
  uo3592->data[15] = (Object)closure3592;
  Method *meth_meth_collectionsPrelude_clear3592 = addmethod2pos(obj3147, "clear", &meth_collectionsPrelude_clear3592, 15);
  int argcv_meth_collectionsPrelude_clear3592[] = {0};
  meth_meth_collectionsPrelude_clear3592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_clear3592);
  meth_meth_collectionsPrelude_clear3592->definitionModule = modulename;
  meth_meth_collectionsPrelude_clear3592->definitionLine = 1629;
// method "containsValue(_)"
  struct UserObject *uo3632 = (struct UserObject*)obj3147;
  uo3632->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsValue_40_1_41_3632 = addmethod2pos(obj3147, "containsValue(1)", &meth_collectionsPrelude_containsValue_40_1_41_3632, 16);
  int argcv_meth_collectionsPrelude_containsValue_40_1_41_3632[] = {1};
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsValue_40_1_41_3632);
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsValue_40_1_41_3632->definitionLine = 1638;
// method "contains(_)"
  struct UserObject *uo3644 = (struct UserObject*)obj3147;
  uo3644->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_3644 = addmethod2pos(obj3147, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_3644, 17);
  int argcv_meth_collectionsPrelude_contains_40_1_41_3644[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_3644->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_3644);
  meth_meth_collectionsPrelude_contains_40_1_41_3644->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_3644->definitionLine = 1644;
// method "findPosition(_)"
  block_savedest(obj3147);
  Object closure3647 = createclosure(1, "findPosition(1)");
  setclosureframe(closure3647, stackframe);
  addtoclosure(closure3647, var_unused);
  struct UserObject *uo3647 = (struct UserObject*)obj3147;
  uo3647->data[18] = (Object)closure3647;
  Method *meth_meth_collectionsPrelude_findPosition_40_1_41_3647 = addmethod2pos(obj3147, "findPosition(1)", &meth_collectionsPrelude_findPosition_40_1_41_3647, 18);
  int argcv_meth_collectionsPrelude_findPosition_40_1_41_3647[] = {1};
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition_40_1_41_3647);
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition_40_1_41_3647->definitionLine = 1646;
// method "findPositionForAdd(_)"
  block_savedest(obj3147);
  Object closure3713 = createclosure(2, "findPositionForAdd(1)");
  setclosureframe(closure3713, stackframe);
  addtoclosure(closure3713, var_removed);
  addtoclosure(closure3713, var_unused);
  struct UserObject *uo3713 = (struct UserObject*)obj3147;
  uo3713->data[19] = (Object)closure3713;
  Method *meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713 = addmethod2pos(obj3147, "findPositionForAdd(1)", &meth_collectionsPrelude_findPositionForAdd_40_1_41_3713, 19);
  int argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713);
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd_40_1_41_3713->definitionLine = 1664;
// method "asString"
  block_savedest(obj3147);
  Object closure3789 = createclosure(2, "asString");
  setclosureframe(closure3789, stackframe);
  addtoclosure(closure3789, var_removed);
  addtoclosure(closure3789, var_unused);
  struct UserObject *uo3789 = (struct UserObject*)obj3147;
  uo3789->data[20] = (Object)closure3789;
  Method *meth_meth_collectionsPrelude_asString3789 = addmethod2pos(obj3147, "asString", &meth_collectionsPrelude_asString3789, 20);
  int argcv_meth_collectionsPrelude_asString3789[] = {0};
  meth_meth_collectionsPrelude_asString3789->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3789);
  meth_meth_collectionsPrelude_asString3789->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3789->definitionLine = 1682;
// method "asDebugString"
  block_savedest(obj3147);
  Object closure3860 = createclosure(2, "asDebugString");
  setclosureframe(closure3860, stackframe);
  addtoclosure(closure3860, var_removed);
  addtoclosure(closure3860, var_unused);
  struct UserObject *uo3860 = (struct UserObject*)obj3147;
  uo3860->data[21] = (Object)closure3860;
  Method *meth_meth_collectionsPrelude_asDebugString3860 = addmethod2pos(obj3147, "asDebugString", &meth_collectionsPrelude_asDebugString3860, 21);
  int argcv_meth_collectionsPrelude_asDebugString3860[] = {0};
  meth_meth_collectionsPrelude_asDebugString3860->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString3860);
  meth_meth_collectionsPrelude_asDebugString3860->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString3860->definitionLine = 1700;
// method "keys"
  block_savedest(obj3147);
  Object closure3958 = createclosure(1, "keys");
  setclosureframe(closure3958, stackframe);
  addtoclosure(closure3958, var_enumerable);
  struct UserObject *uo3958 = (struct UserObject*)obj3147;
  uo3958->data[22] = (Object)closure3958;
  Method *meth_meth_collectionsPrelude_keys3958 = addmethod2pos(obj3147, "keys", &meth_collectionsPrelude_keys3958, 22);
  int argcv_meth_collectionsPrelude_keys3958[] = {0};
  meth_meth_collectionsPrelude_keys3958->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3958);
  meth_meth_collectionsPrelude_keys3958->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3958->definitionLine = 1713;
  block_savedest(obj3147);
  Object closure4003 = createclosure(1, "keys$object(1)");
  setclosureframe(closure4003, stackframe);
  addtoclosure(closure4003, var_enumerable);
  Method *meth_meth_collectionsPrelude_keys3958_object = addmethod2pos(obj3147, "keys$object(1)", &meth_collectionsPrelude_keys3958_object, 22);
  meth_meth_collectionsPrelude_keys3958_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3958_object->definitionLine = 1713;
// method "values"
  block_savedest(obj3147);
  Object closure4004 = createclosure(1, "values");
  setclosureframe(closure4004, stackframe);
  addtoclosure(closure4004, var_enumerable);
  struct UserObject *uo4004 = (struct UserObject*)obj3147;
  uo4004->data[23] = (Object)closure4004;
  Method *meth_meth_collectionsPrelude_values4004 = addmethod2pos(obj3147, "values", &meth_collectionsPrelude_values4004, 23);
  int argcv_meth_collectionsPrelude_values4004[] = {0};
  meth_meth_collectionsPrelude_values4004->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values4004);
  meth_meth_collectionsPrelude_values4004->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4004->definitionLine = 1731;
  block_savedest(obj3147);
  Object closure4049 = createclosure(1, "values$object(1)");
  setclosureframe(closure4049, stackframe);
  addtoclosure(closure4049, var_enumerable);
  Method *meth_meth_collectionsPrelude_values4004_object = addmethod2pos(obj3147, "values$object(1)", &meth_collectionsPrelude_values4004_object, 23);
  meth_meth_collectionsPrelude_values4004_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4004_object->definitionLine = 1731;
// method "bindings"
  block_savedest(obj3147);
  Object closure4050 = createclosure(1, "bindings");
  setclosureframe(closure4050, stackframe);
  addtoclosure(closure4050, var_enumerable);
  struct UserObject *uo4050 = (struct UserObject*)obj3147;
  uo4050->data[24] = (Object)closure4050;
  Method *meth_meth_collectionsPrelude_bindings4050 = addmethod2pos(obj3147, "bindings", &meth_collectionsPrelude_bindings4050, 24);
  int argcv_meth_collectionsPrelude_bindings4050[] = {0};
  meth_meth_collectionsPrelude_bindings4050->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindings4050);
  meth_meth_collectionsPrelude_bindings4050->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings4050->definitionLine = 1750;
  block_savedest(obj3147);
  Object closure4070 = createclosure(1, "bindings$object(1)");
  setclosureframe(closure4070, stackframe);
  addtoclosure(closure4070, var_enumerable);
  Method *meth_meth_collectionsPrelude_bindings4050_object = addmethod2pos(obj3147, "bindings$object(1)", &meth_collectionsPrelude_bindings4050_object, 24);
  meth_meth_collectionsPrelude_bindings4050_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings4050_object->definitionLine = 1750;
// method "iterator"
  struct UserObject *uo4071 = (struct UserObject*)obj3147;
  uo4071->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4071 = addmethod2pos(obj3147, "iterator", &meth_collectionsPrelude_iterator4071, 25);
  int argcv_meth_collectionsPrelude_iterator4071[] = {0};
  meth_meth_collectionsPrelude_iterator4071->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4071);
  meth_meth_collectionsPrelude_iterator4071->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4071->definitionLine = 1762;
// method "bindingsIterator"
  block_savedest(obj3147);
  Object closure4076 = createclosure(4, "bindingsIterator");
  setclosureframe(closure4076, stackframe);
  addtoclosure(closure4076, var_ConcurrentModification);
  addtoclosure(closure4076, var_IteratorExhausted);
  addtoclosure(closure4076, var_removed);
  addtoclosure(closure4076, var_unused);
  struct UserObject *uo4076 = (struct UserObject*)obj3147;
  uo4076->data[26] = (Object)closure4076;
  Method *meth_meth_collectionsPrelude_bindingsIterator4076 = addmethod2pos(obj3147, "bindingsIterator", &meth_collectionsPrelude_bindingsIterator4076, 26);
  int argcv_meth_collectionsPrelude_bindingsIterator4076[] = {0};
  meth_meth_collectionsPrelude_bindingsIterator4076->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindingsIterator4076);
  meth_meth_collectionsPrelude_bindingsIterator4076->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindingsIterator4076->definitionLine = 1763;
  block_savedest(obj3147);
  Object closure4197 = createclosure(4, "bindingsIterator$object(1)");
  setclosureframe(closure4197, stackframe);
  addtoclosure(closure4197, var_ConcurrentModification);
  addtoclosure(closure4197, var_IteratorExhausted);
  addtoclosure(closure4197, var_removed);
  addtoclosure(closure4197, var_unused);
  Method *meth_meth_collectionsPrelude_bindingsIterator4076_object = addmethod2pos(obj3147, "bindingsIterator$object(1)", &meth_collectionsPrelude_bindingsIterator4076_object, 26);
  meth_meth_collectionsPrelude_bindingsIterator4076_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindingsIterator4076_object->definitionLine = 1763;
// method "expand"
  block_savedest(obj3147);
  Object closure4198 = createclosure(3, "expand");
  setclosureframe(closure4198, stackframe);
  addtoclosure(closure4198, var__prelude);
  addtoclosure(closure4198, var_unused);
  addtoclosure(closure4198, var_removed);
  struct UserObject *uo4198 = (struct UserObject*)obj3147;
  uo4198->data[27] = (Object)closure4198;
  Method *meth_meth_collectionsPrelude_expand4198 = addmethod2pos(obj3147, "expand", &meth_collectionsPrelude_expand4198, 27);
  int argcv_meth_collectionsPrelude_expand4198[] = {0};
  meth_meth_collectionsPrelude_expand4198->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand4198);
  meth_meth_collectionsPrelude_expand4198->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand4198->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand4198->definitionLine = 1786;
// method "keysAndValuesDo(_)"
  block_savedest(obj3147);
  Object closure4266 = createclosure(2, "keysAndValuesDo(1)");
  setclosureframe(closure4266, stackframe);
  addtoclosure(closure4266, var_removed);
  addtoclosure(closure4266, var_unused);
  struct UserObject *uo4266 = (struct UserObject*)obj3147;
  uo4266->data[28] = (Object)closure4266;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266 = addmethod2pos(obj3147, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266, 28);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4266->definitionLine = 1802;
// method "keysDo(_)"
  block_savedest(obj3147);
  Object closure4304 = createclosure(2, "keysDo(1)");
  setclosureframe(closure4304, stackframe);
  addtoclosure(closure4304, var_removed);
  addtoclosure(closure4304, var_unused);
  struct UserObject *uo4304 = (struct UserObject*)obj3147;
  uo4304->data[29] = (Object)closure4304;
  Method *meth_meth_collectionsPrelude_keysDo_40_1_41_4304 = addmethod2pos(obj3147, "keysDo(1)", &meth_collectionsPrelude_keysDo_40_1_41_4304, 29);
  int argcv_meth_collectionsPrelude_keysDo_40_1_41_4304[] = {1};
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysDo_40_1_41_4304);
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysDo_40_1_41_4304->definitionLine = 1810;
// method "valuesDo(_)"
  block_savedest(obj3147);
  Object closure4340 = createclosure(2, "valuesDo(1)");
  setclosureframe(closure4340, stackframe);
  addtoclosure(closure4340, var_removed);
  addtoclosure(closure4340, var_unused);
  struct UserObject *uo4340 = (struct UserObject*)obj3147;
  uo4340->data[30] = (Object)closure4340;
  Method *meth_meth_collectionsPrelude_valuesDo_40_1_41_4340 = addmethod2pos(obj3147, "valuesDo(1)", &meth_collectionsPrelude_valuesDo_40_1_41_4340, 30);
  int argcv_meth_collectionsPrelude_valuesDo_40_1_41_4340[] = {1};
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_valuesDo_40_1_41_4340);
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->definitionModule = modulename;
  meth_meth_collectionsPrelude_valuesDo_40_1_41_4340->definitionLine = 1818;
// method "do(_)"
  struct UserObject *uo4376 = (struct UserObject*)obj3147;
  uo4376->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_4376 = addmethod2pos(obj3147, "do(1)", &meth_collectionsPrelude_do_40_1_41_4376, 31);
  int argcv_meth_collectionsPrelude_do_40_1_41_4376[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_4376->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_4376);
  meth_meth_collectionsPrelude_do_40_1_41_4376->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_4376->definitionLine = 1826;
// method "==(_)"
  block_savedest(obj3147);
  Object closure4379 = createclosure(1, "==(1)");
  setclosureframe(closure4379, stackframe);
  addtoclosure(closure4379, var_ComparableToDictionary);
  struct UserObject *uo4379 = (struct UserObject*)obj3147;
  uo4379->data[32] = (Object)closure4379;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_4379 = addmethod2pos(obj3147, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_4379, 32);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_4379[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_4379);
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_4379->definitionLine = 1828;
// method "copy"
  struct UserObject *uo4423 = (struct UserObject*)obj3147;
  uo4423->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy4423 = addmethod2pos(obj3147, "copy", &meth_collectionsPrelude_copy4423, 33);
  int argcv_meth_collectionsPrelude_copy4423[] = {0};
  meth_meth_collectionsPrelude_copy4423->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy4423);
  meth_meth_collectionsPrelude_copy4423->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy4423->definitionLine = 1844;
// method "asDictionary"
  struct UserObject *uo4439 = (struct UserObject*)obj3147;
  uo4439->data[34] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary4439 = addmethod2pos(obj3147, "asDictionary", &meth_collectionsPrelude_asDictionary4439, 34);
  int argcv_meth_collectionsPrelude_asDictionary4439[] = {0};
  meth_meth_collectionsPrelude_asDictionary4439->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary4439);
  meth_meth_collectionsPrelude_asDictionary4439->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary4439->definitionLine = 1852;
// method "++(_)"
  struct UserObject *uo4440 = (struct UserObject*)obj3147;
  uo4440->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_4440 = addmethod2pos(obj3147, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_4440, 35);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_4440[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_4440);
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_4440->definitionLine = 1856;
// method "--(_)"
  struct UserObject *uo4450 = (struct UserObject*)obj3147;
  uo4450->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45__45__40_1_41_4450 = addmethod2pos(obj3147, "--(1)", &meth_collectionsPrelude__45__45__40_1_41_4450, 36);
  int argcv_meth_collectionsPrelude__45__45__40_1_41_4450[] = {1};
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45__40_1_41_4450);
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45__40_1_41_4450->definitionLine = 1864;
  sourceObject = obj3147;
// Begin line 1513
  setline(1513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4471 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collection (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4472 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4471);
// compiled call node returning call4472 (depth = 2)
  struct UserObject *obj3147_uo = (struct UserObject *)obj3147;
  obj3147_uo->super = call4472;
  sourceObject = obj3147;
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4473 = alloc_Float64(0);
// compiled num node returning num4473 (depth = 2)
  adddatum2(obj3147, num4473, 1);
  sourceObject = obj3147;
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4474 = alloc_Float64(0);
// compiled num node returning num4474 (depth = 2)
  adddatum2(obj3147, num4474, 2);
  sourceObject = obj3147;
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4475 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num4476 = alloc_Float64(8);
// compiled num node returning num4476 (depth = 3)
  gc_frame_newslot(num4476);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__prelude (depth = 4)
  Object call4478 = callmethodflags(*var__prelude, "primitiveArray", 0, partcv, params, 0);
  gc_frame_end(callframe4477);
// compiled member node returning call4478 (depth = 3)
  params[0] = num4476;
  partcv[0] = 1;
  Object call4479 = callmethodflags(call4478, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4475);
// compiled call node returning call4479 (depth = 2)
  adddatum2(obj3147, call4479, 3);
  sourceObject = obj3147;
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4480 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4483 = alloc_Float64(1);
// compiled num node returning num4483 (depth = 5)
  int op_slot_right_4482 = gc_frame_newslot(num4483);
// starting to compile member node (depth = 5)
  int callframe4485 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4486 = gc_frame_new();
// call case 4: self request
  Object call4487 = callmethodflags(self, "inner", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4486);
// compiled member node returning call4487 (depth = 6)
  Object call4488 = callmethodflags(call4487, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4485);
// compiled member node returning call4488 (depth = 5)
  int op_slot_left_4482 = gc_frame_newslot(call4488);
  params[0] = num4483;
  partcv[0] = 1;
  Object diff4489 = callmethod(call4488, "-(1)", 1, partcv, params);
// compiled op node returning diff4489 (depth = 4)
  int op_slot_right_4481 = gc_frame_newslot(diff4489);
// starting to compile num node (depth = 4)
  Object num4491 = alloc_Float64(0);
// compiled num node returning num4491 (depth = 4)
  int op_slot_left_4481 = gc_frame_newslot(num4491);
  params[0] = diff4489;
  partcv[0] = 1;
  Object opresult4492 = callmethod(num4491, "..(1)", 1, partcv, params);
// compiled op node returning opresult4492 (depth = 3)
  gc_frame_newslot(opresult4492);
// starting to compile block node (depth = 3)
  Object block4493 = alloc_Block(NULL, NULL, "collectionsPrelude", 1517);
  gc_frame_newslot(block4493);
// method "_apply(_)"
  block_savedest(block4493);
  Object closure4494 = createclosure(2, "_apply(1)");
  setclosureframe(closure4494, stackframe);
  addtoclosure(closure4494, var_unused);
  addtoclosure(closure4494, selfslot);
  struct UserObject *uo4494 = (struct UserObject*)block4493;
  uo4494->data[0] = (Object)closure4494;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4494 = addmethod2pos(block4493, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4494, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4494[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4494->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4494);
  meth_meth_collectionsPrelude__apply_40_1_41_4494->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4494->definitionLine = 1990;
// compiled block node returning block4493 (depth = 3)
  gc_frame_newslot(block4493);
// call case 5: prelude request
  params[0] = opresult4492;
  params[1] = block4493;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4500 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4480);
// compiled call node returning call4500 (depth = 2)
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  sourceObject = obj3147;
  objclass3147 = obj3147->class;
  objclass3147->definitionModule = modulename;
  objclass3147->definitionLine = 1512;
  (*(struct UserObject *)self).data[0] = lowerouter3147;
  self = oldself3147;
  selfslot = oldselfslot3147;
  stackframe = oldstackframe3147;
  gc_frame_end(frame);
  return obj3147;
}
Object meth_collectionsPrelude_dictionary3131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_binding = getfromclosure(closure, 2);
  Object *var_NoSuchObject = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_enumerable = getfromclosure(closure, 5);
  Object *var_ConcurrentModification = getfromclosure(closure, 6);
  Object *var_IteratorExhausted = getfromclosure(closure, 7);
  Object *var_ComparableToDictionary = getfromclosure(closure, 8);
  Object *var_collection = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_K = &(stackframe->slots[1]);
  Object *var_T = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_K = args[curarg++];
    *var_T = args[curarg++];
  } else {
    *var_K = Unknown;
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3132 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3132 = alloc_userobj2(4,5, objclass3132);
  gc_frame_newslot(obj3132);
if (objclass3132 == NULL) {
  glfree(obj3132->class->name);
  obj3132->class->name = "dictionary";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3132, self, 0);
  addmethodreal(obj3132,"outer", &reader_collectionsPrelude_outer_3133);
  Object oldself3132 = self;
  struct StackFrameObject *oldstackframe3132 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3132);
  gc_frame_newslot((Object)stackframe);
  self = obj3132;
  Object *oldselfslot3132 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3132 = (*(struct UserObject *)self).data[0], lowerouter3132 = thisouter3132;
  if (inheritingObject3132) {
    struct UserObject *inho3132 = (struct UserObject *)inheritingObject3132;
    while (inho3132->super != GraceDefaultObject) inho3132 = (struct UserObject *)inho3132->super;
    inho3132->super = obj3132;
    self = inheritingObject3132;
    *selfslot = self;
    lowerouter3132 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3132;
  }
// method "asString"
  struct UserObject *uo3134 = (struct UserObject*)obj3132;
  uo3134->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3134 = addmethod2pos(obj3132, "asString", &meth_collectionsPrelude_asString3134, 1);
  int argcv_meth_collectionsPrelude_asString3134[] = {0};
  meth_meth_collectionsPrelude_asString3134->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3134);
  meth_meth_collectionsPrelude_asString3134->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3134->definitionLine = 1504;
// method "withAll(_)"
  struct UserObject *uo3136 = (struct UserObject*)obj3132;
  uo3136->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_3136 = addmethod2pos(obj3132, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_3136, 2);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_3136[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_3136);
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->definitionLine = 1506;
// method "empty"
  block_savedest(obj3132);
  Object closure3146 = createclosure(10, "empty");
  setclosureframe(closure3146, stackframe);
  addtoclosure(closure3146, var_removed);
  addtoclosure(closure3146, var_unused);
  addtoclosure(closure3146, var_binding);
  addtoclosure(closure3146, var_NoSuchObject);
  addtoclosure(closure3146, var__prelude);
  addtoclosure(closure3146, var_enumerable);
  addtoclosure(closure3146, var_ConcurrentModification);
  addtoclosure(closure3146, var_IteratorExhausted);
  addtoclosure(closure3146, var_ComparableToDictionary);
  addtoclosure(closure3146, var_collection);
  struct UserObject *uo3146 = (struct UserObject*)obj3132;
  uo3146->data[3] = (Object)closure3146;
  Method *meth_meth_collectionsPrelude_empty3146 = addmethod2pos(obj3132, "empty", &meth_collectionsPrelude_empty3146, 3);
  int argcv_meth_collectionsPrelude_empty3146[] = {0};
  meth_meth_collectionsPrelude_empty3146->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty3146);
  meth_meth_collectionsPrelude_empty3146->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty3146->definitionLine = 1512;
  block_savedest(obj3132);
  Object closure4501 = createclosure(10, "empty$object(1)");
  setclosureframe(closure4501, stackframe);
  addtoclosure(closure4501, var_removed);
  addtoclosure(closure4501, var_unused);
  addtoclosure(closure4501, var_binding);
  addtoclosure(closure4501, var_NoSuchObject);
  addtoclosure(closure4501, var__prelude);
  addtoclosure(closure4501, var_enumerable);
  addtoclosure(closure4501, var_ConcurrentModification);
  addtoclosure(closure4501, var_IteratorExhausted);
  addtoclosure(closure4501, var_ComparableToDictionary);
  addtoclosure(closure4501, var_collection);
  Method *meth_meth_collectionsPrelude_empty3146_object = addmethod2pos(obj3132, "empty$object(1)", &meth_collectionsPrelude_empty3146_object, 3);
  meth_meth_collectionsPrelude_empty3146_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty3146_object->definitionLine = 1512;
  sourceObject = obj3132;
  sourceObject = obj3132;
  sourceObject = obj3132;
  objclass3132 = obj3132->class;
  objclass3132->definitionModule = modulename;
  objclass3132->definitionLine = 1502;
  (*(struct UserObject *)self).data[0] = lowerouter3132;
  self = oldself3132;
  selfslot = oldselfslot3132;
  stackframe = oldstackframe3132;
  gc_frame_end(frame);
  return obj3132;
}
Object meth_collectionsPrelude_dictionary3131_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dictionary$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  Object *var_unused = getfromclosure(closure, 1);
  Object *var_binding = getfromclosure(closure, 2);
  Object *var_NoSuchObject = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_enumerable = getfromclosure(closure, 5);
  Object *var_ConcurrentModification = getfromclosure(closure, 6);
  Object *var_IteratorExhausted = getfromclosure(closure, 7);
  Object *var_ComparableToDictionary = getfromclosure(closure, 8);
  Object *var_collection = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_K = &(stackframe->slots[1]);
  Object *var_T = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_K = args[curarg++];
    *var_T = args[curarg++];
  } else {
    *var_K = Unknown;
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3132 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3132 = alloc_userobj2(4,5, objclass3132);
  gc_frame_newslot(obj3132);
if (objclass3132 == NULL) {
  glfree(obj3132->class->name);
  obj3132->class->name = "dictionary";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3132, self, 0);
  addmethodreal(obj3132,"outer", &reader_collectionsPrelude_outer_3133);
  Object oldself3132 = self;
  struct StackFrameObject *oldstackframe3132 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3132);
  gc_frame_newslot((Object)stackframe);
  self = obj3132;
  Object *oldselfslot3132 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3132 = (*(struct UserObject *)self).data[0], lowerouter3132 = thisouter3132;
  if (inheritingObject3132) {
    struct UserObject *inho3132 = (struct UserObject *)inheritingObject3132;
    while (inho3132->super != GraceDefaultObject) inho3132 = (struct UserObject *)inho3132->super;
    inho3132->super = obj3132;
    self = inheritingObject3132;
    *selfslot = self;
    lowerouter3132 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3132;
  }
// method "asString"
  struct UserObject *uo3134 = (struct UserObject*)obj3132;
  uo3134->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3134 = addmethod2pos(obj3132, "asString", &meth_collectionsPrelude_asString3134, 1);
  int argcv_meth_collectionsPrelude_asString3134[] = {0};
  meth_meth_collectionsPrelude_asString3134->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3134);
  meth_meth_collectionsPrelude_asString3134->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3134->definitionLine = 1504;
// method "withAll(_)"
  struct UserObject *uo3136 = (struct UserObject*)obj3132;
  uo3136->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll_40_1_41_3136 = addmethod2pos(obj3132, "withAll(1)", &meth_collectionsPrelude_withAll_40_1_41_3136, 2);
  int argcv_meth_collectionsPrelude_withAll_40_1_41_3136[] = {1};
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll_40_1_41_3136);
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll_40_1_41_3136->definitionLine = 1506;
// method "empty"
  block_savedest(obj3132);
  Object closure3146 = createclosure(10, "empty");
  setclosureframe(closure3146, stackframe);
  addtoclosure(closure3146, var_removed);
  addtoclosure(closure3146, var_unused);
  addtoclosure(closure3146, var_binding);
  addtoclosure(closure3146, var_NoSuchObject);
  addtoclosure(closure3146, var__prelude);
  addtoclosure(closure3146, var_enumerable);
  addtoclosure(closure3146, var_ConcurrentModification);
  addtoclosure(closure3146, var_IteratorExhausted);
  addtoclosure(closure3146, var_ComparableToDictionary);
  addtoclosure(closure3146, var_collection);
  struct UserObject *uo3146 = (struct UserObject*)obj3132;
  uo3146->data[3] = (Object)closure3146;
  Method *meth_meth_collectionsPrelude_empty3146 = addmethod2pos(obj3132, "empty", &meth_collectionsPrelude_empty3146, 3);
  int argcv_meth_collectionsPrelude_empty3146[] = {0};
  meth_meth_collectionsPrelude_empty3146->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty3146);
  meth_meth_collectionsPrelude_empty3146->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty3146->definitionLine = 1512;
  block_savedest(obj3132);
  Object closure4501 = createclosure(10, "empty$object(1)");
  setclosureframe(closure4501, stackframe);
  addtoclosure(closure4501, var_removed);
  addtoclosure(closure4501, var_unused);
  addtoclosure(closure4501, var_binding);
  addtoclosure(closure4501, var_NoSuchObject);
  addtoclosure(closure4501, var__prelude);
  addtoclosure(closure4501, var_enumerable);
  addtoclosure(closure4501, var_ConcurrentModification);
  addtoclosure(closure4501, var_IteratorExhausted);
  addtoclosure(closure4501, var_ComparableToDictionary);
  addtoclosure(closure4501, var_collection);
  Method *meth_meth_collectionsPrelude_empty3146_object = addmethod2pos(obj3132, "empty$object(1)", &meth_collectionsPrelude_empty3146_object, 3);
  meth_meth_collectionsPrelude_empty3146_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty3146_object->definitionLine = 1512;
  sourceObject = obj3132;
  sourceObject = obj3132;
  sourceObject = obj3132;
  objclass3132 = obj3132->class;
  objclass3132->definitionModule = modulename;
  objclass3132->definitionLine = 1502;
  (*(struct UserObject *)self).data[0] = lowerouter3132;
  self = oldself3132;
  selfslot = oldselfslot3132;
  stackframe = oldstackframe3132;
  gc_frame_end(frame);
  return obj3132;
}
Object meth_collectionsPrelude__apply_40_1_41_4509(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___20 = &(stackframe->slots[0]);
  *var___20 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply_40_1_41_4521(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___21 = &(stackframe->slots[0]);
  *var___21 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe4522 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4525 == NULL) {
    strlit4525 = alloc_String(") is not an integer");
    gc_root(strlit4525);
  }
// compiled string node returning strlit4525 (depth = 7)
  int op_slot_right_4524 = gc_frame_newslot(strlit4525);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4527 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4530 == NULL) {
    strlit4530 = alloc_String(")to(");
    gc_root(strlit4530);
  }
// compiled string node returning strlit4530 (depth = 9)
  int op_slot_right_4529 = gc_frame_newslot(strlit4530);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lower (depth = 10)
  int op_slot_right_4532 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 10)
  if (strlit4534 == NULL) {
    strlit4534 = alloc_String(" in range.from(");
    gc_root(strlit4534);
  }
// compiled string node returning strlit4534 (depth = 10)
  int op_slot_left_4532 = gc_frame_newslot(strlit4534);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4535 = callmethod(strlit4534, "++(1)", 1, partcv, params);
// compiled op node returning opresult4535 (depth = 9)
  int op_slot_left_4529 = gc_frame_newslot(opresult4535);
  params[0] = strlit4530;
  partcv[0] = 1;
  Object opresult4536 = callmethod(opresult4535, "++(1)", 1, partcv, params);
// compiled op node returning opresult4536 (depth = 8)
  int op_slot_left_4527 = gc_frame_newslot(opresult4536);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4537 = callmethod(opresult4536, "++(1)", 1, partcv, params);
// compiled op node returning opresult4537 (depth = 7)
  int op_slot_left_4524 = gc_frame_newslot(opresult4537);
  params[0] = strlit4525;
  partcv[0] = 1;
  Object opresult4538 = callmethod(opresult4537, "++(1)", 1, partcv, params);
// compiled op node returning opresult4538 (depth = 6)
  int op_slot_right_4523 = gc_frame_newslot(opresult4538);
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4541 == NULL) {
    strlit4541 = alloc_String("");
    gc_root(strlit4541);
  }
// compiled string node returning strlit4541 (depth = 7)
  int op_slot_right_4540 = gc_frame_newslot(strlit4541);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_4543 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit4545 == NULL) {
    strlit4545 = alloc_String("lower bound ");
    gc_root(strlit4545);
  }
// compiled string node returning strlit4545 (depth = 8)
  int op_slot_left_4543 = gc_frame_newslot(strlit4545);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4546 = callmethod(strlit4545, "++(1)", 1, partcv, params);
// compiled op node returning opresult4546 (depth = 7)
  int op_slot_left_4540 = gc_frame_newslot(opresult4546);
  params[0] = strlit4541;
  partcv[0] = 1;
  Object opresult4547 = callmethod(opresult4546, "++(1)", 1, partcv, params);
// compiled op node returning opresult4547 (depth = 6)
  int op_slot_left_4523 = gc_frame_newslot(opresult4547);
  params[0] = opresult4538;
  partcv[0] = 1;
  Object opresult4548 = callmethod(opresult4547, "++(1)", 1, partcv, params);
// compiled op node returning opresult4548 (depth = 5)
  gc_frame_newslot(opresult4548);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4548;
  partcv[0] = 1;
  Object call4549 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4522);
// compiled call node returning call4549 (depth = 4)
  gc_frame_end(frame);
  return call4549;
}
Object meth_collectionsPrelude__apply_40_1_41_4587(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___22 = &(stackframe->slots[0]);
  *var___22 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply_40_1_41_4599(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___23 = &(stackframe->slots[0]);
  *var___23 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe4600 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4603 == NULL) {
    strlit4603 = alloc_String(") is not an integer");
    gc_root(strlit4603);
  }
// compiled string node returning strlit4603 (depth = 7)
  int op_slot_right_4602 = gc_frame_newslot(strlit4603);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4605 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4608 == NULL) {
    strlit4608 = alloc_String(")to(");
    gc_root(strlit4608);
  }
// compiled string node returning strlit4608 (depth = 9)
  int op_slot_right_4607 = gc_frame_newslot(strlit4608);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lower (depth = 10)
  int op_slot_right_4610 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 10)
  if (strlit4612 == NULL) {
    strlit4612 = alloc_String(" in range.from(");
    gc_root(strlit4612);
  }
// compiled string node returning strlit4612 (depth = 10)
  int op_slot_left_4610 = gc_frame_newslot(strlit4612);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4613 = callmethod(strlit4612, "++(1)", 1, partcv, params);
// compiled op node returning opresult4613 (depth = 9)
  int op_slot_left_4607 = gc_frame_newslot(opresult4613);
  params[0] = strlit4608;
  partcv[0] = 1;
  Object opresult4614 = callmethod(opresult4613, "++(1)", 1, partcv, params);
// compiled op node returning opresult4614 (depth = 8)
  int op_slot_left_4605 = gc_frame_newslot(opresult4614);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4615 = callmethod(opresult4614, "++(1)", 1, partcv, params);
// compiled op node returning opresult4615 (depth = 7)
  int op_slot_left_4602 = gc_frame_newslot(opresult4615);
  params[0] = strlit4603;
  partcv[0] = 1;
  Object opresult4616 = callmethod(opresult4615, "++(1)", 1, partcv, params);
// compiled op node returning opresult4616 (depth = 6)
  int op_slot_right_4601 = gc_frame_newslot(opresult4616);
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4619 == NULL) {
    strlit4619 = alloc_String("");
    gc_root(strlit4619);
  }
// compiled string node returning strlit4619 (depth = 7)
  int op_slot_right_4618 = gc_frame_newslot(strlit4619);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4621 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4623 == NULL) {
    strlit4623 = alloc_String("upper bound ");
    gc_root(strlit4623);
  }
// compiled string node returning strlit4623 (depth = 8)
  int op_slot_left_4621 = gc_frame_newslot(strlit4623);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4624 = callmethod(strlit4623, "++(1)", 1, partcv, params);
// compiled op node returning opresult4624 (depth = 7)
  int op_slot_left_4618 = gc_frame_newslot(opresult4624);
  params[0] = strlit4619;
  partcv[0] = 1;
  Object opresult4625 = callmethod(opresult4624, "++(1)", 1, partcv, params);
// compiled op node returning opresult4625 (depth = 6)
  int op_slot_left_4601 = gc_frame_newslot(opresult4625);
  params[0] = opresult4616;
  partcv[0] = 1;
  Object opresult4626 = callmethod(opresult4625, "++(1)", 1, partcv, params);
// compiled op node returning opresult4626 (depth = 5)
  gc_frame_newslot(opresult4626);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4626;
  partcv[0] = 1;
  Object call4627 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4600);
// compiled call node returning call4627 (depth = 4)
  gc_frame_end(frame);
  return call4627;
}
Object meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from(1)to(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method from(_)to(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method from(_)to(_)");
  Object params[2];
  int partcv[2];
  Object *var_Number = getfromclosure(closure, 0);
  Object *var_RequestError = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for from(_)to(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_lower = &(stackframe->slots[0]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *var_upper = &(stackframe->slots[1]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
  Object *var_stop = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "stop");
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame4507 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4508 = alloc_Block(NULL, NULL, "collectionsPrelude", 1879);
  gc_frame_newslot(block4508);
// method "_apply(_)"
  block_savedest(block4508);
  Object closure4509 = createclosure(1, "_apply(1)");
  setclosureframe(closure4509, stackframe);
  addtoclosure(closure4509, selfslot);
  struct UserObject *uo4509 = (struct UserObject*)block4508;
  uo4509->data[0] = (Object)closure4509;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4509 = addmethod2pos(block4508, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4509, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4509[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4509->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4509);
meth_meth_collectionsPrelude__apply_40_1_41_4509->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_4509->type->names[0] = "__20";
  meth_meth_collectionsPrelude__apply_40_1_41_4509->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4509->definitionLine = 1990;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4511 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4512 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4513 == NULL) {
    strlit4513 = alloc_String("__20");
    gc_root(strlit4513);
  }
// compiled string node returning strlit4513 (depth = 6)
  gc_frame_newslot(strlit4513);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4514 = gc_frame_new();
// call case 5: prelude request
  Object call4515 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4514);
// compiled member node returning call4515 (depth = 6)
  params[0] = strlit4513;
  partcv[0] = 1;
  Object call4516 = callmethodflags(call4515, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4512);
// compiled call node returning call4516 (depth = 5)
  gc_frame_newslot(call4516);
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4517 = gc_frame_new();
// call case 5: prelude request
  Object call4518 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4517);
// compiled member node returning call4518 (depth = 5)
  params[0] = call4516;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call4519 = callmethodflags(call4518, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4511);
// compiled call node returning call4519 (depth = 4)
((struct UserObject *)block4508)->data[1] = call4519;
// compiled block node returning block4508 (depth = 3)
  gc_frame_newslot(block4508);
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4520 = alloc_Block(NULL, NULL, "collectionsPrelude", 1880);
  gc_frame_newslot(block4520);
// method "_apply(_)"
  block_savedest(block4520);
  Object closure4521 = createclosure(4, "_apply(1)");
  setclosureframe(closure4521, stackframe);
  addtoclosure(closure4521, var_upper);
  addtoclosure(closure4521, var_lower);
  addtoclosure(closure4521, var_RequestError);
  addtoclosure(closure4521, selfslot);
  struct UserObject *uo4521 = (struct UserObject*)block4520;
  uo4521->data[0] = (Object)closure4521;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4521 = addmethod2pos(block4520, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4521, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4521[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4521->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4521);
  meth_meth_collectionsPrelude__apply_40_1_41_4521->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4521->definitionLine = 1990;
// compiled block node returning block4520 (depth = 3)
  gc_frame_newslot(block4520);
  params[0] = block4508;
  params[1] = block4520;
  Object matchres4507 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame4507);
// compiled matchcase node returning matchres4507 (depth = 2)
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4551 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  Object call4552 = callmethodflags(*var_lower, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe4551);
// compiled member node returning call4552 (depth = 3)
  *var_start = call4552;
  if (call4552 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_4554 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_start (depth = 4)
  int op_slot_left_4554 = gc_frame_newslot(*var_start);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4556 = callmethod(*var_start, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4556 (depth = 3)
  Object if4553 = done;
  if (istrue(opresult4556)) {
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4557 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4560 == NULL) {
    strlit4560 = alloc_String(") is not an integer");
    gc_root(strlit4560);
  }
// compiled string node returning strlit4560 (depth = 6)
  int op_slot_right_4559 = gc_frame_newslot(strlit4560);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_4562 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4565 == NULL) {
    strlit4565 = alloc_String(")to(");
    gc_root(strlit4565);
  }
// compiled string node returning strlit4565 (depth = 8)
  int op_slot_right_4564 = gc_frame_newslot(strlit4565);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lower (depth = 9)
  int op_slot_right_4567 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 9)
  if (strlit4569 == NULL) {
    strlit4569 = alloc_String(" in range.from(");
    gc_root(strlit4569);
  }
// compiled string node returning strlit4569 (depth = 9)
  int op_slot_left_4567 = gc_frame_newslot(strlit4569);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4570 = callmethod(strlit4569, "++(1)", 1, partcv, params);
// compiled op node returning opresult4570 (depth = 8)
  int op_slot_left_4564 = gc_frame_newslot(opresult4570);
  params[0] = strlit4565;
  partcv[0] = 1;
  Object opresult4571 = callmethod(opresult4570, "++(1)", 1, partcv, params);
// compiled op node returning opresult4571 (depth = 7)
  int op_slot_left_4562 = gc_frame_newslot(opresult4571);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4572 = callmethod(opresult4571, "++(1)", 1, partcv, params);
// compiled op node returning opresult4572 (depth = 6)
  int op_slot_left_4559 = gc_frame_newslot(opresult4572);
  params[0] = strlit4560;
  partcv[0] = 1;
  Object opresult4573 = callmethod(opresult4572, "++(1)", 1, partcv, params);
// compiled op node returning opresult4573 (depth = 5)
  int op_slot_right_4558 = gc_frame_newslot(opresult4573);
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4576 == NULL) {
    strlit4576 = alloc_String("");
    gc_root(strlit4576);
  }
// compiled string node returning strlit4576 (depth = 6)
  int op_slot_right_4575 = gc_frame_newslot(strlit4576);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_4578 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit4580 == NULL) {
    strlit4580 = alloc_String("lower bound ");
    gc_root(strlit4580);
  }
// compiled string node returning strlit4580 (depth = 7)
  int op_slot_left_4578 = gc_frame_newslot(strlit4580);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4581 = callmethod(strlit4580, "++(1)", 1, partcv, params);
// compiled op node returning opresult4581 (depth = 6)
  int op_slot_left_4575 = gc_frame_newslot(opresult4581);
  params[0] = strlit4576;
  partcv[0] = 1;
  Object opresult4582 = callmethod(opresult4581, "++(1)", 1, partcv, params);
// compiled op node returning opresult4582 (depth = 5)
  int op_slot_left_4558 = gc_frame_newslot(opresult4582);
  params[0] = opresult4573;
  partcv[0] = 1;
  Object opresult4583 = callmethod(opresult4582, "++(1)", 1, partcv, params);
// compiled op node returning opresult4583 (depth = 4)
  gc_frame_newslot(opresult4583);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult4583;
  partcv[0] = 1;
  Object call4584 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4557);
// compiled call node returning call4584 (depth = 3)
    gc_frame_newslot(call4584);
    if4553 = call4584;
  } else {
  }
// compiled if node returning if4553 (depth = 2)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame4585 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4586 = alloc_Block(NULL, NULL, "collectionsPrelude", 1888);
  gc_frame_newslot(block4586);
// method "_apply(_)"
  block_savedest(block4586);
  Object closure4587 = createclosure(1, "_apply(1)");
  setclosureframe(closure4587, stackframe);
  addtoclosure(closure4587, selfslot);
  struct UserObject *uo4587 = (struct UserObject*)block4586;
  uo4587->data[0] = (Object)closure4587;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4587 = addmethod2pos(block4586, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4587, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4587[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4587->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4587);
meth_meth_collectionsPrelude__apply_40_1_41_4587->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_4587->type->names[0] = "__22";
  meth_meth_collectionsPrelude__apply_40_1_41_4587->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4587->definitionLine = 1990;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4589 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4590 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4591 == NULL) {
    strlit4591 = alloc_String("__22");
    gc_root(strlit4591);
  }
// compiled string node returning strlit4591 (depth = 6)
  gc_frame_newslot(strlit4591);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4592 = gc_frame_new();
// call case 5: prelude request
  Object call4593 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4592);
// compiled member node returning call4593 (depth = 6)
  params[0] = strlit4591;
  partcv[0] = 1;
  Object call4594 = callmethodflags(call4593, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4590);
// compiled call node returning call4594 (depth = 5)
  gc_frame_newslot(call4594);
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4595 = gc_frame_new();
// call case 5: prelude request
  Object call4596 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4595);
// compiled member node returning call4596 (depth = 5)
  params[0] = call4594;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call4597 = callmethodflags(call4596, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4589);
// compiled call node returning call4597 (depth = 4)
((struct UserObject *)block4586)->data[1] = call4597;
// compiled block node returning block4586 (depth = 3)
  gc_frame_newslot(block4586);
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4598 = alloc_Block(NULL, NULL, "collectionsPrelude", 1889);
  gc_frame_newslot(block4598);
// method "_apply(_)"
  block_savedest(block4598);
  Object closure4599 = createclosure(4, "_apply(1)");
  setclosureframe(closure4599, stackframe);
  addtoclosure(closure4599, var_upper);
  addtoclosure(closure4599, var_lower);
  addtoclosure(closure4599, var_RequestError);
  addtoclosure(closure4599, selfslot);
  struct UserObject *uo4599 = (struct UserObject*)block4598;
  uo4599->data[0] = (Object)closure4599;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4599 = addmethod2pos(block4598, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4599, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4599[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4599->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4599);
  meth_meth_collectionsPrelude__apply_40_1_41_4599->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4599->definitionLine = 1990;
// compiled block node returning block4598 (depth = 3)
  gc_frame_newslot(block4598);
  params[0] = block4586;
  params[1] = block4598;
  Object matchres4585 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame4585);
// compiled matchcase node returning matchres4585 (depth = 2)
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4629 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  Object call4630 = callmethodflags(*var_upper, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe4629);
// compiled member node returning call4630 (depth = 3)
  *var_stop = call4630;
  if (call4630 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_4632 = gc_frame_newslot(*var_upper);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_stop (depth = 4)
  int op_slot_left_4632 = gc_frame_newslot(*var_stop);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4634 = callmethod(*var_stop, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4634 (depth = 3)
  Object if4631 = done;
  if (istrue(opresult4634)) {
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4635 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4637 == NULL) {
    strlit4637 = alloc_String(" in range.from()to() is not an integer");
    gc_root(strlit4637);
  }
// compiled string node returning strlit4637 (depth = 5)
  int op_slot_right_4636 = gc_frame_newslot(strlit4637);
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4640 == NULL) {
    strlit4640 = alloc_String("");
    gc_root(strlit4640);
  }
// compiled string node returning strlit4640 (depth = 6)
  int op_slot_right_4639 = gc_frame_newslot(strlit4640);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_4642 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit4644 == NULL) {
    strlit4644 = alloc_String("upper bound ");
    gc_root(strlit4644);
  }
// compiled string node returning strlit4644 (depth = 7)
  int op_slot_left_4642 = gc_frame_newslot(strlit4644);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4645 = callmethod(strlit4644, "++(1)", 1, partcv, params);
// compiled op node returning opresult4645 (depth = 6)
  int op_slot_left_4639 = gc_frame_newslot(opresult4645);
  params[0] = strlit4640;
  partcv[0] = 1;
  Object opresult4646 = callmethod(opresult4645, "++(1)", 1, partcv, params);
// compiled op node returning opresult4646 (depth = 5)
  int op_slot_left_4636 = gc_frame_newslot(opresult4646);
  params[0] = strlit4637;
  partcv[0] = 1;
  Object opresult4647 = callmethod(opresult4646, "++(1)", 1, partcv, params);
// compiled op node returning opresult4647 (depth = 4)
  gc_frame_newslot(opresult4647);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult4647;
  partcv[0] = 1;
  Object call4648 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4635);
// compiled call node returning call4648 (depth = 3)
    gc_frame_newslot(call4648);
    if4631 = call4648;
  } else {
  }
// compiled if node returning if4631 (depth = 2)
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4649 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  gc_frame_newslot(*var_upper);
// call case 4: self request
  params[0] = *var_lower;
  params[1] = *var_upper;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4650 = callmethodflags(self, "uncheckedFrom(1)to(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4649);
// compiled call node returning call4650 (depth = 2)
  gc_frame_end(frame);
  return call4650;
}
Object meth_collectionsPrelude_hasNext4662(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4664 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4665 = gc_frame_new();
// call case 3: self.outer request
  Object call4666 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4665);
// compiled member node returning call4666 (depth = 4)
  Object call4667 = callmethodflags(call4666, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4664);
// compiled member node returning call4667 (depth = 3)
  int op_slot_right_4663 = gc_frame_newslot(call4667);
// starting to compile member node (depth = 3)
  int callframe4669 = gc_frame_new();
// call case 4: self request
  Object call4670 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4669);
// compiled member node returning call4670 (depth = 3)
  int op_slot_left_4663 = gc_frame_newslot(call4670);
  params[0] = call4667;
  partcv[0] = 1;
  Object opresult4671 = callmethod(call4670, "≤(1)", 1, partcv, params);
// compiled op node returning opresult4671 (depth = 2)
  gc_frame_end(frame);
  return opresult4671;
}
Object meth_collectionsPrelude_next4672(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4675 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4676 = gc_frame_new();
// call case 3: self.outer request
  Object call4677 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4676);
// compiled member node returning call4677 (depth = 5)
  Object call4678 = callmethodflags(call4677, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4675);
// compiled member node returning call4678 (depth = 4)
  int op_slot_right_4674 = gc_frame_newslot(call4678);
// starting to compile member node (depth = 4)
  int callframe4680 = gc_frame_new();
// call case 4: self request
  Object call4681 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4680);
// compiled member node returning call4681 (depth = 4)
  int op_slot_left_4674 = gc_frame_newslot(call4681);
  params[0] = call4678;
  partcv[0] = 1;
  Object opresult4682 = callmethod(call4681, ">(1)", 1, partcv, params);
// compiled op node returning opresult4682 (depth = 3)
  Object if4673 = done;
  if (istrue(opresult4682)) {
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4683 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4685 == NULL) {
    strlit4685 = alloc_String("");
    gc_root(strlit4685);
  }
// compiled string node returning strlit4685 (depth = 5)
  int op_slot_right_4684 = gc_frame_newslot(strlit4685);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4688 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4689 = gc_frame_new();
// call case 3: self.outer request
  Object call4690 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4689);
// compiled member node returning call4690 (depth = 7)
  Object call4691 = callmethodflags(call4690, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4688);
// compiled member node returning call4691 (depth = 6)
  int op_slot_right_4687 = gc_frame_newslot(call4691);
// starting to compile string node (depth = 6)
  if (strlit4693 == NULL) {
    strlit4693 = alloc_String("over ");
    gc_root(strlit4693);
  }
// compiled string node returning strlit4693 (depth = 6)
  int op_slot_left_4687 = gc_frame_newslot(strlit4693);
  params[0] = call4691;
  partcv[0] = 1;
  Object opresult4694 = callmethod(strlit4693, "++(1)", 1, partcv, params);
// compiled op node returning opresult4694 (depth = 5)
  int op_slot_left_4684 = gc_frame_newslot(opresult4694);
  params[0] = strlit4685;
  partcv[0] = 1;
  Object opresult4695 = callmethod(opresult4694, "++(1)", 1, partcv, params);
// compiled op node returning opresult4695 (depth = 4)
  gc_frame_newslot(opresult4695);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = opresult4695;
  partcv[0] = 1;
  Object call4696 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4683);
// compiled call node returning call4696 (depth = 3)
    gc_frame_newslot(call4696);
    if4673 = call4696;
  } else {
  }
// compiled if node returning if4673 (depth = 2)
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4697 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4699 = alloc_Float64(1);
// compiled num node returning num4699 (depth = 4)
  int op_slot_right_4698 = gc_frame_newslot(num4699);
// starting to compile member node (depth = 4)
  int callframe4701 = gc_frame_new();
// call case 4: self request
  Object call4702 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4701);
// compiled member node returning call4702 (depth = 4)
  int op_slot_left_4698 = gc_frame_newslot(call4702);
  params[0] = num4699;
  partcv[0] = 1;
  Object sum4703 = callmethod(call4702, "+(1)", 1, partcv, params);
// compiled op node returning sum4703 (depth = 3)
  gc_frame_newslot(sum4703);
// call case 4: self request
  params[0] = sum4703;
  partcv[0] = 1;
  Object call4704 = callmethodflags(self, "val:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4697);
// compiled call node returning call4704 (depth = 2)
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4706 = alloc_Float64(1);
// compiled num node returning num4706 (depth = 4)
  int op_slot_right_4705 = gc_frame_newslot(num4706);
// starting to compile member node (depth = 4)
  int callframe4708 = gc_frame_new();
// call case 4: self request
  Object call4709 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4708);
// compiled member node returning call4709 (depth = 4)
  int op_slot_left_4705 = gc_frame_newslot(call4709);
  params[0] = num4706;
  partcv[0] = 1;
  Object diff4710 = callmethod(call4709, "-(1)", 1, partcv, params);
// compiled op node returning diff4710 (depth = 3)
  return diff4710;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asString4711(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4713 == NULL) {
    strlit4713 = alloc_String("");
    gc_root(strlit4713);
  }
// compiled string node returning strlit4713 (depth = 3)
  int op_slot_right_4712 = gc_frame_newslot(strlit4713);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4716 = gc_frame_new();
// call case 4: self request
  Object call4717 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4716);
// compiled member node returning call4717 (depth = 4)
  int op_slot_right_4715 = gc_frame_newslot(call4717);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4720 == NULL) {
    strlit4720 = alloc_String(" at ");
    gc_root(strlit4720);
  }
// compiled string node returning strlit4720 (depth = 5)
  int op_slot_right_4719 = gc_frame_newslot(strlit4720);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4723 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4724 = gc_frame_new();
// call case 3: self.outer request
  Object call4725 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4724);
// compiled member node returning call4725 (depth = 7)
  Object call4726 = callmethodflags(call4725, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4723);
// compiled member node returning call4726 (depth = 6)
  int op_slot_right_4722 = gc_frame_newslot(call4726);
// starting to compile string node (depth = 6)
  if (strlit4728 == NULL) {
    strlit4728 = alloc_String("iterator over ");
    gc_root(strlit4728);
  }
// compiled string node returning strlit4728 (depth = 6)
  int op_slot_left_4722 = gc_frame_newslot(strlit4728);
  params[0] = call4726;
  partcv[0] = 1;
  Object opresult4729 = callmethod(strlit4728, "++(1)", 1, partcv, params);
// compiled op node returning opresult4729 (depth = 5)
  int op_slot_left_4719 = gc_frame_newslot(opresult4729);
  params[0] = strlit4720;
  partcv[0] = 1;
  Object opresult4730 = callmethod(opresult4729, "++(1)", 1, partcv, params);
// compiled op node returning opresult4730 (depth = 4)
  int op_slot_left_4715 = gc_frame_newslot(opresult4730);
  params[0] = call4717;
  partcv[0] = 1;
  Object opresult4731 = callmethod(opresult4730, "++(1)", 1, partcv, params);
// compiled op node returning opresult4731 (depth = 3)
  int op_slot_left_4712 = gc_frame_newslot(opresult4731);
  params[0] = strlit4713;
  partcv[0] = 1;
  Object opresult4732 = callmethod(opresult4731, "++(1)", 1, partcv, params);
// compiled op node returning opresult4732 (depth = 2)
  gc_frame_end(frame);
  return opresult4732;
}
Object meth_collectionsPrelude_iterator4658(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4659 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4659 = alloc_userobj2(5,5, objclass4659);
  gc_frame_newslot(obj4659);
if (objclass4659 == NULL) {
  glfree(obj4659->class->name);
  obj4659->class->name = "range.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4659, self, 0);
  addmethodreal(obj4659,"outer", &reader_collectionsPrelude_outer_4660);
  Object oldself4659 = self;
  struct StackFrameObject *oldstackframe4659 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4659);
  gc_frame_newslot((Object)stackframe);
  self = obj4659;
  Object *oldselfslot4659 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4659 = (*(struct UserObject *)self).data[0], lowerouter4659 = thisouter4659;
  if (inheritingObject4659) {
    struct UserObject *inho4659 = (struct UserObject *)inheritingObject4659;
    while (inho4659->super != GraceDefaultObject) inho4659 = (struct UserObject *)inho4659->super;
    inho4659->super = obj4659;
    self = inheritingObject4659;
    *selfslot = self;
    lowerouter4659 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4659;
  }
if (objclass4659 == NULL) {
  Method *reader4661 = addmethodrealflags(obj4659, "val", &reader_collectionsPrelude_val_4661, MFLAG_CONFIDENTIAL);
  Method *writer4661 = addmethodrealflags(obj4659, "val:=(1)", &writer_collectionsPrelude_val_4661, MFLAG_CONFIDENTIAL);
  reader4661->definitionModule = modulename;
  writer4661->definitionModule = modulename;
  reader4661->definitionLine = 1912;
  writer4661->definitionLine = 1912;
}
obj4659->flags |= OFLAG_MUTABLE;
adddatum2(obj4659, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo4662 = (struct UserObject*)obj4659;
  uo4662->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4662 = addmethod2pos(obj4659, "hasNext", &meth_collectionsPrelude_hasNext4662, 2);
  int argcv_meth_collectionsPrelude_hasNext4662[] = {0};
  meth_meth_collectionsPrelude_hasNext4662->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4662);
  meth_meth_collectionsPrelude_hasNext4662->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4662->definitionLine = 1913;
// method "next"
  block_savedest(obj4659);
  Object closure4672 = createclosure(1, "next");
  setclosureframe(closure4672, stackframe);
  addtoclosure(closure4672, var_IteratorExhausted);
  struct UserObject *uo4672 = (struct UserObject*)obj4659;
  uo4672->data[3] = (Object)closure4672;
  Method *meth_meth_collectionsPrelude_next4672 = addmethod2pos(obj4659, "next", &meth_collectionsPrelude_next4672, 3);
  int argcv_meth_collectionsPrelude_next4672[] = {0};
  meth_meth_collectionsPrelude_next4672->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4672);
  meth_meth_collectionsPrelude_next4672->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4672->definitionLine = 1914;
// method "asString"
  struct UserObject *uo4711 = (struct UserObject*)obj4659;
  uo4711->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4711 = addmethod2pos(obj4659, "asString", &meth_collectionsPrelude_asString4711, 4);
  int argcv_meth_collectionsPrelude_asString4711[] = {0};
  meth_meth_collectionsPrelude_asString4711->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4711);
  meth_meth_collectionsPrelude_asString4711->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4711->definitionLine = 1921;
  sourceObject = obj4659;
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4733 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4734 = gc_frame_new();
// call case 3: self.outer request
  Object call4735 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4734);
// compiled member node returning call4735 (depth = 3)
  Object call4736 = callmethodflags(call4735, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4733);
// compiled member node returning call4736 (depth = 2)
  adddatum2(obj4659, call4736, 1);
  sourceObject = obj4659;
  sourceObject = obj4659;
  sourceObject = obj4659;
  objclass4659 = obj4659->class;
  objclass4659->definitionModule = modulename;
  objclass4659->definitionLine = 1911;
  (*(struct UserObject *)self).data[0] = lowerouter4659;
  self = oldself4659;
  selfslot = oldselfslot4659;
  stackframe = oldstackframe4659;
  gc_frame_end(frame);
  return obj4659;
}
Object meth_collectionsPrelude_iterator4658_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4659 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4659 = alloc_userobj2(5,5, objclass4659);
  gc_frame_newslot(obj4659);
if (objclass4659 == NULL) {
  glfree(obj4659->class->name);
  obj4659->class->name = "range.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4659, self, 0);
  addmethodreal(obj4659,"outer", &reader_collectionsPrelude_outer_4660);
  Object oldself4659 = self;
  struct StackFrameObject *oldstackframe4659 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4659);
  gc_frame_newslot((Object)stackframe);
  self = obj4659;
  Object *oldselfslot4659 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4659 = (*(struct UserObject *)self).data[0], lowerouter4659 = thisouter4659;
  if (inheritingObject4659) {
    struct UserObject *inho4659 = (struct UserObject *)inheritingObject4659;
    while (inho4659->super != GraceDefaultObject) inho4659 = (struct UserObject *)inho4659->super;
    inho4659->super = obj4659;
    self = inheritingObject4659;
    *selfslot = self;
    lowerouter4659 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4659;
  }
if (objclass4659 == NULL) {
  Method *reader4661 = addmethodrealflags(obj4659, "val", &reader_collectionsPrelude_val_4661, MFLAG_CONFIDENTIAL);
  Method *writer4661 = addmethodrealflags(obj4659, "val:=(1)", &writer_collectionsPrelude_val_4661, MFLAG_CONFIDENTIAL);
  reader4661->definitionModule = modulename;
  writer4661->definitionModule = modulename;
  reader4661->definitionLine = 1912;
  writer4661->definitionLine = 1912;
}
obj4659->flags |= OFLAG_MUTABLE;
adddatum2(obj4659, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo4662 = (struct UserObject*)obj4659;
  uo4662->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4662 = addmethod2pos(obj4659, "hasNext", &meth_collectionsPrelude_hasNext4662, 2);
  int argcv_meth_collectionsPrelude_hasNext4662[] = {0};
  meth_meth_collectionsPrelude_hasNext4662->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4662);
  meth_meth_collectionsPrelude_hasNext4662->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4662->definitionLine = 1913;
// method "next"
  block_savedest(obj4659);
  Object closure4672 = createclosure(1, "next");
  setclosureframe(closure4672, stackframe);
  addtoclosure(closure4672, var_IteratorExhausted);
  struct UserObject *uo4672 = (struct UserObject*)obj4659;
  uo4672->data[3] = (Object)closure4672;
  Method *meth_meth_collectionsPrelude_next4672 = addmethod2pos(obj4659, "next", &meth_collectionsPrelude_next4672, 3);
  int argcv_meth_collectionsPrelude_next4672[] = {0};
  meth_meth_collectionsPrelude_next4672->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4672);
  meth_meth_collectionsPrelude_next4672->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4672->definitionLine = 1914;
// method "asString"
  struct UserObject *uo4711 = (struct UserObject*)obj4659;
  uo4711->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4711 = addmethod2pos(obj4659, "asString", &meth_collectionsPrelude_asString4711, 4);
  int argcv_meth_collectionsPrelude_asString4711[] = {0};
  meth_meth_collectionsPrelude_asString4711->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4711);
  meth_meth_collectionsPrelude_asString4711->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4711->definitionLine = 1921;
  sourceObject = obj4659;
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4733 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4734 = gc_frame_new();
// call case 3: self.outer request
  Object call4735 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4734);
// compiled member node returning call4735 (depth = 3)
  Object call4736 = callmethodflags(call4735, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4733);
// compiled member node returning call4736 (depth = 2)
  adddatum2(obj4659, call4736, 1);
  sourceObject = obj4659;
  sourceObject = obj4659;
  sourceObject = obj4659;
  objclass4659 = obj4659->class;
  objclass4659->definitionModule = modulename;
  objclass4659->definitionLine = 1911;
  (*(struct UserObject *)self).data[0] = lowerouter4659;
  self = oldself4659;
  selfslot = oldselfslot4659;
  stackframe = oldstackframe4659;
  gc_frame_end(frame);
  return obj4659;
}
Object meth_collectionsPrelude_at_40_1_41_4738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4740 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4742 = gc_frame_new();
// call case 4: self request
  Object call4743 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4742);
// compiled member node returning call4743 (depth = 5)
  int op_slot_right_4741 = gc_frame_newslot(call4743);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_4741 = gc_frame_newslot(*var_ix);
  params[0] = call4743;
  partcv[0] = 1;
  Object opresult4745 = callmethod(*var_ix, "≤(1)", 1, partcv, params);
// compiled op node returning opresult4745 (depth = 4)
  partcv[0] = 0;
  Object call4746 = callmethodflags(opresult4745, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4740);
// compiled call node returning call4746 (depth = 3)
  Object if4739 = done;
  if (istrue(call4746)) {
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4747 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4749 == NULL) {
    strlit4749 = alloc_String("");
    gc_root(strlit4749);
  }
// compiled string node returning strlit4749 (depth = 5)
  int op_slot_right_4748 = gc_frame_newslot(strlit4749);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4752 = gc_frame_new();
// call case 4: self request
  Object call4753 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4752);
// compiled member node returning call4753 (depth = 6)
  int op_slot_right_4751 = gc_frame_newslot(call4753);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4756 == NULL) {
    strlit4756 = alloc_String("), but upper bound is ");
    gc_root(strlit4756);
  }
// compiled string node returning strlit4756 (depth = 7)
  int op_slot_right_4755 = gc_frame_newslot(strlit4756);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  int op_slot_right_4758 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 8)
  if (strlit4760 == NULL) {
    strlit4760 = alloc_String("requested range.at(");
    gc_root(strlit4760);
  }
// compiled string node returning strlit4760 (depth = 8)
  int op_slot_left_4758 = gc_frame_newslot(strlit4760);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult4761 = callmethod(strlit4760, "++(1)", 1, partcv, params);
// compiled op node returning opresult4761 (depth = 7)
  int op_slot_left_4755 = gc_frame_newslot(opresult4761);
  params[0] = strlit4756;
  partcv[0] = 1;
  Object opresult4762 = callmethod(opresult4761, "++(1)", 1, partcv, params);
// compiled op node returning opresult4762 (depth = 6)
  int op_slot_left_4751 = gc_frame_newslot(opresult4762);
  params[0] = call4753;
  partcv[0] = 1;
  Object opresult4763 = callmethod(opresult4762, "++(1)", 1, partcv, params);
// compiled op node returning opresult4763 (depth = 5)
  int op_slot_left_4748 = gc_frame_newslot(opresult4763);
  params[0] = strlit4749;
  partcv[0] = 1;
  Object opresult4764 = callmethod(opresult4763, "++(1)", 1, partcv, params);
// compiled op node returning opresult4764 (depth = 4)
  gc_frame_newslot(opresult4764);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult4764;
  partcv[0] = 1;
  Object call4765 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4747);
// compiled call node returning call4765 (depth = 3)
    gc_frame_newslot(call4765);
    if4739 = call4765;
  } else {
  }
// compiled if node returning if4739 (depth = 2)
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4767 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4769 = alloc_Float64(1);
// compiled num node returning num4769 (depth = 5)
  int op_slot_right_4768 = gc_frame_newslot(num4769);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_4768 = gc_frame_newslot(*var_ix);
  params[0] = num4769;
  partcv[0] = 1;
  Object opresult4771 = callmethod(*var_ix, "≥(1)", 1, partcv, params);
// compiled op node returning opresult4771 (depth = 4)
  partcv[0] = 0;
  Object call4772 = callmethodflags(opresult4771, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4767);
// compiled call node returning call4772 (depth = 3)
  Object if4766 = done;
  if (istrue(call4772)) {
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4773 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4775 == NULL) {
    strlit4775 = alloc_String("), but lower bound is 1");
    gc_root(strlit4775);
  }
// compiled string node returning strlit4775 (depth = 5)
  int op_slot_right_4774 = gc_frame_newslot(strlit4775);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_right_4777 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 6)
  if (strlit4779 == NULL) {
    strlit4779 = alloc_String("requested range.at(");
    gc_root(strlit4779);
  }
// compiled string node returning strlit4779 (depth = 6)
  int op_slot_left_4777 = gc_frame_newslot(strlit4779);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult4780 = callmethod(strlit4779, "++(1)", 1, partcv, params);
// compiled op node returning opresult4780 (depth = 5)
  int op_slot_left_4774 = gc_frame_newslot(opresult4780);
  params[0] = strlit4775;
  partcv[0] = 1;
  Object opresult4781 = callmethod(opresult4780, "++(1)", 1, partcv, params);
// compiled op node returning opresult4781 (depth = 4)
  gc_frame_newslot(opresult4781);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult4781;
  partcv[0] = 1;
  Object call4782 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4773);
// compiled call node returning call4782 (depth = 3)
    gc_frame_newslot(call4782);
    if4766 = call4782;
  } else {
  }
// compiled if node returning if4766 (depth = 2)
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4785 = alloc_Float64(1);
// compiled num node returning num4785 (depth = 5)
  int op_slot_right_4784 = gc_frame_newslot(num4785);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_4784 = gc_frame_newslot(*var_ix);
  params[0] = num4785;
  partcv[0] = 1;
  Object diff4787 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff4787 (depth = 4)
  int op_slot_right_4783 = gc_frame_newslot(diff4787);
// starting to compile member node (depth = 4)
  int callframe4789 = gc_frame_new();
// call case 4: self request
  Object call4790 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4789);
// compiled member node returning call4790 (depth = 4)
  int op_slot_left_4783 = gc_frame_newslot(call4790);
  params[0] = diff4787;
  partcv[0] = 1;
  Object sum4791 = callmethod(call4790, "+(1)", 1, partcv, params);
// compiled op node returning sum4791 (depth = 3)
  return sum4791;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4795(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elem = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_intElem = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "intElem");
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4796 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  Object call4797 = callmethodflags(*var_elem, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe4796);
// compiled member node returning call4797 (depth = 5)
  *var_intElem = call4797;
  if (call4797 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  int op_slot_right_4799 = gc_frame_newslot(*var_elem);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_4799 = gc_frame_newslot(*var_intElem);
  params[0] = *var_elem;
  partcv[0] = 1;
  Object opresult4801 = callmethod(*var_intElem, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4801 (depth = 5)
  Object if4798 = done;
  if (istrue(opresult4801)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4802 = alloc_Boolean(0);
// compiled identifier node returning bool4802 (depth = 6)
  block_return(realself, bool4802);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4798 = undefined;
  } else {
  }
// compiled if node returning if4798 (depth = 4)
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4805 = gc_frame_new();
// call case 4: self request
  Object call4806 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4805);
// compiled member node returning call4806 (depth = 6)
  int op_slot_right_4804 = gc_frame_newslot(call4806);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_4804 = gc_frame_newslot(*var_intElem);
  params[0] = call4806;
  partcv[0] = 1;
  Object opresult4808 = callmethod(*var_intElem, "<(1)", 1, partcv, params);
// compiled op node returning opresult4808 (depth = 5)
  Object if4803 = done;
  if (istrue(opresult4808)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4809 = alloc_Boolean(0);
// compiled identifier node returning bool4809 (depth = 6)
  block_return(realself, bool4809);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4803 = undefined;
  } else {
  }
// compiled if node returning if4803 (depth = 4)
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4812 = gc_frame_new();
// call case 4: self request
  Object call4813 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4812);
// compiled member node returning call4813 (depth = 6)
  int op_slot_right_4811 = gc_frame_newslot(call4813);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_4811 = gc_frame_newslot(*var_intElem);
  params[0] = call4813;
  partcv[0] = 1;
  Object opresult4815 = callmethod(*var_intElem, ">(1)", 1, partcv, params);
// compiled op node returning opresult4815 (depth = 5)
  Object if4810 = done;
  if (istrue(opresult4815)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4816 = alloc_Boolean(0);
// compiled identifier node returning bool4816 (depth = 6)
  block_return(realself, bool4816);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4810 = undefined;
  } else {
  }
// compiled if node returning if4810 (depth = 4)
  gc_frame_end(frame);
  return if4810;
}
Object meth_collectionsPrelude__apply_40_1_41_4819(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4820 = alloc_Boolean(0);
// compiled identifier node returning bool4820 (depth = 5)
  block_return(realself, bool4820);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_contains_40_1_41_4792(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elem = &(stackframe->slots[0]);
  *var_elem = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1934
  setline(1934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block4794 = alloc_Block(NULL, NULL, "collectionsPrelude", 1934);
  gc_frame_newslot(block4794);
// method "_apply"
  block_savedest(block4794);
  Object closure4795 = createclosure(2, "_apply");
  setclosureframe(closure4795, stackframe);
  addtoclosure(closure4795, var_elem);
  addtoclosure(closure4795, selfslot);
  struct UserObject *uo4795 = (struct UserObject*)block4794;
  uo4795->data[0] = (Object)closure4795;
  Method *meth_meth_collectionsPrelude__apply4795 = addmethod2pos(block4794, "_apply", &meth_collectionsPrelude__apply4795, 0);
  int argcv_meth_collectionsPrelude__apply4795[] = {0};
  meth_meth_collectionsPrelude__apply4795->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4795);
  meth_meth_collectionsPrelude__apply4795->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4795->definitionLine = 1990;
// compiled block node returning block4794 (depth = 3)
  int frame4793 = gc_frame_new();
  gc_frame_newslot(block4794);
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4818 = alloc_Block(NULL, NULL, "collectionsPrelude", 1939);
  gc_frame_newslot(block4818);
// method "_apply(_)"
  block_savedest(block4818);
  Object closure4819 = createclosure(1, "_apply(1)");
  setclosureframe(closure4819, stackframe);
  addtoclosure(closure4819, selfslot);
  struct UserObject *uo4819 = (struct UserObject*)block4818;
  uo4819->data[0] = (Object)closure4819;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4819 = addmethod2pos(block4818, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4819, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4819[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4819->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4819);
  meth_meth_collectionsPrelude__apply_40_1_41_4819->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4819->definitionLine = 1990;
// starting to compile call node (depth = 4)
  int callframe4822 = gc_frame_new();
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4823 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4824 == NULL) {
    strlit4824 = alloc_String("ex");
    gc_root(strlit4824);
  }
// compiled string node returning strlit4824 (depth = 6)
  gc_frame_newslot(strlit4824);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4825 = gc_frame_new();
// call case 5: prelude request
  Object call4826 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4825);
// compiled member node returning call4826 (depth = 6)
  params[0] = strlit4824;
  partcv[0] = 1;
  Object call4827 = callmethodflags(call4826, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4823);
// compiled call node returning call4827 (depth = 5)
  gc_frame_newslot(call4827);
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4828 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var__prelude (depth = 6)
  Object call4829 = callmethodflags(*var__prelude, "Exception", 0, partcv, params, 0);
  gc_frame_end(callframe4828);
// compiled member node returning call4829 (depth = 5)
  gc_frame_newslot(call4829);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4830 = gc_frame_new();
// call case 5: prelude request
  Object call4831 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4830);
// compiled member node returning call4831 (depth = 5)
  params[0] = call4827;
  params[1] = call4829;
  partcv[0] = 2;
  Object call4832 = callmethodflags(call4831, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4822);
// compiled call node returning call4832 (depth = 4)
((struct UserObject *)block4818)->data[1] = call4832;
// compiled block node returning block4818 (depth = 3)
  gc_frame_newslot(block4818);
  params[0] = block4818;
  setline(1934);
  Object catchres4793 = tryCatch(block4794, params, 1,NULL);
  gc_frame_end(frame4793);
// compiled trycatch node returning catchres4793 (depth = 2)
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool4833 = alloc_Boolean(1);
// compiled identifier node returning bool4833 (depth = 3)
  return bool4833;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4839(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4841 = gc_frame_new();
// call case 4: self request
  Object call4842 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4841);
// compiled member node returning call4842 (depth = 5)
  int op_slot_right_4840 = gc_frame_newslot(call4842);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_4840 = gc_frame_newslot(*var_val);
  params[0] = call4842;
  partcv[0] = 1;
  Object opresult4844 = callmethod(*var_val, "≤(1)", 1, partcv, params);
// compiled op node returning opresult4844 (depth = 4)
  gc_frame_end(frame);
  return opresult4844;
}
Object meth_collectionsPrelude__apply4847(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4848 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = *var_val;
  partcv[0] = 1;
  Object call4849 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4848);
// compiled call node returning call4849 (depth = 4)
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4851 = alloc_Float64(1);
// compiled num node returning num4851 (depth = 6)
  int op_slot_right_4850 = gc_frame_newslot(num4851);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_4850 = gc_frame_newslot(*var_val);
  params[0] = num4851;
  partcv[0] = 1;
  Object sum4853 = callmethod(*var_val, "+(1)", 1, partcv, params);
// compiled op node returning sum4853 (depth = 5)
  *var_val = sum4853;
  if (sum4853 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_4834(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4835 = gc_frame_new();
// call case 4: self request
  Object call4836 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4835);
// compiled member node returning call4836 (depth = 3)
  *var_val = call4836;
  if (call4836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4837 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4838 = alloc_Block(NULL, NULL, "collectionsPrelude", 1944);
  gc_frame_newslot(block4838);
// method "_apply"
  block_savedest(block4838);
  Object closure4839 = createclosure(2, "_apply");
  setclosureframe(closure4839, stackframe);
  addtoclosure(closure4839, var_val);
  addtoclosure(closure4839, selfslot);
  struct UserObject *uo4839 = (struct UserObject*)block4838;
  uo4839->data[0] = (Object)closure4839;
  Method *meth_meth_collectionsPrelude__apply4839 = addmethod2pos(block4838, "_apply", &meth_collectionsPrelude__apply4839, 0);
  int argcv_meth_collectionsPrelude__apply4839[] = {0};
  meth_meth_collectionsPrelude__apply4839->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4839);
  meth_meth_collectionsPrelude__apply4839->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4839->definitionLine = 1990;
// compiled block node returning block4838 (depth = 3)
  gc_frame_newslot(block4838);
// starting to compile block node (depth = 3)
  Object block4846 = alloc_Block(NULL, NULL, "collectionsPrelude", 1944);
  gc_frame_newslot(block4846);
// method "_apply"
  block_savedest(block4846);
  Object closure4847 = createclosure(3, "_apply");
  setclosureframe(closure4847, stackframe);
  addtoclosure(closure4847, var_val);
  addtoclosure(closure4847, var_block1);
  addtoclosure(closure4847, selfslot);
  struct UserObject *uo4847 = (struct UserObject*)block4846;
  uo4847->data[0] = (Object)closure4847;
  Method *meth_meth_collectionsPrelude__apply4847 = addmethod2pos(block4846, "_apply", &meth_collectionsPrelude__apply4847, 0);
  int argcv_meth_collectionsPrelude__apply4847[] = {0};
  meth_meth_collectionsPrelude__apply4847->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4847);
  meth_meth_collectionsPrelude__apply4847->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4847->definitionLine = 1990;
// compiled block node returning block4846 (depth = 3)
  gc_frame_newslot(block4846);
// call case 5: prelude request
  params[0] = block4838;
  params[1] = block4846;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4856 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4837);
// compiled call node returning call4856 (depth = 2)
  gc_frame_end(frame);
  return call4856;
}
Object meth_collectionsPrelude__apply4863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4865 = gc_frame_new();
// call case 4: self request
  Object call4866 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4865);
// compiled member node returning call4866 (depth = 5)
  int op_slot_right_4864 = gc_frame_newslot(call4866);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_4864 = gc_frame_newslot(*var_val);
  params[0] = call4866;
  partcv[0] = 1;
  Object opresult4868 = callmethod(*var_val, "≤(1)", 1, partcv, params);
// compiled op node returning opresult4868 (depth = 4)
  gc_frame_end(frame);
  return opresult4868;
}
Object meth_collectionsPrelude__apply4871(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_key = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4872 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_key (depth = 5)
  gc_frame_newslot(*var_key);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = *var_key;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call4873 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4872);
// compiled call node returning call4873 (depth = 4)
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4875 = alloc_Float64(1);
// compiled num node returning num4875 (depth = 6)
  int op_slot_right_4874 = gc_frame_newslot(num4875);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_key (depth = 6)
  int op_slot_left_4874 = gc_frame_newslot(*var_key);
  params[0] = num4875;
  partcv[0] = 1;
  Object sum4877 = callmethod(*var_key, "+(1)", 1, partcv, params);
// compiled op node returning sum4877 (depth = 5)
  *var_key = sum4877;
  if (sum4877 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4880 = alloc_Float64(1);
// compiled num node returning num4880 (depth = 6)
  int op_slot_right_4879 = gc_frame_newslot(num4880);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_4879 = gc_frame_newslot(*var_val);
  params[0] = num4880;
  partcv[0] = 1;
  Object sum4882 = callmethod(*var_val, "+(1)", 1, partcv, params);
// compiled op node returning sum4882 (depth = 5)
  *var_val = sum4882;
  if (sum4882 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_key = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "key");
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num4858 = alloc_Float64(1);
// compiled num node returning num4858 (depth = 3)
  *var_key = num4858;
  if (num4858 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4859 = gc_frame_new();
// call case 4: self request
  Object call4860 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4859);
// compiled member node returning call4860 (depth = 3)
  *var_val = call4860;
  if (call4860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4861 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4862 = alloc_Block(NULL, NULL, "collectionsPrelude", 1952);
  gc_frame_newslot(block4862);
// method "_apply"
  block_savedest(block4862);
  Object closure4863 = createclosure(2, "_apply");
  setclosureframe(closure4863, stackframe);
  addtoclosure(closure4863, var_val);
  addtoclosure(closure4863, selfslot);
  struct UserObject *uo4863 = (struct UserObject*)block4862;
  uo4863->data[0] = (Object)closure4863;
  Method *meth_meth_collectionsPrelude__apply4863 = addmethod2pos(block4862, "_apply", &meth_collectionsPrelude__apply4863, 0);
  int argcv_meth_collectionsPrelude__apply4863[] = {0};
  meth_meth_collectionsPrelude__apply4863->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4863);
  meth_meth_collectionsPrelude__apply4863->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4863->definitionLine = 1990;
// compiled block node returning block4862 (depth = 3)
  gc_frame_newslot(block4862);
// starting to compile block node (depth = 3)
  Object block4870 = alloc_Block(NULL, NULL, "collectionsPrelude", 1952);
  gc_frame_newslot(block4870);
// method "_apply"
  block_savedest(block4870);
  Object closure4871 = createclosure(4, "_apply");
  setclosureframe(closure4871, stackframe);
  addtoclosure(closure4871, var_key);
  addtoclosure(closure4871, var_val);
  addtoclosure(closure4871, var_block2);
  addtoclosure(closure4871, selfslot);
  struct UserObject *uo4871 = (struct UserObject*)block4870;
  uo4871->data[0] = (Object)closure4871;
  Method *meth_meth_collectionsPrelude__apply4871 = addmethod2pos(block4870, "_apply", &meth_collectionsPrelude__apply4871, 0);
  int argcv_meth_collectionsPrelude__apply4871[] = {0};
  meth_meth_collectionsPrelude__apply4871->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4871);
  meth_meth_collectionsPrelude__apply4871->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4871->definitionLine = 1990;
// compiled block node returning block4870 (depth = 3)
  gc_frame_newslot(block4870);
// call case 5: prelude request
  params[0] = block4862;
  params[1] = block4870;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4885 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4861);
// compiled call node returning call4885 (depth = 2)
  gc_frame_end(frame);
  return call4885;
}
Object meth_collectionsPrelude_reversed4886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1959
  setline(1959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4887 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  gc_frame_newslot(*var_upper);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  gc_frame_newslot(*var_lower);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4888 = gc_frame_new();
// call case 3: self.outer request
  Object call4889 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4888);
// compiled member node returning call4889 (depth = 3)
  params[0] = *var_upper;
  params[1] = *var_lower;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4890 = callmethodflags(call4889, "from(1)downTo(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4887);
// compiled call node returning call4890 (depth = 2)
  gc_frame_end(frame);
  return call4890;
}
Object meth_collectionsPrelude__43__43__40_1_41_4891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4892 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4893 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4894 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4895 = gc_frame_new();
// call case 3: self.outer request
  Object call4896 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4895);
// compiled member node returning call4896 (depth = 5)
  Object call4897 = callmethodflags(call4896, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4894);
// compiled member node returning call4897 (depth = 4)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call4898 = callmethodflags(call4897, "lazyConcatenation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4893);
// compiled call node returning call4898 (depth = 3)
  gc_frame_newslot(call4898);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4899 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4900 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4901 = gc_frame_new();
// call case 3: self.outer request
  Object call4902 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4901);
// compiled member node returning call4902 (depth = 5)
  Object call4903 = callmethodflags(call4902, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4900);
// compiled member node returning call4903 (depth = 4)
  Object call4904 = callmethodflags(call4903, "sequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4899);
// compiled member node returning call4904 (depth = 3)
  params[0] = call4898;
  partcv[0] = 1;
  Object call4905 = callmethodflags(call4904, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4892);
// compiled call node returning call4905 (depth = 2)
  gc_frame_end(frame);
  return call4905;
}
Object meth_collectionsPrelude__61__61__40_1_41_4906(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1965
  setline(1965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4907 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4908 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4909 = gc_frame_new();
// call case 3: self.outer request
  Object call4910 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4909);
// compiled member node returning call4910 (depth = 4)
  Object call4911 = callmethodflags(call4910, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4908);
// compiled member node returning call4911 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4912 = callmethodflags(call4911, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4907);
// compiled call node returning call4912 (depth = 2)
  gc_frame_end(frame);
  return call4912;
}
Object meth_collectionsPrelude_sorted4913(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_4914(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4915 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4916 = gc_frame_new();
// call case 4: self request
  Object call4917 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4916);
// compiled member node returning call4917 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4918 = callmethodflags(call4917, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4915);
// compiled call node returning call4918 (depth = 2)
  gc_frame_end(frame);
  return call4918;
}
Object meth_collectionsPrelude_keys4919(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4921 = gc_frame_new();
// call case 4: self request
  Object call4922 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4921);
// compiled member node returning call4922 (depth = 3)
  int op_slot_right_4920 = gc_frame_newslot(call4922);
// starting to compile num node (depth = 3)
  Object num4924 = alloc_Float64(1);
// compiled num node returning num4924 (depth = 3)
  int op_slot_left_4920 = gc_frame_newslot(num4924);
  params[0] = call4922;
  partcv[0] = 1;
  Object opresult4925 = callmethod(num4924, "..(1)", 1, partcv, params);
// compiled op node returning opresult4925 (depth = 2)
  gc_frame_end(frame);
  return opresult4925;
}
Object meth_collectionsPrelude_values4926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_asString4927(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4929 == NULL) {
    strlit4929 = alloc_String(")");
    gc_root(strlit4929);
  }
// compiled string node returning strlit4929 (depth = 3)
  int op_slot_right_4928 = gc_frame_newslot(strlit4929);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_4931 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4934 == NULL) {
    strlit4934 = alloc_String(")to(");
    gc_root(strlit4934);
  }
// compiled string node returning strlit4934 (depth = 5)
  int op_slot_right_4933 = gc_frame_newslot(strlit4934);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4936 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 6)
  if (strlit4938 == NULL) {
    strlit4938 = alloc_String("range.from(");
    gc_root(strlit4938);
  }
// compiled string node returning strlit4938 (depth = 6)
  int op_slot_left_4936 = gc_frame_newslot(strlit4938);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4939 = callmethod(strlit4938, "++(1)", 1, partcv, params);
// compiled op node returning opresult4939 (depth = 5)
  int op_slot_left_4933 = gc_frame_newslot(opresult4939);
  params[0] = strlit4934;
  partcv[0] = 1;
  Object opresult4940 = callmethod(opresult4939, "++(1)", 1, partcv, params);
// compiled op node returning opresult4940 (depth = 4)
  int op_slot_left_4931 = gc_frame_newslot(opresult4940);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4941 = callmethod(opresult4940, "++(1)", 1, partcv, params);
// compiled op node returning opresult4941 (depth = 3)
  int op_slot_left_4928 = gc_frame_newslot(opresult4941);
  params[0] = strlit4929;
  partcv[0] = 1;
  Object opresult4942 = callmethod(opresult4941, "++(1)", 1, partcv, params);
// compiled op node returning opresult4942 (depth = 2)
  gc_frame_end(frame);
  return opresult4942;
}
Object meth_collectionsPrelude__apply_40_1_41_4954(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe4955 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call4956 = callmethodflags(*var_result, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4955);
// compiled call node returning call4956 (depth = 4)
  gc_frame_end(frame);
  return call4956;
}
Object meth_collectionsPrelude_asList4943(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asList");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4944 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4945 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4946 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4947 = gc_frame_new();
// call case 3: self.outer request
  Object call4948 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4947);
// compiled member node returning call4948 (depth = 6)
  Object call4949 = callmethodflags(call4948, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4946);
// compiled member node returning call4949 (depth = 5)
  Object call4950 = callmethodflags(call4949, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4945);
// compiled member node returning call4950 (depth = 4)
  Object call4951 = callmethodflags(call4950, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe4944);
// compiled member node returning call4951 (depth = 3)
  *var_result = call4951;
  if (call4951 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4952 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile block node (depth = 3)
  Object block4953 = alloc_Block(NULL, NULL, "collectionsPrelude", 1981);
  gc_frame_newslot(block4953);
// method "_apply(_)"
  block_savedest(block4953);
  Object closure4954 = createclosure(2, "_apply(1)");
  setclosureframe(closure4954, stackframe);
  addtoclosure(closure4954, var_result);
  addtoclosure(closure4954, selfslot);
  struct UserObject *uo4954 = (struct UserObject*)block4953;
  uo4954->data[0] = (Object)closure4954;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_4954 = addmethod2pos(block4953, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_4954, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_4954[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_4954->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_4954);
  meth_meth_collectionsPrelude__apply_40_1_41_4954->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_4954->definitionLine = 1990;
// compiled block node returning block4953 (depth = 3)
  gc_frame_newslot(block4953);
// call case 5: prelude request
  params[0] = self;
  params[1] = block4953;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4958 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4952);
// compiled call node returning call4958 (depth = 2)
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude_asSequence4959(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply4983(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4985 = alloc_Float64(3);
// compiled num node returning num4985 (depth = 4)
  int op_slot_right_4984 = gc_frame_newslot(num4985);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4988 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4989 = gc_frame_new();
// call case 4: self request
  Object call4990 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4989);
// compiled member node returning call4990 (depth = 6)
  Object call4991 = callmethodflags(call4990, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe4988);
// compiled member node returning call4991 (depth = 5)
  int op_slot_right_4987 = gc_frame_newslot(call4991);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4994 = alloc_Float64(1021);
// compiled num node returning num4994 (depth = 6)
  int op_slot_right_4993 = gc_frame_newslot(num4994);
// starting to compile member node (depth = 6)
  int callframe4996 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4997 = gc_frame_new();
// call case 4: self request
  Object call4998 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4997);
// compiled member node returning call4998 (depth = 7)
  Object call4999 = callmethodflags(call4998, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe4996);
// compiled member node returning call4999 (depth = 6)
  int op_slot_left_4993 = gc_frame_newslot(call4999);
  params[0] = num4994;
  partcv[0] = 1;
  Object prod5000 = callmethod(call4999, "*(1)", 1, partcv, params);
// compiled op node returning prod5000 (depth = 5)
  int op_slot_left_4987 = gc_frame_newslot(prod5000);
  params[0] = call4991;
  partcv[0] = 1;
  Object sum5001 = callmethod(prod5000, "+(1)", 1, partcv, params);
// compiled op node returning sum5001 (depth = 4)
  int op_slot_left_4984 = gc_frame_newslot(sum5001);
  params[0] = num4985;
  partcv[0] = 1;
  Object prod5002 = callmethod(sum5001, "*(1)", 1, partcv, params);
// compiled op node returning prod5002 (depth = 3)
  gc_frame_end(frame);
  return prod5002;
}
Object meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "uncheckedFrom(1)to(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method uncheckedFrom(_)to(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method uncheckedFrom(_)to(_)");
  Object params[1];
  int partcv[2];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for uncheckedFrom(_)to(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_lower = &(stackframe->slots[0]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part uncheckedFrom(_)");
  Object *var_upper = &(stackframe->slots[1]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4652 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4652 = alloc_userobj2(20,21, objclass4652);
  gc_frame_newslot(obj4652);
if (objclass4652 == NULL) {
  glfree(obj4652->class->name);
  obj4652->class->name = "range.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4652, self, 0);
  addmethodreal(obj4652,"outer", &reader_collectionsPrelude_outer_4653);
  Object oldself4652 = self;
  struct StackFrameObject *oldstackframe4652 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4652);
  gc_frame_newslot((Object)stackframe);
  self = obj4652;
  Object *oldselfslot4652 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4652 = (*(struct UserObject *)self).data[0], lowerouter4652 = thisouter4652;
  if (inheritingObject4652) {
    struct UserObject *inho4652 = (struct UserObject *)inheritingObject4652;
    while (inho4652->super != GraceDefaultObject) inho4652 = (struct UserObject *)inho4652->super;
    inho4652->super = obj4652;
    self = inheritingObject4652;
    *selfslot = self;
    lowerouter4652 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4652;
  }
if (objclass4652 == NULL) {
  Method *reader4654 = addmethodrealflags(obj4652, "start",&reader_collectionsPrelude_start_4654, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4654->definitionModule = modulename;
  reader4654->definitionLine = 1903;
}
adddatum2(obj4652, alloc_Undefined(), 1);
if (objclass4652 == NULL) {
  Method *reader4655 = addmethodrealflags(obj4652, "stop",&reader_collectionsPrelude_stop_4655, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4655->definitionModule = modulename;
  reader4655->definitionLine = 1904;
}
adddatum2(obj4652, alloc_Undefined(), 2);
if (objclass4652 == NULL) {
  Method *reader4656 = addmethodrealflags(obj4652, "size",&reader_collectionsPrelude_size_4656, MFLAG_DEF);
  reader4656->definitionModule = modulename;
  reader4656->definitionLine = 1905;
}
adddatum2(obj4652, alloc_Undefined(), 3);
if (objclass4652 == NULL) {
  Method *reader4657 = addmethodrealflags(obj4652, "hash",&reader_collectionsPrelude_hash_4657, MFLAG_DEF);
  reader4657->definitionModule = modulename;
  reader4657->definitionLine = 1908;
}
adddatum2(obj4652, alloc_Undefined(), 4);
// method "iterator"
  block_savedest(obj4652);
  Object closure4658 = createclosure(1, "iterator");
  setclosureframe(closure4658, stackframe);
  addtoclosure(closure4658, var_IteratorExhausted);
  struct UserObject *uo4658 = (struct UserObject*)obj4652;
  uo4658->data[5] = (Object)closure4658;
  Method *meth_meth_collectionsPrelude_iterator4658 = addmethod2pos(obj4652, "iterator", &meth_collectionsPrelude_iterator4658, 5);
  int argcv_meth_collectionsPrelude_iterator4658[] = {0};
  meth_meth_collectionsPrelude_iterator4658->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4658);
  meth_meth_collectionsPrelude_iterator4658->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4658->definitionLine = 1910;
  block_savedest(obj4652);
  Object closure4737 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure4737, stackframe);
  addtoclosure(closure4737, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator4658_object = addmethod2pos(obj4652, "iterator$object(1)", &meth_collectionsPrelude_iterator4658_object, 5);
  meth_meth_collectionsPrelude_iterator4658_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4658_object->definitionLine = 1910;
// method "at(_)"
  block_savedest(obj4652);
  Object closure4738 = createclosure(1, "at(1)");
  setclosureframe(closure4738, stackframe);
  addtoclosure(closure4738, var_BoundsError);
  struct UserObject *uo4738 = (struct UserObject*)obj4652;
  uo4738->data[6] = (Object)closure4738;
  Method *meth_meth_collectionsPrelude_at_40_1_41_4738 = addmethod2pos(obj4652, "at(1)", &meth_collectionsPrelude_at_40_1_41_4738, 6);
  int argcv_meth_collectionsPrelude_at_40_1_41_4738[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_4738->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_4738);
meth_meth_collectionsPrelude_at_40_1_41_4738->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at_40_1_41_4738->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at_40_1_41_4738->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_4738->definitionLine = 1924;
// method "contains(_)"
  block_savedest(obj4652);
  Object closure4792 = createclosure(1, "contains(1)");
  setclosureframe(closure4792, stackframe);
  addtoclosure(closure4792, var__prelude);
  struct UserObject *uo4792 = (struct UserObject*)obj4652;
  uo4792->data[7] = (Object)closure4792;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_4792 = addmethod2pos(obj4652, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_4792, 7);
  int argcv_meth_collectionsPrelude_contains_40_1_41_4792[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_4792->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_4792);
  meth_meth_collectionsPrelude_contains_40_1_41_4792->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_4792->definitionLine = 1933;
// method "do(_)"
  struct UserObject *uo4834 = (struct UserObject*)obj4652;
  uo4834->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_4834 = addmethod2pos(obj4652, "do(1)", &meth_collectionsPrelude_do_40_1_41_4834, 8);
  int argcv_meth_collectionsPrelude_do_40_1_41_4834[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_4834->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_4834);
  meth_meth_collectionsPrelude_do_40_1_41_4834->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_4834->definitionLine = 1942;
// method "keysAndValuesDo(_)"
  struct UserObject *uo4857 = (struct UserObject*)obj4652;
  uo4857->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857 = addmethod2pos(obj4652, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857, 9);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->definitionLine = 1949;
// method "reversed"
  block_savedest(obj4652);
  Object closure4886 = createclosure(2, "reversed");
  setclosureframe(closure4886, stackframe);
  addtoclosure(closure4886, var_upper);
  addtoclosure(closure4886, var_lower);
  struct UserObject *uo4886 = (struct UserObject*)obj4652;
  uo4886->data[10] = (Object)closure4886;
  Method *meth_meth_collectionsPrelude_reversed4886 = addmethod2pos(obj4652, "reversed", &meth_collectionsPrelude_reversed4886, 10);
  int argcv_meth_collectionsPrelude_reversed4886[] = {0};
  meth_meth_collectionsPrelude_reversed4886->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed4886);
  meth_meth_collectionsPrelude_reversed4886->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed4886->definitionLine = 1958;
// method "++(_)"
  struct UserObject *uo4891 = (struct UserObject*)obj4652;
  uo4891->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_4891 = addmethod2pos(obj4652, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_4891, 11);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_4891[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_4891);
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->definitionLine = 1961;
// method "==(_)"
  struct UserObject *uo4906 = (struct UserObject*)obj4652;
  uo4906->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_4906 = addmethod2pos(obj4652, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_4906, 12);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_4906[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_4906);
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->definitionLine = 1964;
// method "sorted"
  struct UserObject *uo4913 = (struct UserObject*)obj4652;
  uo4913->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted4913 = addmethod2pos(obj4652, "sorted", &meth_collectionsPrelude_sorted4913, 13);
  int argcv_meth_collectionsPrelude_sorted4913[] = {0};
  meth_meth_collectionsPrelude_sorted4913->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted4913);
  meth_meth_collectionsPrelude_sorted4913->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted4913->definitionLine = 1967;
// method "sortedBy(_)"
  struct UserObject *uo4914 = (struct UserObject*)obj4652;
  uo4914->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_4914 = addmethod2pos(obj4652, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_4914, 14);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_4914[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_4914);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->definitionLine = 1969;
// method "keys"
  struct UserObject *uo4919 = (struct UserObject*)obj4652;
  uo4919->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys4919 = addmethod2pos(obj4652, "keys", &meth_collectionsPrelude_keys4919, 15);
  int argcv_meth_collectionsPrelude_keys4919[] = {0};
  meth_meth_collectionsPrelude_keys4919->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys4919);
  meth_meth_collectionsPrelude_keys4919->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys4919->definitionLine = 1971;
// method "values"
  struct UserObject *uo4926 = (struct UserObject*)obj4652;
  uo4926->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values4926 = addmethod2pos(obj4652, "values", &meth_collectionsPrelude_values4926, 16);
  int argcv_meth_collectionsPrelude_values4926[] = {0};
  meth_meth_collectionsPrelude_values4926->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values4926);
  meth_meth_collectionsPrelude_values4926->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4926->definitionLine = 1973;
// method "asString"
  block_savedest(obj4652);
  Object closure4927 = createclosure(2, "asString");
  setclosureframe(closure4927, stackframe);
  addtoclosure(closure4927, var_upper);
  addtoclosure(closure4927, var_lower);
  struct UserObject *uo4927 = (struct UserObject*)obj4652;
  uo4927->data[17] = (Object)closure4927;
  Method *meth_meth_collectionsPrelude_asString4927 = addmethod2pos(obj4652, "asString", &meth_collectionsPrelude_asString4927, 17);
  int argcv_meth_collectionsPrelude_asString4927[] = {0};
  meth_meth_collectionsPrelude_asString4927->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4927);
  meth_meth_collectionsPrelude_asString4927->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4927->definitionLine = 1975;
// method "asList"
  struct UserObject *uo4943 = (struct UserObject*)obj4652;
  uo4943->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4943 = addmethod2pos(obj4652, "asList", &meth_collectionsPrelude_asList4943, 18);
  int argcv_meth_collectionsPrelude_asList4943[] = {0};
  meth_meth_collectionsPrelude_asList4943->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4943);
  meth_meth_collectionsPrelude_asList4943->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4943->definitionLine = 1979;
// method "asSequence"
  struct UserObject *uo4959 = (struct UserObject*)obj4652;
  uo4959->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4959 = addmethod2pos(obj4652, "asSequence", &meth_collectionsPrelude_asSequence4959, 19);
  int argcv_meth_collectionsPrelude_asSequence4959[] = {0};
  meth_meth_collectionsPrelude_asSequence4959->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4959);
  meth_meth_collectionsPrelude_asSequence4959->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4959->definitionLine = 1985;
  sourceObject = obj4652;
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4960 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4961 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4960);
// compiled call node returning call4961 (depth = 2)
  struct UserObject *obj4652_uo = (struct UserObject *)obj4652;
  obj4652_uo->super = call4961;
  sourceObject = obj4652;
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_lower (depth = 2)
  adddatum2(obj4652, *var_lower, 1);
  sourceObject = obj4652;
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_upper (depth = 2)
  adddatum2(obj4652, *var_upper, 2);
  sourceObject = obj4652;
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4964 = alloc_Float64(0);
// compiled num node returning num4964 (depth = 4)
  int op_slot_right_4963 = gc_frame_newslot(num4964);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4967 = alloc_Float64(1);
// compiled num node returning num4967 (depth = 5)
  int op_slot_right_4966 = gc_frame_newslot(num4967);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4969 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_4969 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4971 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff4971 (depth = 5)
  int op_slot_left_4966 = gc_frame_newslot(diff4971);
  params[0] = num4967;
  partcv[0] = 1;
  Object sum4972 = callmethod(diff4971, "+(1)", 1, partcv, params);
// compiled op node returning sum4972 (depth = 4)
  int op_slot_left_4963 = gc_frame_newslot(sum4972);
  params[0] = num4964;
  partcv[0] = 1;
  Object opresult4973 = callmethod(sum4972, "<(1)", 1, partcv, params);
// compiled op node returning opresult4973 (depth = 3)
  Object if4962 = done;
struct StackFrameObject *iftmpstackframe4962 = stackframe;
  if (istrue(opresult4973)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4962);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num4974 = alloc_Float64(0);
// compiled num node returning num4974 (depth = 3)
    gc_frame_newslot(num4974);
    if4962 = num4974;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4962);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4976 = alloc_Float64(1);
// compiled num node returning num4976 (depth = 4)
  int op_slot_right_4975 = gc_frame_newslot(num4976);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_4978 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_4978 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4980 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff4980 (depth = 4)
  int op_slot_left_4975 = gc_frame_newslot(diff4980);
  params[0] = num4976;
  partcv[0] = 1;
  Object sum4981 = callmethod(diff4980, "+(1)", 1, partcv, params);
// compiled op node returning sum4981 (depth = 3)
    gc_frame_newslot(sum4981);
    if4962 = sum4981;
  }
stackframe = iftmpstackframe4962;
// compiled if node returning if4962 (depth = 2)
  adddatum2(obj4652, if4962, 3);
  sourceObject = obj4652;
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 2)
  Object block4982 = alloc_Block(NULL, NULL, "collectionsPrelude", 1908);
  gc_frame_newslot(block4982);
// method "_apply"
  block_savedest(block4982);
  Object closure4983 = createclosure(1, "_apply");
  setclosureframe(closure4983, stackframe);
  addtoclosure(closure4983, selfslot);
  struct UserObject *uo4983 = (struct UserObject*)block4982;
  uo4983->data[0] = (Object)closure4983;
  Method *meth_meth_collectionsPrelude__apply4983 = addmethod2pos(block4982, "_apply", &meth_collectionsPrelude__apply4983, 0);
  int argcv_meth_collectionsPrelude__apply4983[] = {0};
  meth_meth_collectionsPrelude__apply4983->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4983);
  meth_meth_collectionsPrelude__apply4983->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4983->definitionLine = 1990;
// compiled block node returning block4982 (depth = 2)
  adddatum2(obj4652, block4982, 4);
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  objclass4652 = obj4652->class;
  objclass4652->definitionModule = modulename;
  objclass4652->definitionLine = 1901;
  (*(struct UserObject *)self).data[0] = lowerouter4652;
  self = oldself4652;
  selfslot = oldselfslot4652;
  stackframe = oldstackframe4652;
  gc_frame_end(frame);
  return obj4652;
}
Object meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "uncheckedFrom(1)to(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method uncheckedFrom(_)to(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method uncheckedFrom(_)to(_)");
  Object params[1];
  int partcv[2];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for uncheckedFrom(_)to(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_lower = &(stackframe->slots[0]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part uncheckedFrom(_)");
  Object *var_upper = &(stackframe->slots[1]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4652 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4652 = alloc_userobj2(20,21, objclass4652);
  gc_frame_newslot(obj4652);
if (objclass4652 == NULL) {
  glfree(obj4652->class->name);
  obj4652->class->name = "range.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4652, self, 0);
  addmethodreal(obj4652,"outer", &reader_collectionsPrelude_outer_4653);
  Object oldself4652 = self;
  struct StackFrameObject *oldstackframe4652 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4652);
  gc_frame_newslot((Object)stackframe);
  self = obj4652;
  Object *oldselfslot4652 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4652 = (*(struct UserObject *)self).data[0], lowerouter4652 = thisouter4652;
  if (inheritingObject4652) {
    struct UserObject *inho4652 = (struct UserObject *)inheritingObject4652;
    while (inho4652->super != GraceDefaultObject) inho4652 = (struct UserObject *)inho4652->super;
    inho4652->super = obj4652;
    self = inheritingObject4652;
    *selfslot = self;
    lowerouter4652 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4652;
  }
if (objclass4652 == NULL) {
  Method *reader4654 = addmethodrealflags(obj4652, "start",&reader_collectionsPrelude_start_4654, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4654->definitionModule = modulename;
  reader4654->definitionLine = 1903;
}
adddatum2(obj4652, alloc_Undefined(), 1);
if (objclass4652 == NULL) {
  Method *reader4655 = addmethodrealflags(obj4652, "stop",&reader_collectionsPrelude_stop_4655, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader4655->definitionModule = modulename;
  reader4655->definitionLine = 1904;
}
adddatum2(obj4652, alloc_Undefined(), 2);
if (objclass4652 == NULL) {
  Method *reader4656 = addmethodrealflags(obj4652, "size",&reader_collectionsPrelude_size_4656, MFLAG_DEF);
  reader4656->definitionModule = modulename;
  reader4656->definitionLine = 1905;
}
adddatum2(obj4652, alloc_Undefined(), 3);
if (objclass4652 == NULL) {
  Method *reader4657 = addmethodrealflags(obj4652, "hash",&reader_collectionsPrelude_hash_4657, MFLAG_DEF);
  reader4657->definitionModule = modulename;
  reader4657->definitionLine = 1908;
}
adddatum2(obj4652, alloc_Undefined(), 4);
// method "iterator"
  block_savedest(obj4652);
  Object closure4658 = createclosure(1, "iterator");
  setclosureframe(closure4658, stackframe);
  addtoclosure(closure4658, var_IteratorExhausted);
  struct UserObject *uo4658 = (struct UserObject*)obj4652;
  uo4658->data[5] = (Object)closure4658;
  Method *meth_meth_collectionsPrelude_iterator4658 = addmethod2pos(obj4652, "iterator", &meth_collectionsPrelude_iterator4658, 5);
  int argcv_meth_collectionsPrelude_iterator4658[] = {0};
  meth_meth_collectionsPrelude_iterator4658->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4658);
  meth_meth_collectionsPrelude_iterator4658->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4658->definitionLine = 1910;
  block_savedest(obj4652);
  Object closure4737 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure4737, stackframe);
  addtoclosure(closure4737, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator4658_object = addmethod2pos(obj4652, "iterator$object(1)", &meth_collectionsPrelude_iterator4658_object, 5);
  meth_meth_collectionsPrelude_iterator4658_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4658_object->definitionLine = 1910;
// method "at(_)"
  block_savedest(obj4652);
  Object closure4738 = createclosure(1, "at(1)");
  setclosureframe(closure4738, stackframe);
  addtoclosure(closure4738, var_BoundsError);
  struct UserObject *uo4738 = (struct UserObject*)obj4652;
  uo4738->data[6] = (Object)closure4738;
  Method *meth_meth_collectionsPrelude_at_40_1_41_4738 = addmethod2pos(obj4652, "at(1)", &meth_collectionsPrelude_at_40_1_41_4738, 6);
  int argcv_meth_collectionsPrelude_at_40_1_41_4738[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_4738->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_4738);
meth_meth_collectionsPrelude_at_40_1_41_4738->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at_40_1_41_4738->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at_40_1_41_4738->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_4738->definitionLine = 1924;
// method "contains(_)"
  block_savedest(obj4652);
  Object closure4792 = createclosure(1, "contains(1)");
  setclosureframe(closure4792, stackframe);
  addtoclosure(closure4792, var__prelude);
  struct UserObject *uo4792 = (struct UserObject*)obj4652;
  uo4792->data[7] = (Object)closure4792;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_4792 = addmethod2pos(obj4652, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_4792, 7);
  int argcv_meth_collectionsPrelude_contains_40_1_41_4792[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_4792->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_4792);
  meth_meth_collectionsPrelude_contains_40_1_41_4792->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_4792->definitionLine = 1933;
// method "do(_)"
  struct UserObject *uo4834 = (struct UserObject*)obj4652;
  uo4834->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_4834 = addmethod2pos(obj4652, "do(1)", &meth_collectionsPrelude_do_40_1_41_4834, 8);
  int argcv_meth_collectionsPrelude_do_40_1_41_4834[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_4834->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_4834);
  meth_meth_collectionsPrelude_do_40_1_41_4834->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_4834->definitionLine = 1942;
// method "keysAndValuesDo(_)"
  struct UserObject *uo4857 = (struct UserObject*)obj4652;
  uo4857->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857 = addmethod2pos(obj4652, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857, 9);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_4857->definitionLine = 1949;
// method "reversed"
  block_savedest(obj4652);
  Object closure4886 = createclosure(2, "reversed");
  setclosureframe(closure4886, stackframe);
  addtoclosure(closure4886, var_upper);
  addtoclosure(closure4886, var_lower);
  struct UserObject *uo4886 = (struct UserObject*)obj4652;
  uo4886->data[10] = (Object)closure4886;
  Method *meth_meth_collectionsPrelude_reversed4886 = addmethod2pos(obj4652, "reversed", &meth_collectionsPrelude_reversed4886, 10);
  int argcv_meth_collectionsPrelude_reversed4886[] = {0};
  meth_meth_collectionsPrelude_reversed4886->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed4886);
  meth_meth_collectionsPrelude_reversed4886->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed4886->definitionLine = 1958;
// method "++(_)"
  struct UserObject *uo4891 = (struct UserObject*)obj4652;
  uo4891->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_4891 = addmethod2pos(obj4652, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_4891, 11);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_4891[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_4891);
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_4891->definitionLine = 1961;
// method "==(_)"
  struct UserObject *uo4906 = (struct UserObject*)obj4652;
  uo4906->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_4906 = addmethod2pos(obj4652, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_4906, 12);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_4906[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_4906);
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_4906->definitionLine = 1964;
// method "sorted"
  struct UserObject *uo4913 = (struct UserObject*)obj4652;
  uo4913->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted4913 = addmethod2pos(obj4652, "sorted", &meth_collectionsPrelude_sorted4913, 13);
  int argcv_meth_collectionsPrelude_sorted4913[] = {0};
  meth_meth_collectionsPrelude_sorted4913->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted4913);
  meth_meth_collectionsPrelude_sorted4913->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted4913->definitionLine = 1967;
// method "sortedBy(_)"
  struct UserObject *uo4914 = (struct UserObject*)obj4652;
  uo4914->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_4914 = addmethod2pos(obj4652, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_4914, 14);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_4914[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_4914);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_4914->definitionLine = 1969;
// method "keys"
  struct UserObject *uo4919 = (struct UserObject*)obj4652;
  uo4919->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys4919 = addmethod2pos(obj4652, "keys", &meth_collectionsPrelude_keys4919, 15);
  int argcv_meth_collectionsPrelude_keys4919[] = {0};
  meth_meth_collectionsPrelude_keys4919->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys4919);
  meth_meth_collectionsPrelude_keys4919->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys4919->definitionLine = 1971;
// method "values"
  struct UserObject *uo4926 = (struct UserObject*)obj4652;
  uo4926->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values4926 = addmethod2pos(obj4652, "values", &meth_collectionsPrelude_values4926, 16);
  int argcv_meth_collectionsPrelude_values4926[] = {0};
  meth_meth_collectionsPrelude_values4926->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values4926);
  meth_meth_collectionsPrelude_values4926->definitionModule = modulename;
  meth_meth_collectionsPrelude_values4926->definitionLine = 1973;
// method "asString"
  block_savedest(obj4652);
  Object closure4927 = createclosure(2, "asString");
  setclosureframe(closure4927, stackframe);
  addtoclosure(closure4927, var_upper);
  addtoclosure(closure4927, var_lower);
  struct UserObject *uo4927 = (struct UserObject*)obj4652;
  uo4927->data[17] = (Object)closure4927;
  Method *meth_meth_collectionsPrelude_asString4927 = addmethod2pos(obj4652, "asString", &meth_collectionsPrelude_asString4927, 17);
  int argcv_meth_collectionsPrelude_asString4927[] = {0};
  meth_meth_collectionsPrelude_asString4927->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4927);
  meth_meth_collectionsPrelude_asString4927->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4927->definitionLine = 1975;
// method "asList"
  struct UserObject *uo4943 = (struct UserObject*)obj4652;
  uo4943->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4943 = addmethod2pos(obj4652, "asList", &meth_collectionsPrelude_asList4943, 18);
  int argcv_meth_collectionsPrelude_asList4943[] = {0};
  meth_meth_collectionsPrelude_asList4943->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4943);
  meth_meth_collectionsPrelude_asList4943->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4943->definitionLine = 1979;
// method "asSequence"
  struct UserObject *uo4959 = (struct UserObject*)obj4652;
  uo4959->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4959 = addmethod2pos(obj4652, "asSequence", &meth_collectionsPrelude_asSequence4959, 19);
  int argcv_meth_collectionsPrelude_asSequence4959[] = {0};
  meth_meth_collectionsPrelude_asSequence4959->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4959);
  meth_meth_collectionsPrelude_asSequence4959->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4959->definitionLine = 1985;
  sourceObject = obj4652;
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4960 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4961 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4960);
// compiled call node returning call4961 (depth = 2)
  struct UserObject *obj4652_uo = (struct UserObject *)obj4652;
  obj4652_uo->super = call4961;
  sourceObject = obj4652;
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_lower (depth = 2)
  adddatum2(obj4652, *var_lower, 1);
  sourceObject = obj4652;
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_upper (depth = 2)
  adddatum2(obj4652, *var_upper, 2);
  sourceObject = obj4652;
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4964 = alloc_Float64(0);
// compiled num node returning num4964 (depth = 4)
  int op_slot_right_4963 = gc_frame_newslot(num4964);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4967 = alloc_Float64(1);
// compiled num node returning num4967 (depth = 5)
  int op_slot_right_4966 = gc_frame_newslot(num4967);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4969 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_4969 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4971 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff4971 (depth = 5)
  int op_slot_left_4966 = gc_frame_newslot(diff4971);
  params[0] = num4967;
  partcv[0] = 1;
  Object sum4972 = callmethod(diff4971, "+(1)", 1, partcv, params);
// compiled op node returning sum4972 (depth = 4)
  int op_slot_left_4963 = gc_frame_newslot(sum4972);
  params[0] = num4964;
  partcv[0] = 1;
  Object opresult4973 = callmethod(sum4972, "<(1)", 1, partcv, params);
// compiled op node returning opresult4973 (depth = 3)
  Object if4962 = done;
struct StackFrameObject *iftmpstackframe4962 = stackframe;
  if (istrue(opresult4973)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4962);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num4974 = alloc_Float64(0);
// compiled num node returning num4974 (depth = 3)
    gc_frame_newslot(num4974);
    if4962 = num4974;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4962);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4976 = alloc_Float64(1);
// compiled num node returning num4976 (depth = 4)
  int op_slot_right_4975 = gc_frame_newslot(num4976);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_4978 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_4978 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4980 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff4980 (depth = 4)
  int op_slot_left_4975 = gc_frame_newslot(diff4980);
  params[0] = num4976;
  partcv[0] = 1;
  Object sum4981 = callmethod(diff4980, "+(1)", 1, partcv, params);
// compiled op node returning sum4981 (depth = 3)
    gc_frame_newslot(sum4981);
    if4962 = sum4981;
  }
stackframe = iftmpstackframe4962;
// compiled if node returning if4962 (depth = 2)
  adddatum2(obj4652, if4962, 3);
  sourceObject = obj4652;
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 2)
  Object block4982 = alloc_Block(NULL, NULL, "collectionsPrelude", 1908);
  gc_frame_newslot(block4982);
// method "_apply"
  block_savedest(block4982);
  Object closure4983 = createclosure(1, "_apply");
  setclosureframe(closure4983, stackframe);
  addtoclosure(closure4983, selfslot);
  struct UserObject *uo4983 = (struct UserObject*)block4982;
  uo4983->data[0] = (Object)closure4983;
  Method *meth_meth_collectionsPrelude__apply4983 = addmethod2pos(block4982, "_apply", &meth_collectionsPrelude__apply4983, 0);
  int argcv_meth_collectionsPrelude__apply4983[] = {0};
  meth_meth_collectionsPrelude__apply4983->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4983);
  meth_meth_collectionsPrelude__apply4983->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4983->definitionLine = 1990;
// compiled block node returning block4982 (depth = 2)
  adddatum2(obj4652, block4982, 4);
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  sourceObject = obj4652;
  objclass4652 = obj4652->class;
  objclass4652->definitionModule = modulename;
  objclass4652->definitionLine = 1901;
  (*(struct UserObject *)self).data[0] = lowerouter4652;
  self = oldself4652;
  selfslot = oldselfslot4652;
  stackframe = oldstackframe4652;
  gc_frame_end(frame);
  return obj4652;
}
Object meth_collectionsPrelude_hasNext5015(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5017 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5018 = gc_frame_new();
// call case 3: self.outer request
  Object call5019 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5018);
// compiled member node returning call5019 (depth = 4)
  Object call5020 = callmethodflags(call5019, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5017);
// compiled member node returning call5020 (depth = 3)
  int op_slot_right_5016 = gc_frame_newslot(call5020);
// starting to compile member node (depth = 3)
  int callframe5022 = gc_frame_new();
// call case 4: self request
  Object call5023 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5022);
// compiled member node returning call5023 (depth = 3)
  int op_slot_left_5016 = gc_frame_newslot(call5023);
  params[0] = call5020;
  partcv[0] = 1;
  Object opresult5024 = callmethod(call5023, "≥(1)", 1, partcv, params);
// compiled op node returning opresult5024 (depth = 2)
  gc_frame_end(frame);
  return opresult5024;
}
Object meth_collectionsPrelude_next5025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5028 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5029 = gc_frame_new();
// call case 3: self.outer request
  Object call5030 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5029);
// compiled member node returning call5030 (depth = 5)
  Object call5031 = callmethodflags(call5030, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5028);
// compiled member node returning call5031 (depth = 4)
  int op_slot_right_5027 = gc_frame_newslot(call5031);
// starting to compile member node (depth = 4)
  int callframe5033 = gc_frame_new();
// call case 4: self request
  Object call5034 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5033);
// compiled member node returning call5034 (depth = 4)
  int op_slot_left_5027 = gc_frame_newslot(call5034);
  params[0] = call5031;
  partcv[0] = 1;
  Object opresult5035 = callmethod(call5034, "<(1)", 1, partcv, params);
// compiled op node returning opresult5035 (depth = 3)
  Object if5026 = done;
  if (istrue(opresult5035)) {
// starting to compile call node (depth = 3)
  int callframe5036 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5038 == NULL) {
    strlit5038 = alloc_String("");
    gc_root(strlit5038);
  }
// compiled string node returning strlit5038 (depth = 5)
  int op_slot_right_5037 = gc_frame_newslot(strlit5038);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5042 = gc_frame_new();
// call case 3: self.outer request
  Object call5043 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5042);
// compiled member node returning call5043 (depth = 7)
  Object call5044 = callmethodflags(call5043, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5041);
// compiled member node returning call5044 (depth = 6)
  int op_slot_right_5040 = gc_frame_newslot(call5044);
// starting to compile string node (depth = 6)
  if (strlit5046 == NULL) {
    strlit5046 = alloc_String("over ");
    gc_root(strlit5046);
  }
// compiled string node returning strlit5046 (depth = 6)
  int op_slot_left_5040 = gc_frame_newslot(strlit5046);
  params[0] = call5044;
  partcv[0] = 1;
  Object opresult5047 = callmethod(strlit5046, "++(1)", 1, partcv, params);
// compiled op node returning opresult5047 (depth = 5)
  int op_slot_left_5037 = gc_frame_newslot(opresult5047);
  params[0] = strlit5038;
  partcv[0] = 1;
  Object opresult5048 = callmethod(opresult5047, "++(1)", 1, partcv, params);
// compiled op node returning opresult5048 (depth = 4)
  gc_frame_newslot(opresult5048);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = opresult5048;
  partcv[0] = 1;
  Object call5049 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5036);
// compiled call node returning call5049 (depth = 3)
    gc_frame_newslot(call5049);
    if5026 = call5049;
  } else {
  }
// compiled if node returning if5026 (depth = 2)
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5050 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5052 = alloc_Float64(1);
// compiled num node returning num5052 (depth = 4)
  int op_slot_right_5051 = gc_frame_newslot(num5052);
// starting to compile member node (depth = 4)
  int callframe5054 = gc_frame_new();
// call case 4: self request
  Object call5055 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5054);
// compiled member node returning call5055 (depth = 4)
  int op_slot_left_5051 = gc_frame_newslot(call5055);
  params[0] = num5052;
  partcv[0] = 1;
  Object diff5056 = callmethod(call5055, "-(1)", 1, partcv, params);
// compiled op node returning diff5056 (depth = 3)
  gc_frame_newslot(diff5056);
// call case 4: self request
  params[0] = diff5056;
  partcv[0] = 1;
  Object call5057 = callmethodflags(self, "val:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5050);
// compiled call node returning call5057 (depth = 2)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5059 = alloc_Float64(1);
// compiled num node returning num5059 (depth = 4)
  int op_slot_right_5058 = gc_frame_newslot(num5059);
// starting to compile member node (depth = 4)
  int callframe5061 = gc_frame_new();
// call case 4: self request
  Object call5062 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5061);
// compiled member node returning call5062 (depth = 4)
  int op_slot_left_5058 = gc_frame_newslot(call5062);
  params[0] = num5059;
  partcv[0] = 1;
  Object sum5063 = callmethod(call5062, "+(1)", 1, partcv, params);
// compiled op node returning sum5063 (depth = 3)
  return sum5063;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asString5064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit5066 == NULL) {
    strlit5066 = alloc_String("");
    gc_root(strlit5066);
  }
// compiled string node returning strlit5066 (depth = 3)
  int op_slot_right_5065 = gc_frame_newslot(strlit5066);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5069 = gc_frame_new();
// call case 4: self request
  Object call5070 = callmethodflags(self, "val", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5069);
// compiled member node returning call5070 (depth = 4)
  int op_slot_right_5068 = gc_frame_newslot(call5070);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5073 == NULL) {
    strlit5073 = alloc_String(" at ");
    gc_root(strlit5073);
  }
// compiled string node returning strlit5073 (depth = 5)
  int op_slot_right_5072 = gc_frame_newslot(strlit5073);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5076 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5077 = gc_frame_new();
// call case 3: self.outer request
  Object call5078 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5077);
// compiled member node returning call5078 (depth = 7)
  Object call5079 = callmethodflags(call5078, "asString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5076);
// compiled member node returning call5079 (depth = 6)
  int op_slot_right_5075 = gc_frame_newslot(call5079);
// starting to compile string node (depth = 6)
  if (strlit5081 == NULL) {
    strlit5081 = alloc_String("anIterator over ");
    gc_root(strlit5081);
  }
// compiled string node returning strlit5081 (depth = 6)
  int op_slot_left_5075 = gc_frame_newslot(strlit5081);
  params[0] = call5079;
  partcv[0] = 1;
  Object opresult5082 = callmethod(strlit5081, "++(1)", 1, partcv, params);
// compiled op node returning opresult5082 (depth = 5)
  int op_slot_left_5072 = gc_frame_newslot(opresult5082);
  params[0] = strlit5073;
  partcv[0] = 1;
  Object opresult5083 = callmethod(opresult5082, "++(1)", 1, partcv, params);
// compiled op node returning opresult5083 (depth = 4)
  int op_slot_left_5068 = gc_frame_newslot(opresult5083);
  params[0] = call5070;
  partcv[0] = 1;
  Object opresult5084 = callmethod(opresult5083, "++(1)", 1, partcv, params);
// compiled op node returning opresult5084 (depth = 3)
  int op_slot_left_5065 = gc_frame_newslot(opresult5084);
  params[0] = strlit5066;
  partcv[0] = 1;
  Object opresult5085 = callmethod(opresult5084, "++(1)", 1, partcv, params);
// compiled op node returning opresult5085 (depth = 2)
  gc_frame_end(frame);
  return opresult5085;
}
Object meth_collectionsPrelude_iterator5011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5012 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5012 = alloc_userobj2(5,5, objclass5012);
  gc_frame_newslot(obj5012);
if (objclass5012 == NULL) {
  glfree(obj5012->class->name);
  obj5012->class->name = "range.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5012, self, 0);
  addmethodreal(obj5012,"outer", &reader_collectionsPrelude_outer_5013);
  Object oldself5012 = self;
  struct StackFrameObject *oldstackframe5012 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5012);
  gc_frame_newslot((Object)stackframe);
  self = obj5012;
  Object *oldselfslot5012 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5012 = (*(struct UserObject *)self).data[0], lowerouter5012 = thisouter5012;
  if (inheritingObject5012) {
    struct UserObject *inho5012 = (struct UserObject *)inheritingObject5012;
    while (inho5012->super != GraceDefaultObject) inho5012 = (struct UserObject *)inho5012->super;
    inho5012->super = obj5012;
    self = inheritingObject5012;
    *selfslot = self;
    lowerouter5012 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5012;
  }
if (objclass5012 == NULL) {
  Method *reader5014 = addmethodrealflags(obj5012, "val", &reader_collectionsPrelude_val_5014, MFLAG_CONFIDENTIAL);
  Method *writer5014 = addmethodrealflags(obj5012, "val:=(1)", &writer_collectionsPrelude_val_5014, MFLAG_CONFIDENTIAL);
  reader5014->definitionModule = modulename;
  writer5014->definitionModule = modulename;
  reader5014->definitionLine = 2015;
  writer5014->definitionLine = 2015;
}
obj5012->flags |= OFLAG_MUTABLE;
adddatum2(obj5012, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo5015 = (struct UserObject*)obj5012;
  uo5015->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext5015 = addmethod2pos(obj5012, "hasNext", &meth_collectionsPrelude_hasNext5015, 2);
  int argcv_meth_collectionsPrelude_hasNext5015[] = {0};
  meth_meth_collectionsPrelude_hasNext5015->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext5015);
  meth_meth_collectionsPrelude_hasNext5015->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext5015->definitionLine = 2016;
// method "next"
  block_savedest(obj5012);
  Object closure5025 = createclosure(1, "next");
  setclosureframe(closure5025, stackframe);
  addtoclosure(closure5025, var_IteratorExhausted);
  struct UserObject *uo5025 = (struct UserObject*)obj5012;
  uo5025->data[3] = (Object)closure5025;
  Method *meth_meth_collectionsPrelude_next5025 = addmethod2pos(obj5012, "next", &meth_collectionsPrelude_next5025, 3);
  int argcv_meth_collectionsPrelude_next5025[] = {0};
  meth_meth_collectionsPrelude_next5025->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next5025);
  meth_meth_collectionsPrelude_next5025->definitionModule = modulename;
  meth_meth_collectionsPrelude_next5025->definitionLine = 2017;
// method "asString"
  struct UserObject *uo5064 = (struct UserObject*)obj5012;
  uo5064->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5064 = addmethod2pos(obj5012, "asString", &meth_collectionsPrelude_asString5064, 4);
  int argcv_meth_collectionsPrelude_asString5064[] = {0};
  meth_meth_collectionsPrelude_asString5064->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5064);
  meth_meth_collectionsPrelude_asString5064->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5064->definitionLine = 2022;
  sourceObject = obj5012;
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5086 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5087 = gc_frame_new();
// call case 3: self.outer request
  Object call5088 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5087);
// compiled member node returning call5088 (depth = 3)
  Object call5089 = callmethodflags(call5088, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5086);
// compiled member node returning call5089 (depth = 2)
  adddatum2(obj5012, call5089, 1);
  sourceObject = obj5012;
  sourceObject = obj5012;
  sourceObject = obj5012;
  objclass5012 = obj5012->class;
  objclass5012->definitionModule = modulename;
  objclass5012->definitionLine = 2014;
  (*(struct UserObject *)self).data[0] = lowerouter5012;
  self = oldself5012;
  selfslot = oldselfslot5012;
  stackframe = oldstackframe5012;
  gc_frame_end(frame);
  return obj5012;
}
Object meth_collectionsPrelude_iterator5011_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5012 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5012 = alloc_userobj2(5,5, objclass5012);
  gc_frame_newslot(obj5012);
if (objclass5012 == NULL) {
  glfree(obj5012->class->name);
  obj5012->class->name = "range.object.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5012, self, 0);
  addmethodreal(obj5012,"outer", &reader_collectionsPrelude_outer_5013);
  Object oldself5012 = self;
  struct StackFrameObject *oldstackframe5012 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5012);
  gc_frame_newslot((Object)stackframe);
  self = obj5012;
  Object *oldselfslot5012 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5012 = (*(struct UserObject *)self).data[0], lowerouter5012 = thisouter5012;
  if (inheritingObject5012) {
    struct UserObject *inho5012 = (struct UserObject *)inheritingObject5012;
    while (inho5012->super != GraceDefaultObject) inho5012 = (struct UserObject *)inho5012->super;
    inho5012->super = obj5012;
    self = inheritingObject5012;
    *selfslot = self;
    lowerouter5012 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5012;
  }
if (objclass5012 == NULL) {
  Method *reader5014 = addmethodrealflags(obj5012, "val", &reader_collectionsPrelude_val_5014, MFLAG_CONFIDENTIAL);
  Method *writer5014 = addmethodrealflags(obj5012, "val:=(1)", &writer_collectionsPrelude_val_5014, MFLAG_CONFIDENTIAL);
  reader5014->definitionModule = modulename;
  writer5014->definitionModule = modulename;
  reader5014->definitionLine = 2015;
  writer5014->definitionLine = 2015;
}
obj5012->flags |= OFLAG_MUTABLE;
adddatum2(obj5012, alloc_Undefined(), 1);
// method "hasNext"
  struct UserObject *uo5015 = (struct UserObject*)obj5012;
  uo5015->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext5015 = addmethod2pos(obj5012, "hasNext", &meth_collectionsPrelude_hasNext5015, 2);
  int argcv_meth_collectionsPrelude_hasNext5015[] = {0};
  meth_meth_collectionsPrelude_hasNext5015->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext5015);
  meth_meth_collectionsPrelude_hasNext5015->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext5015->definitionLine = 2016;
// method "next"
  block_savedest(obj5012);
  Object closure5025 = createclosure(1, "next");
  setclosureframe(closure5025, stackframe);
  addtoclosure(closure5025, var_IteratorExhausted);
  struct UserObject *uo5025 = (struct UserObject*)obj5012;
  uo5025->data[3] = (Object)closure5025;
  Method *meth_meth_collectionsPrelude_next5025 = addmethod2pos(obj5012, "next", &meth_collectionsPrelude_next5025, 3);
  int argcv_meth_collectionsPrelude_next5025[] = {0};
  meth_meth_collectionsPrelude_next5025->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next5025);
  meth_meth_collectionsPrelude_next5025->definitionModule = modulename;
  meth_meth_collectionsPrelude_next5025->definitionLine = 2017;
// method "asString"
  struct UserObject *uo5064 = (struct UserObject*)obj5012;
  uo5064->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5064 = addmethod2pos(obj5012, "asString", &meth_collectionsPrelude_asString5064, 4);
  int argcv_meth_collectionsPrelude_asString5064[] = {0};
  meth_meth_collectionsPrelude_asString5064->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5064);
  meth_meth_collectionsPrelude_asString5064->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5064->definitionLine = 2022;
  sourceObject = obj5012;
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5086 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5087 = gc_frame_new();
// call case 3: self.outer request
  Object call5088 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5087);
// compiled member node returning call5088 (depth = 3)
  Object call5089 = callmethodflags(call5088, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5086);
// compiled member node returning call5089 (depth = 2)
  adddatum2(obj5012, call5089, 1);
  sourceObject = obj5012;
  sourceObject = obj5012;
  sourceObject = obj5012;
  objclass5012 = obj5012->class;
  objclass5012->definitionModule = modulename;
  objclass5012->definitionLine = 2014;
  (*(struct UserObject *)self).data[0] = lowerouter5012;
  self = oldself5012;
  selfslot = oldselfslot5012;
  stackframe = oldstackframe5012;
  gc_frame_end(frame);
  return obj5012;
}
Object meth_collectionsPrelude_at_40_1_41_5091(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe5093 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5095 = gc_frame_new();
// call case 4: self request
  Object call5096 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5095);
// compiled member node returning call5096 (depth = 5)
  int op_slot_right_5094 = gc_frame_newslot(call5096);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_5094 = gc_frame_newslot(*var_ix);
  params[0] = call5096;
  partcv[0] = 1;
  Object opresult5098 = callmethod(*var_ix, "≤(1)", 1, partcv, params);
// compiled op node returning opresult5098 (depth = 4)
  partcv[0] = 0;
  Object call5099 = callmethodflags(opresult5098, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe5093);
// compiled call node returning call5099 (depth = 3)
  Object if5092 = done;
  if (istrue(call5099)) {
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5100 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5102 == NULL) {
    strlit5102 = alloc_String("");
    gc_root(strlit5102);
  }
// compiled string node returning strlit5102 (depth = 5)
  int op_slot_right_5101 = gc_frame_newslot(strlit5102);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5105 = gc_frame_new();
// call case 4: self request
  Object call5106 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5105);
// compiled member node returning call5106 (depth = 6)
  int op_slot_right_5104 = gc_frame_newslot(call5106);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5109 == NULL) {
    strlit5109 = alloc_String(") but upper bound is ");
    gc_root(strlit5109);
  }
// compiled string node returning strlit5109 (depth = 7)
  int op_slot_right_5108 = gc_frame_newslot(strlit5109);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  int op_slot_right_5111 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 8)
  if (strlit5113 == NULL) {
    strlit5113 = alloc_String("requested range.at(");
    gc_root(strlit5113);
  }
// compiled string node returning strlit5113 (depth = 8)
  int op_slot_left_5111 = gc_frame_newslot(strlit5113);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult5114 = callmethod(strlit5113, "++(1)", 1, partcv, params);
// compiled op node returning opresult5114 (depth = 7)
  int op_slot_left_5108 = gc_frame_newslot(opresult5114);
  params[0] = strlit5109;
  partcv[0] = 1;
  Object opresult5115 = callmethod(opresult5114, "++(1)", 1, partcv, params);
// compiled op node returning opresult5115 (depth = 6)
  int op_slot_left_5104 = gc_frame_newslot(opresult5115);
  params[0] = call5106;
  partcv[0] = 1;
  Object opresult5116 = callmethod(opresult5115, "++(1)", 1, partcv, params);
// compiled op node returning opresult5116 (depth = 5)
  int op_slot_left_5101 = gc_frame_newslot(opresult5116);
  params[0] = strlit5102;
  partcv[0] = 1;
  Object opresult5117 = callmethod(opresult5116, "++(1)", 1, partcv, params);
// compiled op node returning opresult5117 (depth = 4)
  gc_frame_newslot(opresult5117);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult5117;
  partcv[0] = 1;
  Object call5118 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5100);
// compiled call node returning call5118 (depth = 3)
    gc_frame_newslot(call5118);
    if5092 = call5118;
  } else {
  }
// compiled if node returning if5092 (depth = 2)
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe5120 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5122 = alloc_Float64(1);
// compiled num node returning num5122 (depth = 5)
  int op_slot_right_5121 = gc_frame_newslot(num5122);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_5121 = gc_frame_newslot(*var_ix);
  params[0] = num5122;
  partcv[0] = 1;
  Object opresult5124 = callmethod(*var_ix, "≥(1)", 1, partcv, params);
// compiled op node returning opresult5124 (depth = 4)
  partcv[0] = 0;
  Object call5125 = callmethodflags(opresult5124, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe5120);
// compiled call node returning call5125 (depth = 3)
  Object if5119 = done;
  if (istrue(call5125)) {
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5126 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5128 == NULL) {
    strlit5128 = alloc_String(") but lower bound is 1");
    gc_root(strlit5128);
  }
// compiled string node returning strlit5128 (depth = 5)
  int op_slot_right_5127 = gc_frame_newslot(strlit5128);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_right_5130 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 6)
  if (strlit5132 == NULL) {
    strlit5132 = alloc_String("requested range.at(");
    gc_root(strlit5132);
  }
// compiled string node returning strlit5132 (depth = 6)
  int op_slot_left_5130 = gc_frame_newslot(strlit5132);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult5133 = callmethod(strlit5132, "++(1)", 1, partcv, params);
// compiled op node returning opresult5133 (depth = 5)
  int op_slot_left_5127 = gc_frame_newslot(opresult5133);
  params[0] = strlit5128;
  partcv[0] = 1;
  Object opresult5134 = callmethod(opresult5133, "++(1)", 1, partcv, params);
// compiled op node returning opresult5134 (depth = 4)
  gc_frame_newslot(opresult5134);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult5134;
  partcv[0] = 1;
  Object call5135 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5126);
// compiled call node returning call5135 (depth = 3)
    gc_frame_newslot(call5135);
    if5119 = call5135;
  } else {
  }
// compiled if node returning if5119 (depth = 2)
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5138 = alloc_Float64(1);
// compiled num node returning num5138 (depth = 5)
  int op_slot_right_5137 = gc_frame_newslot(num5138);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_5137 = gc_frame_newslot(*var_ix);
  params[0] = num5138;
  partcv[0] = 1;
  Object diff5140 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff5140 (depth = 4)
  int op_slot_right_5136 = gc_frame_newslot(diff5140);
// starting to compile member node (depth = 4)
  int callframe5142 = gc_frame_new();
// call case 4: self request
  Object call5143 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5142);
// compiled member node returning call5143 (depth = 4)
  int op_slot_left_5136 = gc_frame_newslot(call5143);
  params[0] = diff5140;
  partcv[0] = 1;
  Object diff5144 = callmethod(call5143, "-(1)", 1, partcv, params);
// compiled op node returning diff5144 (depth = 3)
  return diff5144;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply5148(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elem = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_intElem = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "intElem");
// Begin line 2036
  setline(2036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5149 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  Object call5150 = callmethodflags(*var_elem, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe5149);
// compiled member node returning call5150 (depth = 5)
  *var_intElem = call5150;
  if (call5150 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  int op_slot_right_5152 = gc_frame_newslot(*var_elem);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_5152 = gc_frame_newslot(*var_intElem);
  params[0] = *var_elem;
  partcv[0] = 1;
  Object opresult5154 = callmethod(*var_intElem, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5154 (depth = 5)
  Object if5151 = done;
  if (istrue(opresult5154)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5155 = alloc_Boolean(0);
// compiled identifier node returning bool5155 (depth = 6)
  block_return(realself, bool5155);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if5151 = undefined;
  } else {
  }
// compiled if node returning if5151 (depth = 4)
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5158 = gc_frame_new();
// call case 4: self request
  Object call5159 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5158);
// compiled member node returning call5159 (depth = 6)
  int op_slot_right_5157 = gc_frame_newslot(call5159);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_5157 = gc_frame_newslot(*var_intElem);
  params[0] = call5159;
  partcv[0] = 1;
  Object opresult5161 = callmethod(*var_intElem, ">(1)", 1, partcv, params);
// compiled op node returning opresult5161 (depth = 5)
  Object if5156 = done;
  if (istrue(opresult5161)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5162 = alloc_Boolean(0);
// compiled identifier node returning bool5162 (depth = 6)
  block_return(realself, bool5162);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if5156 = undefined;
  } else {
  }
// compiled if node returning if5156 (depth = 4)
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5165 = gc_frame_new();
// call case 4: self request
  Object call5166 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5165);
// compiled member node returning call5166 (depth = 6)
  int op_slot_right_5164 = gc_frame_newslot(call5166);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_5164 = gc_frame_newslot(*var_intElem);
  params[0] = call5166;
  partcv[0] = 1;
  Object opresult5168 = callmethod(*var_intElem, "<(1)", 1, partcv, params);
// compiled op node returning opresult5168 (depth = 5)
  Object if5163 = done;
  if (istrue(opresult5168)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5169 = alloc_Boolean(0);
// compiled identifier node returning bool5169 (depth = 6)
  block_return(realself, bool5169);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if5163 = undefined;
  } else {
  }
// compiled if node returning if5163 (depth = 4)
  gc_frame_end(frame);
  return if5163;
}
Object meth_collectionsPrelude__apply_40_1_41_5172(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5173 = alloc_Boolean(0);
// compiled identifier node returning bool5173 (depth = 5)
  block_return(realself, bool5173);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_contains_40_1_41_5145(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elem = &(stackframe->slots[0]);
  *var_elem = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2035
  setline(2035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block5147 = alloc_Block(NULL, NULL, "collectionsPrelude", 2035);
  gc_frame_newslot(block5147);
// method "_apply"
  block_savedest(block5147);
  Object closure5148 = createclosure(2, "_apply");
  setclosureframe(closure5148, stackframe);
  addtoclosure(closure5148, var_elem);
  addtoclosure(closure5148, selfslot);
  struct UserObject *uo5148 = (struct UserObject*)block5147;
  uo5148->data[0] = (Object)closure5148;
  Method *meth_meth_collectionsPrelude__apply5148 = addmethod2pos(block5147, "_apply", &meth_collectionsPrelude__apply5148, 0);
  int argcv_meth_collectionsPrelude__apply5148[] = {0};
  meth_meth_collectionsPrelude__apply5148->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5148);
  meth_meth_collectionsPrelude__apply5148->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5148->definitionLine = 1990;
// compiled block node returning block5147 (depth = 3)
  int frame5146 = gc_frame_new();
  gc_frame_newslot(block5147);
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5171 = alloc_Block(NULL, NULL, "collectionsPrelude", 2040);
  gc_frame_newslot(block5171);
// method "_apply(_)"
  block_savedest(block5171);
  Object closure5172 = createclosure(1, "_apply(1)");
  setclosureframe(closure5172, stackframe);
  addtoclosure(closure5172, selfslot);
  struct UserObject *uo5172 = (struct UserObject*)block5171;
  uo5172->data[0] = (Object)closure5172;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5172 = addmethod2pos(block5171, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5172, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5172[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5172->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5172);
  meth_meth_collectionsPrelude__apply_40_1_41_5172->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5172->definitionLine = 1990;
// starting to compile call node (depth = 4)
  int callframe5175 = gc_frame_new();
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5176 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5177 == NULL) {
    strlit5177 = alloc_String("ex");
    gc_root(strlit5177);
  }
// compiled string node returning strlit5177 (depth = 6)
  gc_frame_newslot(strlit5177);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5178 = gc_frame_new();
// call case 5: prelude request
  Object call5179 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5178);
// compiled member node returning call5179 (depth = 6)
  params[0] = strlit5177;
  partcv[0] = 1;
  Object call5180 = callmethodflags(call5179, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5176);
// compiled call node returning call5180 (depth = 5)
  gc_frame_newslot(call5180);
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5181 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var__prelude (depth = 6)
  Object call5182 = callmethodflags(*var__prelude, "Exception", 0, partcv, params, 0);
  gc_frame_end(callframe5181);
// compiled member node returning call5182 (depth = 5)
  gc_frame_newslot(call5182);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5183 = gc_frame_new();
// call case 5: prelude request
  Object call5184 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5183);
// compiled member node returning call5184 (depth = 5)
  params[0] = call5180;
  params[1] = call5182;
  partcv[0] = 2;
  Object call5185 = callmethodflags(call5184, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5175);
// compiled call node returning call5185 (depth = 4)
((struct UserObject *)block5171)->data[1] = call5185;
// compiled block node returning block5171 (depth = 3)
  gc_frame_newslot(block5171);
  params[0] = block5171;
  setline(2035);
  Object catchres5146 = tryCatch(block5147, params, 1,NULL);
  gc_frame_end(frame5146);
// compiled trycatch node returning catchres5146 (depth = 2)
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool5186 = alloc_Boolean(1);
// compiled identifier node returning bool5186 (depth = 3)
  return bool5186;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply5192(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5194 = gc_frame_new();
// call case 4: self request
  Object call5195 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5194);
// compiled member node returning call5195 (depth = 5)
  int op_slot_right_5193 = gc_frame_newslot(call5195);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_5193 = gc_frame_newslot(*var_val);
  params[0] = call5195;
  partcv[0] = 1;
  Object opresult5197 = callmethod(*var_val, "≥(1)", 1, partcv, params);
// compiled op node returning opresult5197 (depth = 4)
  gc_frame_end(frame);
  return opresult5197;
}
Object meth_collectionsPrelude__apply5200(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5201 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = *var_val;
  partcv[0] = 1;
  Object call5202 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5201);
// compiled call node returning call5202 (depth = 4)
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5204 = alloc_Float64(1);
// compiled num node returning num5204 (depth = 6)
  int op_slot_right_5203 = gc_frame_newslot(num5204);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_5203 = gc_frame_newslot(*var_val);
  params[0] = num5204;
  partcv[0] = 1;
  Object diff5206 = callmethod(*var_val, "-(1)", 1, partcv, params);
// compiled op node returning diff5206 (depth = 5)
  *var_val = diff5206;
  if (diff5206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do_40_1_41_5187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5188 = gc_frame_new();
// call case 4: self request
  Object call5189 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5188);
// compiled member node returning call5189 (depth = 3)
  *var_val = call5189;
  if (call5189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5190 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5191 = alloc_Block(NULL, NULL, "collectionsPrelude", 2045);
  gc_frame_newslot(block5191);
// method "_apply"
  block_savedest(block5191);
  Object closure5192 = createclosure(2, "_apply");
  setclosureframe(closure5192, stackframe);
  addtoclosure(closure5192, var_val);
  addtoclosure(closure5192, selfslot);
  struct UserObject *uo5192 = (struct UserObject*)block5191;
  uo5192->data[0] = (Object)closure5192;
  Method *meth_meth_collectionsPrelude__apply5192 = addmethod2pos(block5191, "_apply", &meth_collectionsPrelude__apply5192, 0);
  int argcv_meth_collectionsPrelude__apply5192[] = {0};
  meth_meth_collectionsPrelude__apply5192->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5192);
  meth_meth_collectionsPrelude__apply5192->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5192->definitionLine = 1990;
// compiled block node returning block5191 (depth = 3)
  gc_frame_newslot(block5191);
// starting to compile block node (depth = 3)
  Object block5199 = alloc_Block(NULL, NULL, "collectionsPrelude", 2045);
  gc_frame_newslot(block5199);
// method "_apply"
  block_savedest(block5199);
  Object closure5200 = createclosure(3, "_apply");
  setclosureframe(closure5200, stackframe);
  addtoclosure(closure5200, var_val);
  addtoclosure(closure5200, var_block1);
  addtoclosure(closure5200, selfslot);
  struct UserObject *uo5200 = (struct UserObject*)block5199;
  uo5200->data[0] = (Object)closure5200;
  Method *meth_meth_collectionsPrelude__apply5200 = addmethod2pos(block5199, "_apply", &meth_collectionsPrelude__apply5200, 0);
  int argcv_meth_collectionsPrelude__apply5200[] = {0};
  meth_meth_collectionsPrelude__apply5200->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5200);
  meth_meth_collectionsPrelude__apply5200->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5200->definitionLine = 1990;
// compiled block node returning block5199 (depth = 3)
  gc_frame_newslot(block5199);
// call case 5: prelude request
  params[0] = block5191;
  params[1] = block5199;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5209 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5190);
// compiled call node returning call5209 (depth = 2)
  gc_frame_end(frame);
  return call5209;
}
Object meth_collectionsPrelude__apply5216(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5218 = gc_frame_new();
// call case 4: self request
  Object call5219 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5218);
// compiled member node returning call5219 (depth = 5)
  int op_slot_right_5217 = gc_frame_newslot(call5219);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_5217 = gc_frame_newslot(*var_val);
  params[0] = call5219;
  partcv[0] = 1;
  Object opresult5221 = callmethod(*var_val, "≥(1)", 1, partcv, params);
// compiled op node returning opresult5221 (depth = 4)
  gc_frame_end(frame);
  return opresult5221;
}
Object meth_collectionsPrelude__apply5224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_key = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5225 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_key (depth = 5)
  gc_frame_newslot(*var_key);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = *var_key;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call5226 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5225);
// compiled call node returning call5226 (depth = 4)
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5228 = alloc_Float64(1);
// compiled num node returning num5228 (depth = 6)
  int op_slot_right_5227 = gc_frame_newslot(num5228);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_key (depth = 6)
  int op_slot_left_5227 = gc_frame_newslot(*var_key);
  params[0] = num5228;
  partcv[0] = 1;
  Object sum5230 = callmethod(*var_key, "+(1)", 1, partcv, params);
// compiled op node returning sum5230 (depth = 5)
  *var_key = sum5230;
  if (sum5230 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5233 = alloc_Float64(1);
// compiled num node returning num5233 (depth = 6)
  int op_slot_right_5232 = gc_frame_newslot(num5233);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_5232 = gc_frame_newslot(*var_val);
  params[0] = num5233;
  partcv[0] = 1;
  Object diff5235 = callmethod(*var_val, "-(1)", 1, partcv, params);
// compiled op node returning diff5235 (depth = 5)
  *var_val = diff5235;
  if (diff5235 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_key = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "key");
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num5211 = alloc_Float64(1);
// compiled num node returning num5211 (depth = 3)
  *var_key = num5211;
  if (num5211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5212 = gc_frame_new();
// call case 4: self request
  Object call5213 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5212);
// compiled member node returning call5213 (depth = 3)
  *var_val = call5213;
  if (call5213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5214 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5215 = alloc_Block(NULL, NULL, "collectionsPrelude", 2053);
  gc_frame_newslot(block5215);
// method "_apply"
  block_savedest(block5215);
  Object closure5216 = createclosure(2, "_apply");
  setclosureframe(closure5216, stackframe);
  addtoclosure(closure5216, var_val);
  addtoclosure(closure5216, selfslot);
  struct UserObject *uo5216 = (struct UserObject*)block5215;
  uo5216->data[0] = (Object)closure5216;
  Method *meth_meth_collectionsPrelude__apply5216 = addmethod2pos(block5215, "_apply", &meth_collectionsPrelude__apply5216, 0);
  int argcv_meth_collectionsPrelude__apply5216[] = {0};
  meth_meth_collectionsPrelude__apply5216->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5216);
  meth_meth_collectionsPrelude__apply5216->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5216->definitionLine = 1990;
// compiled block node returning block5215 (depth = 3)
  gc_frame_newslot(block5215);
// starting to compile block node (depth = 3)
  Object block5223 = alloc_Block(NULL, NULL, "collectionsPrelude", 2053);
  gc_frame_newslot(block5223);
// method "_apply"
  block_savedest(block5223);
  Object closure5224 = createclosure(4, "_apply");
  setclosureframe(closure5224, stackframe);
  addtoclosure(closure5224, var_key);
  addtoclosure(closure5224, var_val);
  addtoclosure(closure5224, var_block2);
  addtoclosure(closure5224, selfslot);
  struct UserObject *uo5224 = (struct UserObject*)block5223;
  uo5224->data[0] = (Object)closure5224;
  Method *meth_meth_collectionsPrelude__apply5224 = addmethod2pos(block5223, "_apply", &meth_collectionsPrelude__apply5224, 0);
  int argcv_meth_collectionsPrelude__apply5224[] = {0};
  meth_meth_collectionsPrelude__apply5224->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5224);
  meth_meth_collectionsPrelude__apply5224->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5224->definitionLine = 1990;
// compiled block node returning block5223 (depth = 3)
  gc_frame_newslot(block5223);
// call case 5: prelude request
  params[0] = block5215;
  params[1] = block5223;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5238 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5214);
// compiled call node returning call5238 (depth = 2)
  gc_frame_end(frame);
  return call5238;
}
Object meth_collectionsPrelude_reversed5239(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5240 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  gc_frame_newslot(*var_upper);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5241 = gc_frame_new();
// call case 3: self.outer request
  Object call5242 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5241);
// compiled member node returning call5242 (depth = 3)
  params[0] = *var_lower;
  params[1] = *var_upper;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5243 = callmethodflags(call5242, "from(1)to(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5240);
// compiled call node returning call5243 (depth = 2)
  gc_frame_end(frame);
  return call5243;
}
Object meth_collectionsPrelude__43__43__40_1_41_5244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5245 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe5246 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5247 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5248 = gc_frame_new();
// call case 3: self.outer request
  Object call5249 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5248);
// compiled member node returning call5249 (depth = 5)
  Object call5250 = callmethodflags(call5249, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5247);
// compiled member node returning call5250 (depth = 4)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call5251 = callmethodflags(call5250, "lazyConcatenation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5246);
// compiled call node returning call5251 (depth = 3)
  gc_frame_newslot(call5251);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5252 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5253 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5254 = gc_frame_new();
// call case 3: self.outer request
  Object call5255 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5254);
// compiled member node returning call5255 (depth = 5)
  Object call5256 = callmethodflags(call5255, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5253);
// compiled member node returning call5256 (depth = 4)
  Object call5257 = callmethodflags(call5256, "sequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5252);
// compiled member node returning call5257 (depth = 3)
  params[0] = call5251;
  partcv[0] = 1;
  Object call5258 = callmethodflags(call5257, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5245);
// compiled call node returning call5258 (depth = 2)
  gc_frame_end(frame);
  return call5258;
}
Object meth_collectionsPrelude__61__61__40_1_41_5259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5260 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5261 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5262 = gc_frame_new();
// call case 3: self.outer request
  Object call5263 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5262);
// compiled member node returning call5263 (depth = 4)
  Object call5264 = callmethodflags(call5263, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5261);
// compiled member node returning call5264 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5265 = callmethodflags(call5264, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5260);
// compiled call node returning call5265 (depth = 2)
  gc_frame_end(frame);
  return call5265;
}
Object meth_collectionsPrelude_sorted5266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5267 = gc_frame_new();
// call case 4: self request
  Object call5268 = callmethodflags(self, "reversed", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5267);
// compiled member node returning call5268 (depth = 2)
  gc_frame_end(frame);
  return call5268;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_5269(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5270 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5271 = gc_frame_new();
// call case 4: self request
  Object call5272 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5271);
// compiled member node returning call5272 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call5273 = callmethodflags(call5272, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5270);
// compiled call node returning call5273 (depth = 2)
  gc_frame_end(frame);
  return call5273;
}
Object meth_collectionsPrelude_keys5274(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5276 = gc_frame_new();
// call case 4: self request
  Object call5277 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5276);
// compiled member node returning call5277 (depth = 3)
  int op_slot_right_5275 = gc_frame_newslot(call5277);
// starting to compile num node (depth = 3)
  Object num5279 = alloc_Float64(1);
// compiled num node returning num5279 (depth = 3)
  int op_slot_left_5275 = gc_frame_newslot(num5279);
  params[0] = call5277;
  partcv[0] = 1;
  Object opresult5280 = callmethod(num5279, "..(1)", 1, partcv, params);
// compiled op node returning opresult5280 (depth = 2)
  gc_frame_end(frame);
  return opresult5280;
}
Object meth_collectionsPrelude_values5281(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_asString5282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit5284 == NULL) {
    strlit5284 = alloc_String("");
    gc_root(strlit5284);
  }
// compiled string node returning strlit5284 (depth = 3)
  int op_slot_right_5283 = gc_frame_newslot(strlit5284);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_5286 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5289 == NULL) {
    strlit5289 = alloc_String(" downTo ");
    gc_root(strlit5289);
  }
// compiled string node returning strlit5289 (depth = 5)
  int op_slot_right_5288 = gc_frame_newslot(strlit5289);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_right_5291 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 6)
  if (strlit5293 == NULL) {
    strlit5293 = alloc_String("range.from ");
    gc_root(strlit5293);
  }
// compiled string node returning strlit5293 (depth = 6)
  int op_slot_left_5291 = gc_frame_newslot(strlit5293);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5294 = callmethod(strlit5293, "++(1)", 1, partcv, params);
// compiled op node returning opresult5294 (depth = 5)
  int op_slot_left_5288 = gc_frame_newslot(opresult5294);
  params[0] = strlit5289;
  partcv[0] = 1;
  Object opresult5295 = callmethod(opresult5294, "++(1)", 1, partcv, params);
// compiled op node returning opresult5295 (depth = 4)
  int op_slot_left_5286 = gc_frame_newslot(opresult5295);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5296 = callmethod(opresult5295, "++(1)", 1, partcv, params);
// compiled op node returning opresult5296 (depth = 3)
  int op_slot_left_5283 = gc_frame_newslot(opresult5296);
  params[0] = strlit5284;
  partcv[0] = 1;
  Object opresult5297 = callmethod(opresult5296, "++(1)", 1, partcv, params);
// compiled op node returning opresult5297 (depth = 2)
  gc_frame_end(frame);
  return opresult5297;
}
Object meth_collectionsPrelude_asSequence5298(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply_40_1_41_5303(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___24 = &(stackframe->slots[0]);
  *var___24 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply_40_1_41_5315(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___25 = &(stackframe->slots[0]);
  *var___25 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe5316 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5319 == NULL) {
    strlit5319 = alloc_String(") is not an integer");
    gc_root(strlit5319);
  }
// compiled string node returning strlit5319 (depth = 7)
  int op_slot_right_5318 = gc_frame_newslot(strlit5319);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_5321 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5324 == NULL) {
    strlit5324 = alloc_String(")downTo(");
    gc_root(strlit5324);
  }
// compiled string node returning strlit5324 (depth = 9)
  int op_slot_right_5323 = gc_frame_newslot(strlit5324);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_upper (depth = 10)
  int op_slot_right_5326 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 10)
  if (strlit5328 == NULL) {
    strlit5328 = alloc_String(" in range.from(");
    gc_root(strlit5328);
  }
// compiled string node returning strlit5328 (depth = 10)
  int op_slot_left_5326 = gc_frame_newslot(strlit5328);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5329 = callmethod(strlit5328, "++(1)", 1, partcv, params);
// compiled op node returning opresult5329 (depth = 9)
  int op_slot_left_5323 = gc_frame_newslot(opresult5329);
  params[0] = strlit5324;
  partcv[0] = 1;
  Object opresult5330 = callmethod(opresult5329, "++(1)", 1, partcv, params);
// compiled op node returning opresult5330 (depth = 8)
  int op_slot_left_5321 = gc_frame_newslot(opresult5330);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5331 = callmethod(opresult5330, "++(1)", 1, partcv, params);
// compiled op node returning opresult5331 (depth = 7)
  int op_slot_left_5318 = gc_frame_newslot(opresult5331);
  params[0] = strlit5319;
  partcv[0] = 1;
  Object opresult5332 = callmethod(opresult5331, "++(1)", 1, partcv, params);
// compiled op node returning opresult5332 (depth = 6)
  int op_slot_right_5317 = gc_frame_newslot(opresult5332);
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5335 == NULL) {
    strlit5335 = alloc_String("");
    gc_root(strlit5335);
  }
// compiled string node returning strlit5335 (depth = 7)
  int op_slot_right_5334 = gc_frame_newslot(strlit5335);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_5337 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit5339 == NULL) {
    strlit5339 = alloc_String("upper bound ");
    gc_root(strlit5339);
  }
// compiled string node returning strlit5339 (depth = 8)
  int op_slot_left_5337 = gc_frame_newslot(strlit5339);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5340 = callmethod(strlit5339, "++(1)", 1, partcv, params);
// compiled op node returning opresult5340 (depth = 7)
  int op_slot_left_5334 = gc_frame_newslot(opresult5340);
  params[0] = strlit5335;
  partcv[0] = 1;
  Object opresult5341 = callmethod(opresult5340, "++(1)", 1, partcv, params);
// compiled op node returning opresult5341 (depth = 6)
  int op_slot_left_5317 = gc_frame_newslot(opresult5341);
  params[0] = opresult5332;
  partcv[0] = 1;
  Object opresult5342 = callmethod(opresult5341, "++(1)", 1, partcv, params);
// compiled op node returning opresult5342 (depth = 5)
  gc_frame_newslot(opresult5342);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult5342;
  partcv[0] = 1;
  Object call5343 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5316);
// compiled call node returning call5343 (depth = 4)
  gc_frame_end(frame);
  return call5343;
}
Object meth_collectionsPrelude__apply_40_1_41_5383(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___26 = &(stackframe->slots[0]);
  *var___26 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply_40_1_41_5395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___27 = &(stackframe->slots[0]);
  *var___27 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe5396 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5399 == NULL) {
    strlit5399 = alloc_String(") is not an integer");
    gc_root(strlit5399);
  }
// compiled string node returning strlit5399 (depth = 7)
  int op_slot_right_5398 = gc_frame_newslot(strlit5399);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_5401 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5404 == NULL) {
    strlit5404 = alloc_String(")downTo(");
    gc_root(strlit5404);
  }
// compiled string node returning strlit5404 (depth = 9)
  int op_slot_right_5403 = gc_frame_newslot(strlit5404);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_upper (depth = 10)
  int op_slot_right_5406 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 10)
  if (strlit5408 == NULL) {
    strlit5408 = alloc_String(" in range.from(");
    gc_root(strlit5408);
  }
// compiled string node returning strlit5408 (depth = 10)
  int op_slot_left_5406 = gc_frame_newslot(strlit5408);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5409 = callmethod(strlit5408, "++(1)", 1, partcv, params);
// compiled op node returning opresult5409 (depth = 9)
  int op_slot_left_5403 = gc_frame_newslot(opresult5409);
  params[0] = strlit5404;
  partcv[0] = 1;
  Object opresult5410 = callmethod(opresult5409, "++(1)", 1, partcv, params);
// compiled op node returning opresult5410 (depth = 8)
  int op_slot_left_5401 = gc_frame_newslot(opresult5410);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5411 = callmethod(opresult5410, "++(1)", 1, partcv, params);
// compiled op node returning opresult5411 (depth = 7)
  int op_slot_left_5398 = gc_frame_newslot(opresult5411);
  params[0] = strlit5399;
  partcv[0] = 1;
  Object opresult5412 = callmethod(opresult5411, "++(1)", 1, partcv, params);
// compiled op node returning opresult5412 (depth = 6)
  int op_slot_right_5397 = gc_frame_newslot(opresult5412);
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5415 == NULL) {
    strlit5415 = alloc_String("");
    gc_root(strlit5415);
  }
// compiled string node returning strlit5415 (depth = 7)
  int op_slot_right_5414 = gc_frame_newslot(strlit5415);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_5417 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit5419 == NULL) {
    strlit5419 = alloc_String("lower bound ");
    gc_root(strlit5419);
  }
// compiled string node returning strlit5419 (depth = 8)
  int op_slot_left_5417 = gc_frame_newslot(strlit5419);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5420 = callmethod(strlit5419, "++(1)", 1, partcv, params);
// compiled op node returning opresult5420 (depth = 7)
  int op_slot_left_5414 = gc_frame_newslot(opresult5420);
  params[0] = strlit5415;
  partcv[0] = 1;
  Object opresult5421 = callmethod(opresult5420, "++(1)", 1, partcv, params);
// compiled op node returning opresult5421 (depth = 6)
  int op_slot_left_5397 = gc_frame_newslot(opresult5421);
  params[0] = opresult5412;
  partcv[0] = 1;
  Object opresult5422 = callmethod(opresult5421, "++(1)", 1, partcv, params);
// compiled op node returning opresult5422 (depth = 5)
  gc_frame_newslot(opresult5422);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult5422;
  partcv[0] = 1;
  Object call5423 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5396);
// compiled call node returning call5423 (depth = 4)
  gc_frame_end(frame);
  return call5423;
}
Object meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from(1)downTo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method from(_)downTo(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method from(_)downTo(_)");
  Object params[2];
  int partcv[2];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  Object *var_Number = getfromclosure(closure, 4);
  Object *var_RequestError = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for from(_)downTo(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_upper = &(stackframe->slots[0]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *var_lower = &(stackframe->slots[1]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part downTo(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5006 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5006 = alloc_userobj2(22,23, objclass5006);
  gc_frame_newslot(obj5006);
if (objclass5006 == NULL) {
  glfree(obj5006->class->name);
  obj5006->class->name = "range.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5006, self, 0);
  addmethodreal(obj5006,"outer", &reader_collectionsPrelude_outer_5007);
  Object oldself5006 = self;
  struct StackFrameObject *oldstackframe5006 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5006);
  gc_frame_newslot((Object)stackframe);
  self = obj5006;
  Object *oldselfslot5006 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5006 = (*(struct UserObject *)self).data[0], lowerouter5006 = thisouter5006;
  if (inheritingObject5006) {
    struct UserObject *inho5006 = (struct UserObject *)inheritingObject5006;
    while (inho5006->super != GraceDefaultObject) inho5006 = (struct UserObject *)inho5006->super;
    inho5006->super = obj5006;
    self = inheritingObject5006;
    *selfslot = self;
    lowerouter5006 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5006;
  }
if (objclass5006 == NULL) {
  Method *reader5008 = addmethodrealflags(obj5006, "start",&reader_collectionsPrelude_start_5008, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5008->definitionModule = modulename;
  reader5008->definitionLine = 1997;
}
adddatum2(obj5006, alloc_Undefined(), 1);
if (objclass5006 == NULL) {
  Method *reader5009 = addmethodrealflags(obj5006, "stop",&reader_collectionsPrelude_stop_5009, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5009->definitionModule = modulename;
  reader5009->definitionLine = 2006;
}
adddatum2(obj5006, alloc_Undefined(), 2);
if (objclass5006 == NULL) {
  Method *reader5010 = addmethodrealflags(obj5006, "size",&reader_collectionsPrelude_size_5010, MFLAG_DEF);
  reader5010->definitionModule = modulename;
  reader5010->definitionLine = 2011;
}
adddatum2(obj5006, alloc_Undefined(), 3);
// method "iterator"
  block_savedest(obj5006);
  Object closure5011 = createclosure(1, "iterator");
  setclosureframe(closure5011, stackframe);
  addtoclosure(closure5011, var_IteratorExhausted);
  struct UserObject *uo5011 = (struct UserObject*)obj5006;
  uo5011->data[4] = (Object)closure5011;
  Method *meth_meth_collectionsPrelude_iterator5011 = addmethod2pos(obj5006, "iterator", &meth_collectionsPrelude_iterator5011, 4);
  int argcv_meth_collectionsPrelude_iterator5011[] = {0};
  meth_meth_collectionsPrelude_iterator5011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5011);
  meth_meth_collectionsPrelude_iterator5011->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5011->definitionLine = 2013;
  block_savedest(obj5006);
  Object closure5090 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure5090, stackframe);
  addtoclosure(closure5090, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator5011_object = addmethod2pos(obj5006, "iterator$object(1)", &meth_collectionsPrelude_iterator5011_object, 4);
  meth_meth_collectionsPrelude_iterator5011_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5011_object->definitionLine = 2013;
// method "at(_)"
  block_savedest(obj5006);
  Object closure5091 = createclosure(1, "at(1)");
  setclosureframe(closure5091, stackframe);
  addtoclosure(closure5091, var_BoundsError);
  struct UserObject *uo5091 = (struct UserObject*)obj5006;
  uo5091->data[5] = (Object)closure5091;
  Method *meth_meth_collectionsPrelude_at_40_1_41_5091 = addmethod2pos(obj5006, "at(1)", &meth_collectionsPrelude_at_40_1_41_5091, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_5091[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_5091->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_5091);
meth_meth_collectionsPrelude_at_40_1_41_5091->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at_40_1_41_5091->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at_40_1_41_5091->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_5091->definitionLine = 2025;
// method "contains(_)"
  block_savedest(obj5006);
  Object closure5145 = createclosure(1, "contains(1)");
  setclosureframe(closure5145, stackframe);
  addtoclosure(closure5145, var__prelude);
  struct UserObject *uo5145 = (struct UserObject*)obj5006;
  uo5145->data[6] = (Object)closure5145;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_5145 = addmethod2pos(obj5006, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_5145, 6);
  int argcv_meth_collectionsPrelude_contains_40_1_41_5145[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_5145->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_5145);
  meth_meth_collectionsPrelude_contains_40_1_41_5145->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_5145->definitionLine = 2034;
// method "do(_)"
  struct UserObject *uo5187 = (struct UserObject*)obj5006;
  uo5187->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_5187 = addmethod2pos(obj5006, "do(1)", &meth_collectionsPrelude_do_40_1_41_5187, 7);
  int argcv_meth_collectionsPrelude_do_40_1_41_5187[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_5187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_5187);
  meth_meth_collectionsPrelude_do_40_1_41_5187->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_5187->definitionLine = 2043;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5210 = (struct UserObject*)obj5006;
  uo5210->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210 = addmethod2pos(obj5006, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->definitionLine = 2050;
// method "reversed"
  block_savedest(obj5006);
  Object closure5239 = createclosure(2, "reversed");
  setclosureframe(closure5239, stackframe);
  addtoclosure(closure5239, var_lower);
  addtoclosure(closure5239, var_upper);
  struct UserObject *uo5239 = (struct UserObject*)obj5006;
  uo5239->data[9] = (Object)closure5239;
  Method *meth_meth_collectionsPrelude_reversed5239 = addmethod2pos(obj5006, "reversed", &meth_collectionsPrelude_reversed5239, 9);
  int argcv_meth_collectionsPrelude_reversed5239[] = {0};
  meth_meth_collectionsPrelude_reversed5239->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed5239);
  meth_meth_collectionsPrelude_reversed5239->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed5239->definitionLine = 2059;
// method "++(_)"
  struct UserObject *uo5244 = (struct UserObject*)obj5006;
  uo5244->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_5244 = addmethod2pos(obj5006, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_5244, 10);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_5244[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_5244);
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->definitionLine = 2062;
// method "==(_)"
  struct UserObject *uo5259 = (struct UserObject*)obj5006;
  uo5259->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_5259 = addmethod2pos(obj5006, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_5259, 11);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_5259[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_5259);
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->definitionLine = 2065;
// method "sorted"
  struct UserObject *uo5266 = (struct UserObject*)obj5006;
  uo5266->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted5266 = addmethod2pos(obj5006, "sorted", &meth_collectionsPrelude_sorted5266, 12);
  int argcv_meth_collectionsPrelude_sorted5266[] = {0};
  meth_meth_collectionsPrelude_sorted5266->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted5266);
  meth_meth_collectionsPrelude_sorted5266->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted5266->definitionLine = 2068;
// method "sortedBy(_)"
  struct UserObject *uo5269 = (struct UserObject*)obj5006;
  uo5269->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_5269 = addmethod2pos(obj5006, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_5269, 13);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_5269[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_5269);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->definitionLine = 2070;
// method "keys"
  struct UserObject *uo5274 = (struct UserObject*)obj5006;
  uo5274->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys5274 = addmethod2pos(obj5006, "keys", &meth_collectionsPrelude_keys5274, 14);
  int argcv_meth_collectionsPrelude_keys5274[] = {0};
  meth_meth_collectionsPrelude_keys5274->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys5274);
  meth_meth_collectionsPrelude_keys5274->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys5274->definitionLine = 2072;
// method "values"
  struct UserObject *uo5281 = (struct UserObject*)obj5006;
  uo5281->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values5281 = addmethod2pos(obj5006, "values", &meth_collectionsPrelude_values5281, 15);
  int argcv_meth_collectionsPrelude_values5281[] = {0};
  meth_meth_collectionsPrelude_values5281->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values5281);
  meth_meth_collectionsPrelude_values5281->definitionModule = modulename;
  meth_meth_collectionsPrelude_values5281->definitionLine = 2074;
// method "asString"
  block_savedest(obj5006);
  Object closure5282 = createclosure(2, "asString");
  setclosureframe(closure5282, stackframe);
  addtoclosure(closure5282, var_lower);
  addtoclosure(closure5282, var_upper);
  struct UserObject *uo5282 = (struct UserObject*)obj5006;
  uo5282->data[16] = (Object)closure5282;
  Method *meth_meth_collectionsPrelude_asString5282 = addmethod2pos(obj5006, "asString", &meth_collectionsPrelude_asString5282, 16);
  int argcv_meth_collectionsPrelude_asString5282[] = {0};
  meth_meth_collectionsPrelude_asString5282->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5282);
  meth_meth_collectionsPrelude_asString5282->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5282->definitionLine = 2076;
// method "asSequence"
  struct UserObject *uo5298 = (struct UserObject*)obj5006;
  uo5298->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence5298 = addmethod2pos(obj5006, "asSequence", &meth_collectionsPrelude_asSequence5298, 17);
  int argcv_meth_collectionsPrelude_asSequence5298[] = {0};
  meth_meth_collectionsPrelude_asSequence5298->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence5298);
  meth_meth_collectionsPrelude_asSequence5298->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence5298->definitionLine = 2079;
  sourceObject = obj5006;
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5299 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5300 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5299);
// compiled call node returning call5300 (depth = 2)
  struct UserObject *obj5006_uo = (struct UserObject *)obj5006;
  obj5006_uo->super = call5300;
  sourceObject = obj5006;
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame5301 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5302 = alloc_Block(NULL, NULL, "collectionsPrelude", 1994);
  gc_frame_newslot(block5302);
// method "_apply(_)"
  block_savedest(block5302);
  Object closure5303 = createclosure(1, "_apply(1)");
  setclosureframe(closure5303, stackframe);
  addtoclosure(closure5303, selfslot);
  struct UserObject *uo5303 = (struct UserObject*)block5302;
  uo5303->data[0] = (Object)closure5303;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5303 = addmethod2pos(block5302, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5303, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5303[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5303->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5303);
meth_meth_collectionsPrelude__apply_40_1_41_5303->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_5303->type->names[0] = "__24";
  meth_meth_collectionsPrelude__apply_40_1_41_5303->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5303->definitionLine = 1990;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5305 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe5306 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5307 == NULL) {
    strlit5307 = alloc_String("__24");
    gc_root(strlit5307);
  }
// compiled string node returning strlit5307 (depth = 6)
  gc_frame_newslot(strlit5307);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5308 = gc_frame_new();
// call case 5: prelude request
  Object call5309 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5308);
// compiled member node returning call5309 (depth = 6)
  params[0] = strlit5307;
  partcv[0] = 1;
  Object call5310 = callmethodflags(call5309, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5306);
// compiled call node returning call5310 (depth = 5)
  gc_frame_newslot(call5310);
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5311 = gc_frame_new();
// call case 5: prelude request
  Object call5312 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5311);
// compiled member node returning call5312 (depth = 5)
  params[0] = call5310;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call5313 = callmethodflags(call5312, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5305);
// compiled call node returning call5313 (depth = 4)
((struct UserObject *)block5302)->data[1] = call5313;
// compiled block node returning block5302 (depth = 3)
  gc_frame_newslot(block5302);
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5314 = alloc_Block(NULL, NULL, "collectionsPrelude", 1995);
  gc_frame_newslot(block5314);
// method "_apply(_)"
  block_savedest(block5314);
  Object closure5315 = createclosure(4, "_apply(1)");
  setclosureframe(closure5315, stackframe);
  addtoclosure(closure5315, var_lower);
  addtoclosure(closure5315, var_upper);
  addtoclosure(closure5315, var_RequestError);
  addtoclosure(closure5315, selfslot);
  struct UserObject *uo5315 = (struct UserObject*)block5314;
  uo5315->data[0] = (Object)closure5315;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5315 = addmethod2pos(block5314, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5315, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5315[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5315->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5315);
  meth_meth_collectionsPrelude__apply_40_1_41_5315->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5315->definitionLine = 1990;
// compiled block node returning block5314 (depth = 3)
  gc_frame_newslot(block5314);
  params[0] = block5302;
  params[1] = block5314;
  Object matchres5301 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame5301);
// compiled matchcase node returning matchres5301 (depth = 2)
  sourceObject = obj5006;
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5345 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  Object call5346 = callmethodflags(*var_upper, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe5345);
// compiled member node returning call5346 (depth = 2)
  adddatum2(obj5006, call5346, 1);
  sourceObject = obj5006;
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_5348 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
  int callframe5350 = gc_frame_new();
// call case 4: self request
  Object call5351 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5350);
// compiled member node returning call5351 (depth = 4)
  int op_slot_left_5348 = gc_frame_newslot(call5351);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5352 = callmethod(call5351, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5352 (depth = 3)
  Object if5347 = done;
struct StackFrameObject *iftmpstackframe5347 = stackframe;
  if (istrue(opresult5352)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5347);
gc_frame_newslot((Object)stackframe);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5353 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5356 == NULL) {
    strlit5356 = alloc_String(") is not an integer");
    gc_root(strlit5356);
  }
// compiled string node returning strlit5356 (depth = 6)
  int op_slot_right_5355 = gc_frame_newslot(strlit5356);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5358 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5361 == NULL) {
    strlit5361 = alloc_String(")downTo(");
    gc_root(strlit5361);
  }
// compiled string node returning strlit5361 (depth = 8)
  int op_slot_right_5360 = gc_frame_newslot(strlit5361);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_5363 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit5365 == NULL) {
    strlit5365 = alloc_String(" in range.from(");
    gc_root(strlit5365);
  }
// compiled string node returning strlit5365 (depth = 9)
  int op_slot_left_5363 = gc_frame_newslot(strlit5365);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5366 = callmethod(strlit5365, "++(1)", 1, partcv, params);
// compiled op node returning opresult5366 (depth = 8)
  int op_slot_left_5360 = gc_frame_newslot(opresult5366);
  params[0] = strlit5361;
  partcv[0] = 1;
  Object opresult5367 = callmethod(opresult5366, "++(1)", 1, partcv, params);
// compiled op node returning opresult5367 (depth = 7)
  int op_slot_left_5358 = gc_frame_newslot(opresult5367);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5368 = callmethod(opresult5367, "++(1)", 1, partcv, params);
// compiled op node returning opresult5368 (depth = 6)
  int op_slot_left_5355 = gc_frame_newslot(opresult5368);
  params[0] = strlit5356;
  partcv[0] = 1;
  Object opresult5369 = callmethod(opresult5368, "++(1)", 1, partcv, params);
// compiled op node returning opresult5369 (depth = 5)
  int op_slot_right_5354 = gc_frame_newslot(opresult5369);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5372 == NULL) {
    strlit5372 = alloc_String("");
    gc_root(strlit5372);
  }
// compiled string node returning strlit5372 (depth = 6)
  int op_slot_right_5371 = gc_frame_newslot(strlit5372);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_5374 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit5376 == NULL) {
    strlit5376 = alloc_String("upper bound ");
    gc_root(strlit5376);
  }
// compiled string node returning strlit5376 (depth = 7)
  int op_slot_left_5374 = gc_frame_newslot(strlit5376);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5377 = callmethod(strlit5376, "++(1)", 1, partcv, params);
// compiled op node returning opresult5377 (depth = 6)
  int op_slot_left_5371 = gc_frame_newslot(opresult5377);
  params[0] = strlit5372;
  partcv[0] = 1;
  Object opresult5378 = callmethod(opresult5377, "++(1)", 1, partcv, params);
// compiled op node returning opresult5378 (depth = 5)
  int op_slot_left_5354 = gc_frame_newslot(opresult5378);
  params[0] = opresult5369;
  partcv[0] = 1;
  Object opresult5379 = callmethod(opresult5378, "++(1)", 1, partcv, params);
// compiled op node returning opresult5379 (depth = 4)
  gc_frame_newslot(opresult5379);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult5379;
  partcv[0] = 1;
  Object call5380 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5353);
// compiled call node returning call5380 (depth = 3)
    gc_frame_newslot(call5380);
    if5347 = call5380;
  } else {
  }
stackframe = iftmpstackframe5347;
// compiled if node returning if5347 (depth = 2)
  sourceObject = obj5006;
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame5381 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5382 = alloc_Block(NULL, NULL, "collectionsPrelude", 2003);
  gc_frame_newslot(block5382);
// method "_apply(_)"
  block_savedest(block5382);
  Object closure5383 = createclosure(1, "_apply(1)");
  setclosureframe(closure5383, stackframe);
  addtoclosure(closure5383, selfslot);
  struct UserObject *uo5383 = (struct UserObject*)block5382;
  uo5383->data[0] = (Object)closure5383;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5383 = addmethod2pos(block5382, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5383, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5383[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5383->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5383);
meth_meth_collectionsPrelude__apply_40_1_41_5383->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_5383->type->names[0] = "__26";
  meth_meth_collectionsPrelude__apply_40_1_41_5383->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5383->definitionLine = 1990;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5385 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe5386 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5387 == NULL) {
    strlit5387 = alloc_String("__26");
    gc_root(strlit5387);
  }
// compiled string node returning strlit5387 (depth = 6)
  gc_frame_newslot(strlit5387);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5388 = gc_frame_new();
// call case 5: prelude request
  Object call5389 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5388);
// compiled member node returning call5389 (depth = 6)
  params[0] = strlit5387;
  partcv[0] = 1;
  Object call5390 = callmethodflags(call5389, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5386);
// compiled call node returning call5390 (depth = 5)
  gc_frame_newslot(call5390);
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5391 = gc_frame_new();
// call case 5: prelude request
  Object call5392 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5391);
// compiled member node returning call5392 (depth = 5)
  params[0] = call5390;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call5393 = callmethodflags(call5392, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5385);
// compiled call node returning call5393 (depth = 4)
((struct UserObject *)block5382)->data[1] = call5393;
// compiled block node returning block5382 (depth = 3)
  gc_frame_newslot(block5382);
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5394 = alloc_Block(NULL, NULL, "collectionsPrelude", 2004);
  gc_frame_newslot(block5394);
// method "_apply(_)"
  block_savedest(block5394);
  Object closure5395 = createclosure(4, "_apply(1)");
  setclosureframe(closure5395, stackframe);
  addtoclosure(closure5395, var_lower);
  addtoclosure(closure5395, var_upper);
  addtoclosure(closure5395, var_RequestError);
  addtoclosure(closure5395, selfslot);
  struct UserObject *uo5395 = (struct UserObject*)block5394;
  uo5395->data[0] = (Object)closure5395;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5395 = addmethod2pos(block5394, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5395, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5395[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5395->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5395);
  meth_meth_collectionsPrelude__apply_40_1_41_5395->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5395->definitionLine = 1990;
// compiled block node returning block5394 (depth = 3)
  gc_frame_newslot(block5394);
  params[0] = block5382;
  params[1] = block5394;
  Object matchres5381 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame5381);
// compiled matchcase node returning matchres5381 (depth = 2)
  sourceObject = obj5006;
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5425 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  Object call5426 = callmethodflags(*var_lower, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe5425);
// compiled member node returning call5426 (depth = 2)
  adddatum2(obj5006, call5426, 2);
  sourceObject = obj5006;
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_5428 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
  int callframe5430 = gc_frame_new();
// call case 4: self request
  Object call5431 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5430);
// compiled member node returning call5431 (depth = 4)
  int op_slot_left_5428 = gc_frame_newslot(call5431);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5432 = callmethod(call5431, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5432 (depth = 3)
  Object if5427 = done;
struct StackFrameObject *iftmpstackframe5427 = stackframe;
  if (istrue(opresult5432)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5427);
gc_frame_newslot((Object)stackframe);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5433 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5436 == NULL) {
    strlit5436 = alloc_String(") is not an integer");
    gc_root(strlit5436);
  }
// compiled string node returning strlit5436 (depth = 6)
  int op_slot_right_5435 = gc_frame_newslot(strlit5436);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5438 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5441 == NULL) {
    strlit5441 = alloc_String(")downTo(");
    gc_root(strlit5441);
  }
// compiled string node returning strlit5441 (depth = 8)
  int op_slot_right_5440 = gc_frame_newslot(strlit5441);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_5443 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit5445 == NULL) {
    strlit5445 = alloc_String(" in range.from(");
    gc_root(strlit5445);
  }
// compiled string node returning strlit5445 (depth = 9)
  int op_slot_left_5443 = gc_frame_newslot(strlit5445);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5446 = callmethod(strlit5445, "++(1)", 1, partcv, params);
// compiled op node returning opresult5446 (depth = 8)
  int op_slot_left_5440 = gc_frame_newslot(opresult5446);
  params[0] = strlit5441;
  partcv[0] = 1;
  Object opresult5447 = callmethod(opresult5446, "++(1)", 1, partcv, params);
// compiled op node returning opresult5447 (depth = 7)
  int op_slot_left_5438 = gc_frame_newslot(opresult5447);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5448 = callmethod(opresult5447, "++(1)", 1, partcv, params);
// compiled op node returning opresult5448 (depth = 6)
  int op_slot_left_5435 = gc_frame_newslot(opresult5448);
  params[0] = strlit5436;
  partcv[0] = 1;
  Object opresult5449 = callmethod(opresult5448, "++(1)", 1, partcv, params);
// compiled op node returning opresult5449 (depth = 5)
  int op_slot_right_5434 = gc_frame_newslot(opresult5449);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5452 == NULL) {
    strlit5452 = alloc_String("");
    gc_root(strlit5452);
  }
// compiled string node returning strlit5452 (depth = 6)
  int op_slot_right_5451 = gc_frame_newslot(strlit5452);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5454 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit5456 == NULL) {
    strlit5456 = alloc_String("lower bound ");
    gc_root(strlit5456);
  }
// compiled string node returning strlit5456 (depth = 7)
  int op_slot_left_5454 = gc_frame_newslot(strlit5456);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5457 = callmethod(strlit5456, "++(1)", 1, partcv, params);
// compiled op node returning opresult5457 (depth = 6)
  int op_slot_left_5451 = gc_frame_newslot(opresult5457);
  params[0] = strlit5452;
  partcv[0] = 1;
  Object opresult5458 = callmethod(opresult5457, "++(1)", 1, partcv, params);
// compiled op node returning opresult5458 (depth = 5)
  int op_slot_left_5434 = gc_frame_newslot(opresult5458);
  params[0] = opresult5449;
  partcv[0] = 1;
  Object opresult5459 = callmethod(opresult5458, "++(1)", 1, partcv, params);
// compiled op node returning opresult5459 (depth = 4)
  gc_frame_newslot(opresult5459);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult5459;
  partcv[0] = 1;
  Object call5460 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5433);
// compiled call node returning call5460 (depth = 3)
    gc_frame_newslot(call5460);
    if5427 = call5460;
  } else {
  }
stackframe = iftmpstackframe5427;
// compiled if node returning if5427 (depth = 2)
  sourceObject = obj5006;
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5463 = alloc_Float64(0);
// compiled num node returning num5463 (depth = 4)
  int op_slot_right_5462 = gc_frame_newslot(num5463);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5466 = alloc_Float64(1);
// compiled num node returning num5466 (depth = 5)
  int op_slot_right_5465 = gc_frame_newslot(num5466);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_5468 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_5468 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff5470 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff5470 (depth = 5)
  int op_slot_left_5465 = gc_frame_newslot(diff5470);
  params[0] = num5466;
  partcv[0] = 1;
  Object sum5471 = callmethod(diff5470, "+(1)", 1, partcv, params);
// compiled op node returning sum5471 (depth = 4)
  int op_slot_left_5462 = gc_frame_newslot(sum5471);
  params[0] = num5463;
  partcv[0] = 1;
  Object opresult5472 = callmethod(sum5471, "<(1)", 1, partcv, params);
// compiled op node returning opresult5472 (depth = 3)
  Object if5461 = done;
struct StackFrameObject *iftmpstackframe5461 = stackframe;
  if (istrue(opresult5472)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5461);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num5473 = alloc_Float64(0);
// compiled num node returning num5473 (depth = 3)
    gc_frame_newslot(num5473);
    if5461 = num5473;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5461);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5475 = alloc_Float64(1);
// compiled num node returning num5475 (depth = 4)
  int op_slot_right_5474 = gc_frame_newslot(num5475);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_5477 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_5477 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff5479 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff5479 (depth = 4)
  int op_slot_left_5474 = gc_frame_newslot(diff5479);
  params[0] = num5475;
  partcv[0] = 1;
  Object sum5480 = callmethod(diff5479, "+(1)", 1, partcv, params);
// compiled op node returning sum5480 (depth = 3)
    gc_frame_newslot(sum5480);
    if5461 = sum5480;
  }
stackframe = iftmpstackframe5461;
// compiled if node returning if5461 (depth = 2)
  adddatum2(obj5006, if5461, 3);
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  objclass5006 = obj5006->class;
  objclass5006->definitionModule = modulename;
  objclass5006->definitionLine = 1991;
  (*(struct UserObject *)self).data[0] = lowerouter5006;
  self = oldself5006;
  selfslot = oldselfslot5006;
  stackframe = oldstackframe5006;
  gc_frame_end(frame);
  return obj5006;
}
Object meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from(1)downTo(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method from(_)downTo(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method from(_)downTo(_)");
  Object params[2];
  int partcv[2];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var__prelude = getfromclosure(closure, 2);
  Object *var_indexable = getfromclosure(closure, 3);
  Object *var_Number = getfromclosure(closure, 4);
  Object *var_RequestError = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for from(_)downTo(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_upper = &(stackframe->slots[0]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *var_lower = &(stackframe->slots[1]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part downTo(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5006 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5006 = alloc_userobj2(22,23, objclass5006);
  gc_frame_newslot(obj5006);
if (objclass5006 == NULL) {
  glfree(obj5006->class->name);
  obj5006->class->name = "range.object";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5006, self, 0);
  addmethodreal(obj5006,"outer", &reader_collectionsPrelude_outer_5007);
  Object oldself5006 = self;
  struct StackFrameObject *oldstackframe5006 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5006);
  gc_frame_newslot((Object)stackframe);
  self = obj5006;
  Object *oldselfslot5006 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5006 = (*(struct UserObject *)self).data[0], lowerouter5006 = thisouter5006;
  if (inheritingObject5006) {
    struct UserObject *inho5006 = (struct UserObject *)inheritingObject5006;
    while (inho5006->super != GraceDefaultObject) inho5006 = (struct UserObject *)inho5006->super;
    inho5006->super = obj5006;
    self = inheritingObject5006;
    *selfslot = self;
    lowerouter5006 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5006;
  }
if (objclass5006 == NULL) {
  Method *reader5008 = addmethodrealflags(obj5006, "start",&reader_collectionsPrelude_start_5008, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5008->definitionModule = modulename;
  reader5008->definitionLine = 1997;
}
adddatum2(obj5006, alloc_Undefined(), 1);
if (objclass5006 == NULL) {
  Method *reader5009 = addmethodrealflags(obj5006, "stop",&reader_collectionsPrelude_stop_5009, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5009->definitionModule = modulename;
  reader5009->definitionLine = 2006;
}
adddatum2(obj5006, alloc_Undefined(), 2);
if (objclass5006 == NULL) {
  Method *reader5010 = addmethodrealflags(obj5006, "size",&reader_collectionsPrelude_size_5010, MFLAG_DEF);
  reader5010->definitionModule = modulename;
  reader5010->definitionLine = 2011;
}
adddatum2(obj5006, alloc_Undefined(), 3);
// method "iterator"
  block_savedest(obj5006);
  Object closure5011 = createclosure(1, "iterator");
  setclosureframe(closure5011, stackframe);
  addtoclosure(closure5011, var_IteratorExhausted);
  struct UserObject *uo5011 = (struct UserObject*)obj5006;
  uo5011->data[4] = (Object)closure5011;
  Method *meth_meth_collectionsPrelude_iterator5011 = addmethod2pos(obj5006, "iterator", &meth_collectionsPrelude_iterator5011, 4);
  int argcv_meth_collectionsPrelude_iterator5011[] = {0};
  meth_meth_collectionsPrelude_iterator5011->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5011);
  meth_meth_collectionsPrelude_iterator5011->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5011->definitionLine = 2013;
  block_savedest(obj5006);
  Object closure5090 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure5090, stackframe);
  addtoclosure(closure5090, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator5011_object = addmethod2pos(obj5006, "iterator$object(1)", &meth_collectionsPrelude_iterator5011_object, 4);
  meth_meth_collectionsPrelude_iterator5011_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5011_object->definitionLine = 2013;
// method "at(_)"
  block_savedest(obj5006);
  Object closure5091 = createclosure(1, "at(1)");
  setclosureframe(closure5091, stackframe);
  addtoclosure(closure5091, var_BoundsError);
  struct UserObject *uo5091 = (struct UserObject*)obj5006;
  uo5091->data[5] = (Object)closure5091;
  Method *meth_meth_collectionsPrelude_at_40_1_41_5091 = addmethod2pos(obj5006, "at(1)", &meth_collectionsPrelude_at_40_1_41_5091, 5);
  int argcv_meth_collectionsPrelude_at_40_1_41_5091[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_5091->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_5091);
meth_meth_collectionsPrelude_at_40_1_41_5091->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at_40_1_41_5091->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at_40_1_41_5091->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_5091->definitionLine = 2025;
// method "contains(_)"
  block_savedest(obj5006);
  Object closure5145 = createclosure(1, "contains(1)");
  setclosureframe(closure5145, stackframe);
  addtoclosure(closure5145, var__prelude);
  struct UserObject *uo5145 = (struct UserObject*)obj5006;
  uo5145->data[6] = (Object)closure5145;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_5145 = addmethod2pos(obj5006, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_5145, 6);
  int argcv_meth_collectionsPrelude_contains_40_1_41_5145[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_5145->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_5145);
  meth_meth_collectionsPrelude_contains_40_1_41_5145->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_5145->definitionLine = 2034;
// method "do(_)"
  struct UserObject *uo5187 = (struct UserObject*)obj5006;
  uo5187->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_5187 = addmethod2pos(obj5006, "do(1)", &meth_collectionsPrelude_do_40_1_41_5187, 7);
  int argcv_meth_collectionsPrelude_do_40_1_41_5187[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_5187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_5187);
  meth_meth_collectionsPrelude_do_40_1_41_5187->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_5187->definitionLine = 2043;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5210 = (struct UserObject*)obj5006;
  uo5210->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210 = addmethod2pos(obj5006, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5210->definitionLine = 2050;
// method "reversed"
  block_savedest(obj5006);
  Object closure5239 = createclosure(2, "reversed");
  setclosureframe(closure5239, stackframe);
  addtoclosure(closure5239, var_lower);
  addtoclosure(closure5239, var_upper);
  struct UserObject *uo5239 = (struct UserObject*)obj5006;
  uo5239->data[9] = (Object)closure5239;
  Method *meth_meth_collectionsPrelude_reversed5239 = addmethod2pos(obj5006, "reversed", &meth_collectionsPrelude_reversed5239, 9);
  int argcv_meth_collectionsPrelude_reversed5239[] = {0};
  meth_meth_collectionsPrelude_reversed5239->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed5239);
  meth_meth_collectionsPrelude_reversed5239->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed5239->definitionLine = 2059;
// method "++(_)"
  struct UserObject *uo5244 = (struct UserObject*)obj5006;
  uo5244->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_5244 = addmethod2pos(obj5006, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_5244, 10);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_5244[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_5244);
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_5244->definitionLine = 2062;
// method "==(_)"
  struct UserObject *uo5259 = (struct UserObject*)obj5006;
  uo5259->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_5259 = addmethod2pos(obj5006, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_5259, 11);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_5259[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_5259);
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_5259->definitionLine = 2065;
// method "sorted"
  struct UserObject *uo5266 = (struct UserObject*)obj5006;
  uo5266->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted5266 = addmethod2pos(obj5006, "sorted", &meth_collectionsPrelude_sorted5266, 12);
  int argcv_meth_collectionsPrelude_sorted5266[] = {0};
  meth_meth_collectionsPrelude_sorted5266->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted5266);
  meth_meth_collectionsPrelude_sorted5266->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted5266->definitionLine = 2068;
// method "sortedBy(_)"
  struct UserObject *uo5269 = (struct UserObject*)obj5006;
  uo5269->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_5269 = addmethod2pos(obj5006, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_5269, 13);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_5269[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_5269);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5269->definitionLine = 2070;
// method "keys"
  struct UserObject *uo5274 = (struct UserObject*)obj5006;
  uo5274->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys5274 = addmethod2pos(obj5006, "keys", &meth_collectionsPrelude_keys5274, 14);
  int argcv_meth_collectionsPrelude_keys5274[] = {0};
  meth_meth_collectionsPrelude_keys5274->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys5274);
  meth_meth_collectionsPrelude_keys5274->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys5274->definitionLine = 2072;
// method "values"
  struct UserObject *uo5281 = (struct UserObject*)obj5006;
  uo5281->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values5281 = addmethod2pos(obj5006, "values", &meth_collectionsPrelude_values5281, 15);
  int argcv_meth_collectionsPrelude_values5281[] = {0};
  meth_meth_collectionsPrelude_values5281->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values5281);
  meth_meth_collectionsPrelude_values5281->definitionModule = modulename;
  meth_meth_collectionsPrelude_values5281->definitionLine = 2074;
// method "asString"
  block_savedest(obj5006);
  Object closure5282 = createclosure(2, "asString");
  setclosureframe(closure5282, stackframe);
  addtoclosure(closure5282, var_lower);
  addtoclosure(closure5282, var_upper);
  struct UserObject *uo5282 = (struct UserObject*)obj5006;
  uo5282->data[16] = (Object)closure5282;
  Method *meth_meth_collectionsPrelude_asString5282 = addmethod2pos(obj5006, "asString", &meth_collectionsPrelude_asString5282, 16);
  int argcv_meth_collectionsPrelude_asString5282[] = {0};
  meth_meth_collectionsPrelude_asString5282->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5282);
  meth_meth_collectionsPrelude_asString5282->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5282->definitionLine = 2076;
// method "asSequence"
  struct UserObject *uo5298 = (struct UserObject*)obj5006;
  uo5298->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence5298 = addmethod2pos(obj5006, "asSequence", &meth_collectionsPrelude_asSequence5298, 17);
  int argcv_meth_collectionsPrelude_asSequence5298[] = {0};
  meth_meth_collectionsPrelude_asSequence5298->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence5298);
  meth_meth_collectionsPrelude_asSequence5298->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence5298->definitionLine = 2079;
  sourceObject = obj5006;
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5299 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5300 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5299);
// compiled call node returning call5300 (depth = 2)
  struct UserObject *obj5006_uo = (struct UserObject *)obj5006;
  obj5006_uo->super = call5300;
  sourceObject = obj5006;
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame5301 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5302 = alloc_Block(NULL, NULL, "collectionsPrelude", 1994);
  gc_frame_newslot(block5302);
// method "_apply(_)"
  block_savedest(block5302);
  Object closure5303 = createclosure(1, "_apply(1)");
  setclosureframe(closure5303, stackframe);
  addtoclosure(closure5303, selfslot);
  struct UserObject *uo5303 = (struct UserObject*)block5302;
  uo5303->data[0] = (Object)closure5303;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5303 = addmethod2pos(block5302, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5303, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5303[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5303->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5303);
meth_meth_collectionsPrelude__apply_40_1_41_5303->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_5303->type->names[0] = "__24";
  meth_meth_collectionsPrelude__apply_40_1_41_5303->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5303->definitionLine = 1990;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5305 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe5306 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5307 == NULL) {
    strlit5307 = alloc_String("__24");
    gc_root(strlit5307);
  }
// compiled string node returning strlit5307 (depth = 6)
  gc_frame_newslot(strlit5307);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5308 = gc_frame_new();
// call case 5: prelude request
  Object call5309 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5308);
// compiled member node returning call5309 (depth = 6)
  params[0] = strlit5307;
  partcv[0] = 1;
  Object call5310 = callmethodflags(call5309, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5306);
// compiled call node returning call5310 (depth = 5)
  gc_frame_newslot(call5310);
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5311 = gc_frame_new();
// call case 5: prelude request
  Object call5312 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5311);
// compiled member node returning call5312 (depth = 5)
  params[0] = call5310;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call5313 = callmethodflags(call5312, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5305);
// compiled call node returning call5313 (depth = 4)
((struct UserObject *)block5302)->data[1] = call5313;
// compiled block node returning block5302 (depth = 3)
  gc_frame_newslot(block5302);
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5314 = alloc_Block(NULL, NULL, "collectionsPrelude", 1995);
  gc_frame_newslot(block5314);
// method "_apply(_)"
  block_savedest(block5314);
  Object closure5315 = createclosure(4, "_apply(1)");
  setclosureframe(closure5315, stackframe);
  addtoclosure(closure5315, var_lower);
  addtoclosure(closure5315, var_upper);
  addtoclosure(closure5315, var_RequestError);
  addtoclosure(closure5315, selfslot);
  struct UserObject *uo5315 = (struct UserObject*)block5314;
  uo5315->data[0] = (Object)closure5315;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5315 = addmethod2pos(block5314, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5315, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5315[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5315->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5315);
  meth_meth_collectionsPrelude__apply_40_1_41_5315->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5315->definitionLine = 1990;
// compiled block node returning block5314 (depth = 3)
  gc_frame_newslot(block5314);
  params[0] = block5302;
  params[1] = block5314;
  Object matchres5301 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame5301);
// compiled matchcase node returning matchres5301 (depth = 2)
  sourceObject = obj5006;
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5345 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  Object call5346 = callmethodflags(*var_upper, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe5345);
// compiled member node returning call5346 (depth = 2)
  adddatum2(obj5006, call5346, 1);
  sourceObject = obj5006;
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_5348 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
  int callframe5350 = gc_frame_new();
// call case 4: self request
  Object call5351 = callmethodflags(self, "start", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5350);
// compiled member node returning call5351 (depth = 4)
  int op_slot_left_5348 = gc_frame_newslot(call5351);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5352 = callmethod(call5351, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5352 (depth = 3)
  Object if5347 = done;
struct StackFrameObject *iftmpstackframe5347 = stackframe;
  if (istrue(opresult5352)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5347);
gc_frame_newslot((Object)stackframe);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5353 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5356 == NULL) {
    strlit5356 = alloc_String(") is not an integer");
    gc_root(strlit5356);
  }
// compiled string node returning strlit5356 (depth = 6)
  int op_slot_right_5355 = gc_frame_newslot(strlit5356);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5358 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5361 == NULL) {
    strlit5361 = alloc_String(")downTo(");
    gc_root(strlit5361);
  }
// compiled string node returning strlit5361 (depth = 8)
  int op_slot_right_5360 = gc_frame_newslot(strlit5361);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_5363 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit5365 == NULL) {
    strlit5365 = alloc_String(" in range.from(");
    gc_root(strlit5365);
  }
// compiled string node returning strlit5365 (depth = 9)
  int op_slot_left_5363 = gc_frame_newslot(strlit5365);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5366 = callmethod(strlit5365, "++(1)", 1, partcv, params);
// compiled op node returning opresult5366 (depth = 8)
  int op_slot_left_5360 = gc_frame_newslot(opresult5366);
  params[0] = strlit5361;
  partcv[0] = 1;
  Object opresult5367 = callmethod(opresult5366, "++(1)", 1, partcv, params);
// compiled op node returning opresult5367 (depth = 7)
  int op_slot_left_5358 = gc_frame_newslot(opresult5367);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5368 = callmethod(opresult5367, "++(1)", 1, partcv, params);
// compiled op node returning opresult5368 (depth = 6)
  int op_slot_left_5355 = gc_frame_newslot(opresult5368);
  params[0] = strlit5356;
  partcv[0] = 1;
  Object opresult5369 = callmethod(opresult5368, "++(1)", 1, partcv, params);
// compiled op node returning opresult5369 (depth = 5)
  int op_slot_right_5354 = gc_frame_newslot(opresult5369);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5372 == NULL) {
    strlit5372 = alloc_String("");
    gc_root(strlit5372);
  }
// compiled string node returning strlit5372 (depth = 6)
  int op_slot_right_5371 = gc_frame_newslot(strlit5372);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_5374 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit5376 == NULL) {
    strlit5376 = alloc_String("upper bound ");
    gc_root(strlit5376);
  }
// compiled string node returning strlit5376 (depth = 7)
  int op_slot_left_5374 = gc_frame_newslot(strlit5376);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5377 = callmethod(strlit5376, "++(1)", 1, partcv, params);
// compiled op node returning opresult5377 (depth = 6)
  int op_slot_left_5371 = gc_frame_newslot(opresult5377);
  params[0] = strlit5372;
  partcv[0] = 1;
  Object opresult5378 = callmethod(opresult5377, "++(1)", 1, partcv, params);
// compiled op node returning opresult5378 (depth = 5)
  int op_slot_left_5354 = gc_frame_newslot(opresult5378);
  params[0] = opresult5369;
  partcv[0] = 1;
  Object opresult5379 = callmethod(opresult5378, "++(1)", 1, partcv, params);
// compiled op node returning opresult5379 (depth = 4)
  gc_frame_newslot(opresult5379);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult5379;
  partcv[0] = 1;
  Object call5380 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5353);
// compiled call node returning call5380 (depth = 3)
    gc_frame_newslot(call5380);
    if5347 = call5380;
  } else {
  }
stackframe = iftmpstackframe5347;
// compiled if node returning if5347 (depth = 2)
  sourceObject = obj5006;
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame5381 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5382 = alloc_Block(NULL, NULL, "collectionsPrelude", 2003);
  gc_frame_newslot(block5382);
// method "_apply(_)"
  block_savedest(block5382);
  Object closure5383 = createclosure(1, "_apply(1)");
  setclosureframe(closure5383, stackframe);
  addtoclosure(closure5383, selfslot);
  struct UserObject *uo5383 = (struct UserObject*)block5382;
  uo5383->data[0] = (Object)closure5383;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5383 = addmethod2pos(block5382, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5383, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5383[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5383->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5383);
meth_meth_collectionsPrelude__apply_40_1_41_5383->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply_40_1_41_5383->type->names[0] = "__26";
  meth_meth_collectionsPrelude__apply_40_1_41_5383->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5383->definitionLine = 1990;
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5385 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe5386 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5387 == NULL) {
    strlit5387 = alloc_String("__26");
    gc_root(strlit5387);
  }
// compiled string node returning strlit5387 (depth = 6)
  gc_frame_newslot(strlit5387);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5388 = gc_frame_new();
// call case 5: prelude request
  Object call5389 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5388);
// compiled member node returning call5389 (depth = 6)
  params[0] = strlit5387;
  partcv[0] = 1;
  Object call5390 = callmethodflags(call5389, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5386);
// compiled call node returning call5390 (depth = 5)
  gc_frame_newslot(call5390);
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other requests
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5391 = gc_frame_new();
// call case 5: prelude request
  Object call5392 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5391);
// compiled member node returning call5392 (depth = 5)
  params[0] = call5390;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call5393 = callmethodflags(call5392, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5385);
// compiled call node returning call5393 (depth = 4)
((struct UserObject *)block5382)->data[1] = call5393;
// compiled block node returning block5382 (depth = 3)
  gc_frame_newslot(block5382);
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block5394 = alloc_Block(NULL, NULL, "collectionsPrelude", 2004);
  gc_frame_newslot(block5394);
// method "_apply(_)"
  block_savedest(block5394);
  Object closure5395 = createclosure(4, "_apply(1)");
  setclosureframe(closure5395, stackframe);
  addtoclosure(closure5395, var_lower);
  addtoclosure(closure5395, var_upper);
  addtoclosure(closure5395, var_RequestError);
  addtoclosure(closure5395, selfslot);
  struct UserObject *uo5395 = (struct UserObject*)block5394;
  uo5395->data[0] = (Object)closure5395;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5395 = addmethod2pos(block5394, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5395, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5395[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5395->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5395);
  meth_meth_collectionsPrelude__apply_40_1_41_5395->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5395->definitionLine = 1990;
// compiled block node returning block5394 (depth = 3)
  gc_frame_newslot(block5394);
  params[0] = block5382;
  params[1] = block5394;
  Object matchres5381 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame5381);
// compiled matchcase node returning matchres5381 (depth = 2)
  sourceObject = obj5006;
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5425 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  Object call5426 = callmethodflags(*var_lower, "truncated", 0, partcv, params, 0);
  gc_frame_end(callframe5425);
// compiled member node returning call5426 (depth = 2)
  adddatum2(obj5006, call5426, 2);
  sourceObject = obj5006;
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_5428 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
  int callframe5430 = gc_frame_new();
// call case 4: self request
  Object call5431 = callmethodflags(self, "stop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5430);
// compiled member node returning call5431 (depth = 4)
  int op_slot_left_5428 = gc_frame_newslot(call5431);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5432 = callmethod(call5431, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5432 (depth = 3)
  Object if5427 = done;
struct StackFrameObject *iftmpstackframe5427 = stackframe;
  if (istrue(opresult5432)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5427);
gc_frame_newslot((Object)stackframe);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5433 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5436 == NULL) {
    strlit5436 = alloc_String(") is not an integer");
    gc_root(strlit5436);
  }
// compiled string node returning strlit5436 (depth = 6)
  int op_slot_right_5435 = gc_frame_newslot(strlit5436);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5438 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5441 == NULL) {
    strlit5441 = alloc_String(")downTo(");
    gc_root(strlit5441);
  }
// compiled string node returning strlit5441 (depth = 8)
  int op_slot_right_5440 = gc_frame_newslot(strlit5441);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_5443 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit5445 == NULL) {
    strlit5445 = alloc_String(" in range.from(");
    gc_root(strlit5445);
  }
// compiled string node returning strlit5445 (depth = 9)
  int op_slot_left_5443 = gc_frame_newslot(strlit5445);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult5446 = callmethod(strlit5445, "++(1)", 1, partcv, params);
// compiled op node returning opresult5446 (depth = 8)
  int op_slot_left_5440 = gc_frame_newslot(opresult5446);
  params[0] = strlit5441;
  partcv[0] = 1;
  Object opresult5447 = callmethod(opresult5446, "++(1)", 1, partcv, params);
// compiled op node returning opresult5447 (depth = 7)
  int op_slot_left_5438 = gc_frame_newslot(opresult5447);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5448 = callmethod(opresult5447, "++(1)", 1, partcv, params);
// compiled op node returning opresult5448 (depth = 6)
  int op_slot_left_5435 = gc_frame_newslot(opresult5448);
  params[0] = strlit5436;
  partcv[0] = 1;
  Object opresult5449 = callmethod(opresult5448, "++(1)", 1, partcv, params);
// compiled op node returning opresult5449 (depth = 5)
  int op_slot_right_5434 = gc_frame_newslot(opresult5449);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5452 == NULL) {
    strlit5452 = alloc_String("");
    gc_root(strlit5452);
  }
// compiled string node returning strlit5452 (depth = 6)
  int op_slot_right_5451 = gc_frame_newslot(strlit5452);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_5454 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit5456 == NULL) {
    strlit5456 = alloc_String("lower bound ");
    gc_root(strlit5456);
  }
// compiled string node returning strlit5456 (depth = 7)
  int op_slot_left_5454 = gc_frame_newslot(strlit5456);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult5457 = callmethod(strlit5456, "++(1)", 1, partcv, params);
// compiled op node returning opresult5457 (depth = 6)
  int op_slot_left_5451 = gc_frame_newslot(opresult5457);
  params[0] = strlit5452;
  partcv[0] = 1;
  Object opresult5458 = callmethod(opresult5457, "++(1)", 1, partcv, params);
// compiled op node returning opresult5458 (depth = 5)
  int op_slot_left_5434 = gc_frame_newslot(opresult5458);
  params[0] = opresult5449;
  partcv[0] = 1;
  Object opresult5459 = callmethod(opresult5458, "++(1)", 1, partcv, params);
// compiled op node returning opresult5459 (depth = 4)
  gc_frame_newslot(opresult5459);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_RequestError (depth = 4)
  params[0] = opresult5459;
  partcv[0] = 1;
  Object call5460 = callmethodflags(*var_RequestError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5433);
// compiled call node returning call5460 (depth = 3)
    gc_frame_newslot(call5460);
    if5427 = call5460;
  } else {
  }
stackframe = iftmpstackframe5427;
// compiled if node returning if5427 (depth = 2)
  sourceObject = obj5006;
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5463 = alloc_Float64(0);
// compiled num node returning num5463 (depth = 4)
  int op_slot_right_5462 = gc_frame_newslot(num5463);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5466 = alloc_Float64(1);
// compiled num node returning num5466 (depth = 5)
  int op_slot_right_5465 = gc_frame_newslot(num5466);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_5468 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_5468 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff5470 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff5470 (depth = 5)
  int op_slot_left_5465 = gc_frame_newslot(diff5470);
  params[0] = num5466;
  partcv[0] = 1;
  Object sum5471 = callmethod(diff5470, "+(1)", 1, partcv, params);
// compiled op node returning sum5471 (depth = 4)
  int op_slot_left_5462 = gc_frame_newslot(sum5471);
  params[0] = num5463;
  partcv[0] = 1;
  Object opresult5472 = callmethod(sum5471, "<(1)", 1, partcv, params);
// compiled op node returning opresult5472 (depth = 3)
  Object if5461 = done;
struct StackFrameObject *iftmpstackframe5461 = stackframe;
  if (istrue(opresult5472)) {
stackframe = alloc_StackFrame(0, iftmpstackframe5461);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num5473 = alloc_Float64(0);
// compiled num node returning num5473 (depth = 3)
    gc_frame_newslot(num5473);
    if5461 = num5473;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe5461);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5475 = alloc_Float64(1);
// compiled num node returning num5475 (depth = 4)
  int op_slot_right_5474 = gc_frame_newslot(num5475);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_5477 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_5477 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff5479 = callmethod(*var_upper, "-(1)", 1, partcv, params);
// compiled op node returning diff5479 (depth = 4)
  int op_slot_left_5474 = gc_frame_newslot(diff5479);
  params[0] = num5475;
  partcv[0] = 1;
  Object sum5480 = callmethod(diff5479, "+(1)", 1, partcv, params);
// compiled op node returning sum5480 (depth = 3)
    gc_frame_newslot(sum5480);
    if5461 = sum5480;
  }
stackframe = iftmpstackframe5461;
// compiled if node returning if5461 (depth = 2)
  adddatum2(obj5006, if5461, 3);
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  sourceObject = obj5006;
  objclass5006 = obj5006->class;
  objclass5006->definitionModule = modulename;
  objclass5006->definitionLine = 1991;
  (*(struct UserObject *)self).data[0] = lowerouter5006;
  self = oldself5006;
  selfslot = oldselfslot5006;
  stackframe = oldstackframe5006;
  gc_frame_end(frame);
  return obj5006;
}
Object meth_collectionsPrelude_range4503(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Number = getfromclosure(closure, 0);
  Object *var_RequestError = getfromclosure(closure, 1);
  Object *var_IteratorExhausted = getfromclosure(closure, 2);
  Object *var_BoundsError = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4504 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4504 = alloc_userobj2(5,6, objclass4504);
  gc_frame_newslot(obj4504);
if (objclass4504 == NULL) {
  glfree(obj4504->class->name);
  obj4504->class->name = "range";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4504, self, 0);
  addmethodreal(obj4504,"outer", &reader_collectionsPrelude_outer_4505);
  Object oldself4504 = self;
  struct StackFrameObject *oldstackframe4504 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4504);
  gc_frame_newslot((Object)stackframe);
  self = obj4504;
  Object *oldselfslot4504 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4504 = (*(struct UserObject *)self).data[0], lowerouter4504 = thisouter4504;
  if (inheritingObject4504) {
    struct UserObject *inho4504 = (struct UserObject *)inheritingObject4504;
    while (inho4504->super != GraceDefaultObject) inho4504 = (struct UserObject *)inho4504->super;
    inho4504->super = obj4504;
    self = inheritingObject4504;
    *selfslot = self;
    lowerouter4504 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4504;
  }
// method "from(_)to(_)"
  block_savedest(obj4504);
  Object closure4506 = createclosure(2, "from(1)to(1)");
  setclosureframe(closure4506, stackframe);
  addtoclosure(closure4506, var_Number);
  addtoclosure(closure4506, var_RequestError);
  struct UserObject *uo4506 = (struct UserObject*)obj4504;
  uo4506->data[1] = (Object)closure4506;
  Method *meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506 = addmethod2pos(obj4504, "from(1)to(1)", &meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506, 1);
  int argcv_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506[] = {1, 1};
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506);
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->definitionLine = 1877;
// method "uncheckedFrom(_)to(_)"
  block_savedest(obj4504);
  Object closure4651 = createclosure(4, "uncheckedFrom(1)to(1)");
  setclosureframe(closure4651, stackframe);
  addtoclosure(closure4651, var_IteratorExhausted);
  addtoclosure(closure4651, var_BoundsError);
  addtoclosure(closure4651, var__prelude);
  addtoclosure(closure4651, var_indexable);
  struct UserObject *uo4651 = (struct UserObject*)obj4504;
  uo4651->data[2] = (Object)closure4651;
  Method *meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651 = addmethod2pos(obj4504, "uncheckedFrom(1)to(1)", &meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651, 2);
  int argcv_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651[] = {1, 1};
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651);
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->definitionModule = modulename;
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->definitionLine = 1900;
  block_savedest(obj4504);
  Object closure5004 = createclosure(4, "uncheckedFrom(1)to(1)$object(1)");
  setclosureframe(closure5004, stackframe);
  addtoclosure(closure5004, var_IteratorExhausted);
  addtoclosure(closure5004, var_BoundsError);
  addtoclosure(closure5004, var__prelude);
  addtoclosure(closure5004, var_indexable);
  Method *meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object = addmethod2pos(obj4504, "uncheckedFrom(1)to(1)$object(1)", &meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object, 2);
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object->definitionLine = 1900;
// method "from(_)downTo(_)"
  block_savedest(obj4504);
  Object closure5005 = createclosure(6, "from(1)downTo(1)");
  setclosureframe(closure5005, stackframe);
  addtoclosure(closure5005, var_IteratorExhausted);
  addtoclosure(closure5005, var_BoundsError);
  addtoclosure(closure5005, var__prelude);
  addtoclosure(closure5005, var_indexable);
  addtoclosure(closure5005, var_Number);
  addtoclosure(closure5005, var_RequestError);
  struct UserObject *uo5005 = (struct UserObject*)obj4504;
  uo5005->data[3] = (Object)closure5005;
  Method *meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005 = addmethod2pos(obj4504, "from(1)downTo(1)", &meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005, 3);
  int argcv_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005[] = {1, 1};
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005);
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->definitionLine = 1990;
  block_savedest(obj4504);
  Object closure5481 = createclosure(6, "from(1)downTo(1)$object(1)");
  setclosureframe(closure5481, stackframe);
  addtoclosure(closure5481, var_IteratorExhausted);
  addtoclosure(closure5481, var_BoundsError);
  addtoclosure(closure5481, var__prelude);
  addtoclosure(closure5481, var_indexable);
  addtoclosure(closure5481, var_Number);
  addtoclosure(closure5481, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object = addmethod2pos(obj4504, "from(1)downTo(1)$object(1)", &meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object, 3);
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object->definitionLine = 1990;
  sourceObject = obj4504;
  sourceObject = obj4504;
  sourceObject = obj4504;
  objclass4504 = obj4504->class;
  objclass4504->definitionModule = modulename;
  objclass4504->definitionLine = 1876;
  (*(struct UserObject *)self).data[0] = lowerouter4504;
  self = oldself4504;
  selfslot = oldselfslot4504;
  stackframe = oldstackframe4504;
  gc_frame_end(frame);
  return obj4504;
}
Object meth_collectionsPrelude_range4503_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_Number = getfromclosure(closure, 0);
  Object *var_RequestError = getfromclosure(closure, 1);
  Object *var_IteratorExhausted = getfromclosure(closure, 2);
  Object *var_BoundsError = getfromclosure(closure, 3);
  Object *var__prelude = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4504 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4504 = alloc_userobj2(5,6, objclass4504);
  gc_frame_newslot(obj4504);
if (objclass4504 == NULL) {
  glfree(obj4504->class->name);
  obj4504->class->name = "range";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4504, self, 0);
  addmethodreal(obj4504,"outer", &reader_collectionsPrelude_outer_4505);
  Object oldself4504 = self;
  struct StackFrameObject *oldstackframe4504 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4504);
  gc_frame_newslot((Object)stackframe);
  self = obj4504;
  Object *oldselfslot4504 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4504 = (*(struct UserObject *)self).data[0], lowerouter4504 = thisouter4504;
  if (inheritingObject4504) {
    struct UserObject *inho4504 = (struct UserObject *)inheritingObject4504;
    while (inho4504->super != GraceDefaultObject) inho4504 = (struct UserObject *)inho4504->super;
    inho4504->super = obj4504;
    self = inheritingObject4504;
    *selfslot = self;
    lowerouter4504 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4504;
  }
// method "from(_)to(_)"
  block_savedest(obj4504);
  Object closure4506 = createclosure(2, "from(1)to(1)");
  setclosureframe(closure4506, stackframe);
  addtoclosure(closure4506, var_Number);
  addtoclosure(closure4506, var_RequestError);
  struct UserObject *uo4506 = (struct UserObject*)obj4504;
  uo4506->data[1] = (Object)closure4506;
  Method *meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506 = addmethod2pos(obj4504, "from(1)to(1)", &meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506, 1);
  int argcv_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506[] = {1, 1};
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506);
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_to_40_1_41_4506->definitionLine = 1877;
// method "uncheckedFrom(_)to(_)"
  block_savedest(obj4504);
  Object closure4651 = createclosure(4, "uncheckedFrom(1)to(1)");
  setclosureframe(closure4651, stackframe);
  addtoclosure(closure4651, var_IteratorExhausted);
  addtoclosure(closure4651, var_BoundsError);
  addtoclosure(closure4651, var__prelude);
  addtoclosure(closure4651, var_indexable);
  struct UserObject *uo4651 = (struct UserObject*)obj4504;
  uo4651->data[2] = (Object)closure4651;
  Method *meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651 = addmethod2pos(obj4504, "uncheckedFrom(1)to(1)", &meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651, 2);
  int argcv_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651[] = {1, 1};
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651);
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->definitionModule = modulename;
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651->definitionLine = 1900;
  block_savedest(obj4504);
  Object closure5004 = createclosure(4, "uncheckedFrom(1)to(1)$object(1)");
  setclosureframe(closure5004, stackframe);
  addtoclosure(closure5004, var_IteratorExhausted);
  addtoclosure(closure5004, var_BoundsError);
  addtoclosure(closure5004, var__prelude);
  addtoclosure(closure5004, var_indexable);
  Method *meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object = addmethod2pos(obj4504, "uncheckedFrom(1)to(1)$object(1)", &meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object, 2);
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_uncheckedFrom_40_1_41_to_40_1_41_4651_object->definitionLine = 1900;
// method "from(_)downTo(_)"
  block_savedest(obj4504);
  Object closure5005 = createclosure(6, "from(1)downTo(1)");
  setclosureframe(closure5005, stackframe);
  addtoclosure(closure5005, var_IteratorExhausted);
  addtoclosure(closure5005, var_BoundsError);
  addtoclosure(closure5005, var__prelude);
  addtoclosure(closure5005, var_indexable);
  addtoclosure(closure5005, var_Number);
  addtoclosure(closure5005, var_RequestError);
  struct UserObject *uo5005 = (struct UserObject*)obj4504;
  uo5005->data[3] = (Object)closure5005;
  Method *meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005 = addmethod2pos(obj4504, "from(1)downTo(1)", &meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005, 3);
  int argcv_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005[] = {1, 1};
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005);
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005->definitionLine = 1990;
  block_savedest(obj4504);
  Object closure5481 = createclosure(6, "from(1)downTo(1)$object(1)");
  setclosureframe(closure5481, stackframe);
  addtoclosure(closure5481, var_IteratorExhausted);
  addtoclosure(closure5481, var_BoundsError);
  addtoclosure(closure5481, var__prelude);
  addtoclosure(closure5481, var_indexable);
  addtoclosure(closure5481, var_Number);
  addtoclosure(closure5481, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object = addmethod2pos(obj4504, "from(1)downTo(1)$object(1)", &meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object, 3);
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40_1_41_downTo_40_1_41_5005_object->definitionLine = 1990;
  sourceObject = obj4504;
  sourceObject = obj4504;
  sourceObject = obj4504;
  objclass4504 = obj4504->class;
  objclass4504->definitionModule = modulename;
  objclass4504->definitionLine = 1876;
  (*(struct UserObject *)self).data[0] = lowerouter4504;
  self = oldself4504;
  selfslot = oldselfslot4504;
  stackframe = oldstackframe4504;
  gc_frame_end(frame);
  return obj4504;
}
Object meth_collectionsPrelude_BoundsError5488(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "BoundsError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_BoundsError (depth = 3)
  gc_frame_end(frame);
  return *var_BoundsError;
}
Object meth_collectionsPrelude_IteratorExhausted5494(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "IteratorExhausted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_IteratorExhausted (depth = 3)
  gc_frame_end(frame);
  return *var_IteratorExhausted;
}
Object meth_collectionsPrelude_SubobjectResponsibility5500(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SubobjectResponsibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SubobjectResponsibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SubobjectResponsibility (depth = 3)
  gc_frame_end(frame);
  return *var_SubobjectResponsibility;
}
Object meth_collectionsPrelude_NoSuchObject5506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "NoSuchObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_NoSuchObject (depth = 3)
  gc_frame_end(frame);
  return *var_NoSuchObject;
}
Object meth_collectionsPrelude_RequestError5512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "RequestError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_RequestError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_RequestError (depth = 3)
  gc_frame_end(frame);
  return *var_RequestError;
}
Object meth_collectionsPrelude_ConcurrentModification5518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ConcurrentModification");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ConcurrentModification = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ConcurrentModification (depth = 3)
  gc_frame_end(frame);
  return *var_ConcurrentModification;
}
Object meth_collectionsPrelude_SizeUnknown5524(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SizeUnknown");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SizeUnknown (depth = 3)
  gc_frame_end(frame);
  return *var_SizeUnknown;
}
Object meth_collectionsPrelude_Block05527(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block0");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block0 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block0 (depth = 3)
  gc_frame_end(frame);
  return *var_Block0;
}
Object meth_collectionsPrelude_Block15530(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block1");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block1 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block1 (depth = 3)
  gc_frame_end(frame);
  return *var_Block1;
}
Object meth_collectionsPrelude_Block25533(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block2");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block2 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block2 (depth = 3)
  gc_frame_end(frame);
  return *var_Block2;
}
Object meth_collectionsPrelude_SelfType5535(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SelfType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SelfType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SelfType (depth = 3)
  gc_frame_end(frame);
  return *var_SelfType;
}
Object meth_collectionsPrelude_Iterable5541(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Iterable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Iterable (depth = 3)
  gc_frame_end(frame);
  return *var_Iterable;
}
Object meth_collectionsPrelude_Expandable5547(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Expandable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Expandable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Expandable (depth = 3)
  gc_frame_end(frame);
  return *var_Expandable;
}
Object meth_collectionsPrelude_Collection5553(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Collection");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  gc_frame_end(frame);
  return *var_Collection;
}
Object meth_collectionsPrelude_Enumerable5559(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Enumerable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Enumerable (depth = 3)
  gc_frame_end(frame);
  return *var_Enumerable;
}
Object meth_collectionsPrelude_Sequence5565(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Sequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Sequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Sequence (depth = 3)
  gc_frame_end(frame);
  return *var_Sequence;
}
Object meth_collectionsPrelude_List5571(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "List");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_List = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_List (depth = 3)
  gc_frame_end(frame);
  return *var_List;
}
Object meth_collectionsPrelude_Set5577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Set");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Set = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Set (depth = 3)
  gc_frame_end(frame);
  return *var_Set;
}
Object meth_collectionsPrelude_Dictionary5583(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Dictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Dictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Dictionary (depth = 3)
  gc_frame_end(frame);
  return *var_Dictionary;
}
Object meth_collectionsPrelude_Iterator5586(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Iterator = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Iterator (depth = 3)
  gc_frame_end(frame);
  return *var_Iterator;
}
Object meth_collectionsPrelude_asString5592(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5593 == NULL) {
    strlit5593 = alloc_String("a collection TRAIT");
    gc_root(strlit5593);
  }
// compiled string node returning strlit5593 (depth = 3)
  gc_frame_end(frame);
  return strlit5593;
}
Object meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sizeIfUnknown(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sizeIfUnknown(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sizeIfUnknown(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sizeIfUnknown(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5595 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_action (depth = 4)
  Object call5596 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe5595);
// compiled member node returning call5596 (depth = 3)
  gc_frame_end(frame);
  return call5596;
}
Object meth_collectionsPrelude_size5597(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5598 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5599 == NULL) {
    strlit5599 = alloc_String("this collection does not know its size");
    gc_root(strlit5599);
  }
// compiled string node returning strlit5599 (depth = 4)
  gc_frame_newslot(strlit5599);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_SizeUnknown (depth = 4)
  params[0] = strlit5599;
  partcv[0] = 1;
  Object call5600 = callmethodflags(*var_SizeUnknown, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5598);
// compiled call node returning call5600 (depth = 3)
  gc_frame_end(frame);
  return call5600;
}
Object meth_collectionsPrelude_do5601(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5602 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5603 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5604 = gc_frame_new();
// call case 3: self.outer request
  Object call5605 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5604);
// compiled member node returning call5605 (depth = 5)
  Object call5606 = callmethodflags(call5605, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5603);
// compiled member node returning call5606 (depth = 4)
  Object call5607 = callmethodflags(call5606, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5602);
// compiled member node returning call5607 (depth = 3)
  gc_frame_end(frame);
  return call5607;
}
Object meth_collectionsPrelude_iterator5608(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5609 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5610 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5611 = gc_frame_new();
// call case 3: self.outer request
  Object call5612 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5611);
// compiled member node returning call5612 (depth = 5)
  Object call5613 = callmethodflags(call5612, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5610);
// compiled member node returning call5613 (depth = 4)
  Object call5614 = callmethodflags(call5613, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5609);
// compiled member node returning call5614 (depth = 3)
  gc_frame_end(frame);
  return call5614;
}
Object meth_collectionsPrelude_isEmpty5615(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5616 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5618 = gc_frame_new();
// call case 4: self request
  Object call5619 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5618);
// compiled member node returning call5619 (depth = 5)
  Object call5620 = callmethodflags(call5619, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5617);
// compiled member node returning call5620 (depth = 4)
  Object call5621 = callmethodflags(call5620, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5616);
// compiled member node returning call5621 (depth = 3)
  gc_frame_end(frame);
  return call5621;
}
Object meth_collectionsPrelude_first5622(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "first");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_it = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "it");
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5623 = gc_frame_new();
// call case 4: self request
  Object call5624 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5623);
// compiled member node returning call5624 (depth = 4)
  *var_it = call5624;
  if (call5624 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5626 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_it (depth = 5)
  Object call5627 = callmethodflags(*var_it, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5626);
// compiled member node returning call5627 (depth = 4)
  Object if5625 = done;
  if (istrue(call5627)) {
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5628 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_it (depth = 5)
  Object call5629 = callmethodflags(*var_it, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5628);
// compiled member node returning call5629 (depth = 4)
    gc_frame_newslot(call5629);
    if5625 = call5629;
  } else {
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5630 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5632 == NULL) {
    strlit5632 = alloc_String("");
    gc_root(strlit5632);
  }
// compiled string node returning strlit5632 (depth = 6)
  int op_slot_right_5631 = gc_frame_newslot(strlit5632);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  int op_slot_right_5634 = gc_frame_newslot(self);
// starting to compile string node (depth = 7)
  if (strlit5636 == NULL) {
    strlit5636 = alloc_String("no first element in ");
    gc_root(strlit5636);
  }
// compiled string node returning strlit5636 (depth = 7)
  int op_slot_left_5634 = gc_frame_newslot(strlit5636);
  params[0] = self;
  partcv[0] = 1;
  Object opresult5637 = callmethod(strlit5636, "++(1)", 1, partcv, params);
// compiled op node returning opresult5637 (depth = 6)
  int op_slot_left_5631 = gc_frame_newslot(opresult5637);
  params[0] = strlit5632;
  partcv[0] = 1;
  Object opresult5638 = callmethod(opresult5637, "++(1)", 1, partcv, params);
// compiled op node returning opresult5638 (depth = 5)
  gc_frame_newslot(opresult5638);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_BoundsError (depth = 5)
  params[0] = opresult5638;
  partcv[0] = 1;
  Object call5639 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5630);
// compiled call node returning call5639 (depth = 4)
    gc_frame_newslot(call5639);
    if5625 = call5639;
  }
// compiled if node returning if5625 (depth = 3)
  gc_frame_end(frame);
  return if5625;
}
Object meth_collectionsPrelude__apply_40_1_41_5645(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_firstTime = getfromclosure(closure, 0);
  Object *var_block0 = getfromclosure(closure, 1);
  Object *var_block1 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_firstTime (depth = 6)
  Object if5646 = done;
  if (istrue(*var_firstTime)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool5647 = alloc_Boolean(0);
// compiled identifier node returning bool5647 (depth = 7)
  *var_firstTime = bool5647;
  if (bool5647 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if5646 = done;
  } else {
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5649 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_block0 (depth = 7)
  Object call5650 = callmethodflags(*var_block0, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe5649);
// compiled member node returning call5650 (depth = 6)
    gc_frame_newslot(call5650);
    if5646 = call5650;
  }
// compiled if node returning if5646 (depth = 5)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5651 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call5652 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5651);
// compiled call node returning call5652 (depth = 5)
  gc_frame_end(frame);
  return call5652;
}
Object meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)separatedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)separatedBy(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)separatedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for do(_)separatedBy(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *var_block0 = &(stackframe->slots[1]);
  *var_block0 = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part separatedBy(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_firstTime = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "firstTime");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5641 = alloc_Boolean(1);
// compiled identifier node returning bool5641 (depth = 4)
  *var_firstTime = bool5641;
  if (bool5641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5642 = alloc_Float64(0);
// compiled num node returning num5642 (depth = 4)
  *var_i = num5642;
  if (num5642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5643 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5644 = alloc_Block(NULL, NULL, "collectionsPrelude", 278);
  gc_frame_newslot(block5644);
// method "_apply(_)"
  block_savedest(block5644);
  Object closure5645 = createclosure(4, "_apply(1)");
  setclosureframe(closure5645, stackframe);
  addtoclosure(closure5645, var_firstTime);
  addtoclosure(closure5645, var_block0);
  addtoclosure(closure5645, var_block1);
  addtoclosure(closure5645, selfslot);
  struct UserObject *uo5645 = (struct UserObject*)block5644;
  uo5645->data[0] = (Object)closure5645;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5645 = addmethod2pos(block5644, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5645, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5645[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5645->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5645);
  meth_meth_collectionsPrelude__apply_40_1_41_5645->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5645->definitionLine = 1990;
// compiled block node returning block5644 (depth = 4)
  gc_frame_newslot(block5644);
// call case 4: self request
  params[0] = block5644;
  partcv[0] = 1;
  Object call5654 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5643);
// compiled call node returning call5654 (depth = 3)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  return self;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_reduce_40_2_41_5655(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reduce(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method reduce(_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for reduce(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_initial = &(stackframe->slots[0]);
  *var_initial = args[curarg];
  curarg++;
  Object *var_blk = &(stackframe->slots[1]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part reduce(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5656 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_initial (depth = 4)
  gc_frame_newslot(*var_initial);
// call case 4: self request
  params[0] = *var_blk;
  params[1] = *var_initial;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5657 = callmethodflags(self, "fold(1)startingWith(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5656);
// compiled call node returning call5657 (depth = 3)
  gc_frame_end(frame);
  return call5657;
}
Object meth_collectionsPrelude__apply_40_1_41_5661(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object *var_blk = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_it = &(stackframe->slots[0]);
  *var_it = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5662 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_result (depth = 7)
  gc_frame_newslot(*var_result);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_it (depth = 7)
  gc_frame_newslot(*var_it);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  params[0] = *var_result;
  params[1] = *var_it;
  partcv[0] = 2;
  Object call5663 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5662);
// compiled call node returning call5663 (depth = 6)
  *var_result = call5663;
  if (call5663 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fold(1)startingWith(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fold(_)startingWith(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fold(_)startingWith(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for fold(_)startingWith(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part fold(_)");
  Object *var_initial = &(stackframe->slots[1]);
  *var_initial = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part startingWith(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_initial (depth = 4)
  *var_result = *var_initial;
  if (*var_initial == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5659 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5660 = alloc_Block(NULL, NULL, "collectionsPrelude", 294);
  gc_frame_newslot(block5660);
// method "_apply(_)"
  block_savedest(block5660);
  Object closure5661 = createclosure(3, "_apply(1)");
  setclosureframe(closure5661, stackframe);
  addtoclosure(closure5661, var_result);
  addtoclosure(closure5661, var_blk);
  addtoclosure(closure5661, selfslot);
  struct UserObject *uo5661 = (struct UserObject*)block5660;
  uo5661->data[0] = (Object)closure5661;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5661 = addmethod2pos(block5660, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5661, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5661[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5661->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5661);
  meth_meth_collectionsPrelude__apply_40_1_41_5661->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5661->definitionLine = 1990;
// compiled block node returning block5660 (depth = 4)
  gc_frame_newslot(block5660);
// call case 4: self request
  params[0] = block5660;
  partcv[0] = 1;
  Object call5666 = callmethodflags(self, "do(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5659);
// compiled call node returning call5666 (depth = 3)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  return *var_result;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_map_40_1_41_5667(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for map(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_R = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_R = args[curarg++];
  } else {
    *var_R = Unknown;
  }
// End typeParams
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5668 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_block1 (depth = 4)
  gc_frame_newslot(*var_block1);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5669 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5670 = gc_frame_new();
// call case 3: self.outer request
  Object call5671 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5670);
// compiled member node returning call5671 (depth = 5)
  Object call5672 = callmethodflags(call5671, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5669);
// compiled member node returning call5672 (depth = 4)
  params[0] = self;
  params[1] = *var_block1;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5673 = callmethodflags(call5672, "lazySequenceOver(1)mappedBy(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5668);
// compiled call node returning call5673 (depth = 3)
  gc_frame_end(frame);
  return call5673;
}
Object meth_collectionsPrelude_filter_40_1_41_5674(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "filter(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method filter(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for filter(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_selectionCondition = &(stackframe->slots[0]);
  *var_selectionCondition = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part filter(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5675 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_selectionCondition (depth = 4)
  gc_frame_newslot(*var_selectionCondition);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5676 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5677 = gc_frame_new();
// call case 3: self.outer request
  Object call5678 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5677);
// compiled member node returning call5678 (depth = 5)
  Object call5679 = callmethodflags(call5678, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5676);
// compiled member node returning call5679 (depth = 4)
  params[0] = self;
  params[1] = *var_selectionCondition;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5680 = callmethodflags(call5679, "lazySequenceOver(1)filteredBy(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5675);
// compiled call node returning call5680 (depth = 3)
  gc_frame_end(frame);
  return call5680;
}
Object meth_collectionsPrelude_iter5681(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5682 = gc_frame_new();
// call case 4: self request
  Object call5683 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5682);
// compiled member node returning call5683 (depth = 3)
  gc_frame_end(frame);
  return call5683;
}
Object meth_collectionsPrelude_asSequence5684(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5685 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5686 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5687 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5688 = gc_frame_new();
// call case 3: self.outer request
  Object call5689 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5688);
// compiled member node returning call5689 (depth = 6)
  Object call5690 = callmethodflags(call5689, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5687);
// compiled member node returning call5690 (depth = 5)
  Object call5691 = callmethodflags(call5690, "sequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5686);
// compiled member node returning call5691 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5692 = callmethodflags(call5691, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5685);
// compiled call node returning call5692 (depth = 3)
  gc_frame_end(frame);
  return call5692;
}
Object meth_collectionsPrelude_asList5693(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asList");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5694 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5695 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5696 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5697 = gc_frame_new();
// call case 3: self.outer request
  Object call5698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5697);
// compiled member node returning call5698 (depth = 6)
  Object call5699 = callmethodflags(call5698, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5696);
// compiled member node returning call5699 (depth = 5)
  Object call5700 = callmethodflags(call5699, "list", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5695);
// compiled member node returning call5700 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5701 = callmethodflags(call5700, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5694);
// compiled call node returning call5701 (depth = 3)
  gc_frame_end(frame);
  return call5701;
}
Object meth_collectionsPrelude_asSet5702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSet");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5703 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5704 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5705 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5706 = gc_frame_new();
// call case 3: self.outer request
  Object call5707 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5706);
// compiled member node returning call5707 (depth = 6)
  Object call5708 = callmethodflags(call5707, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5705);
// compiled member node returning call5708 (depth = 5)
  Object call5709 = callmethodflags(call5708, "set", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5704);
// compiled member node returning call5709 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5710 = callmethodflags(call5709, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5703);
// compiled call node returning call5710 (depth = 3)
  gc_frame_end(frame);
  return call5710;
}
Object meth_collectionsPrelude_TRAIT5589(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5590 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5590 = alloc_userobj2(16,17, objclass5590);
  gc_frame_newslot(obj5590);
if (objclass5590 == NULL) {
  glfree(obj5590->class->name);
  obj5590->class->name = "collection.collection.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5590, self, 0);
  addmethodreal(obj5590,"outer", &reader_collectionsPrelude_outer_5591);
  Object oldself5590 = self;
  struct StackFrameObject *oldstackframe5590 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5590);
  gc_frame_newslot((Object)stackframe);
  self = obj5590;
  Object *oldselfslot5590 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5590 = (*(struct UserObject *)self).data[0], lowerouter5590 = thisouter5590;
  if (inheritingObject5590) {
    struct UserObject *inho5590 = (struct UserObject *)inheritingObject5590;
    while (inho5590->super != GraceDefaultObject) inho5590 = (struct UserObject *)inho5590->super;
    inho5590->super = obj5590;
    self = inheritingObject5590;
    *selfslot = self;
    lowerouter5590 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5590;
  }
// method "asString"
  struct UserObject *uo5592 = (struct UserObject*)obj5590;
  uo5592->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5592 = addmethod2pos(obj5590, "asString", &meth_collectionsPrelude_asString5592, 1);
  int argcv_meth_collectionsPrelude_asString5592[] = {0};
  meth_meth_collectionsPrelude_asString5592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5592);
  meth_meth_collectionsPrelude_asString5592->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5592->definitionLine = 254;
// method "sizeIfUnknown(_)"
  struct UserObject *uo5594 = (struct UserObject*)obj5590;
  uo5594->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594 = addmethod2pos(obj5590, "sizeIfUnknown(1)", &meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594, 2);
  int argcv_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594[] = {1};
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594);
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->definitionModule = modulename;
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->definitionLine = 255;
// method "size"
  block_savedest(obj5590);
  Object closure5597 = createclosure(1, "size");
  setclosureframe(closure5597, stackframe);
  addtoclosure(closure5597, var_SizeUnknown);
  struct UserObject *uo5597 = (struct UserObject*)obj5590;
  uo5597->data[3] = (Object)closure5597;
  Method *meth_meth_collectionsPrelude_size5597 = addmethod2pos(obj5590, "size", &meth_collectionsPrelude_size5597, 3);
  int argcv_meth_collectionsPrelude_size5597[] = {0};
  meth_meth_collectionsPrelude_size5597->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5597);
  meth_meth_collectionsPrelude_size5597->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5597->definitionLine = 258;
// method "do"
  struct UserObject *uo5601 = (struct UserObject*)obj5590;
  uo5601->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do5601 = addmethod2pos(obj5590, "do", &meth_collectionsPrelude_do5601, 4);
  int argcv_meth_collectionsPrelude_do5601[] = {0};
  meth_meth_collectionsPrelude_do5601->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do5601);
  meth_meth_collectionsPrelude_do5601->definitionModule = modulename;
  meth_meth_collectionsPrelude_do5601->definitionLine = 261;
// method "iterator"
  struct UserObject *uo5608 = (struct UserObject*)obj5590;
  uo5608->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator5608 = addmethod2pos(obj5590, "iterator", &meth_collectionsPrelude_iterator5608, 5);
  int argcv_meth_collectionsPrelude_iterator5608[] = {0};
  meth_meth_collectionsPrelude_iterator5608->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5608);
  meth_meth_collectionsPrelude_iterator5608->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5608->definitionLine = 262;
// method "isEmpty"
  struct UserObject *uo5615 = (struct UserObject*)obj5590;
  uo5615->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty5615 = addmethod2pos(obj5590, "isEmpty", &meth_collectionsPrelude_isEmpty5615, 6);
  int argcv_meth_collectionsPrelude_isEmpty5615[] = {0};
  meth_meth_collectionsPrelude_isEmpty5615->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty5615);
  meth_meth_collectionsPrelude_isEmpty5615->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty5615->definitionLine = 263;
// method "first"
  block_savedest(obj5590);
  Object closure5622 = createclosure(1, "first");
  setclosureframe(closure5622, stackframe);
  addtoclosure(closure5622, var_BoundsError);
  struct UserObject *uo5622 = (struct UserObject*)obj5590;
  uo5622->data[7] = (Object)closure5622;
  Method *meth_meth_collectionsPrelude_first5622 = addmethod2pos(obj5590, "first", &meth_collectionsPrelude_first5622, 7);
  int argcv_meth_collectionsPrelude_first5622[] = {0};
  meth_meth_collectionsPrelude_first5622->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first5622);
  meth_meth_collectionsPrelude_first5622->definitionModule = modulename;
  meth_meth_collectionsPrelude_first5622->definitionLine = 267;
// method "do(_)separatedBy(_)"
  struct UserObject *uo5640 = (struct UserObject*)obj5590;
  uo5640->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640 = addmethod2pos(obj5590, "do(1)separatedBy(1)", &meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640, 8);
  int argcv_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640[] = {1, 1};
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640);
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->definitionLine = 275;
// method "reduce(_,_)"
  struct UserObject *uo5655 = (struct UserObject*)obj5590;
  uo5655->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reduce_40_2_41_5655 = addmethod2pos(obj5590, "reduce(2)", &meth_collectionsPrelude_reduce_40_2_41_5655, 9);
  int argcv_meth_collectionsPrelude_reduce_40_2_41_5655[] = {2};
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reduce_40_2_41_5655);
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->definitionModule = modulename;
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->definitionLine = 288;
// method "fold(_)startingWith(_)"
  struct UserObject *uo5658 = (struct UserObject*)obj5590;
  uo5658->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658 = addmethod2pos(obj5590, "fold(1)startingWith(1)", &meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658, 10);
  int argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658);
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->definitionLine = 292;
// method "map(_)"
  struct UserObject *uo5667 = (struct UserObject*)obj5590;
  uo5667->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_map_40_1_41_5667 = addmethod2pos(obj5590, "map(1)", &meth_collectionsPrelude_map_40_1_41_5667, 11);
  int argcv_meth_collectionsPrelude_map_40_1_41_5667[] = {1};
  meth_meth_collectionsPrelude_map_40_1_41_5667->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map_40_1_41_5667);
  meth_meth_collectionsPrelude_map_40_1_41_5667->definitionModule = modulename;
  meth_meth_collectionsPrelude_map_40_1_41_5667->definitionLine = 299;
// method "filter(_)"
  struct UserObject *uo5674 = (struct UserObject*)obj5590;
  uo5674->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_filter_40_1_41_5674 = addmethod2pos(obj5590, "filter(1)", &meth_collectionsPrelude_filter_40_1_41_5674, 12);
  int argcv_meth_collectionsPrelude_filter_40_1_41_5674[] = {1};
  meth_meth_collectionsPrelude_filter_40_1_41_5674->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter_40_1_41_5674);
  meth_meth_collectionsPrelude_filter_40_1_41_5674->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter_40_1_41_5674->definitionLine = 302;
// method "iter"
  struct UserObject *uo5681 = (struct UserObject*)obj5590;
  uo5681->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter5681 = addmethod2pos(obj5590, "iter", &meth_collectionsPrelude_iter5681, 13);
  int argcv_meth_collectionsPrelude_iter5681[] = {0};
  meth_meth_collectionsPrelude_iter5681->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter5681);
  meth_meth_collectionsPrelude_iter5681->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter5681->definitionLine = 306;
// method "asSequence"
  struct UserObject *uo5684 = (struct UserObject*)obj5590;
  uo5684->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence5684 = addmethod2pos(obj5590, "asSequence", &meth_collectionsPrelude_asSequence5684, 14);
  int argcv_meth_collectionsPrelude_asSequence5684[] = {0};
  meth_meth_collectionsPrelude_asSequence5684->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence5684);
  meth_meth_collectionsPrelude_asSequence5684->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence5684->definitionLine = 308;
// method "asList"
  struct UserObject *uo5693 = (struct UserObject*)obj5590;
  uo5693->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList5693 = addmethod2pos(obj5590, "asList", &meth_collectionsPrelude_asList5693, 15);
  int argcv_meth_collectionsPrelude_asList5693[] = {0};
  meth_meth_collectionsPrelude_asList5693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList5693);
  meth_meth_collectionsPrelude_asList5693->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList5693->definitionLine = 311;
// method "asSet"
  struct UserObject *uo5702 = (struct UserObject*)obj5590;
  uo5702->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet5702 = addmethod2pos(obj5590, "asSet", &meth_collectionsPrelude_asSet5702, 16);
  int argcv_meth_collectionsPrelude_asSet5702[] = {0};
  meth_meth_collectionsPrelude_asSet5702->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet5702);
  meth_meth_collectionsPrelude_asSet5702->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet5702->definitionLine = 314;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  objclass5590 = obj5590->class;
  objclass5590->definitionModule = modulename;
  objclass5590->definitionLine = 252;
  (*(struct UserObject *)self).data[0] = lowerouter5590;
  self = oldself5590;
  selfslot = oldselfslot5590;
  stackframe = oldstackframe5590;
  gc_frame_end(frame);
  return obj5590;
}
Object meth_collectionsPrelude_TRAIT5589_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5590 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5590 = alloc_userobj2(16,17, objclass5590);
  gc_frame_newslot(obj5590);
if (objclass5590 == NULL) {
  glfree(obj5590->class->name);
  obj5590->class->name = "collection.collection.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5590, self, 0);
  addmethodreal(obj5590,"outer", &reader_collectionsPrelude_outer_5591);
  Object oldself5590 = self;
  struct StackFrameObject *oldstackframe5590 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5590);
  gc_frame_newslot((Object)stackframe);
  self = obj5590;
  Object *oldselfslot5590 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5590 = (*(struct UserObject *)self).data[0], lowerouter5590 = thisouter5590;
  if (inheritingObject5590) {
    struct UserObject *inho5590 = (struct UserObject *)inheritingObject5590;
    while (inho5590->super != GraceDefaultObject) inho5590 = (struct UserObject *)inho5590->super;
    inho5590->super = obj5590;
    self = inheritingObject5590;
    *selfslot = self;
    lowerouter5590 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5590;
  }
// method "asString"
  struct UserObject *uo5592 = (struct UserObject*)obj5590;
  uo5592->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5592 = addmethod2pos(obj5590, "asString", &meth_collectionsPrelude_asString5592, 1);
  int argcv_meth_collectionsPrelude_asString5592[] = {0};
  meth_meth_collectionsPrelude_asString5592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5592);
  meth_meth_collectionsPrelude_asString5592->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5592->definitionLine = 254;
// method "sizeIfUnknown(_)"
  struct UserObject *uo5594 = (struct UserObject*)obj5590;
  uo5594->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594 = addmethod2pos(obj5590, "sizeIfUnknown(1)", &meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594, 2);
  int argcv_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594[] = {1};
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594);
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->definitionModule = modulename;
  meth_meth_collectionsPrelude_sizeIfUnknown_40_1_41_5594->definitionLine = 255;
// method "size"
  block_savedest(obj5590);
  Object closure5597 = createclosure(1, "size");
  setclosureframe(closure5597, stackframe);
  addtoclosure(closure5597, var_SizeUnknown);
  struct UserObject *uo5597 = (struct UserObject*)obj5590;
  uo5597->data[3] = (Object)closure5597;
  Method *meth_meth_collectionsPrelude_size5597 = addmethod2pos(obj5590, "size", &meth_collectionsPrelude_size5597, 3);
  int argcv_meth_collectionsPrelude_size5597[] = {0};
  meth_meth_collectionsPrelude_size5597->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5597);
  meth_meth_collectionsPrelude_size5597->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5597->definitionLine = 258;
// method "do"
  struct UserObject *uo5601 = (struct UserObject*)obj5590;
  uo5601->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do5601 = addmethod2pos(obj5590, "do", &meth_collectionsPrelude_do5601, 4);
  int argcv_meth_collectionsPrelude_do5601[] = {0};
  meth_meth_collectionsPrelude_do5601->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do5601);
  meth_meth_collectionsPrelude_do5601->definitionModule = modulename;
  meth_meth_collectionsPrelude_do5601->definitionLine = 261;
// method "iterator"
  struct UserObject *uo5608 = (struct UserObject*)obj5590;
  uo5608->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator5608 = addmethod2pos(obj5590, "iterator", &meth_collectionsPrelude_iterator5608, 5);
  int argcv_meth_collectionsPrelude_iterator5608[] = {0};
  meth_meth_collectionsPrelude_iterator5608->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5608);
  meth_meth_collectionsPrelude_iterator5608->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5608->definitionLine = 262;
// method "isEmpty"
  struct UserObject *uo5615 = (struct UserObject*)obj5590;
  uo5615->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty5615 = addmethod2pos(obj5590, "isEmpty", &meth_collectionsPrelude_isEmpty5615, 6);
  int argcv_meth_collectionsPrelude_isEmpty5615[] = {0};
  meth_meth_collectionsPrelude_isEmpty5615->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty5615);
  meth_meth_collectionsPrelude_isEmpty5615->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty5615->definitionLine = 263;
// method "first"
  block_savedest(obj5590);
  Object closure5622 = createclosure(1, "first");
  setclosureframe(closure5622, stackframe);
  addtoclosure(closure5622, var_BoundsError);
  struct UserObject *uo5622 = (struct UserObject*)obj5590;
  uo5622->data[7] = (Object)closure5622;
  Method *meth_meth_collectionsPrelude_first5622 = addmethod2pos(obj5590, "first", &meth_collectionsPrelude_first5622, 7);
  int argcv_meth_collectionsPrelude_first5622[] = {0};
  meth_meth_collectionsPrelude_first5622->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first5622);
  meth_meth_collectionsPrelude_first5622->definitionModule = modulename;
  meth_meth_collectionsPrelude_first5622->definitionLine = 267;
// method "do(_)separatedBy(_)"
  struct UserObject *uo5640 = (struct UserObject*)obj5590;
  uo5640->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640 = addmethod2pos(obj5590, "do(1)separatedBy(1)", &meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640, 8);
  int argcv_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640[] = {1, 1};
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640);
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_separatedBy_40_1_41_5640->definitionLine = 275;
// method "reduce(_,_)"
  struct UserObject *uo5655 = (struct UserObject*)obj5590;
  uo5655->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reduce_40_2_41_5655 = addmethod2pos(obj5590, "reduce(2)", &meth_collectionsPrelude_reduce_40_2_41_5655, 9);
  int argcv_meth_collectionsPrelude_reduce_40_2_41_5655[] = {2};
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reduce_40_2_41_5655);
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->definitionModule = modulename;
  meth_meth_collectionsPrelude_reduce_40_2_41_5655->definitionLine = 288;
// method "fold(_)startingWith(_)"
  struct UserObject *uo5658 = (struct UserObject*)obj5590;
  uo5658->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658 = addmethod2pos(obj5590, "fold(1)startingWith(1)", &meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658, 10);
  int argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658);
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5658->definitionLine = 292;
// method "map(_)"
  struct UserObject *uo5667 = (struct UserObject*)obj5590;
  uo5667->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_map_40_1_41_5667 = addmethod2pos(obj5590, "map(1)", &meth_collectionsPrelude_map_40_1_41_5667, 11);
  int argcv_meth_collectionsPrelude_map_40_1_41_5667[] = {1};
  meth_meth_collectionsPrelude_map_40_1_41_5667->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map_40_1_41_5667);
  meth_meth_collectionsPrelude_map_40_1_41_5667->definitionModule = modulename;
  meth_meth_collectionsPrelude_map_40_1_41_5667->definitionLine = 299;
// method "filter(_)"
  struct UserObject *uo5674 = (struct UserObject*)obj5590;
  uo5674->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_filter_40_1_41_5674 = addmethod2pos(obj5590, "filter(1)", &meth_collectionsPrelude_filter_40_1_41_5674, 12);
  int argcv_meth_collectionsPrelude_filter_40_1_41_5674[] = {1};
  meth_meth_collectionsPrelude_filter_40_1_41_5674->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter_40_1_41_5674);
  meth_meth_collectionsPrelude_filter_40_1_41_5674->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter_40_1_41_5674->definitionLine = 302;
// method "iter"
  struct UserObject *uo5681 = (struct UserObject*)obj5590;
  uo5681->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter5681 = addmethod2pos(obj5590, "iter", &meth_collectionsPrelude_iter5681, 13);
  int argcv_meth_collectionsPrelude_iter5681[] = {0};
  meth_meth_collectionsPrelude_iter5681->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter5681);
  meth_meth_collectionsPrelude_iter5681->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter5681->definitionLine = 306;
// method "asSequence"
  struct UserObject *uo5684 = (struct UserObject*)obj5590;
  uo5684->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence5684 = addmethod2pos(obj5590, "asSequence", &meth_collectionsPrelude_asSequence5684, 14);
  int argcv_meth_collectionsPrelude_asSequence5684[] = {0};
  meth_meth_collectionsPrelude_asSequence5684->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence5684);
  meth_meth_collectionsPrelude_asSequence5684->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence5684->definitionLine = 308;
// method "asList"
  struct UserObject *uo5693 = (struct UserObject*)obj5590;
  uo5693->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList5693 = addmethod2pos(obj5590, "asList", &meth_collectionsPrelude_asList5693, 15);
  int argcv_meth_collectionsPrelude_asList5693[] = {0};
  meth_meth_collectionsPrelude_asList5693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList5693);
  meth_meth_collectionsPrelude_asList5693->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList5693->definitionLine = 311;
// method "asSet"
  struct UserObject *uo5702 = (struct UserObject*)obj5590;
  uo5702->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet5702 = addmethod2pos(obj5590, "asSet", &meth_collectionsPrelude_asSet5702, 16);
  int argcv_meth_collectionsPrelude_asSet5702[] = {0};
  meth_meth_collectionsPrelude_asSet5702->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet5702);
  meth_meth_collectionsPrelude_asSet5702->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet5702->definitionLine = 314;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  sourceObject = obj5590;
  objclass5590 = obj5590->class;
  objclass5590->definitionModule = modulename;
  objclass5590->definitionLine = 252;
  (*(struct UserObject *)self).data[0] = lowerouter5590;
  self = oldself5590;
  selfslot = oldselfslot5590;
  stackframe = oldstackframe5590;
  gc_frame_end(frame);
  return obj5590;
}
Object meth_collectionsPrelude_asString5712(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5713 == NULL) {
    strlit5713 = alloc_String("class collection");
    gc_root(strlit5713);
  }
// compiled string node returning strlit5713 (depth = 3)
  gc_frame_end(frame);
  return strlit5713;
}
Object meth_collectionsPrelude_collection5714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "collection");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collection (depth = 3)
  gc_frame_end(frame);
  return *var_collection;
}
Object meth_collectionsPrelude_iterator5720(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5721 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5722 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5723 = gc_frame_new();
// call case 3: self.outer request
  Object call5724 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5723);
// compiled member node returning call5724 (depth = 5)
  Object call5725 = callmethodflags(call5724, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5722);
// compiled member node returning call5725 (depth = 4)
  Object call5726 = callmethodflags(call5725, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5721);
// compiled member node returning call5726 (depth = 3)
  gc_frame_end(frame);
  return call5726;
}
Object meth_collectionsPrelude_size5727(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5728 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5730 == NULL) {
    strlit5730 = alloc_String("");
    gc_root(strlit5730);
  }
// compiled string node returning strlit5730 (depth = 5)
  int op_slot_right_5729 = gc_frame_newslot(strlit5730);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5733 = gc_frame_new();
// call case 4: self request
  Object call5734 = callmethodflags(self, "asDebugString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5733);
// compiled member node returning call5734 (depth = 6)
  int op_slot_right_5732 = gc_frame_newslot(call5734);
// starting to compile string node (depth = 6)
  if (strlit5736 == NULL) {
    strlit5736 = alloc_String("size requested on ");
    gc_root(strlit5736);
  }
// compiled string node returning strlit5736 (depth = 6)
  int op_slot_left_5732 = gc_frame_newslot(strlit5736);
  params[0] = call5734;
  partcv[0] = 1;
  Object opresult5737 = callmethod(strlit5736, "++(1)", 1, partcv, params);
// compiled op node returning opresult5737 (depth = 5)
  int op_slot_left_5729 = gc_frame_newslot(opresult5737);
  params[0] = strlit5730;
  partcv[0] = 1;
  Object opresult5738 = callmethod(opresult5737, "++(1)", 1, partcv, params);
// compiled op node returning opresult5738 (depth = 4)
  gc_frame_newslot(opresult5738);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_SizeUnknown (depth = 4)
  params[0] = opresult5738;
  partcv[0] = 1;
  Object call5739 = callmethodflags(*var_SizeUnknown, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5728);
// compiled call node returning call5739 (depth = 3)
  gc_frame_end(frame);
  return call5739;
}
Object meth_collectionsPrelude__apply_40_2_41_5751(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5752 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5753 = callmethodflags(*var_result, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5752);
// compiled call node returning call5753 (depth = 5)
  gc_frame_end(frame);
  return call5753;
}
Object meth_collectionsPrelude_asDictionary5740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5741 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5742 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5743 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5744 = gc_frame_new();
// call case 3: self.outer request
  Object call5745 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5744);
// compiled member node returning call5745 (depth = 7)
  Object call5746 = callmethodflags(call5745, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5743);
// compiled member node returning call5746 (depth = 6)
  Object call5747 = callmethodflags(call5746, "dictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5742);
// compiled member node returning call5747 (depth = 5)
  Object call5748 = callmethodflags(call5747, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe5741);
// compiled member node returning call5748 (depth = 4)
  *var_result = call5748;
  if (call5748 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5749 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5750 = alloc_Block(NULL, NULL, "collectionsPrelude", 328);
  gc_frame_newslot(block5750);
// method "_apply(_,_)"
  block_savedest(block5750);
  Object closure5751 = createclosure(2, "_apply(2)");
  setclosureframe(closure5751, stackframe);
  addtoclosure(closure5751, var_result);
  addtoclosure(closure5751, selfslot);
  struct UserObject *uo5751 = (struct UserObject*)block5750;
  uo5751->data[0] = (Object)closure5751;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_5751 = addmethod2pos(block5750, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_5751, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_5751[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_5751->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_5751);
  meth_meth_collectionsPrelude__apply_40_2_41_5751->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_5751->definitionLine = 1990;
// compiled block node returning block5750 (depth = 4)
  gc_frame_newslot(block5750);
// call case 4: self request
  params[0] = block5750;
  partcv[0] = 1;
  Object call5755 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5749);
// compiled call node returning call5755 (depth = 3)
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  return *var_result;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply5761(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe5762 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_selfIterator (depth = 6)
  Object call5763 = callmethodflags(*var_selfIterator, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5762);
// compiled member node returning call5763 (depth = 5)
  gc_frame_end(frame);
  return call5763;
}
Object meth_collectionsPrelude__apply5766(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object *var_existing = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5767 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5768 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_selfIterator (depth = 7)
  Object call5769 = callmethodflags(*var_selfIterator, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5768);
// compiled member node returning call5769 (depth = 6)
  gc_frame_newslot(call5769);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_existing (depth = 6)
  params[0] = call5769;
  partcv[0] = 1;
  Object call5770 = callmethodflags(*var_existing, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5767);
// compiled call node returning call5770 (depth = 5)
  gc_frame_end(frame);
  return call5770;
}
Object meth_collectionsPrelude_into_40_1_41_5756(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "into(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method into(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for into(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_existing = &(stackframe->slots[0]);
  *var_existing = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part into(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_selfIterator = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "selfIterator");
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5757 = gc_frame_new();
// call case 4: self request
  Object call5758 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5757);
// compiled member node returning call5758 (depth = 4)
  *var_selfIterator = call5758;
  if (call5758 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5759 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5760 = alloc_Block(NULL, NULL, "collectionsPrelude", 335);
  gc_frame_newslot(block5760);
// method "_apply"
  block_savedest(block5760);
  Object closure5761 = createclosure(2, "_apply");
  setclosureframe(closure5761, stackframe);
  addtoclosure(closure5761, var_selfIterator);
  addtoclosure(closure5761, selfslot);
  struct UserObject *uo5761 = (struct UserObject*)block5760;
  uo5761->data[0] = (Object)closure5761;
  Method *meth_meth_collectionsPrelude__apply5761 = addmethod2pos(block5760, "_apply", &meth_collectionsPrelude__apply5761, 0);
  int argcv_meth_collectionsPrelude__apply5761[] = {0};
  meth_meth_collectionsPrelude__apply5761->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5761);
  meth_meth_collectionsPrelude__apply5761->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5761->definitionLine = 1990;
// compiled block node returning block5760 (depth = 4)
  gc_frame_newslot(block5760);
// starting to compile block node (depth = 4)
  Object block5765 = alloc_Block(NULL, NULL, "collectionsPrelude", 335);
  gc_frame_newslot(block5765);
// method "_apply"
  block_savedest(block5765);
  Object closure5766 = createclosure(3, "_apply");
  setclosureframe(closure5766, stackframe);
  addtoclosure(closure5766, var_selfIterator);
  addtoclosure(closure5766, var_existing);
  addtoclosure(closure5766, selfslot);
  struct UserObject *uo5766 = (struct UserObject*)block5765;
  uo5766->data[0] = (Object)closure5766;
  Method *meth_meth_collectionsPrelude__apply5766 = addmethod2pos(block5765, "_apply", &meth_collectionsPrelude__apply5766, 0);
  int argcv_meth_collectionsPrelude__apply5766[] = {0};
  meth_meth_collectionsPrelude__apply5766->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5766);
  meth_meth_collectionsPrelude__apply5766->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5766->definitionLine = 1990;
// compiled block node returning block5765 (depth = 4)
  gc_frame_newslot(block5765);
// call case 5: prelude request
  params[0] = block5760;
  params[1] = block5765;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5772 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5759);
// compiled call node returning call5772 (depth = 3)
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_existing (depth = 3)
  gc_frame_end(frame);
  return *var_existing;
}
Object meth_collectionsPrelude__61__61__40_1_41_5773(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5774 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5776 = gc_frame_new();
// call case 3: self.outer request
  Object call5777 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5776);
// compiled member node returning call5777 (depth = 5)
  Object call5778 = callmethodflags(call5777, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5775);
// compiled member node returning call5778 (depth = 4)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5779 = callmethodflags(call5778, "isEqual(1)toIterable(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5774);
// compiled call node returning call5779 (depth = 3)
  gc_frame_end(frame);
  return call5779;
}
Object meth_collectionsPrelude__apply5785(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe5786 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_selfIterator (depth = 6)
  Object call5787 = callmethodflags(*var_selfIterator, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5786);
// compiled member node returning call5787 (depth = 5)
  gc_frame_end(frame);
  return call5787;
}
Object meth_collectionsPrelude__apply5790(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5791 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5792 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_selfIterator (depth = 7)
  Object call5793 = callmethodflags(*var_selfIterator, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5792);
// compiled member node returning call5793 (depth = 6)
  gc_frame_newslot(call5793);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = call5793;
  partcv[0] = 1;
  Object call5794 = callmethodflags(*var_block1, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5791);
// compiled call node returning call5794 (depth = 5)
  gc_frame_end(frame);
  return call5794;
}
Object meth_collectionsPrelude_do_40_1_41_5780(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_selfIterator = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "selfIterator");
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5781 = gc_frame_new();
// call case 4: self request
  Object call5782 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5781);
// compiled member node returning call5782 (depth = 4)
  *var_selfIterator = call5782;
  if (call5782 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5783 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5784 = alloc_Block(NULL, NULL, "collectionsPrelude", 345);
  gc_frame_newslot(block5784);
// method "_apply"
  block_savedest(block5784);
  Object closure5785 = createclosure(2, "_apply");
  setclosureframe(closure5785, stackframe);
  addtoclosure(closure5785, var_selfIterator);
  addtoclosure(closure5785, selfslot);
  struct UserObject *uo5785 = (struct UserObject*)block5784;
  uo5785->data[0] = (Object)closure5785;
  Method *meth_meth_collectionsPrelude__apply5785 = addmethod2pos(block5784, "_apply", &meth_collectionsPrelude__apply5785, 0);
  int argcv_meth_collectionsPrelude__apply5785[] = {0};
  meth_meth_collectionsPrelude__apply5785->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5785);
  meth_meth_collectionsPrelude__apply5785->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5785->definitionLine = 1990;
// compiled block node returning block5784 (depth = 4)
  gc_frame_newslot(block5784);
// starting to compile block node (depth = 4)
  Object block5789 = alloc_Block(NULL, NULL, "collectionsPrelude", 345);
  gc_frame_newslot(block5789);
// method "_apply"
  block_savedest(block5789);
  Object closure5790 = createclosure(3, "_apply");
  setclosureframe(closure5790, stackframe);
  addtoclosure(closure5790, var_selfIterator);
  addtoclosure(closure5790, var_block1);
  addtoclosure(closure5790, selfslot);
  struct UserObject *uo5790 = (struct UserObject*)block5789;
  uo5790->data[0] = (Object)closure5790;
  Method *meth_meth_collectionsPrelude__apply5790 = addmethod2pos(block5789, "_apply", &meth_collectionsPrelude__apply5790, 0);
  int argcv_meth_collectionsPrelude__apply5790[] = {0};
  meth_meth_collectionsPrelude__apply5790->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5790);
  meth_meth_collectionsPrelude__apply5790->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5790->definitionLine = 1990;
// compiled block node returning block5789 (depth = 4)
  gc_frame_newslot(block5789);
// call case 5: prelude request
  params[0] = block5784;
  params[1] = block5789;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5796 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5783);
// compiled call node returning call5796 (depth = 3)
  gc_frame_end(frame);
  return call5796;
}
Object meth_collectionsPrelude__apply5803(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe5804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_selfIterator (depth = 6)
  Object call5805 = callmethodflags(*var_selfIterator, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5804);
// compiled member node returning call5805 (depth = 5)
  gc_frame_end(frame);
  return call5805;
}
Object meth_collectionsPrelude__apply5808(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_selfIterator = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num5810 = alloc_Float64(1);
// compiled num node returning num5810 (depth = 7)
  int op_slot_right_5809 = gc_frame_newslot(num5810);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  int op_slot_left_5809 = gc_frame_newslot(*var_ix);
  params[0] = num5810;
  partcv[0] = 1;
  Object sum5812 = callmethod(*var_ix, "+(1)", 1, partcv, params);
// compiled op node returning sum5812 (depth = 6)
  *var_ix = sum5812;
  if (sum5812 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5814 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// starting to compile member node (depth = 6)
  int callframe5815 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_selfIterator (depth = 7)
  Object call5816 = callmethodflags(*var_selfIterator, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5815);
// compiled member node returning call5816 (depth = 6)
  gc_frame_newslot(call5816);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block2 (depth = 6)
  params[0] = *var_ix;
  params[1] = call5816;
  partcv[0] = 2;
  Object call5817 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5814);
// compiled call node returning call5817 (depth = 5)
  gc_frame_end(frame);
  return call5817;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
  Object *var_selfIterator = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "selfIterator");
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5798 = alloc_Float64(0);
// compiled num node returning num5798 (depth = 4)
  *var_ix = num5798;
  if (num5798 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5799 = gc_frame_new();
// call case 4: self request
  Object call5800 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5799);
// compiled member node returning call5800 (depth = 4)
  *var_selfIterator = call5800;
  if (call5800 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5801 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5802 = alloc_Block(NULL, NULL, "collectionsPrelude", 352);
  gc_frame_newslot(block5802);
// method "_apply"
  block_savedest(block5802);
  Object closure5803 = createclosure(2, "_apply");
  setclosureframe(closure5803, stackframe);
  addtoclosure(closure5803, var_selfIterator);
  addtoclosure(closure5803, selfslot);
  struct UserObject *uo5803 = (struct UserObject*)block5802;
  uo5803->data[0] = (Object)closure5803;
  Method *meth_meth_collectionsPrelude__apply5803 = addmethod2pos(block5802, "_apply", &meth_collectionsPrelude__apply5803, 0);
  int argcv_meth_collectionsPrelude__apply5803[] = {0};
  meth_meth_collectionsPrelude__apply5803->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5803);
  meth_meth_collectionsPrelude__apply5803->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5803->definitionLine = 1990;
// compiled block node returning block5802 (depth = 4)
  gc_frame_newslot(block5802);
// starting to compile block node (depth = 4)
  Object block5807 = alloc_Block(NULL, NULL, "collectionsPrelude", 352);
  gc_frame_newslot(block5807);
// method "_apply"
  block_savedest(block5807);
  Object closure5808 = createclosure(4, "_apply");
  setclosureframe(closure5808, stackframe);
  addtoclosure(closure5808, var_ix);
  addtoclosure(closure5808, var_selfIterator);
  addtoclosure(closure5808, var_block2);
  addtoclosure(closure5808, selfslot);
  struct UserObject *uo5808 = (struct UserObject*)block5807;
  uo5808->data[0] = (Object)closure5808;
  Method *meth_meth_collectionsPrelude__apply5808 = addmethod2pos(block5807, "_apply", &meth_collectionsPrelude__apply5808, 0);
  int argcv_meth_collectionsPrelude__apply5808[] = {0};
  meth_meth_collectionsPrelude__apply5808->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5808);
  meth_meth_collectionsPrelude__apply5808->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5808->definitionLine = 1990;
// compiled block node returning block5807 (depth = 4)
  gc_frame_newslot(block5807);
// call case 5: prelude request
  params[0] = block5802;
  params[1] = block5807;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5819 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5801);
// compiled call node returning call5819 (depth = 3)
  gc_frame_end(frame);
  return call5819;
}
Object meth_collectionsPrelude_values5820(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply5826(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe5827 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_selfIterator (depth = 6)
  Object call5828 = callmethodflags(*var_selfIterator, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe5827);
// compiled member node returning call5828 (depth = 5)
  gc_frame_end(frame);
  return call5828;
}
Object meth_collectionsPrelude__apply5831(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_res = getfromclosure(closure, 0);
  Object *var_selfIterator = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5832 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_res (depth = 7)
  gc_frame_newslot(*var_res);
// starting to compile member node (depth = 7)
  int callframe5833 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selfIterator (depth = 8)
  Object call5834 = callmethodflags(*var_selfIterator, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5833);
// compiled member node returning call5834 (depth = 7)
  gc_frame_newslot(call5834);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_block2 (depth = 7)
  params[0] = *var_res;
  params[1] = call5834;
  partcv[0] = 2;
  Object call5835 = callmethodflags(*var_block2, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5832);
// compiled call node returning call5835 (depth = 6)
  *var_res = call5835;
  if (call5835 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fold(1)startingWith(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fold(_)startingWith(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method fold(_)startingWith(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for fold(_)startingWith(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part fold(_)");
  Object *var_initial = &(stackframe->slots[1]);
  *var_initial = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part startingWith(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_R = &(stackframe->slots[3]);
  if (nparts == 1 + 2 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_R = args[curarg++];
  } else {
    *var_R = Unknown;
  }
// End typeParams
  Object *var_res = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "res");
  Object *var_selfIterator = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "selfIterator");
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_initial (depth = 4)
  *var_res = *var_initial;
  if (*var_initial == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5822 = gc_frame_new();
// call case 4: self request
  Object call5823 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5822);
// compiled member node returning call5823 (depth = 4)
  *var_selfIterator = call5823;
  if (call5823 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5824 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5825 = alloc_Block(NULL, NULL, "collectionsPrelude", 363);
  gc_frame_newslot(block5825);
// method "_apply"
  block_savedest(block5825);
  Object closure5826 = createclosure(2, "_apply");
  setclosureframe(closure5826, stackframe);
  addtoclosure(closure5826, var_selfIterator);
  addtoclosure(closure5826, selfslot);
  struct UserObject *uo5826 = (struct UserObject*)block5825;
  uo5826->data[0] = (Object)closure5826;
  Method *meth_meth_collectionsPrelude__apply5826 = addmethod2pos(block5825, "_apply", &meth_collectionsPrelude__apply5826, 0);
  int argcv_meth_collectionsPrelude__apply5826[] = {0};
  meth_meth_collectionsPrelude__apply5826->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5826);
  meth_meth_collectionsPrelude__apply5826->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5826->definitionLine = 1990;
// compiled block node returning block5825 (depth = 4)
  gc_frame_newslot(block5825);
// starting to compile block node (depth = 4)
  Object block5830 = alloc_Block(NULL, NULL, "collectionsPrelude", 363);
  gc_frame_newslot(block5830);
// method "_apply"
  block_savedest(block5830);
  Object closure5831 = createclosure(4, "_apply");
  setclosureframe(closure5831, stackframe);
  addtoclosure(closure5831, var_res);
  addtoclosure(closure5831, var_selfIterator);
  addtoclosure(closure5831, var_block2);
  addtoclosure(closure5831, selfslot);
  struct UserObject *uo5831 = (struct UserObject*)block5830;
  uo5831->data[0] = (Object)closure5831;
  Method *meth_meth_collectionsPrelude__apply5831 = addmethod2pos(block5830, "_apply", &meth_collectionsPrelude__apply5831, 0);
  int argcv_meth_collectionsPrelude__apply5831[] = {0};
  meth_meth_collectionsPrelude__apply5831->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5831);
  meth_meth_collectionsPrelude__apply5831->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5831->definitionLine = 1990;
// compiled block node returning block5830 (depth = 4)
  gc_frame_newslot(block5830);
// call case 5: prelude request
  params[0] = block5825;
  params[1] = block5830;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5838 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5824);
// compiled call node returning call5838 (depth = 3)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_res (depth = 4)
  return *var_res;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__43__43__40_1_41_5839(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5840 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5841 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5842 = gc_frame_new();
// call case 3: self.outer request
  Object call5843 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5842);
// compiled member node returning call5843 (depth = 5)
  Object call5844 = callmethodflags(call5843, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5841);
// compiled member node returning call5844 (depth = 4)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call5845 = callmethodflags(call5844, "lazyConcatenation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5840);
// compiled call node returning call5845 (depth = 3)
  gc_frame_end(frame);
  return call5845;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_5846(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5847 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sortBlock (depth = 4)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5848 = gc_frame_new();
// call case 4: self request
  Object call5849 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5848);
// compiled member node returning call5849 (depth = 4)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call5850 = callmethodflags(call5849, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5847);
// compiled call node returning call5850 (depth = 3)
  gc_frame_end(frame);
  return call5850;
}
Object meth_collectionsPrelude_sorted5851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5852 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5853 = gc_frame_new();
// call case 4: self request
  Object call5854 = callmethodflags(self, "asList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5853);
// compiled member node returning call5854 (depth = 4)
  Object call5855 = callmethodflags(call5854, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe5852);
// compiled member node returning call5855 (depth = 3)
  gc_frame_end(frame);
  return call5855;
}
Object meth_collectionsPrelude__apply_40_1_41_5860(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5862 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call5863 = callmethodflags(*var_each, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe5862);
// compiled member node returning call5863 (depth = 7)
  int op_slot_right_5861 = gc_frame_newslot(call5863);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5861 = gc_frame_newslot(*var_s);
  params[0] = call5863;
  partcv[0] = 1;
  Object opresult5865 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5865 (depth = 6)
  *var_s = opresult5865;
  if (opresult5865 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply5869(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5871 == NULL) {
    strlit5871 = alloc_String(", ");
    gc_root(strlit5871);
  }
// compiled string node returning strlit5871 (depth = 7)
  int op_slot_right_5870 = gc_frame_newslot(strlit5871);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5870 = gc_frame_newslot(*var_s);
  params[0] = strlit5871;
  partcv[0] = 1;
  Object opresult5873 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5873 (depth = 6)
  *var_s = opresult5873;
  if (opresult5873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_asString5856(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5857 == NULL) {
    strlit5857 = alloc_String("""\xe2""""\x9f""""\xa8""");
    gc_root(strlit5857);
  }
// compiled string node returning strlit5857 (depth = 4)
  *var_s = strlit5857;
  if (strlit5857 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5858 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5859 = alloc_Block(NULL, NULL, "collectionsPrelude", 379);
  gc_frame_newslot(block5859);
// method "_apply(_)"
  block_savedest(block5859);
  Object closure5860 = createclosure(2, "_apply(1)");
  setclosureframe(closure5860, stackframe);
  addtoclosure(closure5860, var_s);
  addtoclosure(closure5860, selfslot);
  struct UserObject *uo5860 = (struct UserObject*)block5859;
  uo5860->data[0] = (Object)closure5860;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_5860 = addmethod2pos(block5859, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_5860, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_5860[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_5860->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_5860);
  meth_meth_collectionsPrelude__apply_40_1_41_5860->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_5860->definitionLine = 1990;
// compiled block node returning block5859 (depth = 4)
  gc_frame_newslot(block5859);
// starting to compile block node (depth = 4)
  Object block5868 = alloc_Block(NULL, NULL, "collectionsPrelude", 379);
  gc_frame_newslot(block5868);
// method "_apply"
  block_savedest(block5868);
  Object closure5869 = createclosure(2, "_apply");
  setclosureframe(closure5869, stackframe);
  addtoclosure(closure5869, var_s);
  addtoclosure(closure5869, selfslot);
  struct UserObject *uo5869 = (struct UserObject*)block5868;
  uo5869->data[0] = (Object)closure5869;
  Method *meth_meth_collectionsPrelude__apply5869 = addmethod2pos(block5868, "_apply", &meth_collectionsPrelude__apply5869, 0);
  int argcv_meth_collectionsPrelude__apply5869[] = {0};
  meth_meth_collectionsPrelude__apply5869->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5869);
  meth_meth_collectionsPrelude__apply5869->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5869->definitionLine = 1990;
// compiled block node returning block5868 (depth = 4)
  gc_frame_newslot(block5868);
// call case 4: self request
  params[0] = block5859;
  params[1] = block5868;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5876 = callmethodflags(self, "do(1)separatedBy(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5858);
// compiled call node returning call5876 (depth = 3)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5878 == NULL) {
    strlit5878 = alloc_String("""\xe2""""\x9f""""\xa9""");
    gc_root(strlit5878);
  }
// compiled string node returning strlit5878 (depth = 4)
  int op_slot_right_5877 = gc_frame_newslot(strlit5878);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_5877 = gc_frame_newslot(*var_s);
  params[0] = strlit5878;
  partcv[0] = 1;
  Object opresult5880 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5880 (depth = 3)
  gc_frame_end(frame);
  return opresult5880;
}
Object meth_collectionsPrelude_TRAIT5717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  Object *var_collection = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5718 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5718 = alloc_userobj2(13,14, objclass5718);
  gc_frame_newslot(obj5718);
if (objclass5718 == NULL) {
  glfree(obj5718->class->name);
  obj5718->class->name = "enumerable.enumerable.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5718, self, 0);
  addmethodreal(obj5718,"outer", &reader_collectionsPrelude_outer_5719);
  Object oldself5718 = self;
  struct StackFrameObject *oldstackframe5718 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5718);
  gc_frame_newslot((Object)stackframe);
  self = obj5718;
  Object *oldselfslot5718 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5718 = (*(struct UserObject *)self).data[0], lowerouter5718 = thisouter5718;
  if (inheritingObject5718) {
    struct UserObject *inho5718 = (struct UserObject *)inheritingObject5718;
    while (inho5718->super != GraceDefaultObject) inho5718 = (struct UserObject *)inho5718->super;
    inho5718->super = obj5718;
    self = inheritingObject5718;
    *selfslot = self;
    lowerouter5718 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5718;
  }
// method "iterator"
  struct UserObject *uo5720 = (struct UserObject*)obj5718;
  uo5720->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator5720 = addmethod2pos(obj5718, "iterator", &meth_collectionsPrelude_iterator5720, 1);
  int argcv_meth_collectionsPrelude_iterator5720[] = {0};
  meth_meth_collectionsPrelude_iterator5720->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5720);
  meth_meth_collectionsPrelude_iterator5720->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5720->definitionLine = 321;
// method "size"
  block_savedest(obj5718);
  Object closure5727 = createclosure(1, "size");
  setclosureframe(closure5727, stackframe);
  addtoclosure(closure5727, var_SizeUnknown);
  struct UserObject *uo5727 = (struct UserObject*)obj5718;
  uo5727->data[2] = (Object)closure5727;
  Method *meth_meth_collectionsPrelude_size5727 = addmethod2pos(obj5718, "size", &meth_collectionsPrelude_size5727, 2);
  int argcv_meth_collectionsPrelude_size5727[] = {0};
  meth_meth_collectionsPrelude_size5727->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5727);
  meth_meth_collectionsPrelude_size5727->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5727->definitionLine = 322;
// method "asDictionary"
  struct UserObject *uo5740 = (struct UserObject*)obj5718;
  uo5740->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary5740 = addmethod2pos(obj5718, "asDictionary", &meth_collectionsPrelude_asDictionary5740, 3);
  int argcv_meth_collectionsPrelude_asDictionary5740[] = {0};
  meth_meth_collectionsPrelude_asDictionary5740->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary5740);
  meth_meth_collectionsPrelude_asDictionary5740->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary5740->definitionLine = 326;
// method "into(_)"
  struct UserObject *uo5756 = (struct UserObject*)obj5718;
  uo5756->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_5756 = addmethod2pos(obj5718, "into(1)", &meth_collectionsPrelude_into_40_1_41_5756, 4);
  int argcv_meth_collectionsPrelude_into_40_1_41_5756[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_5756->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_5756);
  meth_meth_collectionsPrelude_into_40_1_41_5756->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_5756->definitionLine = 333;
// method "==(_)"
  struct UserObject *uo5773 = (struct UserObject*)obj5718;
  uo5773->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_5773 = addmethod2pos(obj5718, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_5773, 5);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_5773[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_5773);
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->definitionLine = 340;
// method "do(_)"
  struct UserObject *uo5780 = (struct UserObject*)obj5718;
  uo5780->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_5780 = addmethod2pos(obj5718, "do(1)", &meth_collectionsPrelude_do_40_1_41_5780, 6);
  int argcv_meth_collectionsPrelude_do_40_1_41_5780[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_5780->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_5780);
  meth_meth_collectionsPrelude_do_40_1_41_5780->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_5780->definitionLine = 343;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5797 = (struct UserObject*)obj5718;
  uo5797->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797 = addmethod2pos(obj5718, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797, 7);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->definitionLine = 349;
// method "values"
  struct UserObject *uo5820 = (struct UserObject*)obj5718;
  uo5820->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values5820 = addmethod2pos(obj5718, "values", &meth_collectionsPrelude_values5820, 8);
  int argcv_meth_collectionsPrelude_values5820[] = {0};
  meth_meth_collectionsPrelude_values5820->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values5820);
  meth_meth_collectionsPrelude_values5820->definitionModule = modulename;
  meth_meth_collectionsPrelude_values5820->definitionLine = 357;
// method "fold(_)startingWith(_)"
  struct UserObject *uo5821 = (struct UserObject*)obj5718;
  uo5821->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821 = addmethod2pos(obj5718, "fold(1)startingWith(1)", &meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821, 9);
  int argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821);
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->definitionLine = 360;
// method "++(_)"
  struct UserObject *uo5839 = (struct UserObject*)obj5718;
  uo5839->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_5839 = addmethod2pos(obj5718, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_5839, 10);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_5839[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_5839);
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->definitionLine = 368;
// method "sortedBy(_)"
  struct UserObject *uo5846 = (struct UserObject*)obj5718;
  uo5846->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_5846 = addmethod2pos(obj5718, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_5846, 11);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_5846[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_5846);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->definitionLine = 371;
// method "sorted"
  struct UserObject *uo5851 = (struct UserObject*)obj5718;
  uo5851->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted5851 = addmethod2pos(obj5718, "sorted", &meth_collectionsPrelude_sorted5851, 12);
  int argcv_meth_collectionsPrelude_sorted5851[] = {0};
  meth_meth_collectionsPrelude_sorted5851->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted5851);
  meth_meth_collectionsPrelude_sorted5851->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted5851->definitionLine = 374;
// method "asString"
  struct UserObject *uo5856 = (struct UserObject*)obj5718;
  uo5856->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5856 = addmethod2pos(obj5718, "asString", &meth_collectionsPrelude_asString5856, 13);
  int argcv_meth_collectionsPrelude_asString5856[] = {0};
  meth_meth_collectionsPrelude_asString5856->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5856);
  meth_meth_collectionsPrelude_asString5856->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5856->definitionLine = 377;
  sourceObject = obj5718;
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5881 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_collection (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5882 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5881);
// compiled call node returning call5882 (depth = 3)
  struct UserObject *obj5718_uo = (struct UserObject *)obj5718;
  obj5718_uo->super = call5882;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  objclass5718 = obj5718->class;
  objclass5718->definitionModule = modulename;
  objclass5718->definitionLine = 319;
  (*(struct UserObject *)self).data[0] = lowerouter5718;
  self = oldself5718;
  selfslot = oldselfslot5718;
  stackframe = oldstackframe5718;
  gc_frame_end(frame);
  return obj5718;
}
Object meth_collectionsPrelude_TRAIT5717_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_SizeUnknown = getfromclosure(closure, 0);
  Object *var_collection = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5718 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5718 = alloc_userobj2(13,14, objclass5718);
  gc_frame_newslot(obj5718);
if (objclass5718 == NULL) {
  glfree(obj5718->class->name);
  obj5718->class->name = "enumerable.enumerable.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5718, self, 0);
  addmethodreal(obj5718,"outer", &reader_collectionsPrelude_outer_5719);
  Object oldself5718 = self;
  struct StackFrameObject *oldstackframe5718 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5718);
  gc_frame_newslot((Object)stackframe);
  self = obj5718;
  Object *oldselfslot5718 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5718 = (*(struct UserObject *)self).data[0], lowerouter5718 = thisouter5718;
  if (inheritingObject5718) {
    struct UserObject *inho5718 = (struct UserObject *)inheritingObject5718;
    while (inho5718->super != GraceDefaultObject) inho5718 = (struct UserObject *)inho5718->super;
    inho5718->super = obj5718;
    self = inheritingObject5718;
    *selfslot = self;
    lowerouter5718 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5718;
  }
// method "iterator"
  struct UserObject *uo5720 = (struct UserObject*)obj5718;
  uo5720->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator5720 = addmethod2pos(obj5718, "iterator", &meth_collectionsPrelude_iterator5720, 1);
  int argcv_meth_collectionsPrelude_iterator5720[] = {0};
  meth_meth_collectionsPrelude_iterator5720->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator5720);
  meth_meth_collectionsPrelude_iterator5720->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator5720->definitionLine = 321;
// method "size"
  block_savedest(obj5718);
  Object closure5727 = createclosure(1, "size");
  setclosureframe(closure5727, stackframe);
  addtoclosure(closure5727, var_SizeUnknown);
  struct UserObject *uo5727 = (struct UserObject*)obj5718;
  uo5727->data[2] = (Object)closure5727;
  Method *meth_meth_collectionsPrelude_size5727 = addmethod2pos(obj5718, "size", &meth_collectionsPrelude_size5727, 2);
  int argcv_meth_collectionsPrelude_size5727[] = {0};
  meth_meth_collectionsPrelude_size5727->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5727);
  meth_meth_collectionsPrelude_size5727->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5727->definitionLine = 322;
// method "asDictionary"
  struct UserObject *uo5740 = (struct UserObject*)obj5718;
  uo5740->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary5740 = addmethod2pos(obj5718, "asDictionary", &meth_collectionsPrelude_asDictionary5740, 3);
  int argcv_meth_collectionsPrelude_asDictionary5740[] = {0};
  meth_meth_collectionsPrelude_asDictionary5740->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary5740);
  meth_meth_collectionsPrelude_asDictionary5740->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary5740->definitionLine = 326;
// method "into(_)"
  struct UserObject *uo5756 = (struct UserObject*)obj5718;
  uo5756->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_5756 = addmethod2pos(obj5718, "into(1)", &meth_collectionsPrelude_into_40_1_41_5756, 4);
  int argcv_meth_collectionsPrelude_into_40_1_41_5756[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_5756->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_5756);
  meth_meth_collectionsPrelude_into_40_1_41_5756->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_5756->definitionLine = 333;
// method "==(_)"
  struct UserObject *uo5773 = (struct UserObject*)obj5718;
  uo5773->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_5773 = addmethod2pos(obj5718, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_5773, 5);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_5773[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_5773);
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_5773->definitionLine = 340;
// method "do(_)"
  struct UserObject *uo5780 = (struct UserObject*)obj5718;
  uo5780->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40_1_41_5780 = addmethod2pos(obj5718, "do(1)", &meth_collectionsPrelude_do_40_1_41_5780, 6);
  int argcv_meth_collectionsPrelude_do_40_1_41_5780[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_5780->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_5780);
  meth_meth_collectionsPrelude_do_40_1_41_5780->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_5780->definitionLine = 343;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5797 = (struct UserObject*)obj5718;
  uo5797->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797 = addmethod2pos(obj5718, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797, 7);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5797->definitionLine = 349;
// method "values"
  struct UserObject *uo5820 = (struct UserObject*)obj5718;
  uo5820->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values5820 = addmethod2pos(obj5718, "values", &meth_collectionsPrelude_values5820, 8);
  int argcv_meth_collectionsPrelude_values5820[] = {0};
  meth_meth_collectionsPrelude_values5820->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values5820);
  meth_meth_collectionsPrelude_values5820->definitionModule = modulename;
  meth_meth_collectionsPrelude_values5820->definitionLine = 357;
// method "fold(_)startingWith(_)"
  struct UserObject *uo5821 = (struct UserObject*)obj5718;
  uo5821->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821 = addmethod2pos(obj5718, "fold(1)startingWith(1)", &meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821, 9);
  int argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821);
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40_1_41_startingWith_40_1_41_5821->definitionLine = 360;
// method "++(_)"
  struct UserObject *uo5839 = (struct UserObject*)obj5718;
  uo5839->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_5839 = addmethod2pos(obj5718, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_5839, 10);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_5839[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_5839);
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_5839->definitionLine = 368;
// method "sortedBy(_)"
  struct UserObject *uo5846 = (struct UserObject*)obj5718;
  uo5846->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_5846 = addmethod2pos(obj5718, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_5846, 11);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_5846[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_5846);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_5846->definitionLine = 371;
// method "sorted"
  struct UserObject *uo5851 = (struct UserObject*)obj5718;
  uo5851->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted5851 = addmethod2pos(obj5718, "sorted", &meth_collectionsPrelude_sorted5851, 12);
  int argcv_meth_collectionsPrelude_sorted5851[] = {0};
  meth_meth_collectionsPrelude_sorted5851->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted5851);
  meth_meth_collectionsPrelude_sorted5851->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted5851->definitionLine = 374;
// method "asString"
  struct UserObject *uo5856 = (struct UserObject*)obj5718;
  uo5856->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5856 = addmethod2pos(obj5718, "asString", &meth_collectionsPrelude_asString5856, 13);
  int argcv_meth_collectionsPrelude_asString5856[] = {0};
  meth_meth_collectionsPrelude_asString5856->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5856);
  meth_meth_collectionsPrelude_asString5856->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5856->definitionLine = 377;
  sourceObject = obj5718;
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5881 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_collection (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5882 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5881);
// compiled call node returning call5882 (depth = 3)
  struct UserObject *obj5718_uo = (struct UserObject *)obj5718;
  obj5718_uo->super = call5882;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  sourceObject = obj5718;
  objclass5718 = obj5718->class;
  objclass5718->definitionModule = modulename;
  objclass5718->definitionLine = 319;
  (*(struct UserObject *)self).data[0] = lowerouter5718;
  self = oldself5718;
  selfslot = oldselfslot5718;
  stackframe = oldstackframe5718;
  gc_frame_end(frame);
  return obj5718;
}
Object meth_collectionsPrelude_asString5884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5885 == NULL) {
    strlit5885 = alloc_String("class enumerable");
    gc_root(strlit5885);
  }
// compiled string node returning strlit5885 (depth = 3)
  gc_frame_end(frame);
  return strlit5885;
}
Object meth_collectionsPrelude_enumerable5886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "enumerable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  gc_frame_end(frame);
  return *var_enumerable;
}
Object meth_collectionsPrelude_at_40_1_41_5892(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_index = &(stackframe->slots[0]);
  *var_index = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5893 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5894 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5895 = gc_frame_new();
// call case 3: self.outer request
  Object call5896 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5895);
// compiled member node returning call5896 (depth = 5)
  Object call5897 = callmethodflags(call5896, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5894);
// compiled member node returning call5897 (depth = 4)
  Object call5898 = callmethodflags(call5897, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5893);
// compiled member node returning call5898 (depth = 3)
  gc_frame_end(frame);
  return call5898;
}
Object meth_collectionsPrelude_size5899(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5900 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5901 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5902 = gc_frame_new();
// call case 3: self.outer request
  Object call5903 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5902);
// compiled member node returning call5903 (depth = 5)
  Object call5904 = callmethodflags(call5903, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5901);
// compiled member node returning call5904 (depth = 4)
  Object call5905 = callmethodflags(call5904, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5900);
// compiled member node returning call5905 (depth = 3)
  gc_frame_end(frame);
  return call5905;
}
Object meth_collectionsPrelude_isEmpty5906(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5908 = alloc_Float64(0);
// compiled num node returning num5908 (depth = 4)
  int op_slot_right_5907 = gc_frame_newslot(num5908);
// starting to compile member node (depth = 4)
  int callframe5910 = gc_frame_new();
// call case 4: self request
  Object call5911 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5910);
// compiled member node returning call5911 (depth = 4)
  int op_slot_left_5907 = gc_frame_newslot(call5911);
  params[0] = num5908;
  partcv[0] = 1;
  Object opresult5912 = callmethod(call5911, "==(1)", 1, partcv, params);
// compiled op node returning opresult5912 (depth = 3)
  gc_frame_end(frame);
  return opresult5912;
}
Object meth_collectionsPrelude__apply5919(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_curSize = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_curSize (depth = 6)
  int op_slot_right_5920 = gc_frame_newslot(*var_curSize);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_5920 = gc_frame_newslot(*var_i);
  params[0] = *var_curSize;
  partcv[0] = 1;
  Object opresult5922 = callmethod(*var_i, "≤(1)", 1, partcv, params);
// compiled op node returning opresult5922 (depth = 5)
  gc_frame_end(frame);
  return opresult5922;
}
Object meth_collectionsPrelude__apply5925(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_action = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5926 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// starting to compile call node (depth = 6)
  int callframe5927 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call5928 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5927);
// compiled call node returning call5928 (depth = 6)
  gc_frame_newslot(call5928);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = *var_i;
  params[1] = call5928;
  partcv[0] = 2;
  Object call5929 = callmethodflags(*var_action, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5926);
// compiled call node returning call5929 (depth = 5)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num5931 = alloc_Float64(1);
// compiled num node returning num5931 (depth = 7)
  int op_slot_right_5930 = gc_frame_newslot(num5931);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_5930 = gc_frame_newslot(*var_i);
  params[0] = num5931;
  partcv[0] = 1;
  Object sum5933 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum5933 (depth = 6)
  *var_i = sum5933;
  if (sum5933 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_curSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "curSize");
  Object *var_i = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "i");
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5914 = gc_frame_new();
// call case 4: self request
  Object call5915 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5914);
// compiled member node returning call5915 (depth = 4)
  *var_curSize = call5915;
  if (call5915 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5916 = alloc_Float64(1);
// compiled num node returning num5916 (depth = 4)
  *var_i = num5916;
  if (num5916 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5917 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5918 = alloc_Block(NULL, NULL, "collectionsPrelude", 392);
  gc_frame_newslot(block5918);
// method "_apply"
  block_savedest(block5918);
  Object closure5919 = createclosure(3, "_apply");
  setclosureframe(closure5919, stackframe);
  addtoclosure(closure5919, var_curSize);
  addtoclosure(closure5919, var_i);
  addtoclosure(closure5919, selfslot);
  struct UserObject *uo5919 = (struct UserObject*)block5918;
  uo5919->data[0] = (Object)closure5919;
  Method *meth_meth_collectionsPrelude__apply5919 = addmethod2pos(block5918, "_apply", &meth_collectionsPrelude__apply5919, 0);
  int argcv_meth_collectionsPrelude__apply5919[] = {0};
  meth_meth_collectionsPrelude__apply5919->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5919);
  meth_meth_collectionsPrelude__apply5919->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5919->definitionLine = 1990;
// compiled block node returning block5918 (depth = 4)
  gc_frame_newslot(block5918);
// starting to compile block node (depth = 4)
  Object block5924 = alloc_Block(NULL, NULL, "collectionsPrelude", 392);
  gc_frame_newslot(block5924);
// method "_apply"
  block_savedest(block5924);
  Object closure5925 = createclosure(3, "_apply");
  setclosureframe(closure5925, stackframe);
  addtoclosure(closure5925, var_i);
  addtoclosure(closure5925, var_action);
  addtoclosure(closure5925, selfslot);
  struct UserObject *uo5925 = (struct UserObject*)block5924;
  uo5925->data[0] = (Object)closure5925;
  Method *meth_meth_collectionsPrelude__apply5925 = addmethod2pos(block5924, "_apply", &meth_collectionsPrelude__apply5925, 0);
  int argcv_meth_collectionsPrelude__apply5925[] = {0};
  meth_meth_collectionsPrelude__apply5925->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5925);
  meth_meth_collectionsPrelude__apply5925->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5925->definitionLine = 1990;
// compiled block node returning block5924 (depth = 4)
  gc_frame_newslot(block5924);
// call case 5: prelude request
  params[0] = block5918;
  params[1] = block5924;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5936 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5917);
// compiled call node returning call5936 (depth = 3)
  gc_frame_end(frame);
  return call5936;
}
Object meth_collectionsPrelude_first5937(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "first");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5938 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5939 = alloc_Float64(1);
// compiled num node returning num5939 (depth = 4)
  gc_frame_newslot(num5939);
// call case 4: self request
  params[0] = num5939;
  partcv[0] = 1;
  Object call5940 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5938);
// compiled call node returning call5940 (depth = 3)
  gc_frame_end(frame);
  return call5940;
}
Object meth_collectionsPrelude_second5941(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "second");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5942 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5943 = alloc_Float64(2);
// compiled num node returning num5943 (depth = 4)
  gc_frame_newslot(num5943);
// call case 4: self request
  params[0] = num5943;
  partcv[0] = 1;
  Object call5944 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5942);
// compiled call node returning call5944 (depth = 3)
  gc_frame_end(frame);
  return call5944;
}
Object meth_collectionsPrelude_third5945(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "third");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5946 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5947 = alloc_Float64(3);
// compiled num node returning num5947 (depth = 4)
  gc_frame_newslot(num5947);
// call case 4: self request
  params[0] = num5947;
  partcv[0] = 1;
  Object call5948 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5946);
// compiled call node returning call5948 (depth = 3)
  gc_frame_end(frame);
  return call5948;
}
Object meth_collectionsPrelude_fourth5949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fourth");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5950 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5951 = alloc_Float64(4);
// compiled num node returning num5951 (depth = 4)
  gc_frame_newslot(num5951);
// call case 4: self request
  params[0] = num5951;
  partcv[0] = 1;
  Object call5952 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5950);
// compiled call node returning call5952 (depth = 3)
  gc_frame_end(frame);
  return call5952;
}
Object meth_collectionsPrelude_fifth5953(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fifth");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5954 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5955 = alloc_Float64(5);
// compiled num node returning num5955 (depth = 4)
  gc_frame_newslot(num5955);
// call case 4: self request
  params[0] = num5955;
  partcv[0] = 1;
  Object call5956 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5954);
// compiled call node returning call5956 (depth = 3)
  gc_frame_end(frame);
  return call5956;
}
Object meth_collectionsPrelude_last5957(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "last");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5958 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5959 = gc_frame_new();
// call case 4: self request
  Object call5960 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5959);
// compiled member node returning call5960 (depth = 4)
  gc_frame_newslot(call5960);
// call case 4: self request
  params[0] = call5960;
  partcv[0] = 1;
  Object call5961 = callmethodflags(self, "at(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5958);
// compiled call node returning call5961 (depth = 3)
  gc_frame_end(frame);
  return call5961;
}
Object meth_collectionsPrelude_indices5962(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "indices");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5963 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5964 = alloc_Float64(1);
// compiled num node returning num5964 (depth = 4)
  gc_frame_newslot(num5964);
// starting to compile member node (depth = 4)
  int callframe5965 = gc_frame_new();
// call case 4: self request
  Object call5966 = callmethodflags(self, "size", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5965);
// compiled member node returning call5966 (depth = 4)
  gc_frame_newslot(call5966);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5967 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5969 = gc_frame_new();
// call case 3: self.outer request
  Object call5970 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5969);
// compiled member node returning call5970 (depth = 6)
  Object call5971 = callmethodflags(call5970, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5968);
// compiled member node returning call5971 (depth = 5)
  Object call5972 = callmethodflags(call5971, "range", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5967);
// compiled member node returning call5972 (depth = 4)
  params[0] = num5964;
  params[1] = call5966;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5973 = callmethodflags(call5972, "from(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5963);
// compiled call node returning call5973 (depth = 3)
  gc_frame_end(frame);
  return call5973;
}
Object meth_collectionsPrelude__apply5977(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sought = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe5978 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5980 == NULL) {
    strlit5980 = alloc_String("");
    gc_root(strlit5980);
  }
// compiled string node returning strlit5980 (depth = 7)
  int op_slot_right_5979 = gc_frame_newslot(strlit5980);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sought (depth = 8)
  int op_slot_right_5982 = gc_frame_newslot(*var_sought);
// starting to compile string node (depth = 8)
  if (strlit5984 == NULL) {
    strlit5984 = alloc_String("collection does not contain ");
    gc_root(strlit5984);
  }
// compiled string node returning strlit5984 (depth = 8)
  int op_slot_left_5982 = gc_frame_newslot(strlit5984);
  params[0] = *var_sought;
  partcv[0] = 1;
  Object opresult5985 = callmethod(strlit5984, "++(1)", 1, partcv, params);
// compiled op node returning opresult5985 (depth = 7)
  int op_slot_left_5979 = gc_frame_newslot(opresult5985);
  params[0] = strlit5980;
  partcv[0] = 1;
  Object opresult5986 = callmethod(opresult5985, "++(1)", 1, partcv, params);
// compiled op node returning opresult5986 (depth = 6)
  gc_frame_newslot(opresult5986);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_NoSuchObject (depth = 6)
  params[0] = opresult5986;
  partcv[0] = 1;
  Object call5987 = callmethodflags(*var_NoSuchObject, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5978);
// compiled call node returning call5987 (depth = 5)
  gc_frame_end(frame);
  return call5987;
}
Object meth_collectionsPrelude_indexOf_40_1_41_5974(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexOf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method indexOf(_)");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for indexOf(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sought = &(stackframe->slots[0]);
  *var_sought = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part indexOf(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5975 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sought (depth = 4)
  gc_frame_newslot(*var_sought);
// starting to compile block node (depth = 4)
  Object block5976 = alloc_Block(NULL, NULL, "collectionsPrelude", 405);
  gc_frame_newslot(block5976);
// method "_apply"
  block_savedest(block5976);
  Object closure5977 = createclosure(3, "_apply");
  setclosureframe(closure5977, stackframe);
  addtoclosure(closure5977, var_sought);
  addtoclosure(closure5977, var_NoSuchObject);
  addtoclosure(closure5977, selfslot);
  struct UserObject *uo5977 = (struct UserObject*)block5976;
  uo5977->data[0] = (Object)closure5977;
  Method *meth_meth_collectionsPrelude__apply5977 = addmethod2pos(block5976, "_apply", &meth_collectionsPrelude__apply5977, 0);
  int argcv_meth_collectionsPrelude__apply5977[] = {0};
  meth_meth_collectionsPrelude__apply5977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply5977);
  meth_meth_collectionsPrelude__apply5977->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply5977->definitionLine = 1990;
// compiled block node returning block5976 (depth = 4)
  gc_frame_newslot(block5976);
// call case 4: self request
  params[0] = *var_sought;
  params[1] = block5976;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5989 = callmethodflags(self, "indexOf(1)ifAbsent(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5975);
// compiled call node returning call5989 (depth = 3)
  gc_frame_end(frame);
  return call5989;
}
Object meth_collectionsPrelude__apply_40_2_41_5993(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object *var_sought = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sought (depth = 7)
  int op_slot_right_5995 = gc_frame_newslot(*var_sought);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  int op_slot_left_5995 = gc_frame_newslot(*var_v);
  params[0] = *var_sought;
  partcv[0] = 1;
  Object opresult5997 = callmethod(*var_v, "==(1)", 1, partcv, params);
// compiled op node returning opresult5997 (depth = 6)
  Object if5994 = done;
  if (istrue(opresult5997)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  block_return(realself, *var_ix);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if5994 = undefined;
  } else {
  }
// compiled if node returning if5994 (depth = 5)
  gc_frame_end(frame);
  return if5994;
}
Object meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "indexOf(1)ifAbsent(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method indexOf(_)ifAbsent(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method indexOf(_)ifAbsent(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for indexOf(_)ifAbsent(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_sought = &(stackframe->slots[0]);
  *var_sought = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part indexOf(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifAbsent(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5991 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5992 = alloc_Block(NULL, NULL, "collectionsPrelude", 408);
  gc_frame_newslot(block5992);
// method "_apply(_,_)"
  block_savedest(block5992);
  Object closure5993 = createclosure(2, "_apply(2)");
  setclosureframe(closure5993, stackframe);
  addtoclosure(closure5993, var_sought);
  addtoclosure(closure5993, selfslot);
  struct UserObject *uo5993 = (struct UserObject*)block5992;
  uo5993->data[0] = (Object)closure5993;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_5993 = addmethod2pos(block5992, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_5993, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_5993[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_5993->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_5993);
  meth_meth_collectionsPrelude__apply_40_2_41_5993->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_5993->definitionLine = 1990;
// compiled block node returning block5992 (depth = 4)
  gc_frame_newslot(block5992);
// call case 4: self request
  params[0] = block5992;
  partcv[0] = 1;
  Object call5999 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5991);
// compiled call node returning call5999 (depth = 3)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6000 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_action (depth = 4)
  Object call6001 = callmethodflags(*var_action, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe6000);
// compiled member node returning call6001 (depth = 3)
  gc_frame_end(frame);
  return call6001;
}
Object meth_collectionsPrelude__apply_40_2_41_6013(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6014 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6015 = callmethodflags(*var_result, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6014);
// compiled call node returning call6015 (depth = 5)
  gc_frame_end(frame);
  return call6015;
}
Object meth_collectionsPrelude_asDictionary6002(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6003 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6004 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6005 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6006 = gc_frame_new();
// call case 3: self.outer request
  Object call6007 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6006);
// compiled member node returning call6007 (depth = 7)
  Object call6008 = callmethodflags(call6007, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6005);
// compiled member node returning call6008 (depth = 6)
  Object call6009 = callmethodflags(call6008, "dictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6004);
// compiled member node returning call6009 (depth = 5)
  Object call6010 = callmethodflags(call6009, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe6003);
// compiled member node returning call6010 (depth = 4)
  *var_result = call6010;
  if (call6010 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6011 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6012 = alloc_Block(NULL, NULL, "collectionsPrelude", 415);
  gc_frame_newslot(block6012);
// method "_apply(_,_)"
  block_savedest(block6012);
  Object closure6013 = createclosure(2, "_apply(2)");
  setclosureframe(closure6013, stackframe);
  addtoclosure(closure6013, var_result);
  addtoclosure(closure6013, selfslot);
  struct UserObject *uo6013 = (struct UserObject*)block6012;
  uo6013->data[0] = (Object)closure6013;
  Method *meth_meth_collectionsPrelude__apply_40_2_41_6013 = addmethod2pos(block6012, "_apply(2)", &meth_collectionsPrelude__apply_40_2_41_6013, 0);
  int argcv_meth_collectionsPrelude__apply_40_2_41_6013[] = {2};
  meth_meth_collectionsPrelude__apply_40_2_41_6013->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_2_41_6013);
  meth_meth_collectionsPrelude__apply_40_2_41_6013->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_2_41_6013->definitionLine = 1990;
// compiled block node returning block6012 (depth = 4)
  gc_frame_newslot(block6012);
// call case 4: self request
  params[0] = block6012;
  partcv[0] = 1;
  Object call6017 = callmethodflags(self, "keysAndValuesDo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6011);
// compiled call node returning call6017 (depth = 3)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  return *var_result;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply6023(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe6024 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_selfIterator (depth = 6)
  Object call6025 = callmethodflags(*var_selfIterator, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe6024);
// compiled member node returning call6025 (depth = 5)
  gc_frame_end(frame);
  return call6025;
}
Object meth_collectionsPrelude__apply6028(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIterator = getfromclosure(closure, 0);
  Object *var_existing = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6029 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe6030 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_selfIterator (depth = 7)
  Object call6031 = callmethodflags(*var_selfIterator, "next", 0, partcv, params, 0);
  gc_frame_end(callframe6030);
// compiled member node returning call6031 (depth = 6)
  gc_frame_newslot(call6031);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_existing (depth = 6)
  params[0] = call6031;
  partcv[0] = 1;
  Object call6032 = callmethodflags(*var_existing, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6029);
// compiled call node returning call6032 (depth = 5)
  gc_frame_end(frame);
  return call6032;
}
Object meth_collectionsPrelude_into_40_1_41_6018(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "into(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method into(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for into(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_existing = &(stackframe->slots[0]);
  *var_existing = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part into(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_selfIterator = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "selfIterator");
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6019 = gc_frame_new();
// call case 4: self request
  Object call6020 = callmethodflags(self, "iterator", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6019);
// compiled member node returning call6020 (depth = 4)
  *var_selfIterator = call6020;
  if (call6020 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6021 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6022 = alloc_Block(NULL, NULL, "collectionsPrelude", 422);
  gc_frame_newslot(block6022);
// method "_apply"
  block_savedest(block6022);
  Object closure6023 = createclosure(2, "_apply");
  setclosureframe(closure6023, stackframe);
  addtoclosure(closure6023, var_selfIterator);
  addtoclosure(closure6023, selfslot);
  struct UserObject *uo6023 = (struct UserObject*)block6022;
  uo6023->data[0] = (Object)closure6023;
  Method *meth_meth_collectionsPrelude__apply6023 = addmethod2pos(block6022, "_apply", &meth_collectionsPrelude__apply6023, 0);
  int argcv_meth_collectionsPrelude__apply6023[] = {0};
  meth_meth_collectionsPrelude__apply6023->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply6023);
  meth_meth_collectionsPrelude__apply6023->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply6023->definitionLine = 1990;
// compiled block node returning block6022 (depth = 4)
  gc_frame_newslot(block6022);
// starting to compile block node (depth = 4)
  Object block6027 = alloc_Block(NULL, NULL, "collectionsPrelude", 422);
  gc_frame_newslot(block6027);
// method "_apply"
  block_savedest(block6027);
  Object closure6028 = createclosure(3, "_apply");
  setclosureframe(closure6028, stackframe);
  addtoclosure(closure6028, var_selfIterator);
  addtoclosure(closure6028, var_existing);
  addtoclosure(closure6028, selfslot);
  struct UserObject *uo6028 = (struct UserObject*)block6027;
  uo6028->data[0] = (Object)closure6028;
  Method *meth_meth_collectionsPrelude__apply6028 = addmethod2pos(block6027, "_apply", &meth_collectionsPrelude__apply6028, 0);
  int argcv_meth_collectionsPrelude__apply6028[] = {0};
  meth_meth_collectionsPrelude__apply6028->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply6028);
  meth_meth_collectionsPrelude__apply6028->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply6028->definitionLine = 1990;
// compiled block node returning block6027 (depth = 4)
  gc_frame_newslot(block6027);
// call case 5: prelude request
  params[0] = block6022;
  params[1] = block6027;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6034 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6021);
// compiled call node returning call6034 (depth = 3)
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_existing (depth = 3)
  gc_frame_end(frame);
  return *var_existing;
}
Object meth_collectionsPrelude_TRAIT5889(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_collection = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5890 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5890 = alloc_userobj2(15,16, objclass5890);
  gc_frame_newslot(obj5890);
if (objclass5890 == NULL) {
  glfree(obj5890->class->name);
  obj5890->class->name = "indexable.indexable.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5890, self, 0);
  addmethodreal(obj5890,"outer", &reader_collectionsPrelude_outer_5891);
  Object oldself5890 = self;
  struct StackFrameObject *oldstackframe5890 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5890);
  gc_frame_newslot((Object)stackframe);
  self = obj5890;
  Object *oldselfslot5890 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5890 = (*(struct UserObject *)self).data[0], lowerouter5890 = thisouter5890;
  if (inheritingObject5890) {
    struct UserObject *inho5890 = (struct UserObject *)inheritingObject5890;
    while (inho5890->super != GraceDefaultObject) inho5890 = (struct UserObject *)inho5890->super;
    inho5890->super = obj5890;
    self = inheritingObject5890;
    *selfslot = self;
    lowerouter5890 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5890;
  }
// method "at(_)"
  struct UserObject *uo5892 = (struct UserObject*)obj5890;
  uo5892->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_5892 = addmethod2pos(obj5890, "at(1)", &meth_collectionsPrelude_at_40_1_41_5892, 1);
  int argcv_meth_collectionsPrelude_at_40_1_41_5892[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_5892->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_5892);
  meth_meth_collectionsPrelude_at_40_1_41_5892->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_5892->definitionLine = 386;
// method "size"
  struct UserObject *uo5899 = (struct UserObject*)obj5890;
  uo5899->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size5899 = addmethod2pos(obj5890, "size", &meth_collectionsPrelude_size5899, 2);
  int argcv_meth_collectionsPrelude_size5899[] = {0};
  meth_meth_collectionsPrelude_size5899->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5899);
  meth_meth_collectionsPrelude_size5899->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5899->definitionLine = 387;
// method "isEmpty"
  struct UserObject *uo5906 = (struct UserObject*)obj5890;
  uo5906->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty5906 = addmethod2pos(obj5890, "isEmpty", &meth_collectionsPrelude_isEmpty5906, 3);
  int argcv_meth_collectionsPrelude_isEmpty5906[] = {0};
  meth_meth_collectionsPrelude_isEmpty5906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty5906);
  meth_meth_collectionsPrelude_isEmpty5906->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty5906->definitionLine = 388;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5913 = (struct UserObject*)obj5890;
  uo5913->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913 = addmethod2pos(obj5890, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913, 4);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->definitionLine = 389;
// method "first"
  struct UserObject *uo5937 = (struct UserObject*)obj5890;
  uo5937->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_first5937 = addmethod2pos(obj5890, "first", &meth_collectionsPrelude_first5937, 5);
  int argcv_meth_collectionsPrelude_first5937[] = {0};
  meth_meth_collectionsPrelude_first5937->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first5937);
  meth_meth_collectionsPrelude_first5937->definitionModule = modulename;
  meth_meth_collectionsPrelude_first5937->definitionLine = 397;
// method "second"
  struct UserObject *uo5941 = (struct UserObject*)obj5890;
  uo5941->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_second5941 = addmethod2pos(obj5890, "second", &meth_collectionsPrelude_second5941, 6);
  int argcv_meth_collectionsPrelude_second5941[] = {0};
  meth_meth_collectionsPrelude_second5941->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_second5941);
  meth_meth_collectionsPrelude_second5941->definitionModule = modulename;
  meth_meth_collectionsPrelude_second5941->definitionLine = 398;
// method "third"
  struct UserObject *uo5945 = (struct UserObject*)obj5890;
  uo5945->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_third5945 = addmethod2pos(obj5890, "third", &meth_collectionsPrelude_third5945, 7);
  int argcv_meth_collectionsPrelude_third5945[] = {0};
  meth_meth_collectionsPrelude_third5945->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_third5945);
  meth_meth_collectionsPrelude_third5945->definitionModule = modulename;
  meth_meth_collectionsPrelude_third5945->definitionLine = 399;
// method "fourth"
  struct UserObject *uo5949 = (struct UserObject*)obj5890;
  uo5949->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fourth5949 = addmethod2pos(obj5890, "fourth", &meth_collectionsPrelude_fourth5949, 8);
  int argcv_meth_collectionsPrelude_fourth5949[] = {0};
  meth_meth_collectionsPrelude_fourth5949->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fourth5949);
  meth_meth_collectionsPrelude_fourth5949->definitionModule = modulename;
  meth_meth_collectionsPrelude_fourth5949->definitionLine = 400;
// method "fifth"
  struct UserObject *uo5953 = (struct UserObject*)obj5890;
  uo5953->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fifth5953 = addmethod2pos(obj5890, "fifth", &meth_collectionsPrelude_fifth5953, 9);
  int argcv_meth_collectionsPrelude_fifth5953[] = {0};
  meth_meth_collectionsPrelude_fifth5953->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fifth5953);
  meth_meth_collectionsPrelude_fifth5953->definitionModule = modulename;
  meth_meth_collectionsPrelude_fifth5953->definitionLine = 401;
// method "last"
  struct UserObject *uo5957 = (struct UserObject*)obj5890;
  uo5957->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_last5957 = addmethod2pos(obj5890, "last", &meth_collectionsPrelude_last5957, 10);
  int argcv_meth_collectionsPrelude_last5957[] = {0};
  meth_meth_collectionsPrelude_last5957->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_last5957);
  meth_meth_collectionsPrelude_last5957->definitionModule = modulename;
  meth_meth_collectionsPrelude_last5957->definitionLine = 402;
// method "indices"
  struct UserObject *uo5962 = (struct UserObject*)obj5890;
  uo5962->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indices5962 = addmethod2pos(obj5890, "indices", &meth_collectionsPrelude_indices5962, 11);
  int argcv_meth_collectionsPrelude_indices5962[] = {0};
  meth_meth_collectionsPrelude_indices5962->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indices5962);
  meth_meth_collectionsPrelude_indices5962->definitionModule = modulename;
  meth_meth_collectionsPrelude_indices5962->definitionLine = 403;
// method "indexOf(_)"
  block_savedest(obj5890);
  Object closure5974 = createclosure(1, "indexOf(1)");
  setclosureframe(closure5974, stackframe);
  addtoclosure(closure5974, var_NoSuchObject);
  struct UserObject *uo5974 = (struct UserObject*)obj5890;
  uo5974->data[12] = (Object)closure5974;
  Method *meth_meth_collectionsPrelude_indexOf_40_1_41_5974 = addmethod2pos(obj5890, "indexOf(1)", &meth_collectionsPrelude_indexOf_40_1_41_5974, 12);
  int argcv_meth_collectionsPrelude_indexOf_40_1_41_5974[] = {1};
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexOf_40_1_41_5974);
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->definitionLine = 404;
// method "indexOf(_)ifAbsent(_)"
  struct UserObject *uo5990 = (struct UserObject*)obj5890;
  uo5990->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990 = addmethod2pos(obj5890, "indexOf(1)ifAbsent(1)", &meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990, 13);
  int argcv_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990[] = {1, 1};
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990);
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->definitionLine = 407;
// method "asDictionary"
  struct UserObject *uo6002 = (struct UserObject*)obj5890;
  uo6002->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary6002 = addmethod2pos(obj5890, "asDictionary", &meth_collectionsPrelude_asDictionary6002, 14);
  int argcv_meth_collectionsPrelude_asDictionary6002[] = {0};
  meth_meth_collectionsPrelude_asDictionary6002->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary6002);
  meth_meth_collectionsPrelude_asDictionary6002->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary6002->definitionLine = 413;
// method "into(_)"
  struct UserObject *uo6018 = (struct UserObject*)obj5890;
  uo6018->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_6018 = addmethod2pos(obj5890, "into(1)", &meth_collectionsPrelude_into_40_1_41_6018, 15);
  int argcv_meth_collectionsPrelude_into_40_1_41_6018[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_6018->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_6018);
  meth_meth_collectionsPrelude_into_40_1_41_6018->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_6018->definitionLine = 420;
  sourceObject = obj5890;
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6035 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_collection (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6036 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6035);
// compiled call node returning call6036 (depth = 3)
  struct UserObject *obj5890_uo = (struct UserObject *)obj5890;
  obj5890_uo->super = call6036;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  objclass5890 = obj5890->class;
  objclass5890->definitionModule = modulename;
  objclass5890->definitionLine = 384;
  (*(struct UserObject *)self).data[0] = lowerouter5890;
  self = oldself5890;
  selfslot = oldselfslot5890;
  stackframe = oldstackframe5890;
  gc_frame_end(frame);
  return obj5890;
}
Object meth_collectionsPrelude_TRAIT5889_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "TRAIT$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_collection = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start typeParams
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      graceRaise(RequestError(), "insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End typeParams
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5890 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5890 = alloc_userobj2(15,16, objclass5890);
  gc_frame_newslot(obj5890);
if (objclass5890 == NULL) {
  glfree(obj5890->class->name);
  obj5890->class->name = "indexable.indexable.TRAIT";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5890, self, 0);
  addmethodreal(obj5890,"outer", &reader_collectionsPrelude_outer_5891);
  Object oldself5890 = self;
  struct StackFrameObject *oldstackframe5890 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5890);
  gc_frame_newslot((Object)stackframe);
  self = obj5890;
  Object *oldselfslot5890 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5890 = (*(struct UserObject *)self).data[0], lowerouter5890 = thisouter5890;
  if (inheritingObject5890) {
    struct UserObject *inho5890 = (struct UserObject *)inheritingObject5890;
    while (inho5890->super != GraceDefaultObject) inho5890 = (struct UserObject *)inho5890->super;
    inho5890->super = obj5890;
    self = inheritingObject5890;
    *selfslot = self;
    lowerouter5890 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5890;
  }
// method "at(_)"
  struct UserObject *uo5892 = (struct UserObject*)obj5890;
  uo5892->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40_1_41_5892 = addmethod2pos(obj5890, "at(1)", &meth_collectionsPrelude_at_40_1_41_5892, 1);
  int argcv_meth_collectionsPrelude_at_40_1_41_5892[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_5892->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_5892);
  meth_meth_collectionsPrelude_at_40_1_41_5892->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_5892->definitionLine = 386;
// method "size"
  struct UserObject *uo5899 = (struct UserObject*)obj5890;
  uo5899->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size5899 = addmethod2pos(obj5890, "size", &meth_collectionsPrelude_size5899, 2);
  int argcv_meth_collectionsPrelude_size5899[] = {0};
  meth_meth_collectionsPrelude_size5899->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size5899);
  meth_meth_collectionsPrelude_size5899->definitionModule = modulename;
  meth_meth_collectionsPrelude_size5899->definitionLine = 387;
// method "isEmpty"
  struct UserObject *uo5906 = (struct UserObject*)obj5890;
  uo5906->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty5906 = addmethod2pos(obj5890, "isEmpty", &meth_collectionsPrelude_isEmpty5906, 3);
  int argcv_meth_collectionsPrelude_isEmpty5906[] = {0};
  meth_meth_collectionsPrelude_isEmpty5906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty5906);
  meth_meth_collectionsPrelude_isEmpty5906->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty5906->definitionLine = 388;
// method "keysAndValuesDo(_)"
  struct UserObject *uo5913 = (struct UserObject*)obj5890;
  uo5913->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913 = addmethod2pos(obj5890, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913, 4);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_5913->definitionLine = 389;
// method "first"
  struct UserObject *uo5937 = (struct UserObject*)obj5890;
  uo5937->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_first5937 = addmethod2pos(obj5890, "first", &meth_collectionsPrelude_first5937, 5);
  int argcv_meth_collectionsPrelude_first5937[] = {0};
  meth_meth_collectionsPrelude_first5937->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first5937);
  meth_meth_collectionsPrelude_first5937->definitionModule = modulename;
  meth_meth_collectionsPrelude_first5937->definitionLine = 397;
// method "second"
  struct UserObject *uo5941 = (struct UserObject*)obj5890;
  uo5941->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_second5941 = addmethod2pos(obj5890, "second", &meth_collectionsPrelude_second5941, 6);
  int argcv_meth_collectionsPrelude_second5941[] = {0};
  meth_meth_collectionsPrelude_second5941->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_second5941);
  meth_meth_collectionsPrelude_second5941->definitionModule = modulename;
  meth_meth_collectionsPrelude_second5941->definitionLine = 398;
// method "third"
  struct UserObject *uo5945 = (struct UserObject*)obj5890;
  uo5945->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_third5945 = addmethod2pos(obj5890, "third", &meth_collectionsPrelude_third5945, 7);
  int argcv_meth_collectionsPrelude_third5945[] = {0};
  meth_meth_collectionsPrelude_third5945->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_third5945);
  meth_meth_collectionsPrelude_third5945->definitionModule = modulename;
  meth_meth_collectionsPrelude_third5945->definitionLine = 399;
// method "fourth"
  struct UserObject *uo5949 = (struct UserObject*)obj5890;
  uo5949->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fourth5949 = addmethod2pos(obj5890, "fourth", &meth_collectionsPrelude_fourth5949, 8);
  int argcv_meth_collectionsPrelude_fourth5949[] = {0};
  meth_meth_collectionsPrelude_fourth5949->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fourth5949);
  meth_meth_collectionsPrelude_fourth5949->definitionModule = modulename;
  meth_meth_collectionsPrelude_fourth5949->definitionLine = 400;
// method "fifth"
  struct UserObject *uo5953 = (struct UserObject*)obj5890;
  uo5953->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fifth5953 = addmethod2pos(obj5890, "fifth", &meth_collectionsPrelude_fifth5953, 9);
  int argcv_meth_collectionsPrelude_fifth5953[] = {0};
  meth_meth_collectionsPrelude_fifth5953->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fifth5953);
  meth_meth_collectionsPrelude_fifth5953->definitionModule = modulename;
  meth_meth_collectionsPrelude_fifth5953->definitionLine = 401;
// method "last"
  struct UserObject *uo5957 = (struct UserObject*)obj5890;
  uo5957->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_last5957 = addmethod2pos(obj5890, "last", &meth_collectionsPrelude_last5957, 10);
  int argcv_meth_collectionsPrelude_last5957[] = {0};
  meth_meth_collectionsPrelude_last5957->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_last5957);
  meth_meth_collectionsPrelude_last5957->definitionModule = modulename;
  meth_meth_collectionsPrelude_last5957->definitionLine = 402;
// method "indices"
  struct UserObject *uo5962 = (struct UserObject*)obj5890;
  uo5962->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indices5962 = addmethod2pos(obj5890, "indices", &meth_collectionsPrelude_indices5962, 11);
  int argcv_meth_collectionsPrelude_indices5962[] = {0};
  meth_meth_collectionsPrelude_indices5962->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indices5962);
  meth_meth_collectionsPrelude_indices5962->definitionModule = modulename;
  meth_meth_collectionsPrelude_indices5962->definitionLine = 403;
// method "indexOf(_)"
  block_savedest(obj5890);
  Object closure5974 = createclosure(1, "indexOf(1)");
  setclosureframe(closure5974, stackframe);
  addtoclosure(closure5974, var_NoSuchObject);
  struct UserObject *uo5974 = (struct UserObject*)obj5890;
  uo5974->data[12] = (Object)closure5974;
  Method *meth_meth_collectionsPrelude_indexOf_40_1_41_5974 = addmethod2pos(obj5890, "indexOf(1)", &meth_collectionsPrelude_indexOf_40_1_41_5974, 12);
  int argcv_meth_collectionsPrelude_indexOf_40_1_41_5974[] = {1};
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexOf_40_1_41_5974);
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40_1_41_5974->definitionLine = 404;
// method "indexOf(_)ifAbsent(_)"
  struct UserObject *uo5990 = (struct UserObject*)obj5890;
  uo5990->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990 = addmethod2pos(obj5890, "indexOf(1)ifAbsent(1)", &meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990, 13);
  int argcv_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990[] = {1, 1};
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990);
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40_1_41_ifAbsent_40_1_41_5990->definitionLine = 407;
// method "asDictionary"
  struct UserObject *uo6002 = (struct UserObject*)obj5890;
  uo6002->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary6002 = addmethod2pos(obj5890, "asDictionary", &meth_collectionsPrelude_asDictionary6002, 14);
  int argcv_meth_collectionsPrelude_asDictionary6002[] = {0};
  meth_meth_collectionsPrelude_asDictionary6002->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary6002);
  meth_meth_collectionsPrelude_asDictionary6002->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary6002->definitionLine = 413;
// method "into(_)"
  struct UserObject *uo6018 = (struct UserObject*)obj5890;
  uo6018->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into_40_1_41_6018 = addmethod2pos(obj5890, "into(1)", &meth_collectionsPrelude_into_40_1_41_6018, 15);
  int argcv_meth_collectionsPrelude_into_40_1_41_6018[] = {1};
  meth_meth_collectionsPrelude_into_40_1_41_6018->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into_40_1_41_6018);
  meth_meth_collectionsPrelude_into_40_1_41_6018->definitionModule = modulename;
  meth_meth_collectionsPrelude_into_40_1_41_6018->definitionLine = 420;
  sourceObject = obj5890;
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6035 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_collection (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6036 = callmethodflags(*var_collection, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6035);
// compiled call node returning call6036 (depth = 3)
  struct UserObject *obj5890_uo = (struct UserObject *)obj5890;
  obj5890_uo->super = call6036;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  sourceObject = obj5890;
  objclass5890 = obj5890->class;
  objclass5890->definitionModule = modulename;
  objclass5890->definitionLine = 384;
  (*(struct UserObject *)self).data[0] = lowerouter5890;
  self = oldself5890;
  selfslot = oldselfslot5890;
  stackframe = oldstackframe5890;
  gc_frame_end(frame);
  return obj5890;
}
Object meth_collectionsPrelude_asString6038(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6039 == NULL) {
    strlit6039 = alloc_String("class indexable");
    gc_root(strlit6039);
  }
// compiled string node returning strlit6039 (depth = 3)
  gc_frame_end(frame);
  return strlit6039;
}
Object meth_collectionsPrelude_indexable6040(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indexable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  gc_frame_end(frame);
  return *var_indexable;
}
Object meth_collectionsPrelude_size6043(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num6044 = alloc_Float64(0);
// compiled num node returning num6044 (depth = 3)
  gc_frame_end(frame);
  return num6044;
}
Object meth_collectionsPrelude_isEmpty6045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6046 = alloc_Boolean(1);
// compiled identifier node returning bool6046 (depth = 3)
  gc_frame_end(frame);
  return bool6046;
}
Object meth_collectionsPrelude_at_40_1_41_6047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method at(_)");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for at(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part at(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6048 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6050 == NULL) {
    strlit6050 = alloc_String(" of empty sequence");
    gc_root(strlit6050);
  }
// compiled string node returning strlit6050 (depth = 5)
  int op_slot_right_6049 = gc_frame_newslot(strlit6050);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_right_6052 = gc_frame_newslot(*var_n);
// starting to compile string node (depth = 6)
  if (strlit6054 == NULL) {
    strlit6054 = alloc_String("index ");
    gc_root(strlit6054);
  }
// compiled string node returning strlit6054 (depth = 6)
  int op_slot_left_6052 = gc_frame_newslot(strlit6054);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult6055 = callmethod(strlit6054, "++(1)", 1, partcv, params);
// compiled op node returning opresult6055 (depth = 5)
  int op_slot_left_6049 = gc_frame_newslot(opresult6055);
  params[0] = strlit6050;
  partcv[0] = 1;
  Object opresult6056 = callmethod(opresult6055, "++(1)", 1, partcv, params);
// compiled op node returning opresult6056 (depth = 4)
  gc_frame_newslot(opresult6056);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult6056;
  partcv[0] = 1;
  Object call6057 = callmethodflags(*var_BoundsError, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6048);
// compiled call node returning call6057 (depth = 3)
  gc_frame_end(frame);
  return call6057;
}
Object meth_collectionsPrelude_keys6058(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_values6059(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keysAndValuesDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keysAndValuesDo(_)");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keysAndValuesDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keysAndValuesDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_done (depth = 3)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude_reversed6061(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__43__43__40_1_41_6062(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ++(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ++(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ++(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6063 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6064 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6065 = gc_frame_new();
// call case 3: self.outer request
  Object call6066 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6065);
// compiled member node returning call6066 (depth = 5)
  Object call6067 = callmethodflags(call6066, "sequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6064);
// compiled member node returning call6067 (depth = 4)
  params[0] = *var_other;
  partcv[0] = 1;
  Object call6068 = callmethodflags(call6067, "withAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6063);
// compiled call node returning call6068 (depth = 3)
  gc_frame_end(frame);
  return call6068;
}
Object meth_collectionsPrelude_asString6069(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6070 == NULL) {
    strlit6070 = alloc_String("""\xe2""""\x9f""""\xa8""""\xe2""""\x9f""""\xa9""");
    gc_root(strlit6070);
  }
// compiled string node returning strlit6070 (depth = 3)
  gc_frame_end(frame);
  return strlit6070;
}
Object meth_collectionsPrelude_contains_40_1_41_6071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method contains(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for contains(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part contains(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6072 = alloc_Boolean(0);
// compiled identifier node returning bool6072 (depth = 3)
  gc_frame_end(frame);
  return bool6072;
}
Object meth_collectionsPrelude_do_40_1_41_6073(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_done (depth = 3)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude__apply_40_1_41_6077(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6078 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  Object call6079 = callmethodflags(*var_o, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe6078);
// compiled member node returning call6079 (depth = 5)
  gc_frame_end(frame);
  return call6079;
}
Object meth_collectionsPrelude__apply_40_1_41_6091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___12 = &(stackframe->slots[0]);
  *var___12 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool6092 = alloc_Boolean(0);
// compiled identifier node returning bool6092 (depth = 5)
  gc_frame_end(frame);
  return bool6092;
}
Object meth_collectionsPrelude__61__61__40_1_41_6074(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_Iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int frame6075 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6076 = alloc_Block(NULL, NULL, "collectionsPrelude", 448);
  gc_frame_newslot(block6076);
// method "_apply(_)"
  block_savedest(block6076);
  Object closure6077 = createclosure(1, "_apply(1)");
  setclosureframe(closure6077, stackframe);
  addtoclosure(closure6077, selfslot);
  struct UserObject *uo6077 = (struct UserObject*)block6076;
  uo6077->data[0] = (Object)closure6077;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_6077 = addmethod2pos(block6076, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_6077, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_6077[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_6077->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_6077);
  meth_meth_collectionsPrelude__apply_40_1_41_6077->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_6077->definitionLine = 1990;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6081 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe6082 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6083 == NULL) {
    strlit6083 = alloc_String("o");
    gc_root(strlit6083);
  }
// compiled string node returning strlit6083 (depth = 7)
  gc_frame_newslot(strlit6083);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6084 = gc_frame_new();
// call case 5: prelude request
  Object call6085 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6084);
// compiled member node returning call6085 (depth = 7)
  params[0] = strlit6083;
  partcv[0] = 1;
  Object call6086 = callmethodflags(call6085, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6082);
// compiled call node returning call6086 (depth = 6)
  gc_frame_newslot(call6086);
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Iterable (depth = 6)
  gc_frame_newslot(*var_Iterable);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6087 = gc_frame_new();
// call case 5: prelude request
  Object call6088 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6087);
// compiled member node returning call6088 (depth = 6)
  params[0] = call6086;
  params[1] = *var_Iterable;
  partcv[0] = 2;
  Object call6089 = callmethodflags(call6088, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6081);
// compiled call node returning call6089 (depth = 5)
((struct UserObject *)block6076)->data[1] = call6089;
// compiled block node returning block6076 (depth = 4)
  gc_frame_newslot(block6076);
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6090 = alloc_Block(NULL, NULL, "collectionsPrelude", 451);
  gc_frame_newslot(block6090);
// method "_apply(_)"
  block_savedest(block6090);
  Object closure6091 = createclosure(1, "_apply(1)");
  setclosureframe(closure6091, stackframe);
  addtoclosure(closure6091, selfslot);
  struct UserObject *uo6091 = (struct UserObject*)block6090;
  uo6091->data[0] = (Object)closure6091;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_6091 = addmethod2pos(block6090, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_6091, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_6091[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_6091->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_6091);
  meth_meth_collectionsPrelude__apply_40_1_41_6091->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_6091->definitionLine = 1990;
// compiled block node returning block6090 (depth = 4)
  gc_frame_newslot(block6090);
  params[0] = block6076;
  params[1] = block6090;
  Object matchres6075 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame6075);
// compiled matchcase node returning matchres6075 (depth = 3)
  gc_frame_end(frame);
  return matchres6075;
}
Object meth_collectionsPrelude_asString6097(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6098 == NULL) {
    strlit6098 = alloc_String("emptySequenceIterator");
    gc_root(strlit6098);
  }
// compiled string node returning strlit6098 (depth = 3)
  gc_frame_end(frame);
  return strlit6098;
}
Object meth_collectionsPrelude_hasNext6099(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6100 = alloc_Boolean(0);
// compiled identifier node returning bool6100 (depth = 3)
  gc_frame_end(frame);
  return bool6100;
}
Object meth_collectionsPrelude_next6101(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6102 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6103 == NULL) {
    strlit6103 = alloc_String("on empty sequence");
    gc_root(strlit6103);
  }
// compiled string node returning strlit6103 (depth = 4)
  gc_frame_newslot(strlit6103);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_IteratorExhausted (depth = 4)
  params[0] = strlit6103;
  partcv[0] = 1;
  Object call6104 = callmethodflags(*var_IteratorExhausted, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6102);
// compiled call node returning call6104 (depth = 3)
  gc_frame_end(frame);
  return call6104;
}
Object meth_collectionsPrelude_iterator6094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6095 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6095 = alloc_userobj2(3,4, objclass6095);
  gc_frame_newslot(obj6095);
if (objclass6095 == NULL) {
  glfree(obj6095->class->name);
  obj6095->class->name = "emptySequence.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6095, self, 0);
  addmethodreal(obj6095,"outer", &reader_collectionsPrelude_outer_6096);
  Object oldself6095 = self;
  struct StackFrameObject *oldstackframe6095 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6095);
  gc_frame_newslot((Object)stackframe);
  self = obj6095;
  Object *oldselfslot6095 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6095 = (*(struct UserObject *)self).data[0], lowerouter6095 = thisouter6095;
  if (inheritingObject6095) {
    struct UserObject *inho6095 = (struct UserObject *)inheritingObject6095;
    while (inho6095->super != GraceDefaultObject) inho6095 = (struct UserObject *)inho6095->super;
    inho6095->super = obj6095;
    self = inheritingObject6095;
    *selfslot = self;
    lowerouter6095 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6095;
  }
// method "asString"
  struct UserObject *uo6097 = (struct UserObject*)obj6095;
  uo6097->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6097 = addmethod2pos(obj6095, "asString", &meth_collectionsPrelude_asString6097, 1);
  int argcv_meth_collectionsPrelude_asString6097[] = {0};
  meth_meth_collectionsPrelude_asString6097->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6097);
  meth_meth_collectionsPrelude_asString6097->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6097->definitionLine = 456;
// method "hasNext"
  struct UserObject *uo6099 = (struct UserObject*)obj6095;
  uo6099->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext6099 = addmethod2pos(obj6095, "hasNext", &meth_collectionsPrelude_hasNext6099, 2);
  int argcv_meth_collectionsPrelude_hasNext6099[] = {0};
  meth_meth_collectionsPrelude_hasNext6099->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext6099);
  meth_meth_collectionsPrelude_hasNext6099->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext6099->definitionLine = 457;
// method "next"
  block_savedest(obj6095);
  Object closure6101 = createclosure(1, "next");
  setclosureframe(closure6101, stackframe);
  addtoclosure(closure6101, var_IteratorExhausted);
  struct UserObject *uo6101 = (struct UserObject*)obj6095;
  uo6101->data[3] = (Object)closure6101;
  Method *meth_meth_collectionsPrelude_next6101 = addmethod2pos(obj6095, "next", &meth_collectionsPrelude_next6101, 3);
  int argcv_meth_collectionsPrelude_next6101[] = {0};
  meth_meth_collectionsPrelude_next6101->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next6101);
  meth_meth_collectionsPrelude_next6101->definitionModule = modulename;
  meth_meth_collectionsPrelude_next6101->definitionLine = 458;
  sourceObject = obj6095;
  sourceObject = obj6095;
  sourceObject = obj6095;
  objclass6095 = obj6095->class;
  objclass6095->definitionModule = modulename;
  objclass6095->definitionLine = 455;
  (*(struct UserObject *)self).data[0] = lowerouter6095;
  self = oldself6095;
  selfslot = oldselfslot6095;
  stackframe = oldstackframe6095;
  gc_frame_end(frame);
  return obj6095;
}
Object meth_collectionsPrelude_iterator6094_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_IteratorExhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6095 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6095 = alloc_userobj2(3,4, objclass6095);
  gc_frame_newslot(obj6095);
if (objclass6095 == NULL) {
  glfree(obj6095->class->name);
  obj6095->class->name = "emptySequence.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6095, self, 0);
  addmethodreal(obj6095,"outer", &reader_collectionsPrelude_outer_6096);
  Object oldself6095 = self;
  struct StackFrameObject *oldstackframe6095 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6095);
  gc_frame_newslot((Object)stackframe);
  self = obj6095;
  Object *oldselfslot6095 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6095 = (*(struct UserObject *)self).data[0], lowerouter6095 = thisouter6095;
  if (inheritingObject6095) {
    struct UserObject *inho6095 = (struct UserObject *)inheritingObject6095;
    while (inho6095->super != GraceDefaultObject) inho6095 = (struct UserObject *)inho6095->super;
    inho6095->super = obj6095;
    self = inheritingObject6095;
    *selfslot = self;
    lowerouter6095 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6095;
  }
// method "asString"
  struct UserObject *uo6097 = (struct UserObject*)obj6095;
  uo6097->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6097 = addmethod2pos(obj6095, "asString", &meth_collectionsPrelude_asString6097, 1);
  int argcv_meth_collectionsPrelude_asString6097[] = {0};
  meth_meth_collectionsPrelude_asString6097->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6097);
  meth_meth_collectionsPrelude_asString6097->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6097->definitionLine = 456;
// method "hasNext"
  struct UserObject *uo6099 = (struct UserObject*)obj6095;
  uo6099->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext6099 = addmethod2pos(obj6095, "hasNext", &meth_collectionsPrelude_hasNext6099, 2);
  int argcv_meth_collectionsPrelude_hasNext6099[] = {0};
  meth_meth_collectionsPrelude_hasNext6099->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext6099);
  meth_meth_collectionsPrelude_hasNext6099->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext6099->definitionLine = 457;
// method "next"
  block_savedest(obj6095);
  Object closure6101 = createclosure(1, "next");
  setclosureframe(closure6101, stackframe);
  addtoclosure(closure6101, var_IteratorExhausted);
  struct UserObject *uo6101 = (struct UserObject*)obj6095;
  uo6101->data[3] = (Object)closure6101;
  Method *meth_meth_collectionsPrelude_next6101 = addmethod2pos(obj6095, "next", &meth_collectionsPrelude_next6101, 3);
  int argcv_meth_collectionsPrelude_next6101[] = {0};
  meth_meth_collectionsPrelude_next6101->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next6101);
  meth_meth_collectionsPrelude_next6101->definitionModule = modulename;
  meth_meth_collectionsPrelude_next6101->definitionLine = 458;
  sourceObject = obj6095;
  sourceObject = obj6095;
  sourceObject = obj6095;
  objclass6095 = obj6095->class;
  objclass6095->definitionModule = modulename;
  objclass6095->definitionLine = 455;
  (*(struct UserObject *)self).data[0] = lowerouter6095;
  self = oldself6095;
  selfslot = oldselfslot6095;
  stackframe = oldstackframe6095;
  gc_frame_end(frame);
  return obj6095;
}
Object meth_collectionsPrelude_sorted6106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_sortedBy_40_1_41_6107(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortedBy(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sortedBy(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sortedBy(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sortedBy(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_emptySequence6110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptySequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySequence (depth = 3)
  gc_frame_end(frame);
  return *var_emptySequence;
}
Object meth_collectionsPrelude_MinimalyIterable6113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "MinimalyIterable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_MinimalyIterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_MinimalyIterable (depth = 3)
  gc_frame_end(frame);
  return *var_MinimalyIterable;
}
Object meth_collectionsPrelude_asString6119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6120 == NULL) {
    strlit6120 = alloc_String("unused");
    gc_root(strlit6120);
  }
// compiled string node returning strlit6120 (depth = 3)
  gc_frame_end(frame);
  return strlit6120;
}
Object meth_collectionsPrelude__61__61__40_1_41_6121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6122 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call6123 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6122);
// compiled call node returning call6123 (depth = 3)
  gc_frame_end(frame);
  return call6123;
}
Object meth_collectionsPrelude_unused6125(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unused");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unused = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unused (depth = 3)
  gc_frame_end(frame);
  return *var_unused;
}
Object meth_collectionsPrelude_asString6131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6132 == NULL) {
    strlit6132 = alloc_String("removed");
    gc_root(strlit6132);
  }
// compiled string node returning strlit6132 (depth = 3)
  gc_frame_end(frame);
  return strlit6132;
}
Object meth_collectionsPrelude__61__61__40_1_41_6133(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6134 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call6135 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6134);
// compiled call node returning call6135 (depth = 3)
  gc_frame_end(frame);
  return call6135;
}
Object meth_collectionsPrelude_removed6137(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_removed = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_removed (depth = 3)
  gc_frame_end(frame);
  return *var_removed;
}
Object meth_collectionsPrelude_Binding6140(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Binding");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Binding (depth = 3)
  gc_frame_end(frame);
  return *var_Binding;
}
Object meth_collectionsPrelude_asString6143(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1481
  setline(1481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6144 == NULL) {
    strlit6144 = alloc_String("binding class");
    gc_root(strlit6144);
  }
// compiled string node returning strlit6144 (depth = 3)
  gc_frame_end(frame);
  return strlit6144;
}
Object meth_collectionsPrelude_key6148(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_k (depth = 3)
  gc_frame_end(frame);
  return *var_k;
}
Object meth_collectionsPrelude_value6149(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_end(frame);
  return *var_v;
}
Object meth_collectionsPrelude_asString6150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6152 == NULL) {
    strlit6152 = alloc_String("");
    gc_root(strlit6152);
  }
// compiled string node returning strlit6152 (depth = 4)
  int op_slot_right_6151 = gc_frame_newslot(strlit6152);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  int op_slot_right_6154 = gc_frame_newslot(*var_v);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6157 == NULL) {
    strlit6157 = alloc_String("::");
    gc_root(strlit6157);
  }
// compiled string node returning strlit6157 (depth = 6)
  int op_slot_right_6156 = gc_frame_newslot(strlit6157);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_k (depth = 7)
  int op_slot_right_6159 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 7)
  if (strlit6161 == NULL) {
    strlit6161 = alloc_String("");
    gc_root(strlit6161);
  }
// compiled string node returning strlit6161 (depth = 7)
  int op_slot_left_6159 = gc_frame_newslot(strlit6161);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult6162 = callmethod(strlit6161, "++(1)", 1, partcv, params);
// compiled op node returning opresult6162 (depth = 6)
  int op_slot_left_6156 = gc_frame_newslot(opresult6162);
  params[0] = strlit6157;
  partcv[0] = 1;
  Object opresult6163 = callmethod(opresult6162, "++(1)", 1, partcv, params);
// compiled op node returning opresult6163 (depth = 5)
  int op_slot_left_6154 = gc_frame_newslot(opresult6163);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult6164 = callmethod(opresult6163, "++(1)", 1, partcv, params);
// compiled op node returning opresult6164 (depth = 4)
  int op_slot_left_6151 = gc_frame_newslot(opresult6164);
  params[0] = strlit6152;
  partcv[0] = 1;
  Object opresult6165 = callmethod(opresult6164, "++(1)", 1, partcv, params);
// compiled op node returning opresult6165 (depth = 3)
  gc_frame_end(frame);
  return opresult6165;
}
Object meth_collectionsPrelude_hashcode6166(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hashcode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1487
  setline(1487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6168 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  Object call6169 = callmethodflags(*var_v, "hashcode", 0, partcv, params, 0);
  gc_frame_end(callframe6168);
// compiled member node returning call6169 (depth = 4)
  int op_slot_right_6167 = gc_frame_newslot(call6169);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num6172 = alloc_Float64(1021);
// compiled num node returning num6172 (depth = 5)
  int op_slot_right_6171 = gc_frame_newslot(num6172);
// starting to compile member node (depth = 5)
  int callframe6174 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  Object call6175 = callmethodflags(*var_k, "hashcode", 0, partcv, params, 0);
  gc_frame_end(callframe6174);
// compiled member node returning call6175 (depth = 5)
  int op_slot_left_6171 = gc_frame_newslot(call6175);
  params[0] = num6172;
  partcv[0] = 1;
  Object prod6176 = callmethod(call6175, "*(1)", 1, partcv, params);
// compiled op node returning prod6176 (depth = 4)
  int op_slot_left_6167 = gc_frame_newslot(prod6176);
  params[0] = call6169;
  partcv[0] = 1;
  Object sum6177 = callmethod(prod6176, "+(1)", 1, partcv, params);
// compiled op node returning sum6177 (depth = 3)
  gc_frame_end(frame);
  return sum6177;
}
Object meth_collectionsPrelude_hash6178(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6180 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  Object call6181 = callmethodflags(*var_v, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe6180);
// compiled member node returning call6181 (depth = 4)
  int op_slot_right_6179 = gc_frame_newslot(call6181);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num6184 = alloc_Float64(1021);
// compiled num node returning num6184 (depth = 5)
  int op_slot_right_6183 = gc_frame_newslot(num6184);
// starting to compile member node (depth = 5)
  int callframe6186 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  Object call6187 = callmethodflags(*var_k, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe6186);
// compiled member node returning call6187 (depth = 5)
  int op_slot_left_6183 = gc_frame_newslot(call6187);
  params[0] = num6184;
  partcv[0] = 1;
  Object prod6188 = callmethod(call6187, "*(1)", 1, partcv, params);
// compiled op node returning prod6188 (depth = 4)
  int op_slot_left_6179 = gc_frame_newslot(prod6188);
  params[0] = call6181;
  partcv[0] = 1;
  Object sum6189 = callmethod(prod6188, "+(1)", 1, partcv, params);
// compiled op node returning sum6189 (depth = 3)
  gc_frame_end(frame);
  return sum6189;
}
Object meth_collectionsPrelude__apply_40_1_41_6193(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6196 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  Object call6197 = callmethodflags(*var_o, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6196);
// compiled member node returning call6197 (depth = 7)
  int op_slot_right_6195 = gc_frame_newslot(call6197);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  int op_slot_left_6195 = gc_frame_newslot(*var_v);
  params[0] = call6197;
  partcv[0] = 1;
  Object opresult6199 = callmethod(*var_v, "==(1)", 1, partcv, params);
// compiled op node returning opresult6199 (depth = 6)
  int op_slot_right_6194 = gc_frame_newslot(opresult6199);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  Object call6203 = callmethodflags(*var_o, "key", 0, partcv, params, 0);
  gc_frame_end(callframe6202);
// compiled member node returning call6203 (depth = 7)
  int op_slot_right_6201 = gc_frame_newslot(call6203);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_k (depth = 7)
  int op_slot_left_6201 = gc_frame_newslot(*var_k);
  params[0] = call6203;
  partcv[0] = 1;
  Object opresult6205 = callmethod(*var_k, "==(1)", 1, partcv, params);
// compiled op node returning opresult6205 (depth = 6)
  int op_slot_left_6194 = gc_frame_newslot(opresult6205);
  params[0] = opresult6199;
  partcv[0] = 1;
  Object opresult6206 = callmethod(opresult6205, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6206 (depth = 5)
  gc_frame_end(frame);
  return opresult6206;
}
Object meth_collectionsPrelude__apply_40_1_41_6218(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___15 = &(stackframe->slots[0]);
  *var___15 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6219 = alloc_Boolean(0);
// compiled identifier node returning bool6219 (depth = 6)
  block_return(realself, bool6219);
// compiled return node returning undefined (depth = 5)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61__40_1_41_6190(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  Object *var_Binding = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int frame6191 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6192 = alloc_Block(NULL, NULL, "collectionsPrelude", 1491);
  gc_frame_newslot(block6192);
// method "_apply(_)"
  block_savedest(block6192);
  Object closure6193 = createclosure(3, "_apply(1)");
  setclosureframe(closure6193, stackframe);
  addtoclosure(closure6193, var_v);
  addtoclosure(closure6193, var_k);
  addtoclosure(closure6193, selfslot);
  struct UserObject *uo6193 = (struct UserObject*)block6192;
  uo6193->data[0] = (Object)closure6193;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_6193 = addmethod2pos(block6192, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_6193, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_6193[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_6193->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_6193);
  meth_meth_collectionsPrelude__apply_40_1_41_6193->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_6193->definitionLine = 1990;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6208 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe6209 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6210 == NULL) {
    strlit6210 = alloc_String("o");
    gc_root(strlit6210);
  }
// compiled string node returning strlit6210 (depth = 7)
  gc_frame_newslot(strlit6210);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6211 = gc_frame_new();
// call case 5: prelude request
  Object call6212 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6211);
// compiled member node returning call6212 (depth = 7)
  params[0] = strlit6210;
  partcv[0] = 1;
  Object call6213 = callmethodflags(call6212, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6209);
// compiled call node returning call6213 (depth = 6)
  gc_frame_newslot(call6213);
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Binding (depth = 6)
  gc_frame_newslot(*var_Binding);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6214 = gc_frame_new();
// call case 5: prelude request
  Object call6215 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6214);
// compiled member node returning call6215 (depth = 6)
  params[0] = call6213;
  params[1] = *var_Binding;
  partcv[0] = 2;
  Object call6216 = callmethodflags(call6215, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6208);
// compiled call node returning call6216 (depth = 5)
((struct UserObject *)block6192)->data[1] = call6216;
// compiled block node returning block6192 (depth = 4)
  gc_frame_newslot(block6192);
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6217 = alloc_Block(NULL, NULL, "collectionsPrelude", 1492);
  gc_frame_newslot(block6217);
// method "_apply(_)"
  block_savedest(block6217);
  Object closure6218 = createclosure(1, "_apply(1)");
  setclosureframe(closure6218, stackframe);
  addtoclosure(closure6218, selfslot);
  struct UserObject *uo6218 = (struct UserObject*)block6217;
  uo6218->data[0] = (Object)closure6218;
  Method *meth_meth_collectionsPrelude__apply_40_1_41_6218 = addmethod2pos(block6217, "_apply(1)", &meth_collectionsPrelude__apply_40_1_41_6218, 0);
  int argcv_meth_collectionsPrelude__apply_40_1_41_6218[] = {1};
  meth_meth_collectionsPrelude__apply_40_1_41_6218->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply_40_1_41_6218);
  meth_meth_collectionsPrelude__apply_40_1_41_6218->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply_40_1_41_6218->definitionLine = 1990;
// compiled block node returning block6217 (depth = 4)
  gc_frame_newslot(block6217);
  params[0] = block6192;
  params[1] = block6217;
  Object matchres6191 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame6191);
// compiled matchcase node returning matchres6191 (depth = 3)
  gc_frame_end(frame);
  return matchres6191;
}
Object meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key(1)value(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method key(_)value(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method key(_)value(_)");
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for key(_)value(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part key(_)");
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part value(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6146 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6146 = alloc_userobj2(6,7, objclass6146);
  gc_frame_newslot(obj6146);
if (objclass6146 == NULL) {
  glfree(obj6146->class->name);
  obj6146->class->name = "binding.key(_)value(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6146, self, 0);
  addmethodreal(obj6146,"outer", &reader_collectionsPrelude_outer_6147);
  Object oldself6146 = self;
  struct StackFrameObject *oldstackframe6146 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6146);
  gc_frame_newslot((Object)stackframe);
  self = obj6146;
  Object *oldselfslot6146 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6146 = (*(struct UserObject *)self).data[0], lowerouter6146 = thisouter6146;
  if (inheritingObject6146) {
    struct UserObject *inho6146 = (struct UserObject *)inheritingObject6146;
    while (inho6146->super != GraceDefaultObject) inho6146 = (struct UserObject *)inho6146->super;
    inho6146->super = obj6146;
    self = inheritingObject6146;
    *selfslot = self;
    lowerouter6146 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6146;
  }
// method "key"
  block_savedest(obj6146);
  Object closure6148 = createclosure(1, "key");
  setclosureframe(closure6148, stackframe);
  addtoclosure(closure6148, var_k);
  struct UserObject *uo6148 = (struct UserObject*)obj6146;
  uo6148->data[1] = (Object)closure6148;
  Method *meth_meth_collectionsPrelude_key6148 = addmethod2pos(obj6146, "key", &meth_collectionsPrelude_key6148, 1);
  int argcv_meth_collectionsPrelude_key6148[] = {0};
  meth_meth_collectionsPrelude_key6148->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_key6148);
  meth_meth_collectionsPrelude_key6148->definitionModule = modulename;
  meth_meth_collectionsPrelude_key6148->definitionLine = 1484;
// method "value"
  block_savedest(obj6146);
  Object closure6149 = createclosure(1, "value");
  setclosureframe(closure6149, stackframe);
  addtoclosure(closure6149, var_v);
  struct UserObject *uo6149 = (struct UserObject*)obj6146;
  uo6149->data[2] = (Object)closure6149;
  Method *meth_meth_collectionsPrelude_value6149 = addmethod2pos(obj6146, "value", &meth_collectionsPrelude_value6149, 2);
  int argcv_meth_collectionsPrelude_value6149[] = {0};
  meth_meth_collectionsPrelude_value6149->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_value6149);
  meth_meth_collectionsPrelude_value6149->definitionModule = modulename;
  meth_meth_collectionsPrelude_value6149->definitionLine = 1485;
// method "asString"
  block_savedest(obj6146);
  Object closure6150 = createclosure(2, "asString");
  setclosureframe(closure6150, stackframe);
  addtoclosure(closure6150, var_v);
  addtoclosure(closure6150, var_k);
  struct UserObject *uo6150 = (struct UserObject*)obj6146;
  uo6150->data[3] = (Object)closure6150;
  Method *meth_meth_collectionsPrelude_asString6150 = addmethod2pos(obj6146, "asString", &meth_collectionsPrelude_asString6150, 3);
  int argcv_meth_collectionsPrelude_asString6150[] = {0};
  meth_meth_collectionsPrelude_asString6150->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6150);
  meth_meth_collectionsPrelude_asString6150->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6150->definitionLine = 1486;
// method "hashcode"
  block_savedest(obj6146);
  Object closure6166 = createclosure(2, "hashcode");
  setclosureframe(closure6166, stackframe);
  addtoclosure(closure6166, var_v);
  addtoclosure(closure6166, var_k);
  struct UserObject *uo6166 = (struct UserObject*)obj6146;
  uo6166->data[4] = (Object)closure6166;
  Method *meth_meth_collectionsPrelude_hashcode6166 = addmethod2pos(obj6146, "hashcode", &meth_collectionsPrelude_hashcode6166, 4);
  int argcv_meth_collectionsPrelude_hashcode6166[] = {0};
  meth_meth_collectionsPrelude_hashcode6166->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hashcode6166);
  meth_meth_collectionsPrelude_hashcode6166->definitionModule = modulename;
  meth_meth_collectionsPrelude_hashcode6166->definitionLine = 1487;
// method "hash"
  block_savedest(obj6146);
  Object closure6178 = createclosure(2, "hash");
  setclosureframe(closure6178, stackframe);
  addtoclosure(closure6178, var_v);
  addtoclosure(closure6178, var_k);
  struct UserObject *uo6178 = (struct UserObject*)obj6146;
  uo6178->data[5] = (Object)closure6178;
  Method *meth_meth_collectionsPrelude_hash6178 = addmethod2pos(obj6146, "hash", &meth_collectionsPrelude_hash6178, 5);
  int argcv_meth_collectionsPrelude_hash6178[] = {0};
  meth_meth_collectionsPrelude_hash6178->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hash6178);
  meth_meth_collectionsPrelude_hash6178->definitionModule = modulename;
  meth_meth_collectionsPrelude_hash6178->definitionLine = 1488;
// method "==(_)"
  block_savedest(obj6146);
  Object closure6190 = createclosure(3, "==(1)");
  setclosureframe(closure6190, stackframe);
  addtoclosure(closure6190, var_v);
  addtoclosure(closure6190, var_k);
  addtoclosure(closure6190, var_Binding);
  struct UserObject *uo6190 = (struct UserObject*)obj6146;
  uo6190->data[6] = (Object)closure6190;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_6190 = addmethod2pos(obj6146, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_6190, 6);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_6190[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_6190);
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->definitionLine = 1489;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  objclass6146 = obj6146->class;
  objclass6146->definitionModule = modulename;
  objclass6146->definitionLine = 1483;
  (*(struct UserObject *)self).data[0] = lowerouter6146;
  self = oldself6146;
  selfslot = oldselfslot6146;
  stackframe = oldstackframe6146;
  gc_frame_end(frame);
  return obj6146;
}
Object meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key(1)value(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method key(_)value(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method key(_)value(_)");
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for key(_)value(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part key(_)");
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part value(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6146 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6146 = alloc_userobj2(6,7, objclass6146);
  gc_frame_newslot(obj6146);
if (objclass6146 == NULL) {
  glfree(obj6146->class->name);
  obj6146->class->name = "binding.key(_)value(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6146, self, 0);
  addmethodreal(obj6146,"outer", &reader_collectionsPrelude_outer_6147);
  Object oldself6146 = self;
  struct StackFrameObject *oldstackframe6146 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6146);
  gc_frame_newslot((Object)stackframe);
  self = obj6146;
  Object *oldselfslot6146 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6146 = (*(struct UserObject *)self).data[0], lowerouter6146 = thisouter6146;
  if (inheritingObject6146) {
    struct UserObject *inho6146 = (struct UserObject *)inheritingObject6146;
    while (inho6146->super != GraceDefaultObject) inho6146 = (struct UserObject *)inho6146->super;
    inho6146->super = obj6146;
    self = inheritingObject6146;
    *selfslot = self;
    lowerouter6146 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6146;
  }
// method "key"
  block_savedest(obj6146);
  Object closure6148 = createclosure(1, "key");
  setclosureframe(closure6148, stackframe);
  addtoclosure(closure6148, var_k);
  struct UserObject *uo6148 = (struct UserObject*)obj6146;
  uo6148->data[1] = (Object)closure6148;
  Method *meth_meth_collectionsPrelude_key6148 = addmethod2pos(obj6146, "key", &meth_collectionsPrelude_key6148, 1);
  int argcv_meth_collectionsPrelude_key6148[] = {0};
  meth_meth_collectionsPrelude_key6148->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_key6148);
  meth_meth_collectionsPrelude_key6148->definitionModule = modulename;
  meth_meth_collectionsPrelude_key6148->definitionLine = 1484;
// method "value"
  block_savedest(obj6146);
  Object closure6149 = createclosure(1, "value");
  setclosureframe(closure6149, stackframe);
  addtoclosure(closure6149, var_v);
  struct UserObject *uo6149 = (struct UserObject*)obj6146;
  uo6149->data[2] = (Object)closure6149;
  Method *meth_meth_collectionsPrelude_value6149 = addmethod2pos(obj6146, "value", &meth_collectionsPrelude_value6149, 2);
  int argcv_meth_collectionsPrelude_value6149[] = {0};
  meth_meth_collectionsPrelude_value6149->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_value6149);
  meth_meth_collectionsPrelude_value6149->definitionModule = modulename;
  meth_meth_collectionsPrelude_value6149->definitionLine = 1485;
// method "asString"
  block_savedest(obj6146);
  Object closure6150 = createclosure(2, "asString");
  setclosureframe(closure6150, stackframe);
  addtoclosure(closure6150, var_v);
  addtoclosure(closure6150, var_k);
  struct UserObject *uo6150 = (struct UserObject*)obj6146;
  uo6150->data[3] = (Object)closure6150;
  Method *meth_meth_collectionsPrelude_asString6150 = addmethod2pos(obj6146, "asString", &meth_collectionsPrelude_asString6150, 3);
  int argcv_meth_collectionsPrelude_asString6150[] = {0};
  meth_meth_collectionsPrelude_asString6150->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6150);
  meth_meth_collectionsPrelude_asString6150->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6150->definitionLine = 1486;
// method "hashcode"
  block_savedest(obj6146);
  Object closure6166 = createclosure(2, "hashcode");
  setclosureframe(closure6166, stackframe);
  addtoclosure(closure6166, var_v);
  addtoclosure(closure6166, var_k);
  struct UserObject *uo6166 = (struct UserObject*)obj6146;
  uo6166->data[4] = (Object)closure6166;
  Method *meth_meth_collectionsPrelude_hashcode6166 = addmethod2pos(obj6146, "hashcode", &meth_collectionsPrelude_hashcode6166, 4);
  int argcv_meth_collectionsPrelude_hashcode6166[] = {0};
  meth_meth_collectionsPrelude_hashcode6166->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hashcode6166);
  meth_meth_collectionsPrelude_hashcode6166->definitionModule = modulename;
  meth_meth_collectionsPrelude_hashcode6166->definitionLine = 1487;
// method "hash"
  block_savedest(obj6146);
  Object closure6178 = createclosure(2, "hash");
  setclosureframe(closure6178, stackframe);
  addtoclosure(closure6178, var_v);
  addtoclosure(closure6178, var_k);
  struct UserObject *uo6178 = (struct UserObject*)obj6146;
  uo6178->data[5] = (Object)closure6178;
  Method *meth_meth_collectionsPrelude_hash6178 = addmethod2pos(obj6146, "hash", &meth_collectionsPrelude_hash6178, 5);
  int argcv_meth_collectionsPrelude_hash6178[] = {0};
  meth_meth_collectionsPrelude_hash6178->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hash6178);
  meth_meth_collectionsPrelude_hash6178->definitionModule = modulename;
  meth_meth_collectionsPrelude_hash6178->definitionLine = 1488;
// method "==(_)"
  block_savedest(obj6146);
  Object closure6190 = createclosure(3, "==(1)");
  setclosureframe(closure6190, stackframe);
  addtoclosure(closure6190, var_v);
  addtoclosure(closure6190, var_k);
  addtoclosure(closure6190, var_Binding);
  struct UserObject *uo6190 = (struct UserObject*)obj6146;
  uo6190->data[6] = (Object)closure6190;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_6190 = addmethod2pos(obj6146, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_6190, 6);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_6190[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_6190);
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_6190->definitionLine = 1489;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  sourceObject = obj6146;
  objclass6146 = obj6146->class;
  objclass6146->definitionModule = modulename;
  objclass6146->definitionLine = 1483;
  (*(struct UserObject *)self).data[0] = lowerouter6146;
  self = oldself6146;
  selfslot = oldselfslot6146;
  stackframe = oldstackframe6146;
  gc_frame_end(frame);
  return obj6146;
}
Object meth_collectionsPrelude_binding6222(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "binding");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_binding (depth = 3)
  gc_frame_end(frame);
  return *var_binding;
}
Object meth_collectionsPrelude_ComparableToDictionary6225(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ComparableToDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ComparableToDictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ComparableToDictionary (depth = 3)
  gc_frame_end(frame);
  return *var_ComparableToDictionary;
}
Object module_collectionsPrelude_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(53, 53);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = grace_prelude();
  adddatum2(self, grace_prelude(), 0);
  Object ObjectType = alloc_ObjectType();
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<collectionsPrelude>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(53, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "BoundsError");
  Object *var_IteratorExhausted = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "IteratorExhausted");
  Object *var_SubobjectResponsibility = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "SubobjectResponsibility");
  Object *var_NoSuchObject = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "NoSuchObject");
  Object *var_RequestError = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "RequestError");
  Object *var_ConcurrentModification = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "ConcurrentModification");
  Object *var_SizeUnknown = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "SizeUnknown");
  Object *var_Block0 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "Block0");
  Object *var_Block1 = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "Block1");
  Object *var_Block2 = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "Block2");
  Object *var_SelfType = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "SelfType");
  Object *var_Iterable = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "Iterable");
  Object *var_Expandable = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "Expandable");
  Object *var_Collection = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "Collection");
  Object *var_Enumerable = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "Enumerable");
  Object *var_Sequence = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "Sequence");
  Object *var_List = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "List");
  Object *var_Set = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "Set");
  Object *var_Dictionary = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "Dictionary");
  Object *var_Iterator = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "Iterator");
  Object *var_collection = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "collection");
  Object *var_enumerable = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "enumerable");
  Object *var_indexable = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "indexable");
  Object *var_emptySequence = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "emptySequence");
  Object *var_MinimalyIterable = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "MinimalyIterable");
  Object *var_unused = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "unused");
  Object *var_removed = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "removed");
  Object *var_Binding = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "Binding");
  Object *var_binding = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "binding");
  Object *var_ComparableToDictionary = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "ComparableToDictionary");
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "abstract"
  block_savedest(self);
  Object closure1 = createclosure(1, "abstract");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_SubobjectResponsibility);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_collectionsPrelude_abstract1 = addmethod2pos(self, "abstract", &meth_collectionsPrelude_abstract1, 1);
  int argcv_meth_collectionsPrelude_abstract1[] = {0};
  meth_meth_collectionsPrelude_abstract1->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_abstract1);
  meth_meth_collectionsPrelude_abstract1->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_abstract1->definitionModule = modulename;
  meth_meth_collectionsPrelude_abstract1->definitionLine = 11;
// compiled method node returning  (depth = 1)
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "lazySequenceOver(_)mappedBy(_)"
  block_savedest(self);
  Object closure5 = createclosure(1, "lazySequenceOver(1)mappedBy(1)");
  setclosureframe(closure5, stackframe);
  addtoclosure(closure5, var_enumerable);
  struct UserObject *uo5 = (struct UserObject*)self;
  uo5->data[2] = (Object)closure5;
  Method *meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5 = addmethod2pos(self, "lazySequenceOver(1)mappedBy(1)", &meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5, 2);
  int argcv_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5[] = {1, 1};
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5);
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5->definitionLine = 169;
  block_savedest(self);
  Object closure46 = createclosure(1, "lazySequenceOver(1)mappedBy(1)$object(1)");
  setclosureframe(closure46, stackframe);
  addtoclosure(closure46, var_enumerable);
  Method *meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object = addmethod2pos(self, "lazySequenceOver(1)mappedBy(1)$object(1)", &meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object, 2);
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_mappedBy_40_1_41_5_object->definitionLine = 169;
// compiled method node returning  (depth = 1)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "lazySequenceOver(_)filteredBy(_)"
  block_savedest(self);
  Object closure47 = createclosure(1, "lazySequenceOver(1)filteredBy(1)");
  setclosureframe(closure47, stackframe);
  addtoclosure(closure47, var_enumerable);
  struct UserObject *uo47 = (struct UserObject*)self;
  uo47->data[3] = (Object)closure47;
  Method *meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47 = addmethod2pos(self, "lazySequenceOver(1)filteredBy(1)", &meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47, 3);
  int argcv_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47[] = {1, 1};
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47);
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47->definitionLine = 183;
  block_savedest(self);
  Object closure150 = createclosure(1, "lazySequenceOver(1)filteredBy(1)$object(1)");
  setclosureframe(closure150, stackframe);
  addtoclosure(closure150, var_enumerable);
  Method *meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object = addmethod2pos(self, "lazySequenceOver(1)filteredBy(1)$object(1)", &meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object, 3);
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazySequenceOver_40_1_41_filteredBy_40_1_41_47_object->definitionLine = 183;
// compiled method node returning  (depth = 1)
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "iteratorConcat(_,_)"
  struct UserObject *uo151 = (struct UserObject*)self;
  uo151->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151 = addmethod2pos(self, "iteratorConcat(2)", &meth_collectionsPrelude_iteratorConcat_40_2_41_151, 4);
  int argcv_meth_collectionsPrelude_iteratorConcat_40_2_41_151[] = {2};
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iteratorConcat_40_2_41_151);
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151->definitionModule = modulename;
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151->definitionLine = 228;
  Method *meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object = addmethod2pos(self, "iteratorConcat(2)$object(1)", &meth_collectionsPrelude_iteratorConcat_40_2_41_151_object, 4);
  int argcv_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object[] = {2};
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object);
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iteratorConcat_40_2_41_151_object->definitionLine = 228;
// compiled method node returning  (depth = 1)
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "lazyConcatenation(_,_)"
  block_savedest(self);
  Object closure188 = createclosure(1, "lazyConcatenation(2)");
  setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_enumerable);
  struct UserObject *uo188 = (struct UserObject*)self;
  uo188->data[5] = (Object)closure188;
  Method *meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188 = addmethod2pos(self, "lazyConcatenation(2)", &meth_collectionsPrelude_lazyConcatenation_40_2_41_188, 5);
  int argcv_meth_collectionsPrelude_lazyConcatenation_40_2_41_188[] = {2};
  meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_lazyConcatenation_40_2_41_188);
  meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188->definitionLine = 243;
  block_savedest(self);
  Object closure226 = createclosure(1, "lazyConcatenation(2)$object(1)");
  setclosureframe(closure226, stackframe);
  addtoclosure(closure226, var_enumerable);
  Method *meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188_object = addmethod2pos(self, "lazyConcatenation(2)$object(1)", &meth_collectionsPrelude_lazyConcatenation_40_2_41_188_object, 5);
  meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_lazyConcatenation_40_2_41_188_object->definitionLine = 243;
// compiled method node returning  (depth = 1)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "max(_,_)"
  struct UserObject *uo227 = (struct UserObject*)self;
  uo227->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_max_40_2_41_227 = addmethod2pos(self, "max(2)", &meth_collectionsPrelude_max_40_2_41_227, 6);
  int argcv_meth_collectionsPrelude_max_40_2_41_227[] = {2};
  meth_meth_collectionsPrelude_max_40_2_41_227->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_max_40_2_41_227);
  meth_meth_collectionsPrelude_max_40_2_41_227->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_max_40_2_41_227->definitionModule = modulename;
  meth_meth_collectionsPrelude_max_40_2_41_227->definitionLine = 429;
// compiled method node returning  (depth = 1)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "sequence"
  block_savedest(self);
  Object closure232 = createclosure(5, "sequence");
  setclosureframe(closure232, stackframe);
  addtoclosure(closure232, var_emptySequence);
  addtoclosure(closure232, var__prelude);
  addtoclosure(closure232, var_BoundsError);
  addtoclosure(closure232, var_IteratorExhausted);
  addtoclosure(closure232, var_indexable);
  struct UserObject *uo232 = (struct UserObject*)self;
  uo232->data[7] = (Object)closure232;
  Method *meth_meth_collectionsPrelude_sequence232 = addmethod2pos(self, "sequence", &meth_collectionsPrelude_sequence232, 7);
  int argcv_meth_collectionsPrelude_sequence232[] = {0};
  meth_meth_collectionsPrelude_sequence232->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sequence232);
  meth_meth_collectionsPrelude_sequence232->definitionModule = modulename;
  meth_meth_collectionsPrelude_sequence232->definitionLine = 464;
  block_savedest(self);
  Object closure662 = createclosure(5, "sequence$object(1)");
  setclosureframe(closure662, stackframe);
  addtoclosure(closure662, var_emptySequence);
  addtoclosure(closure662, var__prelude);
  addtoclosure(closure662, var_BoundsError);
  addtoclosure(closure662, var_IteratorExhausted);
  addtoclosure(closure662, var_indexable);
  Method *meth_meth_collectionsPrelude_sequence232_object = addmethod2pos(self, "sequence$object(1)", &meth_collectionsPrelude_sequence232_object, 7);
  meth_meth_collectionsPrelude_sequence232_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_sequence232_object->definitionLine = 464;
// compiled method node returning  (depth = 1)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isEqual(_)toIterable(_)"
  block_savedest(self);
  Object closure663 = createclosure(1, "isEqual(1)toIterable(1)");
  setclosureframe(closure663, stackframe);
  addtoclosure(closure663, var_MinimalyIterable);
  struct UserObject *uo663 = (struct UserObject*)self;
  uo663->data[8] = (Object)closure663;
  Method *meth_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663 = addmethod2pos(self, "isEqual(1)toIterable(1)", &meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663, 8);
  int argcv_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663[] = {1, 1};
  meth_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663);
  meth_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEqual_40_1_41_toIterable_40_1_41_663->definitionLine = 605;
// compiled method node returning  (depth = 1)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "list"
  block_savedest(self);
  Object closure703 = createclosure(8, "list");
  setclosureframe(closure703, stackframe);
  addtoclosure(closure703, var_emptySequence);
  addtoclosure(closure703, var_NoSuchObject);
  addtoclosure(closure703, var_done);
  addtoclosure(closure703, var_ConcurrentModification);
  addtoclosure(closure703, var_IteratorExhausted);
  addtoclosure(closure703, var_indexable);
  addtoclosure(closure703, var_BoundsError);
  addtoclosure(closure703, var__prelude);
  struct UserObject *uo703 = (struct UserObject*)self;
  uo703->data[9] = (Object)closure703;
  Method *meth_meth_collectionsPrelude_list703 = addmethod2pos(self, "list", &meth_collectionsPrelude_list703, 9);
  int argcv_meth_collectionsPrelude_list703[] = {0};
  meth_meth_collectionsPrelude_list703->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_list703);
  meth_meth_collectionsPrelude_list703->definitionModule = modulename;
  meth_meth_collectionsPrelude_list703->definitionLine = 620;
  block_savedest(self);
  Object closure2290 = createclosure(8, "list$object(1)");
  setclosureframe(closure2290, stackframe);
  addtoclosure(closure2290, var_emptySequence);
  addtoclosure(closure2290, var_NoSuchObject);
  addtoclosure(closure2290, var_done);
  addtoclosure(closure2290, var_ConcurrentModification);
  addtoclosure(closure2290, var_IteratorExhausted);
  addtoclosure(closure2290, var_indexable);
  addtoclosure(closure2290, var_BoundsError);
  addtoclosure(closure2290, var__prelude);
  Method *meth_meth_collectionsPrelude_list703_object = addmethod2pos(self, "list$object(1)", &meth_collectionsPrelude_list703_object, 9);
  meth_meth_collectionsPrelude_list703_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_list703_object->definitionLine = 620;
// compiled method node returning  (depth = 1)
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "set"
  block_savedest(self);
  Object closure2291 = createclosure(8, "set");
  setclosureframe(closure2291, stackframe);
  addtoclosure(closure2291, var_NoSuchObject);
  addtoclosure(closure2291, var_removed);
  addtoclosure(closure2291, var__prelude);
  addtoclosure(closure2291, var_unused);
  addtoclosure(closure2291, var_ConcurrentModification);
  addtoclosure(closure2291, var_IteratorExhausted);
  addtoclosure(closure2291, var_Iterable);
  addtoclosure(closure2291, var_collection);
  struct UserObject *uo2291 = (struct UserObject*)self;
  uo2291->data[10] = (Object)closure2291;
  Method *meth_meth_collectionsPrelude_set2291 = addmethod2pos(self, "set", &meth_collectionsPrelude_set2291, 10);
  int argcv_meth_collectionsPrelude_set2291[] = {0};
  meth_meth_collectionsPrelude_set2291->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_set2291);
  meth_meth_collectionsPrelude_set2291->definitionModule = modulename;
  meth_meth_collectionsPrelude_set2291->definitionLine = 1184;
  block_savedest(self);
  Object closure3130 = createclosure(8, "set$object(1)");
  setclosureframe(closure3130, stackframe);
  addtoclosure(closure3130, var_NoSuchObject);
  addtoclosure(closure3130, var_removed);
  addtoclosure(closure3130, var__prelude);
  addtoclosure(closure3130, var_unused);
  addtoclosure(closure3130, var_ConcurrentModification);
  addtoclosure(closure3130, var_IteratorExhausted);
  addtoclosure(closure3130, var_Iterable);
  addtoclosure(closure3130, var_collection);
  Method *meth_meth_collectionsPrelude_set2291_object = addmethod2pos(self, "set$object(1)", &meth_collectionsPrelude_set2291_object, 10);
  meth_meth_collectionsPrelude_set2291_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_set2291_object->definitionLine = 1184;
// compiled method node returning  (depth = 1)
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dictionary"
  block_savedest(self);
  Object closure3131 = createclosure(10, "dictionary");
  setclosureframe(closure3131, stackframe);
  addtoclosure(closure3131, var_removed);
  addtoclosure(closure3131, var_unused);
  addtoclosure(closure3131, var_binding);
  addtoclosure(closure3131, var_NoSuchObject);
  addtoclosure(closure3131, var__prelude);
  addtoclosure(closure3131, var_enumerable);
  addtoclosure(closure3131, var_ConcurrentModification);
  addtoclosure(closure3131, var_IteratorExhausted);
  addtoclosure(closure3131, var_ComparableToDictionary);
  addtoclosure(closure3131, var_collection);
  struct UserObject *uo3131 = (struct UserObject*)self;
  uo3131->data[11] = (Object)closure3131;
  Method *meth_meth_collectionsPrelude_dictionary3131 = addmethod2pos(self, "dictionary", &meth_collectionsPrelude_dictionary3131, 11);
  int argcv_meth_collectionsPrelude_dictionary3131[] = {0};
  meth_meth_collectionsPrelude_dictionary3131->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_dictionary3131);
  meth_meth_collectionsPrelude_dictionary3131->definitionModule = modulename;
  meth_meth_collectionsPrelude_dictionary3131->definitionLine = 1502;
  block_savedest(self);
  Object closure4502 = createclosure(10, "dictionary$object(1)");
  setclosureframe(closure4502, stackframe);
  addtoclosure(closure4502, var_removed);
  addtoclosure(closure4502, var_unused);
  addtoclosure(closure4502, var_binding);
  addtoclosure(closure4502, var_NoSuchObject);
  addtoclosure(closure4502, var__prelude);
  addtoclosure(closure4502, var_enumerable);
  addtoclosure(closure4502, var_ConcurrentModification);
  addtoclosure(closure4502, var_IteratorExhausted);
  addtoclosure(closure4502, var_ComparableToDictionary);
  addtoclosure(closure4502, var_collection);
  Method *meth_meth_collectionsPrelude_dictionary3131_object = addmethod2pos(self, "dictionary$object(1)", &meth_collectionsPrelude_dictionary3131_object, 11);
  meth_meth_collectionsPrelude_dictionary3131_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_dictionary3131_object->definitionLine = 1502;
// compiled method node returning  (depth = 1)
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "range"
  block_savedest(self);
  Object closure4503 = createclosure(6, "range");
  setclosureframe(closure4503, stackframe);
  addtoclosure(closure4503, var_Number);
  addtoclosure(closure4503, var_RequestError);
  addtoclosure(closure4503, var_IteratorExhausted);
  addtoclosure(closure4503, var_BoundsError);
  addtoclosure(closure4503, var__prelude);
  addtoclosure(closure4503, var_indexable);
  struct UserObject *uo4503 = (struct UserObject*)self;
  uo4503->data[12] = (Object)closure4503;
  Method *meth_meth_collectionsPrelude_range4503 = addmethod2pos(self, "range", &meth_collectionsPrelude_range4503, 12);
  int argcv_meth_collectionsPrelude_range4503[] = {0};
  meth_meth_collectionsPrelude_range4503->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_range4503);
  meth_meth_collectionsPrelude_range4503->definitionModule = modulename;
  meth_meth_collectionsPrelude_range4503->definitionLine = 1876;
  block_savedest(self);
  Object closure5482 = createclosure(6, "range$object(1)");
  setclosureframe(closure5482, stackframe);
  addtoclosure(closure5482, var_Number);
  addtoclosure(closure5482, var_RequestError);
  addtoclosure(closure5482, var_IteratorExhausted);
  addtoclosure(closure5482, var_BoundsError);
  addtoclosure(closure5482, var__prelude);
  addtoclosure(closure5482, var_indexable);
  Method *meth_meth_collectionsPrelude_range4503_object = addmethod2pos(self, "range$object(1)", &meth_collectionsPrelude_range4503_object, 12);
  meth_meth_collectionsPrelude_range4503_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_range4503_object->definitionLine = 1876;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5483 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5484 == NULL) {
    strlit5484 = alloc_String("BoundsError");
    gc_root(strlit5484);
  }
// compiled string node returning strlit5484 (depth = 3)
  gc_frame_newslot(strlit5484);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5485 = gc_frame_new();
// call case 5: prelude request
  Object call5486 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5485);
// compiled member node returning call5486 (depth = 3)
  params[0] = strlit5484;
  partcv[0] = 1;
  Object call5487 = callmethodflags(call5486, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5483);
// compiled call node returning call5487 (depth = 2)
  *var_BoundsError = call5487;
  if (call5487 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "BoundsError"
  block_savedest(self);
  Object closure5488 = createclosure(1, "BoundsError");
  setclosureframe(closure5488, stackframe);
  addtoclosure(closure5488, var_BoundsError);
  struct UserObject *uo5488 = (struct UserObject*)self;
  uo5488->data[13] = (Object)closure5488;
  Method *meth_meth_collectionsPrelude_BoundsError5488 = addmethod2pos(self, "BoundsError", &meth_collectionsPrelude_BoundsError5488, 13);
  int argcv_meth_collectionsPrelude_BoundsError5488[] = {0};
  meth_meth_collectionsPrelude_BoundsError5488->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_BoundsError5488);
  meth_meth_collectionsPrelude_BoundsError5488->definitionModule = modulename;
  meth_meth_collectionsPrelude_BoundsError5488->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5489 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5490 == NULL) {
    strlit5490 = alloc_String("IteratorExhausted");
    gc_root(strlit5490);
  }
// compiled string node returning strlit5490 (depth = 3)
  gc_frame_newslot(strlit5490);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5491 = gc_frame_new();
// call case 5: prelude request
  Object call5492 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5491);
// compiled member node returning call5492 (depth = 3)
  params[0] = strlit5490;
  partcv[0] = 1;
  Object call5493 = callmethodflags(call5492, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5489);
// compiled call node returning call5493 (depth = 2)
  *var_IteratorExhausted = call5493;
  if (call5493 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "IteratorExhausted"
  block_savedest(self);
  Object closure5494 = createclosure(1, "IteratorExhausted");
  setclosureframe(closure5494, stackframe);
  addtoclosure(closure5494, var_IteratorExhausted);
  struct UserObject *uo5494 = (struct UserObject*)self;
  uo5494->data[14] = (Object)closure5494;
  Method *meth_meth_collectionsPrelude_IteratorExhausted5494 = addmethod2pos(self, "IteratorExhausted", &meth_collectionsPrelude_IteratorExhausted5494, 14);
  int argcv_meth_collectionsPrelude_IteratorExhausted5494[] = {0};
  meth_meth_collectionsPrelude_IteratorExhausted5494->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_IteratorExhausted5494);
  meth_meth_collectionsPrelude_IteratorExhausted5494->definitionModule = modulename;
  meth_meth_collectionsPrelude_IteratorExhausted5494->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5495 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5496 == NULL) {
    strlit5496 = alloc_String("SubobjectResponsibility");
    gc_root(strlit5496);
  }
// compiled string node returning strlit5496 (depth = 3)
  gc_frame_newslot(strlit5496);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5497 = gc_frame_new();
// call case 5: prelude request
  Object call5498 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5497);
// compiled member node returning call5498 (depth = 3)
  params[0] = strlit5496;
  partcv[0] = 1;
  Object call5499 = callmethodflags(call5498, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5495);
// compiled call node returning call5499 (depth = 2)
  *var_SubobjectResponsibility = call5499;
  if (call5499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SubobjectResponsibility"
  block_savedest(self);
  Object closure5500 = createclosure(1, "SubobjectResponsibility");
  setclosureframe(closure5500, stackframe);
  addtoclosure(closure5500, var_SubobjectResponsibility);
  struct UserObject *uo5500 = (struct UserObject*)self;
  uo5500->data[15] = (Object)closure5500;
  Method *meth_meth_collectionsPrelude_SubobjectResponsibility5500 = addmethod2pos(self, "SubobjectResponsibility", &meth_collectionsPrelude_SubobjectResponsibility5500, 15);
  int argcv_meth_collectionsPrelude_SubobjectResponsibility5500[] = {0};
  meth_meth_collectionsPrelude_SubobjectResponsibility5500->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_SubobjectResponsibility5500);
  meth_meth_collectionsPrelude_SubobjectResponsibility5500->definitionModule = modulename;
  meth_meth_collectionsPrelude_SubobjectResponsibility5500->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5501 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5502 == NULL) {
    strlit5502 = alloc_String("NoSuchObject");
    gc_root(strlit5502);
  }
// compiled string node returning strlit5502 (depth = 3)
  gc_frame_newslot(strlit5502);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5503 = gc_frame_new();
// call case 5: prelude request
  Object call5504 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5503);
// compiled member node returning call5504 (depth = 3)
  params[0] = strlit5502;
  partcv[0] = 1;
  Object call5505 = callmethodflags(call5504, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5501);
// compiled call node returning call5505 (depth = 2)
  *var_NoSuchObject = call5505;
  if (call5505 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "NoSuchObject"
  block_savedest(self);
  Object closure5506 = createclosure(1, "NoSuchObject");
  setclosureframe(closure5506, stackframe);
  addtoclosure(closure5506, var_NoSuchObject);
  struct UserObject *uo5506 = (struct UserObject*)self;
  uo5506->data[16] = (Object)closure5506;
  Method *meth_meth_collectionsPrelude_NoSuchObject5506 = addmethod2pos(self, "NoSuchObject", &meth_collectionsPrelude_NoSuchObject5506, 16);
  int argcv_meth_collectionsPrelude_NoSuchObject5506[] = {0};
  meth_meth_collectionsPrelude_NoSuchObject5506->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_NoSuchObject5506);
  meth_meth_collectionsPrelude_NoSuchObject5506->definitionModule = modulename;
  meth_meth_collectionsPrelude_NoSuchObject5506->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5507 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5508 == NULL) {
    strlit5508 = alloc_String("RequestError");
    gc_root(strlit5508);
  }
// compiled string node returning strlit5508 (depth = 3)
  gc_frame_newslot(strlit5508);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5509 = gc_frame_new();
// call case 5: prelude request
  Object call5510 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5509);
// compiled member node returning call5510 (depth = 3)
  params[0] = strlit5508;
  partcv[0] = 1;
  Object call5511 = callmethodflags(call5510, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5507);
// compiled call node returning call5511 (depth = 2)
  *var_RequestError = call5511;
  if (call5511 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "RequestError"
  block_savedest(self);
  Object closure5512 = createclosure(1, "RequestError");
  setclosureframe(closure5512, stackframe);
  addtoclosure(closure5512, var_RequestError);
  struct UserObject *uo5512 = (struct UserObject*)self;
  uo5512->data[17] = (Object)closure5512;
  Method *meth_meth_collectionsPrelude_RequestError5512 = addmethod2pos(self, "RequestError", &meth_collectionsPrelude_RequestError5512, 17);
  int argcv_meth_collectionsPrelude_RequestError5512[] = {0};
  meth_meth_collectionsPrelude_RequestError5512->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_RequestError5512);
  meth_meth_collectionsPrelude_RequestError5512->definitionModule = modulename;
  meth_meth_collectionsPrelude_RequestError5512->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5513 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5514 == NULL) {
    strlit5514 = alloc_String("ConcurrentModification");
    gc_root(strlit5514);
  }
// compiled string node returning strlit5514 (depth = 3)
  gc_frame_newslot(strlit5514);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5515 = gc_frame_new();
// call case 5: prelude request
  Object call5516 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5515);
// compiled member node returning call5516 (depth = 3)
  params[0] = strlit5514;
  partcv[0] = 1;
  Object call5517 = callmethodflags(call5516, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5513);
// compiled call node returning call5517 (depth = 2)
  *var_ConcurrentModification = call5517;
  if (call5517 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ConcurrentModification"
  block_savedest(self);
  Object closure5518 = createclosure(1, "ConcurrentModification");
  setclosureframe(closure5518, stackframe);
  addtoclosure(closure5518, var_ConcurrentModification);
  struct UserObject *uo5518 = (struct UserObject*)self;
  uo5518->data[18] = (Object)closure5518;
  Method *meth_meth_collectionsPrelude_ConcurrentModification5518 = addmethod2pos(self, "ConcurrentModification", &meth_collectionsPrelude_ConcurrentModification5518, 18);
  int argcv_meth_collectionsPrelude_ConcurrentModification5518[] = {0};
  meth_meth_collectionsPrelude_ConcurrentModification5518->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_ConcurrentModification5518);
  meth_meth_collectionsPrelude_ConcurrentModification5518->definitionModule = modulename;
  meth_meth_collectionsPrelude_ConcurrentModification5518->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe5519 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit5520 == NULL) {
    strlit5520 = alloc_String("SizeUnknown");
    gc_root(strlit5520);
  }
// compiled string node returning strlit5520 (depth = 3)
  gc_frame_newslot(strlit5520);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe5521 = gc_frame_new();
// call case 5: prelude request
  Object call5522 = callmethodflags(prelude, "Exception", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5521);
// compiled member node returning call5522 (depth = 3)
  params[0] = strlit5520;
  partcv[0] = 1;
  Object call5523 = callmethodflags(call5522, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5519);
// compiled call node returning call5523 (depth = 2)
  *var_SizeUnknown = call5523;
  if (call5523 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SizeUnknown"
  block_savedest(self);
  Object closure5524 = createclosure(1, "SizeUnknown");
  setclosureframe(closure5524, stackframe);
  addtoclosure(closure5524, var_SizeUnknown);
  struct UserObject *uo5524 = (struct UserObject*)self;
  uo5524->data[19] = (Object)closure5524;
  Method *meth_meth_collectionsPrelude_SizeUnknown5524 = addmethod2pos(self, "SizeUnknown", &meth_collectionsPrelude_SizeUnknown5524, 19);
  int argcv_meth_collectionsPrelude_SizeUnknown5524[] = {0};
  meth_meth_collectionsPrelude_SizeUnknown5524->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_SizeUnknown5524);
  meth_meth_collectionsPrelude_SizeUnknown5524->definitionModule = modulename;
  meth_meth_collectionsPrelude_SizeUnknown5524->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block0
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type5526 = alloc_Type("Block0", 1);
    add_Method((ClassData)type5526, "apply", NULL);
// compiled typeliteral node returning type5526 (depth = 2)
  *var_Block0 = type5526;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Block0"
  block_savedest(self);
  Object closure5527 = createclosure(1, "Block0");
  setclosureframe(closure5527, stackframe);
  addtoclosure(closure5527, var_Block0);
  struct UserObject *uo5527 = (struct UserObject*)self;
  uo5527->data[20] = (Object)closure5527;
  Method *meth_meth_collectionsPrelude_Block05527 = addmethod2pos(self, "Block0", &meth_collectionsPrelude_Block05527, 20);
  int argcv_meth_collectionsPrelude_Block05527[] = {0};
  meth_meth_collectionsPrelude_Block05527->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block05527);
  meth_meth_collectionsPrelude_Block05527->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block05527->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block1
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type5529 = alloc_Type("Block1", 1);
    add_Method((ClassData)type5529, "apply(1)", NULL);
// compiled typeliteral node returning type5529 (depth = 2)
  *var_Block1 = type5529;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Block1"
  block_savedest(self);
  Object closure5530 = createclosure(1, "Block1");
  setclosureframe(closure5530, stackframe);
  addtoclosure(closure5530, var_Block1);
  struct UserObject *uo5530 = (struct UserObject*)self;
  uo5530->data[21] = (Object)closure5530;
  Method *meth_meth_collectionsPrelude_Block15530 = addmethod2pos(self, "Block1", &meth_collectionsPrelude_Block15530, 21);
  int argcv_meth_collectionsPrelude_Block15530[] = {0};
  meth_meth_collectionsPrelude_Block15530->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block15530);
  meth_meth_collectionsPrelude_Block15530->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block15530->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block2
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type5532 = alloc_Type("Block2", 1);
    add_Method((ClassData)type5532, "apply(2)", NULL);
// compiled typeliteral node returning type5532 (depth = 2)
  *var_Block2 = type5532;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Block2"
  block_savedest(self);
  Object closure5533 = createclosure(1, "Block2");
  setclosureframe(closure5533, stackframe);
  addtoclosure(closure5533, var_Block2);
  struct UserObject *uo5533 = (struct UserObject*)self;
  uo5533->data[22] = (Object)closure5533;
  Method *meth_meth_collectionsPrelude_Block25533 = addmethod2pos(self, "Block2", &meth_collectionsPrelude_Block25533, 22);
  int argcv_meth_collectionsPrelude_Block25533[] = {0};
  meth_meth_collectionsPrelude_Block25533->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block25533);
  meth_meth_collectionsPrelude_Block25533->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block25533->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl SelfType
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_Unknown (depth = 2)
  *var_SelfType = *var_Unknown;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SelfType"
  block_savedest(self);
  Object closure5535 = createclosure(1, "SelfType");
  setclosureframe(closure5535, stackframe);
  addtoclosure(closure5535, var_SelfType);
  struct UserObject *uo5535 = (struct UserObject*)self;
  uo5535->data[23] = (Object)closure5535;
  Method *meth_meth_collectionsPrelude_SelfType5535 = addmethod2pos(self, "SelfType", &meth_collectionsPrelude_SelfType5535, 23);
  int argcv_meth_collectionsPrelude_SelfType5535[] = {0};
  meth_meth_collectionsPrelude_SelfType5535->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_SelfType5535);
  meth_meth_collectionsPrelude_SelfType5535->definitionModule = modulename;
  meth_meth_collectionsPrelude_SelfType5535->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Iterable
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5538 = alloc_Type("‹anon›", 11);
    add_Method((ClassData)type5538, "iterator", NULL);
    add_Method((ClassData)type5538, "isEmpty", NULL);
    add_Method((ClassData)type5538, "size", NULL);
    add_Method((ClassData)type5538, "sizeIfUnknown(1)", NULL);
    add_Method((ClassData)type5538, "first", NULL);
    add_Method((ClassData)type5538, "do(1)", NULL);
    add_Method((ClassData)type5538, "do(1)separatedBy(1)", NULL);
    add_Method((ClassData)type5538, "++(1)", NULL);
    add_Method((ClassData)type5538, "fold(1)startingWith(1)", NULL);
    add_Method((ClassData)type5538, "map(1)", NULL);
    add_Method((ClassData)type5538, "filter(1)", NULL);
// compiled typeliteral node returning type5538 (depth = 3)
  int op_slot_right_5537 = gc_frame_newslot(type5538);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Object (depth = 3)
  int op_slot_left_5537 = gc_frame_newslot(*var_Object);
  params[0] = type5538;
  partcv[0] = 1;
  Object opresult5540 = callmethod(*var_Object, "&(1)", 1, partcv, params);
// compiled op node returning opresult5540 (depth = 2)
  *var_Iterable = opresult5540;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Iterable"
  block_savedest(self);
  Object closure5541 = createclosure(1, "Iterable");
  setclosureframe(closure5541, stackframe);
  addtoclosure(closure5541, var_Iterable);
  struct UserObject *uo5541 = (struct UserObject*)self;
  uo5541->data[24] = (Object)closure5541;
  Method *meth_meth_collectionsPrelude_Iterable5541 = addmethod2pos(self, "Iterable", &meth_collectionsPrelude_Iterable5541, 24);
  int argcv_meth_collectionsPrelude_Iterable5541[] = {0};
  meth_meth_collectionsPrelude_Iterable5541->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Iterable5541);
  meth_meth_collectionsPrelude_Iterable5541->definitionModule = modulename;
  meth_meth_collectionsPrelude_Iterable5541->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Expandable
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5544 = alloc_Type("‹anon›", 2);
    add_Method((ClassData)type5544, "add(1)", NULL);
    add_Method((ClassData)type5544, "addAll(1)", NULL);
// compiled typeliteral node returning type5544 (depth = 3)
  int op_slot_right_5543 = gc_frame_newslot(type5544);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Iterable (depth = 3)
  int op_slot_left_5543 = gc_frame_newslot(*var_Iterable);
  params[0] = type5544;
  partcv[0] = 1;
  Object opresult5546 = callmethod(*var_Iterable, "&(1)", 1, partcv, params);
// compiled op node returning opresult5546 (depth = 2)
  *var_Expandable = opresult5546;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Expandable"
  block_savedest(self);
  Object closure5547 = createclosure(1, "Expandable");
  setclosureframe(closure5547, stackframe);
  addtoclosure(closure5547, var_Expandable);
  struct UserObject *uo5547 = (struct UserObject*)self;
  uo5547->data[25] = (Object)closure5547;
  Method *meth_meth_collectionsPrelude_Expandable5547 = addmethod2pos(self, "Expandable", &meth_collectionsPrelude_Expandable5547, 25);
  int argcv_meth_collectionsPrelude_Expandable5547[] = {0};
  meth_meth_collectionsPrelude_Expandable5547->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Expandable5547);
  meth_meth_collectionsPrelude_Expandable5547->definitionModule = modulename;
  meth_meth_collectionsPrelude_Expandable5547->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Collection
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5550 = alloc_Type("‹anon›", 3);
    add_Method((ClassData)type5550, "asList", NULL);
    add_Method((ClassData)type5550, "asSequence", NULL);
    add_Method((ClassData)type5550, "asSet", NULL);
// compiled typeliteral node returning type5550 (depth = 3)
  int op_slot_right_5549 = gc_frame_newslot(type5550);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Iterable (depth = 3)
  int op_slot_left_5549 = gc_frame_newslot(*var_Iterable);
  params[0] = type5550;
  partcv[0] = 1;
  Object opresult5552 = callmethod(*var_Iterable, "&(1)", 1, partcv, params);
// compiled op node returning opresult5552 (depth = 2)
  *var_Collection = opresult5552;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Collection"
  block_savedest(self);
  Object closure5553 = createclosure(1, "Collection");
  setclosureframe(closure5553, stackframe);
  addtoclosure(closure5553, var_Collection);
  struct UserObject *uo5553 = (struct UserObject*)self;
  uo5553->data[26] = (Object)closure5553;
  Method *meth_meth_collectionsPrelude_Collection5553 = addmethod2pos(self, "Collection", &meth_collectionsPrelude_Collection5553, 26);
  int argcv_meth_collectionsPrelude_Collection5553[] = {0};
  meth_meth_collectionsPrelude_Collection5553->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Collection5553);
  meth_meth_collectionsPrelude_Collection5553->definitionModule = modulename;
  meth_meth_collectionsPrelude_Collection5553->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Enumerable
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5556 = alloc_Type("‹anon›", 6);
    add_Method((ClassData)type5556, "values", NULL);
    add_Method((ClassData)type5556, "asDictionary", NULL);
    add_Method((ClassData)type5556, "keysAndValuesDo(1)", NULL);
    add_Method((ClassData)type5556, "into(1)", NULL);
    add_Method((ClassData)type5556, "sortedBy(1)", NULL);
    add_Method((ClassData)type5556, "sorted", NULL);
// compiled typeliteral node returning type5556 (depth = 3)
  int op_slot_right_5555 = gc_frame_newslot(type5556);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  int op_slot_left_5555 = gc_frame_newslot(*var_Collection);
  params[0] = type5556;
  partcv[0] = 1;
  Object opresult5558 = callmethod(*var_Collection, "&(1)", 1, partcv, params);
// compiled op node returning opresult5558 (depth = 2)
  *var_Enumerable = opresult5558;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Enumerable"
  block_savedest(self);
  Object closure5559 = createclosure(1, "Enumerable");
  setclosureframe(closure5559, stackframe);
  addtoclosure(closure5559, var_Enumerable);
  struct UserObject *uo5559 = (struct UserObject*)self;
  uo5559->data[27] = (Object)closure5559;
  Method *meth_meth_collectionsPrelude_Enumerable5559 = addmethod2pos(self, "Enumerable", &meth_collectionsPrelude_Enumerable5559, 27);
  int argcv_meth_collectionsPrelude_Enumerable5559[] = {0};
  meth_meth_collectionsPrelude_Enumerable5559->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Enumerable5559);
  meth_meth_collectionsPrelude_Enumerable5559->definitionModule = modulename;
  meth_meth_collectionsPrelude_Enumerable5559->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Sequence
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5562 = alloc_Type("‹anon›", 13);
    add_Method((ClassData)type5562, "size", NULL);
    add_Method((ClassData)type5562, "at(1)", NULL);
    add_Method((ClassData)type5562, "indices", NULL);
    add_Method((ClassData)type5562, "keys", NULL);
    add_Method((ClassData)type5562, "second", NULL);
    add_Method((ClassData)type5562, "third", NULL);
    add_Method((ClassData)type5562, "fourth", NULL);
    add_Method((ClassData)type5562, "fifth", NULL);
    add_Method((ClassData)type5562, "last", NULL);
    add_Method((ClassData)type5562, "indexOf(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5562, "indexOf(1)", NULL);
    add_Method((ClassData)type5562, "contains(1)", NULL);
    add_Method((ClassData)type5562, "reversed", NULL);
// compiled typeliteral node returning type5562 (depth = 3)
  int op_slot_right_5561 = gc_frame_newslot(type5562);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Enumerable (depth = 3)
  int op_slot_left_5561 = gc_frame_newslot(*var_Enumerable);
  params[0] = type5562;
  partcv[0] = 1;
  Object opresult5564 = callmethod(*var_Enumerable, "&(1)", 1, partcv, params);
// compiled op node returning opresult5564 (depth = 2)
  *var_Sequence = opresult5564;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Sequence"
  block_savedest(self);
  Object closure5565 = createclosure(1, "Sequence");
  setclosureframe(closure5565, stackframe);
  addtoclosure(closure5565, var_Sequence);
  struct UserObject *uo5565 = (struct UserObject*)self;
  uo5565->data[28] = (Object)closure5565;
  Method *meth_meth_collectionsPrelude_Sequence5565 = addmethod2pos(self, "Sequence", &meth_collectionsPrelude_Sequence5565, 28);
  int argcv_meth_collectionsPrelude_Sequence5565[] = {0};
  meth_meth_collectionsPrelude_Sequence5565->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Sequence5565);
  meth_meth_collectionsPrelude_Sequence5565->definitionModule = modulename;
  meth_meth_collectionsPrelude_Sequence5565->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl List
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5568 = alloc_Type("‹anon›", 22);
    add_Method((ClassData)type5568, "add(1)", NULL);
    add_Method((ClassData)type5568, "addAll(1)", NULL);
    add_Method((ClassData)type5568, "addFirst(1)", NULL);
    add_Method((ClassData)type5568, "addAllFirst(1)", NULL);
    add_Method((ClassData)type5568, "addLast(1)", NULL);
    add_Method((ClassData)type5568, "at(1)put(1)", NULL);
    add_Method((ClassData)type5568, "clear", NULL);
    add_Method((ClassData)type5568, "removeFirst", NULL);
    add_Method((ClassData)type5568, "removeAt(1)", NULL);
    add_Method((ClassData)type5568, "removeLast", NULL);
    add_Method((ClassData)type5568, "remove(1)", NULL);
    add_Method((ClassData)type5568, "remove(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5568, "removeAll(1)", NULL);
    add_Method((ClassData)type5568, "removeAll(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5568, "pop", NULL);
    add_Method((ClassData)type5568, "++(1)", NULL);
    add_Method((ClassData)type5568, "addAll(1)", NULL);
    add_Method((ClassData)type5568, "copy", NULL);
    add_Method((ClassData)type5568, "sort", NULL);
    add_Method((ClassData)type5568, "sortBy(1)", NULL);
    add_Method((ClassData)type5568, "reverse", NULL);
    add_Method((ClassData)type5568, "reversed", NULL);
// compiled typeliteral node returning type5568 (depth = 3)
  int op_slot_right_5567 = gc_frame_newslot(type5568);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Sequence (depth = 3)
  int op_slot_left_5567 = gc_frame_newslot(*var_Sequence);
  params[0] = type5568;
  partcv[0] = 1;
  Object opresult5570 = callmethod(*var_Sequence, "&(1)", 1, partcv, params);
// compiled op node returning opresult5570 (depth = 2)
  *var_List = opresult5570;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "List"
  block_savedest(self);
  Object closure5571 = createclosure(1, "List");
  setclosureframe(closure5571, stackframe);
  addtoclosure(closure5571, var_List);
  struct UserObject *uo5571 = (struct UserObject*)self;
  uo5571->data[29] = (Object)closure5571;
  Method *meth_meth_collectionsPrelude_List5571 = addmethod2pos(self, "List", &meth_collectionsPrelude_List5571, 29);
  int argcv_meth_collectionsPrelude_List5571[] = {0};
  meth_meth_collectionsPrelude_List5571->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_List5571);
  meth_meth_collectionsPrelude_List5571->definitionModule = modulename;
  meth_meth_collectionsPrelude_List5571->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Set
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5574 = alloc_Type("‹anon›", 18);
    add_Method((ClassData)type5574, "size", NULL);
    add_Method((ClassData)type5574, "add(1)", NULL);
    add_Method((ClassData)type5574, "addAll(1)", NULL);
    add_Method((ClassData)type5574, "remove(1)", NULL);
    add_Method((ClassData)type5574, "remove(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5574, "clear", NULL);
    add_Method((ClassData)type5574, "includes(1)", NULL);
    add_Method((ClassData)type5574, "find(1)ifNone(1)", NULL);
    add_Method((ClassData)type5574, "copy", NULL);
    add_Method((ClassData)type5574, "contains(1)", NULL);
    add_Method((ClassData)type5574, "**(1)", NULL);
    add_Method((ClassData)type5574, "--(1)", NULL);
    add_Method((ClassData)type5574, "++(1)", NULL);
    add_Method((ClassData)type5574, "isSubset(1)", NULL);
    add_Method((ClassData)type5574, "isSuperset(1)", NULL);
    add_Method((ClassData)type5574, "removeAll(1)", NULL);
    add_Method((ClassData)type5574, "removeAll(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5574, "into(1)", NULL);
// compiled typeliteral node returning type5574 (depth = 3)
  int op_slot_right_5573 = gc_frame_newslot(type5574);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  int op_slot_left_5573 = gc_frame_newslot(*var_Collection);
  params[0] = type5574;
  partcv[0] = 1;
  Object opresult5576 = callmethod(*var_Collection, "&(1)", 1, partcv, params);
// compiled op node returning opresult5576 (depth = 2)
  *var_Set = opresult5576;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Set"
  block_savedest(self);
  Object closure5577 = createclosure(1, "Set");
  setclosureframe(closure5577, stackframe);
  addtoclosure(closure5577, var_Set);
  struct UserObject *uo5577 = (struct UserObject*)self;
  uo5577->data[30] = (Object)closure5577;
  Method *meth_meth_collectionsPrelude_Set5577 = addmethod2pos(self, "Set", &meth_collectionsPrelude_Set5577, 30);
  int argcv_meth_collectionsPrelude_Set5577[] = {0};
  meth_meth_collectionsPrelude_Set5577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Set5577);
  meth_meth_collectionsPrelude_Set5577->definitionModule = modulename;
  meth_meth_collectionsPrelude_Set5577->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Dictionary
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type5580 = alloc_Type("‹anon›", 23);
    add_Method((ClassData)type5580, "size", NULL);
    add_Method((ClassData)type5580, "containsKey(1)", NULL);
    add_Method((ClassData)type5580, "containsValue(1)", NULL);
    add_Method((ClassData)type5580, "contains(1)", NULL);
    add_Method((ClassData)type5580, "at(1)ifAbsent(1)", NULL);
    add_Method((ClassData)type5580, "at(1)put(1)", NULL);
    add_Method((ClassData)type5580, "at(1)", NULL);
    add_Method((ClassData)type5580, "removeAllKeys(1)", NULL);
    add_Method((ClassData)type5580, "removeKey(1)", NULL);
    add_Method((ClassData)type5580, "removeAllValues(1)", NULL);
    add_Method((ClassData)type5580, "removeValue(1)", NULL);
    add_Method((ClassData)type5580, "clear", NULL);
    add_Method((ClassData)type5580, "keys", NULL);
    add_Method((ClassData)type5580, "values", NULL);
    add_Method((ClassData)type5580, "bindings", NULL);
    add_Method((ClassData)type5580, "keysAndValuesDo(1)", NULL);
    add_Method((ClassData)type5580, "keysDo(1)", NULL);
    add_Method((ClassData)type5580, "valuesDo(1)", NULL);
    add_Method((ClassData)type5580, "==(1)", NULL);
    add_Method((ClassData)type5580, "copy", NULL);
    add_Method((ClassData)type5580, "++(1)", NULL);
    add_Method((ClassData)type5580, "--(1)", NULL);
    add_Method((ClassData)type5580, "asDictionary", NULL);
// compiled typeliteral node returning type5580 (depth = 3)
  int op_slot_right_5579 = gc_frame_newslot(type5580);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  int op_slot_left_5579 = gc_frame_newslot(*var_Collection);
  params[0] = type5580;
  partcv[0] = 1;
  Object opresult5582 = callmethod(*var_Collection, "&(1)", 1, partcv, params);
// compiled op node returning opresult5582 (depth = 2)
  *var_Dictionary = opresult5582;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Dictionary"
  block_savedest(self);
  Object closure5583 = createclosure(1, "Dictionary");
  setclosureframe(closure5583, stackframe);
  addtoclosure(closure5583, var_Dictionary);
  struct UserObject *uo5583 = (struct UserObject*)self;
  uo5583->data[31] = (Object)closure5583;
  Method *meth_meth_collectionsPrelude_Dictionary5583 = addmethod2pos(self, "Dictionary", &meth_collectionsPrelude_Dictionary5583, 31);
  int argcv_meth_collectionsPrelude_Dictionary5583[] = {0};
  meth_meth_collectionsPrelude_Dictionary5583->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Dictionary5583);
  meth_meth_collectionsPrelude_Dictionary5583->definitionModule = modulename;
  meth_meth_collectionsPrelude_Dictionary5583->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Iterator
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type5585 = alloc_Type("Iterator", 2);
    add_Method((ClassData)type5585, "hasNext", NULL);
    add_Method((ClassData)type5585, "next", NULL);
// compiled typeliteral node returning type5585 (depth = 2)
  *var_Iterator = type5585;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Iterator"
  block_savedest(self);
  Object closure5586 = createclosure(1, "Iterator");
  setclosureframe(closure5586, stackframe);
  addtoclosure(closure5586, var_Iterator);
  struct UserObject *uo5586 = (struct UserObject*)self;
  uo5586->data[32] = (Object)closure5586;
  Method *meth_meth_collectionsPrelude_Iterator5586 = addmethod2pos(self, "Iterator", &meth_collectionsPrelude_Iterator5586, 32);
  int argcv_meth_collectionsPrelude_Iterator5586[] = {0};
  meth_meth_collectionsPrelude_Iterator5586->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Iterator5586);
  meth_meth_collectionsPrelude_Iterator5586->definitionModule = modulename;
  meth_meth_collectionsPrelude_Iterator5586->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5587 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5587 = alloc_userobj2(3,4, objclass5587);
  gc_frame_newslot(obj5587);
if (objclass5587 == NULL) {
  glfree(obj5587->class->name);
  obj5587->class->name = "collection";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5587, self, 0);
  addmethodreal(obj5587,"outer", &reader_collectionsPrelude_outer_5588);
  Object oldself5587 = self;
  struct StackFrameObject *oldstackframe5587 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5587);
  gc_frame_newslot((Object)stackframe);
  self = obj5587;
  Object *oldselfslot5587 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5587 = (*(struct UserObject *)self).data[0], lowerouter5587 = thisouter5587;
  if (inheritingObject5587) {
    struct UserObject *inho5587 = (struct UserObject *)inheritingObject5587;
    while (inho5587->super != GraceDefaultObject) inho5587 = (struct UserObject *)inho5587->super;
    inho5587->super = obj5587;
    self = inheritingObject5587;
    *selfslot = self;
    lowerouter5587 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5587;
  }
// method "TRAIT"
  block_savedest(obj5587);
  Object closure5589 = createclosure(2, "TRAIT");
  setclosureframe(closure5589, stackframe);
  addtoclosure(closure5589, var_SizeUnknown);
  addtoclosure(closure5589, var_BoundsError);
  struct UserObject *uo5589 = (struct UserObject*)obj5587;
  uo5589->data[1] = (Object)closure5589;
  Method *meth_meth_collectionsPrelude_TRAIT5589 = addmethod2pos(obj5587, "TRAIT", &meth_collectionsPrelude_TRAIT5589, 1);
  int argcv_meth_collectionsPrelude_TRAIT5589[] = {0};
  meth_meth_collectionsPrelude_TRAIT5589->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_TRAIT5589);
  meth_meth_collectionsPrelude_TRAIT5589->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5589->definitionLine = 252;
  block_savedest(obj5587);
  Object closure5711 = createclosure(2, "TRAIT$object(1)");
  setclosureframe(closure5711, stackframe);
  addtoclosure(closure5711, var_SizeUnknown);
  addtoclosure(closure5711, var_BoundsError);
  Method *meth_meth_collectionsPrelude_TRAIT5589_object = addmethod2pos(obj5587, "TRAIT$object(1)", &meth_collectionsPrelude_TRAIT5589_object, 1);
  meth_meth_collectionsPrelude_TRAIT5589_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5589_object->definitionLine = 252;
// method "asString"
  struct UserObject *uo5712 = (struct UserObject*)obj5587;
  uo5712->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5712 = addmethod2pos(obj5587, "asString", &meth_collectionsPrelude_asString5712, 2);
  int argcv_meth_collectionsPrelude_asString5712[] = {0};
  meth_meth_collectionsPrelude_asString5712->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5712);
  meth_meth_collectionsPrelude_asString5712->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5712->definitionLine = 252;
  sourceObject = obj5587;
  sourceObject = obj5587;
  objclass5587 = obj5587->class;
  objclass5587->definitionModule = modulename;
  objclass5587->definitionLine = 252;
  (*(struct UserObject *)self).data[0] = lowerouter5587;
  self = oldself5587;
  selfslot = oldselfslot5587;
  stackframe = oldstackframe5587;
// compiled object node returning obj5587 (depth = 2)
  *var_collection = obj5587;
  if (obj5587 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "collection"
  block_savedest(self);
  Object closure5714 = createclosure(1, "collection");
  setclosureframe(closure5714, stackframe);
  addtoclosure(closure5714, var_collection);
  struct UserObject *uo5714 = (struct UserObject*)self;
  uo5714->data[33] = (Object)closure5714;
  Method *meth_meth_collectionsPrelude_collection5714 = addmethod2pos(self, "collection", &meth_collectionsPrelude_collection5714, 33);
  int argcv_meth_collectionsPrelude_collection5714[] = {0};
  meth_meth_collectionsPrelude_collection5714->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_collection5714);
  meth_meth_collectionsPrelude_collection5714->definitionModule = modulename;
  meth_meth_collectionsPrelude_collection5714->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5715 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5715 = alloc_userobj2(3,4, objclass5715);
  gc_frame_newslot(obj5715);
if (objclass5715 == NULL) {
  glfree(obj5715->class->name);
  obj5715->class->name = "enumerable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5715, self, 0);
  addmethodreal(obj5715,"outer", &reader_collectionsPrelude_outer_5716);
  Object oldself5715 = self;
  struct StackFrameObject *oldstackframe5715 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5715);
  gc_frame_newslot((Object)stackframe);
  self = obj5715;
  Object *oldselfslot5715 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5715 = (*(struct UserObject *)self).data[0], lowerouter5715 = thisouter5715;
  if (inheritingObject5715) {
    struct UserObject *inho5715 = (struct UserObject *)inheritingObject5715;
    while (inho5715->super != GraceDefaultObject) inho5715 = (struct UserObject *)inho5715->super;
    inho5715->super = obj5715;
    self = inheritingObject5715;
    *selfslot = self;
    lowerouter5715 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5715;
  }
// method "TRAIT"
  block_savedest(obj5715);
  Object closure5717 = createclosure(2, "TRAIT");
  setclosureframe(closure5717, stackframe);
  addtoclosure(closure5717, var_SizeUnknown);
  addtoclosure(closure5717, var_collection);
  struct UserObject *uo5717 = (struct UserObject*)obj5715;
  uo5717->data[1] = (Object)closure5717;
  Method *meth_meth_collectionsPrelude_TRAIT5717 = addmethod2pos(obj5715, "TRAIT", &meth_collectionsPrelude_TRAIT5717, 1);
  int argcv_meth_collectionsPrelude_TRAIT5717[] = {0};
  meth_meth_collectionsPrelude_TRAIT5717->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_TRAIT5717);
  meth_meth_collectionsPrelude_TRAIT5717->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5717->definitionLine = 319;
  block_savedest(obj5715);
  Object closure5883 = createclosure(2, "TRAIT$object(1)");
  setclosureframe(closure5883, stackframe);
  addtoclosure(closure5883, var_SizeUnknown);
  addtoclosure(closure5883, var_collection);
  Method *meth_meth_collectionsPrelude_TRAIT5717_object = addmethod2pos(obj5715, "TRAIT$object(1)", &meth_collectionsPrelude_TRAIT5717_object, 1);
  meth_meth_collectionsPrelude_TRAIT5717_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5717_object->definitionLine = 319;
// method "asString"
  struct UserObject *uo5884 = (struct UserObject*)obj5715;
  uo5884->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString5884 = addmethod2pos(obj5715, "asString", &meth_collectionsPrelude_asString5884, 2);
  int argcv_meth_collectionsPrelude_asString5884[] = {0};
  meth_meth_collectionsPrelude_asString5884->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString5884);
  meth_meth_collectionsPrelude_asString5884->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString5884->definitionLine = 319;
  sourceObject = obj5715;
  sourceObject = obj5715;
  objclass5715 = obj5715->class;
  objclass5715->definitionModule = modulename;
  objclass5715->definitionLine = 319;
  (*(struct UserObject *)self).data[0] = lowerouter5715;
  self = oldself5715;
  selfslot = oldselfslot5715;
  stackframe = oldstackframe5715;
// compiled object node returning obj5715 (depth = 2)
  *var_enumerable = obj5715;
  if (obj5715 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "enumerable"
  block_savedest(self);
  Object closure5886 = createclosure(1, "enumerable");
  setclosureframe(closure5886, stackframe);
  addtoclosure(closure5886, var_enumerable);
  struct UserObject *uo5886 = (struct UserObject*)self;
  uo5886->data[34] = (Object)closure5886;
  Method *meth_meth_collectionsPrelude_enumerable5886 = addmethod2pos(self, "enumerable", &meth_collectionsPrelude_enumerable5886, 34);
  int argcv_meth_collectionsPrelude_enumerable5886[] = {0};
  meth_meth_collectionsPrelude_enumerable5886->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_enumerable5886);
  meth_meth_collectionsPrelude_enumerable5886->definitionModule = modulename;
  meth_meth_collectionsPrelude_enumerable5886->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5887 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5887 = alloc_userobj2(3,4, objclass5887);
  gc_frame_newslot(obj5887);
if (objclass5887 == NULL) {
  glfree(obj5887->class->name);
  obj5887->class->name = "indexable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5887, self, 0);
  addmethodreal(obj5887,"outer", &reader_collectionsPrelude_outer_5888);
  Object oldself5887 = self;
  struct StackFrameObject *oldstackframe5887 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5887);
  gc_frame_newslot((Object)stackframe);
  self = obj5887;
  Object *oldselfslot5887 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5887 = (*(struct UserObject *)self).data[0], lowerouter5887 = thisouter5887;
  if (inheritingObject5887) {
    struct UserObject *inho5887 = (struct UserObject *)inheritingObject5887;
    while (inho5887->super != GraceDefaultObject) inho5887 = (struct UserObject *)inho5887->super;
    inho5887->super = obj5887;
    self = inheritingObject5887;
    *selfslot = self;
    lowerouter5887 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5887;
  }
// method "TRAIT"
  block_savedest(obj5887);
  Object closure5889 = createclosure(2, "TRAIT");
  setclosureframe(closure5889, stackframe);
  addtoclosure(closure5889, var_NoSuchObject);
  addtoclosure(closure5889, var_collection);
  struct UserObject *uo5889 = (struct UserObject*)obj5887;
  uo5889->data[1] = (Object)closure5889;
  Method *meth_meth_collectionsPrelude_TRAIT5889 = addmethod2pos(obj5887, "TRAIT", &meth_collectionsPrelude_TRAIT5889, 1);
  int argcv_meth_collectionsPrelude_TRAIT5889[] = {0};
  meth_meth_collectionsPrelude_TRAIT5889->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_TRAIT5889);
  meth_meth_collectionsPrelude_TRAIT5889->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5889->definitionLine = 384;
  block_savedest(obj5887);
  Object closure6037 = createclosure(2, "TRAIT$object(1)");
  setclosureframe(closure6037, stackframe);
  addtoclosure(closure6037, var_NoSuchObject);
  addtoclosure(closure6037, var_collection);
  Method *meth_meth_collectionsPrelude_TRAIT5889_object = addmethod2pos(obj5887, "TRAIT$object(1)", &meth_collectionsPrelude_TRAIT5889_object, 1);
  meth_meth_collectionsPrelude_TRAIT5889_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_TRAIT5889_object->definitionLine = 384;
// method "asString"
  struct UserObject *uo6038 = (struct UserObject*)obj5887;
  uo6038->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6038 = addmethod2pos(obj5887, "asString", &meth_collectionsPrelude_asString6038, 2);
  int argcv_meth_collectionsPrelude_asString6038[] = {0};
  meth_meth_collectionsPrelude_asString6038->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6038);
  meth_meth_collectionsPrelude_asString6038->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6038->definitionLine = 384;
  sourceObject = obj5887;
  sourceObject = obj5887;
  objclass5887 = obj5887->class;
  objclass5887->definitionModule = modulename;
  objclass5887->definitionLine = 384;
  (*(struct UserObject *)self).data[0] = lowerouter5887;
  self = oldself5887;
  selfslot = oldselfslot5887;
  stackframe = oldstackframe5887;
// compiled object node returning obj5887 (depth = 2)
  *var_indexable = obj5887;
  if (obj5887 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "indexable"
  block_savedest(self);
  Object closure6040 = createclosure(1, "indexable");
  setclosureframe(closure6040, stackframe);
  addtoclosure(closure6040, var_indexable);
  struct UserObject *uo6040 = (struct UserObject*)self;
  uo6040->data[35] = (Object)closure6040;
  Method *meth_meth_collectionsPrelude_indexable6040 = addmethod2pos(self, "indexable", &meth_collectionsPrelude_indexable6040, 35);
  int argcv_meth_collectionsPrelude_indexable6040[] = {0};
  meth_meth_collectionsPrelude_indexable6040->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexable6040);
  meth_meth_collectionsPrelude_indexable6040->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexable6040->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6041 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6041 = alloc_userobj2(16,17, objclass6041);
  gc_frame_newslot(obj6041);
if (objclass6041 == NULL) {
  glfree(obj6041->class->name);
  obj6041->class->name = "emptySequence";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6041, self, 0);
  addmethodreal(obj6041,"outer", &reader_collectionsPrelude_outer_6042);
  Object oldself6041 = self;
  struct StackFrameObject *oldstackframe6041 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6041);
  gc_frame_newslot((Object)stackframe);
  self = obj6041;
  Object *oldselfslot6041 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6041 = (*(struct UserObject *)self).data[0], lowerouter6041 = thisouter6041;
  if (inheritingObject6041) {
    struct UserObject *inho6041 = (struct UserObject *)inheritingObject6041;
    while (inho6041->super != GraceDefaultObject) inho6041 = (struct UserObject *)inho6041->super;
    inho6041->super = obj6041;
    self = inheritingObject6041;
    *selfslot = self;
    lowerouter6041 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6041;
  }
// method "size"
  struct UserObject *uo6043 = (struct UserObject*)obj6041;
  uo6043->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size6043 = addmethod2pos(obj6041, "size", &meth_collectionsPrelude_size6043, 1);
  int argcv_meth_collectionsPrelude_size6043[] = {0};
  meth_meth_collectionsPrelude_size6043->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size6043);
  meth_meth_collectionsPrelude_size6043->definitionModule = modulename;
  meth_meth_collectionsPrelude_size6043->definitionLine = 435;
// method "isEmpty"
  struct UserObject *uo6045 = (struct UserObject*)obj6041;
  uo6045->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty6045 = addmethod2pos(obj6041, "isEmpty", &meth_collectionsPrelude_isEmpty6045, 2);
  int argcv_meth_collectionsPrelude_isEmpty6045[] = {0};
  meth_meth_collectionsPrelude_isEmpty6045->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty6045);
  meth_meth_collectionsPrelude_isEmpty6045->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty6045->definitionLine = 436;
// method "at(_)"
  block_savedest(obj6041);
  Object closure6047 = createclosure(1, "at(1)");
  setclosureframe(closure6047, stackframe);
  addtoclosure(closure6047, var_BoundsError);
  struct UserObject *uo6047 = (struct UserObject*)obj6041;
  uo6047->data[3] = (Object)closure6047;
  Method *meth_meth_collectionsPrelude_at_40_1_41_6047 = addmethod2pos(obj6041, "at(1)", &meth_collectionsPrelude_at_40_1_41_6047, 3);
  int argcv_meth_collectionsPrelude_at_40_1_41_6047[] = {1};
  meth_meth_collectionsPrelude_at_40_1_41_6047->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at_40_1_41_6047);
  meth_meth_collectionsPrelude_at_40_1_41_6047->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40_1_41_6047->definitionLine = 437;
// method "keys"
  struct UserObject *uo6058 = (struct UserObject*)obj6041;
  uo6058->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys6058 = addmethod2pos(obj6041, "keys", &meth_collectionsPrelude_keys6058, 4);
  int argcv_meth_collectionsPrelude_keys6058[] = {0};
  meth_meth_collectionsPrelude_keys6058->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys6058);
  meth_meth_collectionsPrelude_keys6058->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys6058->definitionLine = 438;
// method "values"
  struct UserObject *uo6059 = (struct UserObject*)obj6041;
  uo6059->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values6059 = addmethod2pos(obj6041, "values", &meth_collectionsPrelude_values6059, 5);
  int argcv_meth_collectionsPrelude_values6059[] = {0};
  meth_meth_collectionsPrelude_values6059->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values6059);
  meth_meth_collectionsPrelude_values6059->definitionModule = modulename;
  meth_meth_collectionsPrelude_values6059->definitionLine = 439;
// method "keysAndValuesDo(_)"
  block_savedest(obj6041);
  Object closure6060 = createclosure(1, "keysAndValuesDo(1)");
  setclosureframe(closure6060, stackframe);
  addtoclosure(closure6060, var_done);
  struct UserObject *uo6060 = (struct UserObject*)obj6041;
  uo6060->data[6] = (Object)closure6060;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060 = addmethod2pos(obj6041, "keysAndValuesDo(1)", &meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060, 6);
  int argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060);
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo_40_1_41_6060->definitionLine = 440;
// method "reversed"
  struct UserObject *uo6061 = (struct UserObject*)obj6041;
  uo6061->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed6061 = addmethod2pos(obj6041, "reversed", &meth_collectionsPrelude_reversed6061, 7);
  int argcv_meth_collectionsPrelude_reversed6061[] = {0};
  meth_meth_collectionsPrelude_reversed6061->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed6061);
  meth_meth_collectionsPrelude_reversed6061->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed6061->definitionLine = 441;
// method "++(_)"
  struct UserObject *uo6062 = (struct UserObject*)obj6041;
  uo6062->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43__40_1_41_6062 = addmethod2pos(obj6041, "++(1)", &meth_collectionsPrelude__43__43__40_1_41_6062, 8);
  int argcv_meth_collectionsPrelude__43__43__40_1_41_6062[] = {1};
  meth_meth_collectionsPrelude__43__43__40_1_41_6062->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43__40_1_41_6062);
  meth_meth_collectionsPrelude__43__43__40_1_41_6062->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43__40_1_41_6062->definitionLine = 442;
// method "asString"
  struct UserObject *uo6069 = (struct UserObject*)obj6041;
  uo6069->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6069 = addmethod2pos(obj6041, "asString", &meth_collectionsPrelude_asString6069, 9);
  int argcv_meth_collectionsPrelude_asString6069[] = {0};
  meth_meth_collectionsPrelude_asString6069->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6069);
  meth_meth_collectionsPrelude_asString6069->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6069->definitionLine = 443;
// method "contains(_)"
  struct UserObject *uo6071 = (struct UserObject*)obj6041;
  uo6071->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains_40_1_41_6071 = addmethod2pos(obj6041, "contains(1)", &meth_collectionsPrelude_contains_40_1_41_6071, 10);
  int argcv_meth_collectionsPrelude_contains_40_1_41_6071[] = {1};
  meth_meth_collectionsPrelude_contains_40_1_41_6071->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains_40_1_41_6071);
  meth_meth_collectionsPrelude_contains_40_1_41_6071->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains_40_1_41_6071->definitionLine = 444;
// method "do(_)"
  block_savedest(obj6041);
  Object closure6073 = createclosure(1, "do(1)");
  setclosureframe(closure6073, stackframe);
  addtoclosure(closure6073, var_done);
  struct UserObject *uo6073 = (struct UserObject*)obj6041;
  uo6073->data[11] = (Object)closure6073;
  Method *meth_meth_collectionsPrelude_do_40_1_41_6073 = addmethod2pos(obj6041, "do(1)", &meth_collectionsPrelude_do_40_1_41_6073, 11);
  int argcv_meth_collectionsPrelude_do_40_1_41_6073[] = {1};
  meth_meth_collectionsPrelude_do_40_1_41_6073->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do_40_1_41_6073);
  meth_meth_collectionsPrelude_do_40_1_41_6073->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40_1_41_6073->definitionLine = 445;
// method "==(_)"
  block_savedest(obj6041);
  Object closure6074 = createclosure(1, "==(1)");
  setclosureframe(closure6074, stackframe);
  addtoclosure(closure6074, var_Iterable);
  struct UserObject *uo6074 = (struct UserObject*)obj6041;
  uo6074->data[12] = (Object)closure6074;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_6074 = addmethod2pos(obj6041, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_6074, 12);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_6074[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_6074->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_6074);
  meth_meth_collectionsPrelude__61__61__40_1_41_6074->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_6074->definitionLine = 446;
// method "iterator"
  block_savedest(obj6041);
  Object closure6094 = createclosure(1, "iterator");
  setclosureframe(closure6094, stackframe);
  addtoclosure(closure6094, var_IteratorExhausted);
  struct UserObject *uo6094 = (struct UserObject*)obj6041;
  uo6094->data[13] = (Object)closure6094;
  Method *meth_meth_collectionsPrelude_iterator6094 = addmethod2pos(obj6041, "iterator", &meth_collectionsPrelude_iterator6094, 13);
  int argcv_meth_collectionsPrelude_iterator6094[] = {0};
  meth_meth_collectionsPrelude_iterator6094->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator6094);
  meth_meth_collectionsPrelude_iterator6094->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator6094->definitionLine = 455;
  block_savedest(obj6041);
  Object closure6105 = createclosure(1, "iterator$object(1)");
  setclosureframe(closure6105, stackframe);
  addtoclosure(closure6105, var_IteratorExhausted);
  Method *meth_meth_collectionsPrelude_iterator6094_object = addmethod2pos(obj6041, "iterator$object(1)", &meth_collectionsPrelude_iterator6094_object, 13);
  meth_meth_collectionsPrelude_iterator6094_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator6094_object->definitionLine = 455;
// method "sorted"
  struct UserObject *uo6106 = (struct UserObject*)obj6041;
  uo6106->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sorted6106 = addmethod2pos(obj6041, "sorted", &meth_collectionsPrelude_sorted6106, 14);
  int argcv_meth_collectionsPrelude_sorted6106[] = {0};
  meth_meth_collectionsPrelude_sorted6106->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sorted6106);
  meth_meth_collectionsPrelude_sorted6106->definitionModule = modulename;
  meth_meth_collectionsPrelude_sorted6106->definitionLine = 460;
// method "sortedBy(_)"
  struct UserObject *uo6107 = (struct UserObject*)obj6041;
  uo6107->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortedBy_40_1_41_6107 = addmethod2pos(obj6041, "sortedBy(1)", &meth_collectionsPrelude_sortedBy_40_1_41_6107, 15);
  int argcv_meth_collectionsPrelude_sortedBy_40_1_41_6107[] = {1};
  meth_meth_collectionsPrelude_sortedBy_40_1_41_6107->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortedBy_40_1_41_6107);
  meth_meth_collectionsPrelude_sortedBy_40_1_41_6107->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortedBy_40_1_41_6107->definitionLine = 461;
  sourceObject = obj6041;
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6108 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_indexable (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6109 = callmethodflags(*var_indexable, "TRAIT$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6108);
// compiled call node returning call6109 (depth = 3)
  struct UserObject *obj6041_uo = (struct UserObject *)obj6041;
  obj6041_uo->super = call6109;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  sourceObject = obj6041;
  objclass6041 = obj6041->class;
  objclass6041->definitionModule = modulename;
  objclass6041->definitionLine = 433;
  (*(struct UserObject *)self).data[0] = lowerouter6041;
  self = oldself6041;
  selfslot = oldselfslot6041;
  stackframe = oldstackframe6041;
// compiled object node returning obj6041 (depth = 2)
  *var_emptySequence = obj6041;
  if (obj6041 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "emptySequence"
  block_savedest(self);
  Object closure6110 = createclosure(1, "emptySequence");
  setclosureframe(closure6110, stackframe);
  addtoclosure(closure6110, var_emptySequence);
  struct UserObject *uo6110 = (struct UserObject*)self;
  uo6110->data[36] = (Object)closure6110;
  Method *meth_meth_collectionsPrelude_emptySequence6110 = addmethod2pos(self, "emptySequence", &meth_collectionsPrelude_emptySequence6110, 36);
  int argcv_meth_collectionsPrelude_emptySequence6110[] = {0};
  meth_meth_collectionsPrelude_emptySequence6110->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_emptySequence6110);
  meth_meth_collectionsPrelude_emptySequence6110->definitionModule = modulename;
  meth_meth_collectionsPrelude_emptySequence6110->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl MinimalyIterable
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type6112 = alloc_Type("MinimalyIterable", 1);
    add_Method((ClassData)type6112, "iterator", NULL);
// compiled typeliteral node returning type6112 (depth = 2)
  *var_MinimalyIterable = type6112;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "MinimalyIterable"
  block_savedest(self);
  Object closure6113 = createclosure(1, "MinimalyIterable");
  setclosureframe(closure6113, stackframe);
  addtoclosure(closure6113, var_MinimalyIterable);
  struct UserObject *uo6113 = (struct UserObject*)self;
  uo6113->data[37] = (Object)closure6113;
  Method *meth_meth_collectionsPrelude_MinimalyIterable6113 = addmethod2pos(self, "MinimalyIterable", &meth_collectionsPrelude_MinimalyIterable6113, 37);
  int argcv_meth_collectionsPrelude_MinimalyIterable6113[] = {0};
  meth_meth_collectionsPrelude_MinimalyIterable6113->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_MinimalyIterable6113);
  meth_meth_collectionsPrelude_MinimalyIterable6113->definitionModule = modulename;
  meth_meth_collectionsPrelude_MinimalyIterable6113->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6114 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6114 = alloc_userobj2(6,6, objclass6114);
  gc_frame_newslot(obj6114);
if (objclass6114 == NULL) {
  glfree(obj6114->class->name);
  obj6114->class->name = "unused";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6114, self, 0);
  addmethodreal(obj6114,"outer", &reader_collectionsPrelude_outer_6115);
  Object oldself6114 = self;
  struct StackFrameObject *oldstackframe6114 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6114);
  gc_frame_newslot((Object)stackframe);
  self = obj6114;
  Object *oldselfslot6114 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6114 = (*(struct UserObject *)self).data[0], lowerouter6114 = thisouter6114;
  if (inheritingObject6114) {
    struct UserObject *inho6114 = (struct UserObject *)inheritingObject6114;
    while (inho6114->super != GraceDefaultObject) inho6114 = (struct UserObject *)inho6114->super;
    inho6114->super = obj6114;
    self = inheritingObject6114;
    *selfslot = self;
    lowerouter6114 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6114;
  }
if (objclass6114 == NULL) {
  Method *reader6116 = addmethodrealflags(obj6114, "unused", &reader_collectionsPrelude_unused_6116, MFLAG_CONFIDENTIAL);
  Method *writer6116 = addmethodrealflags(obj6114, "unused:=(1)", &writer_collectionsPrelude_unused_6116, MFLAG_CONFIDENTIAL);
  reader6116->definitionModule = modulename;
  writer6116->definitionModule = modulename;
  reader6116->definitionLine = 1169;
  writer6116->definitionLine = 1169;
}
obj6114->flags |= OFLAG_MUTABLE;
adddatum2(obj6114, alloc_Undefined(), 1);
if (objclass6114 == NULL) {
  Method *reader6117 = addmethodrealflags(obj6114, "key",&reader_collectionsPrelude_key_6117, MFLAG_DEF);
  reader6117->definitionModule = modulename;
  reader6117->definitionLine = 1170;
}
adddatum2(obj6114, alloc_Undefined(), 2);
if (objclass6114 == NULL) {
  Method *reader6118 = addmethodrealflags(obj6114, "value",&reader_collectionsPrelude_value_6118, MFLAG_DEF);
  reader6118->definitionModule = modulename;
  reader6118->definitionLine = 1171;
}
adddatum2(obj6114, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo6119 = (struct UserObject*)obj6114;
  uo6119->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6119 = addmethod2pos(obj6114, "asString", &meth_collectionsPrelude_asString6119, 4);
  int argcv_meth_collectionsPrelude_asString6119[] = {0};
  meth_meth_collectionsPrelude_asString6119->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6119);
  meth_meth_collectionsPrelude_asString6119->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6119->definitionLine = 1172;
// method "==(_)"
  struct UserObject *uo6121 = (struct UserObject*)obj6114;
  uo6121->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_6121 = addmethod2pos(obj6114, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_6121, 5);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_6121[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_6121->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_6121);
  meth_meth_collectionsPrelude__61__61__40_1_41_6121->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_6121->definitionLine = 1173;
  sourceObject = obj6114;
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6124 = alloc_Boolean(1);
// compiled identifier node returning bool6124 (depth = 3)
  adddatum2(obj6114, bool6124, 1);
  sourceObject = obj6114;
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  adddatum2(obj6114, self, 2);
  sourceObject = obj6114;
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  adddatum2(obj6114, self, 3);
  sourceObject = obj6114;
  sourceObject = obj6114;
  objclass6114 = obj6114->class;
  objclass6114->definitionModule = modulename;
  objclass6114->definitionLine = 1168;
  (*(struct UserObject *)self).data[0] = lowerouter6114;
  self = oldself6114;
  selfslot = oldselfslot6114;
  stackframe = oldstackframe6114;
// compiled object node returning obj6114 (depth = 2)
  *var_unused = obj6114;
  if (obj6114 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "unused"
  block_savedest(self);
  Object closure6125 = createclosure(1, "unused");
  setclosureframe(closure6125, stackframe);
  addtoclosure(closure6125, var_unused);
  struct UserObject *uo6125 = (struct UserObject*)self;
  uo6125->data[38] = (Object)closure6125;
  Method *meth_meth_collectionsPrelude_unused6125 = addmethod2pos(self, "unused", &meth_collectionsPrelude_unused6125, 38);
  int argcv_meth_collectionsPrelude_unused6125[] = {0};
  meth_meth_collectionsPrelude_unused6125->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_unused6125);
  meth_meth_collectionsPrelude_unused6125->definitionModule = modulename;
  meth_meth_collectionsPrelude_unused6125->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6126 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6126 = alloc_userobj2(6,6, objclass6126);
  gc_frame_newslot(obj6126);
if (objclass6126 == NULL) {
  glfree(obj6126->class->name);
  obj6126->class->name = "removed";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6126, self, 0);
  addmethodreal(obj6126,"outer", &reader_collectionsPrelude_outer_6127);
  Object oldself6126 = self;
  struct StackFrameObject *oldstackframe6126 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6126);
  gc_frame_newslot((Object)stackframe);
  self = obj6126;
  Object *oldselfslot6126 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6126 = (*(struct UserObject *)self).data[0], lowerouter6126 = thisouter6126;
  if (inheritingObject6126) {
    struct UserObject *inho6126 = (struct UserObject *)inheritingObject6126;
    while (inho6126->super != GraceDefaultObject) inho6126 = (struct UserObject *)inho6126->super;
    inho6126->super = obj6126;
    self = inheritingObject6126;
    *selfslot = self;
    lowerouter6126 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6126;
  }
if (objclass6126 == NULL) {
  Method *reader6128 = addmethodrealflags(obj6126, "removed", &reader_collectionsPrelude_removed_6128, MFLAG_CONFIDENTIAL);
  Method *writer6128 = addmethodrealflags(obj6126, "removed:=(1)", &writer_collectionsPrelude_removed_6128, MFLAG_CONFIDENTIAL);
  reader6128->definitionModule = modulename;
  writer6128->definitionModule = modulename;
  reader6128->definitionLine = 1177;
  writer6128->definitionLine = 1177;
}
obj6126->flags |= OFLAG_MUTABLE;
adddatum2(obj6126, alloc_Undefined(), 1);
if (objclass6126 == NULL) {
  Method *reader6129 = addmethodrealflags(obj6126, "key",&reader_collectionsPrelude_key_6129, MFLAG_DEF);
  reader6129->definitionModule = modulename;
  reader6129->definitionLine = 1178;
}
adddatum2(obj6126, alloc_Undefined(), 2);
if (objclass6126 == NULL) {
  Method *reader6130 = addmethodrealflags(obj6126, "value",&reader_collectionsPrelude_value_6130, MFLAG_DEF);
  reader6130->definitionModule = modulename;
  reader6130->definitionLine = 1179;
}
adddatum2(obj6126, alloc_Undefined(), 3);
// method "asString"
  struct UserObject *uo6131 = (struct UserObject*)obj6126;
  uo6131->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6131 = addmethod2pos(obj6126, "asString", &meth_collectionsPrelude_asString6131, 4);
  int argcv_meth_collectionsPrelude_asString6131[] = {0};
  meth_meth_collectionsPrelude_asString6131->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6131);
  meth_meth_collectionsPrelude_asString6131->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6131->definitionLine = 1180;
// method "==(_)"
  struct UserObject *uo6133 = (struct UserObject*)obj6126;
  uo6133->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__61__61__40_1_41_6133 = addmethod2pos(obj6126, "==(1)", &meth_collectionsPrelude__61__61__40_1_41_6133, 5);
  int argcv_meth_collectionsPrelude__61__61__40_1_41_6133[] = {1};
  meth_meth_collectionsPrelude__61__61__40_1_41_6133->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61__40_1_41_6133);
  meth_meth_collectionsPrelude__61__61__40_1_41_6133->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61__40_1_41_6133->definitionLine = 1181;
  sourceObject = obj6126;
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6136 = alloc_Boolean(1);
// compiled identifier node returning bool6136 (depth = 3)
  adddatum2(obj6126, bool6136, 1);
  sourceObject = obj6126;
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  adddatum2(obj6126, self, 2);
  sourceObject = obj6126;
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  adddatum2(obj6126, self, 3);
  sourceObject = obj6126;
  sourceObject = obj6126;
  objclass6126 = obj6126->class;
  objclass6126->definitionModule = modulename;
  objclass6126->definitionLine = 1176;
  (*(struct UserObject *)self).data[0] = lowerouter6126;
  self = oldself6126;
  selfslot = oldselfslot6126;
  stackframe = oldstackframe6126;
// compiled object node returning obj6126 (depth = 2)
  *var_removed = obj6126;
  if (obj6126 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "removed"
  block_savedest(self);
  Object closure6137 = createclosure(1, "removed");
  setclosureframe(closure6137, stackframe);
  addtoclosure(closure6137, var_removed);
  struct UserObject *uo6137 = (struct UserObject*)self;
  uo6137->data[39] = (Object)closure6137;
  Method *meth_meth_collectionsPrelude_removed6137 = addmethod2pos(self, "removed", &meth_collectionsPrelude_removed6137, 39);
  int argcv_meth_collectionsPrelude_removed6137[] = {0};
  meth_meth_collectionsPrelude_removed6137->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removed6137);
  meth_meth_collectionsPrelude_removed6137->definitionModule = modulename;
  meth_meth_collectionsPrelude_removed6137->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Binding
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type6139 = alloc_Type("Binding", 4);
    add_Method((ClassData)type6139, "key", NULL);
    add_Method((ClassData)type6139, "value", NULL);
    add_Method((ClassData)type6139, "hash", NULL);
    add_Method((ClassData)type6139, "==(1)", NULL);
// compiled typeliteral node returning type6139 (depth = 2)
  *var_Binding = type6139;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "Binding"
  block_savedest(self);
  Object closure6140 = createclosure(1, "Binding");
  setclosureframe(closure6140, stackframe);
  addtoclosure(closure6140, var_Binding);
  struct UserObject *uo6140 = (struct UserObject*)self;
  uo6140->data[40] = (Object)closure6140;
  Method *meth_meth_collectionsPrelude_Binding6140 = addmethod2pos(self, "Binding", &meth_collectionsPrelude_Binding6140, 40);
  int argcv_meth_collectionsPrelude_Binding6140[] = {0};
  meth_meth_collectionsPrelude_Binding6140->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Binding6140);
  meth_meth_collectionsPrelude_Binding6140->definitionModule = modulename;
  meth_meth_collectionsPrelude_Binding6140->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 1479
  setline(1479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6141 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6141 = alloc_userobj2(3,4, objclass6141);
  gc_frame_newslot(obj6141);
if (objclass6141 == NULL) {
  glfree(obj6141->class->name);
  obj6141->class->name = "binding";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6141, self, 0);
  addmethodreal(obj6141,"outer", &reader_collectionsPrelude_outer_6142);
  Object oldself6141 = self;
  struct StackFrameObject *oldstackframe6141 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6141);
  gc_frame_newslot((Object)stackframe);
  self = obj6141;
  Object *oldselfslot6141 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6141 = (*(struct UserObject *)self).data[0], lowerouter6141 = thisouter6141;
  if (inheritingObject6141) {
    struct UserObject *inho6141 = (struct UserObject *)inheritingObject6141;
    while (inho6141->super != GraceDefaultObject) inho6141 = (struct UserObject *)inho6141->super;
    inho6141->super = obj6141;
    self = inheritingObject6141;
    *selfslot = self;
    lowerouter6141 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6141;
  }
// method "asString"
  struct UserObject *uo6143 = (struct UserObject*)obj6141;
  uo6143->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString6143 = addmethod2pos(obj6141, "asString", &meth_collectionsPrelude_asString6143, 1);
  int argcv_meth_collectionsPrelude_asString6143[] = {0};
  meth_meth_collectionsPrelude_asString6143->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString6143);
  meth_meth_collectionsPrelude_asString6143->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString6143->definitionLine = 1481;
// method "key(_)value(_)"
  block_savedest(obj6141);
  Object closure6145 = createclosure(1, "key(1)value(1)");
  setclosureframe(closure6145, stackframe);
  addtoclosure(closure6145, var_Binding);
  struct UserObject *uo6145 = (struct UserObject*)obj6141;
  uo6145->data[2] = (Object)closure6145;
  Method *meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145 = addmethod2pos(obj6141, "key(1)value(1)", &meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145, 2);
  int argcv_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145[] = {1, 1};
  meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145);
  meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145->definitionModule = modulename;
  meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145->definitionLine = 1483;
  block_savedest(obj6141);
  Object closure6221 = createclosure(1, "key(1)value(1)$object(1)");
  setclosureframe(closure6221, stackframe);
  addtoclosure(closure6221, var_Binding);
  Method *meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145_object = addmethod2pos(obj6141, "key(1)value(1)$object(1)", &meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145_object, 2);
  meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_key_40_1_41_value_40_1_41_6145_object->definitionLine = 1483;
  sourceObject = obj6141;
  sourceObject = obj6141;
  objclass6141 = obj6141->class;
  objclass6141->definitionModule = modulename;
  objclass6141->definitionLine = 1480;
  (*(struct UserObject *)self).data[0] = lowerouter6141;
  self = oldself6141;
  selfslot = oldselfslot6141;
  stackframe = oldstackframe6141;
// compiled object node returning obj6141 (depth = 2)
  *var_binding = obj6141;
  if (obj6141 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "binding"
  block_savedest(self);
  Object closure6222 = createclosure(1, "binding");
  setclosureframe(closure6222, stackframe);
  addtoclosure(closure6222, var_binding);
  struct UserObject *uo6222 = (struct UserObject*)self;
  uo6222->data[41] = (Object)closure6222;
  Method *meth_meth_collectionsPrelude_binding6222 = addmethod2pos(self, "binding", &meth_collectionsPrelude_binding6222, 41);
  int argcv_meth_collectionsPrelude_binding6222[] = {0};
  meth_meth_collectionsPrelude_binding6222->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_binding6222);
  meth_meth_collectionsPrelude_binding6222->definitionModule = modulename;
  meth_meth_collectionsPrelude_binding6222->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ComparableToDictionary
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type6224 = alloc_Type("ComparableToDictionary", 2);
    add_Method((ClassData)type6224, "size", NULL);
    add_Method((ClassData)type6224, "at(1)ifAbsent(1)", NULL);
// compiled typeliteral node returning type6224 (depth = 2)
  *var_ComparableToDictionary = type6224;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ComparableToDictionary"
  block_savedest(self);
  Object closure6225 = createclosure(1, "ComparableToDictionary");
  setclosureframe(closure6225, stackframe);
  addtoclosure(closure6225, var_ComparableToDictionary);
  struct UserObject *uo6225 = (struct UserObject*)self;
  uo6225->data[42] = (Object)closure6225;
  Method *meth_meth_collectionsPrelude_ComparableToDictionary6225 = addmethod2pos(self, "ComparableToDictionary", &meth_collectionsPrelude_ComparableToDictionary6225, 42);
  int argcv_meth_collectionsPrelude_ComparableToDictionary6225[] = {0};
  meth_meth_collectionsPrelude_ComparableToDictionary6225->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_ComparableToDictionary6225);
  meth_meth_collectionsPrelude_ComparableToDictionary6225->definitionModule = modulename;
  meth_meth_collectionsPrelude_ComparableToDictionary6225->definitionLine = 1990;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
