#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "21802a386d7e3614445df7ee7c1a5afde8ad45d3";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_standardGrace_init();
static char *originalSourceLines[] = {
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"errormessages\" as errormessages",
  "import \"stringMap\" as map",
  "",
  "def keywords = map.new",
  "keywords.put(\"alias\", true)",
  "keywords.put(\"class\", true)",
  "keywords.put(\"def\", true)",
  "keywords.put(\"dialect\", true)",
  "keywords.put(\"exclude\", true)",
  "keywords.put(\"factory\", true)",
  "keywords.put(\"import\", true)",
  "keywords.put(\"inherits\", true)",
  "keywords.put(\"inherit\", true)",
  "keywords.put(\"is\", true)",
  "keywords.put(\"method\", true)",
  "keywords.put(\"object\", true)",
  "keywords.put(\"return\", true)",
  "keywords.put(\"super\", true)",
  "keywords.put(\"trait\", true)",
  "keywords.put(\"type\", true)",
  "keywords.put(\"use\", true)",
  "keywords.put(\"var\", true)",
  "",
  "def operatorChars = \"-&|:$#\\\\%^@?*/+!~\"",
  "method isOperatorChar(c, ordval) {",
  "    if (operatorChars.contains(c)) then { return true }",
  "    if (unicode.isSymbolMathematical(ordval)) then { return true }",
  "    if (unicode.inCategory(c, \"So\")) then { return true }",
  "    return false",
  "}",
  "",
  "def spaceChars = \" \\u00A0\"    // ASCII space + non-breaking space",
  "def tab = \"\\t\"",
  "method isBadSeparator(ch) {",
  "    if (spaceChars.contains(ch)) then { return false }",
  "    if (tab == ch) then { return true }",
  "    return unicode.inCategory(ch, \"Z\")",
  "}",
  "",
  "def nl_cr = \"\\n\\r\"      // nl and cr",
  "method isBadControl(ch) {",
  "    if (nl_cr.contains(ch)) then { return false }",
  "    return unicode.inCategory(ch, \"C\")",
  "}",
  "",
  "def selfModes = \"(),\\{}[];⟦⟧\"",
  "method isSelfMode(ch) { selfModes.contains(ch) }",
  "",
  "def brackets = \"()\\{}[]⟦⟧\"",
  "method isBracket(ch) { brackets.contains(ch) }",
  "",
  "def alphaNums = \"_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isIdentifierChar(ch) {",
  "    if (alphaNums.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    if (unicode.inCategory(ch, \"N\")) then { return true }",
  "    return false",
  "}",
  "def digits = \"0123456789\"",
  "method isDigit(ch) { digits.contains(ch) }",
  "",
  "def asciiLetters = \"abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isLetter(ch) {",
  "    if (asciiLetters.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    return false",
  "}",
  "",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "class new {",
  "    var tokens",
  "    var lineNumber := 1",
  "    var linePosition := 0",
  "    var startPosition := 1",
  "    var indentLevel := 0",
  "    var startLine := 1",
  "    var stringStart",
  "    var unichars := 0",
  "    class token {",
  "        def line is public = lineNumber",
  "        def indent is public = indentLevel",
  "        def linePos is public = startPosition",
  "",
  "        var next is public := false",
  "        var prev is public := false",
  "",
  "        method ==(other) {",
  "            if (other == false) then {",
  "                false",
  "            } else {",
  "                (other.line == line) && (other.linePos == linePos)",
  "            }",
  "        }",
  "        method asString { \"({line}:{linePos}){self.kind} {self.value}\" }",
  "    }",
  "",
  "",
  "    class identifierToken(s) {",
  "        inherit token",
  "        def kind is public = \"identifier\"",
  "        def value is public = s",
  "        def size is public = s.size",
  "    }",
  "    class stringToken(s) {",
  "        inherit token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = linePosition - startPosition + 1",
  "    }",
  "    class multiLineStringToken(s) {",
  "        inherit token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "        def line' = startLine",
  "        def linePos' = stringStart",
  "        method line is override { line' }",
  "        method linePos is override { linePos' }",
  "    }",
  "    class commentToken(s) {",
  "        inherit token",
  "        def kind is public = \"comment\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "    }",
  "    class lBraceToken {",
  "        inherit token",
  "        def kind is public = \"lbrace\"",
  "        def value is public = \"\\{\"",
  "        def size is public = 1",
  "    }",
  "    class rBraceToken {",
  "        inherit token",
  "        def kind is public = \"rbrace\"",
  "        def value is public = \"}\"",
  "        def size is public = 1",
  "    }",
  "    class lParenToken {",
  "        inherit token",
  "        def kind is public = \"lparen\"",
  "        def value is public = \"(\"",
  "        def size is public = 1",
  "    }",
  "    class rParenToken {",
  "        inherit token",
  "        def kind is public = \"rparen\"",
  "        def value is public = \")\"",
  "        def size is public = 1",
  "    }",
  "    class lSquareToken {",
  "        inherit token",
  "        def kind is public = \"lsquare\"",
  "        def value is public = \"[\"",
  "        def size is public = 1",
  "    }",
  "    class rSquareToken {",
  "        inherit token",
  "        def kind is public = \"rsquare\"",
  "        def value is public = \"]\"",
  "        def size is public = 1",
  "    }",
  "    class commaToken {",
  "        inherit token",
  "        def kind is public = \"comma\"",
  "        def value is public = \",\"",
  "        def size is public = 1",
  "    }",
  "    class colonToken {",
  "        inherit token",
  "        def kind is public = \"colon\"",
  "        def value is public = \":\"",
  "        def size is public = 1",
  "    }",
  "    class dotToken {",
  "        inherit token",
  "        def kind is public = \"dot\"",
  "        def value is public = \".\"",
  "        def size is public = 1",
  "    }",
  "    class numToken(v, b) {",
  "        inherit token",
  "        def kind is public = \"num\"",
  "        def value is public = v",
  "        def base is public = b",
  "        def size is public = linePosition - startPosition",
  "    }",
  "    class keywordToken(v) {",
  "        inherit token",
  "        def kind is public = \"keyword\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class opToken(v) {",
  "        inherit token",
  "        def kind is public = \"op\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class arrowToken {",
  "        inherit token",
  "        def kind is public = \"arrow\"",
  "        def value is public = \"→\"",
  "        def size is public = 1",
  "    }",
  "    class bindToken {",
  "        inherit token",
  "        def kind is public = \"bind\"",
  "        def value is public = \":=\"",
  "        def size is public = 2",
  "    }",
  "    class semicolonToken {",
  "        inherit token",
  "        def kind is public = \"semicolon\"",
  "        def value is public = \";\"",
  "        def size is public = 1",
  "    }",
  "    class lGenericToken {",
  "        inherit token",
  "        def kind is public = \"lgeneric\"",
  "        def value is public = \"⟦\"",
  "        def size is public = 1",
  "    }",
  "    class rGenericToken {",
  "        inherit token",
  "        def kind is public = \"rgeneric\"",
  "        def value is public = \"⟧\"",
  "        def size is public = 1",
  "    }",
  "    class eofToken {",
  "        inherit token",
  "        def kind is public = \"eof\"",
  "        def value is public = \"\"",
  "        def size is public = 0",
  "    }",
  "",
  "    var state",
  "    var accum := \"\"",
  "",
  "    var inStr := false",
  "    var escaped := false",
  "    var codepoint := 0",
  "    var interpdepth := 0",
  "    var interpString := false",
  "",
  "    method advanceTo(s) { state := s }",
  "    method emit(t) {",
  "        tokens.push(t)",
  "        accum := \"\"",
  "    }",
  "    method store(c) { accum := accum ++ c }",
  "",
  "    def startState = object {",
  "        method consume(c){",
  "            if (c == \"#\") then {",
  "                advanceTo(pragmaPrefixState)",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    state := startState",
  "",
  "    def pragmaPrefixState = object {",
  "        method consume(c){",
  "            checkSeparator(c)",
  "            if (c == \"\\n\") then {",
  "                errormessages.syntaxError \"Incomplete pragma definition \"",
  "                    atRange(lineNumber, startPosition, linePosition)",
  "            } elseif{isSpaceChar(c)} then {",
  "                if (accum == \"pragma\") then {",
  "                    accum := \"\"",
  "                    advanceTo(pragmaBodyState)",
  "                } else {",
  "                    errormessages.syntaxError \"Pragmas must start with #pragma \"",
  "                        atRange(lineNumber, startPosition, linePosition)",
  "                }",
  "            }",
  "            else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def pragmaBodyState = object {",
  "        method consume(c){",
  "            checkSeparator(c)",
  "            if ((c == \"\\n\") || isSpaceChar(c)) then {",
  "                //a complete pragma has been found",
  "                util.processExtension(accum)",
  "                accum := \"\"",
  "                advanceTo(pragmaTrailingWhitespaceState)",
  "                state.consume(c)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def pragmaTrailingWhitespaceState = object {",
  "        method consume(c) {",
  "            checkSeparator(c)",
  "            if (c == \"\\n\") then {",
  "                advanceTo(startState)",
  "            } elseif {!isSpaceChar(c)} then {",
  "                errormessages.syntaxError \"Pragmas must be a single word \"",
  "                    atRange(lineNumber, startPosition, linePosition)",
  "            }",
  "        }",
  "    }",
  "",
  "    def defaultState = object {",
  "        method consume(c) {",
  "            def ordval = c.ord",
  "            checkSeparator(c)",
  "            startPosition := linePosition",
  "            startLine := lineNumber",
  "            if (spaceChars.contains(c)) then {",
  "                //do nothing",
  "            } elseif {c == \"\\\"\"} then {",
  "                inStr := true",
  "                stringStart := linePosition",
  "                advanceTo(quotedStringState)",
  "            } elseif {c == \"‹\"} then {",
  "                inStr := true",
  "                stringStart := linePosition",
  "                advanceTo(extendedStringState)",
  "            } elseif {isDigit(c)} then {",
  "                if ((tokens.size > 0) && {tokens.last.kind == \"num\"}) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteRange(tokens.last.linePos+tokens.last.size, linePosition - 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"Consecutive numbers are not allowed.\")",
  "                        atRange(lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                }",
  "                startPosition := linePosition",
  "                advanceTo(numberStartState)",
  "                state.consume(c)",
  "            } elseif {isIdentifierChar(c)} then {",
  "                advanceTo(identifierState)",
  "                state.consume(c)",
  "            } elseif {c == \"/\"} then {",
  "                advanceTo(slashState)",
  "                state.consume(c)",
  "            } elseif {c == \".\"} then {",
  "                advanceTo(dotState)",
  "                state.consume(c)",
  "            } elseif {(c == \"<\") || isOperatorChar(c, ordval)} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } elseif {c == \",\"} then {",
  "                emit(commaToken)",
  "            } elseif {c == \"\\{\"} then {",
  "                emit(lBraceToken)",
  "            } elseif {c == \"}\"} then {",
  "                advanceTo(rBraceState)",
  "                state.consume(c)",
  "            } elseif {c == \"(\"} then {",
  "                emit(lParenToken)",
  "            } elseif {c == \")\"} then {",
  "                if ((tokens.size > 0) && {tokens.last.kind == \"lparen\"}) then {",
  "                    errormessages.syntaxError(\"empty parenthesis are not allowed. \" ++",
  "                        \"Remove them, or put something between them.\")",
  "                        atRange(lineNumber, tokens.last.linePos, linePosition)",
  "                }",
  "                emit(rParenToken)",
  "            } elseif {c == \"[\"} then {",
  "                emit(lSquareToken)",
  "            } elseif {c == \"]\"} then {",
  "                emit(rSquareToken)",
  "            } elseif {c == \"⟦\"} then {",
  "                emit(lGenericToken)",
  "            } elseif {c == \"⟧\"} then {",
  "                emit(rGenericToken)",
  "            } elseif {c == \";\"} then {",
  "                emit(semicolonToken)",
  "            } elseif {c == \"\\n\"} then {",
  "                indentLevel := 0",
  "                advanceTo(indentationState)",
  "            } else {",
  "                if((unicode.isSeparator(ordval).not) &&",
  "                        (unicode.isControl(ordval).not) &&",
  "                        (ordval != 10) &&",
  "                        (ordval != 13) &&",
  "                        (ordval != 32)) then {",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                        lineNumber, linePosition, linePosition)",
  "                }",
  "            }",
  "        }",
  "    }",
  "",
  "    def rBraceState = object {",
  "        method consume (c){",
  "            if (interpdepth > 0) then {",
  "                if (tokens.last.kind == \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"a string interpolation cannot be empty.\")atRange(",
  "                        lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                }",
  "                emit (rParenToken)",
  "                emit (opToken(\"++\"))",
  "                interpdepth := interpdepth - 1",
  "                inStr := true",
  "                advanceTo(quotedStringState)",
  "            }",
  "            else {",
  "                emit (rBraceToken)",
  "                advanceTo (defaultState)",
  "            }",
  "        }",
  "    }",
  "",
  "    def slashState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (c == \"/\") then {",
  "                store(c)",
  "                if (accum == \"//\") then {",
  "                    advanceTo(commentSpaceState)",
  "                }",
  "            } elseif {accum == \"/\"} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def dotState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (c == \".\") then {",
  "                store(c)",
  "                if (accum == \"...\") then {",
  "                    advanceTo(identifierState)",
  "                }",
  "            } elseif {accum == \"..\"} then {",
  "                advanceTo(operatorState)",
  "                state.consume(c)",
  "            } elseif {isDigit(c)} then {",
  "                accum := \"0.\"",
  "                //should an error be thrown instead?",
  "                advanceTo(numberFractionState)",
  "                state.consume(c)",
  "            } else {",
  "                emit(dotToken)",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def identifierState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (!isIdentifierChar(c)) then {",
  "                if (keywords.contains(accum)) then {",
  "                    if (accum == \"super\") then {",
  "                        errormessages.syntaxError(",
  "                            \"`super` is no longer part of Grace.\\n\" ++",
  "                              \"Consider using an `alias` clause on the inherit statement.\")",
  "                              atRange(lineNumber, startPosition, linePosition-1)",
  "                    } elseif {accum == \"inherits\"} then {",
  "                        errormessages.syntaxError(",
  "                            \"The reserved word `inherits` has been replaced by `inherit`.\")",
  "                              atRange(lineNumber, startPosition, linePosition-1)",
  "                    }",
  "                    emit(keywordToken(accum))",
  "                } else {",
  "                    emit(identifierToken(accum))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "    def quotedStringState = object {",
  "        method consume (c) {",
  "",
  "            checkSeparatorString (c)",
  "            if (c == \"\\\"\") then {",
  "                emit(stringToken(accum))",
  "                if (interpString && (interpdepth == 0)) then {",
  "                    emit(rParenToken)",
  "                    interpString := false",
  "                }",
  "                advanceTo(defaultState)",
  "                inStr := false",
  "            } elseif {c == \"\\n\"} then {",
  "                newLineError",
  "            } elseif {c == \"\\{\"} then {",
  "                def strToken = stringToken(accum)",
  "                if (!interpString) then {",
  "                    emit(lParenToken)",
  "                    interpString := true",
  "                }",
  "                emit(strToken)",
  "                emit(opToken(\"++\"))",
  "                emit(lParenToken)",
  "                advanceTo(defaultState)",
  "                inStr := false",
  "                interpdepth := interpdepth + 1",
  "            } elseif {c == \"\\\\\"} then {",
  "                advanceTo(quotedStringEscapedState)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "    def unicodeState = object {",
  "        method consume(c){",
  "            unichars := unichars - 1",
  "            codepoint := codepoint * 16",
  "            codepoint := codepoint + hexdecchar(c)",
  "            //print \"adding unicode char {c}\"",
  "            if (unichars == 0) then {",
  "                // At the end of the sequence construct",
  "                // the character in the unicode library.",
  "                store(unicode.create(codepoint))",
  "                advanceTo(quotedStringState)",
  "            }",
  "        }",
  "    }",
  "    def quotedStringEscapedState = object {",
  "        method consume (c) {",
  "            checkSeparatorString (c)",
  "            advanceTo(quotedStringState)",
  "            if (c == \"\\n\") then {",
  "               newLineError",
  "            } elseif { c == \"n\" } then {",
  "                // Newline escape",
  "                accum := accum ++ \"\\u000a\"",
  "            } elseif { c == \"u\" } then {",
  "                // Beginning of a four-digit Unicode escape",
  "                // (for a BMP codepoint).",
  "                unichars := 4",
  "                codepoint := 0",
  "                advanceTo(unicodeState)",
  "            } elseif { c == \"U\" } then {",
  "                // Beginning of a six-digit Unicode escape",
  "                // (for a general codepoint).",
  "                unichars := 6",
  "                codepoint := 0",
  "                advanceTo(unicodeState)",
  "            } elseif { c == \"t\" } then {",
  "                // Tab escape",
  "                accum := accum ++ \"\\u0009\"",
  "            } elseif { c == \"r\" } then {",
  "                // Carriage return escape",
  "                accum := accum ++ \"\\u000d\"",
  "            } elseif { c == \"b\" } then {",
  "                // Backspace escape",
  "                accum := accum ++ \"\\u0008\"",
  "            } elseif { c == \"l\" } then {",
  "                // LINE SEPARATOR escape",
  "                accum := accum ++ \"\\u2028\"",
  "            } elseif { c == \"f\" } then {",
  "                // Form feed/page down escape",
  "                accum := accum ++ \"\\u000c\"",
  "            } elseif { c == \"e\" } then {",
  "                // Escape escape",
  "                accum := accum ++ \"\\u001b\"",
  "            } elseif { c == \"_\" } then {",
  "                // non-breaking space",
  "                accum := accum ++ \"\\u00a0\"",
  "            } else {",
  "                // For any other character preceded by \\,",
  "                // insert it literally.",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def extendedStringState = object {",
  "        method consume (c) {",
  "",
  "            if (c == \"›\") then {",
  "                emit(multiLineStringToken(accum))",
  "                inStr := false",
  "                advanceTo(defaultState)",
  "            }",
  "            else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    var tokenBase is writable",
  "    var mantissa is writable",
  "    def numberStartState = object {",
  "        method consume (c) {",
  "            checkSeparator (c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif { c == \"x\" } then {",
  "                tokenBase := accum.asNumber",
  "                if (tokenBase == 0) then {",
  "                    tokenBase := 16",
  "                }",
  "                accum := \"\"",
  "                advanceTo(numberBaseState)",
  "            } elseif {(c == \"e\") || (c == \"E\")} then {",
  "                mantissa := accum.asNumber",
  "                accum := \"\"",
  "                advanceTo(numberExponentSignState)",
  "            } elseif { isLetter(c) } then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\".\")atPosition(linePosition)onLine(lineNumber)",
  "                errormessages.syntaxError(\"'{c}' is not a valid digit in base 10. Valid digits are 0..9.\")atRange(",
  "                    lineNumber, startPosition, linePosition)withSuggestion(suggestion)",
  "            } elseif { c == \".\" } then {",
  "                advanceTo(numberDotState)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberBaseState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c) || isLetter(c)) then {",
  "                store(c)",
  "            } elseif {(c == \".\") && (tokenBase == 10)} then {",
  "                advanceTo(numberDotState)",
  "            } else {",
  "                emit(numToken(fromBase(accum, tokenBase).asString, tokenBase))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "",
  "    def numberDotState = object {",
  "        method consume (c) {",
  "            if (isDigit(c)) then {",
  "                store(\".\")",
  "                advanceTo(numberFractionState)",
  "                state.consume(c)",
  "            } elseif { spaceChars.contains(c) } then {",
  "                //alternatively, throw an error here",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                accum := \".\"",
  "                advanceTo(dotState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberFractionState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif {(c == \"e\") || (c == \"E\")} then {",
  "                mantissa := accum.asNumber",
  "                accum := \"\"",
  "                advanceTo(numberExponentSignState)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"the fractional part of a number must be in base 10.\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                emit(numToken(accum, 10))",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def numberExponentSignState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c) || (c == \"-\")) then {",
  "                store(c)",
  "                advanceTo(numberExponentState)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"{c} is not an allowed base-10 exponent character\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                errormessages.syntaxError(\"exponents must have at least one digit\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            }",
  "        }",
  "    }",
  "    def numberExponentState = object {",
  "        method consume (c) {",
  "            checkSeparator(c)",
  "            if (isDigit(c)) then {",
  "                store(c)",
  "            } elseif {isLetter(c)} then {",
  "                errormessages.syntaxError(\"{c} is not an allowed base-10 exponent character\")atRange(",
  "                    lineNumber, startPosition, linePosition)",
  "            } else {",
  "                if (accum == \"-\") then {",
  "                    errormessages.syntaxError(\"exponents must have at least one digit\")atRange(",
  "                        lineNumber, startPosition, linePosition)",
  "                }",
  "                def exponent = accum.asNumber",
  "                var absExp := exponent",
  "                if (exponent < 0) then {",
  "                    absExp := -exponent",
  "                }",
  "                var absMultiplier := 1",
  "                repeat (absExp) times {",
  "                    absMultiplier := absMultiplier * 10",
  "                }",
  "                if (exponent >= 0) then {",
  "                    emit (numToken((mantissa * absMultiplier).asString, 10))",
  "                } else {",
  "                    emit (numToken((mantissa / absMultiplier).asString, 10))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def operatorState = object {",
  "        method consume (c) {",
  "            checkSeparator (c)",
  "            if (isOperatorChar(c, c.ord)) then {",
  "                store(c)",
  "            } else {",
  "                if (accum == \"→\") then {",
  "                    emit(arrowToken)",
  "                } elseif { accum == \":=\" } then {",
  "                    emit(bindToken)",
  "                } elseif { accum == \":\" } then {",
  "                    emit(colonToken)",
  "                } else {",
  "                    emit(opToken(accum))",
  "                }",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    def indentationState = object {",
  "        method consume (c) {",
  "            if (spaceChars.contains(c)) then {",
  "                indentLevel := linePosition",
  "            } else {",
  "                advanceTo(defaultState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def commentSpaceState = object {",
  "        method consume (c) {",
  "            if (!spaceChars.contains(c)) then {",
  "                accum := \"\"",
  "                advanceTo(commentState)",
  "                state.consume(c)",
  "            }",
  "        }",
  "    }",
  "    def commentState = object {",
  "        method consume (c) {",
  "            if (c == \"\\n\") then {",
  "                emit (commentToken(accum))",
  "                indentLevel := 0",
  "                advanceTo(indentationState)",
  "            } else {",
  "                store(c)",
  "            }",
  "        }",
  "    }",
  "",
  "    method newLineError {",
  "        if (interpdepth > 0) then {",
  "            // Find closest {.",
  "            var line := lineNumber",
  "            var i := util.lines.at(line).size",
  "            while { util.lines.at(line).at(i) != \"\\{\" } do {",
  "                i := i - 1",
  "                if(i == 0) then {",
  "                    lineNumber := line - 1",
  "                    i := util.lines.at(line).size",
  "                }",
  "            }",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "            suggestions.push(suggestion)",
  "            if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                errormessages.syntaxError(\"for a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                    line, i)withSuggestions(suggestions)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                    lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "            }",
  "        } else {",
  "            def errorLine = util.lines.at(lineNumber)",
  "            def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                util.lines.at(lineNumber + 1)",
  "            } else {",
  "                \"\"",
  "            }",
  "            // Count the number of literal quotes in the next line.",
  "            var i := 1",
  "            var count := 0",
  "            while { i <= nextLine.size } do {",
  "                if(nextLine.at(i) == \"\\\"\") then { count := count + 1 }",
  "                elseif { nextLine.at(i) == \"\\\\\" } then { i := i + 1 }",
  "                i := i + 1",
  "            }",
  "            if ((count % 2) == 1) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                suggestion.addLine(lineNumber + 1, \"\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                suggestion.addLine(lineNumber + 1, \"\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a string must be terminated by a \\\" before the end of the line. To insert a newline in a string, use '\\\\n'. To split a string over multiple lines, use '++' to join strings together.\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestions(suggestions)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                errormessages.syntaxError(\"a string must be terminated \" ++",
  "                    \"by a \\\" before the end of the line.\")",
  "                    atPosition(lineNumber, linePosition)",
  "                    withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "",
  "    method isSpaceChar(c){",
  "        spaceChars.contains(c)",
  "    }",
  "    method checkSeparatorString (c) {",
  "        def ordval = c.ord",
  "        if (isBadSeparator(c)) then {",
  "            // Character is whitespace, but not an ASCII space or",
  "            // Unicode NO-BREAK SPACE.  For example, a tab",
  "",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "            if (ordval == 9) then {",
  "                suggestion.replaceRange(linePosition, linePosition)",
  "                    with(\"\\\\t\")",
  "                    onLine(lineNumber)",
  "                errormessages.syntaxError(\"tabs cannot be \"",
  "                    ++ \"written in the source code; \"",
  "                    ++ \"use the string escape \\\\t instead\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestion(suggestion)",
  "                errormessages.syntaxError(\"tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            } else {",
  "                suggestion.replaceRange(linePosition, linePosition)",
  "                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                    onLine(lineNumber)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character\"",
  "                    ++ \" and cannot be \"",
  "                    ++ \"written in the source code; \"",
  "                    ++ \"use the Unicode escape \\\\u\"",
  "                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                    ++ \" instead\")",
  "                    atRange(lineNumber, linePosition, linePosition)",
  "                    withSuggestion(suggestion)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "        } elseif {isBadControl(c)} then {",
  "            // Character is a control character other than",
  "            // carriage return or line feed.",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceRange(linePosition, linePosition)",
  "                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be \"",
  "                ++ \"written in the source code; \"",
  "                ++ \"use the Unicode escape \\\\u\"",
  "                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                ++ \" instead\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "                withSuggestion(suggestion)",
  "            suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                linePosition, linePosition)withSuggestion(suggestion)",
  "        }",
  "    }",
  "",
  "    method checkSeparator (c){",
  "        def ordval = c.ord",
  "        if (isBadSeparator(c)) then {",
  "            // Character is whitespace, but not an ASCII space or",
  "            // Unicode NO-BREAK SPACE.  For example, a tab",
  "",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "            if (ordval == 9) then {",
  "                errormessages.syntaxError(\"tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            } else {",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "        } elseif {isBadControl(c)} then {",
  "            // Character is a control character other than",
  "            // carriage return or line feed.",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                linePosition, linePosition)withSuggestion(suggestion)",
  "        }",
  "    }",
  "",
  "    method fromBase(str, base) {",
  "        var val := 0",
  "        var i := 0",
  "        for (str) do {c->",
  "            def n = c.ord",
  "            val := val * base",
  "            var inc := 0",
  "            if ((n >= 48) && (n <= 57)) then {          // 48 = '0', 57 = '9'",
  "                inc := n - 48 // '0'",
  "            } elseif {(n >= 65) && (n <= 90)} then {    // 65 = 'A', 90 = 'Z'",
  "                inc := n - 55 // 'A' - 10",
  "            } else {",
  "                inc := n - 87 // 'a' - 10",
  "            }",
  "            if (inc >= base) then {",
  "                if((str.first == \"0\") && (inc < 16)) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"a number in base 16 must start with '0x'.\")atPosition(",
  "                        lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(str.size == 1) then {",
  "                        suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                    } else {",
  "                        suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                    }",
  "                    def validDigits = if(base <= 10) then {",
  "                        \"'0' to '{base - 1}'\"",
  "                    } else {",
  "                        \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                    }",
  "                    errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                        lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            val := val + inc",
  "            i := i + 1",
  "        }",
  "        val",
  "    }",
  "",
  "    method hexdecchar(c) {",
  "    // Return the numeric value of the single hexadecimal digit c.",
  "        def AOrd = \"A\".ord",
  "        def aOrd = \"a\".ord",
  "        def zeroOrd = \"0\".ord",
  "        def cOrd = c.ord",
  "        if ( (cOrd >= AOrd) && (cOrd <= \"F\".ord) ) then {",
  "            cOrd - AOrd + 10",
  "        } elseif { (cOrd >= aOrd) && (cOrd <= \"f\".ord) } then {",
  "            cOrd - aOrd + 10",
  "        } elseif { (cOrd >= zeroOrd) && (cOrd <= \"9\".ord) } then {",
  "            cOrd - zeroOrd",
  "        } else {",
  "            errormessages.syntaxError(\"the character '{c}' must be a hexadecimal digit\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "        }",
  "    }",
  "    // Read the program text from util.infile and return a list of",
  "    // tokens.",
  "    method lexfile(file) {",
  "        def lines = util.lines.makeEmpty",
  "        def cLines = util.cLines.makeEmpty",
  "            // making them empty is necessary for the browser,",
  "            // where these variables persist from one compilation",
  "            // to the next",
  "        var line := \"\"",
  "        var cLine := \"\"",
  "        var wasCR := false",
  "        for(file.read) do { c ->",
  "            if (c == \"\\r\") then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := true",
  "            } elseif {c  == \"\\n\"} then {",
  "                if (wasCR) then {",
  "                    // the spec says \"LINE FEED that immediately",
  "                    // follows a CARRIAGE RETURN is ignored\"",
  "                } else {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                }",
  "                wasCR := false",
  "            } elseif {c == \"\\l\"} then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\\\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\\\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\"\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\"\"",
  "                wasCR := false",
  "            } else {",
  "                line := line ++ c",
  "                cLine := cLine ++ c",
  "                wasCR := false",
  "            }",
  "        }",
  "        if (line != \"\") then {",
  "            // this deals with an un-terminated final line",
  "            lines.push(line)",
  "            cLines.push(cLine)",
  "        }",
  "        lexinput(lines)",
  "    }",
  "",
  "    method lexinput(inputLines) {",
  "        // tokens is a doubly-linked list of tokens.",
  "        tokens := object {",
  "            var first is readable := false",
  "            var last is readable := false",
  "            var size' := 0",
  "",
  "            method push(t) {",
  "                if(first == false) then {",
  "                    first := t",
  "                    last := t",
  "                } else {",
  "                    last.next := t",
  "                    t.prev := last",
  "                    last := t",
  "                }",
  "                size' := size' + 1",
  "            }",
  "",
  "            method pop {",
  "                if(last != false) then {",
  "                    def popped = last",
  "                    last := last.prev",
  "                    if(last == false) then {",
  "                        first := false",
  "                    }",
  "                    size' := size' - 1",
  "                    popped",
  "                }",
  "            }",
  "",
  "            method poll {",
  "                if(first != false) then {",
  "                    def polled = first",
  "                    first := first.next",
  "                    if(first == false) then {",
  "                        last := false",
  "                    }",
  "                    size' := size' - 1",
  "                    polled",
  "                }",
  "            }",
  "",
  "            method size {",
  "                size' + 0",
  "            }",
  "",
  "            method iter {",
  "                object {",
  "                    var n := first",
  "                    method havemore {",
  "                        n != false",
  "                    }",
  "                    method hasNext {",
  "                        n != false",
  "                    }",
  "                    method next {",
  "                        def ret = n",
  "                        n := n.next",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "",
  "            method iterator {",
  "                iter",
  "            }",
  "",
  "            method do(action) {",
  "                var n := first",
  "                while { n != false } do {",
  "                    action.apply(n)",
  "                    n := n.next",
  "                }",
  "            }",
  "        }",
  "",
  "",
  "        linePosition := 0",
  "        util.log_verbose \"lexing.\"",
  "        state := startState",
  "        for (inputLines) do { eachLine ->",
  "            def charS = eachLine.iterator",
  "            while {charS.hasNext} do {",
  "                def ch = charS.next",
  "                linePosition := linePosition + 1",
  "                if (inStr.not && { \"><![]-\".contains(ch) } && charS.hasNext) then {",
  "                    // map to unicode equavalents",
  "                    def nextCh = charS.next",
  "                    linePosition := linePosition + 1",
  "                    def bigraph = ch ++ nextCh",
  "                    if (bigraph == \">=\") then { state.consume \"≥\"",
  "                    } elseif { bigraph == \"<=\" } then { state.consume(\"≤\")",
  "                    } elseif { bigraph == \"!=\" } then { state.consume(\"≠\")",
  "                    } elseif { bigraph == \"[[\" } then { state.consume(\"⟦\")",
  "                    } elseif { bigraph == \"]]\" } then { state.consume(\"⟧\")",
  "                    } elseif { bigraph == \"->\" } then { state.consume(\"→\")",
  "                    } else {",
  "                        linePosition := linePosition - 1",
  "                        state.consume(ch)",
  "                        linePosition := linePosition + 1",
  "                        state.consume(nextCh)",
  "                    }",
  "                } else {",
  "                    state.consume(ch)",
  "                }",
  "            }",
  "            state.consume(\"\\n\")",
  "            linePosition := 0",
  "            lineNumber := lineNumber + 1",
  "        }",
  "        linePosition := linePosition + 1",
  "        if (inStr) then {",
  "            errormessages.syntaxError(\"a multi-line string must end with a '›'.\\n\" ++",
  "                \"String opened on line {startLine} and unclosed at end of input.\")",
  "                atRange(startLine, stringStart, util.lines.at(startLine).size)",
  "        }",
  "        tokens.push(eofToken)",
  "        tokens",
  "    }",
  "}",
  NULL
};
Object reader_lexer_outer_99(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_tokens_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_tokens_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_lineNumber_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_lineNumber_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_linePosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_linePosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_startPosition_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_startPosition_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_indentLevel_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_indentLevel_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_startLine_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_lexer_startLine_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_lexer_stringStart_106(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_lexer_stringStart_106(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_lexer_unichars_107(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_lexer_unichars_107(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_lexer_outer_110(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_112(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_114(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_114(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_115(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_115(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_197(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_198(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_209(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_210(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_211(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_212(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_239(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_line_39__240(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_linePos_39__241(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_lexer_outer_270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_272(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_288(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_289(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_291(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_305(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_316(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_317(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_318(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_319(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_330(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_331(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_344(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_345(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_346(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_372(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_373(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_386(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_387(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_388(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_389(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_400(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_401(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_402(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_403(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_414(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_415(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_416(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_417(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_418(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_438(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_439(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_440(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_441(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_452(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_453(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_454(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_455(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_466(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_467(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_468(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_469(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_480(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_481(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_482(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_483(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_494(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_495(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_496(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_497(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_508(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_509(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_510(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_511(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_522(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_523(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_524(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_525(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_536(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_537(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_538(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_539(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_state_548(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[32];
}
Object writer_lexer_state_548(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[32] = args[0];
  return done;
}
Object reader_lexer_accum_549(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[33];
}
Object writer_lexer_accum_549(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[33] = args[0];
  return done;
}
Object reader_lexer_inStr_550(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[34];
}
Object writer_lexer_inStr_550(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[34] = args[0];
  return done;
}
Object reader_lexer_escaped_551(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[35];
}
Object writer_lexer_escaped_551(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[35] = args[0];
  return done;
}
Object reader_lexer_codepoint_552(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[36];
}
Object writer_lexer_codepoint_552(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[36] = args[0];
  return done;
}
Object reader_lexer_interpdepth_553(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[37];
}
Object writer_lexer_interpdepth_553(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[37] = args[0];
  return done;
}
Object reader_lexer_interpString_554(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[38];
}
Object writer_lexer_interpString_554(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[38] = args[0];
  return done;
}
Object reader_lexer_startState_574(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[42];
}
Object reader_lexer_pragmaPrefixState_575(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[43];
}
Object reader_lexer_pragmaBodyState_576(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[44];
}
Object reader_lexer_pragmaTrailingWhitespaceState_577(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[45];
}
Object reader_lexer_defaultState_578(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[46];
}
Object reader_lexer_rBraceState_579(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[47];
}
Object reader_lexer_slashState_580(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[48];
}
Object reader_lexer_dotState_581(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[49];
}
Object reader_lexer_identifierState_582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[50];
}
Object reader_lexer_quotedStringState_583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[51];
}
Object reader_lexer_unicodeState_584(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[52];
}
Object reader_lexer_quotedStringEscapedState_585(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[53];
}
Object reader_lexer_extendedStringState_586(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[54];
}
Object reader_lexer_tokenBase_587(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[55];
}
Object writer_lexer_tokenBase_587(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[55] = args[0];
  return done;
}
Object reader_lexer_mantissa_588(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[56];
}
Object writer_lexer_mantissa_588(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[56] = args[0];
  return done;
}
Object reader_lexer_numberStartState_589(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[57];
}
Object reader_lexer_numberBaseState_590(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[58];
}
Object reader_lexer_numberDotState_591(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[59];
}
Object reader_lexer_numberFractionState_592(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[60];
}
Object reader_lexer_numberExponentSignState_593(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[61];
}
Object reader_lexer_numberExponentState_594(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[62];
}
Object reader_lexer_operatorState_595(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[63];
}
Object reader_lexer_indentationState_596(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[64];
}
Object reader_lexer_commentSpaceState_597(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[65];
}
Object reader_lexer_commentState_598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[66];
}
Object reader_lexer_outer_1823(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1824(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1824(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1825(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1825(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1826(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1826(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1934(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1935(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1935(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_outer_2224(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2331(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2379(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2421(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_2987(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3181(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3410(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3581(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3860(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_3897(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4076(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4167(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4437(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4588(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4685(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_4740(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static Object strlit12;
static Object strlit27;
static Object strlit35;
static Object strlit50;
static Object strlit55;
static Object strlit69;
static ClassData objclass98;
static ClassData objclass109;
static Object strlit142;
static Object strlit149;
static Object strlit156;
static Object strlit163;
static Object strlit169;
static ClassData objclass194;
static Object strlit203;
static ClassData objclass208;
static Object strlit217;
static ClassData objclass235;
static Object strlit252;
static ClassData objclass269;
static Object strlit278;
static ClassData objclass287;
static Object strlit296;
static Object strlit297;
static ClassData objclass301;
static Object strlit310;
static Object strlit311;
static ClassData objclass315;
static Object strlit324;
static Object strlit325;
static ClassData objclass329;
static Object strlit338;
static Object strlit339;
static ClassData objclass343;
static Object strlit352;
static Object strlit353;
static ClassData objclass357;
static Object strlit366;
static Object strlit367;
static ClassData objclass371;
static Object strlit380;
static Object strlit381;
static ClassData objclass385;
static Object strlit394;
static Object strlit395;
static ClassData objclass399;
static Object strlit408;
static Object strlit409;
static ClassData objclass413;
static Object strlit423;
static ClassData objclass437;
static Object strlit446;
static ClassData objclass451;
static Object strlit460;
static ClassData objclass465;
static Object strlit474;
static Object strlit475;
static ClassData objclass479;
static Object strlit488;
static Object strlit489;
static ClassData objclass493;
static Object strlit502;
static Object strlit503;
static ClassData objclass507;
static Object strlit516;
static Object strlit517;
static ClassData objclass521;
static Object strlit530;
static Object strlit531;
static ClassData objclass535;
static Object strlit544;
static Object strlit545;
static Object strlit564;
static Object strlit619;
static Object strlit662;
static Object strlit685;
static Object strlit693;
static Object strlit713;
static Object strlit760;
static Object strlit776;
static Object strlit788;
static Object strlit833;
static Object strlit846;
static Object strlit859;
static Object strlit875;
static Object strlit887;
static Object strlit892;
static Object strlit908;
static Object strlit914;
static Object strlit916;
static Object strlit941;
static Object strlit955;
static Object strlit961;
static Object strlit964;
static Object strlit966;
static Object strlit977;
static Object strlit991;
static Object strlit999;
static Object strlit1004;
static Object strlit1012;
static Object strlit1020;
static Object strlit1026;
static Object strlit1029;
static Object strlit1032;
static Object strlit1035;
static Object strlit1038;
static Object strlit1046;
static Object strlit1052;
static Object strlit1058;
static Object strlit1078;
static Object strlit1081;
static Object strlit1089;
static Object strlit1095;
static Object strlit1101;
static Object strlit1129;
static Object strlit1137;
static Object strlit1142;
static Object strlit1150;
static Object strlit1158;
static Object strlit1164;
static Object strlit1167;
static Object strlit1170;
static Object strlit1173;
static Object strlit1181;
static Object strlit1187;
static Object strlit1193;
static Object strlit1218;
static Object strlit1221;
static Object strlit1229;
static Object strlit1235;
static Object strlit1241;
static Object strlit1269;
static Object strlit1279;
static Object strlit1289;
static Object strlit1292;
static Object strlit1300;
static Object strlit1306;
static Object strlit1312;
static Object strlit1342;
static Object strlit1345;
static Object strlit1353;
static Object strlit1359;
static Object strlit1365;
static Object strlit1442;
static Object strlit1453;
static Object strlit1469;
static Object strlit1536;
static Object strlit1544;
static Object strlit1548;
static Object strlit1558;
static Object strlit1563;
static Object strlit1568;
static Object strlit1573;
static Object strlit1577;
static Object strlit1620;
static Object strlit1623;
static Object strlit1626;
static Object strlit1634;
static Object strlit1654;
static Object strlit1674;
static Object strlit1688;
static Object strlit1692;
static Object strlit1711;
static Object strlit1712;
static Object strlit1721;
static Object strlit1728;
static Object strlit1730;
static Object strlit1736;
static Object strlit1744;
static Object strlit1746;
static Object strlit1752;
static Object strlit1759;
static Object strlit1761;
static Object strlit1767;
static Object strlit1775;
static Object strlit1783;
static Object strlit1791;
static Object strlit1811;
static ClassData objclass1822;
static ClassData objclass1933;
static Object strlit1995;
static Object strlit2033;
static Object strlit2058;
static Object strlit2062;
static Object strlit2068;
static Object strlit2072;
static Object strlit2078;
static Object strlit2082;
static Object strlit2088;
static Object strlit2092;
static Object strlit2098;
static Object strlit2102;
static Object strlit2108;
static Object strlit2112;
static Object strlit2147;
static Object strlit2178;
static Object strlit2184;
static Object strlit2188;
static Object strlit2217;
static ClassData objclass2223;
static Object strlit2228;
static ClassData objclass2257;
static Object strlit2266;
static Object strlit2270;
static Object strlit2291;
static Object strlit2299;
static Object strlit2312;
static ClassData objclass2330;
static Object strlit2345;
static Object strlit2356;
static ClassData objclass2378;
static Object strlit2387;
static Object strlit2406;
static ClassData objclass2420;
static Object strlit2450;
static Object strlit2476;
static Object strlit2512;
static Object strlit2574;
static Object strlit2637;
static Object strlit2656;
static Object strlit2683;
static Object strlit2703;
static Object strlit2716;
static Object strlit2729;
static Object strlit2748;
static Object strlit2761;
static Object strlit2769;
static Object strlit2795;
static Object strlit2797;
static Object strlit2826;
static Object strlit2839;
static Object strlit2852;
static Object strlit2865;
static Object strlit2878;
static Object strlit2891;
static Object strlit2942;
static Object strlit2945;
static Object strlit2953;
static Object strlit2961;
static Object strlit2967;
static ClassData objclass2986;
static Object strlit3000;
static Object strlit3034;
static Object strlit3062;
static ClassData objclass3110;
static Object strlit3119;
static Object strlit3128;
static Object strlit3145;
static ClassData objclass3180;
static Object strlit3189;
static Object strlit3198;
static Object strlit3215;
static Object strlit3244;
static ClassData objclass3284;
static Object strlit3309;
static Object strlit3318;
static Object strlit3320;
static Object strlit3341;
static Object strlit3349;
static ClassData objclass3409;
static Object strlit3418;
static Object strlit3477;
static Object strlit3486;
static Object strlit3523;
static Object strlit3565;
static ClassData objclass3580;
static ClassData objclass3649;
static Object strlit3666;
static Object strlit3675;
static Object strlit3680;
static Object strlit3692;
static Object strlit3715;
static Object strlit3738;
static Object strlit3743;
static Object strlit3755;
static Object strlit3760;
static Object strlit3772;
static Object strlit3777;
static Object strlit3789;
static Object strlit3794;
static Object strlit3806;
static Object strlit3811;
static Object strlit3823;
static Object strlit3828;
static Object strlit3840;
static Object strlit3845;
static ClassData objclass3859;
static Object strlit3864;
static ClassData objclass3896;
static Object strlit3916;
static Object strlit3944;
static Object strlit3959;
static Object strlit3964;
static Object strlit3979;
static Object strlit4003;
static Object strlit4015;
static Object strlit4019;
static Object strlit4037;
static ClassData objclass4075;
static Object strlit4114;
static ClassData objclass4166;
static Object strlit4177;
static Object strlit4239;
static ClassData objclass4257;
static Object strlit4278;
static Object strlit4283;
static Object strlit4298;
static Object strlit4318;
static ClassData objclass4359;
static Object strlit4369;
static Object strlit4401;
static Object strlit4405;
static Object strlit4422;
static ClassData objclass4436;
static Object strlit4463;
static Object strlit4467;
static Object strlit4485;
static Object strlit4493;
static ClassData objclass4587;
static Object strlit4609;
static Object strlit4626;
static Object strlit4643;
static ClassData objclass4684;
static ClassData objclass4712;
static Object strlit4721;
static ClassData objclass4739;
static Object strlit4744;
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_errormessages;
Object module_errormessages_init();
Object module_stringMap;
Object module_stringMap_init();
static Object strlit4781;
static Object strlit4785;
static Object strlit4789;
static Object strlit4793;
static Object strlit4797;
static Object strlit4801;
static Object strlit4805;
static Object strlit4809;
static Object strlit4813;
static Object strlit4817;
static Object strlit4821;
static Object strlit4825;
static Object strlit4829;
static Object strlit4833;
static Object strlit4837;
static Object strlit4841;
static Object strlit4845;
static Object strlit4849;
static Object strlit4852;
static Object strlit4854;
static Object strlit4856;
static Object strlit4858;
static Object strlit4860;
static Object strlit4862;
static Object strlit4864;
static Object strlit4866;
static Object strlit4868;
Object meth_lexer_isOperatorChar_40_2_41_1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isOperatorChar(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method isOperatorChar(_,_)");
  Object params[2];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isOperatorChar(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part isOperatorChar(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_operatorChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4 = callmethodflags(*var_operatorChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3);
// compiled call node returning call4 (depth = 3)
  Object if2 = done;
  if (istrue(call4)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5 = alloc_Boolean(1);
// compiled identifier node returning bool5 (depth = 4)
  return bool5;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2 = undefined;
  } else {
  }
// compiled if node returning if2 (depth = 2)
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ordval (depth = 4)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call8 = callmethodflags(*var_unicode, "isSymbolMathematical(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7);
// compiled call node returning call8 (depth = 3)
  Object if6 = done;
  if (istrue(call8)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool9 = alloc_Boolean(1);
// compiled identifier node returning bool9 (depth = 4)
  return bool9;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if6 = undefined;
  } else {
  }
// compiled if node returning if6 (depth = 2)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe11 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile string node (depth = 4)
  if (strlit12 == NULL) {
    strlit12 = alloc_String("So");
    gc_root(strlit12);
  }
// compiled string node returning strlit12 (depth = 4)
  gc_frame_newslot(strlit12);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_c;
  params[1] = strlit12;
  partcv[0] = 2;
  Object call13 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe11);
// compiled call node returning call13 (depth = 3)
  Object if10 = done;
  if (istrue(call13)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool14 = alloc_Boolean(1);
// compiled identifier node returning bool14 (depth = 4)
  return bool14;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10 = undefined;
  } else {
  }
// compiled if node returning if10 (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool15 = alloc_Boolean(0);
// compiled identifier node returning bool15 (depth = 3)
  return bool15;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isBadSeparator_40_1_41_16(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadSeparator(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadSeparator(_)");
  Object params[2];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  Object *var_tab = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadSeparator(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadSeparator(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe18 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call19 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 3)
  Object if17 = done;
  if (istrue(call19)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool20 = alloc_Boolean(0);
// compiled identifier node returning bool20 (depth = 4)
  return bool20;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if17 = undefined;
  } else {
  }
// compiled if node returning if17 (depth = 2)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  int op_slot_right_22 = gc_frame_newslot(*var_ch);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tab (depth = 4)
  int op_slot_left_22 = gc_frame_newslot(*var_tab);
  params[0] = *var_ch;
  partcv[0] = 1;
  Object opresult24 = callmethod(*var_tab, "==(1)", 1, partcv, params);
// compiled op node returning opresult24 (depth = 3)
  Object if21 = done;
  if (istrue(opresult24)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool25 = alloc_Boolean(1);
// compiled identifier node returning bool25 (depth = 4)
  return bool25;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if21 = undefined;
  } else {
  }
// compiled if node returning if21 (depth = 2)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe26 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit27 == NULL) {
    strlit27 = alloc_String("Z");
    gc_root(strlit27);
  }
// compiled string node returning strlit27 (depth = 4)
  gc_frame_newslot(strlit27);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit27;
  partcv[0] = 2;
  Object call28 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled call node returning call28 (depth = 3)
  return call28;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isBadControl_40_1_41_29(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadControl(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadControl(_)");
  Object params[2];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadControl(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadControl(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe31 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nl_cr (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call32 = callmethodflags(*var_nl_cr, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe31);
// compiled call node returning call32 (depth = 3)
  Object if30 = done;
  if (istrue(call32)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool33 = alloc_Boolean(0);
// compiled identifier node returning bool33 (depth = 4)
  return bool33;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if30 = undefined;
  } else {
  }
// compiled if node returning if30 (depth = 2)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe34 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit35 == NULL) {
    strlit35 = alloc_String("C");
    gc_root(strlit35);
  }
// compiled string node returning strlit35 (depth = 4)
  gc_frame_newslot(strlit35);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit35;
  partcv[0] = 2;
  Object call36 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe34);
// compiled call node returning call36 (depth = 3)
  return call36;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isSelfMode_40_1_41_37(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isSelfMode(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSelfMode(_)");
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSelfMode(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSelfMode(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe38 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call39 = callmethodflags(*var_selfModes, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe38);
// compiled call node returning call39 (depth = 2)
  gc_frame_end(frame);
  return call39;
}
Object meth_lexer_isBracket_40_1_41_40(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBracket(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBracket(_)");
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBracket(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBracket(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe41 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call42 = callmethodflags(*var_brackets, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe41);
// compiled call node returning call42 (depth = 2)
  gc_frame_end(frame);
  return call42;
}
Object meth_lexer_isIdentifierChar_40_1_41_43(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isIdentifierChar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isIdentifierChar(_)");
  Object params[2];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isIdentifierChar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isIdentifierChar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe45 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_alphaNums (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call46 = callmethodflags(*var_alphaNums, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe45);
// compiled call node returning call46 (depth = 3)
  Object if44 = done;
  if (istrue(call46)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool47 = alloc_Boolean(1);
// compiled identifier node returning bool47 (depth = 4)
  return bool47;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if44 = undefined;
  } else {
  }
// compiled if node returning if44 (depth = 2)
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe49 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit50 == NULL) {
    strlit50 = alloc_String("L");
    gc_root(strlit50);
  }
// compiled string node returning strlit50 (depth = 4)
  gc_frame_newslot(strlit50);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit50;
  partcv[0] = 2;
  Object call51 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe49);
// compiled call node returning call51 (depth = 3)
  Object if48 = done;
  if (istrue(call51)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool52 = alloc_Boolean(1);
// compiled identifier node returning bool52 (depth = 4)
  return bool52;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if48 = undefined;
  } else {
  }
// compiled if node returning if48 (depth = 2)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe54 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit55 == NULL) {
    strlit55 = alloc_String("N");
    gc_root(strlit55);
  }
// compiled string node returning strlit55 (depth = 4)
  gc_frame_newslot(strlit55);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit55;
  partcv[0] = 2;
  Object call56 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe54);
// compiled call node returning call56 (depth = 3)
  Object if53 = done;
  if (istrue(call56)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool57 = alloc_Boolean(1);
// compiled identifier node returning bool57 (depth = 4)
  return bool57;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if53 = undefined;
  } else {
  }
// compiled if node returning if53 (depth = 2)
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool58 = alloc_Boolean(0);
// compiled identifier node returning bool58 (depth = 3)
  return bool58;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isDigit_40_1_41_59(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isDigit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isDigit(_)");
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isDigit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isDigit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe60 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call61 = callmethodflags(*var_digits, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe60);
// compiled call node returning call61 (depth = 2)
  gc_frame_end(frame);
  return call61;
}
Object meth_lexer_isLetter_40_1_41_62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isLetter(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isLetter(_)");
  Object params[2];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isLetter(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isLetter(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe64 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_asciiLetters (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call65 = callmethodflags(*var_asciiLetters, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe64);
// compiled call node returning call65 (depth = 3)
  Object if63 = done;
  if (istrue(call65)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool66 = alloc_Boolean(1);
// compiled identifier node returning bool66 (depth = 4)
  return bool66;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if63 = undefined;
  } else {
  }
// compiled if node returning if63 (depth = 2)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe68 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit69 == NULL) {
    strlit69 = alloc_String("L");
    gc_root(strlit69);
  }
// compiled string node returning strlit69 (depth = 4)
  gc_frame_newslot(strlit69);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit69;
  partcv[0] = 2;
  Object call70 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe68);
// compiled call node returning call70 (depth = 3)
  Object if67 = done;
  if (istrue(call70)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool71 = alloc_Boolean(1);
// compiled identifier node returning bool71 (depth = 4)
  return bool71;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if67 = undefined;
  } else {
  }
// compiled if node returning if67 (depth = 2)
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool72 = alloc_Boolean(0);
// compiled identifier node returning bool72 (depth = 3)
  return bool72;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply82(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  int op_slot_right_83 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 5)
  int callframe85 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  Object call86 = callmethodflags(*var_s_39_, "size", 0, partcv, params, 0);
  gc_frame_end(callframe85);
// compiled member node returning call86 (depth = 5)
  int op_slot_left_83 = gc_frame_newslot(call86);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult87 = callmethod(call86, "<(1)", 1, partcv, params);
// compiled op node returning opresult87 (depth = 4)
  gc_frame_end(frame);
  return opresult87;
}
Object meth_lexer__apply90(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  int op_slot_right_91 = gc_frame_newslot(*var_s_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_w (depth = 6)
  int op_slot_left_91 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult93 = callmethod(*var_w, "++(1)", 1, partcv, params);
// compiled op node returning opresult93 (depth = 5)
  *var_s_39_ = opresult93;
  if (opresult93 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl_40_3_41_73(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method padl(_,_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for padl(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part padl(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  int op_slot_right_75 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 4)
  int callframe77 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  Object call78 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe77);
// compiled member node returning call78 (depth = 4)
  int op_slot_left_75 = gc_frame_newslot(call78);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult79 = callmethod(call78, "≥(1)", 1, partcv, params);
// compiled op node returning opresult79 (depth = 3)
  Object if74 = done;
  if (istrue(opresult79)) {
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  return *var_s;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if74 = undefined;
  } else {
  }
// compiled if node returning if74 (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe80 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block81 = alloc_Block(NULL, NULL, "lexer", 77);
  gc_frame_newslot(block81);
// method "_apply"
  block_savedest(block81);
  Object closure82 = createclosure(3, "_apply");
  setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_l);
  addtoclosure(closure82, var_s_39_);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_lexer__apply82 = addmethod2pos(block81, "_apply", &meth_lexer__apply82, 0);
  int argcv_meth_lexer__apply82[] = {0};
  meth_meth_lexer__apply82->type = alloc_MethodType(1, argcv_meth_lexer__apply82);
  meth_meth_lexer__apply82->definitionModule = modulename;
  meth_meth_lexer__apply82->definitionLine = 1184;
// compiled block node returning block81 (depth = 3)
  gc_frame_newslot(block81);
// starting to compile block node (depth = 3)
  Object block89 = alloc_Block(NULL, NULL, "lexer", 77);
  gc_frame_newslot(block89);
// method "_apply"
  block_savedest(block89);
  Object closure90 = createclosure(3, "_apply");
  setclosureframe(closure90, stackframe);
  addtoclosure(closure90, var_s_39_);
  addtoclosure(closure90, var_w);
  addtoclosure(closure90, selfslot);
  struct UserObject *uo90 = (struct UserObject*)block89;
  uo90->data[0] = (Object)closure90;
  Method *meth_meth_lexer__apply90 = addmethod2pos(block89, "_apply", &meth_lexer__apply90, 0);
  int argcv_meth_lexer__apply90[] = {0};
  meth_meth_lexer__apply90->type = alloc_MethodType(1, argcv_meth_lexer__apply90);
  meth_meth_lexer__apply90->definitionModule = modulename;
  meth_meth_lexer__apply90->definitionLine = 1184;
// compiled block node returning block89 (depth = 3)
  gc_frame_newslot(block89);
// call case 5: prelude request
  params[0] = block81;
  params[1] = block89;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call96 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe80);
// compiled call node returning call96 (depth = 2)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s_39_ (depth = 3)
  return *var_s_39_;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__61__61__40_1_41_116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool119 = alloc_Boolean(0);
// compiled identifier node returning bool119 (depth = 4)
  int op_slot_right_118 = gc_frame_newslot(bool119);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_left_118 = gc_frame_newslot(*var_other);
  params[0] = bool119;
  partcv[0] = 1;
  Object opresult121 = callmethod(*var_other, "==(1)", 1, partcv, params);
// compiled op node returning opresult121 (depth = 3)
  Object if117 = done;
  if (istrue(opresult121)) {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool122 = alloc_Boolean(0);
// compiled identifier node returning bool122 (depth = 3)
    gc_frame_newslot(bool122);
    if117 = bool122;
  } else {
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe125 = gc_frame_new();
// call case 4: self request
  Object call126 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe125);
// compiled member node returning call126 (depth = 5)
  int op_slot_right_124 = gc_frame_newslot(call126);
// starting to compile member node (depth = 5)
  int callframe128 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call129 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe128);
// compiled member node returning call129 (depth = 5)
  int op_slot_left_124 = gc_frame_newslot(call129);
  params[0] = call126;
  partcv[0] = 1;
  Object opresult130 = callmethod(call129, "==(1)", 1, partcv, params);
// compiled op node returning opresult130 (depth = 4)
  int op_slot_right_123 = gc_frame_newslot(opresult130);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe133 = gc_frame_new();
// call case 4: self request
  Object call134 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe133);
// compiled member node returning call134 (depth = 5)
  int op_slot_right_132 = gc_frame_newslot(call134);
// starting to compile member node (depth = 5)
  int callframe136 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call137 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe136);
// compiled member node returning call137 (depth = 5)
  int op_slot_left_132 = gc_frame_newslot(call137);
  params[0] = call134;
  partcv[0] = 1;
  Object opresult138 = callmethod(call137, "==(1)", 1, partcv, params);
// compiled op node returning opresult138 (depth = 4)
  int op_slot_left_123 = gc_frame_newslot(opresult138);
  params[0] = opresult130;
  partcv[0] = 1;
  Object opresult139 = callmethod(opresult138, "&&(1)", 1, partcv, params);
// compiled op node returning opresult139 (depth = 3)
    gc_frame_newslot(opresult139);
    if117 = opresult139;
  }
// compiled if node returning if117 (depth = 2)
  gc_frame_end(frame);
  return if117;
}
Object meth_lexer_asString140(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit142 == NULL) {
    strlit142 = alloc_String("");
    gc_root(strlit142);
  }
// compiled string node returning strlit142 (depth = 3)
  int op_slot_right_141 = gc_frame_newslot(strlit142);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe145 = gc_frame_new();
// call case 4: self request
  Object call146 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe145);
// compiled member node returning call146 (depth = 4)
  int op_slot_right_144 = gc_frame_newslot(call146);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit149 == NULL) {
    strlit149 = alloc_String(" ");
    gc_root(strlit149);
  }
// compiled string node returning strlit149 (depth = 5)
  int op_slot_right_148 = gc_frame_newslot(strlit149);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe152 = gc_frame_new();
// call case 4: self request
  Object call153 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe152);
// compiled member node returning call153 (depth = 6)
  int op_slot_right_151 = gc_frame_newslot(call153);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit156 == NULL) {
    strlit156 = alloc_String(")");
    gc_root(strlit156);
  }
// compiled string node returning strlit156 (depth = 7)
  int op_slot_right_155 = gc_frame_newslot(strlit156);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe159 = gc_frame_new();
// call case 4: self request
  Object call160 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe159);
// compiled member node returning call160 (depth = 8)
  int op_slot_right_158 = gc_frame_newslot(call160);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit163 == NULL) {
    strlit163 = alloc_String(":");
    gc_root(strlit163);
  }
// compiled string node returning strlit163 (depth = 9)
  int op_slot_right_162 = gc_frame_newslot(strlit163);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe166 = gc_frame_new();
// call case 4: self request
  Object call167 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe166);
// compiled member node returning call167 (depth = 10)
  int op_slot_right_165 = gc_frame_newslot(call167);
// starting to compile string node (depth = 10)
  if (strlit169 == NULL) {
    strlit169 = alloc_String("(");
    gc_root(strlit169);
  }
// compiled string node returning strlit169 (depth = 10)
  int op_slot_left_165 = gc_frame_newslot(strlit169);
  params[0] = call167;
  partcv[0] = 1;
  Object opresult170 = callmethod(strlit169, "++(1)", 1, partcv, params);
// compiled op node returning opresult170 (depth = 9)
  int op_slot_left_162 = gc_frame_newslot(opresult170);
  params[0] = strlit163;
  partcv[0] = 1;
  Object opresult171 = callmethod(opresult170, "++(1)", 1, partcv, params);
// compiled op node returning opresult171 (depth = 8)
  int op_slot_left_158 = gc_frame_newslot(opresult171);
  params[0] = call160;
  partcv[0] = 1;
  Object opresult172 = callmethod(opresult171, "++(1)", 1, partcv, params);
// compiled op node returning opresult172 (depth = 7)
  int op_slot_left_155 = gc_frame_newslot(opresult172);
  params[0] = strlit156;
  partcv[0] = 1;
  Object opresult173 = callmethod(opresult172, "++(1)", 1, partcv, params);
// compiled op node returning opresult173 (depth = 6)
  int op_slot_left_151 = gc_frame_newslot(opresult173);
  params[0] = call153;
  partcv[0] = 1;
  Object opresult174 = callmethod(opresult173, "++(1)", 1, partcv, params);
// compiled op node returning opresult174 (depth = 5)
  int op_slot_left_148 = gc_frame_newslot(opresult174);
  params[0] = strlit149;
  partcv[0] = 1;
  Object opresult175 = callmethod(opresult174, "++(1)", 1, partcv, params);
// compiled op node returning opresult175 (depth = 4)
  int op_slot_left_144 = gc_frame_newslot(opresult175);
  params[0] = call146;
  partcv[0] = 1;
  Object opresult176 = callmethod(opresult175, "++(1)", 1, partcv, params);
// compiled op node returning opresult176 (depth = 3)
  int op_slot_left_141 = gc_frame_newslot(opresult176);
  params[0] = strlit142;
  partcv[0] = 1;
  Object opresult177 = callmethod(opresult176, "++(1)", 1, partcv, params);
// compiled op node returning opresult177 (depth = 2)
  gc_frame_end(frame);
  return opresult177;
}
Object meth_lexer_token108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject109 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj109 = alloc_userobj2(9,8, objclass109);
  gc_frame_newslot(obj109);
if (objclass109 == NULL) {
  glfree(obj109->class->name);
  obj109->class->name = "new.token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj109, self, 0);
  addmethodreal(obj109,"outer", &reader_lexer_outer_110);
  Object oldself109 = self;
  struct StackFrameObject *oldstackframe109 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe109);
  gc_frame_newslot((Object)stackframe);
  self = obj109;
  Object *oldselfslot109 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter109 = (*(struct UserObject *)self).data[0], lowerouter109 = thisouter109;
  if (inheritingObject109) {
    struct UserObject *inho109 = (struct UserObject *)inheritingObject109;
    while (inho109->super != GraceDefaultObject) inho109 = (struct UserObject *)inho109->super;
    inho109->super = obj109;
    self = inheritingObject109;
    *selfslot = self;
    lowerouter109 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter109;
  }
if (objclass109 == NULL) {
  Method *reader111 = addmethodrealflags(obj109, "line",&reader_lexer_line_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
}
adddatum2(obj109, alloc_Undefined(), 1);
if (objclass109 == NULL) {
  Method *reader112 = addmethodrealflags(obj109, "indent",&reader_lexer_indent_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 94;
}
adddatum2(obj109, alloc_Undefined(), 2);
if (objclass109 == NULL) {
  Method *reader113 = addmethodrealflags(obj109, "linePos",&reader_lexer_linePos_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 95;
}
adddatum2(obj109, alloc_Undefined(), 3);
if (objclass109 == NULL) {
  Method *reader114 = addmethodrealflags(obj109, "next", &reader_lexer_next_114, 0);
  Method *writer114 = addmethodrealflags(obj109, "next:=(1)", &writer_lexer_next_114, 0);
  reader114->definitionModule = modulename;
  writer114->definitionModule = modulename;
  reader114->definitionLine = 97;
  writer114->definitionLine = 97;
}
obj109->flags |= OFLAG_MUTABLE;
adddatum2(obj109, alloc_Undefined(), 4);
if (objclass109 == NULL) {
  Method *reader115 = addmethodrealflags(obj109, "prev", &reader_lexer_prev_115, 0);
  Method *writer115 = addmethodrealflags(obj109, "prev:=(1)", &writer_lexer_prev_115, 0);
  reader115->definitionModule = modulename;
  writer115->definitionModule = modulename;
  reader115->definitionLine = 98;
  writer115->definitionLine = 98;
}
obj109->flags |= OFLAG_MUTABLE;
adddatum2(obj109, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo116 = (struct UserObject*)obj109;
  uo116->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61__40_1_41_116 = addmethod2pos(obj109, "==(1)", &meth_lexer__61__61__40_1_41_116, 6);
  int argcv_meth_lexer__61__61__40_1_41_116[] = {1};
  meth_meth_lexer__61__61__40_1_41_116->type = alloc_MethodType(1, argcv_meth_lexer__61__61__40_1_41_116);
  meth_meth_lexer__61__61__40_1_41_116->definitionModule = modulename;
  meth_meth_lexer__61__61__40_1_41_116->definitionLine = 100;
// method "asString"
  struct UserObject *uo140 = (struct UserObject*)obj109;
  uo140->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString140 = addmethod2pos(obj109, "asString", &meth_lexer_asString140, 7);
  int argcv_meth_lexer_asString140[] = {0};
  meth_meth_lexer_asString140->type = alloc_MethodType(1, argcv_meth_lexer_asString140);
  meth_meth_lexer_asString140->definitionModule = modulename;
  meth_meth_lexer_asString140->definitionLine = 107;
  sourceObject = obj109;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe178 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe179 = gc_frame_new();
// call case 3: self.outer request
  Object call180 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe179);
// compiled member node returning call180 (depth = 3)
  Object call181 = callmethodflags(call180, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe178);
// compiled member node returning call181 (depth = 2)
  adddatum2(obj109, call181, 1);
  sourceObject = obj109;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe182 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe183 = gc_frame_new();
// call case 3: self.outer request
  Object call184 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe183);
// compiled member node returning call184 (depth = 3)
  Object call185 = callmethodflags(call184, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe182);
// compiled member node returning call185 (depth = 2)
  adddatum2(obj109, call185, 2);
  sourceObject = obj109;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe186 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe187 = gc_frame_new();
// call case 3: self.outer request
  Object call188 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe187);
// compiled member node returning call188 (depth = 3)
  Object call189 = callmethodflags(call188, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe186);
// compiled member node returning call189 (depth = 2)
  adddatum2(obj109, call189, 3);
  sourceObject = obj109;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool190 = alloc_Boolean(0);
// compiled identifier node returning bool190 (depth = 2)
  adddatum2(obj109, bool190, 4);
  sourceObject = obj109;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool191 = alloc_Boolean(0);
// compiled identifier node returning bool191 (depth = 2)
  adddatum2(obj109, bool191, 5);
  sourceObject = obj109;
  sourceObject = obj109;
  objclass109 = obj109->class;
  objclass109->definitionModule = modulename;
  objclass109->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter109;
  self = oldself109;
  selfslot = oldselfslot109;
  stackframe = oldstackframe109;
  gc_frame_end(frame);
  return obj109;
}
Object meth_lexer_token108_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject109 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj109 = alloc_userobj2(9,8, objclass109);
  gc_frame_newslot(obj109);
if (objclass109 == NULL) {
  glfree(obj109->class->name);
  obj109->class->name = "new.token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj109, self, 0);
  addmethodreal(obj109,"outer", &reader_lexer_outer_110);
  Object oldself109 = self;
  struct StackFrameObject *oldstackframe109 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe109);
  gc_frame_newslot((Object)stackframe);
  self = obj109;
  Object *oldselfslot109 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter109 = (*(struct UserObject *)self).data[0], lowerouter109 = thisouter109;
  if (inheritingObject109) {
    struct UserObject *inho109 = (struct UserObject *)inheritingObject109;
    while (inho109->super != GraceDefaultObject) inho109 = (struct UserObject *)inho109->super;
    inho109->super = obj109;
    self = inheritingObject109;
    *selfslot = self;
    lowerouter109 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter109;
  }
if (objclass109 == NULL) {
  Method *reader111 = addmethodrealflags(obj109, "line",&reader_lexer_line_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
}
adddatum2(obj109, alloc_Undefined(), 1);
if (objclass109 == NULL) {
  Method *reader112 = addmethodrealflags(obj109, "indent",&reader_lexer_indent_112, MFLAG_DEF);
  reader112->definitionModule = modulename;
  reader112->definitionLine = 94;
}
adddatum2(obj109, alloc_Undefined(), 2);
if (objclass109 == NULL) {
  Method *reader113 = addmethodrealflags(obj109, "linePos",&reader_lexer_linePos_113, MFLAG_DEF);
  reader113->definitionModule = modulename;
  reader113->definitionLine = 95;
}
adddatum2(obj109, alloc_Undefined(), 3);
if (objclass109 == NULL) {
  Method *reader114 = addmethodrealflags(obj109, "next", &reader_lexer_next_114, 0);
  Method *writer114 = addmethodrealflags(obj109, "next:=(1)", &writer_lexer_next_114, 0);
  reader114->definitionModule = modulename;
  writer114->definitionModule = modulename;
  reader114->definitionLine = 97;
  writer114->definitionLine = 97;
}
obj109->flags |= OFLAG_MUTABLE;
adddatum2(obj109, alloc_Undefined(), 4);
if (objclass109 == NULL) {
  Method *reader115 = addmethodrealflags(obj109, "prev", &reader_lexer_prev_115, 0);
  Method *writer115 = addmethodrealflags(obj109, "prev:=(1)", &writer_lexer_prev_115, 0);
  reader115->definitionModule = modulename;
  writer115->definitionModule = modulename;
  reader115->definitionLine = 98;
  writer115->definitionLine = 98;
}
obj109->flags |= OFLAG_MUTABLE;
adddatum2(obj109, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo116 = (struct UserObject*)obj109;
  uo116->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61__40_1_41_116 = addmethod2pos(obj109, "==(1)", &meth_lexer__61__61__40_1_41_116, 6);
  int argcv_meth_lexer__61__61__40_1_41_116[] = {1};
  meth_meth_lexer__61__61__40_1_41_116->type = alloc_MethodType(1, argcv_meth_lexer__61__61__40_1_41_116);
  meth_meth_lexer__61__61__40_1_41_116->definitionModule = modulename;
  meth_meth_lexer__61__61__40_1_41_116->definitionLine = 100;
// method "asString"
  struct UserObject *uo140 = (struct UserObject*)obj109;
  uo140->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString140 = addmethod2pos(obj109, "asString", &meth_lexer_asString140, 7);
  int argcv_meth_lexer_asString140[] = {0};
  meth_meth_lexer_asString140->type = alloc_MethodType(1, argcv_meth_lexer_asString140);
  meth_meth_lexer_asString140->definitionModule = modulename;
  meth_meth_lexer_asString140->definitionLine = 107;
  sourceObject = obj109;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe178 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe179 = gc_frame_new();
// call case 3: self.outer request
  Object call180 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe179);
// compiled member node returning call180 (depth = 3)
  Object call181 = callmethodflags(call180, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe178);
// compiled member node returning call181 (depth = 2)
  adddatum2(obj109, call181, 1);
  sourceObject = obj109;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe182 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe183 = gc_frame_new();
// call case 3: self.outer request
  Object call184 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe183);
// compiled member node returning call184 (depth = 3)
  Object call185 = callmethodflags(call184, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe182);
// compiled member node returning call185 (depth = 2)
  adddatum2(obj109, call185, 2);
  sourceObject = obj109;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe186 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe187 = gc_frame_new();
// call case 3: self.outer request
  Object call188 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe187);
// compiled member node returning call188 (depth = 3)
  Object call189 = callmethodflags(call188, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe186);
// compiled member node returning call189 (depth = 2)
  adddatum2(obj109, call189, 3);
  sourceObject = obj109;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool190 = alloc_Boolean(0);
// compiled identifier node returning bool190 (depth = 2)
  adddatum2(obj109, bool190, 4);
  sourceObject = obj109;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool191 = alloc_Boolean(0);
// compiled identifier node returning bool191 (depth = 2)
  adddatum2(obj109, bool191, 5);
  sourceObject = obj109;
  sourceObject = obj109;
  objclass109 = obj109->class;
  objclass109->definitionModule = modulename;
  objclass109->definitionLine = 92;
  (*(struct UserObject *)self).data[0] = lowerouter109;
  self = oldself109;
  selfslot = oldselfslot109;
  stackframe = oldstackframe109;
  gc_frame_end(frame);
  return obj109;
}
Object meth_lexer_identifierToken_40_1_41_193(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject194 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj194 = alloc_userobj2(3,4, objclass194);
  gc_frame_newslot(obj194);
if (objclass194 == NULL) {
  glfree(obj194->class->name);
  obj194->class->name = "new.identifierToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj194, self, 0);
  addmethodreal(obj194,"outer", &reader_lexer_outer_195);
  Object oldself194 = self;
  struct StackFrameObject *oldstackframe194 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe194);
  gc_frame_newslot((Object)stackframe);
  self = obj194;
  Object *oldselfslot194 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter194 = (*(struct UserObject *)self).data[0], lowerouter194 = thisouter194;
  if (inheritingObject194) {
    struct UserObject *inho194 = (struct UserObject *)inheritingObject194;
    while (inho194->super != GraceDefaultObject) inho194 = (struct UserObject *)inho194->super;
    inho194->super = obj194;
    self = inheritingObject194;
    *selfslot = self;
    lowerouter194 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter194;
  }
if (objclass194 == NULL) {
  Method *reader196 = addmethodrealflags(obj194, "kind",&reader_lexer_kind_196, MFLAG_DEF);
  reader196->definitionModule = modulename;
  reader196->definitionLine = 113;
}
adddatum2(obj194, alloc_Undefined(), 1);
if (objclass194 == NULL) {
  Method *reader197 = addmethodrealflags(obj194, "value",&reader_lexer_value_197, MFLAG_DEF);
  reader197->definitionModule = modulename;
  reader197->definitionLine = 114;
}
adddatum2(obj194, alloc_Undefined(), 2);
if (objclass194 == NULL) {
  Method *reader198 = addmethodrealflags(obj194, "size",&reader_lexer_size_198, MFLAG_DEF);
  reader198->definitionModule = modulename;
  reader198->definitionLine = 115;
}
adddatum2(obj194, alloc_Undefined(), 3);
  sourceObject = obj194;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe199 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe200 = gc_frame_new();
// call case 3: self.outer request
  Object call201 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe200);
// compiled member node returning call201 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call202 = callmethodflags(call201, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe199);
// compiled call node returning call202 (depth = 2)
  struct UserObject *obj194_uo = (struct UserObject *)obj194;
  obj194_uo->super = call202;
  sourceObject = obj194;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit203 == NULL) {
    strlit203 = alloc_String("identifier");
    gc_root(strlit203);
  }
// compiled string node returning strlit203 (depth = 2)
  adddatum2(obj194, strlit203, 1);
  sourceObject = obj194;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj194, *var_s, 2);
  sourceObject = obj194;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe204 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call205 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe204);
// compiled member node returning call205 (depth = 2)
  adddatum2(obj194, call205, 3);
  objclass194 = obj194->class;
  objclass194->definitionModule = modulename;
  objclass194->definitionLine = 111;
  (*(struct UserObject *)self).data[0] = lowerouter194;
  self = oldself194;
  selfslot = oldselfslot194;
  stackframe = oldstackframe194;
  gc_frame_end(frame);
  return obj194;
}
Object meth_lexer_identifierToken_40_1_41_193_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject194 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj194 = alloc_userobj2(3,4, objclass194);
  gc_frame_newslot(obj194);
if (objclass194 == NULL) {
  glfree(obj194->class->name);
  obj194->class->name = "new.identifierToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj194, self, 0);
  addmethodreal(obj194,"outer", &reader_lexer_outer_195);
  Object oldself194 = self;
  struct StackFrameObject *oldstackframe194 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe194);
  gc_frame_newslot((Object)stackframe);
  self = obj194;
  Object *oldselfslot194 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter194 = (*(struct UserObject *)self).data[0], lowerouter194 = thisouter194;
  if (inheritingObject194) {
    struct UserObject *inho194 = (struct UserObject *)inheritingObject194;
    while (inho194->super != GraceDefaultObject) inho194 = (struct UserObject *)inho194->super;
    inho194->super = obj194;
    self = inheritingObject194;
    *selfslot = self;
    lowerouter194 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter194;
  }
if (objclass194 == NULL) {
  Method *reader196 = addmethodrealflags(obj194, "kind",&reader_lexer_kind_196, MFLAG_DEF);
  reader196->definitionModule = modulename;
  reader196->definitionLine = 113;
}
adddatum2(obj194, alloc_Undefined(), 1);
if (objclass194 == NULL) {
  Method *reader197 = addmethodrealflags(obj194, "value",&reader_lexer_value_197, MFLAG_DEF);
  reader197->definitionModule = modulename;
  reader197->definitionLine = 114;
}
adddatum2(obj194, alloc_Undefined(), 2);
if (objclass194 == NULL) {
  Method *reader198 = addmethodrealflags(obj194, "size",&reader_lexer_size_198, MFLAG_DEF);
  reader198->definitionModule = modulename;
  reader198->definitionLine = 115;
}
adddatum2(obj194, alloc_Undefined(), 3);
  sourceObject = obj194;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe199 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe200 = gc_frame_new();
// call case 3: self.outer request
  Object call201 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe200);
// compiled member node returning call201 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call202 = callmethodflags(call201, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe199);
// compiled call node returning call202 (depth = 2)
  struct UserObject *obj194_uo = (struct UserObject *)obj194;
  obj194_uo->super = call202;
  sourceObject = obj194;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit203 == NULL) {
    strlit203 = alloc_String("identifier");
    gc_root(strlit203);
  }
// compiled string node returning strlit203 (depth = 2)
  adddatum2(obj194, strlit203, 1);
  sourceObject = obj194;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj194, *var_s, 2);
  sourceObject = obj194;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe204 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call205 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe204);
// compiled member node returning call205 (depth = 2)
  adddatum2(obj194, call205, 3);
  objclass194 = obj194->class;
  objclass194->definitionModule = modulename;
  objclass194->definitionLine = 111;
  (*(struct UserObject *)self).data[0] = lowerouter194;
  self = oldself194;
  selfslot = oldselfslot194;
  stackframe = oldstackframe194;
  gc_frame_end(frame);
  return obj194;
}
Object meth_lexer_stringToken_40_1_41_207(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject208 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj208 = alloc_userobj2(3,4, objclass208);
  gc_frame_newslot(obj208);
if (objclass208 == NULL) {
  glfree(obj208->class->name);
  obj208->class->name = "new.stringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj208, self, 0);
  addmethodreal(obj208,"outer", &reader_lexer_outer_209);
  Object oldself208 = self;
  struct StackFrameObject *oldstackframe208 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe208);
  gc_frame_newslot((Object)stackframe);
  self = obj208;
  Object *oldselfslot208 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter208 = (*(struct UserObject *)self).data[0], lowerouter208 = thisouter208;
  if (inheritingObject208) {
    struct UserObject *inho208 = (struct UserObject *)inheritingObject208;
    while (inho208->super != GraceDefaultObject) inho208 = (struct UserObject *)inho208->super;
    inho208->super = obj208;
    self = inheritingObject208;
    *selfslot = self;
    lowerouter208 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter208;
  }
if (objclass208 == NULL) {
  Method *reader210 = addmethodrealflags(obj208, "kind",&reader_lexer_kind_210, MFLAG_DEF);
  reader210->definitionModule = modulename;
  reader210->definitionLine = 119;
}
adddatum2(obj208, alloc_Undefined(), 1);
if (objclass208 == NULL) {
  Method *reader211 = addmethodrealflags(obj208, "value",&reader_lexer_value_211, MFLAG_DEF);
  reader211->definitionModule = modulename;
  reader211->definitionLine = 120;
}
adddatum2(obj208, alloc_Undefined(), 2);
if (objclass208 == NULL) {
  Method *reader212 = addmethodrealflags(obj208, "size",&reader_lexer_size_212, MFLAG_DEF);
  reader212->definitionModule = modulename;
  reader212->definitionLine = 121;
}
adddatum2(obj208, alloc_Undefined(), 3);
  sourceObject = obj208;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe213 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe214 = gc_frame_new();
// call case 3: self.outer request
  Object call215 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe214);
// compiled member node returning call215 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call216 = callmethodflags(call215, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe213);
// compiled call node returning call216 (depth = 2)
  struct UserObject *obj208_uo = (struct UserObject *)obj208;
  obj208_uo->super = call216;
  sourceObject = obj208;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit217 == NULL) {
    strlit217 = alloc_String("string");
    gc_root(strlit217);
  }
// compiled string node returning strlit217 (depth = 2)
  adddatum2(obj208, strlit217, 1);
  sourceObject = obj208;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj208, *var_s, 2);
  sourceObject = obj208;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num219 = alloc_Float64(1);
// compiled num node returning num219 (depth = 3)
  int op_slot_right_218 = gc_frame_newslot(num219);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe222 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe223 = gc_frame_new();
// call case 3: self.outer request
  Object call224 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe223);
// compiled member node returning call224 (depth = 5)
  Object call225 = callmethodflags(call224, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe222);
// compiled member node returning call225 (depth = 4)
  int op_slot_right_221 = gc_frame_newslot(call225);
// starting to compile member node (depth = 4)
  int callframe227 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe228 = gc_frame_new();
// call case 3: self.outer request
  Object call229 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe228);
// compiled member node returning call229 (depth = 5)
  Object call230 = callmethodflags(call229, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe227);
// compiled member node returning call230 (depth = 4)
  int op_slot_left_221 = gc_frame_newslot(call230);
  params[0] = call225;
  partcv[0] = 1;
  Object diff231 = callmethod(call230, "-(1)", 1, partcv, params);
// compiled op node returning diff231 (depth = 3)
  int op_slot_left_218 = gc_frame_newslot(diff231);
  params[0] = num219;
  partcv[0] = 1;
  Object sum232 = callmethod(diff231, "+(1)", 1, partcv, params);
// compiled op node returning sum232 (depth = 2)
  adddatum2(obj208, sum232, 3);
  objclass208 = obj208->class;
  objclass208->definitionModule = modulename;
  objclass208->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter208;
  self = oldself208;
  selfslot = oldselfslot208;
  stackframe = oldstackframe208;
  gc_frame_end(frame);
  return obj208;
}
Object meth_lexer_stringToken_40_1_41_207_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject208 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj208 = alloc_userobj2(3,4, objclass208);
  gc_frame_newslot(obj208);
if (objclass208 == NULL) {
  glfree(obj208->class->name);
  obj208->class->name = "new.stringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj208, self, 0);
  addmethodreal(obj208,"outer", &reader_lexer_outer_209);
  Object oldself208 = self;
  struct StackFrameObject *oldstackframe208 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe208);
  gc_frame_newslot((Object)stackframe);
  self = obj208;
  Object *oldselfslot208 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter208 = (*(struct UserObject *)self).data[0], lowerouter208 = thisouter208;
  if (inheritingObject208) {
    struct UserObject *inho208 = (struct UserObject *)inheritingObject208;
    while (inho208->super != GraceDefaultObject) inho208 = (struct UserObject *)inho208->super;
    inho208->super = obj208;
    self = inheritingObject208;
    *selfslot = self;
    lowerouter208 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter208;
  }
if (objclass208 == NULL) {
  Method *reader210 = addmethodrealflags(obj208, "kind",&reader_lexer_kind_210, MFLAG_DEF);
  reader210->definitionModule = modulename;
  reader210->definitionLine = 119;
}
adddatum2(obj208, alloc_Undefined(), 1);
if (objclass208 == NULL) {
  Method *reader211 = addmethodrealflags(obj208, "value",&reader_lexer_value_211, MFLAG_DEF);
  reader211->definitionModule = modulename;
  reader211->definitionLine = 120;
}
adddatum2(obj208, alloc_Undefined(), 2);
if (objclass208 == NULL) {
  Method *reader212 = addmethodrealflags(obj208, "size",&reader_lexer_size_212, MFLAG_DEF);
  reader212->definitionModule = modulename;
  reader212->definitionLine = 121;
}
adddatum2(obj208, alloc_Undefined(), 3);
  sourceObject = obj208;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe213 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe214 = gc_frame_new();
// call case 3: self.outer request
  Object call215 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe214);
// compiled member node returning call215 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call216 = callmethodflags(call215, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe213);
// compiled call node returning call216 (depth = 2)
  struct UserObject *obj208_uo = (struct UserObject *)obj208;
  obj208_uo->super = call216;
  sourceObject = obj208;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit217 == NULL) {
    strlit217 = alloc_String("string");
    gc_root(strlit217);
  }
// compiled string node returning strlit217 (depth = 2)
  adddatum2(obj208, strlit217, 1);
  sourceObject = obj208;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj208, *var_s, 2);
  sourceObject = obj208;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num219 = alloc_Float64(1);
// compiled num node returning num219 (depth = 3)
  int op_slot_right_218 = gc_frame_newslot(num219);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe222 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe223 = gc_frame_new();
// call case 3: self.outer request
  Object call224 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe223);
// compiled member node returning call224 (depth = 5)
  Object call225 = callmethodflags(call224, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe222);
// compiled member node returning call225 (depth = 4)
  int op_slot_right_221 = gc_frame_newslot(call225);
// starting to compile member node (depth = 4)
  int callframe227 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe228 = gc_frame_new();
// call case 3: self.outer request
  Object call229 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe228);
// compiled member node returning call229 (depth = 5)
  Object call230 = callmethodflags(call229, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe227);
// compiled member node returning call230 (depth = 4)
  int op_slot_left_221 = gc_frame_newslot(call230);
  params[0] = call225;
  partcv[0] = 1;
  Object diff231 = callmethod(call230, "-(1)", 1, partcv, params);
// compiled op node returning diff231 (depth = 3)
  int op_slot_left_218 = gc_frame_newslot(diff231);
  params[0] = num219;
  partcv[0] = 1;
  Object sum232 = callmethod(diff231, "+(1)", 1, partcv, params);
// compiled op node returning sum232 (depth = 2)
  adddatum2(obj208, sum232, 3);
  objclass208 = obj208->class;
  objclass208->definitionModule = modulename;
  objclass208->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter208;
  self = oldself208;
  selfslot = oldselfslot208;
  stackframe = oldstackframe208;
  gc_frame_end(frame);
  return obj208;
}
Object meth_lexer_line242(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe243 = gc_frame_new();
// call case 4: self request
  Object call244 = callmethodflags(self, "line'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe243);
// compiled member node returning call244 (depth = 2)
  gc_frame_end(frame);
  return call244;
}
Object meth_lexer_linePos245(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "linePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe246 = gc_frame_new();
// call case 4: self request
  Object call247 = callmethodflags(self, "linePos'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compiled member node returning call247 (depth = 2)
  gc_frame_end(frame);
  return call247;
}
Object meth_lexer_multiLineStringToken_40_1_41_234(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject235 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj235 = alloc_userobj2(7,8, objclass235);
  gc_frame_newslot(obj235);
if (objclass235 == NULL) {
  glfree(obj235->class->name);
  obj235->class->name = "new.multiLineStringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj235, self, 0);
  addmethodreal(obj235,"outer", &reader_lexer_outer_236);
  Object oldself235 = self;
  struct StackFrameObject *oldstackframe235 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe235);
  gc_frame_newslot((Object)stackframe);
  self = obj235;
  Object *oldselfslot235 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter235 = (*(struct UserObject *)self).data[0], lowerouter235 = thisouter235;
  if (inheritingObject235) {
    struct UserObject *inho235 = (struct UserObject *)inheritingObject235;
    while (inho235->super != GraceDefaultObject) inho235 = (struct UserObject *)inho235->super;
    inho235->super = obj235;
    self = inheritingObject235;
    *selfslot = self;
    lowerouter235 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter235;
  }
if (objclass235 == NULL) {
  Method *reader237 = addmethodrealflags(obj235, "kind",&reader_lexer_kind_237, MFLAG_DEF);
  reader237->definitionModule = modulename;
  reader237->definitionLine = 125;
}
adddatum2(obj235, alloc_Undefined(), 1);
if (objclass235 == NULL) {
  Method *reader238 = addmethodrealflags(obj235, "value",&reader_lexer_value_238, MFLAG_DEF);
  reader238->definitionModule = modulename;
  reader238->definitionLine = 126;
}
adddatum2(obj235, alloc_Undefined(), 2);
if (objclass235 == NULL) {
  Method *reader239 = addmethodrealflags(obj235, "size",&reader_lexer_size_239, MFLAG_DEF);
  reader239->definitionModule = modulename;
  reader239->definitionLine = 127;
}
adddatum2(obj235, alloc_Undefined(), 3);
if (objclass235 == NULL) {
  Method *reader240 = addmethodrealflags(obj235, "line'",&reader_lexer_line_39__240, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader240->definitionModule = modulename;
  reader240->definitionLine = 128;
}
adddatum2(obj235, alloc_Undefined(), 4);
if (objclass235 == NULL) {
  Method *reader241 = addmethodrealflags(obj235, "linePos'",&reader_lexer_linePos_39__241, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader241->definitionModule = modulename;
  reader241->definitionLine = 129;
}
adddatum2(obj235, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo242 = (struct UserObject*)obj235;
  uo242->data[6] = emptyclosure;
  Method *meth_meth_lexer_line242 = addmethod2pos(obj235, "line", &meth_lexer_line242, 6);
  int argcv_meth_lexer_line242[] = {0};
  meth_meth_lexer_line242->type = alloc_MethodType(1, argcv_meth_lexer_line242);
  meth_meth_lexer_line242->definitionModule = modulename;
  meth_meth_lexer_line242->definitionLine = 130;
// method "linePos"
  struct UserObject *uo245 = (struct UserObject*)obj235;
  uo245->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos245 = addmethod2pos(obj235, "linePos", &meth_lexer_linePos245, 7);
  int argcv_meth_lexer_linePos245[] = {0};
  meth_meth_lexer_linePos245->type = alloc_MethodType(1, argcv_meth_lexer_linePos245);
  meth_meth_lexer_linePos245->definitionModule = modulename;
  meth_meth_lexer_linePos245->definitionLine = 131;
  sourceObject = obj235;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe248 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe249 = gc_frame_new();
// call case 3: self.outer request
  Object call250 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethodflags(call250, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe248);
// compiled call node returning call251 (depth = 2)
  struct UserObject *obj235_uo = (struct UserObject *)obj235;
  obj235_uo->super = call251;
  sourceObject = obj235;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("string");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 2)
  adddatum2(obj235, strlit252, 1);
  sourceObject = obj235;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj235, *var_s, 2);
  sourceObject = obj235;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num254 = alloc_Float64(2);
// compiled num node returning num254 (depth = 3)
  int op_slot_right_253 = gc_frame_newslot(num254);
// starting to compile member node (depth = 3)
  int callframe256 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call257 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe256);
// compiled member node returning call257 (depth = 3)
  int op_slot_left_253 = gc_frame_newslot(call257);
  params[0] = num254;
  partcv[0] = 1;
  Object sum258 = callmethod(call257, "+(1)", 1, partcv, params);
// compiled op node returning sum258 (depth = 2)
  adddatum2(obj235, sum258, 3);
  sourceObject = obj235;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe260 = gc_frame_new();
// call case 3: self.outer request
  Object call261 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe260);
// compiled member node returning call261 (depth = 3)
  Object call262 = callmethodflags(call261, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe259);
// compiled member node returning call262 (depth = 2)
  adddatum2(obj235, call262, 4);
  sourceObject = obj235;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe263 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe264 = gc_frame_new();
// call case 3: self.outer request
  Object call265 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe264);
// compiled member node returning call265 (depth = 3)
  Object call266 = callmethodflags(call265, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe263);
// compiled member node returning call266 (depth = 2)
  adddatum2(obj235, call266, 5);
  sourceObject = obj235;
  sourceObject = obj235;
  objclass235 = obj235->class;
  objclass235->definitionModule = modulename;
  objclass235->definitionLine = 123;
  (*(struct UserObject *)self).data[0] = lowerouter235;
  self = oldself235;
  selfslot = oldselfslot235;
  stackframe = oldstackframe235;
  gc_frame_end(frame);
  return obj235;
}
Object meth_lexer_multiLineStringToken_40_1_41_234_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject235 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj235 = alloc_userobj2(7,8, objclass235);
  gc_frame_newslot(obj235);
if (objclass235 == NULL) {
  glfree(obj235->class->name);
  obj235->class->name = "new.multiLineStringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj235, self, 0);
  addmethodreal(obj235,"outer", &reader_lexer_outer_236);
  Object oldself235 = self;
  struct StackFrameObject *oldstackframe235 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe235);
  gc_frame_newslot((Object)stackframe);
  self = obj235;
  Object *oldselfslot235 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter235 = (*(struct UserObject *)self).data[0], lowerouter235 = thisouter235;
  if (inheritingObject235) {
    struct UserObject *inho235 = (struct UserObject *)inheritingObject235;
    while (inho235->super != GraceDefaultObject) inho235 = (struct UserObject *)inho235->super;
    inho235->super = obj235;
    self = inheritingObject235;
    *selfslot = self;
    lowerouter235 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter235;
  }
if (objclass235 == NULL) {
  Method *reader237 = addmethodrealflags(obj235, "kind",&reader_lexer_kind_237, MFLAG_DEF);
  reader237->definitionModule = modulename;
  reader237->definitionLine = 125;
}
adddatum2(obj235, alloc_Undefined(), 1);
if (objclass235 == NULL) {
  Method *reader238 = addmethodrealflags(obj235, "value",&reader_lexer_value_238, MFLAG_DEF);
  reader238->definitionModule = modulename;
  reader238->definitionLine = 126;
}
adddatum2(obj235, alloc_Undefined(), 2);
if (objclass235 == NULL) {
  Method *reader239 = addmethodrealflags(obj235, "size",&reader_lexer_size_239, MFLAG_DEF);
  reader239->definitionModule = modulename;
  reader239->definitionLine = 127;
}
adddatum2(obj235, alloc_Undefined(), 3);
if (objclass235 == NULL) {
  Method *reader240 = addmethodrealflags(obj235, "line'",&reader_lexer_line_39__240, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader240->definitionModule = modulename;
  reader240->definitionLine = 128;
}
adddatum2(obj235, alloc_Undefined(), 4);
if (objclass235 == NULL) {
  Method *reader241 = addmethodrealflags(obj235, "linePos'",&reader_lexer_linePos_39__241, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader241->definitionModule = modulename;
  reader241->definitionLine = 129;
}
adddatum2(obj235, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo242 = (struct UserObject*)obj235;
  uo242->data[6] = emptyclosure;
  Method *meth_meth_lexer_line242 = addmethod2pos(obj235, "line", &meth_lexer_line242, 6);
  int argcv_meth_lexer_line242[] = {0};
  meth_meth_lexer_line242->type = alloc_MethodType(1, argcv_meth_lexer_line242);
  meth_meth_lexer_line242->definitionModule = modulename;
  meth_meth_lexer_line242->definitionLine = 130;
// method "linePos"
  struct UserObject *uo245 = (struct UserObject*)obj235;
  uo245->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos245 = addmethod2pos(obj235, "linePos", &meth_lexer_linePos245, 7);
  int argcv_meth_lexer_linePos245[] = {0};
  meth_meth_lexer_linePos245->type = alloc_MethodType(1, argcv_meth_lexer_linePos245);
  meth_meth_lexer_linePos245->definitionModule = modulename;
  meth_meth_lexer_linePos245->definitionLine = 131;
  sourceObject = obj235;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe248 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe249 = gc_frame_new();
// call case 3: self.outer request
  Object call250 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethodflags(call250, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe248);
// compiled call node returning call251 (depth = 2)
  struct UserObject *obj235_uo = (struct UserObject *)obj235;
  obj235_uo->super = call251;
  sourceObject = obj235;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("string");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 2)
  adddatum2(obj235, strlit252, 1);
  sourceObject = obj235;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj235, *var_s, 2);
  sourceObject = obj235;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num254 = alloc_Float64(2);
// compiled num node returning num254 (depth = 3)
  int op_slot_right_253 = gc_frame_newslot(num254);
// starting to compile member node (depth = 3)
  int callframe256 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call257 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe256);
// compiled member node returning call257 (depth = 3)
  int op_slot_left_253 = gc_frame_newslot(call257);
  params[0] = num254;
  partcv[0] = 1;
  Object sum258 = callmethod(call257, "+(1)", 1, partcv, params);
// compiled op node returning sum258 (depth = 2)
  adddatum2(obj235, sum258, 3);
  sourceObject = obj235;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe259 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe260 = gc_frame_new();
// call case 3: self.outer request
  Object call261 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe260);
// compiled member node returning call261 (depth = 3)
  Object call262 = callmethodflags(call261, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe259);
// compiled member node returning call262 (depth = 2)
  adddatum2(obj235, call262, 4);
  sourceObject = obj235;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe263 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe264 = gc_frame_new();
// call case 3: self.outer request
  Object call265 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe264);
// compiled member node returning call265 (depth = 3)
  Object call266 = callmethodflags(call265, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe263);
// compiled member node returning call266 (depth = 2)
  adddatum2(obj235, call266, 5);
  sourceObject = obj235;
  sourceObject = obj235;
  objclass235 = obj235->class;
  objclass235->definitionModule = modulename;
  objclass235->definitionLine = 123;
  (*(struct UserObject *)self).data[0] = lowerouter235;
  self = oldself235;
  selfslot = oldselfslot235;
  stackframe = oldstackframe235;
  gc_frame_end(frame);
  return obj235;
}
Object meth_lexer_commentToken_40_1_41_268(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj269 = alloc_userobj2(3,4, objclass269);
  gc_frame_newslot(obj269);
if (objclass269 == NULL) {
  glfree(obj269->class->name);
  obj269->class->name = "new.commentToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj269, self, 0);
  addmethodreal(obj269,"outer", &reader_lexer_outer_270);
  Object oldself269 = self;
  struct StackFrameObject *oldstackframe269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe269);
  gc_frame_newslot((Object)stackframe);
  self = obj269;
  Object *oldselfslot269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter269 = (*(struct UserObject *)self).data[0], lowerouter269 = thisouter269;
  if (inheritingObject269) {
    struct UserObject *inho269 = (struct UserObject *)inheritingObject269;
    while (inho269->super != GraceDefaultObject) inho269 = (struct UserObject *)inho269->super;
    inho269->super = obj269;
    self = inheritingObject269;
    *selfslot = self;
    lowerouter269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter269;
  }
if (objclass269 == NULL) {
  Method *reader271 = addmethodrealflags(obj269, "kind",&reader_lexer_kind_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 135;
}
adddatum2(obj269, alloc_Undefined(), 1);
if (objclass269 == NULL) {
  Method *reader272 = addmethodrealflags(obj269, "value",&reader_lexer_value_272, MFLAG_DEF);
  reader272->definitionModule = modulename;
  reader272->definitionLine = 136;
}
adddatum2(obj269, alloc_Undefined(), 2);
if (objclass269 == NULL) {
  Method *reader273 = addmethodrealflags(obj269, "size",&reader_lexer_size_273, MFLAG_DEF);
  reader273->definitionModule = modulename;
  reader273->definitionLine = 137;
}
adddatum2(obj269, alloc_Undefined(), 3);
  sourceObject = obj269;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe274 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe275 = gc_frame_new();
// call case 3: self.outer request
  Object call276 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe275);
// compiled member node returning call276 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call277 = callmethodflags(call276, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe274);
// compiled call node returning call277 (depth = 2)
  struct UserObject *obj269_uo = (struct UserObject *)obj269;
  obj269_uo->super = call277;
  sourceObject = obj269;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit278 == NULL) {
    strlit278 = alloc_String("comment");
    gc_root(strlit278);
  }
// compiled string node returning strlit278 (depth = 2)
  adddatum2(obj269, strlit278, 1);
  sourceObject = obj269;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj269, *var_s, 2);
  sourceObject = obj269;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num280 = alloc_Float64(2);
// compiled num node returning num280 (depth = 3)
  int op_slot_right_279 = gc_frame_newslot(num280);
// starting to compile member node (depth = 3)
  int callframe282 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call283 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe282);
// compiled member node returning call283 (depth = 3)
  int op_slot_left_279 = gc_frame_newslot(call283);
  params[0] = num280;
  partcv[0] = 1;
  Object sum284 = callmethod(call283, "+(1)", 1, partcv, params);
// compiled op node returning sum284 (depth = 2)
  adddatum2(obj269, sum284, 3);
  objclass269 = obj269->class;
  objclass269->definitionModule = modulename;
  objclass269->definitionLine = 133;
  (*(struct UserObject *)self).data[0] = lowerouter269;
  self = oldself269;
  selfslot = oldselfslot269;
  stackframe = oldstackframe269;
  gc_frame_end(frame);
  return obj269;
}
Object meth_lexer_commentToken_40_1_41_268_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj269 = alloc_userobj2(3,4, objclass269);
  gc_frame_newslot(obj269);
if (objclass269 == NULL) {
  glfree(obj269->class->name);
  obj269->class->name = "new.commentToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj269, self, 0);
  addmethodreal(obj269,"outer", &reader_lexer_outer_270);
  Object oldself269 = self;
  struct StackFrameObject *oldstackframe269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe269);
  gc_frame_newslot((Object)stackframe);
  self = obj269;
  Object *oldselfslot269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter269 = (*(struct UserObject *)self).data[0], lowerouter269 = thisouter269;
  if (inheritingObject269) {
    struct UserObject *inho269 = (struct UserObject *)inheritingObject269;
    while (inho269->super != GraceDefaultObject) inho269 = (struct UserObject *)inho269->super;
    inho269->super = obj269;
    self = inheritingObject269;
    *selfslot = self;
    lowerouter269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter269;
  }
if (objclass269 == NULL) {
  Method *reader271 = addmethodrealflags(obj269, "kind",&reader_lexer_kind_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 135;
}
adddatum2(obj269, alloc_Undefined(), 1);
if (objclass269 == NULL) {
  Method *reader272 = addmethodrealflags(obj269, "value",&reader_lexer_value_272, MFLAG_DEF);
  reader272->definitionModule = modulename;
  reader272->definitionLine = 136;
}
adddatum2(obj269, alloc_Undefined(), 2);
if (objclass269 == NULL) {
  Method *reader273 = addmethodrealflags(obj269, "size",&reader_lexer_size_273, MFLAG_DEF);
  reader273->definitionModule = modulename;
  reader273->definitionLine = 137;
}
adddatum2(obj269, alloc_Undefined(), 3);
  sourceObject = obj269;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe274 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe275 = gc_frame_new();
// call case 3: self.outer request
  Object call276 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe275);
// compiled member node returning call276 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call277 = callmethodflags(call276, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe274);
// compiled call node returning call277 (depth = 2)
  struct UserObject *obj269_uo = (struct UserObject *)obj269;
  obj269_uo->super = call277;
  sourceObject = obj269;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit278 == NULL) {
    strlit278 = alloc_String("comment");
    gc_root(strlit278);
  }
// compiled string node returning strlit278 (depth = 2)
  adddatum2(obj269, strlit278, 1);
  sourceObject = obj269;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj269, *var_s, 2);
  sourceObject = obj269;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num280 = alloc_Float64(2);
// compiled num node returning num280 (depth = 3)
  int op_slot_right_279 = gc_frame_newslot(num280);
// starting to compile member node (depth = 3)
  int callframe282 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call283 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe282);
// compiled member node returning call283 (depth = 3)
  int op_slot_left_279 = gc_frame_newslot(call283);
  params[0] = num280;
  partcv[0] = 1;
  Object sum284 = callmethod(call283, "+(1)", 1, partcv, params);
// compiled op node returning sum284 (depth = 2)
  adddatum2(obj269, sum284, 3);
  objclass269 = obj269->class;
  objclass269->definitionModule = modulename;
  objclass269->definitionLine = 133;
  (*(struct UserObject *)self).data[0] = lowerouter269;
  self = oldself269;
  selfslot = oldselfslot269;
  stackframe = oldstackframe269;
  gc_frame_end(frame);
  return obj269;
}
Object meth_lexer_lBraceToken286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(3,4, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "new.lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 141;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 142;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 143;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe292 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe293 = gc_frame_new();
// call case 3: self.outer request
  Object call294 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe293);
// compiled member node returning call294 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call295 = callmethodflags(call294, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe292);
// compiled call node returning call295 (depth = 2)
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call295;
  sourceObject = obj287;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit296 == NULL) {
    strlit296 = alloc_String("lbrace");
    gc_root(strlit296);
  }
// compiled string node returning strlit296 (depth = 2)
  adddatum2(obj287, strlit296, 1);
  sourceObject = obj287;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit297 == NULL) {
    strlit297 = alloc_String("{");
    gc_root(strlit297);
  }
// compiled string node returning strlit297 (depth = 2)
  adddatum2(obj287, strlit297, 2);
  sourceObject = obj287;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num298 = alloc_Float64(1);
// compiled num node returning num298 (depth = 2)
  adddatum2(obj287, num298, 3);
  objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 139;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_lBraceToken286_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(3,4, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "new.lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 141;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 142;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 143;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe292 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe293 = gc_frame_new();
// call case 3: self.outer request
  Object call294 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe293);
// compiled member node returning call294 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call295 = callmethodflags(call294, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe292);
// compiled call node returning call295 (depth = 2)
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call295;
  sourceObject = obj287;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit296 == NULL) {
    strlit296 = alloc_String("lbrace");
    gc_root(strlit296);
  }
// compiled string node returning strlit296 (depth = 2)
  adddatum2(obj287, strlit296, 1);
  sourceObject = obj287;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit297 == NULL) {
    strlit297 = alloc_String("{");
    gc_root(strlit297);
  }
// compiled string node returning strlit297 (depth = 2)
  adddatum2(obj287, strlit297, 2);
  sourceObject = obj287;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num298 = alloc_Float64(1);
// compiled num node returning num298 (depth = 2)
  adddatum2(obj287, num298, 3);
  objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 139;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_rBraceToken300(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(3,4, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "new.rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 147;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 148;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "size",&reader_lexer_size_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 149;
}
adddatum2(obj301, alloc_Undefined(), 3);
  sourceObject = obj301;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe306 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe307 = gc_frame_new();
// call case 3: self.outer request
  Object call308 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe307);
// compiled member node returning call308 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call309 = callmethodflags(call308, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe306);
// compiled call node returning call309 (depth = 2)
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call309;
  sourceObject = obj301;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit310 == NULL) {
    strlit310 = alloc_String("rbrace");
    gc_root(strlit310);
  }
// compiled string node returning strlit310 (depth = 2)
  adddatum2(obj301, strlit310, 1);
  sourceObject = obj301;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit311 == NULL) {
    strlit311 = alloc_String("}");
    gc_root(strlit311);
  }
// compiled string node returning strlit311 (depth = 2)
  adddatum2(obj301, strlit311, 2);
  sourceObject = obj301;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num312 = alloc_Float64(1);
// compiled num node returning num312 (depth = 2)
  adddatum2(obj301, num312, 3);
  objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 145;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_rBraceToken300_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(3,4, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "new.rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 147;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 148;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "size",&reader_lexer_size_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 149;
}
adddatum2(obj301, alloc_Undefined(), 3);
  sourceObject = obj301;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe306 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe307 = gc_frame_new();
// call case 3: self.outer request
  Object call308 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe307);
// compiled member node returning call308 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call309 = callmethodflags(call308, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe306);
// compiled call node returning call309 (depth = 2)
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call309;
  sourceObject = obj301;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit310 == NULL) {
    strlit310 = alloc_String("rbrace");
    gc_root(strlit310);
  }
// compiled string node returning strlit310 (depth = 2)
  adddatum2(obj301, strlit310, 1);
  sourceObject = obj301;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit311 == NULL) {
    strlit311 = alloc_String("}");
    gc_root(strlit311);
  }
// compiled string node returning strlit311 (depth = 2)
  adddatum2(obj301, strlit311, 2);
  sourceObject = obj301;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num312 = alloc_Float64(1);
// compiled num node returning num312 (depth = 2)
  adddatum2(obj301, num312, 3);
  objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 145;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_lParenToken314(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject315 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj315 = alloc_userobj2(3,4, objclass315);
  gc_frame_newslot(obj315);
if (objclass315 == NULL) {
  glfree(obj315->class->name);
  obj315->class->name = "new.lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj315, self, 0);
  addmethodreal(obj315,"outer", &reader_lexer_outer_316);
  Object oldself315 = self;
  struct StackFrameObject *oldstackframe315 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe315);
  gc_frame_newslot((Object)stackframe);
  self = obj315;
  Object *oldselfslot315 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter315 = (*(struct UserObject *)self).data[0], lowerouter315 = thisouter315;
  if (inheritingObject315) {
    struct UserObject *inho315 = (struct UserObject *)inheritingObject315;
    while (inho315->super != GraceDefaultObject) inho315 = (struct UserObject *)inho315->super;
    inho315->super = obj315;
    self = inheritingObject315;
    *selfslot = self;
    lowerouter315 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter315;
  }
if (objclass315 == NULL) {
  Method *reader317 = addmethodrealflags(obj315, "kind",&reader_lexer_kind_317, MFLAG_DEF);
  reader317->definitionModule = modulename;
  reader317->definitionLine = 153;
}
adddatum2(obj315, alloc_Undefined(), 1);
if (objclass315 == NULL) {
  Method *reader318 = addmethodrealflags(obj315, "value",&reader_lexer_value_318, MFLAG_DEF);
  reader318->definitionModule = modulename;
  reader318->definitionLine = 154;
}
adddatum2(obj315, alloc_Undefined(), 2);
if (objclass315 == NULL) {
  Method *reader319 = addmethodrealflags(obj315, "size",&reader_lexer_size_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 155;
}
adddatum2(obj315, alloc_Undefined(), 3);
  sourceObject = obj315;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe320 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe321 = gc_frame_new();
// call case 3: self.outer request
  Object call322 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe321);
// compiled member node returning call322 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethodflags(call322, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe320);
// compiled call node returning call323 (depth = 2)
  struct UserObject *obj315_uo = (struct UserObject *)obj315;
  obj315_uo->super = call323;
  sourceObject = obj315;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit324 == NULL) {
    strlit324 = alloc_String("lparen");
    gc_root(strlit324);
  }
// compiled string node returning strlit324 (depth = 2)
  adddatum2(obj315, strlit324, 1);
  sourceObject = obj315;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit325 == NULL) {
    strlit325 = alloc_String("(");
    gc_root(strlit325);
  }
// compiled string node returning strlit325 (depth = 2)
  adddatum2(obj315, strlit325, 2);
  sourceObject = obj315;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num326 = alloc_Float64(1);
// compiled num node returning num326 (depth = 2)
  adddatum2(obj315, num326, 3);
  objclass315 = obj315->class;
  objclass315->definitionModule = modulename;
  objclass315->definitionLine = 151;
  (*(struct UserObject *)self).data[0] = lowerouter315;
  self = oldself315;
  selfslot = oldselfslot315;
  stackframe = oldstackframe315;
  gc_frame_end(frame);
  return obj315;
}
Object meth_lexer_lParenToken314_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject315 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj315 = alloc_userobj2(3,4, objclass315);
  gc_frame_newslot(obj315);
if (objclass315 == NULL) {
  glfree(obj315->class->name);
  obj315->class->name = "new.lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj315, self, 0);
  addmethodreal(obj315,"outer", &reader_lexer_outer_316);
  Object oldself315 = self;
  struct StackFrameObject *oldstackframe315 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe315);
  gc_frame_newslot((Object)stackframe);
  self = obj315;
  Object *oldselfslot315 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter315 = (*(struct UserObject *)self).data[0], lowerouter315 = thisouter315;
  if (inheritingObject315) {
    struct UserObject *inho315 = (struct UserObject *)inheritingObject315;
    while (inho315->super != GraceDefaultObject) inho315 = (struct UserObject *)inho315->super;
    inho315->super = obj315;
    self = inheritingObject315;
    *selfslot = self;
    lowerouter315 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter315;
  }
if (objclass315 == NULL) {
  Method *reader317 = addmethodrealflags(obj315, "kind",&reader_lexer_kind_317, MFLAG_DEF);
  reader317->definitionModule = modulename;
  reader317->definitionLine = 153;
}
adddatum2(obj315, alloc_Undefined(), 1);
if (objclass315 == NULL) {
  Method *reader318 = addmethodrealflags(obj315, "value",&reader_lexer_value_318, MFLAG_DEF);
  reader318->definitionModule = modulename;
  reader318->definitionLine = 154;
}
adddatum2(obj315, alloc_Undefined(), 2);
if (objclass315 == NULL) {
  Method *reader319 = addmethodrealflags(obj315, "size",&reader_lexer_size_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 155;
}
adddatum2(obj315, alloc_Undefined(), 3);
  sourceObject = obj315;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe320 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe321 = gc_frame_new();
// call case 3: self.outer request
  Object call322 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe321);
// compiled member node returning call322 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethodflags(call322, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe320);
// compiled call node returning call323 (depth = 2)
  struct UserObject *obj315_uo = (struct UserObject *)obj315;
  obj315_uo->super = call323;
  sourceObject = obj315;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit324 == NULL) {
    strlit324 = alloc_String("lparen");
    gc_root(strlit324);
  }
// compiled string node returning strlit324 (depth = 2)
  adddatum2(obj315, strlit324, 1);
  sourceObject = obj315;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit325 == NULL) {
    strlit325 = alloc_String("(");
    gc_root(strlit325);
  }
// compiled string node returning strlit325 (depth = 2)
  adddatum2(obj315, strlit325, 2);
  sourceObject = obj315;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num326 = alloc_Float64(1);
// compiled num node returning num326 (depth = 2)
  adddatum2(obj315, num326, 3);
  objclass315 = obj315->class;
  objclass315->definitionModule = modulename;
  objclass315->definitionLine = 151;
  (*(struct UserObject *)self).data[0] = lowerouter315;
  self = oldself315;
  selfslot = oldselfslot315;
  stackframe = oldstackframe315;
  gc_frame_end(frame);
  return obj315;
}
Object meth_lexer_rParenToken328(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject329 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj329 = alloc_userobj2(3,4, objclass329);
  gc_frame_newslot(obj329);
if (objclass329 == NULL) {
  glfree(obj329->class->name);
  obj329->class->name = "new.rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj329, self, 0);
  addmethodreal(obj329,"outer", &reader_lexer_outer_330);
  Object oldself329 = self;
  struct StackFrameObject *oldstackframe329 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe329);
  gc_frame_newslot((Object)stackframe);
  self = obj329;
  Object *oldselfslot329 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter329 = (*(struct UserObject *)self).data[0], lowerouter329 = thisouter329;
  if (inheritingObject329) {
    struct UserObject *inho329 = (struct UserObject *)inheritingObject329;
    while (inho329->super != GraceDefaultObject) inho329 = (struct UserObject *)inho329->super;
    inho329->super = obj329;
    self = inheritingObject329;
    *selfslot = self;
    lowerouter329 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter329;
  }
if (objclass329 == NULL) {
  Method *reader331 = addmethodrealflags(obj329, "kind",&reader_lexer_kind_331, MFLAG_DEF);
  reader331->definitionModule = modulename;
  reader331->definitionLine = 159;
}
adddatum2(obj329, alloc_Undefined(), 1);
if (objclass329 == NULL) {
  Method *reader332 = addmethodrealflags(obj329, "value",&reader_lexer_value_332, MFLAG_DEF);
  reader332->definitionModule = modulename;
  reader332->definitionLine = 160;
}
adddatum2(obj329, alloc_Undefined(), 2);
if (objclass329 == NULL) {
  Method *reader333 = addmethodrealflags(obj329, "size",&reader_lexer_size_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 161;
}
adddatum2(obj329, alloc_Undefined(), 3);
  sourceObject = obj329;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe334 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe335 = gc_frame_new();
// call case 3: self.outer request
  Object call336 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe335);
// compiled member node returning call336 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethodflags(call336, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe334);
// compiled call node returning call337 (depth = 2)
  struct UserObject *obj329_uo = (struct UserObject *)obj329;
  obj329_uo->super = call337;
  sourceObject = obj329;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit338 == NULL) {
    strlit338 = alloc_String("rparen");
    gc_root(strlit338);
  }
// compiled string node returning strlit338 (depth = 2)
  adddatum2(obj329, strlit338, 1);
  sourceObject = obj329;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit339 == NULL) {
    strlit339 = alloc_String(")");
    gc_root(strlit339);
  }
// compiled string node returning strlit339 (depth = 2)
  adddatum2(obj329, strlit339, 2);
  sourceObject = obj329;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num340 = alloc_Float64(1);
// compiled num node returning num340 (depth = 2)
  adddatum2(obj329, num340, 3);
  objclass329 = obj329->class;
  objclass329->definitionModule = modulename;
  objclass329->definitionLine = 157;
  (*(struct UserObject *)self).data[0] = lowerouter329;
  self = oldself329;
  selfslot = oldselfslot329;
  stackframe = oldstackframe329;
  gc_frame_end(frame);
  return obj329;
}
Object meth_lexer_rParenToken328_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject329 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj329 = alloc_userobj2(3,4, objclass329);
  gc_frame_newslot(obj329);
if (objclass329 == NULL) {
  glfree(obj329->class->name);
  obj329->class->name = "new.rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj329, self, 0);
  addmethodreal(obj329,"outer", &reader_lexer_outer_330);
  Object oldself329 = self;
  struct StackFrameObject *oldstackframe329 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe329);
  gc_frame_newslot((Object)stackframe);
  self = obj329;
  Object *oldselfslot329 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter329 = (*(struct UserObject *)self).data[0], lowerouter329 = thisouter329;
  if (inheritingObject329) {
    struct UserObject *inho329 = (struct UserObject *)inheritingObject329;
    while (inho329->super != GraceDefaultObject) inho329 = (struct UserObject *)inho329->super;
    inho329->super = obj329;
    self = inheritingObject329;
    *selfslot = self;
    lowerouter329 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter329;
  }
if (objclass329 == NULL) {
  Method *reader331 = addmethodrealflags(obj329, "kind",&reader_lexer_kind_331, MFLAG_DEF);
  reader331->definitionModule = modulename;
  reader331->definitionLine = 159;
}
adddatum2(obj329, alloc_Undefined(), 1);
if (objclass329 == NULL) {
  Method *reader332 = addmethodrealflags(obj329, "value",&reader_lexer_value_332, MFLAG_DEF);
  reader332->definitionModule = modulename;
  reader332->definitionLine = 160;
}
adddatum2(obj329, alloc_Undefined(), 2);
if (objclass329 == NULL) {
  Method *reader333 = addmethodrealflags(obj329, "size",&reader_lexer_size_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 161;
}
adddatum2(obj329, alloc_Undefined(), 3);
  sourceObject = obj329;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe334 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe335 = gc_frame_new();
// call case 3: self.outer request
  Object call336 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe335);
// compiled member node returning call336 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethodflags(call336, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe334);
// compiled call node returning call337 (depth = 2)
  struct UserObject *obj329_uo = (struct UserObject *)obj329;
  obj329_uo->super = call337;
  sourceObject = obj329;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit338 == NULL) {
    strlit338 = alloc_String("rparen");
    gc_root(strlit338);
  }
// compiled string node returning strlit338 (depth = 2)
  adddatum2(obj329, strlit338, 1);
  sourceObject = obj329;
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit339 == NULL) {
    strlit339 = alloc_String(")");
    gc_root(strlit339);
  }
// compiled string node returning strlit339 (depth = 2)
  adddatum2(obj329, strlit339, 2);
  sourceObject = obj329;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num340 = alloc_Float64(1);
// compiled num node returning num340 (depth = 2)
  adddatum2(obj329, num340, 3);
  objclass329 = obj329->class;
  objclass329->definitionModule = modulename;
  objclass329->definitionLine = 157;
  (*(struct UserObject *)self).data[0] = lowerouter329;
  self = oldself329;
  selfslot = oldselfslot329;
  stackframe = oldstackframe329;
  gc_frame_end(frame);
  return obj329;
}
Object meth_lexer_lSquareToken342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject343 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj343 = alloc_userobj2(3,4, objclass343);
  gc_frame_newslot(obj343);
if (objclass343 == NULL) {
  glfree(obj343->class->name);
  obj343->class->name = "new.lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj343, self, 0);
  addmethodreal(obj343,"outer", &reader_lexer_outer_344);
  Object oldself343 = self;
  struct StackFrameObject *oldstackframe343 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe343);
  gc_frame_newslot((Object)stackframe);
  self = obj343;
  Object *oldselfslot343 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter343 = (*(struct UserObject *)self).data[0], lowerouter343 = thisouter343;
  if (inheritingObject343) {
    struct UserObject *inho343 = (struct UserObject *)inheritingObject343;
    while (inho343->super != GraceDefaultObject) inho343 = (struct UserObject *)inho343->super;
    inho343->super = obj343;
    self = inheritingObject343;
    *selfslot = self;
    lowerouter343 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter343;
  }
if (objclass343 == NULL) {
  Method *reader345 = addmethodrealflags(obj343, "kind",&reader_lexer_kind_345, MFLAG_DEF);
  reader345->definitionModule = modulename;
  reader345->definitionLine = 165;
}
adddatum2(obj343, alloc_Undefined(), 1);
if (objclass343 == NULL) {
  Method *reader346 = addmethodrealflags(obj343, "value",&reader_lexer_value_346, MFLAG_DEF);
  reader346->definitionModule = modulename;
  reader346->definitionLine = 166;
}
adddatum2(obj343, alloc_Undefined(), 2);
if (objclass343 == NULL) {
  Method *reader347 = addmethodrealflags(obj343, "size",&reader_lexer_size_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 167;
}
adddatum2(obj343, alloc_Undefined(), 3);
  sourceObject = obj343;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe348 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe349 = gc_frame_new();
// call case 3: self.outer request
  Object call350 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe349);
// compiled member node returning call350 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethodflags(call350, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe348);
// compiled call node returning call351 (depth = 2)
  struct UserObject *obj343_uo = (struct UserObject *)obj343;
  obj343_uo->super = call351;
  sourceObject = obj343;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit352 == NULL) {
    strlit352 = alloc_String("lsquare");
    gc_root(strlit352);
  }
// compiled string node returning strlit352 (depth = 2)
  adddatum2(obj343, strlit352, 1);
  sourceObject = obj343;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit353 == NULL) {
    strlit353 = alloc_String("[");
    gc_root(strlit353);
  }
// compiled string node returning strlit353 (depth = 2)
  adddatum2(obj343, strlit353, 2);
  sourceObject = obj343;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num354 = alloc_Float64(1);
// compiled num node returning num354 (depth = 2)
  adddatum2(obj343, num354, 3);
  objclass343 = obj343->class;
  objclass343->definitionModule = modulename;
  objclass343->definitionLine = 163;
  (*(struct UserObject *)self).data[0] = lowerouter343;
  self = oldself343;
  selfslot = oldselfslot343;
  stackframe = oldstackframe343;
  gc_frame_end(frame);
  return obj343;
}
Object meth_lexer_lSquareToken342_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject343 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj343 = alloc_userobj2(3,4, objclass343);
  gc_frame_newslot(obj343);
if (objclass343 == NULL) {
  glfree(obj343->class->name);
  obj343->class->name = "new.lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj343, self, 0);
  addmethodreal(obj343,"outer", &reader_lexer_outer_344);
  Object oldself343 = self;
  struct StackFrameObject *oldstackframe343 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe343);
  gc_frame_newslot((Object)stackframe);
  self = obj343;
  Object *oldselfslot343 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter343 = (*(struct UserObject *)self).data[0], lowerouter343 = thisouter343;
  if (inheritingObject343) {
    struct UserObject *inho343 = (struct UserObject *)inheritingObject343;
    while (inho343->super != GraceDefaultObject) inho343 = (struct UserObject *)inho343->super;
    inho343->super = obj343;
    self = inheritingObject343;
    *selfslot = self;
    lowerouter343 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter343;
  }
if (objclass343 == NULL) {
  Method *reader345 = addmethodrealflags(obj343, "kind",&reader_lexer_kind_345, MFLAG_DEF);
  reader345->definitionModule = modulename;
  reader345->definitionLine = 165;
}
adddatum2(obj343, alloc_Undefined(), 1);
if (objclass343 == NULL) {
  Method *reader346 = addmethodrealflags(obj343, "value",&reader_lexer_value_346, MFLAG_DEF);
  reader346->definitionModule = modulename;
  reader346->definitionLine = 166;
}
adddatum2(obj343, alloc_Undefined(), 2);
if (objclass343 == NULL) {
  Method *reader347 = addmethodrealflags(obj343, "size",&reader_lexer_size_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 167;
}
adddatum2(obj343, alloc_Undefined(), 3);
  sourceObject = obj343;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe348 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe349 = gc_frame_new();
// call case 3: self.outer request
  Object call350 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe349);
// compiled member node returning call350 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethodflags(call350, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe348);
// compiled call node returning call351 (depth = 2)
  struct UserObject *obj343_uo = (struct UserObject *)obj343;
  obj343_uo->super = call351;
  sourceObject = obj343;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit352 == NULL) {
    strlit352 = alloc_String("lsquare");
    gc_root(strlit352);
  }
// compiled string node returning strlit352 (depth = 2)
  adddatum2(obj343, strlit352, 1);
  sourceObject = obj343;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit353 == NULL) {
    strlit353 = alloc_String("[");
    gc_root(strlit353);
  }
// compiled string node returning strlit353 (depth = 2)
  adddatum2(obj343, strlit353, 2);
  sourceObject = obj343;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num354 = alloc_Float64(1);
// compiled num node returning num354 (depth = 2)
  adddatum2(obj343, num354, 3);
  objclass343 = obj343->class;
  objclass343->definitionModule = modulename;
  objclass343->definitionLine = 163;
  (*(struct UserObject *)self).data[0] = lowerouter343;
  self = oldself343;
  selfslot = oldselfslot343;
  stackframe = oldstackframe343;
  gc_frame_end(frame);
  return obj343;
}
Object meth_lexer_rSquareToken356(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject357 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj357 = alloc_userobj2(3,4, objclass357);
  gc_frame_newslot(obj357);
if (objclass357 == NULL) {
  glfree(obj357->class->name);
  obj357->class->name = "new.rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj357, self, 0);
  addmethodreal(obj357,"outer", &reader_lexer_outer_358);
  Object oldself357 = self;
  struct StackFrameObject *oldstackframe357 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe357);
  gc_frame_newslot((Object)stackframe);
  self = obj357;
  Object *oldselfslot357 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter357 = (*(struct UserObject *)self).data[0], lowerouter357 = thisouter357;
  if (inheritingObject357) {
    struct UserObject *inho357 = (struct UserObject *)inheritingObject357;
    while (inho357->super != GraceDefaultObject) inho357 = (struct UserObject *)inho357->super;
    inho357->super = obj357;
    self = inheritingObject357;
    *selfslot = self;
    lowerouter357 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter357;
  }
if (objclass357 == NULL) {
  Method *reader359 = addmethodrealflags(obj357, "kind",&reader_lexer_kind_359, MFLAG_DEF);
  reader359->definitionModule = modulename;
  reader359->definitionLine = 171;
}
adddatum2(obj357, alloc_Undefined(), 1);
if (objclass357 == NULL) {
  Method *reader360 = addmethodrealflags(obj357, "value",&reader_lexer_value_360, MFLAG_DEF);
  reader360->definitionModule = modulename;
  reader360->definitionLine = 172;
}
adddatum2(obj357, alloc_Undefined(), 2);
if (objclass357 == NULL) {
  Method *reader361 = addmethodrealflags(obj357, "size",&reader_lexer_size_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 173;
}
adddatum2(obj357, alloc_Undefined(), 3);
  sourceObject = obj357;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe362 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe363 = gc_frame_new();
// call case 3: self.outer request
  Object call364 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe363);
// compiled member node returning call364 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethodflags(call364, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe362);
// compiled call node returning call365 (depth = 2)
  struct UserObject *obj357_uo = (struct UserObject *)obj357;
  obj357_uo->super = call365;
  sourceObject = obj357;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit366 == NULL) {
    strlit366 = alloc_String("rsquare");
    gc_root(strlit366);
  }
// compiled string node returning strlit366 (depth = 2)
  adddatum2(obj357, strlit366, 1);
  sourceObject = obj357;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit367 == NULL) {
    strlit367 = alloc_String("]");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 2)
  adddatum2(obj357, strlit367, 2);
  sourceObject = obj357;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num368 = alloc_Float64(1);
// compiled num node returning num368 (depth = 2)
  adddatum2(obj357, num368, 3);
  objclass357 = obj357->class;
  objclass357->definitionModule = modulename;
  objclass357->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter357;
  self = oldself357;
  selfslot = oldselfslot357;
  stackframe = oldstackframe357;
  gc_frame_end(frame);
  return obj357;
}
Object meth_lexer_rSquareToken356_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject357 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj357 = alloc_userobj2(3,4, objclass357);
  gc_frame_newslot(obj357);
if (objclass357 == NULL) {
  glfree(obj357->class->name);
  obj357->class->name = "new.rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj357, self, 0);
  addmethodreal(obj357,"outer", &reader_lexer_outer_358);
  Object oldself357 = self;
  struct StackFrameObject *oldstackframe357 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe357);
  gc_frame_newslot((Object)stackframe);
  self = obj357;
  Object *oldselfslot357 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter357 = (*(struct UserObject *)self).data[0], lowerouter357 = thisouter357;
  if (inheritingObject357) {
    struct UserObject *inho357 = (struct UserObject *)inheritingObject357;
    while (inho357->super != GraceDefaultObject) inho357 = (struct UserObject *)inho357->super;
    inho357->super = obj357;
    self = inheritingObject357;
    *selfslot = self;
    lowerouter357 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter357;
  }
if (objclass357 == NULL) {
  Method *reader359 = addmethodrealflags(obj357, "kind",&reader_lexer_kind_359, MFLAG_DEF);
  reader359->definitionModule = modulename;
  reader359->definitionLine = 171;
}
adddatum2(obj357, alloc_Undefined(), 1);
if (objclass357 == NULL) {
  Method *reader360 = addmethodrealflags(obj357, "value",&reader_lexer_value_360, MFLAG_DEF);
  reader360->definitionModule = modulename;
  reader360->definitionLine = 172;
}
adddatum2(obj357, alloc_Undefined(), 2);
if (objclass357 == NULL) {
  Method *reader361 = addmethodrealflags(obj357, "size",&reader_lexer_size_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 173;
}
adddatum2(obj357, alloc_Undefined(), 3);
  sourceObject = obj357;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe362 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe363 = gc_frame_new();
// call case 3: self.outer request
  Object call364 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe363);
// compiled member node returning call364 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethodflags(call364, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe362);
// compiled call node returning call365 (depth = 2)
  struct UserObject *obj357_uo = (struct UserObject *)obj357;
  obj357_uo->super = call365;
  sourceObject = obj357;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit366 == NULL) {
    strlit366 = alloc_String("rsquare");
    gc_root(strlit366);
  }
// compiled string node returning strlit366 (depth = 2)
  adddatum2(obj357, strlit366, 1);
  sourceObject = obj357;
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit367 == NULL) {
    strlit367 = alloc_String("]");
    gc_root(strlit367);
  }
// compiled string node returning strlit367 (depth = 2)
  adddatum2(obj357, strlit367, 2);
  sourceObject = obj357;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num368 = alloc_Float64(1);
// compiled num node returning num368 (depth = 2)
  adddatum2(obj357, num368, 3);
  objclass357 = obj357->class;
  objclass357->definitionModule = modulename;
  objclass357->definitionLine = 169;
  (*(struct UserObject *)self).data[0] = lowerouter357;
  self = oldself357;
  selfslot = oldselfslot357;
  stackframe = oldstackframe357;
  gc_frame_end(frame);
  return obj357;
}
Object meth_lexer_commaToken370(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject371 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj371 = alloc_userobj2(3,4, objclass371);
  gc_frame_newslot(obj371);
if (objclass371 == NULL) {
  glfree(obj371->class->name);
  obj371->class->name = "new.commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj371, self, 0);
  addmethodreal(obj371,"outer", &reader_lexer_outer_372);
  Object oldself371 = self;
  struct StackFrameObject *oldstackframe371 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe371);
  gc_frame_newslot((Object)stackframe);
  self = obj371;
  Object *oldselfslot371 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter371 = (*(struct UserObject *)self).data[0], lowerouter371 = thisouter371;
  if (inheritingObject371) {
    struct UserObject *inho371 = (struct UserObject *)inheritingObject371;
    while (inho371->super != GraceDefaultObject) inho371 = (struct UserObject *)inho371->super;
    inho371->super = obj371;
    self = inheritingObject371;
    *selfslot = self;
    lowerouter371 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter371;
  }
if (objclass371 == NULL) {
  Method *reader373 = addmethodrealflags(obj371, "kind",&reader_lexer_kind_373, MFLAG_DEF);
  reader373->definitionModule = modulename;
  reader373->definitionLine = 177;
}
adddatum2(obj371, alloc_Undefined(), 1);
if (objclass371 == NULL) {
  Method *reader374 = addmethodrealflags(obj371, "value",&reader_lexer_value_374, MFLAG_DEF);
  reader374->definitionModule = modulename;
  reader374->definitionLine = 178;
}
adddatum2(obj371, alloc_Undefined(), 2);
if (objclass371 == NULL) {
  Method *reader375 = addmethodrealflags(obj371, "size",&reader_lexer_size_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 179;
}
adddatum2(obj371, alloc_Undefined(), 3);
  sourceObject = obj371;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe376 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe377 = gc_frame_new();
// call case 3: self.outer request
  Object call378 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe377);
// compiled member node returning call378 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethodflags(call378, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe376);
// compiled call node returning call379 (depth = 2)
  struct UserObject *obj371_uo = (struct UserObject *)obj371;
  obj371_uo->super = call379;
  sourceObject = obj371;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit380 == NULL) {
    strlit380 = alloc_String("comma");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 2)
  adddatum2(obj371, strlit380, 1);
  sourceObject = obj371;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit381 == NULL) {
    strlit381 = alloc_String(",");
    gc_root(strlit381);
  }
// compiled string node returning strlit381 (depth = 2)
  adddatum2(obj371, strlit381, 2);
  sourceObject = obj371;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num382 = alloc_Float64(1);
// compiled num node returning num382 (depth = 2)
  adddatum2(obj371, num382, 3);
  objclass371 = obj371->class;
  objclass371->definitionModule = modulename;
  objclass371->definitionLine = 175;
  (*(struct UserObject *)self).data[0] = lowerouter371;
  self = oldself371;
  selfslot = oldselfslot371;
  stackframe = oldstackframe371;
  gc_frame_end(frame);
  return obj371;
}
Object meth_lexer_commaToken370_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject371 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj371 = alloc_userobj2(3,4, objclass371);
  gc_frame_newslot(obj371);
if (objclass371 == NULL) {
  glfree(obj371->class->name);
  obj371->class->name = "new.commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj371, self, 0);
  addmethodreal(obj371,"outer", &reader_lexer_outer_372);
  Object oldself371 = self;
  struct StackFrameObject *oldstackframe371 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe371);
  gc_frame_newslot((Object)stackframe);
  self = obj371;
  Object *oldselfslot371 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter371 = (*(struct UserObject *)self).data[0], lowerouter371 = thisouter371;
  if (inheritingObject371) {
    struct UserObject *inho371 = (struct UserObject *)inheritingObject371;
    while (inho371->super != GraceDefaultObject) inho371 = (struct UserObject *)inho371->super;
    inho371->super = obj371;
    self = inheritingObject371;
    *selfslot = self;
    lowerouter371 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter371;
  }
if (objclass371 == NULL) {
  Method *reader373 = addmethodrealflags(obj371, "kind",&reader_lexer_kind_373, MFLAG_DEF);
  reader373->definitionModule = modulename;
  reader373->definitionLine = 177;
}
adddatum2(obj371, alloc_Undefined(), 1);
if (objclass371 == NULL) {
  Method *reader374 = addmethodrealflags(obj371, "value",&reader_lexer_value_374, MFLAG_DEF);
  reader374->definitionModule = modulename;
  reader374->definitionLine = 178;
}
adddatum2(obj371, alloc_Undefined(), 2);
if (objclass371 == NULL) {
  Method *reader375 = addmethodrealflags(obj371, "size",&reader_lexer_size_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 179;
}
adddatum2(obj371, alloc_Undefined(), 3);
  sourceObject = obj371;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe376 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe377 = gc_frame_new();
// call case 3: self.outer request
  Object call378 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe377);
// compiled member node returning call378 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethodflags(call378, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe376);
// compiled call node returning call379 (depth = 2)
  struct UserObject *obj371_uo = (struct UserObject *)obj371;
  obj371_uo->super = call379;
  sourceObject = obj371;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit380 == NULL) {
    strlit380 = alloc_String("comma");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 2)
  adddatum2(obj371, strlit380, 1);
  sourceObject = obj371;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit381 == NULL) {
    strlit381 = alloc_String(",");
    gc_root(strlit381);
  }
// compiled string node returning strlit381 (depth = 2)
  adddatum2(obj371, strlit381, 2);
  sourceObject = obj371;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num382 = alloc_Float64(1);
// compiled num node returning num382 (depth = 2)
  adddatum2(obj371, num382, 3);
  objclass371 = obj371->class;
  objclass371->definitionModule = modulename;
  objclass371->definitionLine = 175;
  (*(struct UserObject *)self).data[0] = lowerouter371;
  self = oldself371;
  selfslot = oldselfslot371;
  stackframe = oldstackframe371;
  gc_frame_end(frame);
  return obj371;
}
Object meth_lexer_colonToken384(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject385 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj385 = alloc_userobj2(3,4, objclass385);
  gc_frame_newslot(obj385);
if (objclass385 == NULL) {
  glfree(obj385->class->name);
  obj385->class->name = "new.colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj385, self, 0);
  addmethodreal(obj385,"outer", &reader_lexer_outer_386);
  Object oldself385 = self;
  struct StackFrameObject *oldstackframe385 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe385);
  gc_frame_newslot((Object)stackframe);
  self = obj385;
  Object *oldselfslot385 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter385 = (*(struct UserObject *)self).data[0], lowerouter385 = thisouter385;
  if (inheritingObject385) {
    struct UserObject *inho385 = (struct UserObject *)inheritingObject385;
    while (inho385->super != GraceDefaultObject) inho385 = (struct UserObject *)inho385->super;
    inho385->super = obj385;
    self = inheritingObject385;
    *selfslot = self;
    lowerouter385 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter385;
  }
if (objclass385 == NULL) {
  Method *reader387 = addmethodrealflags(obj385, "kind",&reader_lexer_kind_387, MFLAG_DEF);
  reader387->definitionModule = modulename;
  reader387->definitionLine = 183;
}
adddatum2(obj385, alloc_Undefined(), 1);
if (objclass385 == NULL) {
  Method *reader388 = addmethodrealflags(obj385, "value",&reader_lexer_value_388, MFLAG_DEF);
  reader388->definitionModule = modulename;
  reader388->definitionLine = 184;
}
adddatum2(obj385, alloc_Undefined(), 2);
if (objclass385 == NULL) {
  Method *reader389 = addmethodrealflags(obj385, "size",&reader_lexer_size_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 185;
}
adddatum2(obj385, alloc_Undefined(), 3);
  sourceObject = obj385;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe390 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe391 = gc_frame_new();
// call case 3: self.outer request
  Object call392 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe391);
// compiled member node returning call392 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethodflags(call392, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe390);
// compiled call node returning call393 (depth = 2)
  struct UserObject *obj385_uo = (struct UserObject *)obj385;
  obj385_uo->super = call393;
  sourceObject = obj385;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit394 == NULL) {
    strlit394 = alloc_String("colon");
    gc_root(strlit394);
  }
// compiled string node returning strlit394 (depth = 2)
  adddatum2(obj385, strlit394, 1);
  sourceObject = obj385;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit395 == NULL) {
    strlit395 = alloc_String(":");
    gc_root(strlit395);
  }
// compiled string node returning strlit395 (depth = 2)
  adddatum2(obj385, strlit395, 2);
  sourceObject = obj385;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num396 = alloc_Float64(1);
// compiled num node returning num396 (depth = 2)
  adddatum2(obj385, num396, 3);
  objclass385 = obj385->class;
  objclass385->definitionModule = modulename;
  objclass385->definitionLine = 181;
  (*(struct UserObject *)self).data[0] = lowerouter385;
  self = oldself385;
  selfslot = oldselfslot385;
  stackframe = oldstackframe385;
  gc_frame_end(frame);
  return obj385;
}
Object meth_lexer_colonToken384_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject385 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj385 = alloc_userobj2(3,4, objclass385);
  gc_frame_newslot(obj385);
if (objclass385 == NULL) {
  glfree(obj385->class->name);
  obj385->class->name = "new.colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj385, self, 0);
  addmethodreal(obj385,"outer", &reader_lexer_outer_386);
  Object oldself385 = self;
  struct StackFrameObject *oldstackframe385 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe385);
  gc_frame_newslot((Object)stackframe);
  self = obj385;
  Object *oldselfslot385 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter385 = (*(struct UserObject *)self).data[0], lowerouter385 = thisouter385;
  if (inheritingObject385) {
    struct UserObject *inho385 = (struct UserObject *)inheritingObject385;
    while (inho385->super != GraceDefaultObject) inho385 = (struct UserObject *)inho385->super;
    inho385->super = obj385;
    self = inheritingObject385;
    *selfslot = self;
    lowerouter385 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter385;
  }
if (objclass385 == NULL) {
  Method *reader387 = addmethodrealflags(obj385, "kind",&reader_lexer_kind_387, MFLAG_DEF);
  reader387->definitionModule = modulename;
  reader387->definitionLine = 183;
}
adddatum2(obj385, alloc_Undefined(), 1);
if (objclass385 == NULL) {
  Method *reader388 = addmethodrealflags(obj385, "value",&reader_lexer_value_388, MFLAG_DEF);
  reader388->definitionModule = modulename;
  reader388->definitionLine = 184;
}
adddatum2(obj385, alloc_Undefined(), 2);
if (objclass385 == NULL) {
  Method *reader389 = addmethodrealflags(obj385, "size",&reader_lexer_size_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 185;
}
adddatum2(obj385, alloc_Undefined(), 3);
  sourceObject = obj385;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe390 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe391 = gc_frame_new();
// call case 3: self.outer request
  Object call392 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe391);
// compiled member node returning call392 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethodflags(call392, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe390);
// compiled call node returning call393 (depth = 2)
  struct UserObject *obj385_uo = (struct UserObject *)obj385;
  obj385_uo->super = call393;
  sourceObject = obj385;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit394 == NULL) {
    strlit394 = alloc_String("colon");
    gc_root(strlit394);
  }
// compiled string node returning strlit394 (depth = 2)
  adddatum2(obj385, strlit394, 1);
  sourceObject = obj385;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit395 == NULL) {
    strlit395 = alloc_String(":");
    gc_root(strlit395);
  }
// compiled string node returning strlit395 (depth = 2)
  adddatum2(obj385, strlit395, 2);
  sourceObject = obj385;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num396 = alloc_Float64(1);
// compiled num node returning num396 (depth = 2)
  adddatum2(obj385, num396, 3);
  objclass385 = obj385->class;
  objclass385->definitionModule = modulename;
  objclass385->definitionLine = 181;
  (*(struct UserObject *)self).data[0] = lowerouter385;
  self = oldself385;
  selfslot = oldselfslot385;
  stackframe = oldstackframe385;
  gc_frame_end(frame);
  return obj385;
}
Object meth_lexer_dotToken398(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject399 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj399 = alloc_userobj2(3,4, objclass399);
  gc_frame_newslot(obj399);
if (objclass399 == NULL) {
  glfree(obj399->class->name);
  obj399->class->name = "new.dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj399, self, 0);
  addmethodreal(obj399,"outer", &reader_lexer_outer_400);
  Object oldself399 = self;
  struct StackFrameObject *oldstackframe399 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe399);
  gc_frame_newslot((Object)stackframe);
  self = obj399;
  Object *oldselfslot399 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter399 = (*(struct UserObject *)self).data[0], lowerouter399 = thisouter399;
  if (inheritingObject399) {
    struct UserObject *inho399 = (struct UserObject *)inheritingObject399;
    while (inho399->super != GraceDefaultObject) inho399 = (struct UserObject *)inho399->super;
    inho399->super = obj399;
    self = inheritingObject399;
    *selfslot = self;
    lowerouter399 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter399;
  }
if (objclass399 == NULL) {
  Method *reader401 = addmethodrealflags(obj399, "kind",&reader_lexer_kind_401, MFLAG_DEF);
  reader401->definitionModule = modulename;
  reader401->definitionLine = 189;
}
adddatum2(obj399, alloc_Undefined(), 1);
if (objclass399 == NULL) {
  Method *reader402 = addmethodrealflags(obj399, "value",&reader_lexer_value_402, MFLAG_DEF);
  reader402->definitionModule = modulename;
  reader402->definitionLine = 190;
}
adddatum2(obj399, alloc_Undefined(), 2);
if (objclass399 == NULL) {
  Method *reader403 = addmethodrealflags(obj399, "size",&reader_lexer_size_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 191;
}
adddatum2(obj399, alloc_Undefined(), 3);
  sourceObject = obj399;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe404 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe405 = gc_frame_new();
// call case 3: self.outer request
  Object call406 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe405);
// compiled member node returning call406 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethodflags(call406, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe404);
// compiled call node returning call407 (depth = 2)
  struct UserObject *obj399_uo = (struct UserObject *)obj399;
  obj399_uo->super = call407;
  sourceObject = obj399;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit408 == NULL) {
    strlit408 = alloc_String("dot");
    gc_root(strlit408);
  }
// compiled string node returning strlit408 (depth = 2)
  adddatum2(obj399, strlit408, 1);
  sourceObject = obj399;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit409 == NULL) {
    strlit409 = alloc_String(".");
    gc_root(strlit409);
  }
// compiled string node returning strlit409 (depth = 2)
  adddatum2(obj399, strlit409, 2);
  sourceObject = obj399;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num410 = alloc_Float64(1);
// compiled num node returning num410 (depth = 2)
  adddatum2(obj399, num410, 3);
  objclass399 = obj399->class;
  objclass399->definitionModule = modulename;
  objclass399->definitionLine = 187;
  (*(struct UserObject *)self).data[0] = lowerouter399;
  self = oldself399;
  selfslot = oldselfslot399;
  stackframe = oldstackframe399;
  gc_frame_end(frame);
  return obj399;
}
Object meth_lexer_dotToken398_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject399 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj399 = alloc_userobj2(3,4, objclass399);
  gc_frame_newslot(obj399);
if (objclass399 == NULL) {
  glfree(obj399->class->name);
  obj399->class->name = "new.dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj399, self, 0);
  addmethodreal(obj399,"outer", &reader_lexer_outer_400);
  Object oldself399 = self;
  struct StackFrameObject *oldstackframe399 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe399);
  gc_frame_newslot((Object)stackframe);
  self = obj399;
  Object *oldselfslot399 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter399 = (*(struct UserObject *)self).data[0], lowerouter399 = thisouter399;
  if (inheritingObject399) {
    struct UserObject *inho399 = (struct UserObject *)inheritingObject399;
    while (inho399->super != GraceDefaultObject) inho399 = (struct UserObject *)inho399->super;
    inho399->super = obj399;
    self = inheritingObject399;
    *selfslot = self;
    lowerouter399 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter399;
  }
if (objclass399 == NULL) {
  Method *reader401 = addmethodrealflags(obj399, "kind",&reader_lexer_kind_401, MFLAG_DEF);
  reader401->definitionModule = modulename;
  reader401->definitionLine = 189;
}
adddatum2(obj399, alloc_Undefined(), 1);
if (objclass399 == NULL) {
  Method *reader402 = addmethodrealflags(obj399, "value",&reader_lexer_value_402, MFLAG_DEF);
  reader402->definitionModule = modulename;
  reader402->definitionLine = 190;
}
adddatum2(obj399, alloc_Undefined(), 2);
if (objclass399 == NULL) {
  Method *reader403 = addmethodrealflags(obj399, "size",&reader_lexer_size_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 191;
}
adddatum2(obj399, alloc_Undefined(), 3);
  sourceObject = obj399;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe404 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe405 = gc_frame_new();
// call case 3: self.outer request
  Object call406 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe405);
// compiled member node returning call406 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethodflags(call406, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe404);
// compiled call node returning call407 (depth = 2)
  struct UserObject *obj399_uo = (struct UserObject *)obj399;
  obj399_uo->super = call407;
  sourceObject = obj399;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit408 == NULL) {
    strlit408 = alloc_String("dot");
    gc_root(strlit408);
  }
// compiled string node returning strlit408 (depth = 2)
  adddatum2(obj399, strlit408, 1);
  sourceObject = obj399;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit409 == NULL) {
    strlit409 = alloc_String(".");
    gc_root(strlit409);
  }
// compiled string node returning strlit409 (depth = 2)
  adddatum2(obj399, strlit409, 2);
  sourceObject = obj399;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num410 = alloc_Float64(1);
// compiled num node returning num410 (depth = 2)
  adddatum2(obj399, num410, 3);
  objclass399 = obj399->class;
  objclass399->definitionModule = modulename;
  objclass399->definitionLine = 187;
  (*(struct UserObject *)self).data[0] = lowerouter399;
  self = oldself399;
  selfslot = oldselfslot399;
  stackframe = oldstackframe399;
  gc_frame_end(frame);
  return obj399;
}
Object meth_lexer_numToken_40_2_41_412(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject413 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj413 = alloc_userobj2(4,5, objclass413);
  gc_frame_newslot(obj413);
if (objclass413 == NULL) {
  glfree(obj413->class->name);
  obj413->class->name = "new.numToken(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj413, self, 0);
  addmethodreal(obj413,"outer", &reader_lexer_outer_414);
  Object oldself413 = self;
  struct StackFrameObject *oldstackframe413 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe413);
  gc_frame_newslot((Object)stackframe);
  self = obj413;
  Object *oldselfslot413 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter413 = (*(struct UserObject *)self).data[0], lowerouter413 = thisouter413;
  if (inheritingObject413) {
    struct UserObject *inho413 = (struct UserObject *)inheritingObject413;
    while (inho413->super != GraceDefaultObject) inho413 = (struct UserObject *)inho413->super;
    inho413->super = obj413;
    self = inheritingObject413;
    *selfslot = self;
    lowerouter413 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter413;
  }
if (objclass413 == NULL) {
  Method *reader415 = addmethodrealflags(obj413, "kind",&reader_lexer_kind_415, MFLAG_DEF);
  reader415->definitionModule = modulename;
  reader415->definitionLine = 195;
}
adddatum2(obj413, alloc_Undefined(), 1);
if (objclass413 == NULL) {
  Method *reader416 = addmethodrealflags(obj413, "value",&reader_lexer_value_416, MFLAG_DEF);
  reader416->definitionModule = modulename;
  reader416->definitionLine = 196;
}
adddatum2(obj413, alloc_Undefined(), 2);
if (objclass413 == NULL) {
  Method *reader417 = addmethodrealflags(obj413, "base",&reader_lexer_base_417, MFLAG_DEF);
  reader417->definitionModule = modulename;
  reader417->definitionLine = 197;
}
adddatum2(obj413, alloc_Undefined(), 3);
if (objclass413 == NULL) {
  Method *reader418 = addmethodrealflags(obj413, "size",&reader_lexer_size_418, MFLAG_DEF);
  reader418->definitionModule = modulename;
  reader418->definitionLine = 198;
}
adddatum2(obj413, alloc_Undefined(), 4);
  sourceObject = obj413;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe419 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe420 = gc_frame_new();
// call case 3: self.outer request
  Object call421 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe420);
// compiled member node returning call421 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call422 = callmethodflags(call421, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe419);
// compiled call node returning call422 (depth = 2)
  struct UserObject *obj413_uo = (struct UserObject *)obj413;
  obj413_uo->super = call422;
  sourceObject = obj413;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit423 == NULL) {
    strlit423 = alloc_String("num");
    gc_root(strlit423);
  }
// compiled string node returning strlit423 (depth = 2)
  adddatum2(obj413, strlit423, 1);
  sourceObject = obj413;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj413, *var_v, 2);
  sourceObject = obj413;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj413, *var_b, 3);
  sourceObject = obj413;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe425 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe426 = gc_frame_new();
// call case 3: self.outer request
  Object call427 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe426);
// compiled member node returning call427 (depth = 4)
  Object call428 = callmethodflags(call427, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe425);
// compiled member node returning call428 (depth = 3)
  int op_slot_right_424 = gc_frame_newslot(call428);
// starting to compile member node (depth = 3)
  int callframe430 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe431 = gc_frame_new();
// call case 3: self.outer request
  Object call432 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe431);
// compiled member node returning call432 (depth = 4)
  Object call433 = callmethodflags(call432, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe430);
// compiled member node returning call433 (depth = 3)
  int op_slot_left_424 = gc_frame_newslot(call433);
  params[0] = call428;
  partcv[0] = 1;
  Object diff434 = callmethod(call433, "-(1)", 1, partcv, params);
// compiled op node returning diff434 (depth = 2)
  adddatum2(obj413, diff434, 4);
  objclass413 = obj413->class;
  objclass413->definitionModule = modulename;
  objclass413->definitionLine = 193;
  (*(struct UserObject *)self).data[0] = lowerouter413;
  self = oldself413;
  selfslot = oldselfslot413;
  stackframe = oldstackframe413;
  gc_frame_end(frame);
  return obj413;
}
Object meth_lexer_numToken_40_2_41_412_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject413 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj413 = alloc_userobj2(4,5, objclass413);
  gc_frame_newslot(obj413);
if (objclass413 == NULL) {
  glfree(obj413->class->name);
  obj413->class->name = "new.numToken(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj413, self, 0);
  addmethodreal(obj413,"outer", &reader_lexer_outer_414);
  Object oldself413 = self;
  struct StackFrameObject *oldstackframe413 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe413);
  gc_frame_newslot((Object)stackframe);
  self = obj413;
  Object *oldselfslot413 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter413 = (*(struct UserObject *)self).data[0], lowerouter413 = thisouter413;
  if (inheritingObject413) {
    struct UserObject *inho413 = (struct UserObject *)inheritingObject413;
    while (inho413->super != GraceDefaultObject) inho413 = (struct UserObject *)inho413->super;
    inho413->super = obj413;
    self = inheritingObject413;
    *selfslot = self;
    lowerouter413 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter413;
  }
if (objclass413 == NULL) {
  Method *reader415 = addmethodrealflags(obj413, "kind",&reader_lexer_kind_415, MFLAG_DEF);
  reader415->definitionModule = modulename;
  reader415->definitionLine = 195;
}
adddatum2(obj413, alloc_Undefined(), 1);
if (objclass413 == NULL) {
  Method *reader416 = addmethodrealflags(obj413, "value",&reader_lexer_value_416, MFLAG_DEF);
  reader416->definitionModule = modulename;
  reader416->definitionLine = 196;
}
adddatum2(obj413, alloc_Undefined(), 2);
if (objclass413 == NULL) {
  Method *reader417 = addmethodrealflags(obj413, "base",&reader_lexer_base_417, MFLAG_DEF);
  reader417->definitionModule = modulename;
  reader417->definitionLine = 197;
}
adddatum2(obj413, alloc_Undefined(), 3);
if (objclass413 == NULL) {
  Method *reader418 = addmethodrealflags(obj413, "size",&reader_lexer_size_418, MFLAG_DEF);
  reader418->definitionModule = modulename;
  reader418->definitionLine = 198;
}
adddatum2(obj413, alloc_Undefined(), 4);
  sourceObject = obj413;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe419 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe420 = gc_frame_new();
// call case 3: self.outer request
  Object call421 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe420);
// compiled member node returning call421 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call422 = callmethodflags(call421, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe419);
// compiled call node returning call422 (depth = 2)
  struct UserObject *obj413_uo = (struct UserObject *)obj413;
  obj413_uo->super = call422;
  sourceObject = obj413;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit423 == NULL) {
    strlit423 = alloc_String("num");
    gc_root(strlit423);
  }
// compiled string node returning strlit423 (depth = 2)
  adddatum2(obj413, strlit423, 1);
  sourceObject = obj413;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj413, *var_v, 2);
  sourceObject = obj413;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj413, *var_b, 3);
  sourceObject = obj413;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe425 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe426 = gc_frame_new();
// call case 3: self.outer request
  Object call427 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe426);
// compiled member node returning call427 (depth = 4)
  Object call428 = callmethodflags(call427, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe425);
// compiled member node returning call428 (depth = 3)
  int op_slot_right_424 = gc_frame_newslot(call428);
// starting to compile member node (depth = 3)
  int callframe430 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe431 = gc_frame_new();
// call case 3: self.outer request
  Object call432 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe431);
// compiled member node returning call432 (depth = 4)
  Object call433 = callmethodflags(call432, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe430);
// compiled member node returning call433 (depth = 3)
  int op_slot_left_424 = gc_frame_newslot(call433);
  params[0] = call428;
  partcv[0] = 1;
  Object diff434 = callmethod(call433, "-(1)", 1, partcv, params);
// compiled op node returning diff434 (depth = 2)
  adddatum2(obj413, diff434, 4);
  objclass413 = obj413->class;
  objclass413->definitionModule = modulename;
  objclass413->definitionLine = 193;
  (*(struct UserObject *)self).data[0] = lowerouter413;
  self = oldself413;
  selfslot = oldselfslot413;
  stackframe = oldstackframe413;
  gc_frame_end(frame);
  return obj413;
}
Object meth_lexer_keywordToken_40_1_41_436(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject437 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj437 = alloc_userobj2(3,4, objclass437);
  gc_frame_newslot(obj437);
if (objclass437 == NULL) {
  glfree(obj437->class->name);
  obj437->class->name = "new.keywordToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj437, self, 0);
  addmethodreal(obj437,"outer", &reader_lexer_outer_438);
  Object oldself437 = self;
  struct StackFrameObject *oldstackframe437 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe437);
  gc_frame_newslot((Object)stackframe);
  self = obj437;
  Object *oldselfslot437 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter437 = (*(struct UserObject *)self).data[0], lowerouter437 = thisouter437;
  if (inheritingObject437) {
    struct UserObject *inho437 = (struct UserObject *)inheritingObject437;
    while (inho437->super != GraceDefaultObject) inho437 = (struct UserObject *)inho437->super;
    inho437->super = obj437;
    self = inheritingObject437;
    *selfslot = self;
    lowerouter437 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter437;
  }
if (objclass437 == NULL) {
  Method *reader439 = addmethodrealflags(obj437, "kind",&reader_lexer_kind_439, MFLAG_DEF);
  reader439->definitionModule = modulename;
  reader439->definitionLine = 202;
}
adddatum2(obj437, alloc_Undefined(), 1);
if (objclass437 == NULL) {
  Method *reader440 = addmethodrealflags(obj437, "value",&reader_lexer_value_440, MFLAG_DEF);
  reader440->definitionModule = modulename;
  reader440->definitionLine = 203;
}
adddatum2(obj437, alloc_Undefined(), 2);
if (objclass437 == NULL) {
  Method *reader441 = addmethodrealflags(obj437, "size",&reader_lexer_size_441, MFLAG_DEF);
  reader441->definitionModule = modulename;
  reader441->definitionLine = 204;
}
adddatum2(obj437, alloc_Undefined(), 3);
  sourceObject = obj437;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe442 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe443 = gc_frame_new();
// call case 3: self.outer request
  Object call444 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe443);
// compiled member node returning call444 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call445 = callmethodflags(call444, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe442);
// compiled call node returning call445 (depth = 2)
  struct UserObject *obj437_uo = (struct UserObject *)obj437;
  obj437_uo->super = call445;
  sourceObject = obj437;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit446 == NULL) {
    strlit446 = alloc_String("keyword");
    gc_root(strlit446);
  }
// compiled string node returning strlit446 (depth = 2)
  adddatum2(obj437, strlit446, 1);
  sourceObject = obj437;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj437, *var_v, 2);
  sourceObject = obj437;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe447 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call448 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe447);
// compiled member node returning call448 (depth = 2)
  adddatum2(obj437, call448, 3);
  objclass437 = obj437->class;
  objclass437->definitionModule = modulename;
  objclass437->definitionLine = 200;
  (*(struct UserObject *)self).data[0] = lowerouter437;
  self = oldself437;
  selfslot = oldselfslot437;
  stackframe = oldstackframe437;
  gc_frame_end(frame);
  return obj437;
}
Object meth_lexer_keywordToken_40_1_41_436_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject437 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj437 = alloc_userobj2(3,4, objclass437);
  gc_frame_newslot(obj437);
if (objclass437 == NULL) {
  glfree(obj437->class->name);
  obj437->class->name = "new.keywordToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj437, self, 0);
  addmethodreal(obj437,"outer", &reader_lexer_outer_438);
  Object oldself437 = self;
  struct StackFrameObject *oldstackframe437 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe437);
  gc_frame_newslot((Object)stackframe);
  self = obj437;
  Object *oldselfslot437 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter437 = (*(struct UserObject *)self).data[0], lowerouter437 = thisouter437;
  if (inheritingObject437) {
    struct UserObject *inho437 = (struct UserObject *)inheritingObject437;
    while (inho437->super != GraceDefaultObject) inho437 = (struct UserObject *)inho437->super;
    inho437->super = obj437;
    self = inheritingObject437;
    *selfslot = self;
    lowerouter437 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter437;
  }
if (objclass437 == NULL) {
  Method *reader439 = addmethodrealflags(obj437, "kind",&reader_lexer_kind_439, MFLAG_DEF);
  reader439->definitionModule = modulename;
  reader439->definitionLine = 202;
}
adddatum2(obj437, alloc_Undefined(), 1);
if (objclass437 == NULL) {
  Method *reader440 = addmethodrealflags(obj437, "value",&reader_lexer_value_440, MFLAG_DEF);
  reader440->definitionModule = modulename;
  reader440->definitionLine = 203;
}
adddatum2(obj437, alloc_Undefined(), 2);
if (objclass437 == NULL) {
  Method *reader441 = addmethodrealflags(obj437, "size",&reader_lexer_size_441, MFLAG_DEF);
  reader441->definitionModule = modulename;
  reader441->definitionLine = 204;
}
adddatum2(obj437, alloc_Undefined(), 3);
  sourceObject = obj437;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe442 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe443 = gc_frame_new();
// call case 3: self.outer request
  Object call444 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe443);
// compiled member node returning call444 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call445 = callmethodflags(call444, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe442);
// compiled call node returning call445 (depth = 2)
  struct UserObject *obj437_uo = (struct UserObject *)obj437;
  obj437_uo->super = call445;
  sourceObject = obj437;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit446 == NULL) {
    strlit446 = alloc_String("keyword");
    gc_root(strlit446);
  }
// compiled string node returning strlit446 (depth = 2)
  adddatum2(obj437, strlit446, 1);
  sourceObject = obj437;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj437, *var_v, 2);
  sourceObject = obj437;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe447 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call448 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe447);
// compiled member node returning call448 (depth = 2)
  adddatum2(obj437, call448, 3);
  objclass437 = obj437->class;
  objclass437->definitionModule = modulename;
  objclass437->definitionLine = 200;
  (*(struct UserObject *)self).data[0] = lowerouter437;
  self = oldself437;
  selfslot = oldselfslot437;
  stackframe = oldstackframe437;
  gc_frame_end(frame);
  return obj437;
}
Object meth_lexer_opToken_40_1_41_450(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject451 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj451 = alloc_userobj2(3,4, objclass451);
  gc_frame_newslot(obj451);
if (objclass451 == NULL) {
  glfree(obj451->class->name);
  obj451->class->name = "new.opToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj451, self, 0);
  addmethodreal(obj451,"outer", &reader_lexer_outer_452);
  Object oldself451 = self;
  struct StackFrameObject *oldstackframe451 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe451);
  gc_frame_newslot((Object)stackframe);
  self = obj451;
  Object *oldselfslot451 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter451 = (*(struct UserObject *)self).data[0], lowerouter451 = thisouter451;
  if (inheritingObject451) {
    struct UserObject *inho451 = (struct UserObject *)inheritingObject451;
    while (inho451->super != GraceDefaultObject) inho451 = (struct UserObject *)inho451->super;
    inho451->super = obj451;
    self = inheritingObject451;
    *selfslot = self;
    lowerouter451 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter451;
  }
if (objclass451 == NULL) {
  Method *reader453 = addmethodrealflags(obj451, "kind",&reader_lexer_kind_453, MFLAG_DEF);
  reader453->definitionModule = modulename;
  reader453->definitionLine = 208;
}
adddatum2(obj451, alloc_Undefined(), 1);
if (objclass451 == NULL) {
  Method *reader454 = addmethodrealflags(obj451, "value",&reader_lexer_value_454, MFLAG_DEF);
  reader454->definitionModule = modulename;
  reader454->definitionLine = 209;
}
adddatum2(obj451, alloc_Undefined(), 2);
if (objclass451 == NULL) {
  Method *reader455 = addmethodrealflags(obj451, "size",&reader_lexer_size_455, MFLAG_DEF);
  reader455->definitionModule = modulename;
  reader455->definitionLine = 210;
}
adddatum2(obj451, alloc_Undefined(), 3);
  sourceObject = obj451;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe456 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe457 = gc_frame_new();
// call case 3: self.outer request
  Object call458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call459 = callmethodflags(call458, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe456);
// compiled call node returning call459 (depth = 2)
  struct UserObject *obj451_uo = (struct UserObject *)obj451;
  obj451_uo->super = call459;
  sourceObject = obj451;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit460 == NULL) {
    strlit460 = alloc_String("op");
    gc_root(strlit460);
  }
// compiled string node returning strlit460 (depth = 2)
  adddatum2(obj451, strlit460, 1);
  sourceObject = obj451;
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj451, *var_v, 2);
  sourceObject = obj451;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call462 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe461);
// compiled member node returning call462 (depth = 2)
  adddatum2(obj451, call462, 3);
  objclass451 = obj451->class;
  objclass451->definitionModule = modulename;
  objclass451->definitionLine = 206;
  (*(struct UserObject *)self).data[0] = lowerouter451;
  self = oldself451;
  selfslot = oldselfslot451;
  stackframe = oldstackframe451;
  gc_frame_end(frame);
  return obj451;
}
Object meth_lexer_opToken_40_1_41_450_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject451 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj451 = alloc_userobj2(3,4, objclass451);
  gc_frame_newslot(obj451);
if (objclass451 == NULL) {
  glfree(obj451->class->name);
  obj451->class->name = "new.opToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj451, self, 0);
  addmethodreal(obj451,"outer", &reader_lexer_outer_452);
  Object oldself451 = self;
  struct StackFrameObject *oldstackframe451 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe451);
  gc_frame_newslot((Object)stackframe);
  self = obj451;
  Object *oldselfslot451 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter451 = (*(struct UserObject *)self).data[0], lowerouter451 = thisouter451;
  if (inheritingObject451) {
    struct UserObject *inho451 = (struct UserObject *)inheritingObject451;
    while (inho451->super != GraceDefaultObject) inho451 = (struct UserObject *)inho451->super;
    inho451->super = obj451;
    self = inheritingObject451;
    *selfslot = self;
    lowerouter451 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter451;
  }
if (objclass451 == NULL) {
  Method *reader453 = addmethodrealflags(obj451, "kind",&reader_lexer_kind_453, MFLAG_DEF);
  reader453->definitionModule = modulename;
  reader453->definitionLine = 208;
}
adddatum2(obj451, alloc_Undefined(), 1);
if (objclass451 == NULL) {
  Method *reader454 = addmethodrealflags(obj451, "value",&reader_lexer_value_454, MFLAG_DEF);
  reader454->definitionModule = modulename;
  reader454->definitionLine = 209;
}
adddatum2(obj451, alloc_Undefined(), 2);
if (objclass451 == NULL) {
  Method *reader455 = addmethodrealflags(obj451, "size",&reader_lexer_size_455, MFLAG_DEF);
  reader455->definitionModule = modulename;
  reader455->definitionLine = 210;
}
adddatum2(obj451, alloc_Undefined(), 3);
  sourceObject = obj451;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe456 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe457 = gc_frame_new();
// call case 3: self.outer request
  Object call458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call459 = callmethodflags(call458, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe456);
// compiled call node returning call459 (depth = 2)
  struct UserObject *obj451_uo = (struct UserObject *)obj451;
  obj451_uo->super = call459;
  sourceObject = obj451;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit460 == NULL) {
    strlit460 = alloc_String("op");
    gc_root(strlit460);
  }
// compiled string node returning strlit460 (depth = 2)
  adddatum2(obj451, strlit460, 1);
  sourceObject = obj451;
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj451, *var_v, 2);
  sourceObject = obj451;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call462 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe461);
// compiled member node returning call462 (depth = 2)
  adddatum2(obj451, call462, 3);
  objclass451 = obj451->class;
  objclass451->definitionModule = modulename;
  objclass451->definitionLine = 206;
  (*(struct UserObject *)self).data[0] = lowerouter451;
  self = oldself451;
  selfslot = oldselfslot451;
  stackframe = oldstackframe451;
  gc_frame_end(frame);
  return obj451;
}
Object meth_lexer_arrowToken464(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject465 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj465 = alloc_userobj2(3,4, objclass465);
  gc_frame_newslot(obj465);
if (objclass465 == NULL) {
  glfree(obj465->class->name);
  obj465->class->name = "new.arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj465, self, 0);
  addmethodreal(obj465,"outer", &reader_lexer_outer_466);
  Object oldself465 = self;
  struct StackFrameObject *oldstackframe465 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe465);
  gc_frame_newslot((Object)stackframe);
  self = obj465;
  Object *oldselfslot465 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter465 = (*(struct UserObject *)self).data[0], lowerouter465 = thisouter465;
  if (inheritingObject465) {
    struct UserObject *inho465 = (struct UserObject *)inheritingObject465;
    while (inho465->super != GraceDefaultObject) inho465 = (struct UserObject *)inho465->super;
    inho465->super = obj465;
    self = inheritingObject465;
    *selfslot = self;
    lowerouter465 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter465;
  }
if (objclass465 == NULL) {
  Method *reader467 = addmethodrealflags(obj465, "kind",&reader_lexer_kind_467, MFLAG_DEF);
  reader467->definitionModule = modulename;
  reader467->definitionLine = 214;
}
adddatum2(obj465, alloc_Undefined(), 1);
if (objclass465 == NULL) {
  Method *reader468 = addmethodrealflags(obj465, "value",&reader_lexer_value_468, MFLAG_DEF);
  reader468->definitionModule = modulename;
  reader468->definitionLine = 215;
}
adddatum2(obj465, alloc_Undefined(), 2);
if (objclass465 == NULL) {
  Method *reader469 = addmethodrealflags(obj465, "size",&reader_lexer_size_469, MFLAG_DEF);
  reader469->definitionModule = modulename;
  reader469->definitionLine = 216;
}
adddatum2(obj465, alloc_Undefined(), 3);
  sourceObject = obj465;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe470 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe471 = gc_frame_new();
// call case 3: self.outer request
  Object call472 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe471);
// compiled member node returning call472 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call473 = callmethodflags(call472, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe470);
// compiled call node returning call473 (depth = 2)
  struct UserObject *obj465_uo = (struct UserObject *)obj465;
  obj465_uo->super = call473;
  sourceObject = obj465;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit474 == NULL) {
    strlit474 = alloc_String("arrow");
    gc_root(strlit474);
  }
// compiled string node returning strlit474 (depth = 2)
  adddatum2(obj465, strlit474, 1);
  sourceObject = obj465;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit475 == NULL) {
    strlit475 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit475);
  }
// compiled string node returning strlit475 (depth = 2)
  adddatum2(obj465, strlit475, 2);
  sourceObject = obj465;
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num476 = alloc_Float64(1);
// compiled num node returning num476 (depth = 2)
  adddatum2(obj465, num476, 3);
  objclass465 = obj465->class;
  objclass465->definitionModule = modulename;
  objclass465->definitionLine = 212;
  (*(struct UserObject *)self).data[0] = lowerouter465;
  self = oldself465;
  selfslot = oldselfslot465;
  stackframe = oldstackframe465;
  gc_frame_end(frame);
  return obj465;
}
Object meth_lexer_arrowToken464_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject465 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj465 = alloc_userobj2(3,4, objclass465);
  gc_frame_newslot(obj465);
if (objclass465 == NULL) {
  glfree(obj465->class->name);
  obj465->class->name = "new.arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj465, self, 0);
  addmethodreal(obj465,"outer", &reader_lexer_outer_466);
  Object oldself465 = self;
  struct StackFrameObject *oldstackframe465 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe465);
  gc_frame_newslot((Object)stackframe);
  self = obj465;
  Object *oldselfslot465 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter465 = (*(struct UserObject *)self).data[0], lowerouter465 = thisouter465;
  if (inheritingObject465) {
    struct UserObject *inho465 = (struct UserObject *)inheritingObject465;
    while (inho465->super != GraceDefaultObject) inho465 = (struct UserObject *)inho465->super;
    inho465->super = obj465;
    self = inheritingObject465;
    *selfslot = self;
    lowerouter465 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter465;
  }
if (objclass465 == NULL) {
  Method *reader467 = addmethodrealflags(obj465, "kind",&reader_lexer_kind_467, MFLAG_DEF);
  reader467->definitionModule = modulename;
  reader467->definitionLine = 214;
}
adddatum2(obj465, alloc_Undefined(), 1);
if (objclass465 == NULL) {
  Method *reader468 = addmethodrealflags(obj465, "value",&reader_lexer_value_468, MFLAG_DEF);
  reader468->definitionModule = modulename;
  reader468->definitionLine = 215;
}
adddatum2(obj465, alloc_Undefined(), 2);
if (objclass465 == NULL) {
  Method *reader469 = addmethodrealflags(obj465, "size",&reader_lexer_size_469, MFLAG_DEF);
  reader469->definitionModule = modulename;
  reader469->definitionLine = 216;
}
adddatum2(obj465, alloc_Undefined(), 3);
  sourceObject = obj465;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe470 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe471 = gc_frame_new();
// call case 3: self.outer request
  Object call472 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe471);
// compiled member node returning call472 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call473 = callmethodflags(call472, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe470);
// compiled call node returning call473 (depth = 2)
  struct UserObject *obj465_uo = (struct UserObject *)obj465;
  obj465_uo->super = call473;
  sourceObject = obj465;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit474 == NULL) {
    strlit474 = alloc_String("arrow");
    gc_root(strlit474);
  }
// compiled string node returning strlit474 (depth = 2)
  adddatum2(obj465, strlit474, 1);
  sourceObject = obj465;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit475 == NULL) {
    strlit475 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit475);
  }
// compiled string node returning strlit475 (depth = 2)
  adddatum2(obj465, strlit475, 2);
  sourceObject = obj465;
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num476 = alloc_Float64(1);
// compiled num node returning num476 (depth = 2)
  adddatum2(obj465, num476, 3);
  objclass465 = obj465->class;
  objclass465->definitionModule = modulename;
  objclass465->definitionLine = 212;
  (*(struct UserObject *)self).data[0] = lowerouter465;
  self = oldself465;
  selfslot = oldselfslot465;
  stackframe = oldstackframe465;
  gc_frame_end(frame);
  return obj465;
}
Object meth_lexer_bindToken478(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject479 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj479 = alloc_userobj2(3,4, objclass479);
  gc_frame_newslot(obj479);
if (objclass479 == NULL) {
  glfree(obj479->class->name);
  obj479->class->name = "new.bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj479, self, 0);
  addmethodreal(obj479,"outer", &reader_lexer_outer_480);
  Object oldself479 = self;
  struct StackFrameObject *oldstackframe479 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe479);
  gc_frame_newslot((Object)stackframe);
  self = obj479;
  Object *oldselfslot479 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter479 = (*(struct UserObject *)self).data[0], lowerouter479 = thisouter479;
  if (inheritingObject479) {
    struct UserObject *inho479 = (struct UserObject *)inheritingObject479;
    while (inho479->super != GraceDefaultObject) inho479 = (struct UserObject *)inho479->super;
    inho479->super = obj479;
    self = inheritingObject479;
    *selfslot = self;
    lowerouter479 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter479;
  }
if (objclass479 == NULL) {
  Method *reader481 = addmethodrealflags(obj479, "kind",&reader_lexer_kind_481, MFLAG_DEF);
  reader481->definitionModule = modulename;
  reader481->definitionLine = 220;
}
adddatum2(obj479, alloc_Undefined(), 1);
if (objclass479 == NULL) {
  Method *reader482 = addmethodrealflags(obj479, "value",&reader_lexer_value_482, MFLAG_DEF);
  reader482->definitionModule = modulename;
  reader482->definitionLine = 221;
}
adddatum2(obj479, alloc_Undefined(), 2);
if (objclass479 == NULL) {
  Method *reader483 = addmethodrealflags(obj479, "size",&reader_lexer_size_483, MFLAG_DEF);
  reader483->definitionModule = modulename;
  reader483->definitionLine = 222;
}
adddatum2(obj479, alloc_Undefined(), 3);
  sourceObject = obj479;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe484 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe485 = gc_frame_new();
// call case 3: self.outer request
  Object call486 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe485);
// compiled member node returning call486 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call487 = callmethodflags(call486, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe484);
// compiled call node returning call487 (depth = 2)
  struct UserObject *obj479_uo = (struct UserObject *)obj479;
  obj479_uo->super = call487;
  sourceObject = obj479;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit488 == NULL) {
    strlit488 = alloc_String("bind");
    gc_root(strlit488);
  }
// compiled string node returning strlit488 (depth = 2)
  adddatum2(obj479, strlit488, 1);
  sourceObject = obj479;
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit489 == NULL) {
    strlit489 = alloc_String(":=");
    gc_root(strlit489);
  }
// compiled string node returning strlit489 (depth = 2)
  adddatum2(obj479, strlit489, 2);
  sourceObject = obj479;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num490 = alloc_Float64(2);
// compiled num node returning num490 (depth = 2)
  adddatum2(obj479, num490, 3);
  objclass479 = obj479->class;
  objclass479->definitionModule = modulename;
  objclass479->definitionLine = 218;
  (*(struct UserObject *)self).data[0] = lowerouter479;
  self = oldself479;
  selfslot = oldselfslot479;
  stackframe = oldstackframe479;
  gc_frame_end(frame);
  return obj479;
}
Object meth_lexer_bindToken478_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject479 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj479 = alloc_userobj2(3,4, objclass479);
  gc_frame_newslot(obj479);
if (objclass479 == NULL) {
  glfree(obj479->class->name);
  obj479->class->name = "new.bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj479, self, 0);
  addmethodreal(obj479,"outer", &reader_lexer_outer_480);
  Object oldself479 = self;
  struct StackFrameObject *oldstackframe479 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe479);
  gc_frame_newslot((Object)stackframe);
  self = obj479;
  Object *oldselfslot479 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter479 = (*(struct UserObject *)self).data[0], lowerouter479 = thisouter479;
  if (inheritingObject479) {
    struct UserObject *inho479 = (struct UserObject *)inheritingObject479;
    while (inho479->super != GraceDefaultObject) inho479 = (struct UserObject *)inho479->super;
    inho479->super = obj479;
    self = inheritingObject479;
    *selfslot = self;
    lowerouter479 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter479;
  }
if (objclass479 == NULL) {
  Method *reader481 = addmethodrealflags(obj479, "kind",&reader_lexer_kind_481, MFLAG_DEF);
  reader481->definitionModule = modulename;
  reader481->definitionLine = 220;
}
adddatum2(obj479, alloc_Undefined(), 1);
if (objclass479 == NULL) {
  Method *reader482 = addmethodrealflags(obj479, "value",&reader_lexer_value_482, MFLAG_DEF);
  reader482->definitionModule = modulename;
  reader482->definitionLine = 221;
}
adddatum2(obj479, alloc_Undefined(), 2);
if (objclass479 == NULL) {
  Method *reader483 = addmethodrealflags(obj479, "size",&reader_lexer_size_483, MFLAG_DEF);
  reader483->definitionModule = modulename;
  reader483->definitionLine = 222;
}
adddatum2(obj479, alloc_Undefined(), 3);
  sourceObject = obj479;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe484 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe485 = gc_frame_new();
// call case 3: self.outer request
  Object call486 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe485);
// compiled member node returning call486 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call487 = callmethodflags(call486, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe484);
// compiled call node returning call487 (depth = 2)
  struct UserObject *obj479_uo = (struct UserObject *)obj479;
  obj479_uo->super = call487;
  sourceObject = obj479;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit488 == NULL) {
    strlit488 = alloc_String("bind");
    gc_root(strlit488);
  }
// compiled string node returning strlit488 (depth = 2)
  adddatum2(obj479, strlit488, 1);
  sourceObject = obj479;
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit489 == NULL) {
    strlit489 = alloc_String(":=");
    gc_root(strlit489);
  }
// compiled string node returning strlit489 (depth = 2)
  adddatum2(obj479, strlit489, 2);
  sourceObject = obj479;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num490 = alloc_Float64(2);
// compiled num node returning num490 (depth = 2)
  adddatum2(obj479, num490, 3);
  objclass479 = obj479->class;
  objclass479->definitionModule = modulename;
  objclass479->definitionLine = 218;
  (*(struct UserObject *)self).data[0] = lowerouter479;
  self = oldself479;
  selfslot = oldselfslot479;
  stackframe = oldstackframe479;
  gc_frame_end(frame);
  return obj479;
}
Object meth_lexer_semicolonToken492(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject493 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj493 = alloc_userobj2(3,4, objclass493);
  gc_frame_newslot(obj493);
if (objclass493 == NULL) {
  glfree(obj493->class->name);
  obj493->class->name = "new.semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj493, self, 0);
  addmethodreal(obj493,"outer", &reader_lexer_outer_494);
  Object oldself493 = self;
  struct StackFrameObject *oldstackframe493 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe493);
  gc_frame_newslot((Object)stackframe);
  self = obj493;
  Object *oldselfslot493 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter493 = (*(struct UserObject *)self).data[0], lowerouter493 = thisouter493;
  if (inheritingObject493) {
    struct UserObject *inho493 = (struct UserObject *)inheritingObject493;
    while (inho493->super != GraceDefaultObject) inho493 = (struct UserObject *)inho493->super;
    inho493->super = obj493;
    self = inheritingObject493;
    *selfslot = self;
    lowerouter493 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter493;
  }
if (objclass493 == NULL) {
  Method *reader495 = addmethodrealflags(obj493, "kind",&reader_lexer_kind_495, MFLAG_DEF);
  reader495->definitionModule = modulename;
  reader495->definitionLine = 226;
}
adddatum2(obj493, alloc_Undefined(), 1);
if (objclass493 == NULL) {
  Method *reader496 = addmethodrealflags(obj493, "value",&reader_lexer_value_496, MFLAG_DEF);
  reader496->definitionModule = modulename;
  reader496->definitionLine = 227;
}
adddatum2(obj493, alloc_Undefined(), 2);
if (objclass493 == NULL) {
  Method *reader497 = addmethodrealflags(obj493, "size",&reader_lexer_size_497, MFLAG_DEF);
  reader497->definitionModule = modulename;
  reader497->definitionLine = 228;
}
adddatum2(obj493, alloc_Undefined(), 3);
  sourceObject = obj493;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe498 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe499 = gc_frame_new();
// call case 3: self.outer request
  Object call500 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe499);
// compiled member node returning call500 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call501 = callmethodflags(call500, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe498);
// compiled call node returning call501 (depth = 2)
  struct UserObject *obj493_uo = (struct UserObject *)obj493;
  obj493_uo->super = call501;
  sourceObject = obj493;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit502 == NULL) {
    strlit502 = alloc_String("semicolon");
    gc_root(strlit502);
  }
// compiled string node returning strlit502 (depth = 2)
  adddatum2(obj493, strlit502, 1);
  sourceObject = obj493;
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit503 == NULL) {
    strlit503 = alloc_String(";");
    gc_root(strlit503);
  }
// compiled string node returning strlit503 (depth = 2)
  adddatum2(obj493, strlit503, 2);
  sourceObject = obj493;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num504 = alloc_Float64(1);
// compiled num node returning num504 (depth = 2)
  adddatum2(obj493, num504, 3);
  objclass493 = obj493->class;
  objclass493->definitionModule = modulename;
  objclass493->definitionLine = 224;
  (*(struct UserObject *)self).data[0] = lowerouter493;
  self = oldself493;
  selfslot = oldselfslot493;
  stackframe = oldstackframe493;
  gc_frame_end(frame);
  return obj493;
}
Object meth_lexer_semicolonToken492_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject493 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj493 = alloc_userobj2(3,4, objclass493);
  gc_frame_newslot(obj493);
if (objclass493 == NULL) {
  glfree(obj493->class->name);
  obj493->class->name = "new.semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj493, self, 0);
  addmethodreal(obj493,"outer", &reader_lexer_outer_494);
  Object oldself493 = self;
  struct StackFrameObject *oldstackframe493 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe493);
  gc_frame_newslot((Object)stackframe);
  self = obj493;
  Object *oldselfslot493 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter493 = (*(struct UserObject *)self).data[0], lowerouter493 = thisouter493;
  if (inheritingObject493) {
    struct UserObject *inho493 = (struct UserObject *)inheritingObject493;
    while (inho493->super != GraceDefaultObject) inho493 = (struct UserObject *)inho493->super;
    inho493->super = obj493;
    self = inheritingObject493;
    *selfslot = self;
    lowerouter493 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter493;
  }
if (objclass493 == NULL) {
  Method *reader495 = addmethodrealflags(obj493, "kind",&reader_lexer_kind_495, MFLAG_DEF);
  reader495->definitionModule = modulename;
  reader495->definitionLine = 226;
}
adddatum2(obj493, alloc_Undefined(), 1);
if (objclass493 == NULL) {
  Method *reader496 = addmethodrealflags(obj493, "value",&reader_lexer_value_496, MFLAG_DEF);
  reader496->definitionModule = modulename;
  reader496->definitionLine = 227;
}
adddatum2(obj493, alloc_Undefined(), 2);
if (objclass493 == NULL) {
  Method *reader497 = addmethodrealflags(obj493, "size",&reader_lexer_size_497, MFLAG_DEF);
  reader497->definitionModule = modulename;
  reader497->definitionLine = 228;
}
adddatum2(obj493, alloc_Undefined(), 3);
  sourceObject = obj493;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe498 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe499 = gc_frame_new();
// call case 3: self.outer request
  Object call500 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe499);
// compiled member node returning call500 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call501 = callmethodflags(call500, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe498);
// compiled call node returning call501 (depth = 2)
  struct UserObject *obj493_uo = (struct UserObject *)obj493;
  obj493_uo->super = call501;
  sourceObject = obj493;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit502 == NULL) {
    strlit502 = alloc_String("semicolon");
    gc_root(strlit502);
  }
// compiled string node returning strlit502 (depth = 2)
  adddatum2(obj493, strlit502, 1);
  sourceObject = obj493;
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit503 == NULL) {
    strlit503 = alloc_String(";");
    gc_root(strlit503);
  }
// compiled string node returning strlit503 (depth = 2)
  adddatum2(obj493, strlit503, 2);
  sourceObject = obj493;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num504 = alloc_Float64(1);
// compiled num node returning num504 (depth = 2)
  adddatum2(obj493, num504, 3);
  objclass493 = obj493->class;
  objclass493->definitionModule = modulename;
  objclass493->definitionLine = 224;
  (*(struct UserObject *)self).data[0] = lowerouter493;
  self = oldself493;
  selfslot = oldselfslot493;
  stackframe = oldstackframe493;
  gc_frame_end(frame);
  return obj493;
}
Object meth_lexer_lGenericToken506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject507 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj507 = alloc_userobj2(3,4, objclass507);
  gc_frame_newslot(obj507);
if (objclass507 == NULL) {
  glfree(obj507->class->name);
  obj507->class->name = "new.lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj507, self, 0);
  addmethodreal(obj507,"outer", &reader_lexer_outer_508);
  Object oldself507 = self;
  struct StackFrameObject *oldstackframe507 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe507);
  gc_frame_newslot((Object)stackframe);
  self = obj507;
  Object *oldselfslot507 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter507 = (*(struct UserObject *)self).data[0], lowerouter507 = thisouter507;
  if (inheritingObject507) {
    struct UserObject *inho507 = (struct UserObject *)inheritingObject507;
    while (inho507->super != GraceDefaultObject) inho507 = (struct UserObject *)inho507->super;
    inho507->super = obj507;
    self = inheritingObject507;
    *selfslot = self;
    lowerouter507 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter507;
  }
if (objclass507 == NULL) {
  Method *reader509 = addmethodrealflags(obj507, "kind",&reader_lexer_kind_509, MFLAG_DEF);
  reader509->definitionModule = modulename;
  reader509->definitionLine = 232;
}
adddatum2(obj507, alloc_Undefined(), 1);
if (objclass507 == NULL) {
  Method *reader510 = addmethodrealflags(obj507, "value",&reader_lexer_value_510, MFLAG_DEF);
  reader510->definitionModule = modulename;
  reader510->definitionLine = 233;
}
adddatum2(obj507, alloc_Undefined(), 2);
if (objclass507 == NULL) {
  Method *reader511 = addmethodrealflags(obj507, "size",&reader_lexer_size_511, MFLAG_DEF);
  reader511->definitionModule = modulename;
  reader511->definitionLine = 234;
}
adddatum2(obj507, alloc_Undefined(), 3);
  sourceObject = obj507;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe512 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe513 = gc_frame_new();
// call case 3: self.outer request
  Object call514 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe513);
// compiled member node returning call514 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call515 = callmethodflags(call514, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe512);
// compiled call node returning call515 (depth = 2)
  struct UserObject *obj507_uo = (struct UserObject *)obj507;
  obj507_uo->super = call515;
  sourceObject = obj507;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit516 == NULL) {
    strlit516 = alloc_String("lgeneric");
    gc_root(strlit516);
  }
// compiled string node returning strlit516 (depth = 2)
  adddatum2(obj507, strlit516, 1);
  sourceObject = obj507;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit517 == NULL) {
    strlit517 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit517);
  }
// compiled string node returning strlit517 (depth = 2)
  adddatum2(obj507, strlit517, 2);
  sourceObject = obj507;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num518 = alloc_Float64(1);
// compiled num node returning num518 (depth = 2)
  adddatum2(obj507, num518, 3);
  objclass507 = obj507->class;
  objclass507->definitionModule = modulename;
  objclass507->definitionLine = 230;
  (*(struct UserObject *)self).data[0] = lowerouter507;
  self = oldself507;
  selfslot = oldselfslot507;
  stackframe = oldstackframe507;
  gc_frame_end(frame);
  return obj507;
}
Object meth_lexer_lGenericToken506_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject507 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj507 = alloc_userobj2(3,4, objclass507);
  gc_frame_newslot(obj507);
if (objclass507 == NULL) {
  glfree(obj507->class->name);
  obj507->class->name = "new.lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj507, self, 0);
  addmethodreal(obj507,"outer", &reader_lexer_outer_508);
  Object oldself507 = self;
  struct StackFrameObject *oldstackframe507 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe507);
  gc_frame_newslot((Object)stackframe);
  self = obj507;
  Object *oldselfslot507 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter507 = (*(struct UserObject *)self).data[0], lowerouter507 = thisouter507;
  if (inheritingObject507) {
    struct UserObject *inho507 = (struct UserObject *)inheritingObject507;
    while (inho507->super != GraceDefaultObject) inho507 = (struct UserObject *)inho507->super;
    inho507->super = obj507;
    self = inheritingObject507;
    *selfslot = self;
    lowerouter507 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter507;
  }
if (objclass507 == NULL) {
  Method *reader509 = addmethodrealflags(obj507, "kind",&reader_lexer_kind_509, MFLAG_DEF);
  reader509->definitionModule = modulename;
  reader509->definitionLine = 232;
}
adddatum2(obj507, alloc_Undefined(), 1);
if (objclass507 == NULL) {
  Method *reader510 = addmethodrealflags(obj507, "value",&reader_lexer_value_510, MFLAG_DEF);
  reader510->definitionModule = modulename;
  reader510->definitionLine = 233;
}
adddatum2(obj507, alloc_Undefined(), 2);
if (objclass507 == NULL) {
  Method *reader511 = addmethodrealflags(obj507, "size",&reader_lexer_size_511, MFLAG_DEF);
  reader511->definitionModule = modulename;
  reader511->definitionLine = 234;
}
adddatum2(obj507, alloc_Undefined(), 3);
  sourceObject = obj507;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe512 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe513 = gc_frame_new();
// call case 3: self.outer request
  Object call514 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe513);
// compiled member node returning call514 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call515 = callmethodflags(call514, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe512);
// compiled call node returning call515 (depth = 2)
  struct UserObject *obj507_uo = (struct UserObject *)obj507;
  obj507_uo->super = call515;
  sourceObject = obj507;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit516 == NULL) {
    strlit516 = alloc_String("lgeneric");
    gc_root(strlit516);
  }
// compiled string node returning strlit516 (depth = 2)
  adddatum2(obj507, strlit516, 1);
  sourceObject = obj507;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit517 == NULL) {
    strlit517 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit517);
  }
// compiled string node returning strlit517 (depth = 2)
  adddatum2(obj507, strlit517, 2);
  sourceObject = obj507;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num518 = alloc_Float64(1);
// compiled num node returning num518 (depth = 2)
  adddatum2(obj507, num518, 3);
  objclass507 = obj507->class;
  objclass507->definitionModule = modulename;
  objclass507->definitionLine = 230;
  (*(struct UserObject *)self).data[0] = lowerouter507;
  self = oldself507;
  selfslot = oldselfslot507;
  stackframe = oldstackframe507;
  gc_frame_end(frame);
  return obj507;
}
Object meth_lexer_rGenericToken520(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject521 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj521 = alloc_userobj2(3,4, objclass521);
  gc_frame_newslot(obj521);
if (objclass521 == NULL) {
  glfree(obj521->class->name);
  obj521->class->name = "new.rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj521, self, 0);
  addmethodreal(obj521,"outer", &reader_lexer_outer_522);
  Object oldself521 = self;
  struct StackFrameObject *oldstackframe521 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe521);
  gc_frame_newslot((Object)stackframe);
  self = obj521;
  Object *oldselfslot521 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter521 = (*(struct UserObject *)self).data[0], lowerouter521 = thisouter521;
  if (inheritingObject521) {
    struct UserObject *inho521 = (struct UserObject *)inheritingObject521;
    while (inho521->super != GraceDefaultObject) inho521 = (struct UserObject *)inho521->super;
    inho521->super = obj521;
    self = inheritingObject521;
    *selfslot = self;
    lowerouter521 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter521;
  }
if (objclass521 == NULL) {
  Method *reader523 = addmethodrealflags(obj521, "kind",&reader_lexer_kind_523, MFLAG_DEF);
  reader523->definitionModule = modulename;
  reader523->definitionLine = 238;
}
adddatum2(obj521, alloc_Undefined(), 1);
if (objclass521 == NULL) {
  Method *reader524 = addmethodrealflags(obj521, "value",&reader_lexer_value_524, MFLAG_DEF);
  reader524->definitionModule = modulename;
  reader524->definitionLine = 239;
}
adddatum2(obj521, alloc_Undefined(), 2);
if (objclass521 == NULL) {
  Method *reader525 = addmethodrealflags(obj521, "size",&reader_lexer_size_525, MFLAG_DEF);
  reader525->definitionModule = modulename;
  reader525->definitionLine = 240;
}
adddatum2(obj521, alloc_Undefined(), 3);
  sourceObject = obj521;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe526 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe527 = gc_frame_new();
// call case 3: self.outer request
  Object call528 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe527);
// compiled member node returning call528 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call529 = callmethodflags(call528, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe526);
// compiled call node returning call529 (depth = 2)
  struct UserObject *obj521_uo = (struct UserObject *)obj521;
  obj521_uo->super = call529;
  sourceObject = obj521;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit530 == NULL) {
    strlit530 = alloc_String("rgeneric");
    gc_root(strlit530);
  }
// compiled string node returning strlit530 (depth = 2)
  adddatum2(obj521, strlit530, 1);
  sourceObject = obj521;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit531 == NULL) {
    strlit531 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit531);
  }
// compiled string node returning strlit531 (depth = 2)
  adddatum2(obj521, strlit531, 2);
  sourceObject = obj521;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num532 = alloc_Float64(1);
// compiled num node returning num532 (depth = 2)
  adddatum2(obj521, num532, 3);
  objclass521 = obj521->class;
  objclass521->definitionModule = modulename;
  objclass521->definitionLine = 236;
  (*(struct UserObject *)self).data[0] = lowerouter521;
  self = oldself521;
  selfslot = oldselfslot521;
  stackframe = oldstackframe521;
  gc_frame_end(frame);
  return obj521;
}
Object meth_lexer_rGenericToken520_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject521 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj521 = alloc_userobj2(3,4, objclass521);
  gc_frame_newslot(obj521);
if (objclass521 == NULL) {
  glfree(obj521->class->name);
  obj521->class->name = "new.rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj521, self, 0);
  addmethodreal(obj521,"outer", &reader_lexer_outer_522);
  Object oldself521 = self;
  struct StackFrameObject *oldstackframe521 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe521);
  gc_frame_newslot((Object)stackframe);
  self = obj521;
  Object *oldselfslot521 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter521 = (*(struct UserObject *)self).data[0], lowerouter521 = thisouter521;
  if (inheritingObject521) {
    struct UserObject *inho521 = (struct UserObject *)inheritingObject521;
    while (inho521->super != GraceDefaultObject) inho521 = (struct UserObject *)inho521->super;
    inho521->super = obj521;
    self = inheritingObject521;
    *selfslot = self;
    lowerouter521 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter521;
  }
if (objclass521 == NULL) {
  Method *reader523 = addmethodrealflags(obj521, "kind",&reader_lexer_kind_523, MFLAG_DEF);
  reader523->definitionModule = modulename;
  reader523->definitionLine = 238;
}
adddatum2(obj521, alloc_Undefined(), 1);
if (objclass521 == NULL) {
  Method *reader524 = addmethodrealflags(obj521, "value",&reader_lexer_value_524, MFLAG_DEF);
  reader524->definitionModule = modulename;
  reader524->definitionLine = 239;
}
adddatum2(obj521, alloc_Undefined(), 2);
if (objclass521 == NULL) {
  Method *reader525 = addmethodrealflags(obj521, "size",&reader_lexer_size_525, MFLAG_DEF);
  reader525->definitionModule = modulename;
  reader525->definitionLine = 240;
}
adddatum2(obj521, alloc_Undefined(), 3);
  sourceObject = obj521;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe526 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe527 = gc_frame_new();
// call case 3: self.outer request
  Object call528 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe527);
// compiled member node returning call528 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call529 = callmethodflags(call528, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe526);
// compiled call node returning call529 (depth = 2)
  struct UserObject *obj521_uo = (struct UserObject *)obj521;
  obj521_uo->super = call529;
  sourceObject = obj521;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit530 == NULL) {
    strlit530 = alloc_String("rgeneric");
    gc_root(strlit530);
  }
// compiled string node returning strlit530 (depth = 2)
  adddatum2(obj521, strlit530, 1);
  sourceObject = obj521;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit531 == NULL) {
    strlit531 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit531);
  }
// compiled string node returning strlit531 (depth = 2)
  adddatum2(obj521, strlit531, 2);
  sourceObject = obj521;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num532 = alloc_Float64(1);
// compiled num node returning num532 (depth = 2)
  adddatum2(obj521, num532, 3);
  objclass521 = obj521->class;
  objclass521->definitionModule = modulename;
  objclass521->definitionLine = 236;
  (*(struct UserObject *)self).data[0] = lowerouter521;
  self = oldself521;
  selfslot = oldselfslot521;
  stackframe = oldstackframe521;
  gc_frame_end(frame);
  return obj521;
}
Object meth_lexer_eofToken534(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject535 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj535 = alloc_userobj2(3,4, objclass535);
  gc_frame_newslot(obj535);
if (objclass535 == NULL) {
  glfree(obj535->class->name);
  obj535->class->name = "new.eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj535, self, 0);
  addmethodreal(obj535,"outer", &reader_lexer_outer_536);
  Object oldself535 = self;
  struct StackFrameObject *oldstackframe535 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe535);
  gc_frame_newslot((Object)stackframe);
  self = obj535;
  Object *oldselfslot535 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter535 = (*(struct UserObject *)self).data[0], lowerouter535 = thisouter535;
  if (inheritingObject535) {
    struct UserObject *inho535 = (struct UserObject *)inheritingObject535;
    while (inho535->super != GraceDefaultObject) inho535 = (struct UserObject *)inho535->super;
    inho535->super = obj535;
    self = inheritingObject535;
    *selfslot = self;
    lowerouter535 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter535;
  }
if (objclass535 == NULL) {
  Method *reader537 = addmethodrealflags(obj535, "kind",&reader_lexer_kind_537, MFLAG_DEF);
  reader537->definitionModule = modulename;
  reader537->definitionLine = 244;
}
adddatum2(obj535, alloc_Undefined(), 1);
if (objclass535 == NULL) {
  Method *reader538 = addmethodrealflags(obj535, "value",&reader_lexer_value_538, MFLAG_DEF);
  reader538->definitionModule = modulename;
  reader538->definitionLine = 245;
}
adddatum2(obj535, alloc_Undefined(), 2);
if (objclass535 == NULL) {
  Method *reader539 = addmethodrealflags(obj535, "size",&reader_lexer_size_539, MFLAG_DEF);
  reader539->definitionModule = modulename;
  reader539->definitionLine = 246;
}
adddatum2(obj535, alloc_Undefined(), 3);
  sourceObject = obj535;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe540 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe541 = gc_frame_new();
// call case 3: self.outer request
  Object call542 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe541);
// compiled member node returning call542 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call543 = callmethodflags(call542, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe540);
// compiled call node returning call543 (depth = 2)
  struct UserObject *obj535_uo = (struct UserObject *)obj535;
  obj535_uo->super = call543;
  sourceObject = obj535;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit544 == NULL) {
    strlit544 = alloc_String("eof");
    gc_root(strlit544);
  }
// compiled string node returning strlit544 (depth = 2)
  adddatum2(obj535, strlit544, 1);
  sourceObject = obj535;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit545 == NULL) {
    strlit545 = alloc_String("");
    gc_root(strlit545);
  }
// compiled string node returning strlit545 (depth = 2)
  adddatum2(obj535, strlit545, 2);
  sourceObject = obj535;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num546 = alloc_Float64(0);
// compiled num node returning num546 (depth = 2)
  adddatum2(obj535, num546, 3);
  objclass535 = obj535->class;
  objclass535->definitionModule = modulename;
  objclass535->definitionLine = 242;
  (*(struct UserObject *)self).data[0] = lowerouter535;
  self = oldself535;
  selfslot = oldselfslot535;
  stackframe = oldstackframe535;
  gc_frame_end(frame);
  return obj535;
}
Object meth_lexer_eofToken534_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject535 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj535 = alloc_userobj2(3,4, objclass535);
  gc_frame_newslot(obj535);
if (objclass535 == NULL) {
  glfree(obj535->class->name);
  obj535->class->name = "new.eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj535, self, 0);
  addmethodreal(obj535,"outer", &reader_lexer_outer_536);
  Object oldself535 = self;
  struct StackFrameObject *oldstackframe535 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe535);
  gc_frame_newslot((Object)stackframe);
  self = obj535;
  Object *oldselfslot535 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter535 = (*(struct UserObject *)self).data[0], lowerouter535 = thisouter535;
  if (inheritingObject535) {
    struct UserObject *inho535 = (struct UserObject *)inheritingObject535;
    while (inho535->super != GraceDefaultObject) inho535 = (struct UserObject *)inho535->super;
    inho535->super = obj535;
    self = inheritingObject535;
    *selfslot = self;
    lowerouter535 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter535;
  }
if (objclass535 == NULL) {
  Method *reader537 = addmethodrealflags(obj535, "kind",&reader_lexer_kind_537, MFLAG_DEF);
  reader537->definitionModule = modulename;
  reader537->definitionLine = 244;
}
adddatum2(obj535, alloc_Undefined(), 1);
if (objclass535 == NULL) {
  Method *reader538 = addmethodrealflags(obj535, "value",&reader_lexer_value_538, MFLAG_DEF);
  reader538->definitionModule = modulename;
  reader538->definitionLine = 245;
}
adddatum2(obj535, alloc_Undefined(), 2);
if (objclass535 == NULL) {
  Method *reader539 = addmethodrealflags(obj535, "size",&reader_lexer_size_539, MFLAG_DEF);
  reader539->definitionModule = modulename;
  reader539->definitionLine = 246;
}
adddatum2(obj535, alloc_Undefined(), 3);
  sourceObject = obj535;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe540 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe541 = gc_frame_new();
// call case 3: self.outer request
  Object call542 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe541);
// compiled member node returning call542 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call543 = callmethodflags(call542, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe540);
// compiled call node returning call543 (depth = 2)
  struct UserObject *obj535_uo = (struct UserObject *)obj535;
  obj535_uo->super = call543;
  sourceObject = obj535;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit544 == NULL) {
    strlit544 = alloc_String("eof");
    gc_root(strlit544);
  }
// compiled string node returning strlit544 (depth = 2)
  adddatum2(obj535, strlit544, 1);
  sourceObject = obj535;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit545 == NULL) {
    strlit545 = alloc_String("");
    gc_root(strlit545);
  }
// compiled string node returning strlit545 (depth = 2)
  adddatum2(obj535, strlit545, 2);
  sourceObject = obj535;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num546 = alloc_Float64(0);
// compiled num node returning num546 (depth = 2)
  adddatum2(obj535, num546, 3);
  objclass535 = obj535->class;
  objclass535->definitionModule = modulename;
  objclass535->definitionLine = 242;
  (*(struct UserObject *)self).data[0] = lowerouter535;
  self = oldself535;
  selfslot = oldselfslot535;
  stackframe = oldstackframe535;
  gc_frame_end(frame);
  return obj535;
}
Object meth_lexer_advanceTo_40_1_41_555(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "advanceTo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method advanceTo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for advanceTo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part advanceTo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe556 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_newslot(*var_s);
// call case 4: self request
  params[0] = *var_s;
  partcv[0] = 1;
  Object call557 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe556);
// compiled call node returning call557 (depth = 2)
  gc_frame_end(frame);
  return call557;
}
Object meth_lexer_emit_40_1_41_558(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "emit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method emit(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for emit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part emit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe559 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe560 = gc_frame_new();
// call case 4: self request
  Object call561 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe560);
// compiled member node returning call561 (depth = 3)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call562 = callmethodflags(call561, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe559);
// compiled call node returning call562 (depth = 2)
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe563 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit564 == NULL) {
    strlit564 = alloc_String("");
    gc_root(strlit564);
  }
// compiled string node returning strlit564 (depth = 3)
  gc_frame_newslot(strlit564);
// call case 4: self request
  params[0] = strlit564;
  partcv[0] = 1;
  Object call565 = callmethodflags(self, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe563);
// compiled call node returning call565 (depth = 2)
  gc_frame_end(frame);
  return call565;
}
Object meth_lexer_store_40_1_41_566(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "store(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method store(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for store(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part store(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe567 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_right_568 = gc_frame_newslot(*var_c);
// starting to compile member node (depth = 4)
  int callframe570 = gc_frame_new();
// call case 4: self request
  Object call571 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe570);
// compiled member node returning call571 (depth = 4)
  int op_slot_left_568 = gc_frame_newslot(call571);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult572 = callmethod(call571, "++(1)", 1, partcv, params);
// compiled op node returning opresult572 (depth = 3)
  gc_frame_newslot(opresult572);
// call case 4: self request
  params[0] = opresult572;
  partcv[0] = 1;
  Object call573 = callmethodflags(self, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe567);
// compiled call node returning call573 (depth = 2)
  gc_frame_end(frame);
  return call573;
}
Object meth_lexer__apply617(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit619 == NULL) {
    strlit619 = alloc_String("{");
    gc_root(strlit619);
  }
// compiled string node returning strlit619 (depth = 6)
  int op_slot_right_618 = gc_frame_newslot(strlit619);
// starting to compile call node (depth = 6)
  int callframe621 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe622 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe623 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call624 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe623);
// compiled member node returning call624 (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call625 = callmethodflags(call624, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe622);
// compiled call node returning call625 (depth = 7)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call626 = callmethodflags(call625, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe621);
// compiled call node returning call626 (depth = 6)
  int op_slot_left_618 = gc_frame_newslot(call626);
  params[0] = strlit619;
  partcv[0] = 1;
  Object opresult627 = callmethod(call626, "≠(1)", 1, partcv, params);
// compiled op node returning opresult627 (depth = 5)
  gc_frame_end(frame);
  return opresult627;
}
Object meth_lexer__apply630(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num632 = alloc_Float64(1);
// compiled num node returning num632 (depth = 7)
  int op_slot_right_631 = gc_frame_newslot(num632);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_631 = gc_frame_newslot(*var_i);
  params[0] = num632;
  partcv[0] = 1;
  Object diff634 = callmethod(*var_i, "-(1)", 1, partcv, params);
// compiled op node returning diff634 (depth = 6)
  *var_i = diff634;
  if (diff634 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num638 = alloc_Float64(0);
// compiled num node returning num638 (depth = 7)
  int op_slot_right_637 = gc_frame_newslot(num638);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_637 = gc_frame_newslot(*var_i);
  params[0] = num638;
  partcv[0] = 1;
  Object opresult640 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult640 (depth = 6)
  Object if636 = done;
  if (istrue(opresult640)) {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe641 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num643 = alloc_Float64(1);
// compiled num node returning num643 (depth = 8)
  int op_slot_right_642 = gc_frame_newslot(num643);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  int op_slot_left_642 = gc_frame_newslot(*var_line);
  params[0] = num643;
  partcv[0] = 1;
  Object diff645 = callmethod(*var_line, "-(1)", 1, partcv, params);
// compiled op node returning diff645 (depth = 7)
  gc_frame_newslot(diff645);
// call case 4: self request
  params[0] = diff645;
  partcv[0] = 1;
  Object call646 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe641);
// compiled call node returning call646 (depth = 6)
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe647 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe648 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe649 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  Object call650 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe649);
// compiled member node returning call650 (depth = 9)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call651 = callmethodflags(call650, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe648);
// compiled call node returning call651 (depth = 8)
  Object call652 = callmethodflags(call651, "size", 0, partcv, params, 0);
  gc_frame_end(callframe647);
// compiled member node returning call652 (depth = 7)
  *var_i = call652;
  if (call652 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if636 = done;
  } else {
  }
// compiled if node returning if636 (depth = 5)
  gc_frame_end(frame);
  return if636;
}
Object meth_lexer__apply765(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe767 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextLine (depth = 7)
  Object call768 = callmethodflags(*var_nextLine, "size", 0, partcv, params, 0);
  gc_frame_end(callframe767);
// compiled member node returning call768 (depth = 6)
  int op_slot_right_766 = gc_frame_newslot(call768);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_766 = gc_frame_newslot(*var_i);
  params[0] = call768;
  partcv[0] = 1;
  Object opresult770 = callmethod(*var_i, "≤(1)", 1, partcv, params);
// compiled op node returning opresult770 (depth = 5)
  gc_frame_end(frame);
  return opresult770;
}
Object meth_lexer__apply773(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_nextLine = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit776 == NULL) {
    strlit776 = alloc_String("""\x22""");
    gc_root(strlit776);
  }
// compiled string node returning strlit776 (depth = 7)
  int op_slot_right_775 = gc_frame_newslot(strlit776);
// starting to compile call node (depth = 7)
  int callframe778 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextLine (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call779 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe778);
// compiled call node returning call779 (depth = 7)
  int op_slot_left_775 = gc_frame_newslot(call779);
  params[0] = strlit776;
  partcv[0] = 1;
  Object opresult780 = callmethod(call779, "==(1)", 1, partcv, params);
// compiled op node returning opresult780 (depth = 6)
  Object if774 = done;
  if (istrue(opresult780)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num782 = alloc_Float64(1);
// compiled num node returning num782 (depth = 8)
  int op_slot_right_781 = gc_frame_newslot(num782);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_count (depth = 8)
  int op_slot_left_781 = gc_frame_newslot(*var_count);
  params[0] = num782;
  partcv[0] = 1;
  Object sum784 = callmethod(*var_count, "+(1)", 1, partcv, params);
// compiled op node returning sum784 (depth = 7)
  *var_count = sum784;
  if (sum784 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if774 = done;
  } else {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit788 == NULL) {
    strlit788 = alloc_String("\\");
    gc_root(strlit788);
  }
// compiled string node returning strlit788 (depth = 8)
  int op_slot_right_787 = gc_frame_newslot(strlit788);
// starting to compile call node (depth = 8)
  int callframe790 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextLine (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call791 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe790);
// compiled call node returning call791 (depth = 8)
  int op_slot_left_787 = gc_frame_newslot(call791);
  params[0] = strlit788;
  partcv[0] = 1;
  Object opresult792 = callmethod(call791, "==(1)", 1, partcv, params);
// compiled op node returning opresult792 (depth = 7)
  Object if786 = done;
  if (istrue(opresult792)) {
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num794 = alloc_Float64(1);
// compiled num node returning num794 (depth = 9)
  int op_slot_right_793 = gc_frame_newslot(num794);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_793 = gc_frame_newslot(*var_i);
  params[0] = num794;
  partcv[0] = 1;
  Object sum796 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum796 (depth = 8)
  *var_i = sum796;
  if (sum796 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if786 = done;
  } else {
  }
// compiled if node returning if786 (depth = 6)
    gc_frame_newslot(if786);
    if774 = if786;
  }
// compiled if node returning if774 (depth = 5)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num799 = alloc_Float64(1);
// compiled num node returning num799 (depth = 7)
  int op_slot_right_798 = gc_frame_newslot(num799);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_798 = gc_frame_newslot(*var_i);
  params[0] = num799;
  partcv[0] = 1;
  Object sum801 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum801 (depth = 6)
  *var_i = sum801;
  if (sum801 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_newLineError599(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newLineError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_errorLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "errorLine");
  Object *var_nextLine = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextLine");
  Object *var_count = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "count");
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num602 = alloc_Float64(0);
// compiled num node returning num602 (depth = 4)
  int op_slot_right_601 = gc_frame_newslot(num602);
// starting to compile member node (depth = 4)
  int callframe604 = gc_frame_new();
// call case 4: self request
  Object call605 = callmethodflags(self, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe604);
// compiled member node returning call605 (depth = 4)
  int op_slot_left_601 = gc_frame_newslot(call605);
  params[0] = num602;
  partcv[0] = 1;
  Object opresult606 = callmethod(call605, ">(1)", 1, partcv, params);
// compiled op node returning opresult606 (depth = 3)
  Object if600 = done;
  if (istrue(opresult606)) {
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe607 = gc_frame_new();
// call case 4: self request
  Object call608 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe607);
// compiled member node returning call608 (depth = 4)
  *var_line = call608;
  if (call608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe609 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe610 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe611 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call612 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe611);
// compiled member node returning call612 (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call613 = callmethodflags(call612, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe610);
// compiled call node returning call613 (depth = 5)
  Object call614 = callmethodflags(call613, "size", 0, partcv, params, 0);
  gc_frame_end(callframe609);
// compiled member node returning call614 (depth = 4)
  *var_i = call614;
  if (call614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe615 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block616 = alloc_Block(NULL, NULL, "lexer", 798);
  gc_frame_newslot(block616);
// method "_apply"
  block_savedest(block616);
  Object closure617 = createclosure(4, "_apply");
  setclosureframe(closure617, stackframe);
  addtoclosure(closure617, var_i);
  addtoclosure(closure617, var_line);
  addtoclosure(closure617, var_util);
  addtoclosure(closure617, selfslot);
  struct UserObject *uo617 = (struct UserObject*)block616;
  uo617->data[0] = (Object)closure617;
  Method *meth_meth_lexer__apply617 = addmethod2pos(block616, "_apply", &meth_lexer__apply617, 0);
  int argcv_meth_lexer__apply617[] = {0};
  meth_meth_lexer__apply617->type = alloc_MethodType(1, argcv_meth_lexer__apply617);
  meth_meth_lexer__apply617->definitionModule = modulename;
  meth_meth_lexer__apply617->definitionLine = 1184;
// compiled block node returning block616 (depth = 4)
  gc_frame_newslot(block616);
// starting to compile block node (depth = 4)
  Object block629 = alloc_Block(NULL, NULL, "lexer", 798);
  gc_frame_newslot(block629);
// method "_apply"
  block_savedest(block629);
  Object closure630 = createclosure(4, "_apply");
  setclosureframe(closure630, stackframe);
  addtoclosure(closure630, var_i);
  addtoclosure(closure630, var_line);
  addtoclosure(closure630, var_util);
  addtoclosure(closure630, selfslot);
  struct UserObject *uo630 = (struct UserObject*)block629;
  uo630->data[0] = (Object)closure630;
  Method *meth_meth_lexer__apply630 = addmethod2pos(block629, "_apply", &meth_lexer__apply630, 0);
  int argcv_meth_lexer__apply630[] = {0};
  meth_meth_lexer__apply630->type = alloc_MethodType(1, argcv_meth_lexer__apply630);
  meth_meth_lexer__apply630->definitionModule = modulename;
  meth_meth_lexer__apply630->definitionLine = 1184;
// compiled block node returning block629 (depth = 4)
  gc_frame_newslot(block629);
// call case 5: prelude request
  params[0] = block616;
  params[1] = block629;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call655 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe615);
// compiled call node returning call655 (depth = 3)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array656 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array656 (depth = 4)
  *var_suggestions = array656;
  if (array656 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe657 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe658 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call659 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe658);
// compiled member node returning call659 (depth = 5)
  Object call660 = callmethodflags(call659, "new", 0, partcv, params, 0);
  gc_frame_end(callframe657);
// compiled member node returning call660 (depth = 4)
  *var_suggestion = call660;
  if (call660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe661 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit662 == NULL) {
    strlit662 = alloc_String("\\");
    gc_root(strlit662);
  }
// compiled string node returning strlit662 (depth = 4)
  gc_frame_newslot(strlit662);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_i (depth = 4)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit662;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call663 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe661);
// compiled call node returning call663 (depth = 3)
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe664 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call665 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe664);
// compiled call node returning call665 (depth = 3)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num670 = alloc_Float64(2);
// compiled num node returning num670 (depth = 7)
  int op_slot_right_669 = gc_frame_newslot(num670);
// starting to compile member node (depth = 7)
  int callframe672 = gc_frame_new();
// call case 4: self request
  Object call673 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe672);
// compiled member node returning call673 (depth = 7)
  int op_slot_left_669 = gc_frame_newslot(call673);
  params[0] = num670;
  partcv[0] = 1;
  Object diff674 = callmethod(call673, "-(1)", 1, partcv, params);
// compiled op node returning diff674 (depth = 6)
  int op_slot_right_668 = gc_frame_newslot(diff674);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_668 = gc_frame_newslot(*var_i);
  params[0] = diff674;
  partcv[0] = 1;
  Object opresult676 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult676 (depth = 5)
  int op_slot_right_667 = gc_frame_newslot(opresult676);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe679 = gc_frame_new();
// call case 4: self request
  Object call680 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe679);
// compiled member node returning call680 (depth = 6)
  int op_slot_right_678 = gc_frame_newslot(call680);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  int op_slot_left_678 = gc_frame_newslot(*var_line);
  params[0] = call680;
  partcv[0] = 1;
  Object opresult682 = callmethod(*var_line, "==(1)", 1, partcv, params);
// compiled op node returning opresult682 (depth = 5)
  int op_slot_left_667 = gc_frame_newslot(opresult682);
  params[0] = opresult676;
  partcv[0] = 1;
  Object opresult683 = callmethod(opresult682, "&&(1)", 1, partcv, params);
// compiled op node returning opresult683 (depth = 4)
  Object if666 = done;
  if (istrue(opresult683)) {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe684 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit685 == NULL) {
    strlit685 = alloc_String("for a '{' character in a string use '\\{'.");
    gc_root(strlit685);
  }
// compiled string node returning strlit685 (depth = 5)
  gc_frame_newslot(strlit685);
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_line (depth = 5)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit685;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call686 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe684);
// compiled call node returning call686 (depth = 4)
    gc_frame_newslot(call686);
    if666 = call686;
  } else {
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe687 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call689 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe688);
// compiled member node returning call689 (depth = 6)
  Object call690 = callmethodflags(call689, "new", 0, partcv, params, 0);
  gc_frame_end(callframe687);
// compiled member node returning call690 (depth = 5)
  *var_suggestion = call690;
  if (call690 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe692 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit693 == NULL) {
    strlit693 = alloc_String("}");
    gc_root(strlit693);
  }
// compiled string node returning strlit693 (depth = 5)
  gc_frame_newslot(strlit693);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num695 = alloc_Float64(1);
// compiled num node returning num695 (depth = 6)
  int op_slot_right_694 = gc_frame_newslot(num695);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe698 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe699 = gc_frame_new();
// call case 4: self request
  Object call700 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 8)
  Object call701 = callmethodflags(call700, "size", 0, partcv, params, 0);
  gc_frame_end(callframe698);
// compiled member node returning call701 (depth = 7)
  int op_slot_right_697 = gc_frame_newslot(call701);
// starting to compile member node (depth = 7)
  int callframe703 = gc_frame_new();
// call case 4: self request
  Object call704 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe703);
// compiled member node returning call704 (depth = 7)
  int op_slot_left_697 = gc_frame_newslot(call704);
  params[0] = call701;
  partcv[0] = 1;
  Object diff705 = callmethod(call704, "-(1)", 1, partcv, params);
// compiled op node returning diff705 (depth = 6)
  int op_slot_left_694 = gc_frame_newslot(diff705);
  params[0] = num695;
  partcv[0] = 1;
  Object diff706 = callmethod(diff705, "-(1)", 1, partcv, params);
// compiled op node returning diff706 (depth = 5)
  gc_frame_newslot(diff706);
// starting to compile member node (depth = 5)
  int callframe707 = gc_frame_new();
// call case 4: self request
  Object call708 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe707);
// compiled member node returning call708 (depth = 5)
  gc_frame_newslot(call708);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit693;
  params[1] = diff706;
  params[2] = call708;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call709 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe692);
// compiled call node returning call709 (depth = 4)
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe710 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call711 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe710);
// compiled call node returning call711 (depth = 4)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe712 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit713 == NULL) {
    strlit713 = alloc_String("a string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit713);
  }
// compiled string node returning strlit713 (depth = 5)
  gc_frame_newslot(strlit713);
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe714 = gc_frame_new();
// call case 4: self request
  Object call715 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe714);
// compiled member node returning call715 (depth = 5)
  gc_frame_newslot(call715);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num717 = alloc_Float64(1);
// compiled num node returning num717 (depth = 6)
  int op_slot_right_716 = gc_frame_newslot(num717);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe720 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe721 = gc_frame_new();
// call case 4: self request
  Object call722 = callmethodflags(self, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe721);
// compiled member node returning call722 (depth = 8)
  Object call723 = callmethodflags(call722, "size", 0, partcv, params, 0);
  gc_frame_end(callframe720);
// compiled member node returning call723 (depth = 7)
  int op_slot_right_719 = gc_frame_newslot(call723);
// starting to compile member node (depth = 7)
  int callframe725 = gc_frame_new();
// call case 4: self request
  Object call726 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe725);
// compiled member node returning call726 (depth = 7)
  int op_slot_left_719 = gc_frame_newslot(call726);
  params[0] = call723;
  partcv[0] = 1;
  Object diff727 = callmethod(call726, "-(1)", 1, partcv, params);
// compiled op node returning diff727 (depth = 6)
  int op_slot_left_716 = gc_frame_newslot(diff727);
  params[0] = num717;
  partcv[0] = 1;
  Object diff728 = callmethod(diff727, "-(1)", 1, partcv, params);
// compiled op node returning diff728 (depth = 5)
  gc_frame_newslot(diff728);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit713;
  params[1] = call715;
  params[2] = diff728;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call729 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe712);
// compiled call node returning call729 (depth = 4)
    gc_frame_newslot(call729);
    if666 = call729;
  }
// compiled if node returning if666 (depth = 3)
    gc_frame_newslot(if666);
    if600 = if666;
  } else {
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe730 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe731 = gc_frame_new();
// call case 4: self request
  Object call732 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe731);
// compiled member node returning call732 (depth = 5)
  gc_frame_newslot(call732);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe733 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call734 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe733);
// compiled member node returning call734 (depth = 5)
  params[0] = call732;
  partcv[0] = 1;
  Object call735 = callmethodflags(call734, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe730);
// compiled call node returning call735 (depth = 4)
  *var_errorLine = call735;
  if (call735 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num739 = alloc_Float64(1);
// compiled num node returning num739 (depth = 7)
  int op_slot_right_738 = gc_frame_newslot(num739);
// starting to compile member node (depth = 7)
  int callframe741 = gc_frame_new();
// call case 4: self request
  Object call742 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe741);
// compiled member node returning call742 (depth = 7)
  int op_slot_left_738 = gc_frame_newslot(call742);
  params[0] = num739;
  partcv[0] = 1;
  Object sum743 = callmethod(call742, "+(1)", 1, partcv, params);
// compiled op node returning sum743 (depth = 6)
  int op_slot_right_737 = gc_frame_newslot(sum743);
// starting to compile member node (depth = 6)
  int callframe745 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe746 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call747 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe746);
// compiled member node returning call747 (depth = 7)
  Object call748 = callmethodflags(call747, "size", 0, partcv, params, 0);
  gc_frame_end(callframe745);
// compiled member node returning call748 (depth = 6)
  int op_slot_left_737 = gc_frame_newslot(call748);
  params[0] = sum743;
  partcv[0] = 1;
  Object opresult749 = callmethod(call748, "≥(1)", 1, partcv, params);
// compiled op node returning opresult749 (depth = 5)
  Object if736 = done;
struct StackFrameObject *iftmpstackframe736 = stackframe;
  if (istrue(opresult749)) {
stackframe = alloc_StackFrame(0, iftmpstackframe736);
gc_frame_newslot((Object)stackframe);
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe750 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num752 = alloc_Float64(1);
// compiled num node returning num752 (depth = 7)
  int op_slot_right_751 = gc_frame_newslot(num752);
// starting to compile member node (depth = 7)
  int callframe754 = gc_frame_new();
// call case 4: self request
  Object call755 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe754);
// compiled member node returning call755 (depth = 7)
  int op_slot_left_751 = gc_frame_newslot(call755);
  params[0] = num752;
  partcv[0] = 1;
  Object sum756 = callmethod(call755, "+(1)", 1, partcv, params);
// compiled op node returning sum756 (depth = 6)
  gc_frame_newslot(sum756);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe757 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call758 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe757);
// compiled member node returning call758 (depth = 6)
  params[0] = sum756;
  partcv[0] = 1;
  Object call759 = callmethodflags(call758, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe750);
// compiled call node returning call759 (depth = 5)
    gc_frame_newslot(call759);
    if736 = call759;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe736);
  gc_frame_newslot((Object)stackframe);
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit760 == NULL) {
    strlit760 = alloc_String("");
    gc_root(strlit760);
  }
// compiled string node returning strlit760 (depth = 5)
    gc_frame_newslot(strlit760);
    if736 = strlit760;
  }
stackframe = iftmpstackframe736;
// compiled if node returning if736 (depth = 4)
  *var_nextLine = if736;
  if (if736 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num761 = alloc_Float64(1);
// compiled num node returning num761 (depth = 4)
  *var_i = num761;
  if (num761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num762 = alloc_Float64(0);
// compiled num node returning num762 (depth = 4)
  *var_count = num762;
  if (num762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe763 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block764 = alloc_Block(NULL, NULL, "lexer", 829);
  gc_frame_newslot(block764);
// method "_apply"
  block_savedest(block764);
  Object closure765 = createclosure(3, "_apply");
  setclosureframe(closure765, stackframe);
  addtoclosure(closure765, var_nextLine);
  addtoclosure(closure765, var_i);
  addtoclosure(closure765, selfslot);
  struct UserObject *uo765 = (struct UserObject*)block764;
  uo765->data[0] = (Object)closure765;
  Method *meth_meth_lexer__apply765 = addmethod2pos(block764, "_apply", &meth_lexer__apply765, 0);
  int argcv_meth_lexer__apply765[] = {0};
  meth_meth_lexer__apply765->type = alloc_MethodType(1, argcv_meth_lexer__apply765);
  meth_meth_lexer__apply765->definitionModule = modulename;
  meth_meth_lexer__apply765->definitionLine = 1184;
// compiled block node returning block764 (depth = 4)
  gc_frame_newslot(block764);
// starting to compile block node (depth = 4)
  Object block772 = alloc_Block(NULL, NULL, "lexer", 829);
  gc_frame_newslot(block772);
// method "_apply"
  block_savedest(block772);
  Object closure773 = createclosure(4, "_apply");
  setclosureframe(closure773, stackframe);
  addtoclosure(closure773, var_i);
  addtoclosure(closure773, var_nextLine);
  addtoclosure(closure773, var_count);
  addtoclosure(closure773, selfslot);
  struct UserObject *uo773 = (struct UserObject*)block772;
  uo773->data[0] = (Object)closure773;
  Method *meth_meth_lexer__apply773 = addmethod2pos(block772, "_apply", &meth_lexer__apply773, 0);
  int argcv_meth_lexer__apply773[] = {0};
  meth_meth_lexer__apply773->type = alloc_MethodType(1, argcv_meth_lexer__apply773);
  meth_meth_lexer__apply773->definitionModule = modulename;
  meth_meth_lexer__apply773->definitionLine = 1184;
// compiled block node returning block772 (depth = 4)
  gc_frame_newslot(block772);
// call case 5: prelude request
  params[0] = block764;
  params[1] = block772;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call804 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe763);
// compiled call node returning call804 (depth = 3)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num807 = alloc_Float64(1);
// compiled num node returning num807 (depth = 5)
  int op_slot_right_806 = gc_frame_newslot(num807);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num810 = alloc_Float64(2);
// compiled num node returning num810 (depth = 6)
  int op_slot_right_809 = gc_frame_newslot(num810);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_count (depth = 6)
  int op_slot_left_809 = gc_frame_newslot(*var_count);
  params[0] = num810;
  partcv[0] = 1;
  Object modulus812 = callmethod(*var_count, "%(1)", 1, partcv, params);
// compiled op node returning modulus812 (depth = 5)
  int op_slot_left_806 = gc_frame_newslot(modulus812);
  params[0] = num807;
  partcv[0] = 1;
  Object opresult813 = callmethod(modulus812, "==(1)", 1, partcv, params);
// compiled op node returning opresult813 (depth = 4)
  Object if805 = done;
  if (istrue(opresult813)) {
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array814 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array814 (depth = 5)
  *var_suggestions = array814;
  if (array814 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe815 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe816 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call817 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe816);
// compiled member node returning call817 (depth = 6)
  Object call818 = callmethodflags(call817, "new", 0, partcv, params, 0);
  gc_frame_end(callframe815);
// compiled member node returning call818 (depth = 5)
  *var_suggestion = call818;
  if (call818 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe819 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe820 = gc_frame_new();
// call case 4: self request
  Object call821 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe820);
// compiled member node returning call821 (depth = 5)
  gc_frame_newslot(call821);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_822 = gc_frame_newslot(*var_nextLine);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_822 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult824 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult824 (depth = 5)
  gc_frame_newslot(opresult824);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call821;
  params[1] = opresult824;
  partcv[0] = 2;
  Object call825 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe819);
// compiled call node returning call825 (depth = 4)
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe826 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num828 = alloc_Float64(1);
// compiled num node returning num828 (depth = 6)
  int op_slot_right_827 = gc_frame_newslot(num828);
// starting to compile member node (depth = 6)
  int callframe830 = gc_frame_new();
// call case 4: self request
  Object call831 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe830);
// compiled member node returning call831 (depth = 6)
  int op_slot_left_827 = gc_frame_newslot(call831);
  params[0] = num828;
  partcv[0] = 1;
  Object sum832 = callmethod(call831, "+(1)", 1, partcv, params);
// compiled op node returning sum832 (depth = 5)
  gc_frame_newslot(sum832);
// starting to compile string node (depth = 5)
  if (strlit833 == NULL) {
    strlit833 = alloc_String("");
    gc_root(strlit833);
  }
// compiled string node returning strlit833 (depth = 5)
  gc_frame_newslot(strlit833);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum832;
  params[1] = strlit833;
  partcv[0] = 2;
  Object call834 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe826);
// compiled call node returning call834 (depth = 4)
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe835 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call836 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe835);
// compiled call node returning call836 (depth = 4)
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe837 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe838 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call839 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe838);
// compiled member node returning call839 (depth = 6)
  Object call840 = callmethodflags(call839, "new", 0, partcv, params, 0);
  gc_frame_end(callframe837);
// compiled member node returning call840 (depth = 5)
  *var_suggestion = call840;
  if (call840 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe842 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe843 = gc_frame_new();
// call case 4: self request
  Object call844 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe843);
// compiled member node returning call844 (depth = 5)
  gc_frame_newslot(call844);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit846 == NULL) {
    strlit846 = alloc_String("""\x22""");
    gc_root(strlit846);
  }
// compiled string node returning strlit846 (depth = 6)
  int op_slot_right_845 = gc_frame_newslot(strlit846);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_845 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit846;
  partcv[0] = 1;
  Object opresult848 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult848 (depth = 5)
  gc_frame_newslot(opresult848);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call844;
  params[1] = opresult848;
  partcv[0] = 2;
  Object call849 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe842);
// compiled call node returning call849 (depth = 4)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe850 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num852 = alloc_Float64(1);
// compiled num node returning num852 (depth = 6)
  int op_slot_right_851 = gc_frame_newslot(num852);
// starting to compile member node (depth = 6)
  int callframe854 = gc_frame_new();
// call case 4: self request
  Object call855 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe854);
// compiled member node returning call855 (depth = 6)
  int op_slot_left_851 = gc_frame_newslot(call855);
  params[0] = num852;
  partcv[0] = 1;
  Object sum856 = callmethod(call855, "+(1)", 1, partcv, params);
// compiled op node returning sum856 (depth = 5)
  gc_frame_newslot(sum856);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_857 = gc_frame_newslot(*var_nextLine);
// starting to compile string node (depth = 6)
  if (strlit859 == NULL) {
    strlit859 = alloc_String("    ++ ""\x22""");
    gc_root(strlit859);
  }
// compiled string node returning strlit859 (depth = 6)
  int op_slot_left_857 = gc_frame_newslot(strlit859);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult860 = callmethod(strlit859, "++(1)", 1, partcv, params);
// compiled op node returning opresult860 (depth = 5)
  gc_frame_newslot(opresult860);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum856;
  params[1] = opresult860;
  partcv[0] = 2;
  Object call861 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe850);
// compiled call node returning call861 (depth = 4)
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe862 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call863 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe862);
// compiled call node returning call863 (depth = 4)
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe864 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe865 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call866 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe865);
// compiled member node returning call866 (depth = 6)
  Object call867 = callmethodflags(call866, "new", 0, partcv, params, 0);
  gc_frame_end(callframe864);
// compiled member node returning call867 (depth = 5)
  *var_suggestion = call867;
  if (call867 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe869 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe870 = gc_frame_new();
// call case 4: self request
  Object call871 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe870);
// compiled member node returning call871 (depth = 5)
  gc_frame_newslot(call871);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextLine (depth = 6)
  int op_slot_right_872 = gc_frame_newslot(*var_nextLine);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit875 == NULL) {
    strlit875 = alloc_String("\\n");
    gc_root(strlit875);
  }
// compiled string node returning strlit875 (depth = 7)
  int op_slot_right_874 = gc_frame_newslot(strlit875);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errorLine (depth = 7)
  int op_slot_left_874 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit875;
  partcv[0] = 1;
  Object opresult877 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult877 (depth = 6)
  int op_slot_left_872 = gc_frame_newslot(opresult877);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult878 = callmethod(opresult877, "++(1)", 1, partcv, params);
// compiled op node returning opresult878 (depth = 5)
  gc_frame_newslot(opresult878);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call871;
  params[1] = opresult878;
  partcv[0] = 2;
  Object call879 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe869);
// compiled call node returning call879 (depth = 4)
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe880 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num882 = alloc_Float64(1);
// compiled num node returning num882 (depth = 6)
  int op_slot_right_881 = gc_frame_newslot(num882);
// starting to compile member node (depth = 6)
  int callframe884 = gc_frame_new();
// call case 4: self request
  Object call885 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe884);
// compiled member node returning call885 (depth = 6)
  int op_slot_left_881 = gc_frame_newslot(call885);
  params[0] = num882;
  partcv[0] = 1;
  Object sum886 = callmethod(call885, "+(1)", 1, partcv, params);
// compiled op node returning sum886 (depth = 5)
  gc_frame_newslot(sum886);
// starting to compile string node (depth = 5)
  if (strlit887 == NULL) {
    strlit887 = alloc_String("");
    gc_root(strlit887);
  }
// compiled string node returning strlit887 (depth = 5)
  gc_frame_newslot(strlit887);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = sum886;
  params[1] = strlit887;
  partcv[0] = 2;
  Object call888 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe880);
// compiled call node returning call888 (depth = 4)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe889 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call890 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe889);
// compiled call node returning call890 (depth = 4)
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe891 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit892 == NULL) {
    strlit892 = alloc_String("a string must be terminated by a ""\x22"" before the end of the line. To insert a newline in a string, use '\\n'. To split a string over multiple lines, use '++' to join strings together.");
    gc_root(strlit892);
  }
// compiled string node returning strlit892 (depth = 5)
  gc_frame_newslot(strlit892);
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe893 = gc_frame_new();
// call case 4: self request
  Object call894 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe893);
// compiled member node returning call894 (depth = 5)
  gc_frame_newslot(call894);
// starting to compile member node (depth = 5)
  int callframe895 = gc_frame_new();
// call case 4: self request
  Object call896 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe895);
// compiled member node returning call896 (depth = 5)
  gc_frame_newslot(call896);
// starting to compile member node (depth = 5)
  int callframe897 = gc_frame_new();
// call case 4: self request
  Object call898 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe897);
// compiled member node returning call898 (depth = 5)
  gc_frame_newslot(call898);
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit892;
  params[1] = call894;
  params[2] = call896;
  params[3] = call898;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call899 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe891);
// compiled call node returning call899 (depth = 4)
    gc_frame_newslot(call899);
    if805 = call899;
  } else {
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe900 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe901 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call902 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe901);
// compiled member node returning call902 (depth = 6)
  Object call903 = callmethodflags(call902, "new", 0, partcv, params, 0);
  gc_frame_end(callframe900);
// compiled member node returning call903 (depth = 5)
  *var_suggestion = call903;
  if (call903 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe904 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe905 = gc_frame_new();
// call case 4: self request
  Object call906 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe905);
// compiled member node returning call906 (depth = 5)
  gc_frame_newslot(call906);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit908 == NULL) {
    strlit908 = alloc_String("""\x22""");
    gc_root(strlit908);
  }
// compiled string node returning strlit908 (depth = 6)
  int op_slot_right_907 = gc_frame_newslot(strlit908);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errorLine (depth = 6)
  int op_slot_left_907 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit908;
  partcv[0] = 1;
  Object opresult910 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult910 (depth = 5)
  gc_frame_newslot(opresult910);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call906;
  params[1] = opresult910;
  partcv[0] = 2;
  Object call911 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe904);
// compiled call node returning call911 (depth = 4)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe912 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit914 == NULL) {
    strlit914 = alloc_String("by a ""\x22"" before the end of the line.");
    gc_root(strlit914);
  }
// compiled string node returning strlit914 (depth = 6)
  int op_slot_right_913 = gc_frame_newslot(strlit914);
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit916 == NULL) {
    strlit916 = alloc_String("a string must be terminated ");
    gc_root(strlit916);
  }
// compiled string node returning strlit916 (depth = 6)
  int op_slot_left_913 = gc_frame_newslot(strlit916);
  params[0] = strlit914;
  partcv[0] = 1;
  Object opresult917 = callmethod(strlit916, "++(1)", 1, partcv, params);
// compiled op node returning opresult917 (depth = 5)
  gc_frame_newslot(opresult917);
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe918 = gc_frame_new();
// call case 4: self request
  Object call919 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe918);
// compiled member node returning call919 (depth = 5)
  gc_frame_newslot(call919);
// starting to compile member node (depth = 5)
  int callframe920 = gc_frame_new();
// call case 4: self request
  Object call921 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe920);
// compiled member node returning call921 (depth = 5)
  gc_frame_newslot(call921);
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult917;
  params[1] = call919;
  params[2] = call921;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call922 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe912);
// compiled call node returning call922 (depth = 4)
    gc_frame_newslot(call922);
    if805 = call922;
  }
// compiled if node returning if805 (depth = 3)
    gc_frame_newslot(if805);
    if600 = if805;
  }
// compiled if node returning if600 (depth = 2)
  gc_frame_end(frame);
  return if600;
}
Object meth_lexer_isSpaceChar_40_1_41_923(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isSpaceChar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSpaceChar(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSpaceChar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSpaceChar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe924 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_spaceChars (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call925 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe924);
// compiled call node returning call925 (depth = 2)
  gc_frame_end(frame);
  return call925;
}
Object meth_lexer_checkSeparatorString_40_1_41_926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkSeparatorString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkSeparatorString(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkSeparatorString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkSeparatorString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe927 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call928 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe927);
// compiled member node returning call928 (depth = 3)
  *var_ordval = call928;
  if (call928 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe930 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe931 = gc_frame_new();
// call case 3: self.outer request
  Object call932 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe931);
// compiled member node returning call932 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call933 = callmethodflags(call932, "isBadSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe930);
// compiled call node returning call933 (depth = 3)
  Object if929 = done;
  if (istrue(call933)) {
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe934 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe935 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call936 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe935);
// compiled member node returning call936 (depth = 5)
  Object call937 = callmethodflags(call936, "new", 0, partcv, params, 0);
  gc_frame_end(callframe934);
// compiled member node returning call937 (depth = 4)
  *var_suggestion = call937;
  if (call937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe938 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe939 = gc_frame_new();
// call case 4: self request
  Object call940 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe939);
// compiled member node returning call940 (depth = 4)
  gc_frame_newslot(call940);
// starting to compile string node (depth = 4)
  if (strlit941 == NULL) {
    strlit941 = alloc_String(" ");
    gc_root(strlit941);
  }
// compiled string node returning strlit941 (depth = 4)
  gc_frame_newslot(strlit941);
// starting to compile member node (depth = 4)
  int callframe942 = gc_frame_new();
// call case 4: self request
  Object call943 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe942);
// compiled member node returning call943 (depth = 4)
  gc_frame_newslot(call943);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = call940;
  params[1] = strlit941;
  params[2] = call943;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call944 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe938);
// compiled call node returning call944 (depth = 3)
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num947 = alloc_Float64(9);
// compiled num node returning num947 (depth = 5)
  int op_slot_right_946 = gc_frame_newslot(num947);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ordval (depth = 5)
  int op_slot_left_946 = gc_frame_newslot(*var_ordval);
  params[0] = num947;
  partcv[0] = 1;
  Object opresult949 = callmethod(*var_ordval, "==(1)", 1, partcv, params);
// compiled op node returning opresult949 (depth = 4)
  Object if945 = done;
  if (istrue(opresult949)) {
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe950 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe951 = gc_frame_new();
// call case 4: self request
  Object call952 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe951);
// compiled member node returning call952 (depth = 5)
  gc_frame_newslot(call952);
// starting to compile member node (depth = 5)
  int callframe953 = gc_frame_new();
// call case 4: self request
  Object call954 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe953);
// compiled member node returning call954 (depth = 5)
  gc_frame_newslot(call954);
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit955 == NULL) {
    strlit955 = alloc_String("\\t");
    gc_root(strlit955);
  }
// compiled string node returning strlit955 (depth = 5)
  gc_frame_newslot(strlit955);
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe956 = gc_frame_new();
// call case 4: self request
  Object call957 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe956);
// compiled member node returning call957 (depth = 5)
  gc_frame_newslot(call957);
// call case 6: other requests
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call952;
  params[1] = call954;
  params[2] = strlit955;
  params[3] = call957;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call958 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe950);
// compiled call node returning call958 (depth = 4)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe959 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit961 == NULL) {
    strlit961 = alloc_String("use the string escape \\t instead");
    gc_root(strlit961);
  }
// compiled string node returning strlit961 (depth = 6)
  int op_slot_right_960 = gc_frame_newslot(strlit961);
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit964 == NULL) {
    strlit964 = alloc_String("written in the source code; ");
    gc_root(strlit964);
  }
// compiled string node returning strlit964 (depth = 7)
  int op_slot_right_963 = gc_frame_newslot(strlit964);
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit966 == NULL) {
    strlit966 = alloc_String("tabs cannot be ");
    gc_root(strlit966);
  }
// compiled string node returning strlit966 (depth = 7)
  int op_slot_left_963 = gc_frame_newslot(strlit966);
  params[0] = strlit964;
  partcv[0] = 1;
  Object opresult967 = callmethod(strlit966, "++(1)", 1, partcv, params);
// compiled op node returning opresult967 (depth = 6)
  int op_slot_left_960 = gc_frame_newslot(opresult967);
  params[0] = strlit961;
  partcv[0] = 1;
  Object opresult968 = callmethod(opresult967, "++(1)", 1, partcv, params);
// compiled op node returning opresult968 (depth = 5)
  gc_frame_newslot(opresult968);
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe969 = gc_frame_new();
// call case 4: self request
  Object call970 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe969);
// compiled member node returning call970 (depth = 5)
  gc_frame_newslot(call970);
// starting to compile member node (depth = 5)
  int callframe971 = gc_frame_new();
// call case 4: self request
  Object call972 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe971);
// compiled member node returning call972 (depth = 5)
  gc_frame_newslot(call972);
// starting to compile member node (depth = 5)
  int callframe973 = gc_frame_new();
// call case 4: self request
  Object call974 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe973);
// compiled member node returning call974 (depth = 5)
  gc_frame_newslot(call974);
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult968;
  params[1] = call970;
  params[2] = call972;
  params[3] = call974;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call975 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe959);
// compiled call node returning call975 (depth = 4)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe976 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit977 == NULL) {
    strlit977 = alloc_String("tabs are not allowed; use spaces instead.");
    gc_root(strlit977);
  }
// compiled string node returning strlit977 (depth = 5)
  gc_frame_newslot(strlit977);
// starting to compile member node (depth = 5)
  int callframe978 = gc_frame_new();
// call case 4: self request
  Object call979 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe978);
// compiled member node returning call979 (depth = 5)
  gc_frame_newslot(call979);
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe980 = gc_frame_new();
// call case 4: self request
  Object call981 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe980);
// compiled member node returning call981 (depth = 5)
  gc_frame_newslot(call981);
// starting to compile member node (depth = 5)
  int callframe982 = gc_frame_new();
// call case 4: self request
  Object call983 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe982);
// compiled member node returning call983 (depth = 5)
  gc_frame_newslot(call983);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit977;
  params[1] = call979;
  params[2] = call981;
  params[3] = call983;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call984 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe976);
// compiled call node returning call984 (depth = 4)
    gc_frame_newslot(call984);
    if945 = call984;
  } else {
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe985 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe986 = gc_frame_new();
// call case 4: self request
  Object call987 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe986);
// compiled member node returning call987 (depth = 5)
  gc_frame_newslot(call987);
// starting to compile member node (depth = 5)
  int callframe988 = gc_frame_new();
// call case 4: self request
  Object call989 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe988);
// compiled member node returning call989 (depth = 5)
  gc_frame_newslot(call989);
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit991 == NULL) {
    strlit991 = alloc_String("");
    gc_root(strlit991);
  }
// compiled string node returning strlit991 (depth = 6)
  int op_slot_right_990 = gc_frame_newslot(strlit991);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe994 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe995 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num996 = alloc_Float64(16);
// compiled num node returning num996 (depth = 9)
  gc_frame_newslot(num996);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num996;
  partcv[0] = 1;
  Object call997 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe995);
// compiled call node returning call997 (depth = 8)
  gc_frame_newslot(call997);
// starting to compile num node (depth = 8)
  Object num998 = alloc_Float64(4);
// compiled num node returning num998 (depth = 8)
  gc_frame_newslot(num998);
// starting to compile string node (depth = 8)
  if (strlit999 == NULL) {
    strlit999 = alloc_String("0");
    gc_root(strlit999);
  }
// compiled string node returning strlit999 (depth = 8)
  gc_frame_newslot(strlit999);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1000 = gc_frame_new();
// call case 3: self.outer request
  Object call1001 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1000);
// compiled member node returning call1001 (depth = 8)
  params[0] = call997;
  params[1] = num998;
  params[2] = strlit999;
  partcv[0] = 3;
  Object call1002 = callmethodflags(call1001, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe994);
// compiled call node returning call1002 (depth = 7)
  int op_slot_right_993 = gc_frame_newslot(call1002);
// starting to compile string node (depth = 7)
  if (strlit1004 == NULL) {
    strlit1004 = alloc_String("\\u");
    gc_root(strlit1004);
  }
// compiled string node returning strlit1004 (depth = 7)
  int op_slot_left_993 = gc_frame_newslot(strlit1004);
  params[0] = call1002;
  partcv[0] = 1;
  Object opresult1005 = callmethod(strlit1004, "++(1)", 1, partcv, params);
// compiled op node returning opresult1005 (depth = 6)
  int op_slot_left_990 = gc_frame_newslot(opresult1005);
  params[0] = strlit991;
  partcv[0] = 1;
  Object opresult1006 = callmethod(opresult1005, "++(1)", 1, partcv, params);
// compiled op node returning opresult1006 (depth = 5)
  gc_frame_newslot(opresult1006);
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1007 = gc_frame_new();
// call case 4: self request
  Object call1008 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1007);
// compiled member node returning call1008 (depth = 5)
  gc_frame_newslot(call1008);
// call case 6: other requests
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call987;
  params[1] = call989;
  params[2] = opresult1006;
  params[3] = call1008;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1009 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe985);
// compiled call node returning call1009 (depth = 4)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1010 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1012 == NULL) {
    strlit1012 = alloc_String(" instead");
    gc_root(strlit1012);
  }
// compiled string node returning strlit1012 (depth = 6)
  int op_slot_right_1011 = gc_frame_newslot(strlit1012);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1015 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1016 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1017 = alloc_Float64(16);
// compiled num node returning num1017 (depth = 9)
  gc_frame_newslot(num1017);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1017;
  partcv[0] = 1;
  Object call1018 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1016);
// compiled call node returning call1018 (depth = 8)
  gc_frame_newslot(call1018);
// starting to compile num node (depth = 8)
  Object num1019 = alloc_Float64(4);
// compiled num node returning num1019 (depth = 8)
  gc_frame_newslot(num1019);
// starting to compile string node (depth = 8)
  if (strlit1020 == NULL) {
    strlit1020 = alloc_String("0");
    gc_root(strlit1020);
  }
// compiled string node returning strlit1020 (depth = 8)
  gc_frame_newslot(strlit1020);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1021 = gc_frame_new();
// call case 3: self.outer request
  Object call1022 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1021);
// compiled member node returning call1022 (depth = 8)
  params[0] = call1018;
  params[1] = num1019;
  params[2] = strlit1020;
  partcv[0] = 3;
  Object call1023 = callmethodflags(call1022, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1015);
// compiled call node returning call1023 (depth = 7)
  int op_slot_right_1014 = gc_frame_newslot(call1023);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1026 == NULL) {
    strlit1026 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit1026);
  }
// compiled string node returning strlit1026 (depth = 8)
  int op_slot_right_1025 = gc_frame_newslot(strlit1026);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit1029 == NULL) {
    strlit1029 = alloc_String("written in the source code; ");
    gc_root(strlit1029);
  }
// compiled string node returning strlit1029 (depth = 9)
  int op_slot_right_1028 = gc_frame_newslot(strlit1029);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1032 == NULL) {
    strlit1032 = alloc_String(" and cannot be ");
    gc_root(strlit1032);
  }
// compiled string node returning strlit1032 (depth = 10)
  int op_slot_right_1031 = gc_frame_newslot(strlit1032);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit1035 == NULL) {
    strlit1035 = alloc_String("is not a valid whitespace character");
    gc_root(strlit1035);
  }
// compiled string node returning strlit1035 (depth = 11)
  int op_slot_right_1034 = gc_frame_newslot(strlit1035);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1038 == NULL) {
    strlit1038 = alloc_String(") ");
    gc_root(strlit1038);
  }
// compiled string node returning strlit1038 (depth = 12)
  int op_slot_right_1037 = gc_frame_newslot(strlit1038);
// starting to compile op node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe1041 = gc_frame_new();
// starting to compile call node (depth = 14)
  int callframe1042 = gc_frame_new();
// starting to compile num node (depth = 15)
  Object num1043 = alloc_Float64(16);
// compiled num node returning num1043 (depth = 15)
  gc_frame_newslot(num1043);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_ordval (depth = 15)
  params[0] = num1043;
  partcv[0] = 1;
  Object call1044 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1042);
// compiled call node returning call1044 (depth = 14)
  gc_frame_newslot(call1044);
// starting to compile num node (depth = 14)
  Object num1045 = alloc_Float64(4);
// compiled num node returning num1045 (depth = 14)
  gc_frame_newslot(num1045);
// starting to compile string node (depth = 14)
  if (strlit1046 == NULL) {
    strlit1046 = alloc_String("0");
    gc_root(strlit1046);
  }
// compiled string node returning strlit1046 (depth = 14)
  gc_frame_newslot(strlit1046);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe1047 = gc_frame_new();
// call case 3: self.outer request
  Object call1048 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1047);
// compiled member node returning call1048 (depth = 14)
  params[0] = call1044;
  params[1] = num1045;
  params[2] = strlit1046;
  partcv[0] = 3;
  Object call1049 = callmethodflags(call1048, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1041);
// compiled call node returning call1049 (depth = 13)
  int op_slot_right_1040 = gc_frame_newslot(call1049);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit1052 == NULL) {
    strlit1052 = alloc_String(" (U+");
    gc_root(strlit1052);
  }
// compiled string node returning strlit1052 (depth = 14)
  int op_slot_right_1051 = gc_frame_newslot(strlit1052);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe1055 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_unicode (depth = 16)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1056 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1055);
// compiled call node returning call1056 (depth = 15)
  int op_slot_right_1054 = gc_frame_newslot(call1056);
// starting to compile string node (depth = 15)
  if (strlit1058 == NULL) {
    strlit1058 = alloc_String("");
    gc_root(strlit1058);
  }
// compiled string node returning strlit1058 (depth = 15)
  int op_slot_left_1054 = gc_frame_newslot(strlit1058);
  params[0] = call1056;
  partcv[0] = 1;
  Object opresult1059 = callmethod(strlit1058, "++(1)", 1, partcv, params);
// compiled op node returning opresult1059 (depth = 14)
  int op_slot_left_1051 = gc_frame_newslot(opresult1059);
  params[0] = strlit1052;
  partcv[0] = 1;
  Object opresult1060 = callmethod(opresult1059, "++(1)", 1, partcv, params);
// compiled op node returning opresult1060 (depth = 13)
  int op_slot_left_1040 = gc_frame_newslot(opresult1060);
  params[0] = call1049;
  partcv[0] = 1;
  Object opresult1061 = callmethod(opresult1060, "++(1)", 1, partcv, params);
// compiled op node returning opresult1061 (depth = 12)
  int op_slot_left_1037 = gc_frame_newslot(opresult1061);
  params[0] = strlit1038;
  partcv[0] = 1;
  Object opresult1062 = callmethod(opresult1061, "++(1)", 1, partcv, params);
// compiled op node returning opresult1062 (depth = 11)
  int op_slot_left_1034 = gc_frame_newslot(opresult1062);
  params[0] = strlit1035;
  partcv[0] = 1;
  Object opresult1063 = callmethod(opresult1062, "++(1)", 1, partcv, params);
// compiled op node returning opresult1063 (depth = 10)
  int op_slot_left_1031 = gc_frame_newslot(opresult1063);
  params[0] = strlit1032;
  partcv[0] = 1;
  Object opresult1064 = callmethod(opresult1063, "++(1)", 1, partcv, params);
// compiled op node returning opresult1064 (depth = 9)
  int op_slot_left_1028 = gc_frame_newslot(opresult1064);
  params[0] = strlit1029;
  partcv[0] = 1;
  Object opresult1065 = callmethod(opresult1064, "++(1)", 1, partcv, params);
// compiled op node returning opresult1065 (depth = 8)
  int op_slot_left_1025 = gc_frame_newslot(opresult1065);
  params[0] = strlit1026;
  partcv[0] = 1;
  Object opresult1066 = callmethod(opresult1065, "++(1)", 1, partcv, params);
// compiled op node returning opresult1066 (depth = 7)
  int op_slot_left_1014 = gc_frame_newslot(opresult1066);
  params[0] = call1023;
  partcv[0] = 1;
  Object opresult1067 = callmethod(opresult1066, "++(1)", 1, partcv, params);
// compiled op node returning opresult1067 (depth = 6)
  int op_slot_left_1011 = gc_frame_newslot(opresult1067);
  params[0] = strlit1012;
  partcv[0] = 1;
  Object opresult1068 = callmethod(opresult1067, "++(1)", 1, partcv, params);
// compiled op node returning opresult1068 (depth = 5)
  gc_frame_newslot(opresult1068);
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1069 = gc_frame_new();
// call case 4: self request
  Object call1070 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1069);
// compiled member node returning call1070 (depth = 5)
  gc_frame_newslot(call1070);
// starting to compile member node (depth = 5)
  int callframe1071 = gc_frame_new();
// call case 4: self request
  Object call1072 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1071);
// compiled member node returning call1072 (depth = 5)
  gc_frame_newslot(call1072);
// starting to compile member node (depth = 5)
  int callframe1073 = gc_frame_new();
// call case 4: self request
  Object call1074 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1073);
// compiled member node returning call1074 (depth = 5)
  gc_frame_newslot(call1074);
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1068;
  params[1] = call1070;
  params[2] = call1072;
  params[3] = call1074;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1075 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1010);
// compiled call node returning call1075 (depth = 4)
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1076 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1078 == NULL) {
    strlit1078 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit1078);
  }
// compiled string node returning strlit1078 (depth = 6)
  int op_slot_right_1077 = gc_frame_newslot(strlit1078);
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1081 == NULL) {
    strlit1081 = alloc_String(") ");
    gc_root(strlit1081);
  }
// compiled string node returning strlit1081 (depth = 7)
  int op_slot_right_1080 = gc_frame_newslot(strlit1081);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1084 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1085 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1086 = alloc_Float64(16);
// compiled num node returning num1086 (depth = 10)
  gc_frame_newslot(num1086);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1086;
  partcv[0] = 1;
  Object call1087 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1085);
// compiled call node returning call1087 (depth = 9)
  gc_frame_newslot(call1087);
// starting to compile num node (depth = 9)
  Object num1088 = alloc_Float64(4);
// compiled num node returning num1088 (depth = 9)
  gc_frame_newslot(num1088);
// starting to compile string node (depth = 9)
  if (strlit1089 == NULL) {
    strlit1089 = alloc_String("0");
    gc_root(strlit1089);
  }
// compiled string node returning strlit1089 (depth = 9)
  gc_frame_newslot(strlit1089);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1090 = gc_frame_new();
// call case 3: self.outer request
  Object call1091 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1090);
// compiled member node returning call1091 (depth = 9)
  params[0] = call1087;
  params[1] = num1088;
  params[2] = strlit1089;
  partcv[0] = 3;
  Object call1092 = callmethodflags(call1091, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1084);
// compiled call node returning call1092 (depth = 8)
  int op_slot_right_1083 = gc_frame_newslot(call1092);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1095 == NULL) {
    strlit1095 = alloc_String(" (U+");
    gc_root(strlit1095);
  }
// compiled string node returning strlit1095 (depth = 9)
  int op_slot_right_1094 = gc_frame_newslot(strlit1095);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1098 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1099 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1098);
// compiled call node returning call1099 (depth = 10)
  int op_slot_right_1097 = gc_frame_newslot(call1099);
// starting to compile string node (depth = 10)
  if (strlit1101 == NULL) {
    strlit1101 = alloc_String("");
    gc_root(strlit1101);
  }
// compiled string node returning strlit1101 (depth = 10)
  int op_slot_left_1097 = gc_frame_newslot(strlit1101);
  params[0] = call1099;
  partcv[0] = 1;
  Object opresult1102 = callmethod(strlit1101, "++(1)", 1, partcv, params);
// compiled op node returning opresult1102 (depth = 9)
  int op_slot_left_1094 = gc_frame_newslot(opresult1102);
  params[0] = strlit1095;
  partcv[0] = 1;
  Object opresult1103 = callmethod(opresult1102, "++(1)", 1, partcv, params);
// compiled op node returning opresult1103 (depth = 8)
  int op_slot_left_1083 = gc_frame_newslot(opresult1103);
  params[0] = call1092;
  partcv[0] = 1;
  Object opresult1104 = callmethod(opresult1103, "++(1)", 1, partcv, params);
// compiled op node returning opresult1104 (depth = 7)
  int op_slot_left_1080 = gc_frame_newslot(opresult1104);
  params[0] = strlit1081;
  partcv[0] = 1;
  Object opresult1105 = callmethod(opresult1104, "++(1)", 1, partcv, params);
// compiled op node returning opresult1105 (depth = 6)
  int op_slot_left_1077 = gc_frame_newslot(opresult1105);
  params[0] = strlit1078;
  partcv[0] = 1;
  Object opresult1106 = callmethod(opresult1105, "++(1)", 1, partcv, params);
// compiled op node returning opresult1106 (depth = 5)
  gc_frame_newslot(opresult1106);
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1107 = gc_frame_new();
// call case 4: self request
  Object call1108 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1107);
// compiled member node returning call1108 (depth = 5)
  gc_frame_newslot(call1108);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1109 = gc_frame_new();
// call case 4: self request
  Object call1110 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1109);
// compiled member node returning call1110 (depth = 5)
  gc_frame_newslot(call1110);
// starting to compile member node (depth = 5)
  int callframe1111 = gc_frame_new();
// call case 4: self request
  Object call1112 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1111);
// compiled member node returning call1112 (depth = 5)
  gc_frame_newslot(call1112);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1106;
  params[1] = call1108;
  params[2] = call1110;
  params[3] = call1112;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1113 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1076);
// compiled call node returning call1113 (depth = 4)
    gc_frame_newslot(call1113);
    if945 = call1113;
  }
// compiled if node returning if945 (depth = 3)
    gc_frame_newslot(if945);
    if929 = if945;
  } else {
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1115 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1116 = gc_frame_new();
// call case 3: self.outer request
  Object call1117 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1116);
// compiled member node returning call1117 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1118 = callmethodflags(call1117, "isBadControl(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1115);
// compiled call node returning call1118 (depth = 4)
  Object if1114 = done;
  if (istrue(call1118)) {
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1119 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1120 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1121 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1120);
// compiled member node returning call1121 (depth = 6)
  Object call1122 = callmethodflags(call1121, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1119);
// compiled member node returning call1122 (depth = 5)
  *var_suggestion = call1122;
  if (call1122 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1123 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1124 = gc_frame_new();
// call case 4: self request
  Object call1125 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1124);
// compiled member node returning call1125 (depth = 5)
  gc_frame_newslot(call1125);
// starting to compile member node (depth = 5)
  int callframe1126 = gc_frame_new();
// call case 4: self request
  Object call1127 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1126);
// compiled member node returning call1127 (depth = 5)
  gc_frame_newslot(call1127);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1129 == NULL) {
    strlit1129 = alloc_String("");
    gc_root(strlit1129);
  }
// compiled string node returning strlit1129 (depth = 6)
  int op_slot_right_1128 = gc_frame_newslot(strlit1129);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1132 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1133 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1134 = alloc_Float64(16);
// compiled num node returning num1134 (depth = 9)
  gc_frame_newslot(num1134);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1134;
  partcv[0] = 1;
  Object call1135 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1133);
// compiled call node returning call1135 (depth = 8)
  gc_frame_newslot(call1135);
// starting to compile num node (depth = 8)
  Object num1136 = alloc_Float64(4);
// compiled num node returning num1136 (depth = 8)
  gc_frame_newslot(num1136);
// starting to compile string node (depth = 8)
  if (strlit1137 == NULL) {
    strlit1137 = alloc_String("0");
    gc_root(strlit1137);
  }
// compiled string node returning strlit1137 (depth = 8)
  gc_frame_newslot(strlit1137);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1138 = gc_frame_new();
// call case 3: self.outer request
  Object call1139 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1138);
// compiled member node returning call1139 (depth = 8)
  params[0] = call1135;
  params[1] = num1136;
  params[2] = strlit1137;
  partcv[0] = 3;
  Object call1140 = callmethodflags(call1139, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1132);
// compiled call node returning call1140 (depth = 7)
  int op_slot_right_1131 = gc_frame_newslot(call1140);
// starting to compile string node (depth = 7)
  if (strlit1142 == NULL) {
    strlit1142 = alloc_String("\\u");
    gc_root(strlit1142);
  }
// compiled string node returning strlit1142 (depth = 7)
  int op_slot_left_1131 = gc_frame_newslot(strlit1142);
  params[0] = call1140;
  partcv[0] = 1;
  Object opresult1143 = callmethod(strlit1142, "++(1)", 1, partcv, params);
// compiled op node returning opresult1143 (depth = 6)
  int op_slot_left_1128 = gc_frame_newslot(opresult1143);
  params[0] = strlit1129;
  partcv[0] = 1;
  Object opresult1144 = callmethod(opresult1143, "++(1)", 1, partcv, params);
// compiled op node returning opresult1144 (depth = 5)
  gc_frame_newslot(opresult1144);
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1145 = gc_frame_new();
// call case 4: self request
  Object call1146 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1145);
// compiled member node returning call1146 (depth = 5)
  gc_frame_newslot(call1146);
// call case 6: other requests
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1125;
  params[1] = call1127;
  params[2] = opresult1144;
  params[3] = call1146;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1147 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1123);
// compiled call node returning call1147 (depth = 4)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1148 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1150 == NULL) {
    strlit1150 = alloc_String(" instead");
    gc_root(strlit1150);
  }
// compiled string node returning strlit1150 (depth = 6)
  int op_slot_right_1149 = gc_frame_newslot(strlit1150);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1153 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe1154 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num1155 = alloc_Float64(16);
// compiled num node returning num1155 (depth = 9)
  gc_frame_newslot(num1155);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ordval (depth = 9)
  params[0] = num1155;
  partcv[0] = 1;
  Object call1156 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1154);
// compiled call node returning call1156 (depth = 8)
  gc_frame_newslot(call1156);
// starting to compile num node (depth = 8)
  Object num1157 = alloc_Float64(4);
// compiled num node returning num1157 (depth = 8)
  gc_frame_newslot(num1157);
// starting to compile string node (depth = 8)
  if (strlit1158 == NULL) {
    strlit1158 = alloc_String("0");
    gc_root(strlit1158);
  }
// compiled string node returning strlit1158 (depth = 8)
  gc_frame_newslot(strlit1158);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1159 = gc_frame_new();
// call case 3: self.outer request
  Object call1160 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1159);
// compiled member node returning call1160 (depth = 8)
  params[0] = call1156;
  params[1] = num1157;
  params[2] = strlit1158;
  partcv[0] = 3;
  Object call1161 = callmethodflags(call1160, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1153);
// compiled call node returning call1161 (depth = 7)
  int op_slot_right_1152 = gc_frame_newslot(call1161);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1164 == NULL) {
    strlit1164 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit1164);
  }
// compiled string node returning strlit1164 (depth = 8)
  int op_slot_right_1163 = gc_frame_newslot(strlit1164);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit1167 == NULL) {
    strlit1167 = alloc_String("written in the source code; ");
    gc_root(strlit1167);
  }
// compiled string node returning strlit1167 (depth = 9)
  int op_slot_right_1166 = gc_frame_newslot(strlit1167);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1170 == NULL) {
    strlit1170 = alloc_String("is a control character and cannot be ");
    gc_root(strlit1170);
  }
// compiled string node returning strlit1170 (depth = 10)
  int op_slot_right_1169 = gc_frame_newslot(strlit1170);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1173 == NULL) {
    strlit1173 = alloc_String(") ");
    gc_root(strlit1173);
  }
// compiled string node returning strlit1173 (depth = 11)
  int op_slot_right_1172 = gc_frame_newslot(strlit1173);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1176 = gc_frame_new();
// starting to compile call node (depth = 13)
  int callframe1177 = gc_frame_new();
// starting to compile num node (depth = 14)
  Object num1178 = alloc_Float64(16);
// compiled num node returning num1178 (depth = 14)
  gc_frame_newslot(num1178);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ordval (depth = 14)
  params[0] = num1178;
  partcv[0] = 1;
  Object call1179 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1177);
// compiled call node returning call1179 (depth = 13)
  gc_frame_newslot(call1179);
// starting to compile num node (depth = 13)
  Object num1180 = alloc_Float64(4);
// compiled num node returning num1180 (depth = 13)
  gc_frame_newslot(num1180);
// starting to compile string node (depth = 13)
  if (strlit1181 == NULL) {
    strlit1181 = alloc_String("0");
    gc_root(strlit1181);
  }
// compiled string node returning strlit1181 (depth = 13)
  gc_frame_newslot(strlit1181);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe1182 = gc_frame_new();
// call case 3: self.outer request
  Object call1183 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1182);
// compiled member node returning call1183 (depth = 13)
  params[0] = call1179;
  params[1] = num1180;
  params[2] = strlit1181;
  partcv[0] = 3;
  Object call1184 = callmethodflags(call1183, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1176);
// compiled call node returning call1184 (depth = 12)
  int op_slot_right_1175 = gc_frame_newslot(call1184);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1187 == NULL) {
    strlit1187 = alloc_String(" (U+");
    gc_root(strlit1187);
  }
// compiled string node returning strlit1187 (depth = 13)
  int op_slot_right_1186 = gc_frame_newslot(strlit1187);
// starting to compile op node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe1190 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_unicode (depth = 15)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1191 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1190);
// compiled call node returning call1191 (depth = 14)
  int op_slot_right_1189 = gc_frame_newslot(call1191);
// starting to compile string node (depth = 14)
  if (strlit1193 == NULL) {
    strlit1193 = alloc_String("");
    gc_root(strlit1193);
  }
// compiled string node returning strlit1193 (depth = 14)
  int op_slot_left_1189 = gc_frame_newslot(strlit1193);
  params[0] = call1191;
  partcv[0] = 1;
  Object opresult1194 = callmethod(strlit1193, "++(1)", 1, partcv, params);
// compiled op node returning opresult1194 (depth = 13)
  int op_slot_left_1186 = gc_frame_newslot(opresult1194);
  params[0] = strlit1187;
  partcv[0] = 1;
  Object opresult1195 = callmethod(opresult1194, "++(1)", 1, partcv, params);
// compiled op node returning opresult1195 (depth = 12)
  int op_slot_left_1175 = gc_frame_newslot(opresult1195);
  params[0] = call1184;
  partcv[0] = 1;
  Object opresult1196 = callmethod(opresult1195, "++(1)", 1, partcv, params);
// compiled op node returning opresult1196 (depth = 11)
  int op_slot_left_1172 = gc_frame_newslot(opresult1196);
  params[0] = strlit1173;
  partcv[0] = 1;
  Object opresult1197 = callmethod(opresult1196, "++(1)", 1, partcv, params);
// compiled op node returning opresult1197 (depth = 10)
  int op_slot_left_1169 = gc_frame_newslot(opresult1197);
  params[0] = strlit1170;
  partcv[0] = 1;
  Object opresult1198 = callmethod(opresult1197, "++(1)", 1, partcv, params);
// compiled op node returning opresult1198 (depth = 9)
  int op_slot_left_1166 = gc_frame_newslot(opresult1198);
  params[0] = strlit1167;
  partcv[0] = 1;
  Object opresult1199 = callmethod(opresult1198, "++(1)", 1, partcv, params);
// compiled op node returning opresult1199 (depth = 8)
  int op_slot_left_1163 = gc_frame_newslot(opresult1199);
  params[0] = strlit1164;
  partcv[0] = 1;
  Object opresult1200 = callmethod(opresult1199, "++(1)", 1, partcv, params);
// compiled op node returning opresult1200 (depth = 7)
  int op_slot_left_1152 = gc_frame_newslot(opresult1200);
  params[0] = call1161;
  partcv[0] = 1;
  Object opresult1201 = callmethod(opresult1200, "++(1)", 1, partcv, params);
// compiled op node returning opresult1201 (depth = 6)
  int op_slot_left_1149 = gc_frame_newslot(opresult1201);
  params[0] = strlit1150;
  partcv[0] = 1;
  Object opresult1202 = callmethod(opresult1201, "++(1)", 1, partcv, params);
// compiled op node returning opresult1202 (depth = 5)
  gc_frame_newslot(opresult1202);
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1203 = gc_frame_new();
// call case 4: self request
  Object call1204 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1203);
// compiled member node returning call1204 (depth = 5)
  gc_frame_newslot(call1204);
// starting to compile member node (depth = 5)
  int callframe1205 = gc_frame_new();
// call case 4: self request
  Object call1206 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1205);
// compiled member node returning call1206 (depth = 5)
  gc_frame_newslot(call1206);
// starting to compile member node (depth = 5)
  int callframe1207 = gc_frame_new();
// call case 4: self request
  Object call1208 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1207);
// compiled member node returning call1208 (depth = 5)
  gc_frame_newslot(call1208);
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1202;
  params[1] = call1204;
  params[2] = call1206;
  params[3] = call1208;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1209 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1148);
// compiled call node returning call1209 (depth = 4)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1210 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1211 = gc_frame_new();
// call case 4: self request
  Object call1212 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1211);
// compiled member node returning call1212 (depth = 5)
  gc_frame_newslot(call1212);
// starting to compile member node (depth = 5)
  int callframe1213 = gc_frame_new();
// call case 4: self request
  Object call1214 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1213);
// compiled member node returning call1214 (depth = 5)
  gc_frame_newslot(call1214);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1212;
  params[1] = call1214;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1215 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1210);
// compiled call node returning call1215 (depth = 4)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1216 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1218 == NULL) {
    strlit1218 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit1218);
  }
// compiled string node returning strlit1218 (depth = 6)
  int op_slot_right_1217 = gc_frame_newslot(strlit1218);
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1221 == NULL) {
    strlit1221 = alloc_String(") ");
    gc_root(strlit1221);
  }
// compiled string node returning strlit1221 (depth = 7)
  int op_slot_right_1220 = gc_frame_newslot(strlit1221);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1224 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1225 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1226 = alloc_Float64(16);
// compiled num node returning num1226 (depth = 10)
  gc_frame_newslot(num1226);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1226;
  partcv[0] = 1;
  Object call1227 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1225);
// compiled call node returning call1227 (depth = 9)
  gc_frame_newslot(call1227);
// starting to compile num node (depth = 9)
  Object num1228 = alloc_Float64(4);
// compiled num node returning num1228 (depth = 9)
  gc_frame_newslot(num1228);
// starting to compile string node (depth = 9)
  if (strlit1229 == NULL) {
    strlit1229 = alloc_String("0");
    gc_root(strlit1229);
  }
// compiled string node returning strlit1229 (depth = 9)
  gc_frame_newslot(strlit1229);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1230 = gc_frame_new();
// call case 3: self.outer request
  Object call1231 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1230);
// compiled member node returning call1231 (depth = 9)
  params[0] = call1227;
  params[1] = num1228;
  params[2] = strlit1229;
  partcv[0] = 3;
  Object call1232 = callmethodflags(call1231, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1224);
// compiled call node returning call1232 (depth = 8)
  int op_slot_right_1223 = gc_frame_newslot(call1232);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1235 == NULL) {
    strlit1235 = alloc_String(" (U+");
    gc_root(strlit1235);
  }
// compiled string node returning strlit1235 (depth = 9)
  int op_slot_right_1234 = gc_frame_newslot(strlit1235);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1238 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1239 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1238);
// compiled call node returning call1239 (depth = 10)
  int op_slot_right_1237 = gc_frame_newslot(call1239);
// starting to compile string node (depth = 10)
  if (strlit1241 == NULL) {
    strlit1241 = alloc_String("");
    gc_root(strlit1241);
  }
// compiled string node returning strlit1241 (depth = 10)
  int op_slot_left_1237 = gc_frame_newslot(strlit1241);
  params[0] = call1239;
  partcv[0] = 1;
  Object opresult1242 = callmethod(strlit1241, "++(1)", 1, partcv, params);
// compiled op node returning opresult1242 (depth = 9)
  int op_slot_left_1234 = gc_frame_newslot(opresult1242);
  params[0] = strlit1235;
  partcv[0] = 1;
  Object opresult1243 = callmethod(opresult1242, "++(1)", 1, partcv, params);
// compiled op node returning opresult1243 (depth = 8)
  int op_slot_left_1223 = gc_frame_newslot(opresult1243);
  params[0] = call1232;
  partcv[0] = 1;
  Object opresult1244 = callmethod(opresult1243, "++(1)", 1, partcv, params);
// compiled op node returning opresult1244 (depth = 7)
  int op_slot_left_1220 = gc_frame_newslot(opresult1244);
  params[0] = strlit1221;
  partcv[0] = 1;
  Object opresult1245 = callmethod(opresult1244, "++(1)", 1, partcv, params);
// compiled op node returning opresult1245 (depth = 6)
  int op_slot_left_1217 = gc_frame_newslot(opresult1245);
  params[0] = strlit1218;
  partcv[0] = 1;
  Object opresult1246 = callmethod(opresult1245, "++(1)", 1, partcv, params);
// compiled op node returning opresult1246 (depth = 5)
  gc_frame_newslot(opresult1246);
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1247 = gc_frame_new();
// call case 4: self request
  Object call1248 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1247);
// compiled member node returning call1248 (depth = 5)
  gc_frame_newslot(call1248);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1249 = gc_frame_new();
// call case 4: self request
  Object call1250 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1249);
// compiled member node returning call1250 (depth = 5)
  gc_frame_newslot(call1250);
// starting to compile member node (depth = 5)
  int callframe1251 = gc_frame_new();
// call case 4: self request
  Object call1252 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1251);
// compiled member node returning call1252 (depth = 5)
  gc_frame_newslot(call1252);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1246;
  params[1] = call1248;
  params[2] = call1250;
  params[3] = call1252;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1253 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1216);
// compiled call node returning call1253 (depth = 4)
    gc_frame_newslot(call1253);
    if1114 = call1253;
  } else {
  }
// compiled if node returning if1114 (depth = 3)
    gc_frame_newslot(if1114);
    if929 = if1114;
  }
// compiled if node returning if929 (depth = 2)
  gc_frame_end(frame);
  return if929;
}
Object meth_lexer_checkSeparator_40_1_41_1254(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkSeparator(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkSeparator(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkSeparator(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkSeparator(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1255 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call1256 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1255);
// compiled member node returning call1256 (depth = 3)
  *var_ordval = call1256;
  if (call1256 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1258 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1259 = gc_frame_new();
// call case 3: self.outer request
  Object call1260 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1259);
// compiled member node returning call1260 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1261 = callmethodflags(call1260, "isBadSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1258);
// compiled call node returning call1261 (depth = 3)
  Object if1257 = done;
  if (istrue(call1261)) {
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1262 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1263 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call1264 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1263);
// compiled member node returning call1264 (depth = 5)
  Object call1265 = callmethodflags(call1264, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1262);
// compiled member node returning call1265 (depth = 4)
  *var_suggestion = call1265;
  if (call1265 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1266 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1267 = gc_frame_new();
// call case 4: self request
  Object call1268 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1267);
// compiled member node returning call1268 (depth = 4)
  gc_frame_newslot(call1268);
// starting to compile string node (depth = 4)
  if (strlit1269 == NULL) {
    strlit1269 = alloc_String(" ");
    gc_root(strlit1269);
  }
// compiled string node returning strlit1269 (depth = 4)
  gc_frame_newslot(strlit1269);
// starting to compile member node (depth = 4)
  int callframe1270 = gc_frame_new();
// call case 4: self request
  Object call1271 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1270);
// compiled member node returning call1271 (depth = 4)
  gc_frame_newslot(call1271);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = call1268;
  params[1] = strlit1269;
  params[2] = call1271;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1272 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1266);
// compiled call node returning call1272 (depth = 3)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1275 = alloc_Float64(9);
// compiled num node returning num1275 (depth = 5)
  int op_slot_right_1274 = gc_frame_newslot(num1275);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ordval (depth = 5)
  int op_slot_left_1274 = gc_frame_newslot(*var_ordval);
  params[0] = num1275;
  partcv[0] = 1;
  Object opresult1277 = callmethod(*var_ordval, "==(1)", 1, partcv, params);
// compiled op node returning opresult1277 (depth = 4)
  Object if1273 = done;
  if (istrue(opresult1277)) {
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1278 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1279 == NULL) {
    strlit1279 = alloc_String("tabs are not allowed; use spaces instead.");
    gc_root(strlit1279);
  }
// compiled string node returning strlit1279 (depth = 5)
  gc_frame_newslot(strlit1279);
// starting to compile member node (depth = 5)
  int callframe1280 = gc_frame_new();
// call case 4: self request
  Object call1281 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1280);
// compiled member node returning call1281 (depth = 5)
  gc_frame_newslot(call1281);
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1282 = gc_frame_new();
// call case 4: self request
  Object call1283 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1282);
// compiled member node returning call1283 (depth = 5)
  gc_frame_newslot(call1283);
// starting to compile member node (depth = 5)
  int callframe1284 = gc_frame_new();
// call case 4: self request
  Object call1285 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1284);
// compiled member node returning call1285 (depth = 5)
  gc_frame_newslot(call1285);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1279;
  params[1] = call1281;
  params[2] = call1283;
  params[3] = call1285;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1286 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1278);
// compiled call node returning call1286 (depth = 4)
    gc_frame_newslot(call1286);
    if1273 = call1286;
  } else {
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1287 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1289 == NULL) {
    strlit1289 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit1289);
  }
// compiled string node returning strlit1289 (depth = 6)
  int op_slot_right_1288 = gc_frame_newslot(strlit1289);
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1292 == NULL) {
    strlit1292 = alloc_String(") ");
    gc_root(strlit1292);
  }
// compiled string node returning strlit1292 (depth = 7)
  int op_slot_right_1291 = gc_frame_newslot(strlit1292);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1295 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1296 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1297 = alloc_Float64(16);
// compiled num node returning num1297 (depth = 10)
  gc_frame_newslot(num1297);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1297;
  partcv[0] = 1;
  Object call1298 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1296);
// compiled call node returning call1298 (depth = 9)
  gc_frame_newslot(call1298);
// starting to compile num node (depth = 9)
  Object num1299 = alloc_Float64(4);
// compiled num node returning num1299 (depth = 9)
  gc_frame_newslot(num1299);
// starting to compile string node (depth = 9)
  if (strlit1300 == NULL) {
    strlit1300 = alloc_String("0");
    gc_root(strlit1300);
  }
// compiled string node returning strlit1300 (depth = 9)
  gc_frame_newslot(strlit1300);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1301 = gc_frame_new();
// call case 3: self.outer request
  Object call1302 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1301);
// compiled member node returning call1302 (depth = 9)
  params[0] = call1298;
  params[1] = num1299;
  params[2] = strlit1300;
  partcv[0] = 3;
  Object call1303 = callmethodflags(call1302, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1295);
// compiled call node returning call1303 (depth = 8)
  int op_slot_right_1294 = gc_frame_newslot(call1303);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1306 == NULL) {
    strlit1306 = alloc_String(" (U+");
    gc_root(strlit1306);
  }
// compiled string node returning strlit1306 (depth = 9)
  int op_slot_right_1305 = gc_frame_newslot(strlit1306);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1309 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1310 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1309);
// compiled call node returning call1310 (depth = 10)
  int op_slot_right_1308 = gc_frame_newslot(call1310);
// starting to compile string node (depth = 10)
  if (strlit1312 == NULL) {
    strlit1312 = alloc_String("");
    gc_root(strlit1312);
  }
// compiled string node returning strlit1312 (depth = 10)
  int op_slot_left_1308 = gc_frame_newslot(strlit1312);
  params[0] = call1310;
  partcv[0] = 1;
  Object opresult1313 = callmethod(strlit1312, "++(1)", 1, partcv, params);
// compiled op node returning opresult1313 (depth = 9)
  int op_slot_left_1305 = gc_frame_newslot(opresult1313);
  params[0] = strlit1306;
  partcv[0] = 1;
  Object opresult1314 = callmethod(opresult1313, "++(1)", 1, partcv, params);
// compiled op node returning opresult1314 (depth = 8)
  int op_slot_left_1294 = gc_frame_newslot(opresult1314);
  params[0] = call1303;
  partcv[0] = 1;
  Object opresult1315 = callmethod(opresult1314, "++(1)", 1, partcv, params);
// compiled op node returning opresult1315 (depth = 7)
  int op_slot_left_1291 = gc_frame_newslot(opresult1315);
  params[0] = strlit1292;
  partcv[0] = 1;
  Object opresult1316 = callmethod(opresult1315, "++(1)", 1, partcv, params);
// compiled op node returning opresult1316 (depth = 6)
  int op_slot_left_1288 = gc_frame_newslot(opresult1316);
  params[0] = strlit1289;
  partcv[0] = 1;
  Object opresult1317 = callmethod(opresult1316, "++(1)", 1, partcv, params);
// compiled op node returning opresult1317 (depth = 5)
  gc_frame_newslot(opresult1317);
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1318 = gc_frame_new();
// call case 4: self request
  Object call1319 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1318);
// compiled member node returning call1319 (depth = 5)
  gc_frame_newslot(call1319);
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1320 = gc_frame_new();
// call case 4: self request
  Object call1321 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1320);
// compiled member node returning call1321 (depth = 5)
  gc_frame_newslot(call1321);
// starting to compile member node (depth = 5)
  int callframe1322 = gc_frame_new();
// call case 4: self request
  Object call1323 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1322);
// compiled member node returning call1323 (depth = 5)
  gc_frame_newslot(call1323);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1317;
  params[1] = call1319;
  params[2] = call1321;
  params[3] = call1323;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1324 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1287);
// compiled call node returning call1324 (depth = 4)
    gc_frame_newslot(call1324);
    if1273 = call1324;
  }
// compiled if node returning if1273 (depth = 3)
    gc_frame_newslot(if1273);
    if1257 = if1273;
  } else {
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1326 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1327 = gc_frame_new();
// call case 3: self.outer request
  Object call1328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1327);
// compiled member node returning call1328 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1329 = callmethodflags(call1328, "isBadControl(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1326);
// compiled call node returning call1329 (depth = 4)
  Object if1325 = done;
  if (istrue(call1329)) {
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1330 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1331 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1332 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1331);
// compiled member node returning call1332 (depth = 6)
  Object call1333 = callmethodflags(call1332, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1330);
// compiled member node returning call1333 (depth = 5)
  *var_suggestion = call1333;
  if (call1333 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1334 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1335 = gc_frame_new();
// call case 4: self request
  Object call1336 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1335);
// compiled member node returning call1336 (depth = 5)
  gc_frame_newslot(call1336);
// starting to compile member node (depth = 5)
  int callframe1337 = gc_frame_new();
// call case 4: self request
  Object call1338 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1337);
// compiled member node returning call1338 (depth = 5)
  gc_frame_newslot(call1338);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call1336;
  params[1] = call1338;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1339 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1334);
// compiled call node returning call1339 (depth = 4)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1340 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1342 == NULL) {
    strlit1342 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit1342);
  }
// compiled string node returning strlit1342 (depth = 6)
  int op_slot_right_1341 = gc_frame_newslot(strlit1342);
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1345 == NULL) {
    strlit1345 = alloc_String(") ");
    gc_root(strlit1345);
  }
// compiled string node returning strlit1345 (depth = 7)
  int op_slot_right_1344 = gc_frame_newslot(strlit1345);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1348 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1349 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1350 = alloc_Float64(16);
// compiled num node returning num1350 (depth = 10)
  gc_frame_newslot(num1350);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  params[0] = num1350;
  partcv[0] = 1;
  Object call1351 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1349);
// compiled call node returning call1351 (depth = 9)
  gc_frame_newslot(call1351);
// starting to compile num node (depth = 9)
  Object num1352 = alloc_Float64(4);
// compiled num node returning num1352 (depth = 9)
  gc_frame_newslot(num1352);
// starting to compile string node (depth = 9)
  if (strlit1353 == NULL) {
    strlit1353 = alloc_String("0");
    gc_root(strlit1353);
  }
// compiled string node returning strlit1353 (depth = 9)
  gc_frame_newslot(strlit1353);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1354 = gc_frame_new();
// call case 3: self.outer request
  Object call1355 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1354);
// compiled member node returning call1355 (depth = 9)
  params[0] = call1351;
  params[1] = num1352;
  params[2] = strlit1353;
  partcv[0] = 3;
  Object call1356 = callmethodflags(call1355, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1348);
// compiled call node returning call1356 (depth = 8)
  int op_slot_right_1347 = gc_frame_newslot(call1356);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1359 == NULL) {
    strlit1359 = alloc_String(" (U+");
    gc_root(strlit1359);
  }
// compiled string node returning strlit1359 (depth = 9)
  int op_slot_right_1358 = gc_frame_newslot(strlit1359);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1362 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1363 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1362);
// compiled call node returning call1363 (depth = 10)
  int op_slot_right_1361 = gc_frame_newslot(call1363);
// starting to compile string node (depth = 10)
  if (strlit1365 == NULL) {
    strlit1365 = alloc_String("");
    gc_root(strlit1365);
  }
// compiled string node returning strlit1365 (depth = 10)
  int op_slot_left_1361 = gc_frame_newslot(strlit1365);
  params[0] = call1363;
  partcv[0] = 1;
  Object opresult1366 = callmethod(strlit1365, "++(1)", 1, partcv, params);
// compiled op node returning opresult1366 (depth = 9)
  int op_slot_left_1358 = gc_frame_newslot(opresult1366);
  params[0] = strlit1359;
  partcv[0] = 1;
  Object opresult1367 = callmethod(opresult1366, "++(1)", 1, partcv, params);
// compiled op node returning opresult1367 (depth = 8)
  int op_slot_left_1347 = gc_frame_newslot(opresult1367);
  params[0] = call1356;
  partcv[0] = 1;
  Object opresult1368 = callmethod(opresult1367, "++(1)", 1, partcv, params);
// compiled op node returning opresult1368 (depth = 7)
  int op_slot_left_1344 = gc_frame_newslot(opresult1368);
  params[0] = strlit1345;
  partcv[0] = 1;
  Object opresult1369 = callmethod(opresult1368, "++(1)", 1, partcv, params);
// compiled op node returning opresult1369 (depth = 6)
  int op_slot_left_1341 = gc_frame_newslot(opresult1369);
  params[0] = strlit1342;
  partcv[0] = 1;
  Object opresult1370 = callmethod(opresult1369, "++(1)", 1, partcv, params);
// compiled op node returning opresult1370 (depth = 5)
  gc_frame_newslot(opresult1370);
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1371 = gc_frame_new();
// call case 4: self request
  Object call1372 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1371);
// compiled member node returning call1372 (depth = 5)
  gc_frame_newslot(call1372);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1373 = gc_frame_new();
// call case 4: self request
  Object call1374 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1373);
// compiled member node returning call1374 (depth = 5)
  gc_frame_newslot(call1374);
// starting to compile member node (depth = 5)
  int callframe1375 = gc_frame_new();
// call case 4: self request
  Object call1376 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1375);
// compiled member node returning call1376 (depth = 5)
  gc_frame_newslot(call1376);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1370;
  params[1] = call1372;
  params[2] = call1374;
  params[3] = call1376;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1377 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1340);
// compiled call node returning call1377 (depth = 4)
    gc_frame_newslot(call1377);
    if1325 = call1377;
  } else {
  }
// compiled if node returning if1325 (depth = 3)
    gc_frame_newslot(if1325);
    if1257 = if1325;
  }
// compiled if node returning if1257 (depth = 2)
  gc_frame_end(frame);
  return if1257;
}
Object meth_lexer__apply_40_1_41_1383(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1384 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  Object call1385 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1384);
// compiled member node returning call1385 (depth = 5)
  *var_n = call1385;
  if (call1385 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1386 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1386 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1388 = callmethod(*var_val, "*(1)", 1, partcv, params);
// compiled op node returning prod1388 (depth = 5)
  *var_val = prod1388;
  if (prod1388 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1390 = alloc_Float64(0);
// compiled num node returning num1390 (depth = 5)
  *var_inc = num1390;
  if (num1390 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1394 = alloc_Float64(57);
// compiled num node returning num1394 (depth = 7)
  int op_slot_right_1393 = gc_frame_newslot(num1394);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1393 = gc_frame_newslot(*var_n);
  params[0] = num1394;
  partcv[0] = 1;
  Object opresult1396 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1396 (depth = 6)
  int op_slot_right_1392 = gc_frame_newslot(opresult1396);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1399 = alloc_Float64(48);
// compiled num node returning num1399 (depth = 7)
  int op_slot_right_1398 = gc_frame_newslot(num1399);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1398 = gc_frame_newslot(*var_n);
  params[0] = num1399;
  partcv[0] = 1;
  Object opresult1401 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1401 (depth = 6)
  int op_slot_left_1392 = gc_frame_newslot(opresult1401);
  params[0] = opresult1396;
  partcv[0] = 1;
  Object opresult1402 = callmethod(opresult1401, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1402 (depth = 5)
  Object if1391 = done;
  if (istrue(opresult1402)) {
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1404 = alloc_Float64(48);
// compiled num node returning num1404 (depth = 7)
  int op_slot_right_1403 = gc_frame_newslot(num1404);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1403 = gc_frame_newslot(*var_n);
  params[0] = num1404;
  partcv[0] = 1;
  Object diff1406 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1406 (depth = 6)
  *var_inc = diff1406;
  if (diff1406 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1391 = done;
  } else {
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1411 = alloc_Float64(90);
// compiled num node returning num1411 (depth = 8)
  int op_slot_right_1410 = gc_frame_newslot(num1411);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1410 = gc_frame_newslot(*var_n);
  params[0] = num1411;
  partcv[0] = 1;
  Object opresult1413 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1413 (depth = 7)
  int op_slot_right_1409 = gc_frame_newslot(opresult1413);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1416 = alloc_Float64(65);
// compiled num node returning num1416 (depth = 8)
  int op_slot_right_1415 = gc_frame_newslot(num1416);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1415 = gc_frame_newslot(*var_n);
  params[0] = num1416;
  partcv[0] = 1;
  Object opresult1418 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1418 (depth = 7)
  int op_slot_left_1409 = gc_frame_newslot(opresult1418);
  params[0] = opresult1413;
  partcv[0] = 1;
  Object opresult1419 = callmethod(opresult1418, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1419 (depth = 6)
  Object if1408 = done;
  if (istrue(opresult1419)) {
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1421 = alloc_Float64(55);
// compiled num node returning num1421 (depth = 8)
  int op_slot_right_1420 = gc_frame_newslot(num1421);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1420 = gc_frame_newslot(*var_n);
  params[0] = num1421;
  partcv[0] = 1;
  Object diff1423 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1423 (depth = 7)
  *var_inc = diff1423;
  if (diff1423 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1408 = done;
  } else {
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1426 = alloc_Float64(87);
// compiled num node returning num1426 (depth = 8)
  int op_slot_right_1425 = gc_frame_newslot(num1426);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1425 = gc_frame_newslot(*var_n);
  params[0] = num1426;
  partcv[0] = 1;
  Object diff1428 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1428 (depth = 7)
  *var_inc = diff1428;
  if (diff1428 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1408 = done;
  }
// compiled if node returning if1408 (depth = 5)
    gc_frame_newslot(if1408);
    if1391 = if1408;
  }
// compiled if node returning if1391 (depth = 4)
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1431 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_left_1431 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1433 = callmethod(*var_inc, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1433 (depth = 5)
  Object if1430 = done;
  if (istrue(opresult1433)) {
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1437 = alloc_Float64(16);
// compiled num node returning num1437 (depth = 8)
  int op_slot_right_1436 = gc_frame_newslot(num1437);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inc (depth = 8)
  int op_slot_left_1436 = gc_frame_newslot(*var_inc);
  params[0] = num1437;
  partcv[0] = 1;
  Object opresult1439 = callmethod(*var_inc, "<(1)", 1, partcv, params);
// compiled op node returning opresult1439 (depth = 7)
  int op_slot_right_1435 = gc_frame_newslot(opresult1439);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1442 == NULL) {
    strlit1442 = alloc_String("0");
    gc_root(strlit1442);
  }
// compiled string node returning strlit1442 (depth = 8)
  int op_slot_right_1441 = gc_frame_newslot(strlit1442);
// starting to compile member node (depth = 8)
  int callframe1444 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1445 = callmethodflags(*var_str, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1444);
// compiled member node returning call1445 (depth = 8)
  int op_slot_left_1441 = gc_frame_newslot(call1445);
  params[0] = strlit1442;
  partcv[0] = 1;
  Object opresult1446 = callmethod(call1445, "==(1)", 1, partcv, params);
// compiled op node returning opresult1446 (depth = 7)
  int op_slot_left_1435 = gc_frame_newslot(opresult1446);
  params[0] = opresult1439;
  partcv[0] = 1;
  Object opresult1447 = callmethod(opresult1446, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1447 (depth = 6)
  Object if1434 = done;
  if (istrue(opresult1447)) {
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1448 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1449 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1450 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1449);
// compiled member node returning call1450 (depth = 8)
  Object call1451 = callmethodflags(call1450, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1448);
// compiled member node returning call1451 (depth = 7)
  *var_suggestion = call1451;
  if (call1451 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1452 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1453 == NULL) {
    strlit1453 = alloc_String("x");
    gc_root(strlit1453);
  }
// compiled string node returning strlit1453 (depth = 7)
  gc_frame_newslot(strlit1453);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1455 = alloc_Float64(1);
// compiled num node returning num1455 (depth = 8)
  int op_slot_right_1454 = gc_frame_newslot(num1455);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1458 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1459 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1458);
// compiled member node returning call1459 (depth = 9)
  int op_slot_right_1457 = gc_frame_newslot(call1459);
// starting to compile member node (depth = 9)
  int callframe1461 = gc_frame_new();
// call case 4: self request
  Object call1462 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1461);
// compiled member node returning call1462 (depth = 9)
  int op_slot_left_1457 = gc_frame_newslot(call1462);
  params[0] = call1459;
  partcv[0] = 1;
  Object diff1463 = callmethod(call1462, "-(1)", 1, partcv, params);
// compiled op node returning diff1463 (depth = 8)
  int op_slot_left_1454 = gc_frame_newslot(diff1463);
  params[0] = num1455;
  partcv[0] = 1;
  Object sum1464 = callmethod(diff1463, "+(1)", 1, partcv, params);
// compiled op node returning sum1464 (depth = 7)
  gc_frame_newslot(sum1464);
// starting to compile member node (depth = 7)
  int callframe1465 = gc_frame_new();
// call case 4: self request
  Object call1466 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1465);
// compiled member node returning call1466 (depth = 7)
  gc_frame_newslot(call1466);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1453;
  params[1] = sum1464;
  params[2] = call1466;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1467 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1452);
// compiled call node returning call1467 (depth = 6)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1468 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1469 == NULL) {
    strlit1469 = alloc_String("a number in base 16 must start with '0x'.");
    gc_root(strlit1469);
  }
// compiled string node returning strlit1469 (depth = 7)
  gc_frame_newslot(strlit1469);
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1470 = gc_frame_new();
// call case 4: self request
  Object call1471 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1470);
// compiled member node returning call1471 (depth = 7)
  gc_frame_newslot(call1471);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1473 = alloc_Float64(1);
// compiled num node returning num1473 (depth = 8)
  int op_slot_right_1472 = gc_frame_newslot(num1473);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1476 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1477 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1476);
// compiled member node returning call1477 (depth = 9)
  int op_slot_right_1475 = gc_frame_newslot(call1477);
// starting to compile member node (depth = 9)
  int callframe1479 = gc_frame_new();
// call case 4: self request
  Object call1480 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1479);
// compiled member node returning call1480 (depth = 9)
  int op_slot_left_1475 = gc_frame_newslot(call1480);
  params[0] = call1477;
  partcv[0] = 1;
  Object diff1481 = callmethod(call1480, "-(1)", 1, partcv, params);
// compiled op node returning diff1481 (depth = 8)
  int op_slot_left_1472 = gc_frame_newslot(diff1481);
  params[0] = num1473;
  partcv[0] = 1;
  Object sum1482 = callmethod(diff1481, "+(1)", 1, partcv, params);
// compiled op node returning sum1482 (depth = 7)
  gc_frame_newslot(sum1482);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1469;
  params[1] = call1471;
  params[2] = sum1482;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1483 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1468);
// compiled call node returning call1483 (depth = 6)
    gc_frame_newslot(call1483);
    if1434 = call1483;
  } else {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1484 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1485 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1486 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1485);
// compiled member node returning call1486 (depth = 8)
  Object call1487 = callmethodflags(call1486, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1484);
// compiled member node returning call1487 (depth = 7)
  *var_suggestion = call1487;
  if (call1487 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1490 = alloc_Float64(1);
// compiled num node returning num1490 (depth = 8)
  int op_slot_right_1489 = gc_frame_newslot(num1490);
// starting to compile member node (depth = 8)
  int callframe1492 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1493 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1492);
// compiled member node returning call1493 (depth = 8)
  int op_slot_left_1489 = gc_frame_newslot(call1493);
  params[0] = num1490;
  partcv[0] = 1;
  Object opresult1494 = callmethod(call1493, "==(1)", 1, partcv, params);
// compiled op node returning opresult1494 (depth = 7)
  Object if1488 = done;
  if (istrue(opresult1494)) {
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1495 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1497 = alloc_Float64(1);
// compiled num node returning num1497 (depth = 9)
  int op_slot_right_1496 = gc_frame_newslot(num1497);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1500 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1501 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1500);
// compiled member node returning call1501 (depth = 10)
  int op_slot_right_1499 = gc_frame_newslot(call1501);
// starting to compile member node (depth = 10)
  int callframe1503 = gc_frame_new();
// call case 4: self request
  Object call1504 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1503);
// compiled member node returning call1504 (depth = 10)
  int op_slot_left_1499 = gc_frame_newslot(call1504);
  params[0] = call1501;
  partcv[0] = 1;
  Object diff1505 = callmethod(call1504, "-(1)", 1, partcv, params);
// compiled op node returning diff1505 (depth = 9)
  int op_slot_left_1496 = gc_frame_newslot(diff1505);
  params[0] = num1497;
  partcv[0] = 1;
  Object diff1506 = callmethod(diff1505, "-(1)", 1, partcv, params);
// compiled op node returning diff1506 (depth = 8)
  gc_frame_newslot(diff1506);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1508 = alloc_Float64(1);
// compiled num node returning num1508 (depth = 9)
  int op_slot_right_1507 = gc_frame_newslot(num1508);
// starting to compile member node (depth = 9)
  int callframe1510 = gc_frame_new();
// call case 4: self request
  Object call1511 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1510);
// compiled member node returning call1511 (depth = 9)
  int op_slot_left_1507 = gc_frame_newslot(call1511);
  params[0] = num1508;
  partcv[0] = 1;
  Object diff1512 = callmethod(call1511, "-(1)", 1, partcv, params);
// compiled op node returning diff1512 (depth = 8)
  gc_frame_newslot(diff1512);
// starting to compile member node (depth = 8)
  int callframe1513 = gc_frame_new();
// call case 4: self request
  Object call1514 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1513);
// compiled member node returning call1514 (depth = 8)
  gc_frame_newslot(call1514);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = diff1506;
  params[1] = diff1512;
  params[2] = call1514;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1515 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1495);
// compiled call node returning call1515 (depth = 7)
    gc_frame_newslot(call1515);
    if1488 = call1515;
  } else {
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1516 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1517 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1520 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1521 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1520);
// compiled member node returning call1521 (depth = 10)
  int op_slot_right_1519 = gc_frame_newslot(call1521);
// starting to compile member node (depth = 10)
  int callframe1523 = gc_frame_new();
// call case 4: self request
  Object call1524 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1523);
// compiled member node returning call1524 (depth = 10)
  int op_slot_left_1519 = gc_frame_newslot(call1524);
  params[0] = call1521;
  partcv[0] = 1;
  Object diff1525 = callmethod(call1524, "-(1)", 1, partcv, params);
// compiled op node returning diff1525 (depth = 9)
  int op_slot_left_1517 = gc_frame_newslot(diff1525);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1526 = callmethod(diff1525, "+(1)", 1, partcv, params);
// compiled op node returning sum1526 (depth = 8)
  gc_frame_newslot(sum1526);
// starting to compile member node (depth = 8)
  int callframe1527 = gc_frame_new();
// call case 4: self request
  Object call1528 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1527);
// compiled member node returning call1528 (depth = 8)
  gc_frame_newslot(call1528);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1526;
  params[1] = call1528;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1529 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1516);
// compiled call node returning call1529 (depth = 7)
    gc_frame_newslot(call1529);
    if1488 = call1529;
  }
// compiled if node returning if1488 (depth = 6)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1532 = alloc_Float64(10);
// compiled num node returning num1532 (depth = 9)
  int op_slot_right_1531 = gc_frame_newslot(num1532);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_left_1531 = gc_frame_newslot(*var_base);
  params[0] = num1532;
  partcv[0] = 1;
  Object opresult1534 = callmethod(*var_base, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1534 (depth = 8)
  Object if1530 = done;
struct StackFrameObject *iftmpstackframe1530 = stackframe;
  if (istrue(opresult1534)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1530);
gc_frame_newslot((Object)stackframe);
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1536 == NULL) {
    strlit1536 = alloc_String("'");
    gc_root(strlit1536);
  }
// compiled string node returning strlit1536 (depth = 9)
  int op_slot_right_1535 = gc_frame_newslot(strlit1536);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1540 = alloc_Float64(1);
// compiled num node returning num1540 (depth = 11)
  int op_slot_right_1539 = gc_frame_newslot(num1540);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_left_1539 = gc_frame_newslot(*var_base);
  params[0] = num1540;
  partcv[0] = 1;
  Object diff1542 = callmethod(*var_base, "-(1)", 1, partcv, params);
// compiled op node returning diff1542 (depth = 10)
  int op_slot_right_1538 = gc_frame_newslot(diff1542);
// starting to compile string node (depth = 10)
  if (strlit1544 == NULL) {
    strlit1544 = alloc_String("'0' to '");
    gc_root(strlit1544);
  }
// compiled string node returning strlit1544 (depth = 10)
  int op_slot_left_1538 = gc_frame_newslot(strlit1544);
  params[0] = diff1542;
  partcv[0] = 1;
  Object opresult1545 = callmethod(strlit1544, "++(1)", 1, partcv, params);
// compiled op node returning opresult1545 (depth = 9)
  int op_slot_left_1535 = gc_frame_newslot(opresult1545);
  params[0] = strlit1536;
  partcv[0] = 1;
  Object opresult1546 = callmethod(opresult1545, "++(1)", 1, partcv, params);
// compiled op node returning opresult1546 (depth = 8)
    gc_frame_newslot(opresult1546);
    if1530 = opresult1546;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1530);
  gc_frame_newslot((Object)stackframe);
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1548 == NULL) {
    strlit1548 = alloc_String("'");
    gc_root(strlit1548);
  }
// compiled string node returning strlit1548 (depth = 9)
  int op_slot_right_1547 = gc_frame_newslot(strlit1548);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1551 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_base (depth = 12)
  int op_slot_right_1552 = gc_frame_newslot(*var_base);
// starting to compile num node (depth = 12)
  Object num1554 = alloc_Float64(87);
// compiled num node returning num1554 (depth = 12)
  int op_slot_left_1552 = gc_frame_newslot(num1554);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1555 = callmethod(num1554, "+(1)", 1, partcv, params);
// compiled op node returning sum1555 (depth = 11)
  gc_frame_newslot(sum1555);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = sum1555;
  partcv[0] = 1;
  Object call1556 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1551);
// compiled call node returning call1556 (depth = 10)
  int op_slot_right_1550 = gc_frame_newslot(call1556);
// starting to compile string node (depth = 10)
  if (strlit1558 == NULL) {
    strlit1558 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1558);
  }
// compiled string node returning strlit1558 (depth = 10)
  int op_slot_left_1550 = gc_frame_newslot(strlit1558);
  params[0] = call1556;
  partcv[0] = 1;
  Object opresult1559 = callmethod(strlit1558, "++(1)", 1, partcv, params);
// compiled op node returning opresult1559 (depth = 9)
  int op_slot_left_1547 = gc_frame_newslot(opresult1559);
  params[0] = strlit1548;
  partcv[0] = 1;
  Object opresult1560 = callmethod(opresult1559, "++(1)", 1, partcv, params);
// compiled op node returning opresult1560 (depth = 8)
    gc_frame_newslot(opresult1560);
    if1530 = opresult1560;
  }
stackframe = iftmpstackframe1530;
// compiled if node returning if1530 (depth = 7)
  *var_validDigits = if1530;
  if (if1530 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1561 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1563 == NULL) {
    strlit1563 = alloc_String(".");
    gc_root(strlit1563);
  }
// compiled string node returning strlit1563 (depth = 8)
  int op_slot_right_1562 = gc_frame_newslot(strlit1563);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validDigits (depth = 9)
  int op_slot_right_1565 = gc_frame_newslot(*var_validDigits);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1568 == NULL) {
    strlit1568 = alloc_String(". Valid digits are ");
    gc_root(strlit1568);
  }
// compiled string node returning strlit1568 (depth = 10)
  int op_slot_right_1567 = gc_frame_newslot(strlit1568);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_right_1570 = gc_frame_newslot(*var_base);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1573 == NULL) {
    strlit1573 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1573);
  }
// compiled string node returning strlit1573 (depth = 12)
  int op_slot_right_1572 = gc_frame_newslot(strlit1573);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_right_1575 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 13)
  if (strlit1577 == NULL) {
    strlit1577 = alloc_String("'");
    gc_root(strlit1577);
  }
// compiled string node returning strlit1577 (depth = 13)
  int op_slot_left_1575 = gc_frame_newslot(strlit1577);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1578 = callmethod(strlit1577, "++(1)", 1, partcv, params);
// compiled op node returning opresult1578 (depth = 12)
  int op_slot_left_1572 = gc_frame_newslot(opresult1578);
  params[0] = strlit1573;
  partcv[0] = 1;
  Object opresult1579 = callmethod(opresult1578, "++(1)", 1, partcv, params);
// compiled op node returning opresult1579 (depth = 11)
  int op_slot_left_1570 = gc_frame_newslot(opresult1579);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1580 = callmethod(opresult1579, "++(1)", 1, partcv, params);
// compiled op node returning opresult1580 (depth = 10)
  int op_slot_left_1567 = gc_frame_newslot(opresult1580);
  params[0] = strlit1568;
  partcv[0] = 1;
  Object opresult1581 = callmethod(opresult1580, "++(1)", 1, partcv, params);
// compiled op node returning opresult1581 (depth = 9)
  int op_slot_left_1565 = gc_frame_newslot(opresult1581);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1582 = callmethod(opresult1581, "++(1)", 1, partcv, params);
// compiled op node returning opresult1582 (depth = 8)
  int op_slot_left_1562 = gc_frame_newslot(opresult1582);
  params[0] = strlit1563;
  partcv[0] = 1;
  Object opresult1583 = callmethod(opresult1582, "++(1)", 1, partcv, params);
// compiled op node returning opresult1583 (depth = 7)
  gc_frame_newslot(opresult1583);
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1584 = gc_frame_new();
// call case 4: self request
  Object call1585 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1584);
// compiled member node returning call1585 (depth = 7)
  gc_frame_newslot(call1585);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1586 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1589 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1590 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1589);
// compiled member node returning call1590 (depth = 9)
  int op_slot_right_1588 = gc_frame_newslot(call1590);
// starting to compile member node (depth = 9)
  int callframe1592 = gc_frame_new();
// call case 4: self request
  Object call1593 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1592);
// compiled member node returning call1593 (depth = 9)
  int op_slot_left_1588 = gc_frame_newslot(call1593);
  params[0] = call1590;
  partcv[0] = 1;
  Object diff1594 = callmethod(call1593, "-(1)", 1, partcv, params);
// compiled op node returning diff1594 (depth = 8)
  int op_slot_left_1586 = gc_frame_newslot(diff1594);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1595 = callmethod(diff1594, "+(1)", 1, partcv, params);
// compiled op node returning sum1595 (depth = 7)
  gc_frame_newslot(sum1595);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1596 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1599 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1600 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1599);
// compiled member node returning call1600 (depth = 9)
  int op_slot_right_1598 = gc_frame_newslot(call1600);
// starting to compile member node (depth = 9)
  int callframe1602 = gc_frame_new();
// call case 4: self request
  Object call1603 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1602);
// compiled member node returning call1603 (depth = 9)
  int op_slot_left_1598 = gc_frame_newslot(call1603);
  params[0] = call1600;
  partcv[0] = 1;
  Object diff1604 = callmethod(call1603, "-(1)", 1, partcv, params);
// compiled op node returning diff1604 (depth = 8)
  int op_slot_left_1596 = gc_frame_newslot(diff1604);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1605 = callmethod(diff1604, "+(1)", 1, partcv, params);
// compiled op node returning sum1605 (depth = 7)
  gc_frame_newslot(sum1605);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1583;
  params[1] = call1585;
  params[2] = sum1595;
  params[3] = sum1605;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1606 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1561);
// compiled call node returning call1606 (depth = 6)
    gc_frame_newslot(call1606);
    if1434 = call1606;
  }
// compiled if node returning if1434 (depth = 5)
    gc_frame_newslot(if1434);
    if1430 = if1434;
  } else {
  }
// compiled if node returning if1430 (depth = 4)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_right_1607 = gc_frame_newslot(*var_inc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1607 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1609 = callmethod(*var_val, "+(1)", 1, partcv, params);
// compiled op node returning sum1609 (depth = 5)
  *var_val = sum1609;
  if (sum1609 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1612 = alloc_Float64(1);
// compiled num node returning num1612 (depth = 6)
  int op_slot_right_1611 = gc_frame_newslot(num1612);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1611 = gc_frame_newslot(*var_i);
  params[0] = num1612;
  partcv[0] = 1;
  Object sum1614 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1614 (depth = 5)
  *var_i = sum1614;
  if (sum1614 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase_40_2_41_1378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method fromBase(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromBase(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part fromBase(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1379 = alloc_Float64(0);
// compiled num node returning num1379 (depth = 3)
  *var_val = num1379;
  if (num1379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1380 = alloc_Float64(0);
// compiled num node returning num1380 (depth = 3)
  *var_i = num1380;
  if (num1380 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1381 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_str (depth = 3)
  gc_frame_newslot(*var_str);
// starting to compile block node (depth = 3)
  Object block1382 = alloc_Block(NULL, NULL, "lexer", 953);
  gc_frame_newslot(block1382);
// method "_apply(_)"
  block_savedest(block1382);
  Object closure1383 = createclosure(7, "_apply(1)");
  setclosureframe(closure1383, stackframe);
  addtoclosure(closure1383, var_base);
  addtoclosure(closure1383, var_val);
  addtoclosure(closure1383, var_str);
  addtoclosure(closure1383, var_errormessages);
  addtoclosure(closure1383, var_i);
  addtoclosure(closure1383, var_unicode);
  addtoclosure(closure1383, selfslot);
  struct UserObject *uo1383 = (struct UserObject*)block1382;
  uo1383->data[0] = (Object)closure1383;
  Method *meth_meth_lexer__apply_40_1_41_1383 = addmethod2pos(block1382, "_apply(1)", &meth_lexer__apply_40_1_41_1383, 0);
  int argcv_meth_lexer__apply_40_1_41_1383[] = {1};
  meth_meth_lexer__apply_40_1_41_1383->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_1383);
  meth_meth_lexer__apply_40_1_41_1383->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_1383->definitionLine = 1184;
// compiled block node returning block1382 (depth = 3)
  gc_frame_newslot(block1382);
// call case 5: prelude request
  params[0] = *var_str;
  params[1] = block1382;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1617 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1381);
// compiled call node returning call1617 (depth = 2)
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_val (depth = 2)
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer_hexdecchar_40_1_41_1618(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hexdecchar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method hexdecchar(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for hexdecchar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part hexdecchar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_AOrd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AOrd");
  Object *var_aOrd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "aOrd");
  Object *var_zeroOrd = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "zeroOrd");
  Object *var_cOrd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cOrd");
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1619 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1620 == NULL) {
    strlit1620 = alloc_String("A");
    gc_root(strlit1620);
  }
// compiled string node returning strlit1620 (depth = 4)
  Object call1621 = callmethodflags(strlit1620, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1619);
// compiled member node returning call1621 (depth = 3)
  *var_AOrd = call1621;
  if (call1621 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1622 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1623 == NULL) {
    strlit1623 = alloc_String("a");
    gc_root(strlit1623);
  }
// compiled string node returning strlit1623 (depth = 4)
  Object call1624 = callmethodflags(strlit1623, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1622);
// compiled member node returning call1624 (depth = 3)
  *var_aOrd = call1624;
  if (call1624 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1625 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1626 == NULL) {
    strlit1626 = alloc_String("0");
    gc_root(strlit1626);
  }
// compiled string node returning strlit1626 (depth = 4)
  Object call1627 = callmethodflags(strlit1626, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1625);
// compiled member node returning call1627 (depth = 3)
  *var_zeroOrd = call1627;
  if (call1627 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1628 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call1629 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1628);
// compiled member node returning call1629 (depth = 3)
  *var_cOrd = call1629;
  if (call1629 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1633 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 6)
  if (strlit1634 == NULL) {
    strlit1634 = alloc_String("F");
    gc_root(strlit1634);
  }
// compiled string node returning strlit1634 (depth = 6)
  Object call1635 = callmethodflags(strlit1634, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1633);
// compiled member node returning call1635 (depth = 5)
  int op_slot_right_1632 = gc_frame_newslot(call1635);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1632 = gc_frame_newslot(*var_cOrd);
  params[0] = call1635;
  partcv[0] = 1;
  Object opresult1637 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1637 (depth = 4)
  int op_slot_right_1631 = gc_frame_newslot(opresult1637);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1639 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1639 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object opresult1641 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1641 (depth = 4)
  int op_slot_left_1631 = gc_frame_newslot(opresult1641);
  params[0] = opresult1637;
  partcv[0] = 1;
  Object opresult1642 = callmethod(opresult1641, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1642 (depth = 3)
  Object if1630 = done;
  if (istrue(opresult1642)) {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1644 = alloc_Float64(10);
// compiled num node returning num1644 (depth = 4)
  int op_slot_right_1643 = gc_frame_newslot(num1644);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1646 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1646 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object diff1648 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1648 (depth = 4)
  int op_slot_left_1643 = gc_frame_newslot(diff1648);
  params[0] = num1644;
  partcv[0] = 1;
  Object sum1649 = callmethod(diff1648, "+(1)", 1, partcv, params);
// compiled op node returning sum1649 (depth = 3)
    gc_frame_newslot(sum1649);
    if1630 = sum1649;
  } else {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1653 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 7)
  if (strlit1654 == NULL) {
    strlit1654 = alloc_String("f");
    gc_root(strlit1654);
  }
// compiled string node returning strlit1654 (depth = 7)
  Object call1655 = callmethodflags(strlit1654, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1653);
// compiled member node returning call1655 (depth = 6)
  int op_slot_right_1652 = gc_frame_newslot(call1655);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1652 = gc_frame_newslot(*var_cOrd);
  params[0] = call1655;
  partcv[0] = 1;
  Object opresult1657 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1657 (depth = 5)
  int op_slot_right_1651 = gc_frame_newslot(opresult1657);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1659 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1659 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object opresult1661 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1661 (depth = 5)
  int op_slot_left_1651 = gc_frame_newslot(opresult1661);
  params[0] = opresult1657;
  partcv[0] = 1;
  Object opresult1662 = callmethod(opresult1661, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1662 (depth = 4)
  Object if1650 = done;
  if (istrue(opresult1662)) {
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1664 = alloc_Float64(10);
// compiled num node returning num1664 (depth = 5)
  int op_slot_right_1663 = gc_frame_newslot(num1664);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1666 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1666 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object diff1668 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1668 (depth = 5)
  int op_slot_left_1663 = gc_frame_newslot(diff1668);
  params[0] = num1664;
  partcv[0] = 1;
  Object sum1669 = callmethod(diff1668, "+(1)", 1, partcv, params);
// compiled op node returning sum1669 (depth = 4)
    gc_frame_newslot(sum1669);
    if1650 = sum1669;
  } else {
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1673 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 8)
  if (strlit1674 == NULL) {
    strlit1674 = alloc_String("9");
    gc_root(strlit1674);
  }
// compiled string node returning strlit1674 (depth = 8)
  Object call1675 = callmethodflags(strlit1674, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1673);
// compiled member node returning call1675 (depth = 7)
  int op_slot_right_1672 = gc_frame_newslot(call1675);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1672 = gc_frame_newslot(*var_cOrd);
  params[0] = call1675;
  partcv[0] = 1;
  Object opresult1677 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1677 (depth = 6)
  int op_slot_right_1671 = gc_frame_newslot(opresult1677);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_zeroOrd (depth = 7)
  int op_slot_right_1679 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1679 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object opresult1681 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1681 (depth = 6)
  int op_slot_left_1671 = gc_frame_newslot(opresult1681);
  params[0] = opresult1677;
  partcv[0] = 1;
  Object opresult1682 = callmethod(opresult1681, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1682 (depth = 5)
  Object if1670 = done;
  if (istrue(opresult1682)) {
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_zeroOrd (depth = 6)
  int op_slot_right_1683 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1683 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object diff1685 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1685 (depth = 5)
    gc_frame_newslot(diff1685);
    if1670 = diff1685;
  } else {
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1686 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1688 == NULL) {
    strlit1688 = alloc_String("' must be a hexadecimal digit");
    gc_root(strlit1688);
  }
// compiled string node returning strlit1688 (depth = 7)
  int op_slot_right_1687 = gc_frame_newslot(strlit1688);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_1690 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 8)
  if (strlit1692 == NULL) {
    strlit1692 = alloc_String("the character '");
    gc_root(strlit1692);
  }
// compiled string node returning strlit1692 (depth = 8)
  int op_slot_left_1690 = gc_frame_newslot(strlit1692);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1693 = callmethod(strlit1692, "++(1)", 1, partcv, params);
// compiled op node returning opresult1693 (depth = 7)
  int op_slot_left_1687 = gc_frame_newslot(opresult1693);
  params[0] = strlit1688;
  partcv[0] = 1;
  Object opresult1694 = callmethod(opresult1693, "++(1)", 1, partcv, params);
// compiled op node returning opresult1694 (depth = 6)
  gc_frame_newslot(opresult1694);
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1695 = gc_frame_new();
// call case 4: self request
  Object call1696 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1695);
// compiled member node returning call1696 (depth = 6)
  gc_frame_newslot(call1696);
// starting to compile member node (depth = 6)
  int callframe1697 = gc_frame_new();
// call case 4: self request
  Object call1698 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1697);
// compiled member node returning call1698 (depth = 6)
  gc_frame_newslot(call1698);
// starting to compile member node (depth = 6)
  int callframe1699 = gc_frame_new();
// call case 4: self request
  Object call1700 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1699);
// compiled member node returning call1700 (depth = 6)
  gc_frame_newslot(call1700);
// call case 6: other requests
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1694;
  params[1] = call1696;
  params[2] = call1698;
  params[3] = call1700;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1701 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe1686);
// compiled call node returning call1701 (depth = 5)
    gc_frame_newslot(call1701);
    if1670 = call1701;
  }
// compiled if node returning if1670 (depth = 4)
    gc_frame_newslot(if1670);
    if1650 = if1670;
  }
// compiled if node returning if1650 (depth = 3)
    gc_frame_newslot(if1650);
    if1630 = if1650;
  }
// compiled if node returning if1630 (depth = 2)
  gc_frame_end(frame);
  return if1630;
}
Object meth_lexer__apply_40_1_41_1718(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_wasCR = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1721 == NULL) {
    strlit1721 = alloc_String("""\x0d""");
    gc_root(strlit1721);
  }
// compiled string node returning strlit1721 (depth = 6)
  int op_slot_right_1720 = gc_frame_newslot(strlit1721);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1720 = gc_frame_newslot(*var_c);
  params[0] = strlit1721;
  partcv[0] = 1;
  Object opresult1723 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1723 (depth = 5)
  Object if1719 = done;
  if (istrue(opresult1723)) {
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1724 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lines (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1725 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1724);
// compiled call node returning call1725 (depth = 5)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1726 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLine (depth = 6)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLines (depth = 6)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1727 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1726);
// compiled call node returning call1727 (depth = 5)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1728 == NULL) {
    strlit1728 = alloc_String("");
    gc_root(strlit1728);
  }
// compiled string node returning strlit1728 (depth = 6)
  *var_line = strlit1728;
  if (strlit1728 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1730 == NULL) {
    strlit1730 = alloc_String("");
    gc_root(strlit1730);
  }
// compiled string node returning strlit1730 (depth = 6)
  *var_cLine = strlit1730;
  if (strlit1730 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1732 = alloc_Boolean(1);
// compiled identifier node returning bool1732 (depth = 6)
  *var_wasCR = bool1732;
  if (bool1732 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1719 = done;
  } else {
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1736 == NULL) {
    strlit1736 = alloc_String("""\x0a""");
    gc_root(strlit1736);
  }
// compiled string node returning strlit1736 (depth = 7)
  int op_slot_right_1735 = gc_frame_newslot(strlit1736);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1735 = gc_frame_newslot(*var_c);
  params[0] = strlit1736;
  partcv[0] = 1;
  Object opresult1738 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1738 (depth = 6)
  Object if1734 = done;
  if (istrue(opresult1738)) {
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_wasCR (depth = 7)
  Object if1739 = done;
  if (istrue(*var_wasCR)) {
    gc_frame_newslot(done);
    if1739 = done;
  } else {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1740 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1741 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1740);
// compiled call node returning call1741 (depth = 7)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1742 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1743 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1742);
// compiled call node returning call1743 (depth = 7)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1744 == NULL) {
    strlit1744 = alloc_String("");
    gc_root(strlit1744);
  }
// compiled string node returning strlit1744 (depth = 8)
  *var_line = strlit1744;
  if (strlit1744 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1746 == NULL) {
    strlit1746 = alloc_String("");
    gc_root(strlit1746);
  }
// compiled string node returning strlit1746 (depth = 8)
  *var_cLine = strlit1746;
  if (strlit1746 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1739 = done;
  }
// compiled if node returning if1739 (depth = 6)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1748 = alloc_Boolean(0);
// compiled identifier node returning bool1748 (depth = 7)
  *var_wasCR = bool1748;
  if (bool1748 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1734 = done;
  } else {
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1752 == NULL) {
    strlit1752 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1752);
  }
// compiled string node returning strlit1752 (depth = 8)
  int op_slot_right_1751 = gc_frame_newslot(strlit1752);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1751 = gc_frame_newslot(*var_c);
  params[0] = strlit1752;
  partcv[0] = 1;
  Object opresult1754 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1754 (depth = 7)
  Object if1750 = done;
  if (istrue(opresult1754)) {
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1755 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1756 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1755);
// compiled call node returning call1756 (depth = 7)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1757 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1758 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1757);
// compiled call node returning call1758 (depth = 7)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1759 == NULL) {
    strlit1759 = alloc_String("");
    gc_root(strlit1759);
  }
// compiled string node returning strlit1759 (depth = 8)
  *var_line = strlit1759;
  if (strlit1759 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1761 == NULL) {
    strlit1761 = alloc_String("");
    gc_root(strlit1761);
  }
// compiled string node returning strlit1761 (depth = 8)
  *var_cLine = strlit1761;
  if (strlit1761 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1763 = alloc_Boolean(0);
// compiled identifier node returning bool1763 (depth = 8)
  *var_wasCR = bool1763;
  if (bool1763 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1750 = done;
  } else {
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1767 == NULL) {
    strlit1767 = alloc_String("\\");
    gc_root(strlit1767);
  }
// compiled string node returning strlit1767 (depth = 9)
  int op_slot_right_1766 = gc_frame_newslot(strlit1767);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1766 = gc_frame_newslot(*var_c);
  params[0] = strlit1767;
  partcv[0] = 1;
  Object opresult1769 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1769 (depth = 8)
  Object if1765 = done;
  if (istrue(opresult1769)) {
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_1770 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_1770 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1772 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1772 (depth = 9)
  *var_line = opresult1772;
  if (opresult1772 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1775 == NULL) {
    strlit1775 = alloc_String("\\\\");
    gc_root(strlit1775);
  }
// compiled string node returning strlit1775 (depth = 10)
  int op_slot_right_1774 = gc_frame_newslot(strlit1775);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_cLine (depth = 10)
  int op_slot_left_1774 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1775;
  partcv[0] = 1;
  Object opresult1777 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1777 (depth = 9)
  *var_cLine = opresult1777;
  if (opresult1777 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1779 = alloc_Boolean(0);
// compiled identifier node returning bool1779 (depth = 9)
  *var_wasCR = bool1779;
  if (bool1779 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1765 = done;
  } else {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1783 == NULL) {
    strlit1783 = alloc_String("""\x22""");
    gc_root(strlit1783);
  }
// compiled string node returning strlit1783 (depth = 10)
  int op_slot_right_1782 = gc_frame_newslot(strlit1783);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1782 = gc_frame_newslot(*var_c);
  params[0] = strlit1783;
  partcv[0] = 1;
  Object opresult1785 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1785 (depth = 9)
  Object if1781 = done;
  if (istrue(opresult1785)) {
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1786 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1786 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1788 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1788 (depth = 10)
  *var_line = opresult1788;
  if (opresult1788 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1791 == NULL) {
    strlit1791 = alloc_String("\\""\x22""");
    gc_root(strlit1791);
  }
// compiled string node returning strlit1791 (depth = 11)
  int op_slot_right_1790 = gc_frame_newslot(strlit1791);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1790 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1791;
  partcv[0] = 1;
  Object opresult1793 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1793 (depth = 10)
  *var_cLine = opresult1793;
  if (opresult1793 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1795 = alloc_Boolean(0);
// compiled identifier node returning bool1795 (depth = 10)
  *var_wasCR = bool1795;
  if (bool1795 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1781 = done;
  } else {
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1797 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1797 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1799 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1799 (depth = 10)
  *var_line = opresult1799;
  if (opresult1799 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1801 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1801 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1803 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1803 (depth = 10)
  *var_cLine = opresult1803;
  if (opresult1803 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1805 = alloc_Boolean(0);
// compiled identifier node returning bool1805 (depth = 10)
  *var_wasCR = bool1805;
  if (bool1805 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1781 = done;
  }
// compiled if node returning if1781 (depth = 8)
    gc_frame_newslot(if1781);
    if1765 = if1781;
  }
// compiled if node returning if1765 (depth = 7)
    gc_frame_newslot(if1765);
    if1750 = if1765;
  }
// compiled if node returning if1750 (depth = 6)
    gc_frame_newslot(if1750);
    if1734 = if1750;
  }
// compiled if node returning if1734 (depth = 5)
    gc_frame_newslot(if1734);
    if1719 = if1734;
  }
// compiled if node returning if1719 (depth = 4)
  gc_frame_end(frame);
  return if1719;
}
Object meth_lexer_lexfile_40_1_41_1702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexfile(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexfile(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexfile(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_wasCR = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "wasCR");
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1703 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1704 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1705 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe1704);
// compiled member node returning call1705 (depth = 4)
  Object call1706 = callmethodflags(call1705, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1703);
// compiled member node returning call1706 (depth = 3)
  *var_lines = call1706;
  if (call1706 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1707 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1708 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1709 = callmethodflags(*var_util, "cLines", 0, partcv, params, 0);
  gc_frame_end(callframe1708);
// compiled member node returning call1709 (depth = 4)
  Object call1710 = callmethodflags(call1709, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1707);
// compiled member node returning call1710 (depth = 3)
  *var_cLines = call1710;
  if (call1710 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1711 == NULL) {
    strlit1711 = alloc_String("");
    gc_root(strlit1711);
  }
// compiled string node returning strlit1711 (depth = 3)
  *var_line = strlit1711;
  if (strlit1711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1712 == NULL) {
    strlit1712 = alloc_String("");
    gc_root(strlit1712);
  }
// compiled string node returning strlit1712 (depth = 3)
  *var_cLine = strlit1712;
  if (strlit1712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1713 = alloc_Boolean(0);
// compiled identifier node returning bool1713 (depth = 3)
  *var_wasCR = bool1713;
  if (bool1713 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1714 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1715 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_file (depth = 4)
  Object call1716 = callmethodflags(*var_file, "read", 0, partcv, params, 0);
  gc_frame_end(callframe1715);
// compiled member node returning call1716 (depth = 3)
  gc_frame_newslot(call1716);
// starting to compile block node (depth = 3)
  Object block1717 = alloc_Block(NULL, NULL, "lexer", 1020);
  gc_frame_newslot(block1717);
// method "_apply(_)"
  block_savedest(block1717);
  Object closure1718 = createclosure(6, "_apply(1)");
  setclosureframe(closure1718, stackframe);
  addtoclosure(closure1718, var_line);
  addtoclosure(closure1718, var_lines);
  addtoclosure(closure1718, var_cLine);
  addtoclosure(closure1718, var_cLines);
  addtoclosure(closure1718, var_wasCR);
  addtoclosure(closure1718, selfslot);
  struct UserObject *uo1718 = (struct UserObject*)block1717;
  uo1718->data[0] = (Object)closure1718;
  Method *meth_meth_lexer__apply_40_1_41_1718 = addmethod2pos(block1717, "_apply(1)", &meth_lexer__apply_40_1_41_1718, 0);
  int argcv_meth_lexer__apply_40_1_41_1718[] = {1};
  meth_meth_lexer__apply_40_1_41_1718->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_1718);
  meth_meth_lexer__apply_40_1_41_1718->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_1718->definitionLine = 1184;
// compiled block node returning block1717 (depth = 3)
  gc_frame_newslot(block1717);
// call case 5: prelude request
  params[0] = call1716;
  params[1] = block1717;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1808 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1714);
// compiled call node returning call1808 (depth = 2)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1811 == NULL) {
    strlit1811 = alloc_String("");
    gc_root(strlit1811);
  }
// compiled string node returning strlit1811 (depth = 4)
  int op_slot_right_1810 = gc_frame_newslot(strlit1811);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  int op_slot_left_1810 = gc_frame_newslot(*var_line);
  params[0] = strlit1811;
  partcv[0] = 1;
  Object opresult1813 = callmethod(*var_line, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1813 (depth = 3)
  Object if1809 = done;
  if (istrue(opresult1813)) {
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1814 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1815 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1814);
// compiled call node returning call1815 (depth = 3)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1816 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLine (depth = 4)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1817 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1816);
// compiled call node returning call1817 (depth = 3)
    gc_frame_newslot(call1817);
    if1809 = call1817;
  } else {
  }
// compiled if node returning if1809 (depth = 2)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1818 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 4: self request
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1819 = callmethodflags(self, "lexinput(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1818);
// compiled call node returning call1819 (depth = 2)
  gc_frame_end(frame);
  return call1819;
}
Object meth_lexer_push_40_1_41_1827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part push(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1830 = alloc_Boolean(0);
// compiled identifier node returning bool1830 (depth = 6)
  int op_slot_right_1829 = gc_frame_newslot(bool1830);
// starting to compile member node (depth = 6)
  int callframe1832 = gc_frame_new();
// call case 4: self request
  Object call1833 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1832);
// compiled member node returning call1833 (depth = 6)
  int op_slot_left_1829 = gc_frame_newslot(call1833);
  params[0] = bool1830;
  partcv[0] = 1;
  Object opresult1834 = callmethod(call1833, "==(1)", 1, partcv, params);
// compiled op node returning opresult1834 (depth = 5)
  Object if1828 = done;
  if (istrue(opresult1834)) {
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1835 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1836 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1835);
// compiled call node returning call1836 (depth = 5)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1837 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1838 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1837);
// compiled call node returning call1838 (depth = 5)
    gc_frame_newslot(call1838);
    if1828 = call1838;
  } else {
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1839 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1840 = gc_frame_new();
// call case 4: self request
  Object call1841 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1840);
// compiled member node returning call1841 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1842 = callmethodflags(call1841, "next:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1839);
// compiled call node returning call1842 (depth = 5)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1843 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1844 = gc_frame_new();
// call case 4: self request
  Object call1845 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1844);
// compiled member node returning call1845 (depth = 6)
  gc_frame_newslot(call1845);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  params[0] = call1845;
  partcv[0] = 1;
  Object call1846 = callmethodflags(*var_t, "prev:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1843);
// compiled call node returning call1846 (depth = 5)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1847 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1848 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1847);
// compiled call node returning call1848 (depth = 5)
    gc_frame_newslot(call1848);
    if1828 = call1848;
  }
// compiled if node returning if1828 (depth = 4)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1849 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1851 = alloc_Float64(1);
// compiled num node returning num1851 (depth = 6)
  int op_slot_right_1850 = gc_frame_newslot(num1851);
// starting to compile member node (depth = 6)
  int callframe1853 = gc_frame_new();
// call case 4: self request
  Object call1854 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1853);
// compiled member node returning call1854 (depth = 6)
  int op_slot_left_1850 = gc_frame_newslot(call1854);
  params[0] = num1851;
  partcv[0] = 1;
  Object sum1855 = callmethod(call1854, "+(1)", 1, partcv, params);
// compiled op node returning sum1855 (depth = 5)
  gc_frame_newslot(sum1855);
// call case 4: self request
  params[0] = sum1855;
  partcv[0] = 1;
  Object call1856 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1849);
// compiled call node returning call1856 (depth = 4)
  gc_frame_end(frame);
  return call1856;
}
Object meth_lexer_pop1857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1860 = alloc_Boolean(0);
// compiled identifier node returning bool1860 (depth = 6)
  int op_slot_right_1859 = gc_frame_newslot(bool1860);
// starting to compile member node (depth = 6)
  int callframe1862 = gc_frame_new();
// call case 4: self request
  Object call1863 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1862);
// compiled member node returning call1863 (depth = 6)
  int op_slot_left_1859 = gc_frame_newslot(call1863);
  params[0] = bool1860;
  partcv[0] = 1;
  Object opresult1864 = callmethod(call1863, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1864 (depth = 5)
  Object if1858 = done;
  if (istrue(opresult1864)) {
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1865 = gc_frame_new();
// call case 4: self request
  Object call1866 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1865);
// compiled member node returning call1866 (depth = 6)
  *var_popped = call1866;
  if (call1866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1867 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1868 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1869 = gc_frame_new();
// call case 4: self request
  Object call1870 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1869);
// compiled member node returning call1870 (depth = 7)
  Object call1871 = callmethodflags(call1870, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1868);
// compiled member node returning call1871 (depth = 6)
  gc_frame_newslot(call1871);
// call case 4: self request
  params[0] = call1871;
  partcv[0] = 1;
  Object call1872 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1867);
// compiled call node returning call1872 (depth = 5)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1875 = alloc_Boolean(0);
// compiled identifier node returning bool1875 (depth = 7)
  int op_slot_right_1874 = gc_frame_newslot(bool1875);
// starting to compile member node (depth = 7)
  int callframe1877 = gc_frame_new();
// call case 4: self request
  Object call1878 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1877);
// compiled member node returning call1878 (depth = 7)
  int op_slot_left_1874 = gc_frame_newslot(call1878);
  params[0] = bool1875;
  partcv[0] = 1;
  Object opresult1879 = callmethod(call1878, "==(1)", 1, partcv, params);
// compiled op node returning opresult1879 (depth = 6)
  Object if1873 = done;
  if (istrue(opresult1879)) {
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1880 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1881 = alloc_Boolean(0);
// compiled identifier node returning bool1881 (depth = 7)
  gc_frame_newslot(bool1881);
// call case 4: self request
  params[0] = bool1881;
  partcv[0] = 1;
  Object call1882 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1880);
// compiled call node returning call1882 (depth = 6)
    gc_frame_newslot(call1882);
    if1873 = call1882;
  } else {
  }
// compiled if node returning if1873 (depth = 5)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1883 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1885 = alloc_Float64(1);
// compiled num node returning num1885 (depth = 7)
  int op_slot_right_1884 = gc_frame_newslot(num1885);
// starting to compile member node (depth = 7)
  int callframe1887 = gc_frame_new();
// call case 4: self request
  Object call1888 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1887);
// compiled member node returning call1888 (depth = 7)
  int op_slot_left_1884 = gc_frame_newslot(call1888);
  params[0] = num1885;
  partcv[0] = 1;
  Object diff1889 = callmethod(call1888, "-(1)", 1, partcv, params);
// compiled op node returning diff1889 (depth = 6)
  gc_frame_newslot(diff1889);
// call case 4: self request
  params[0] = diff1889;
  partcv[0] = 1;
  Object call1890 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1883);
// compiled call node returning call1890 (depth = 5)
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_popped (depth = 5)
    gc_frame_newslot(*var_popped);
    if1858 = *var_popped;
  } else {
  }
// compiled if node returning if1858 (depth = 4)
  gc_frame_end(frame);
  return if1858;
}
Object meth_lexer_poll1891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1894 = alloc_Boolean(0);
// compiled identifier node returning bool1894 (depth = 6)
  int op_slot_right_1893 = gc_frame_newslot(bool1894);
// starting to compile member node (depth = 6)
  int callframe1896 = gc_frame_new();
// call case 4: self request
  Object call1897 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1896);
// compiled member node returning call1897 (depth = 6)
  int op_slot_left_1893 = gc_frame_newslot(call1897);
  params[0] = bool1894;
  partcv[0] = 1;
  Object opresult1898 = callmethod(call1897, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1898 (depth = 5)
  Object if1892 = done;
  if (istrue(opresult1898)) {
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1899 = gc_frame_new();
// call case 4: self request
  Object call1900 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1899);
// compiled member node returning call1900 (depth = 6)
  *var_polled = call1900;
  if (call1900 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1901 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1902 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1903 = gc_frame_new();
// call case 4: self request
  Object call1904 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1903);
// compiled member node returning call1904 (depth = 7)
  Object call1905 = callmethodflags(call1904, "next", 0, partcv, params, 0);
  gc_frame_end(callframe1902);
// compiled member node returning call1905 (depth = 6)
  gc_frame_newslot(call1905);
// call case 4: self request
  params[0] = call1905;
  partcv[0] = 1;
  Object call1906 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1901);
// compiled call node returning call1906 (depth = 5)
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1909 = alloc_Boolean(0);
// compiled identifier node returning bool1909 (depth = 7)
  int op_slot_right_1908 = gc_frame_newslot(bool1909);
// starting to compile member node (depth = 7)
  int callframe1911 = gc_frame_new();
// call case 4: self request
  Object call1912 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1911);
// compiled member node returning call1912 (depth = 7)
  int op_slot_left_1908 = gc_frame_newslot(call1912);
  params[0] = bool1909;
  partcv[0] = 1;
  Object opresult1913 = callmethod(call1912, "==(1)", 1, partcv, params);
// compiled op node returning opresult1913 (depth = 6)
  Object if1907 = done;
  if (istrue(opresult1913)) {
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1914 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1915 = alloc_Boolean(0);
// compiled identifier node returning bool1915 (depth = 7)
  gc_frame_newslot(bool1915);
// call case 4: self request
  params[0] = bool1915;
  partcv[0] = 1;
  Object call1916 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1914);
// compiled call node returning call1916 (depth = 6)
    gc_frame_newslot(call1916);
    if1907 = call1916;
  } else {
  }
// compiled if node returning if1907 (depth = 5)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1917 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1919 = alloc_Float64(1);
// compiled num node returning num1919 (depth = 7)
  int op_slot_right_1918 = gc_frame_newslot(num1919);
// starting to compile member node (depth = 7)
  int callframe1921 = gc_frame_new();
// call case 4: self request
  Object call1922 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1921);
// compiled member node returning call1922 (depth = 7)
  int op_slot_left_1918 = gc_frame_newslot(call1922);
  params[0] = num1919;
  partcv[0] = 1;
  Object diff1923 = callmethod(call1922, "-(1)", 1, partcv, params);
// compiled op node returning diff1923 (depth = 6)
  gc_frame_newslot(diff1923);
// call case 4: self request
  params[0] = diff1923;
  partcv[0] = 1;
  Object call1924 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1917);
// compiled call node returning call1924 (depth = 5)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_polled (depth = 5)
    gc_frame_newslot(*var_polled);
    if1892 = *var_polled;
  } else {
  }
// compiled if node returning if1892 (depth = 4)
  gc_frame_end(frame);
  return if1892;
}
Object meth_lexer_size1925(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1927 = alloc_Float64(0);
// compiled num node returning num1927 (depth = 5)
  int op_slot_right_1926 = gc_frame_newslot(num1927);
// starting to compile member node (depth = 5)
  int callframe1929 = gc_frame_new();
// call case 4: self request
  Object call1930 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1929);
// compiled member node returning call1930 (depth = 5)
  int op_slot_left_1926 = gc_frame_newslot(call1930);
  params[0] = num1927;
  partcv[0] = 1;
  Object sum1931 = callmethod(call1930, "+(1)", 1, partcv, params);
// compiled op node returning sum1931 (depth = 4)
  gc_frame_end(frame);
  return sum1931;
}
Object meth_lexer_havemore1936(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1938 = alloc_Boolean(0);
// compiled identifier node returning bool1938 (depth = 5)
  int op_slot_right_1937 = gc_frame_newslot(bool1938);
// starting to compile member node (depth = 5)
  int callframe1940 = gc_frame_new();
// call case 4: self request
  Object call1941 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1940);
// compiled member node returning call1941 (depth = 5)
  int op_slot_left_1937 = gc_frame_newslot(call1941);
  params[0] = bool1938;
  partcv[0] = 1;
  Object opresult1942 = callmethod(call1941, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1942 (depth = 4)
  gc_frame_end(frame);
  return opresult1942;
}
Object meth_lexer_hasNext1943(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1945 = alloc_Boolean(0);
// compiled identifier node returning bool1945 (depth = 5)
  int op_slot_right_1944 = gc_frame_newslot(bool1945);
// starting to compile member node (depth = 5)
  int callframe1947 = gc_frame_new();
// call case 4: self request
  Object call1948 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1947);
// compiled member node returning call1948 (depth = 5)
  int op_slot_left_1944 = gc_frame_newslot(call1948);
  params[0] = bool1945;
  partcv[0] = 1;
  Object opresult1949 = callmethod(call1948, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1949 (depth = 4)
  gc_frame_end(frame);
  return opresult1949;
}
Object meth_lexer_next1950(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1951 = gc_frame_new();
// call case 4: self request
  Object call1952 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1951);
// compiled member node returning call1952 (depth = 5)
  *var_ret = call1952;
  if (call1952 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1953 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1954 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1955 = gc_frame_new();
// call case 4: self request
  Object call1956 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1955);
// compiled member node returning call1956 (depth = 6)
  Object call1957 = callmethodflags(call1956, "next", 0, partcv, params, 0);
  gc_frame_end(callframe1954);
// compiled member node returning call1957 (depth = 5)
  gc_frame_newslot(call1957);
// call case 4: self request
  params[0] = call1957;
  partcv[0] = 1;
  Object call1958 = callmethodflags(self, "n:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1953);
// compiled call node returning call1958 (depth = 4)
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ret (depth = 4)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter1932(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1933 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1933 = alloc_userobj2(5,5, objclass1933);
  gc_frame_newslot(obj1933);
if (objclass1933 == NULL) {
  glfree(obj1933->class->name);
  obj1933->class->name = "obj1822.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1933, self, 0);
  addmethodreal(obj1933,"outer", &reader_lexer_outer_1934);
  Object oldself1933 = self;
  struct StackFrameObject *oldstackframe1933 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1933);
  gc_frame_newslot((Object)stackframe);
  self = obj1933;
  Object *oldselfslot1933 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1933 = (*(struct UserObject *)self).data[0], lowerouter1933 = thisouter1933;
  if (inheritingObject1933) {
    struct UserObject *inho1933 = (struct UserObject *)inheritingObject1933;
    while (inho1933->super != GraceDefaultObject) inho1933 = (struct UserObject *)inho1933->super;
    inho1933->super = obj1933;
    self = inheritingObject1933;
    *selfslot = self;
    lowerouter1933 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1933;
  }
if (objclass1933 == NULL) {
  Method *reader1935 = addmethodrealflags(obj1933, "n", &reader_lexer_n_1935, MFLAG_CONFIDENTIAL);
  Method *writer1935 = addmethodrealflags(obj1933, "n:=(1)", &writer_lexer_n_1935, MFLAG_CONFIDENTIAL);
  reader1935->definitionModule = modulename;
  writer1935->definitionModule = modulename;
  reader1935->definitionLine = 1115;
  writer1935->definitionLine = 1115;
}
obj1933->flags |= OFLAG_MUTABLE;
adddatum2(obj1933, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo1936 = (struct UserObject*)obj1933;
  uo1936->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1936 = addmethod2pos(obj1933, "havemore", &meth_lexer_havemore1936, 2);
  int argcv_meth_lexer_havemore1936[] = {0};
  meth_meth_lexer_havemore1936->type = alloc_MethodType(1, argcv_meth_lexer_havemore1936);
  meth_meth_lexer_havemore1936->definitionModule = modulename;
  meth_meth_lexer_havemore1936->definitionLine = 1116;
// method "hasNext"
  struct UserObject *uo1943 = (struct UserObject*)obj1933;
  uo1943->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1943 = addmethod2pos(obj1933, "hasNext", &meth_lexer_hasNext1943, 3);
  int argcv_meth_lexer_hasNext1943[] = {0};
  meth_meth_lexer_hasNext1943->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1943);
  meth_meth_lexer_hasNext1943->definitionModule = modulename;
  meth_meth_lexer_hasNext1943->definitionLine = 1119;
// method "next"
  struct UserObject *uo1950 = (struct UserObject*)obj1933;
  uo1950->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1950 = addmethod2pos(obj1933, "next", &meth_lexer_next1950, 4);
  int argcv_meth_lexer_next1950[] = {0};
  meth_meth_lexer_next1950->type = alloc_MethodType(1, argcv_meth_lexer_next1950);
  meth_meth_lexer_next1950->definitionModule = modulename;
  meth_meth_lexer_next1950->definitionLine = 1122;
  sourceObject = obj1933;
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1959 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1960 = gc_frame_new();
// call case 3: self.outer request
  Object call1961 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1960);
// compiled member node returning call1961 (depth = 5)
  Object call1962 = callmethodflags(call1961, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1959);
// compiled member node returning call1962 (depth = 4)
  adddatum2(obj1933, call1962, 1);
  sourceObject = obj1933;
  sourceObject = obj1933;
  sourceObject = obj1933;
  objclass1933 = obj1933->class;
  objclass1933->definitionModule = modulename;
  objclass1933->definitionLine = 1114;
  (*(struct UserObject *)self).data[0] = lowerouter1933;
  self = oldself1933;
  selfslot = oldselfslot1933;
  stackframe = oldstackframe1933;
  gc_frame_end(frame);
  return obj1933;
}
Object meth_lexer_iter1932_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1933 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1933 = alloc_userobj2(5,5, objclass1933);
  gc_frame_newslot(obj1933);
if (objclass1933 == NULL) {
  glfree(obj1933->class->name);
  obj1933->class->name = "obj1822.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1933, self, 0);
  addmethodreal(obj1933,"outer", &reader_lexer_outer_1934);
  Object oldself1933 = self;
  struct StackFrameObject *oldstackframe1933 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1933);
  gc_frame_newslot((Object)stackframe);
  self = obj1933;
  Object *oldselfslot1933 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1933 = (*(struct UserObject *)self).data[0], lowerouter1933 = thisouter1933;
  if (inheritingObject1933) {
    struct UserObject *inho1933 = (struct UserObject *)inheritingObject1933;
    while (inho1933->super != GraceDefaultObject) inho1933 = (struct UserObject *)inho1933->super;
    inho1933->super = obj1933;
    self = inheritingObject1933;
    *selfslot = self;
    lowerouter1933 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1933;
  }
if (objclass1933 == NULL) {
  Method *reader1935 = addmethodrealflags(obj1933, "n", &reader_lexer_n_1935, MFLAG_CONFIDENTIAL);
  Method *writer1935 = addmethodrealflags(obj1933, "n:=(1)", &writer_lexer_n_1935, MFLAG_CONFIDENTIAL);
  reader1935->definitionModule = modulename;
  writer1935->definitionModule = modulename;
  reader1935->definitionLine = 1115;
  writer1935->definitionLine = 1115;
}
obj1933->flags |= OFLAG_MUTABLE;
adddatum2(obj1933, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo1936 = (struct UserObject*)obj1933;
  uo1936->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1936 = addmethod2pos(obj1933, "havemore", &meth_lexer_havemore1936, 2);
  int argcv_meth_lexer_havemore1936[] = {0};
  meth_meth_lexer_havemore1936->type = alloc_MethodType(1, argcv_meth_lexer_havemore1936);
  meth_meth_lexer_havemore1936->definitionModule = modulename;
  meth_meth_lexer_havemore1936->definitionLine = 1116;
// method "hasNext"
  struct UserObject *uo1943 = (struct UserObject*)obj1933;
  uo1943->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1943 = addmethod2pos(obj1933, "hasNext", &meth_lexer_hasNext1943, 3);
  int argcv_meth_lexer_hasNext1943[] = {0};
  meth_meth_lexer_hasNext1943->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1943);
  meth_meth_lexer_hasNext1943->definitionModule = modulename;
  meth_meth_lexer_hasNext1943->definitionLine = 1119;
// method "next"
  struct UserObject *uo1950 = (struct UserObject*)obj1933;
  uo1950->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1950 = addmethod2pos(obj1933, "next", &meth_lexer_next1950, 4);
  int argcv_meth_lexer_next1950[] = {0};
  meth_meth_lexer_next1950->type = alloc_MethodType(1, argcv_meth_lexer_next1950);
  meth_meth_lexer_next1950->definitionModule = modulename;
  meth_meth_lexer_next1950->definitionLine = 1122;
  sourceObject = obj1933;
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1959 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1960 = gc_frame_new();
// call case 3: self.outer request
  Object call1961 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1960);
// compiled member node returning call1961 (depth = 5)
  Object call1962 = callmethodflags(call1961, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1959);
// compiled member node returning call1962 (depth = 4)
  adddatum2(obj1933, call1962, 1);
  sourceObject = obj1933;
  sourceObject = obj1933;
  sourceObject = obj1933;
  objclass1933 = obj1933->class;
  objclass1933->definitionModule = modulename;
  objclass1933->definitionLine = 1114;
  (*(struct UserObject *)self).data[0] = lowerouter1933;
  self = oldself1933;
  selfslot = oldselfslot1933;
  stackframe = oldstackframe1933;
  gc_frame_end(frame);
  return obj1933;
}
Object meth_lexer_iterator1964(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1965 = gc_frame_new();
// call case 4: self request
  Object call1966 = callmethodflags(self, "iter", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1965);
// compiled member node returning call1966 (depth = 4)
  gc_frame_end(frame);
  return call1966;
}
Object meth_lexer__apply1972(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1974 = alloc_Boolean(0);
// compiled identifier node returning bool1974 (depth = 7)
  int op_slot_right_1973 = gc_frame_newslot(bool1974);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1973 = gc_frame_newslot(*var_n);
  params[0] = bool1974;
  partcv[0] = 1;
  Object opresult1976 = callmethod(*var_n, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1976 (depth = 6)
  gc_frame_end(frame);
  return opresult1976;
}
Object meth_lexer__apply1979(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_action = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1980 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1981 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1980);
// compiled call node returning call1981 (depth = 6)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1982 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call1983 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe1982);
// compiled member node returning call1983 (depth = 7)
  *var_n = call1983;
  if (call1983 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_do_40_1_41_1967(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1968 = gc_frame_new();
// call case 4: self request
  Object call1969 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1968);
// compiled member node returning call1969 (depth = 5)
  *var_n = call1969;
  if (call1969 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1970 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1971 = alloc_Block(NULL, NULL, "lexer", 1136);
  gc_frame_newslot(block1971);
// method "_apply"
  block_savedest(block1971);
  Object closure1972 = createclosure(2, "_apply");
  setclosureframe(closure1972, stackframe);
  addtoclosure(closure1972, var_n);
  addtoclosure(closure1972, selfslot);
  struct UserObject *uo1972 = (struct UserObject*)block1971;
  uo1972->data[0] = (Object)closure1972;
  Method *meth_meth_lexer__apply1972 = addmethod2pos(block1971, "_apply", &meth_lexer__apply1972, 0);
  int argcv_meth_lexer__apply1972[] = {0};
  meth_meth_lexer__apply1972->type = alloc_MethodType(1, argcv_meth_lexer__apply1972);
  meth_meth_lexer__apply1972->definitionModule = modulename;
  meth_meth_lexer__apply1972->definitionLine = 1184;
// compiled block node returning block1971 (depth = 5)
  gc_frame_newslot(block1971);
// starting to compile block node (depth = 5)
  Object block1978 = alloc_Block(NULL, NULL, "lexer", 1136);
  gc_frame_newslot(block1978);
// method "_apply"
  block_savedest(block1978);
  Object closure1979 = createclosure(3, "_apply");
  setclosureframe(closure1979, stackframe);
  addtoclosure(closure1979, var_n);
  addtoclosure(closure1979, var_action);
  addtoclosure(closure1979, selfslot);
  struct UserObject *uo1979 = (struct UserObject*)block1978;
  uo1979->data[0] = (Object)closure1979;
  Method *meth_meth_lexer__apply1979 = addmethod2pos(block1978, "_apply", &meth_lexer__apply1979, 0);
  int argcv_meth_lexer__apply1979[] = {0};
  meth_meth_lexer__apply1979->type = alloc_MethodType(1, argcv_meth_lexer__apply1979);
  meth_meth_lexer__apply1979->definitionModule = modulename;
  meth_meth_lexer__apply1979->definitionLine = 1184;
// compiled block node returning block1978 (depth = 5)
  gc_frame_newslot(block1978);
// call case 5: prelude request
  params[0] = block1971;
  params[1] = block1978;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1986 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1970);
// compiled call node returning call1986 (depth = 4)
  gc_frame_end(frame);
  return call1986;
}
Object meth_lexer__apply2008(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe2009 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_charS (depth = 7)
  Object call2010 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe2009);
// compiled member node returning call2010 (depth = 6)
  gc_frame_end(frame);
  return call2010;
}
Object meth_lexer__apply2031(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ch = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe2032 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ch (depth = 11)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile string node (depth = 11)
  if (strlit2033 == NULL) {
    strlit2033 = alloc_String("><![]-");
    gc_root(strlit2033);
  }
// compiled string node returning strlit2033 (depth = 11)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2034 = callmethodflags(strlit2033, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2032);
// compiled call node returning call2034 (depth = 10)
  gc_frame_end(frame);
  return call2034;
}
Object meth_lexer__apply2013(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ch = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ch");
  Object *var_nextCh = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextCh");
  Object *var_bigraph = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "bigraph");
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2014 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_charS (depth = 8)
  Object call2015 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2014);
// compiled member node returning call2015 (depth = 7)
  *var_ch = call2015;
  if (call2015 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2016 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2018 = alloc_Float64(1);
// compiled num node returning num2018 (depth = 8)
  int op_slot_right_2017 = gc_frame_newslot(num2018);
// starting to compile member node (depth = 8)
  int callframe2020 = gc_frame_new();
// call case 4: self request
  Object call2021 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2020);
// compiled member node returning call2021 (depth = 8)
  int op_slot_left_2017 = gc_frame_newslot(call2021);
  params[0] = num2018;
  partcv[0] = 1;
  Object sum2022 = callmethod(call2021, "+(1)", 1, partcv, params);
// compiled op node returning sum2022 (depth = 7)
  gc_frame_newslot(sum2022);
// call case 4: self request
  params[0] = sum2022;
  partcv[0] = 1;
  Object call2023 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2016);
// compiled call node returning call2023 (depth = 6)
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2026 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call2027 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe2026);
// compiled member node returning call2027 (depth = 8)
  int op_slot_right_2025 = gc_frame_newslot(call2027);
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block2030 = alloc_Block(NULL, NULL, "lexer", 1152);
  gc_frame_newslot(block2030);
// method "_apply"
  block_savedest(block2030);
  Object closure2031 = createclosure(2, "_apply");
  setclosureframe(closure2031, stackframe);
  addtoclosure(closure2031, var_ch);
  addtoclosure(closure2031, selfslot);
  struct UserObject *uo2031 = (struct UserObject*)block2030;
  uo2031->data[0] = (Object)closure2031;
  Method *meth_meth_lexer__apply2031 = addmethod2pos(block2030, "_apply", &meth_lexer__apply2031, 0);
  int argcv_meth_lexer__apply2031[] = {0};
  meth_meth_lexer__apply2031->type = alloc_MethodType(1, argcv_meth_lexer__apply2031);
  meth_meth_lexer__apply2031->definitionModule = modulename;
  meth_meth_lexer__apply2031->definitionLine = 1184;
// compiled block node returning block2030 (depth = 9)
  int op_slot_right_2029 = gc_frame_newslot(block2030);
// starting to compile member node (depth = 9)
  int callframe2037 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2038 = gc_frame_new();
// call case 4: self request
  Object call2039 = callmethodflags(self, "inStr", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled member node returning call2039 (depth = 10)
  Object call2040 = callmethodflags(call2039, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2037);
// compiled member node returning call2040 (depth = 9)
  int op_slot_left_2029 = gc_frame_newslot(call2040);
  params[0] = block2030;
  partcv[0] = 1;
  Object opresult2041 = callmethod(call2040, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2041 (depth = 8)
  int op_slot_left_2025 = gc_frame_newslot(opresult2041);
  params[0] = call2027;
  partcv[0] = 1;
  Object opresult2042 = callmethod(opresult2041, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2042 (depth = 7)
  Object if2024 = done;
  if (istrue(opresult2042)) {
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2043 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call2044 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2043);
// compiled member node returning call2044 (depth = 8)
  *var_nextCh = call2044;
  if (call2044 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2045 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2047 = alloc_Float64(1);
// compiled num node returning num2047 (depth = 9)
  int op_slot_right_2046 = gc_frame_newslot(num2047);
// starting to compile member node (depth = 9)
  int callframe2049 = gc_frame_new();
// call case 4: self request
  Object call2050 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2049);
// compiled member node returning call2050 (depth = 9)
  int op_slot_left_2046 = gc_frame_newslot(call2050);
  params[0] = num2047;
  partcv[0] = 1;
  Object sum2051 = callmethod(call2050, "+(1)", 1, partcv, params);
// compiled op node returning sum2051 (depth = 8)
  gc_frame_newslot(sum2051);
// call case 4: self request
  params[0] = sum2051;
  partcv[0] = 1;
  Object call2052 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2045);
// compiled call node returning call2052 (depth = 7)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextCh (depth = 9)
  int op_slot_right_2053 = gc_frame_newslot(*var_nextCh);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ch (depth = 9)
  int op_slot_left_2053 = gc_frame_newslot(*var_ch);
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object opresult2055 = callmethod(*var_ch, "++(1)", 1, partcv, params);
// compiled op node returning opresult2055 (depth = 8)
  *var_bigraph = opresult2055;
  if (opresult2055 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2058 == NULL) {
    strlit2058 = alloc_String(">=");
    gc_root(strlit2058);
  }
// compiled string node returning strlit2058 (depth = 9)
  int op_slot_right_2057 = gc_frame_newslot(strlit2058);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_bigraph (depth = 9)
  int op_slot_left_2057 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2058;
  partcv[0] = 1;
  Object opresult2060 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2060 (depth = 8)
  Object if2056 = done;
  if (istrue(opresult2060)) {
// starting to compile call node (depth = 8)
  int callframe2061 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2062 == NULL) {
    strlit2062 = alloc_String("""\xe2""""\x89""""\xa5""");
    gc_root(strlit2062);
  }
// compiled string node returning strlit2062 (depth = 9)
  gc_frame_newslot(strlit2062);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2063 = gc_frame_new();
// call case 4: self request
  Object call2064 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2063);
// compiled member node returning call2064 (depth = 9)
  params[0] = strlit2062;
  partcv[0] = 1;
  Object call2065 = callmethodflags(call2064, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2061);
// compiled call node returning call2065 (depth = 8)
    gc_frame_newslot(call2065);
    if2056 = call2065;
  } else {
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2068 == NULL) {
    strlit2068 = alloc_String("<=");
    gc_root(strlit2068);
  }
// compiled string node returning strlit2068 (depth = 10)
  int op_slot_right_2067 = gc_frame_newslot(strlit2068);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_bigraph (depth = 10)
  int op_slot_left_2067 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2068;
  partcv[0] = 1;
  Object opresult2070 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2070 (depth = 9)
  Object if2066 = done;
  if (istrue(opresult2070)) {
// starting to compile call node (depth = 9)
  int callframe2071 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("""\xe2""""\x89""""\xa4""");
    gc_root(strlit2072);
  }
// compiled string node returning strlit2072 (depth = 10)
  gc_frame_newslot(strlit2072);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2073 = gc_frame_new();
// call case 4: self request
  Object call2074 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2073);
// compiled member node returning call2074 (depth = 10)
  params[0] = strlit2072;
  partcv[0] = 1;
  Object call2075 = callmethodflags(call2074, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2071);
// compiled call node returning call2075 (depth = 9)
    gc_frame_newslot(call2075);
    if2066 = call2075;
  } else {
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2078 == NULL) {
    strlit2078 = alloc_String("!=");
    gc_root(strlit2078);
  }
// compiled string node returning strlit2078 (depth = 11)
  int op_slot_right_2077 = gc_frame_newslot(strlit2078);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_bigraph (depth = 11)
  int op_slot_left_2077 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2078;
  partcv[0] = 1;
  Object opresult2080 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2080 (depth = 10)
  Object if2076 = done;
  if (istrue(opresult2080)) {
// starting to compile call node (depth = 10)
  int callframe2081 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2082 == NULL) {
    strlit2082 = alloc_String("""\xe2""""\x89""""\xa0""");
    gc_root(strlit2082);
  }
// compiled string node returning strlit2082 (depth = 11)
  gc_frame_newslot(strlit2082);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2083 = gc_frame_new();
// call case 4: self request
  Object call2084 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2083);
// compiled member node returning call2084 (depth = 11)
  params[0] = strlit2082;
  partcv[0] = 1;
  Object call2085 = callmethodflags(call2084, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2081);
// compiled call node returning call2085 (depth = 10)
    gc_frame_newslot(call2085);
    if2076 = call2085;
  } else {
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2088 == NULL) {
    strlit2088 = alloc_String("[[");
    gc_root(strlit2088);
  }
// compiled string node returning strlit2088 (depth = 12)
  int op_slot_right_2087 = gc_frame_newslot(strlit2088);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_bigraph (depth = 12)
  int op_slot_left_2087 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2088;
  partcv[0] = 1;
  Object opresult2090 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2090 (depth = 11)
  Object if2086 = done;
  if (istrue(opresult2090)) {
// starting to compile call node (depth = 11)
  int callframe2091 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2092 == NULL) {
    strlit2092 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit2092);
  }
// compiled string node returning strlit2092 (depth = 12)
  gc_frame_newslot(strlit2092);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2093 = gc_frame_new();
// call case 4: self request
  Object call2094 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2093);
// compiled member node returning call2094 (depth = 12)
  params[0] = strlit2092;
  partcv[0] = 1;
  Object call2095 = callmethodflags(call2094, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2091);
// compiled call node returning call2095 (depth = 11)
    gc_frame_newslot(call2095);
    if2086 = call2095;
  } else {
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2098 == NULL) {
    strlit2098 = alloc_String("]]");
    gc_root(strlit2098);
  }
// compiled string node returning strlit2098 (depth = 13)
  int op_slot_right_2097 = gc_frame_newslot(strlit2098);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_bigraph (depth = 13)
  int op_slot_left_2097 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2098;
  partcv[0] = 1;
  Object opresult2100 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2100 (depth = 12)
  Object if2096 = done;
  if (istrue(opresult2100)) {
// starting to compile call node (depth = 12)
  int callframe2101 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2102 == NULL) {
    strlit2102 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2102);
  }
// compiled string node returning strlit2102 (depth = 13)
  gc_frame_newslot(strlit2102);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2103 = gc_frame_new();
// call case 4: self request
  Object call2104 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2103);
// compiled member node returning call2104 (depth = 13)
  params[0] = strlit2102;
  partcv[0] = 1;
  Object call2105 = callmethodflags(call2104, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2101);
// compiled call node returning call2105 (depth = 12)
    gc_frame_newslot(call2105);
    if2096 = call2105;
  } else {
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2108 == NULL) {
    strlit2108 = alloc_String("->");
    gc_root(strlit2108);
  }
// compiled string node returning strlit2108 (depth = 14)
  int op_slot_right_2107 = gc_frame_newslot(strlit2108);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_bigraph (depth = 14)
  int op_slot_left_2107 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit2108;
  partcv[0] = 1;
  Object opresult2110 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult2110 (depth = 13)
  Object if2106 = done;
  if (istrue(opresult2110)) {
// starting to compile call node (depth = 13)
  int callframe2111 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit2112 == NULL) {
    strlit2112 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit2112);
  }
// compiled string node returning strlit2112 (depth = 14)
  gc_frame_newslot(strlit2112);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2113 = gc_frame_new();
// call case 4: self request
  Object call2114 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2113);
// compiled member node returning call2114 (depth = 14)
  params[0] = strlit2112;
  partcv[0] = 1;
  Object call2115 = callmethodflags(call2114, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2111);
// compiled call node returning call2115 (depth = 13)
    gc_frame_newslot(call2115);
    if2106 = call2115;
  } else {
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2116 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num2118 = alloc_Float64(1);
// compiled num node returning num2118 (depth = 15)
  int op_slot_right_2117 = gc_frame_newslot(num2118);
// starting to compile member node (depth = 15)
  int callframe2120 = gc_frame_new();
// call case 4: self request
  Object call2121 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2120);
// compiled member node returning call2121 (depth = 15)
  int op_slot_left_2117 = gc_frame_newslot(call2121);
  params[0] = num2118;
  partcv[0] = 1;
  Object diff2122 = callmethod(call2121, "-(1)", 1, partcv, params);
// compiled op node returning diff2122 (depth = 14)
  gc_frame_newslot(diff2122);
// call case 4: self request
  params[0] = diff2122;
  partcv[0] = 1;
  Object call2123 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2116);
// compiled call node returning call2123 (depth = 13)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2124 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ch (depth = 14)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2125 = gc_frame_new();
// call case 4: self request
  Object call2126 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2125);
// compiled member node returning call2126 (depth = 14)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2127 = callmethodflags(call2126, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2124);
// compiled call node returning call2127 (depth = 13)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2128 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num2130 = alloc_Float64(1);
// compiled num node returning num2130 (depth = 15)
  int op_slot_right_2129 = gc_frame_newslot(num2130);
// starting to compile member node (depth = 15)
  int callframe2132 = gc_frame_new();
// call case 4: self request
  Object call2133 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2132);
// compiled member node returning call2133 (depth = 15)
  int op_slot_left_2129 = gc_frame_newslot(call2133);
  params[0] = num2130;
  partcv[0] = 1;
  Object sum2134 = callmethod(call2133, "+(1)", 1, partcv, params);
// compiled op node returning sum2134 (depth = 14)
  gc_frame_newslot(sum2134);
// call case 4: self request
  params[0] = sum2134;
  partcv[0] = 1;
  Object call2135 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2128);
// compiled call node returning call2135 (depth = 13)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2136 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextCh (depth = 14)
  gc_frame_newslot(*var_nextCh);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2137 = gc_frame_new();
// call case 4: self request
  Object call2138 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2137);
// compiled member node returning call2138 (depth = 14)
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object call2139 = callmethodflags(call2138, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2136);
// compiled call node returning call2139 (depth = 13)
    gc_frame_newslot(call2139);
    if2106 = call2139;
  }
// compiled if node returning if2106 (depth = 12)
    gc_frame_newslot(if2106);
    if2096 = if2106;
  }
// compiled if node returning if2096 (depth = 11)
    gc_frame_newslot(if2096);
    if2086 = if2096;
  }
// compiled if node returning if2086 (depth = 10)
    gc_frame_newslot(if2086);
    if2076 = if2086;
  }
// compiled if node returning if2076 (depth = 9)
    gc_frame_newslot(if2076);
    if2066 = if2076;
  }
// compiled if node returning if2066 (depth = 8)
    gc_frame_newslot(if2066);
    if2056 = if2066;
  }
// compiled if node returning if2056 (depth = 7)
    gc_frame_newslot(if2056);
    if2024 = if2056;
  } else {
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2140 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2141 = gc_frame_new();
// call case 4: self request
  Object call2142 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2141);
// compiled member node returning call2142 (depth = 8)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call2143 = callmethodflags(call2142, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2140);
// compiled call node returning call2143 (depth = 7)
    gc_frame_newslot(call2143);
    if2024 = call2143;
  }
// compiled if node returning if2024 (depth = 6)
  gc_frame_end(frame);
  return if2024;
}
Object meth_lexer__apply_40_1_41_2003(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_eachLine = &(stackframe->slots[0]);
  *var_eachLine = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_charS = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "charS");
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2004 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_eachLine (depth = 6)
  Object call2005 = callmethodflags(*var_eachLine, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe2004);
// compiled member node returning call2005 (depth = 5)
  *var_charS = call2005;
  if (call2005 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2006 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2007 = alloc_Block(NULL, NULL, "lexer", 1149);
  gc_frame_newslot(block2007);
// method "_apply"
  block_savedest(block2007);
  Object closure2008 = createclosure(2, "_apply");
  setclosureframe(closure2008, stackframe);
  addtoclosure(closure2008, var_charS);
  addtoclosure(closure2008, selfslot);
  struct UserObject *uo2008 = (struct UserObject*)block2007;
  uo2008->data[0] = (Object)closure2008;
  Method *meth_meth_lexer__apply2008 = addmethod2pos(block2007, "_apply", &meth_lexer__apply2008, 0);
  int argcv_meth_lexer__apply2008[] = {0};
  meth_meth_lexer__apply2008->type = alloc_MethodType(1, argcv_meth_lexer__apply2008);
  meth_meth_lexer__apply2008->definitionModule = modulename;
  meth_meth_lexer__apply2008->definitionLine = 1184;
// compiled block node returning block2007 (depth = 5)
  gc_frame_newslot(block2007);
// starting to compile block node (depth = 5)
  Object block2012 = alloc_Block(NULL, NULL, "lexer", 1149);
  gc_frame_newslot(block2012);
// method "_apply"
  block_savedest(block2012);
  Object closure2013 = createclosure(2, "_apply");
  setclosureframe(closure2013, stackframe);
  addtoclosure(closure2013, var_charS);
  addtoclosure(closure2013, selfslot);
  struct UserObject *uo2013 = (struct UserObject*)block2012;
  uo2013->data[0] = (Object)closure2013;
  Method *meth_meth_lexer__apply2013 = addmethod2pos(block2012, "_apply", &meth_lexer__apply2013, 0);
  int argcv_meth_lexer__apply2013[] = {0};
  meth_meth_lexer__apply2013->type = alloc_MethodType(1, argcv_meth_lexer__apply2013);
  meth_meth_lexer__apply2013->definitionModule = modulename;
  meth_meth_lexer__apply2013->definitionLine = 1184;
// compiled block node returning block2012 (depth = 5)
  gc_frame_newslot(block2012);
// call case 5: prelude request
  params[0] = block2007;
  params[1] = block2012;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2145 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2006);
// compiled call node returning call2145 (depth = 4)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2146 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2147 == NULL) {
    strlit2147 = alloc_String("""\x0a""");
    gc_root(strlit2147);
  }
// compiled string node returning strlit2147 (depth = 5)
  gc_frame_newslot(strlit2147);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2148 = gc_frame_new();
// call case 4: self request
  Object call2149 = callmethodflags(self, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2148);
// compiled member node returning call2149 (depth = 5)
  params[0] = strlit2147;
  partcv[0] = 1;
  Object call2150 = callmethodflags(call2149, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2146);
// compiled call node returning call2150 (depth = 4)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2151 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num2152 = alloc_Float64(0);
// compiled num node returning num2152 (depth = 5)
  gc_frame_newslot(num2152);
// call case 4: self request
  params[0] = num2152;
  partcv[0] = 1;
  Object call2153 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2151);
// compiled call node returning call2153 (depth = 4)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2154 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2156 = alloc_Float64(1);
// compiled num node returning num2156 (depth = 6)
  int op_slot_right_2155 = gc_frame_newslot(num2156);
// starting to compile member node (depth = 6)
  int callframe2158 = gc_frame_new();
// call case 4: self request
  Object call2159 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2158);
// compiled member node returning call2159 (depth = 6)
  int op_slot_left_2155 = gc_frame_newslot(call2159);
  params[0] = num2156;
  partcv[0] = 1;
  Object sum2160 = callmethod(call2159, "+(1)", 1, partcv, params);
// compiled op node returning sum2160 (depth = 5)
  gc_frame_newslot(sum2160);
// call case 4: self request
  params[0] = sum2160;
  partcv[0] = 1;
  Object call2161 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2154);
// compiled call node returning call2161 (depth = 4)
  gc_frame_end(frame);
  return call2161;
}
Object meth_lexer_lexinput_40_1_41_1820(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexinput(_)");
  Object params[4];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexinput(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_inputLines = &(stackframe->slots[0]);
  *var_inputLines = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexinput(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1821 = gc_frame_new();
// starting to compile object node (depth = 3)
  Object inheritingObject1822 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1822 = alloc_userobj2(14,12, objclass1822);
  gc_frame_newslot(obj1822);
// OBJECT OUTER DEC outer
  adddatum2(obj1822, self, 0);
  addmethodreal(obj1822,"outer", &reader_lexer_outer_1823);
  Object oldself1822 = self;
  struct StackFrameObject *oldstackframe1822 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1822);
  gc_frame_newslot((Object)stackframe);
  self = obj1822;
  Object *oldselfslot1822 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1822 = (*(struct UserObject *)self).data[0], lowerouter1822 = thisouter1822;
  if (inheritingObject1822) {
    struct UserObject *inho1822 = (struct UserObject *)inheritingObject1822;
    while (inho1822->super != GraceDefaultObject) inho1822 = (struct UserObject *)inho1822->super;
    inho1822->super = obj1822;
    self = inheritingObject1822;
    *selfslot = self;
    lowerouter1822 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1822;
  }
if (objclass1822 == NULL) {
  Method *reader1824 = addmethodrealflags(obj1822, "first", &reader_lexer_first_1824, 0);
  Method *writer1824 = addmethodrealflags(obj1822, "first:=(1)", &writer_lexer_first_1824, MFLAG_CONFIDENTIAL);
  reader1824->definitionModule = modulename;
  writer1824->definitionModule = modulename;
  reader1824->definitionLine = 1069;
  writer1824->definitionLine = 1069;
}
obj1822->flags |= OFLAG_MUTABLE;
adddatum2(obj1822, alloc_Undefined(), 1);
if (objclass1822 == NULL) {
  Method *reader1825 = addmethodrealflags(obj1822, "last", &reader_lexer_last_1825, 0);
  Method *writer1825 = addmethodrealflags(obj1822, "last:=(1)", &writer_lexer_last_1825, MFLAG_CONFIDENTIAL);
  reader1825->definitionModule = modulename;
  writer1825->definitionModule = modulename;
  reader1825->definitionLine = 1070;
  writer1825->definitionLine = 1070;
}
obj1822->flags |= OFLAG_MUTABLE;
adddatum2(obj1822, alloc_Undefined(), 2);
if (objclass1822 == NULL) {
  Method *reader1826 = addmethodrealflags(obj1822, "size'", &reader_lexer_size_39__1826, MFLAG_CONFIDENTIAL);
  Method *writer1826 = addmethodrealflags(obj1822, "size':=(1)", &writer_lexer_size_39__1826, MFLAG_CONFIDENTIAL);
  reader1826->definitionModule = modulename;
  writer1826->definitionModule = modulename;
  reader1826->definitionLine = 1071;
  writer1826->definitionLine = 1071;
}
obj1822->flags |= OFLAG_MUTABLE;
adddatum2(obj1822, alloc_Undefined(), 3);
// method "push(_)"
  struct UserObject *uo1827 = (struct UserObject*)obj1822;
  uo1827->data[4] = emptyclosure;
  Method *meth_meth_lexer_push_40_1_41_1827 = addmethod2pos(obj1822, "push(1)", &meth_lexer_push_40_1_41_1827, 4);
  int argcv_meth_lexer_push_40_1_41_1827[] = {1};
  meth_meth_lexer_push_40_1_41_1827->type = alloc_MethodType(1, argcv_meth_lexer_push_40_1_41_1827);
  meth_meth_lexer_push_40_1_41_1827->definitionModule = modulename;
  meth_meth_lexer_push_40_1_41_1827->definitionLine = 1073;
// method "pop"
  struct UserObject *uo1857 = (struct UserObject*)obj1822;
  uo1857->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1857 = addmethod2pos(obj1822, "pop", &meth_lexer_pop1857, 5);
  int argcv_meth_lexer_pop1857[] = {0};
  meth_meth_lexer_pop1857->type = alloc_MethodType(1, argcv_meth_lexer_pop1857);
  meth_meth_lexer_pop1857->definitionModule = modulename;
  meth_meth_lexer_pop1857->definitionLine = 1085;
// method "poll"
  struct UserObject *uo1891 = (struct UserObject*)obj1822;
  uo1891->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1891 = addmethod2pos(obj1822, "poll", &meth_lexer_poll1891, 6);
  int argcv_meth_lexer_poll1891[] = {0};
  meth_meth_lexer_poll1891->type = alloc_MethodType(1, argcv_meth_lexer_poll1891);
  meth_meth_lexer_poll1891->definitionModule = modulename;
  meth_meth_lexer_poll1891->definitionLine = 1097;
// method "size"
  struct UserObject *uo1925 = (struct UserObject*)obj1822;
  uo1925->data[7] = emptyclosure;
  Method *meth_meth_lexer_size1925 = addmethod2pos(obj1822, "size", &meth_lexer_size1925, 7);
  int argcv_meth_lexer_size1925[] = {0};
  meth_meth_lexer_size1925->type = alloc_MethodType(1, argcv_meth_lexer_size1925);
  meth_meth_lexer_size1925->definitionModule = modulename;
  meth_meth_lexer_size1925->definitionLine = 1109;
// method "iter"
  struct UserObject *uo1932 = (struct UserObject*)obj1822;
  uo1932->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter1932 = addmethod2pos(obj1822, "iter", &meth_lexer_iter1932, 8);
  int argcv_meth_lexer_iter1932[] = {0};
  meth_meth_lexer_iter1932->type = alloc_MethodType(1, argcv_meth_lexer_iter1932);
  meth_meth_lexer_iter1932->definitionModule = modulename;
  meth_meth_lexer_iter1932->definitionLine = 1113;
  Method *meth_meth_lexer_iter1932_object = addmethod2pos(obj1822, "iter$object(1)", &meth_lexer_iter1932_object, 8);
  int argcv_meth_lexer_iter1932_object[] = {0};
  meth_meth_lexer_iter1932_object->type = alloc_MethodType(1, argcv_meth_lexer_iter1932_object);
  meth_meth_lexer_iter1932_object->definitionModule = modulename;
  meth_meth_lexer_iter1932_object->definitionLine = 1113;
// method "iterator"
  struct UserObject *uo1964 = (struct UserObject*)obj1822;
  uo1964->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator1964 = addmethod2pos(obj1822, "iterator", &meth_lexer_iterator1964, 9);
  int argcv_meth_lexer_iterator1964[] = {0};
  meth_meth_lexer_iterator1964->type = alloc_MethodType(1, argcv_meth_lexer_iterator1964);
  meth_meth_lexer_iterator1964->definitionModule = modulename;
  meth_meth_lexer_iterator1964->definitionLine = 1130;
// method "do(_)"
  struct UserObject *uo1967 = (struct UserObject*)obj1822;
  uo1967->data[10] = emptyclosure;
  Method *meth_meth_lexer_do_40_1_41_1967 = addmethod2pos(obj1822, "do(1)", &meth_lexer_do_40_1_41_1967, 10);
  int argcv_meth_lexer_do_40_1_41_1967[] = {1};
  meth_meth_lexer_do_40_1_41_1967->type = alloc_MethodType(1, argcv_meth_lexer_do_40_1_41_1967);
  meth_meth_lexer_do_40_1_41_1967->definitionModule = modulename;
  meth_meth_lexer_do_40_1_41_1967->definitionLine = 1134;
  sourceObject = obj1822;
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1987 = alloc_Boolean(0);
// compiled identifier node returning bool1987 (depth = 4)
  adddatum2(obj1822, bool1987, 1);
  sourceObject = obj1822;
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1988 = alloc_Boolean(0);
// compiled identifier node returning bool1988 (depth = 4)
  adddatum2(obj1822, bool1988, 2);
  sourceObject = obj1822;
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1989 = alloc_Float64(0);
// compiled num node returning num1989 (depth = 4)
  adddatum2(obj1822, num1989, 3);
  sourceObject = obj1822;
  sourceObject = obj1822;
  sourceObject = obj1822;
  sourceObject = obj1822;
  sourceObject = obj1822;
  sourceObject = obj1822;
  sourceObject = obj1822;
  objclass1822 = obj1822->class;
  objclass1822->definitionModule = modulename;
  objclass1822->definitionLine = 1068;
  (*(struct UserObject *)self).data[0] = lowerouter1822;
  self = oldself1822;
  selfslot = oldselfslot1822;
  stackframe = oldstackframe1822;
// compiled object node returning obj1822 (depth = 3)
  gc_frame_newslot(obj1822);
// call case 4: self request
  params[0] = obj1822;
  partcv[0] = 1;
  Object call1990 = callmethodflags(self, "tokens:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1821);
// compiled call node returning call1990 (depth = 2)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1991 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1992 = alloc_Float64(0);
// compiled num node returning num1992 (depth = 3)
  gc_frame_newslot(num1992);
// call case 4: self request
  params[0] = num1992;
  partcv[0] = 1;
  Object call1993 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1991);
// compiled call node returning call1993 (depth = 2)
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1994 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1995 == NULL) {
    strlit1995 = alloc_String("lexing.");
    gc_root(strlit1995);
  }
// compiled string node returning strlit1995 (depth = 3)
  gc_frame_newslot(strlit1995);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit1995;
  partcv[0] = 1;
  Object call1996 = callmethodflags(*var_util, "log_verbose(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1994);
// compiled call node returning call1996 (depth = 2)
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1997 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1998 = gc_frame_new();
// call case 4: self request
  Object call1999 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1998);
// compiled member node returning call1999 (depth = 3)
  gc_frame_newslot(call1999);
// call case 4: self request
  params[0] = call1999;
  partcv[0] = 1;
  Object call2000 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1997);
// compiled call node returning call2000 (depth = 2)
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2001 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inputLines (depth = 3)
  gc_frame_newslot(*var_inputLines);
// starting to compile block node (depth = 3)
  Object block2002 = alloc_Block(NULL, NULL, "lexer", 1147);
  gc_frame_newslot(block2002);
// method "_apply(_)"
  block_savedest(block2002);
  Object closure2003 = createclosure(1, "_apply(1)");
  setclosureframe(closure2003, stackframe);
  addtoclosure(closure2003, selfslot);
  struct UserObject *uo2003 = (struct UserObject*)block2002;
  uo2003->data[0] = (Object)closure2003;
  Method *meth_meth_lexer__apply_40_1_41_2003 = addmethod2pos(block2002, "_apply(1)", &meth_lexer__apply_40_1_41_2003, 0);
  int argcv_meth_lexer__apply_40_1_41_2003[] = {1};
  meth_meth_lexer__apply_40_1_41_2003->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_2003);
  meth_meth_lexer__apply_40_1_41_2003->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_2003->definitionLine = 1184;
// compiled block node returning block2002 (depth = 3)
  gc_frame_newslot(block2002);
// call case 5: prelude request
  params[0] = *var_inputLines;
  params[1] = block2002;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2163 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2001);
// compiled call node returning call2163 (depth = 2)
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2164 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2166 = alloc_Float64(1);
// compiled num node returning num2166 (depth = 4)
  int op_slot_right_2165 = gc_frame_newslot(num2166);
// starting to compile member node (depth = 4)
  int callframe2168 = gc_frame_new();
// call case 4: self request
  Object call2169 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2168);
// compiled member node returning call2169 (depth = 4)
  int op_slot_left_2165 = gc_frame_newslot(call2169);
  params[0] = num2166;
  partcv[0] = 1;
  Object sum2170 = callmethod(call2169, "+(1)", 1, partcv, params);
// compiled op node returning sum2170 (depth = 3)
  gc_frame_newslot(sum2170);
// call case 4: self request
  params[0] = sum2170;
  partcv[0] = 1;
  Object call2171 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2164);
// compiled call node returning call2171 (depth = 2)
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2173 = gc_frame_new();
// call case 4: self request
  Object call2174 = callmethodflags(self, "inStr", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2173);
// compiled member node returning call2174 (depth = 3)
  Object if2172 = done;
  if (istrue(call2174)) {
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2175 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2178 == NULL) {
    strlit2178 = alloc_String(" and unclosed at end of input.");
    gc_root(strlit2178);
  }
// compiled string node returning strlit2178 (depth = 6)
  int op_slot_right_2177 = gc_frame_newslot(strlit2178);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2181 = gc_frame_new();
// call case 4: self request
  Object call2182 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2181);
// compiled member node returning call2182 (depth = 7)
  int op_slot_right_2180 = gc_frame_newslot(call2182);
// starting to compile string node (depth = 7)
  if (strlit2184 == NULL) {
    strlit2184 = alloc_String("String opened on line ");
    gc_root(strlit2184);
  }
// compiled string node returning strlit2184 (depth = 7)
  int op_slot_left_2180 = gc_frame_newslot(strlit2184);
  params[0] = call2182;
  partcv[0] = 1;
  Object opresult2185 = callmethod(strlit2184, "++(1)", 1, partcv, params);
// compiled op node returning opresult2185 (depth = 6)
  int op_slot_left_2177 = gc_frame_newslot(opresult2185);
  params[0] = strlit2178;
  partcv[0] = 1;
  Object opresult2186 = callmethod(opresult2185, "++(1)", 1, partcv, params);
// compiled op node returning opresult2186 (depth = 5)
  int op_slot_right_2176 = gc_frame_newslot(opresult2186);
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2188 == NULL) {
    strlit2188 = alloc_String("a multi-line string must end with a '""\xe2""""\x80""""\xba""'.""\x0a""");
    gc_root(strlit2188);
  }
// compiled string node returning strlit2188 (depth = 5)
  int op_slot_left_2176 = gc_frame_newslot(strlit2188);
  params[0] = opresult2186;
  partcv[0] = 1;
  Object opresult2189 = callmethod(strlit2188, "++(1)", 1, partcv, params);
// compiled op node returning opresult2189 (depth = 4)
  gc_frame_newslot(opresult2189);
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2190 = gc_frame_new();
// call case 4: self request
  Object call2191 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2190);
// compiled member node returning call2191 (depth = 4)
  gc_frame_newslot(call2191);
// starting to compile member node (depth = 4)
  int callframe2192 = gc_frame_new();
// call case 4: self request
  Object call2193 = callmethodflags(self, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2192);
// compiled member node returning call2193 (depth = 4)
  gc_frame_newslot(call2193);
// starting to compile member node (depth = 4)
  int callframe2194 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe2195 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2196 = gc_frame_new();
// call case 4: self request
  Object call2197 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2196);
// compiled member node returning call2197 (depth = 6)
  gc_frame_newslot(call2197);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2198 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call2199 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2198);
// compiled member node returning call2199 (depth = 6)
  params[0] = call2197;
  partcv[0] = 1;
  Object call2200 = callmethodflags(call2199, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2195);
// compiled call node returning call2200 (depth = 5)
  Object call2201 = callmethodflags(call2200, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2194);
// compiled member node returning call2201 (depth = 4)
  gc_frame_newslot(call2201);
// call case 6: other requests
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult2189;
  params[1] = call2191;
  params[2] = call2193;
  params[3] = call2201;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2202 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2175);
// compiled call node returning call2202 (depth = 3)
    gc_frame_newslot(call2202);
    if2172 = call2202;
  } else {
  }
// compiled if node returning if2172 (depth = 2)
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2203 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2204 = gc_frame_new();
// call case 4: self request
  Object call2205 = callmethodflags(self, "eofToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2204);
// compiled member node returning call2205 (depth = 3)
  gc_frame_newslot(call2205);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2206 = gc_frame_new();
// call case 4: self request
  Object call2207 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2206);
// compiled member node returning call2207 (depth = 3)
  params[0] = call2205;
  partcv[0] = 1;
  Object call2208 = callmethodflags(call2207, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2203);
// compiled call node returning call2208 (depth = 2)
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe2209 = gc_frame_new();
// call case 4: self request
  Object call2210 = callmethodflags(self, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2209);
// compiled member node returning call2210 (depth = 2)
  gc_frame_end(frame);
  return call2210;
}
Object meth_lexer_consume_40_1_41_2225(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2228 == NULL) {
    strlit2228 = alloc_String("#");
    gc_root(strlit2228);
  }
// compiled string node returning strlit2228 (depth = 4)
  int op_slot_right_2227 = gc_frame_newslot(strlit2228);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2227 = gc_frame_newslot(*var_c);
  params[0] = strlit2228;
  partcv[0] = 1;
  Object opresult2230 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2230 (depth = 3)
  Object if2226 = done;
  if (istrue(opresult2230)) {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2231 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2232 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2233 = gc_frame_new();
// call case 3: self.outer request
  Object call2234 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2233);
// compiled member node returning call2234 (depth = 5)
  Object call2235 = callmethodflags(call2234, "pragmaPrefixState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2232);
// compiled member node returning call2235 (depth = 4)
  gc_frame_newslot(call2235);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2236 = gc_frame_new();
// call case 3: self.outer request
  Object call2237 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2236);
// compiled member node returning call2237 (depth = 4)
  params[0] = call2235;
  partcv[0] = 1;
  Object call2238 = callmethodflags(call2237, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2231);
// compiled call node returning call2238 (depth = 3)
    gc_frame_newslot(call2238);
    if2226 = call2238;
  } else {
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2239 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2240 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2241 = gc_frame_new();
// call case 3: self.outer request
  Object call2242 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2241);
// compiled member node returning call2242 (depth = 5)
  Object call2243 = callmethodflags(call2242, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2240);
// compiled member node returning call2243 (depth = 4)
  gc_frame_newslot(call2243);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2244 = gc_frame_new();
// call case 3: self.outer request
  Object call2245 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2244);
// compiled member node returning call2245 (depth = 4)
  params[0] = call2243;
  partcv[0] = 1;
  Object call2246 = callmethodflags(call2245, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2239);
// compiled call node returning call2246 (depth = 3)
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2247 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2248 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2249 = gc_frame_new();
// call case 3: self.outer request
  Object call2250 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2249);
// compiled member node returning call2250 (depth = 5)
  Object call2251 = callmethodflags(call2250, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2248);
// compiled member node returning call2251 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2252 = callmethodflags(call2251, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2247);
// compiled call node returning call2252 (depth = 3)
    gc_frame_newslot(call2252);
    if2226 = call2252;
  }
// compiled if node returning if2226 (depth = 2)
  gc_frame_end(frame);
  return if2226;
}
Object meth_lexer_consume_40_1_41_2259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2260 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2261 = gc_frame_new();
// call case 3: self.outer request
  Object call2262 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2261);
// compiled member node returning call2262 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2263 = callmethodflags(call2262, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2260);
// compiled call node returning call2263 (depth = 2)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2266 == NULL) {
    strlit2266 = alloc_String("""\x0a""");
    gc_root(strlit2266);
  }
// compiled string node returning strlit2266 (depth = 4)
  int op_slot_right_2265 = gc_frame_newslot(strlit2266);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2265 = gc_frame_newslot(*var_c);
  params[0] = strlit2266;
  partcv[0] = 1;
  Object opresult2268 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2268 (depth = 3)
  Object if2264 = done;
  if (istrue(opresult2268)) {
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2269 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2270 == NULL) {
    strlit2270 = alloc_String("Incomplete pragma definition ");
    gc_root(strlit2270);
  }
// compiled string node returning strlit2270 (depth = 4)
  gc_frame_newslot(strlit2270);
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2271 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2272 = gc_frame_new();
// call case 3: self.outer request
  Object call2273 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2272);
// compiled member node returning call2273 (depth = 5)
  Object call2274 = callmethodflags(call2273, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2271);
// compiled member node returning call2274 (depth = 4)
  gc_frame_newslot(call2274);
// starting to compile member node (depth = 4)
  int callframe2275 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2276 = gc_frame_new();
// call case 3: self.outer request
  Object call2277 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2276);
// compiled member node returning call2277 (depth = 5)
  Object call2278 = callmethodflags(call2277, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2275);
// compiled member node returning call2278 (depth = 4)
  gc_frame_newslot(call2278);
// starting to compile member node (depth = 4)
  int callframe2279 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2280 = gc_frame_new();
// call case 3: self.outer request
  Object call2281 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2280);
// compiled member node returning call2281 (depth = 5)
  Object call2282 = callmethodflags(call2281, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2279);
// compiled member node returning call2282 (depth = 4)
  gc_frame_newslot(call2282);
// call case 6: other requests
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit2270;
  params[1] = call2274;
  params[2] = call2278;
  params[3] = call2282;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2283 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2269);
// compiled call node returning call2283 (depth = 3)
    gc_frame_newslot(call2283);
    if2264 = call2283;
  } else {
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2285 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2286 = gc_frame_new();
// call case 3: self.outer request
  Object call2287 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2286);
// compiled member node returning call2287 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2288 = callmethodflags(call2287, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2285);
// compiled call node returning call2288 (depth = 4)
  Object if2284 = done;
  if (istrue(call2288)) {
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2291 == NULL) {
    strlit2291 = alloc_String("pragma");
    gc_root(strlit2291);
  }
// compiled string node returning strlit2291 (depth = 6)
  int op_slot_right_2290 = gc_frame_newslot(strlit2291);
// starting to compile member node (depth = 6)
  int callframe2293 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2294 = gc_frame_new();
// call case 3: self.outer request
  Object call2295 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2294);
// compiled member node returning call2295 (depth = 7)
  Object call2296 = callmethodflags(call2295, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2293);
// compiled member node returning call2296 (depth = 6)
  int op_slot_left_2290 = gc_frame_newslot(call2296);
  params[0] = strlit2291;
  partcv[0] = 1;
  Object opresult2297 = callmethod(call2296, "==(1)", 1, partcv, params);
// compiled op node returning opresult2297 (depth = 5)
  Object if2289 = done;
  if (istrue(opresult2297)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2298 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2299 == NULL) {
    strlit2299 = alloc_String("");
    gc_root(strlit2299);
  }
// compiled string node returning strlit2299 (depth = 6)
  gc_frame_newslot(strlit2299);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2300 = gc_frame_new();
// call case 3: self.outer request
  Object call2301 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2300);
// compiled member node returning call2301 (depth = 6)
  params[0] = strlit2299;
  partcv[0] = 1;
  Object call2302 = callmethodflags(call2301, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2298);
// compiled call node returning call2302 (depth = 5)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2303 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2304 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2305 = gc_frame_new();
// call case 3: self.outer request
  Object call2306 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2305);
// compiled member node returning call2306 (depth = 7)
  Object call2307 = callmethodflags(call2306, "pragmaBodyState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2304);
// compiled member node returning call2307 (depth = 6)
  gc_frame_newslot(call2307);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2308 = gc_frame_new();
// call case 3: self.outer request
  Object call2309 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2308);
// compiled member node returning call2309 (depth = 6)
  params[0] = call2307;
  partcv[0] = 1;
  Object call2310 = callmethodflags(call2309, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2303);
// compiled call node returning call2310 (depth = 5)
    gc_frame_newslot(call2310);
    if2289 = call2310;
  } else {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2311 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2312 == NULL) {
    strlit2312 = alloc_String("Pragmas must start with #pragma ");
    gc_root(strlit2312);
  }
// compiled string node returning strlit2312 (depth = 6)
  gc_frame_newslot(strlit2312);
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2313 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2314 = gc_frame_new();
// call case 3: self.outer request
  Object call2315 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2314);
// compiled member node returning call2315 (depth = 7)
  Object call2316 = callmethodflags(call2315, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2313);
// compiled member node returning call2316 (depth = 6)
  gc_frame_newslot(call2316);
// starting to compile member node (depth = 6)
  int callframe2317 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2318 = gc_frame_new();
// call case 3: self.outer request
  Object call2319 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2318);
// compiled member node returning call2319 (depth = 7)
  Object call2320 = callmethodflags(call2319, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2317);
// compiled member node returning call2320 (depth = 6)
  gc_frame_newslot(call2320);
// starting to compile member node (depth = 6)
  int callframe2321 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2322 = gc_frame_new();
// call case 3: self.outer request
  Object call2323 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2322);
// compiled member node returning call2323 (depth = 7)
  Object call2324 = callmethodflags(call2323, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2321);
// compiled member node returning call2324 (depth = 6)
  gc_frame_newslot(call2324);
// call case 6: other requests
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit2312;
  params[1] = call2316;
  params[2] = call2320;
  params[3] = call2324;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2325 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2311);
// compiled call node returning call2325 (depth = 5)
    gc_frame_newslot(call2325);
    if2289 = call2325;
  }
// compiled if node returning if2289 (depth = 4)
    gc_frame_newslot(if2289);
    if2284 = if2289;
  } else {
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2326 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2327 = gc_frame_new();
// call case 3: self.outer request
  Object call2328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2327);
// compiled member node returning call2328 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2329 = callmethodflags(call2328, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2326);
// compiled call node returning call2329 (depth = 4)
    gc_frame_newslot(call2329);
    if2284 = call2329;
  }
// compiled if node returning if2284 (depth = 3)
    gc_frame_newslot(if2284);
    if2264 = if2284;
  }
// compiled if node returning if2264 (depth = 2)
  gc_frame_end(frame);
  return if2264;
}
Object meth_lexer_consume_40_1_41_2332(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2333 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2334 = gc_frame_new();
// call case 3: self.outer request
  Object call2335 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2334);
// compiled member node returning call2335 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2336 = callmethodflags(call2335, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2333);
// compiled call node returning call2336 (depth = 2)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2339 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2340 = gc_frame_new();
// call case 3: self.outer request
  Object call2341 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2340);
// compiled member node returning call2341 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2342 = callmethodflags(call2341, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2339);
// compiled call node returning call2342 (depth = 4)
  int op_slot_right_2338 = gc_frame_newslot(call2342);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2345 == NULL) {
    strlit2345 = alloc_String("""\x0a""");
    gc_root(strlit2345);
  }
// compiled string node returning strlit2345 (depth = 5)
  int op_slot_right_2344 = gc_frame_newslot(strlit2345);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_2344 = gc_frame_newslot(*var_c);
  params[0] = strlit2345;
  partcv[0] = 1;
  Object opresult2347 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2347 (depth = 4)
  int op_slot_left_2338 = gc_frame_newslot(opresult2347);
  params[0] = call2342;
  partcv[0] = 1;
  Object opresult2348 = callmethod(opresult2347, "||(1)", 1, partcv, params);
// compiled op node returning opresult2348 (depth = 3)
  Object if2337 = done;
  if (istrue(opresult2348)) {
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2349 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2350 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2351 = gc_frame_new();
// call case 3: self.outer request
  Object call2352 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2351);
// compiled member node returning call2352 (depth = 5)
  Object call2353 = callmethodflags(call2352, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2350);
// compiled member node returning call2353 (depth = 4)
  gc_frame_newslot(call2353);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call2353;
  partcv[0] = 1;
  Object call2354 = callmethodflags(*var_util, "processExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2349);
// compiled call node returning call2354 (depth = 3)
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2355 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2356 == NULL) {
    strlit2356 = alloc_String("");
    gc_root(strlit2356);
  }
// compiled string node returning strlit2356 (depth = 4)
  gc_frame_newslot(strlit2356);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2357 = gc_frame_new();
// call case 3: self.outer request
  Object call2358 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2357);
// compiled member node returning call2358 (depth = 4)
  params[0] = strlit2356;
  partcv[0] = 1;
  Object call2359 = callmethodflags(call2358, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2355);
// compiled call node returning call2359 (depth = 3)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2360 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2361 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2362 = gc_frame_new();
// call case 3: self.outer request
  Object call2363 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2362);
// compiled member node returning call2363 (depth = 5)
  Object call2364 = callmethodflags(call2363, "pragmaTrailingWhitespaceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2361);
// compiled member node returning call2364 (depth = 4)
  gc_frame_newslot(call2364);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2365 = gc_frame_new();
// call case 3: self.outer request
  Object call2366 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2365);
// compiled member node returning call2366 (depth = 4)
  params[0] = call2364;
  partcv[0] = 1;
  Object call2367 = callmethodflags(call2366, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2360);
// compiled call node returning call2367 (depth = 3)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2368 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2369 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2370 = gc_frame_new();
// call case 3: self.outer request
  Object call2371 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2370);
// compiled member node returning call2371 (depth = 5)
  Object call2372 = callmethodflags(call2371, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2369);
// compiled member node returning call2372 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2373 = callmethodflags(call2372, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2368);
// compiled call node returning call2373 (depth = 3)
    gc_frame_newslot(call2373);
    if2337 = call2373;
  } else {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2374 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2375 = gc_frame_new();
// call case 3: self.outer request
  Object call2376 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2375);
// compiled member node returning call2376 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2377 = callmethodflags(call2376, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2374);
// compiled call node returning call2377 (depth = 3)
    gc_frame_newslot(call2377);
    if2337 = call2377;
  }
// compiled if node returning if2337 (depth = 2)
  gc_frame_end(frame);
  return if2337;
}
Object meth_lexer_consume_40_1_41_2380(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2381 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2382 = gc_frame_new();
// call case 3: self.outer request
  Object call2383 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2382);
// compiled member node returning call2383 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2384 = callmethodflags(call2383, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2381);
// compiled call node returning call2384 (depth = 2)
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2387 == NULL) {
    strlit2387 = alloc_String("""\x0a""");
    gc_root(strlit2387);
  }
// compiled string node returning strlit2387 (depth = 4)
  int op_slot_right_2386 = gc_frame_newslot(strlit2387);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2386 = gc_frame_newslot(*var_c);
  params[0] = strlit2387;
  partcv[0] = 1;
  Object opresult2389 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2389 (depth = 3)
  Object if2385 = done;
  if (istrue(opresult2389)) {
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2390 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2391 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2392 = gc_frame_new();
// call case 3: self.outer request
  Object call2393 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2392);
// compiled member node returning call2393 (depth = 5)
  Object call2394 = callmethodflags(call2393, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2391);
// compiled member node returning call2394 (depth = 4)
  gc_frame_newslot(call2394);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2395 = gc_frame_new();
// call case 3: self.outer request
  Object call2396 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2395);
// compiled member node returning call2396 (depth = 4)
  params[0] = call2394;
  partcv[0] = 1;
  Object call2397 = callmethodflags(call2396, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compiled call node returning call2397 (depth = 3)
    gc_frame_newslot(call2397);
    if2385 = call2397;
  } else {
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2399 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe2400 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2401 = gc_frame_new();
// call case 3: self.outer request
  Object call2402 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2401);
// compiled member node returning call2402 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2403 = callmethodflags(call2402, "isSpaceChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2400);
// compiled call node returning call2403 (depth = 5)
  partcv[0] = 0;
  Object call2404 = callmethodflags(call2403, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe2399);
// compiled call node returning call2404 (depth = 4)
  Object if2398 = done;
  if (istrue(call2404)) {
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2405 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2406 == NULL) {
    strlit2406 = alloc_String("Pragmas must be a single word ");
    gc_root(strlit2406);
  }
// compiled string node returning strlit2406 (depth = 5)
  gc_frame_newslot(strlit2406);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2407 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2408 = gc_frame_new();
// call case 3: self.outer request
  Object call2409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2408);
// compiled member node returning call2409 (depth = 6)
  Object call2410 = callmethodflags(call2409, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2407);
// compiled member node returning call2410 (depth = 5)
  gc_frame_newslot(call2410);
// starting to compile member node (depth = 5)
  int callframe2411 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2412 = gc_frame_new();
// call case 3: self.outer request
  Object call2413 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2412);
// compiled member node returning call2413 (depth = 6)
  Object call2414 = callmethodflags(call2413, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2411);
// compiled member node returning call2414 (depth = 5)
  gc_frame_newslot(call2414);
// starting to compile member node (depth = 5)
  int callframe2415 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2416 = gc_frame_new();
// call case 3: self.outer request
  Object call2417 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2416);
// compiled member node returning call2417 (depth = 6)
  Object call2418 = callmethodflags(call2417, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2415);
// compiled member node returning call2418 (depth = 5)
  gc_frame_newslot(call2418);
// call case 6: other requests
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit2406;
  params[1] = call2410;
  params[2] = call2414;
  params[3] = call2418;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2419 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2405);
// compiled call node returning call2419 (depth = 4)
    gc_frame_newslot(call2419);
    if2398 = call2419;
  } else {
  }
// compiled if node returning if2398 (depth = 3)
    gc_frame_newslot(if2398);
    if2385 = if2398;
  }
// compiled if node returning if2385 (depth = 2)
  gc_frame_end(frame);
  return if2385;
}
Object meth_lexer__apply2510(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2512 == NULL) {
    strlit2512 = alloc_String("num");
    gc_root(strlit2512);
  }
// compiled string node returning strlit2512 (depth = 10)
  int op_slot_right_2511 = gc_frame_newslot(strlit2512);
// starting to compile member node (depth = 10)
  int callframe2514 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2515 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2516 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2517 = gc_frame_new();
// call case 3: self.outer request
  Object call2518 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2517);
// compiled member node returning call2518 (depth = 13)
  Object call2519 = callmethodflags(call2518, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2516);
// compiled member node returning call2519 (depth = 12)
  Object call2520 = callmethodflags(call2519, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2515);
// compiled member node returning call2520 (depth = 11)
  Object call2521 = callmethodflags(call2520, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2514);
// compiled member node returning call2521 (depth = 10)
  int op_slot_left_2511 = gc_frame_newslot(call2521);
  params[0] = strlit2512;
  partcv[0] = 1;
  Object opresult2522 = callmethod(call2521, "==(1)", 1, partcv, params);
// compiled op node returning opresult2522 (depth = 9)
  gc_frame_end(frame);
  return opresult2522;
}
Object meth_lexer__apply2767(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2769 == NULL) {
    strlit2769 = alloc_String("lparen");
    gc_root(strlit2769);
  }
// compiled string node returning strlit2769 (depth = 19)
  int op_slot_right_2768 = gc_frame_newslot(strlit2769);
// starting to compile member node (depth = 19)
  int callframe2771 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2773 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2774 = gc_frame_new();
// call case 3: self.outer request
  Object call2775 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2774);
// compiled member node returning call2775 (depth = 22)
  Object call2776 = callmethodflags(call2775, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2773);
// compiled member node returning call2776 (depth = 21)
  Object call2777 = callmethodflags(call2776, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2772);
// compiled member node returning call2777 (depth = 20)
  Object call2778 = callmethodflags(call2777, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2771);
// compiled member node returning call2778 (depth = 19)
  int op_slot_left_2768 = gc_frame_newslot(call2778);
  params[0] = strlit2769;
  partcv[0] = 1;
  Object opresult2779 = callmethod(call2778, "==(1)", 1, partcv, params);
// compiled op node returning opresult2779 (depth = 18)
  gc_frame_end(frame);
  return opresult2779;
}
Object meth_lexer_consume_40_1_41_2422(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_spaceChars = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ordval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ordval");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe2423 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call2424 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe2423);
// compiled member node returning call2424 (depth = 3)
  *var_ordval = call2424;
  if (call2424 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2425 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2426 = gc_frame_new();
// call case 3: self.outer request
  Object call2427 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2426);
// compiled member node returning call2427 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2428 = callmethodflags(call2427, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2425);
// compiled call node returning call2428 (depth = 2)
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2429 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2430 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2431 = gc_frame_new();
// call case 3: self.outer request
  Object call2432 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2431);
// compiled member node returning call2432 (depth = 4)
  Object call2433 = callmethodflags(call2432, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2430);
// compiled member node returning call2433 (depth = 3)
  gc_frame_newslot(call2433);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2434 = gc_frame_new();
// call case 3: self.outer request
  Object call2435 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2434);
// compiled member node returning call2435 (depth = 3)
  params[0] = call2433;
  partcv[0] = 1;
  Object call2436 = callmethodflags(call2435, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2429);
// compiled call node returning call2436 (depth = 2)
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2437 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2438 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2439 = gc_frame_new();
// call case 3: self.outer request
  Object call2440 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2439);
// compiled member node returning call2440 (depth = 4)
  Object call2441 = callmethodflags(call2440, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2438);
// compiled member node returning call2441 (depth = 3)
  gc_frame_newslot(call2441);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe2442 = gc_frame_new();
// call case 3: self.outer request
  Object call2443 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2442);
// compiled member node returning call2443 (depth = 3)
  params[0] = call2441;
  partcv[0] = 1;
  Object call2444 = callmethodflags(call2443, "startLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2437);
// compiled call node returning call2444 (depth = 2)
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2446 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2447 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2446);
// compiled call node returning call2447 (depth = 3)
  Object if2445 = done;
  if (istrue(call2447)) {
    gc_frame_newslot(done);
    if2445 = done;
  } else {
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2450 == NULL) {
    strlit2450 = alloc_String("""\x22""");
    gc_root(strlit2450);
  }
// compiled string node returning strlit2450 (depth = 5)
  int op_slot_right_2449 = gc_frame_newslot(strlit2450);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_2449 = gc_frame_newslot(*var_c);
  params[0] = strlit2450;
  partcv[0] = 1;
  Object opresult2452 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2452 (depth = 4)
  Object if2448 = done;
  if (istrue(opresult2452)) {
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2453 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool2454 = alloc_Boolean(1);
// compiled identifier node returning bool2454 (depth = 5)
  gc_frame_newslot(bool2454);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2455 = gc_frame_new();
// call case 3: self.outer request
  Object call2456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2455);
// compiled member node returning call2456 (depth = 5)
  params[0] = bool2454;
  partcv[0] = 1;
  Object call2457 = callmethodflags(call2456, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2453);
// compiled call node returning call2457 (depth = 4)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2458 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2459 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2460 = gc_frame_new();
// call case 3: self.outer request
  Object call2461 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2460);
// compiled member node returning call2461 (depth = 6)
  Object call2462 = callmethodflags(call2461, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2459);
// compiled member node returning call2462 (depth = 5)
  gc_frame_newslot(call2462);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2463 = gc_frame_new();
// call case 3: self.outer request
  Object call2464 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2463);
// compiled member node returning call2464 (depth = 5)
  params[0] = call2462;
  partcv[0] = 1;
  Object call2465 = callmethodflags(call2464, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2458);
// compiled call node returning call2465 (depth = 4)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2466 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2467 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2468 = gc_frame_new();
// call case 3: self.outer request
  Object call2469 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2468);
// compiled member node returning call2469 (depth = 6)
  Object call2470 = callmethodflags(call2469, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2467);
// compiled member node returning call2470 (depth = 5)
  gc_frame_newslot(call2470);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2471 = gc_frame_new();
// call case 3: self.outer request
  Object call2472 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2471);
// compiled member node returning call2472 (depth = 5)
  params[0] = call2470;
  partcv[0] = 1;
  Object call2473 = callmethodflags(call2472, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2466);
// compiled call node returning call2473 (depth = 4)
    gc_frame_newslot(call2473);
    if2448 = call2473;
  } else {
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2476 == NULL) {
    strlit2476 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit2476);
  }
// compiled string node returning strlit2476 (depth = 6)
  int op_slot_right_2475 = gc_frame_newslot(strlit2476);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_2475 = gc_frame_newslot(*var_c);
  params[0] = strlit2476;
  partcv[0] = 1;
  Object opresult2478 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2478 (depth = 5)
  Object if2474 = done;
  if (istrue(opresult2478)) {
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2479 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool2480 = alloc_Boolean(1);
// compiled identifier node returning bool2480 (depth = 6)
  gc_frame_newslot(bool2480);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2481 = gc_frame_new();
// call case 3: self.outer request
  Object call2482 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2481);
// compiled member node returning call2482 (depth = 6)
  params[0] = bool2480;
  partcv[0] = 1;
  Object call2483 = callmethodflags(call2482, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2479);
// compiled call node returning call2483 (depth = 5)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2484 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2485 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2486 = gc_frame_new();
// call case 3: self.outer request
  Object call2487 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2486);
// compiled member node returning call2487 (depth = 7)
  Object call2488 = callmethodflags(call2487, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2485);
// compiled member node returning call2488 (depth = 6)
  gc_frame_newslot(call2488);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2489 = gc_frame_new();
// call case 3: self.outer request
  Object call2490 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2489);
// compiled member node returning call2490 (depth = 6)
  params[0] = call2488;
  partcv[0] = 1;
  Object call2491 = callmethodflags(call2490, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2484);
// compiled call node returning call2491 (depth = 5)
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2492 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2493 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2494 = gc_frame_new();
// call case 3: self.outer request
  Object call2495 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2494);
// compiled member node returning call2495 (depth = 7)
  Object call2496 = callmethodflags(call2495, "extendedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2493);
// compiled member node returning call2496 (depth = 6)
  gc_frame_newslot(call2496);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2497 = gc_frame_new();
// call case 3: self.outer request
  Object call2498 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2497);
// compiled member node returning call2498 (depth = 6)
  params[0] = call2496;
  partcv[0] = 1;
  Object call2499 = callmethodflags(call2498, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2492);
// compiled call node returning call2499 (depth = 5)
    gc_frame_newslot(call2499);
    if2474 = call2499;
  } else {
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2501 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2502 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2503 = gc_frame_new();
// call case 3: self.outer request
  Object call2504 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2503);
// compiled member node returning call2504 (depth = 8)
  Object call2505 = callmethodflags(call2504, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2502);
// compiled member node returning call2505 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2506 = callmethodflags(call2505, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2501);
// compiled call node returning call2506 (depth = 6)
  Object if2500 = done;
  if (istrue(call2506)) {
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile block node (depth = 8)
  Object block2509 = alloc_Block(NULL, NULL, "lexer", 342);
  gc_frame_newslot(block2509);
// method "_apply"
  block_savedest(block2509);
  Object closure2510 = createclosure(1, "_apply");
  setclosureframe(closure2510, stackframe);
  addtoclosure(closure2510, selfslot);
  struct UserObject *uo2510 = (struct UserObject*)block2509;
  uo2510->data[0] = (Object)closure2510;
  Method *meth_meth_lexer__apply2510 = addmethod2pos(block2509, "_apply", &meth_lexer__apply2510, 0);
  int argcv_meth_lexer__apply2510[] = {0};
  meth_meth_lexer__apply2510->type = alloc_MethodType(1, argcv_meth_lexer__apply2510);
  meth_meth_lexer__apply2510->definitionModule = modulename;
  meth_meth_lexer__apply2510->definitionLine = 1184;
// compiled block node returning block2509 (depth = 8)
  int op_slot_right_2508 = gc_frame_newslot(block2509);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2526 = alloc_Float64(0);
// compiled num node returning num2526 (depth = 9)
  int op_slot_right_2525 = gc_frame_newslot(num2526);
// starting to compile member node (depth = 9)
  int callframe2528 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2529 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2530 = gc_frame_new();
// call case 3: self.outer request
  Object call2531 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2530);
// compiled member node returning call2531 (depth = 11)
  Object call2532 = callmethodflags(call2531, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2529);
// compiled member node returning call2532 (depth = 10)
  Object call2533 = callmethodflags(call2532, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2528);
// compiled member node returning call2533 (depth = 9)
  int op_slot_left_2525 = gc_frame_newslot(call2533);
  params[0] = num2526;
  partcv[0] = 1;
  Object opresult2534 = callmethod(call2533, ">(1)", 1, partcv, params);
// compiled op node returning opresult2534 (depth = 8)
  int op_slot_left_2508 = gc_frame_newslot(opresult2534);
  params[0] = block2509;
  partcv[0] = 1;
  Object opresult2535 = callmethod(opresult2534, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2535 (depth = 7)
  Object if2507 = done;
  if (istrue(opresult2535)) {
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2536 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2538 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2537);
// compiled member node returning call2538 (depth = 9)
  Object call2539 = callmethodflags(call2538, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2536);
// compiled member node returning call2539 (depth = 8)
  *var_suggestion = call2539;
  if (call2539 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2540 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2542 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2543 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2544 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2545 = gc_frame_new();
// call case 3: self.outer request
  Object call2546 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2545);
// compiled member node returning call2546 (depth = 12)
  Object call2547 = callmethodflags(call2546, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2544);
// compiled member node returning call2547 (depth = 11)
  Object call2548 = callmethodflags(call2547, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2543);
// compiled member node returning call2548 (depth = 10)
  Object call2549 = callmethodflags(call2548, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2542);
// compiled member node returning call2549 (depth = 9)
  int op_slot_right_2541 = gc_frame_newslot(call2549);
// starting to compile member node (depth = 9)
  int callframe2551 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2552 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2553 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2554 = gc_frame_new();
// call case 3: self.outer request
  Object call2555 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2554);
// compiled member node returning call2555 (depth = 12)
  Object call2556 = callmethodflags(call2555, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2553);
// compiled member node returning call2556 (depth = 11)
  Object call2557 = callmethodflags(call2556, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2552);
// compiled member node returning call2557 (depth = 10)
  Object call2558 = callmethodflags(call2557, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2551);
// compiled member node returning call2558 (depth = 9)
  int op_slot_left_2541 = gc_frame_newslot(call2558);
  params[0] = call2549;
  partcv[0] = 1;
  Object sum2559 = callmethod(call2558, "+(1)", 1, partcv, params);
// compiled op node returning sum2559 (depth = 8)
  gc_frame_newslot(sum2559);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2561 = alloc_Float64(1);
// compiled num node returning num2561 (depth = 9)
  int op_slot_right_2560 = gc_frame_newslot(num2561);
// starting to compile member node (depth = 9)
  int callframe2563 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2564 = gc_frame_new();
// call case 3: self.outer request
  Object call2565 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2564);
// compiled member node returning call2565 (depth = 10)
  Object call2566 = callmethodflags(call2565, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2563);
// compiled member node returning call2566 (depth = 9)
  int op_slot_left_2560 = gc_frame_newslot(call2566);
  params[0] = num2561;
  partcv[0] = 1;
  Object diff2567 = callmethod(call2566, "-(1)", 1, partcv, params);
// compiled op node returning diff2567 (depth = 8)
  gc_frame_newslot(diff2567);
// starting to compile member node (depth = 8)
  int callframe2568 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2569 = gc_frame_new();
// call case 3: self.outer request
  Object call2570 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2569);
// compiled member node returning call2570 (depth = 9)
  Object call2571 = callmethodflags(call2570, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2568);
// compiled member node returning call2571 (depth = 8)
  gc_frame_newslot(call2571);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum2559;
  params[1] = diff2567;
  params[2] = call2571;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2572 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2540);
// compiled call node returning call2572 (depth = 7)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2573 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2574 == NULL) {
    strlit2574 = alloc_String("Consecutive numbers are not allowed.");
    gc_root(strlit2574);
  }
// compiled string node returning strlit2574 (depth = 8)
  gc_frame_newslot(strlit2574);
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2575 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2576 = gc_frame_new();
// call case 3: self.outer request
  Object call2577 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2576);
// compiled member node returning call2577 (depth = 9)
  Object call2578 = callmethodflags(call2577, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2575);
// compiled member node returning call2578 (depth = 8)
  gc_frame_newslot(call2578);
// starting to compile member node (depth = 8)
  int callframe2579 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2580 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2581 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2582 = gc_frame_new();
// call case 3: self.outer request
  Object call2583 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2582);
// compiled member node returning call2583 (depth = 11)
  Object call2584 = callmethodflags(call2583, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2581);
// compiled member node returning call2584 (depth = 10)
  Object call2585 = callmethodflags(call2584, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2580);
// compiled member node returning call2585 (depth = 9)
  Object call2586 = callmethodflags(call2585, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2579);
// compiled member node returning call2586 (depth = 8)
  gc_frame_newslot(call2586);
// starting to compile member node (depth = 8)
  int callframe2587 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2588 = gc_frame_new();
// call case 3: self.outer request
  Object call2589 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2588);
// compiled member node returning call2589 (depth = 9)
  Object call2590 = callmethodflags(call2589, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2587);
// compiled member node returning call2590 (depth = 8)
  gc_frame_newslot(call2590);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2574;
  params[1] = call2578;
  params[2] = call2586;
  params[3] = call2590;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2591 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2573);
// compiled call node returning call2591 (depth = 7)
    gc_frame_newslot(call2591);
    if2507 = call2591;
  } else {
  }
// compiled if node returning if2507 (depth = 6)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2592 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2593 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2594 = gc_frame_new();
// call case 3: self.outer request
  Object call2595 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2594);
// compiled member node returning call2595 (depth = 8)
  Object call2596 = callmethodflags(call2595, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2593);
// compiled member node returning call2596 (depth = 7)
  gc_frame_newslot(call2596);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2597 = gc_frame_new();
// call case 3: self.outer request
  Object call2598 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2597);
// compiled member node returning call2598 (depth = 7)
  params[0] = call2596;
  partcv[0] = 1;
  Object call2599 = callmethodflags(call2598, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2592);
// compiled call node returning call2599 (depth = 6)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2600 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2601 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2602 = gc_frame_new();
// call case 3: self.outer request
  Object call2603 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2602);
// compiled member node returning call2603 (depth = 8)
  Object call2604 = callmethodflags(call2603, "numberStartState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2601);
// compiled member node returning call2604 (depth = 7)
  gc_frame_newslot(call2604);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2605 = gc_frame_new();
// call case 3: self.outer request
  Object call2606 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2605);
// compiled member node returning call2606 (depth = 7)
  params[0] = call2604;
  partcv[0] = 1;
  Object call2607 = callmethodflags(call2606, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2600);
// compiled call node returning call2607 (depth = 6)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2608 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2609 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2610 = gc_frame_new();
// call case 3: self.outer request
  Object call2611 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2610);
// compiled member node returning call2611 (depth = 8)
  Object call2612 = callmethodflags(call2611, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2609);
// compiled member node returning call2612 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2613 = callmethodflags(call2612, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2608);
// compiled call node returning call2613 (depth = 6)
    gc_frame_newslot(call2613);
    if2500 = call2613;
  } else {
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2615 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2616 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2617 = gc_frame_new();
// call case 3: self.outer request
  Object call2618 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2617);
// compiled member node returning call2618 (depth = 9)
  Object call2619 = callmethodflags(call2618, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2616);
// compiled member node returning call2619 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2620 = callmethodflags(call2619, "isIdentifierChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2615);
// compiled call node returning call2620 (depth = 7)
  Object if2614 = done;
  if (istrue(call2620)) {
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2621 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2622 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2623 = gc_frame_new();
// call case 3: self.outer request
  Object call2624 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2623);
// compiled member node returning call2624 (depth = 9)
  Object call2625 = callmethodflags(call2624, "identifierState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2622);
// compiled member node returning call2625 (depth = 8)
  gc_frame_newslot(call2625);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2626 = gc_frame_new();
// call case 3: self.outer request
  Object call2627 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2626);
// compiled member node returning call2627 (depth = 8)
  params[0] = call2625;
  partcv[0] = 1;
  Object call2628 = callmethodflags(call2627, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2621);
// compiled call node returning call2628 (depth = 7)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2629 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2630 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2631 = gc_frame_new();
// call case 3: self.outer request
  Object call2632 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2631);
// compiled member node returning call2632 (depth = 9)
  Object call2633 = callmethodflags(call2632, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2630);
// compiled member node returning call2633 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2634 = callmethodflags(call2633, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2629);
// compiled call node returning call2634 (depth = 7)
    gc_frame_newslot(call2634);
    if2614 = call2634;
  } else {
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2637 == NULL) {
    strlit2637 = alloc_String("/");
    gc_root(strlit2637);
  }
// compiled string node returning strlit2637 (depth = 9)
  int op_slot_right_2636 = gc_frame_newslot(strlit2637);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2636 = gc_frame_newslot(*var_c);
  params[0] = strlit2637;
  partcv[0] = 1;
  Object opresult2639 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2639 (depth = 8)
  Object if2635 = done;
  if (istrue(opresult2639)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2640 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe2641 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2642 = gc_frame_new();
// call case 3: self.outer request
  Object call2643 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2642);
// compiled member node returning call2643 (depth = 10)
  Object call2644 = callmethodflags(call2643, "slashState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2641);
// compiled member node returning call2644 (depth = 9)
  gc_frame_newslot(call2644);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2645 = gc_frame_new();
// call case 3: self.outer request
  Object call2646 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2645);
// compiled member node returning call2646 (depth = 9)
  params[0] = call2644;
  partcv[0] = 1;
  Object call2647 = callmethodflags(call2646, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2640);
// compiled call node returning call2647 (depth = 8)
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2648 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2649 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2650 = gc_frame_new();
// call case 3: self.outer request
  Object call2651 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2650);
// compiled member node returning call2651 (depth = 10)
  Object call2652 = callmethodflags(call2651, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2649);
// compiled member node returning call2652 (depth = 9)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2653 = callmethodflags(call2652, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2648);
// compiled call node returning call2653 (depth = 8)
    gc_frame_newslot(call2653);
    if2635 = call2653;
  } else {
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2656 == NULL) {
    strlit2656 = alloc_String(".");
    gc_root(strlit2656);
  }
// compiled string node returning strlit2656 (depth = 10)
  int op_slot_right_2655 = gc_frame_newslot(strlit2656);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_2655 = gc_frame_newslot(*var_c);
  params[0] = strlit2656;
  partcv[0] = 1;
  Object opresult2658 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2658 (depth = 9)
  Object if2654 = done;
  if (istrue(opresult2658)) {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2659 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe2660 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2661 = gc_frame_new();
// call case 3: self.outer request
  Object call2662 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2661);
// compiled member node returning call2662 (depth = 11)
  Object call2663 = callmethodflags(call2662, "dotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2660);
// compiled member node returning call2663 (depth = 10)
  gc_frame_newslot(call2663);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2664 = gc_frame_new();
// call case 3: self.outer request
  Object call2665 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2664);
// compiled member node returning call2665 (depth = 10)
  params[0] = call2663;
  partcv[0] = 1;
  Object call2666 = callmethodflags(call2665, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2659);
// compiled call node returning call2666 (depth = 9)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2667 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2668 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2669 = gc_frame_new();
// call case 3: self.outer request
  Object call2670 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2669);
// compiled member node returning call2670 (depth = 11)
  Object call2671 = callmethodflags(call2670, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2668);
// compiled member node returning call2671 (depth = 10)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2672 = callmethodflags(call2671, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2667);
// compiled call node returning call2672 (depth = 9)
    gc_frame_newslot(call2672);
    if2654 = call2672;
  } else {
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2675 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2676 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2677 = gc_frame_new();
// call case 3: self.outer request
  Object call2678 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2677);
// compiled member node returning call2678 (depth = 13)
  Object call2679 = callmethodflags(call2678, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2676);
// compiled member node returning call2679 (depth = 12)
  params[0] = *var_c;
  params[1] = *var_ordval;
  partcv[0] = 2;
  Object call2680 = callmethodflags(call2679, "isOperatorChar(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2675);
// compiled call node returning call2680 (depth = 11)
  int op_slot_right_2674 = gc_frame_newslot(call2680);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2683 == NULL) {
    strlit2683 = alloc_String("<");
    gc_root(strlit2683);
  }
// compiled string node returning strlit2683 (depth = 12)
  int op_slot_right_2682 = gc_frame_newslot(strlit2683);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_2682 = gc_frame_newslot(*var_c);
  params[0] = strlit2683;
  partcv[0] = 1;
  Object opresult2685 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2685 (depth = 11)
  int op_slot_left_2674 = gc_frame_newslot(opresult2685);
  params[0] = call2680;
  partcv[0] = 1;
  Object opresult2686 = callmethod(opresult2685, "||(1)", 1, partcv, params);
// compiled op node returning opresult2686 (depth = 10)
  Object if2673 = done;
  if (istrue(opresult2686)) {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2687 = gc_frame_new();
// starting to compile member node (depth = 11)
  int callframe2688 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2689 = gc_frame_new();
// call case 3: self.outer request
  Object call2690 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2689);
// compiled member node returning call2690 (depth = 12)
  Object call2691 = callmethodflags(call2690, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2688);
// compiled member node returning call2691 (depth = 11)
  gc_frame_newslot(call2691);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2692 = gc_frame_new();
// call case 3: self.outer request
  Object call2693 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2692);
// compiled member node returning call2693 (depth = 11)
  params[0] = call2691;
  partcv[0] = 1;
  Object call2694 = callmethodflags(call2693, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2687);
// compiled call node returning call2694 (depth = 10)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2695 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2696 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2697 = gc_frame_new();
// call case 3: self.outer request
  Object call2698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2697);
// compiled member node returning call2698 (depth = 12)
  Object call2699 = callmethodflags(call2698, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2696);
// compiled member node returning call2699 (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2700 = callmethodflags(call2699, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2695);
// compiled call node returning call2700 (depth = 10)
    gc_frame_newslot(call2700);
    if2673 = call2700;
  } else {
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2703 == NULL) {
    strlit2703 = alloc_String(",");
    gc_root(strlit2703);
  }
// compiled string node returning strlit2703 (depth = 12)
  int op_slot_right_2702 = gc_frame_newslot(strlit2703);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_2702 = gc_frame_newslot(*var_c);
  params[0] = strlit2703;
  partcv[0] = 1;
  Object opresult2705 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2705 (depth = 11)
  Object if2701 = done;
  if (istrue(opresult2705)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2706 = gc_frame_new();
// starting to compile member node (depth = 12)
  int callframe2707 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2708 = gc_frame_new();
// call case 3: self.outer request
  Object call2709 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2708);
// compiled member node returning call2709 (depth = 13)
  Object call2710 = callmethodflags(call2709, "commaToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2707);
// compiled member node returning call2710 (depth = 12)
  gc_frame_newslot(call2710);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2711 = gc_frame_new();
// call case 3: self.outer request
  Object call2712 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2711);
// compiled member node returning call2712 (depth = 12)
  params[0] = call2710;
  partcv[0] = 1;
  Object call2713 = callmethodflags(call2712, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2706);
// compiled call node returning call2713 (depth = 11)
    gc_frame_newslot(call2713);
    if2701 = call2713;
  } else {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2716 == NULL) {
    strlit2716 = alloc_String("{");
    gc_root(strlit2716);
  }
// compiled string node returning strlit2716 (depth = 13)
  int op_slot_right_2715 = gc_frame_newslot(strlit2716);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_2715 = gc_frame_newslot(*var_c);
  params[0] = strlit2716;
  partcv[0] = 1;
  Object opresult2718 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2718 (depth = 12)
  Object if2714 = done;
  if (istrue(opresult2718)) {
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2719 = gc_frame_new();
// starting to compile member node (depth = 13)
  int callframe2720 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2721 = gc_frame_new();
// call case 3: self.outer request
  Object call2722 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2721);
// compiled member node returning call2722 (depth = 14)
  Object call2723 = callmethodflags(call2722, "lBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2720);
// compiled member node returning call2723 (depth = 13)
  gc_frame_newslot(call2723);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2724 = gc_frame_new();
// call case 3: self.outer request
  Object call2725 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2724);
// compiled member node returning call2725 (depth = 13)
  params[0] = call2723;
  partcv[0] = 1;
  Object call2726 = callmethodflags(call2725, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2719);
// compiled call node returning call2726 (depth = 12)
    gc_frame_newslot(call2726);
    if2714 = call2726;
  } else {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2729 == NULL) {
    strlit2729 = alloc_String("}");
    gc_root(strlit2729);
  }
// compiled string node returning strlit2729 (depth = 14)
  int op_slot_right_2728 = gc_frame_newslot(strlit2729);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_2728 = gc_frame_newslot(*var_c);
  params[0] = strlit2729;
  partcv[0] = 1;
  Object opresult2731 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2731 (depth = 13)
  Object if2727 = done;
  if (istrue(opresult2731)) {
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2732 = gc_frame_new();
// starting to compile member node (depth = 14)
  int callframe2733 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2734 = gc_frame_new();
// call case 3: self.outer request
  Object call2735 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2734);
// compiled member node returning call2735 (depth = 15)
  Object call2736 = callmethodflags(call2735, "rBraceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2733);
// compiled member node returning call2736 (depth = 14)
  gc_frame_newslot(call2736);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2737 = gc_frame_new();
// call case 3: self.outer request
  Object call2738 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2737);
// compiled member node returning call2738 (depth = 14)
  params[0] = call2736;
  partcv[0] = 1;
  Object call2739 = callmethodflags(call2738, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2732);
// compiled call node returning call2739 (depth = 13)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe2740 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2741 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2742 = gc_frame_new();
// call case 3: self.outer request
  Object call2743 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2742);
// compiled member node returning call2743 (depth = 15)
  Object call2744 = callmethodflags(call2743, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2741);
// compiled member node returning call2744 (depth = 14)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2745 = callmethodflags(call2744, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2740);
// compiled call node returning call2745 (depth = 13)
    gc_frame_newslot(call2745);
    if2727 = call2745;
  } else {
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2748 == NULL) {
    strlit2748 = alloc_String("(");
    gc_root(strlit2748);
  }
// compiled string node returning strlit2748 (depth = 15)
  int op_slot_right_2747 = gc_frame_newslot(strlit2748);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_2747 = gc_frame_newslot(*var_c);
  params[0] = strlit2748;
  partcv[0] = 1;
  Object opresult2750 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2750 (depth = 14)
  Object if2746 = done;
  if (istrue(opresult2750)) {
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe2751 = gc_frame_new();
// starting to compile member node (depth = 15)
  int callframe2752 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2753 = gc_frame_new();
// call case 3: self.outer request
  Object call2754 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2753);
// compiled member node returning call2754 (depth = 16)
  Object call2755 = callmethodflags(call2754, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2752);
// compiled member node returning call2755 (depth = 15)
  gc_frame_newslot(call2755);
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe2756 = gc_frame_new();
// call case 3: self.outer request
  Object call2757 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2756);
// compiled member node returning call2757 (depth = 15)
  params[0] = call2755;
  partcv[0] = 1;
  Object call2758 = callmethodflags(call2757, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2751);
// compiled call node returning call2758 (depth = 14)
    gc_frame_newslot(call2758);
    if2746 = call2758;
  } else {
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2761 == NULL) {
    strlit2761 = alloc_String(")");
    gc_root(strlit2761);
  }
// compiled string node returning strlit2761 (depth = 16)
  int op_slot_right_2760 = gc_frame_newslot(strlit2761);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  int op_slot_left_2760 = gc_frame_newslot(*var_c);
  params[0] = strlit2761;
  partcv[0] = 1;
  Object opresult2763 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2763 (depth = 15)
  Object if2759 = done;
  if (istrue(opresult2763)) {
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// starting to compile op node (depth = 16)
// starting to compile block node (depth = 17)
  Object block2766 = alloc_Block(NULL, NULL, "lexer", 373);
  gc_frame_newslot(block2766);
// method "_apply"
  block_savedest(block2766);
  Object closure2767 = createclosure(1, "_apply");
  setclosureframe(closure2767, stackframe);
  addtoclosure(closure2767, selfslot);
  struct UserObject *uo2767 = (struct UserObject*)block2766;
  uo2767->data[0] = (Object)closure2767;
  Method *meth_meth_lexer__apply2767 = addmethod2pos(block2766, "_apply", &meth_lexer__apply2767, 0);
  int argcv_meth_lexer__apply2767[] = {0};
  meth_meth_lexer__apply2767->type = alloc_MethodType(1, argcv_meth_lexer__apply2767);
  meth_meth_lexer__apply2767->definitionModule = modulename;
  meth_meth_lexer__apply2767->definitionLine = 1184;
// compiled block node returning block2766 (depth = 17)
  int op_slot_right_2765 = gc_frame_newslot(block2766);
// starting to compile op node (depth = 17)
// starting to compile num node (depth = 18)
  Object num2783 = alloc_Float64(0);
// compiled num node returning num2783 (depth = 18)
  int op_slot_right_2782 = gc_frame_newslot(num2783);
// starting to compile member node (depth = 18)
  int callframe2785 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2786 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2787 = gc_frame_new();
// call case 3: self.outer request
  Object call2788 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2787);
// compiled member node returning call2788 (depth = 20)
  Object call2789 = callmethodflags(call2788, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2786);
// compiled member node returning call2789 (depth = 19)
  Object call2790 = callmethodflags(call2789, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2785);
// compiled member node returning call2790 (depth = 18)
  int op_slot_left_2782 = gc_frame_newslot(call2790);
  params[0] = num2783;
  partcv[0] = 1;
  Object opresult2791 = callmethod(call2790, ">(1)", 1, partcv, params);
// compiled op node returning opresult2791 (depth = 17)
  int op_slot_left_2765 = gc_frame_newslot(opresult2791);
  params[0] = block2766;
  partcv[0] = 1;
  Object opresult2792 = callmethod(opresult2791, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2792 (depth = 16)
  Object if2764 = done;
  if (istrue(opresult2792)) {
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe2793 = gc_frame_new();
// starting to compile op node (depth = 17)
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 18)
  if (strlit2795 == NULL) {
    strlit2795 = alloc_String("Remove them, or put something between them.");
    gc_root(strlit2795);
  }
// compiled string node returning strlit2795 (depth = 18)
  int op_slot_right_2794 = gc_frame_newslot(strlit2795);
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 18)
  if (strlit2797 == NULL) {
    strlit2797 = alloc_String("empty parenthesis are not allowed. ");
    gc_root(strlit2797);
  }
// compiled string node returning strlit2797 (depth = 18)
  int op_slot_left_2794 = gc_frame_newslot(strlit2797);
  params[0] = strlit2795;
  partcv[0] = 1;
  Object opresult2798 = callmethod(strlit2797, "++(1)", 1, partcv, params);
// compiled op node returning opresult2798 (depth = 17)
  gc_frame_newslot(opresult2798);
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 17)
  int callframe2799 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2800 = gc_frame_new();
// call case 3: self.outer request
  Object call2801 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2800);
// compiled member node returning call2801 (depth = 18)
  Object call2802 = callmethodflags(call2801, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2799);
// compiled member node returning call2802 (depth = 17)
  gc_frame_newslot(call2802);
// starting to compile member node (depth = 17)
  int callframe2803 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2804 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2805 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2806 = gc_frame_new();
// call case 3: self.outer request
  Object call2807 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2806);
// compiled member node returning call2807 (depth = 20)
  Object call2808 = callmethodflags(call2807, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2805);
// compiled member node returning call2808 (depth = 19)
  Object call2809 = callmethodflags(call2808, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2804);
// compiled member node returning call2809 (depth = 18)
  Object call2810 = callmethodflags(call2809, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2803);
// compiled member node returning call2810 (depth = 17)
  gc_frame_newslot(call2810);
// starting to compile member node (depth = 17)
  int callframe2811 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2812 = gc_frame_new();
// call case 3: self.outer request
  Object call2813 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2812);
// compiled member node returning call2813 (depth = 18)
  Object call2814 = callmethodflags(call2813, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2811);
// compiled member node returning call2814 (depth = 17)
  gc_frame_newslot(call2814);
// call case 6: other requests
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_errormessages (depth = 17)
  params[0] = opresult2798;
  params[1] = call2802;
  params[2] = call2810;
  params[3] = call2814;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2815 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2793);
// compiled call node returning call2815 (depth = 16)
    gc_frame_newslot(call2815);
    if2764 = call2815;
  } else {
  }
// compiled if node returning if2764 (depth = 15)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 15)
  int callframe2816 = gc_frame_new();
// starting to compile member node (depth = 16)
  int callframe2817 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2818 = gc_frame_new();
// call case 3: self.outer request
  Object call2819 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2818);
// compiled member node returning call2819 (depth = 17)
  Object call2820 = callmethodflags(call2819, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2817);
// compiled member node returning call2820 (depth = 16)
  gc_frame_newslot(call2820);
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2821 = gc_frame_new();
// call case 3: self.outer request
  Object call2822 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2821);
// compiled member node returning call2822 (depth = 16)
  params[0] = call2820;
  partcv[0] = 1;
  Object call2823 = callmethodflags(call2822, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2816);
// compiled call node returning call2823 (depth = 15)
    gc_frame_newslot(call2823);
    if2759 = call2823;
  } else {
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2826 == NULL) {
    strlit2826 = alloc_String("[");
    gc_root(strlit2826);
  }
// compiled string node returning strlit2826 (depth = 17)
  int op_slot_right_2825 = gc_frame_newslot(strlit2826);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_c (depth = 17)
  int op_slot_left_2825 = gc_frame_newslot(*var_c);
  params[0] = strlit2826;
  partcv[0] = 1;
  Object opresult2828 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2828 (depth = 16)
  Object if2824 = done;
  if (istrue(opresult2828)) {
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe2829 = gc_frame_new();
// starting to compile member node (depth = 17)
  int callframe2830 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2831 = gc_frame_new();
// call case 3: self.outer request
  Object call2832 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2831);
// compiled member node returning call2832 (depth = 18)
  Object call2833 = callmethodflags(call2832, "lSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2830);
// compiled member node returning call2833 (depth = 17)
  gc_frame_newslot(call2833);
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2834 = gc_frame_new();
// call case 3: self.outer request
  Object call2835 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2834);
// compiled member node returning call2835 (depth = 17)
  params[0] = call2833;
  partcv[0] = 1;
  Object call2836 = callmethodflags(call2835, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2829);
// compiled call node returning call2836 (depth = 16)
    gc_frame_newslot(call2836);
    if2824 = call2836;
  } else {
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit2839 == NULL) {
    strlit2839 = alloc_String("]");
    gc_root(strlit2839);
  }
// compiled string node returning strlit2839 (depth = 18)
  int op_slot_right_2838 = gc_frame_newslot(strlit2839);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  int op_slot_left_2838 = gc_frame_newslot(*var_c);
  params[0] = strlit2839;
  partcv[0] = 1;
  Object opresult2841 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2841 (depth = 17)
  Object if2837 = done;
  if (istrue(opresult2841)) {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 17)
  int callframe2842 = gc_frame_new();
// starting to compile member node (depth = 18)
  int callframe2843 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2844 = gc_frame_new();
// call case 3: self.outer request
  Object call2845 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2844);
// compiled member node returning call2845 (depth = 19)
  Object call2846 = callmethodflags(call2845, "rSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2843);
// compiled member node returning call2846 (depth = 18)
  gc_frame_newslot(call2846);
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2847 = gc_frame_new();
// call case 3: self.outer request
  Object call2848 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2847);
// compiled member node returning call2848 (depth = 18)
  params[0] = call2846;
  partcv[0] = 1;
  Object call2849 = callmethodflags(call2848, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2842);
// compiled call node returning call2849 (depth = 17)
    gc_frame_newslot(call2849);
    if2837 = call2849;
  } else {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 17)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2852 == NULL) {
    strlit2852 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit2852);
  }
// compiled string node returning strlit2852 (depth = 19)
  int op_slot_right_2851 = gc_frame_newslot(strlit2852);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  int op_slot_left_2851 = gc_frame_newslot(*var_c);
  params[0] = strlit2852;
  partcv[0] = 1;
  Object opresult2854 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2854 (depth = 18)
  Object if2850 = done;
  if (istrue(opresult2854)) {
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 18)
  int callframe2855 = gc_frame_new();
// starting to compile member node (depth = 19)
  int callframe2856 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2857 = gc_frame_new();
// call case 3: self.outer request
  Object call2858 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2857);
// compiled member node returning call2858 (depth = 20)
  Object call2859 = callmethodflags(call2858, "lGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2856);
// compiled member node returning call2859 (depth = 19)
  gc_frame_newslot(call2859);
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2860 = gc_frame_new();
// call case 3: self.outer request
  Object call2861 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2860);
// compiled member node returning call2861 (depth = 19)
  params[0] = call2859;
  partcv[0] = 1;
  Object call2862 = callmethodflags(call2861, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2855);
// compiled call node returning call2862 (depth = 18)
    gc_frame_newslot(call2862);
    if2850 = call2862;
  } else {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 19)
// starting to compile string node (depth = 20)
  if (strlit2865 == NULL) {
    strlit2865 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2865);
  }
// compiled string node returning strlit2865 (depth = 20)
  int op_slot_right_2864 = gc_frame_newslot(strlit2865);
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_c (depth = 20)
  int op_slot_left_2864 = gc_frame_newslot(*var_c);
  params[0] = strlit2865;
  partcv[0] = 1;
  Object opresult2867 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2867 (depth = 19)
  Object if2863 = done;
  if (istrue(opresult2867)) {
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 19)
  int callframe2868 = gc_frame_new();
// starting to compile member node (depth = 20)
  int callframe2869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2870 = gc_frame_new();
// call case 3: self.outer request
  Object call2871 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2870);
// compiled member node returning call2871 (depth = 21)
  Object call2872 = callmethodflags(call2871, "rGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2869);
// compiled member node returning call2872 (depth = 20)
  gc_frame_newslot(call2872);
// call case 6: other requests
// starting to compile member node (depth = 20)
  int callframe2873 = gc_frame_new();
// call case 3: self.outer request
  Object call2874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2873);
// compiled member node returning call2874 (depth = 20)
  params[0] = call2872;
  partcv[0] = 1;
  Object call2875 = callmethodflags(call2874, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2868);
// compiled call node returning call2875 (depth = 19)
    gc_frame_newslot(call2875);
    if2863 = call2875;
  } else {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String(";");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 21)
  int op_slot_right_2877 = gc_frame_newslot(strlit2878);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_c (depth = 21)
  int op_slot_left_2877 = gc_frame_newslot(*var_c);
  params[0] = strlit2878;
  partcv[0] = 1;
  Object opresult2880 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2880 (depth = 20)
  Object if2876 = done;
  if (istrue(opresult2880)) {
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 20)
  int callframe2881 = gc_frame_new();
// starting to compile member node (depth = 21)
  int callframe2882 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2883 = gc_frame_new();
// call case 3: self.outer request
  Object call2884 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2883);
// compiled member node returning call2884 (depth = 22)
  Object call2885 = callmethodflags(call2884, "semicolonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2882);
// compiled member node returning call2885 (depth = 21)
  gc_frame_newslot(call2885);
// call case 6: other requests
// starting to compile member node (depth = 21)
  int callframe2886 = gc_frame_new();
// call case 3: self.outer request
  Object call2887 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2886);
// compiled member node returning call2887 (depth = 21)
  params[0] = call2885;
  partcv[0] = 1;
  Object call2888 = callmethodflags(call2887, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2881);
// compiled call node returning call2888 (depth = 20)
    gc_frame_newslot(call2888);
    if2876 = call2888;
  } else {
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit2891 == NULL) {
    strlit2891 = alloc_String("""\x0a""");
    gc_root(strlit2891);
  }
// compiled string node returning strlit2891 (depth = 22)
  int op_slot_right_2890 = gc_frame_newslot(strlit2891);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_c (depth = 22)
  int op_slot_left_2890 = gc_frame_newslot(*var_c);
  params[0] = strlit2891;
  partcv[0] = 1;
  Object opresult2893 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2893 (depth = 21)
  Object if2889 = done;
  if (istrue(opresult2893)) {
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe2894 = gc_frame_new();
// starting to compile num node (depth = 22)
  Object num2895 = alloc_Float64(0);
// compiled num node returning num2895 (depth = 22)
  gc_frame_newslot(num2895);
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2896 = gc_frame_new();
// call case 3: self.outer request
  Object call2897 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2896);
// compiled member node returning call2897 (depth = 22)
  params[0] = num2895;
  partcv[0] = 1;
  Object call2898 = callmethodflags(call2897, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2894);
// compiled call node returning call2898 (depth = 21)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe2899 = gc_frame_new();
// starting to compile member node (depth = 22)
  int callframe2900 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe2901 = gc_frame_new();
// call case 3: self.outer request
  Object call2902 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2901);
// compiled member node returning call2902 (depth = 23)
  Object call2903 = callmethodflags(call2902, "indentationState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2900);
// compiled member node returning call2903 (depth = 22)
  gc_frame_newslot(call2903);
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe2904 = gc_frame_new();
// call case 3: self.outer request
  Object call2905 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2904);
// compiled member node returning call2905 (depth = 22)
  params[0] = call2903;
  partcv[0] = 1;
  Object call2906 = callmethodflags(call2905, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2899);
// compiled call node returning call2906 (depth = 21)
    gc_frame_newslot(call2906);
    if2889 = call2906;
  } else {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// starting to compile op node (depth = 22)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num2910 = alloc_Float64(32);
// compiled num node returning num2910 (depth = 24)
  int op_slot_right_2909 = gc_frame_newslot(num2910);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_ordval (depth = 24)
  int op_slot_left_2909 = gc_frame_newslot(*var_ordval);
  params[0] = num2910;
  partcv[0] = 1;
  Object opresult2912 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2912 (depth = 23)
  int op_slot_right_2908 = gc_frame_newslot(opresult2912);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// starting to compile num node (depth = 25)
  Object num2916 = alloc_Float64(13);
// compiled num node returning num2916 (depth = 25)
  int op_slot_right_2915 = gc_frame_newslot(num2916);
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_ordval (depth = 25)
  int op_slot_left_2915 = gc_frame_newslot(*var_ordval);
  params[0] = num2916;
  partcv[0] = 1;
  Object opresult2918 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2918 (depth = 24)
  int op_slot_right_2914 = gc_frame_newslot(opresult2918);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// starting to compile num node (depth = 26)
  Object num2922 = alloc_Float64(10);
// compiled num node returning num2922 (depth = 26)
  int op_slot_right_2921 = gc_frame_newslot(num2922);
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_ordval (depth = 26)
  int op_slot_left_2921 = gc_frame_newslot(*var_ordval);
  params[0] = num2922;
  partcv[0] = 1;
  Object opresult2924 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2924 (depth = 25)
  int op_slot_right_2920 = gc_frame_newslot(opresult2924);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 26)
  int callframe2927 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 27)
  int callframe2928 = gc_frame_new();
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_unicode (depth = 28)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2929 = callmethodflags(*var_unicode, "isControl(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2928);
// compiled call node returning call2929 (depth = 27)
  Object call2930 = callmethodflags(call2929, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2927);
// compiled member node returning call2930 (depth = 26)
  int op_slot_right_2926 = gc_frame_newslot(call2930);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 26)
  int callframe2932 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 27)
  int callframe2933 = gc_frame_new();
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_unicode (depth = 28)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2934 = callmethodflags(*var_unicode, "isSeparator(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2933);
// compiled call node returning call2934 (depth = 27)
  Object call2935 = callmethodflags(call2934, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2932);
// compiled member node returning call2935 (depth = 26)
  int op_slot_left_2926 = gc_frame_newslot(call2935);
  params[0] = call2930;
  partcv[0] = 1;
  Object opresult2936 = callmethod(call2935, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2936 (depth = 25)
  int op_slot_left_2920 = gc_frame_newslot(opresult2936);
  params[0] = opresult2924;
  partcv[0] = 1;
  Object opresult2937 = callmethod(opresult2936, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2937 (depth = 24)
  int op_slot_left_2914 = gc_frame_newslot(opresult2937);
  params[0] = opresult2918;
  partcv[0] = 1;
  Object opresult2938 = callmethod(opresult2937, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2938 (depth = 23)
  int op_slot_left_2908 = gc_frame_newslot(opresult2938);
  params[0] = opresult2912;
  partcv[0] = 1;
  Object opresult2939 = callmethod(opresult2938, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2939 (depth = 22)
  Object if2907 = done;
  if (istrue(opresult2939)) {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe2940 = gc_frame_new();
// starting to compile op node (depth = 23)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 24)
  if (strlit2942 == NULL) {
    strlit2942 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2942);
  }
// compiled string node returning strlit2942 (depth = 24)
  int op_slot_right_2941 = gc_frame_newslot(strlit2942);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit2945 == NULL) {
    strlit2945 = alloc_String(") ");
    gc_root(strlit2945);
  }
// compiled string node returning strlit2945 (depth = 25)
  int op_slot_right_2944 = gc_frame_newslot(strlit2945);
// starting to compile op node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe2948 = gc_frame_new();
// starting to compile call node (depth = 27)
  int callframe2949 = gc_frame_new();
// starting to compile num node (depth = 28)
  Object num2950 = alloc_Float64(16);
// compiled num node returning num2950 (depth = 28)
  gc_frame_newslot(num2950);
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_ordval (depth = 28)
  params[0] = num2950;
  partcv[0] = 1;
  Object call2951 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2949);
// compiled call node returning call2951 (depth = 27)
  gc_frame_newslot(call2951);
// starting to compile num node (depth = 27)
  Object num2952 = alloc_Float64(4);
// compiled num node returning num2952 (depth = 27)
  gc_frame_newslot(num2952);
// starting to compile string node (depth = 27)
  if (strlit2953 == NULL) {
    strlit2953 = alloc_String("0");
    gc_root(strlit2953);
  }
// compiled string node returning strlit2953 (depth = 27)
  gc_frame_newslot(strlit2953);
// call case 6: other requests
// starting to compile member node (depth = 27)
  int callframe2954 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 28)
  int callframe2955 = gc_frame_new();
// call case 3: self.outer request
  Object call2956 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2955);
// compiled member node returning call2956 (depth = 28)
  Object call2957 = callmethodflags(call2956, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2954);
// compiled member node returning call2957 (depth = 27)
  params[0] = call2951;
  params[1] = num2952;
  params[2] = strlit2953;
  partcv[0] = 3;
  Object call2958 = callmethodflags(call2957, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2948);
// compiled call node returning call2958 (depth = 26)
  int op_slot_right_2947 = gc_frame_newslot(call2958);
// starting to compile op node (depth = 26)
// starting to compile string node (depth = 27)
  if (strlit2961 == NULL) {
    strlit2961 = alloc_String(" (U+");
    gc_root(strlit2961);
  }
// compiled string node returning strlit2961 (depth = 27)
  int op_slot_right_2960 = gc_frame_newslot(strlit2961);
// starting to compile op node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe2964 = gc_frame_new();
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_c (depth = 29)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_unicode (depth = 29)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2965 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2964);
// compiled call node returning call2965 (depth = 28)
  int op_slot_right_2963 = gc_frame_newslot(call2965);
// starting to compile string node (depth = 28)
  if (strlit2967 == NULL) {
    strlit2967 = alloc_String("");
    gc_root(strlit2967);
  }
// compiled string node returning strlit2967 (depth = 28)
  int op_slot_left_2963 = gc_frame_newslot(strlit2967);
  params[0] = call2965;
  partcv[0] = 1;
  Object opresult2968 = callmethod(strlit2967, "++(1)", 1, partcv, params);
// compiled op node returning opresult2968 (depth = 27)
  int op_slot_left_2960 = gc_frame_newslot(opresult2968);
  params[0] = strlit2961;
  partcv[0] = 1;
  Object opresult2969 = callmethod(opresult2968, "++(1)", 1, partcv, params);
// compiled op node returning opresult2969 (depth = 26)
  int op_slot_left_2947 = gc_frame_newslot(opresult2969);
  params[0] = call2958;
  partcv[0] = 1;
  Object opresult2970 = callmethod(opresult2969, "++(1)", 1, partcv, params);
// compiled op node returning opresult2970 (depth = 25)
  int op_slot_left_2944 = gc_frame_newslot(opresult2970);
  params[0] = strlit2945;
  partcv[0] = 1;
  Object opresult2971 = callmethod(opresult2970, "++(1)", 1, partcv, params);
// compiled op node returning opresult2971 (depth = 24)
  int op_slot_left_2941 = gc_frame_newslot(opresult2971);
  params[0] = strlit2942;
  partcv[0] = 1;
  Object opresult2972 = callmethod(opresult2971, "++(1)", 1, partcv, params);
// compiled op node returning opresult2972 (depth = 23)
  gc_frame_newslot(opresult2972);
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
  int callframe2973 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe2974 = gc_frame_new();
// call case 3: self.outer request
  Object call2975 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2974);
// compiled member node returning call2975 (depth = 24)
  Object call2976 = callmethodflags(call2975, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2973);
// compiled member node returning call2976 (depth = 23)
  gc_frame_newslot(call2976);
// starting to compile member node (depth = 23)
  int callframe2977 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe2978 = gc_frame_new();
// call case 3: self.outer request
  Object call2979 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2978);
// compiled member node returning call2979 (depth = 24)
  Object call2980 = callmethodflags(call2979, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2977);
// compiled member node returning call2980 (depth = 23)
  gc_frame_newslot(call2980);
// starting to compile member node (depth = 23)
  int callframe2981 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe2982 = gc_frame_new();
// call case 3: self.outer request
  Object call2983 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2982);
// compiled member node returning call2983 (depth = 24)
  Object call2984 = callmethodflags(call2983, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2981);
// compiled member node returning call2984 (depth = 23)
  gc_frame_newslot(call2984);
// call case 6: other requests
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = opresult2972;
  params[1] = call2976;
  params[2] = call2980;
  params[3] = call2984;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2985 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2940);
// compiled call node returning call2985 (depth = 22)
    gc_frame_newslot(call2985);
    if2907 = call2985;
  } else {
  }
// compiled if node returning if2907 (depth = 21)
    gc_frame_newslot(if2907);
    if2889 = if2907;
  }
// compiled if node returning if2889 (depth = 20)
    gc_frame_newslot(if2889);
    if2876 = if2889;
  }
// compiled if node returning if2876 (depth = 19)
    gc_frame_newslot(if2876);
    if2863 = if2876;
  }
// compiled if node returning if2863 (depth = 18)
    gc_frame_newslot(if2863);
    if2850 = if2863;
  }
// compiled if node returning if2850 (depth = 17)
    gc_frame_newslot(if2850);
    if2837 = if2850;
  }
// compiled if node returning if2837 (depth = 16)
    gc_frame_newslot(if2837);
    if2824 = if2837;
  }
// compiled if node returning if2824 (depth = 15)
    gc_frame_newslot(if2824);
    if2759 = if2824;
  }
// compiled if node returning if2759 (depth = 14)
    gc_frame_newslot(if2759);
    if2746 = if2759;
  }
// compiled if node returning if2746 (depth = 13)
    gc_frame_newslot(if2746);
    if2727 = if2746;
  }
// compiled if node returning if2727 (depth = 12)
    gc_frame_newslot(if2727);
    if2714 = if2727;
  }
// compiled if node returning if2714 (depth = 11)
    gc_frame_newslot(if2714);
    if2701 = if2714;
  }
// compiled if node returning if2701 (depth = 10)
    gc_frame_newslot(if2701);
    if2673 = if2701;
  }
// compiled if node returning if2673 (depth = 9)
    gc_frame_newslot(if2673);
    if2654 = if2673;
  }
// compiled if node returning if2654 (depth = 8)
    gc_frame_newslot(if2654);
    if2635 = if2654;
  }
// compiled if node returning if2635 (depth = 7)
    gc_frame_newslot(if2635);
    if2614 = if2635;
  }
// compiled if node returning if2614 (depth = 6)
    gc_frame_newslot(if2614);
    if2500 = if2614;
  }
// compiled if node returning if2500 (depth = 5)
    gc_frame_newslot(if2500);
    if2474 = if2500;
  }
// compiled if node returning if2474 (depth = 4)
    gc_frame_newslot(if2474);
    if2448 = if2474;
  }
// compiled if node returning if2448 (depth = 3)
    gc_frame_newslot(if2448);
    if2445 = if2448;
  }
// compiled if node returning if2445 (depth = 2)
  gc_frame_end(frame);
  return if2445;
}
Object meth_lexer_consume_40_1_41_2988(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num2991 = alloc_Float64(0);
// compiled num node returning num2991 (depth = 4)
  int op_slot_right_2990 = gc_frame_newslot(num2991);
// starting to compile member node (depth = 4)
  int callframe2993 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2994 = gc_frame_new();
// call case 3: self.outer request
  Object call2995 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2994);
// compiled member node returning call2995 (depth = 5)
  Object call2996 = callmethodflags(call2995, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2993);
// compiled member node returning call2996 (depth = 4)
  int op_slot_left_2990 = gc_frame_newslot(call2996);
  params[0] = num2991;
  partcv[0] = 1;
  Object opresult2997 = callmethod(call2996, ">(1)", 1, partcv, params);
// compiled op node returning opresult2997 (depth = 3)
  Object if2989 = done;
  if (istrue(opresult2997)) {
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3000 == NULL) {
    strlit3000 = alloc_String("lbrace");
    gc_root(strlit3000);
  }
// compiled string node returning strlit3000 (depth = 5)
  int op_slot_right_2999 = gc_frame_newslot(strlit3000);
// starting to compile member node (depth = 5)
  int callframe3002 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3003 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3004 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3005 = gc_frame_new();
// call case 3: self.outer request
  Object call3006 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3005);
// compiled member node returning call3006 (depth = 8)
  Object call3007 = callmethodflags(call3006, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3004);
// compiled member node returning call3007 (depth = 7)
  Object call3008 = callmethodflags(call3007, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3003);
// compiled member node returning call3008 (depth = 6)
  Object call3009 = callmethodflags(call3008, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3002);
// compiled member node returning call3009 (depth = 5)
  int op_slot_left_2999 = gc_frame_newslot(call3009);
  params[0] = strlit3000;
  partcv[0] = 1;
  Object opresult3010 = callmethod(call3009, "==(1)", 1, partcv, params);
// compiled op node returning opresult3010 (depth = 4)
  Object if2998 = done;
  if (istrue(opresult3010)) {
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3012 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3013 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3012);
// compiled member node returning call3013 (depth = 6)
  Object call3014 = callmethodflags(call3013, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3011);
// compiled member node returning call3014 (depth = 5)
  *var_suggestion = call3014;
  if (call3014 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3015 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3017 = alloc_Float64(1);
// compiled num node returning num3017 (depth = 6)
  int op_slot_right_3016 = gc_frame_newslot(num3017);
// starting to compile member node (depth = 6)
  int callframe3019 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3020 = gc_frame_new();
// call case 3: self.outer request
  Object call3021 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3020);
// compiled member node returning call3021 (depth = 7)
  Object call3022 = callmethodflags(call3021, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3019);
// compiled member node returning call3022 (depth = 6)
  int op_slot_left_3016 = gc_frame_newslot(call3022);
  params[0] = num3017;
  partcv[0] = 1;
  Object diff3023 = callmethod(call3022, "-(1)", 1, partcv, params);
// compiled op node returning diff3023 (depth = 5)
  gc_frame_newslot(diff3023);
// starting to compile member node (depth = 5)
  int callframe3024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3025 = gc_frame_new();
// call case 3: self.outer request
  Object call3026 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3025);
// compiled member node returning call3026 (depth = 6)
  Object call3027 = callmethodflags(call3026, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3024);
// compiled member node returning call3027 (depth = 5)
  gc_frame_newslot(call3027);
// starting to compile member node (depth = 5)
  int callframe3028 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3029 = gc_frame_new();
// call case 3: self.outer request
  Object call3030 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3029);
// compiled member node returning call3030 (depth = 6)
  Object call3031 = callmethodflags(call3030, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3028);
// compiled member node returning call3031 (depth = 5)
  gc_frame_newslot(call3031);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = diff3023;
  params[1] = call3027;
  params[2] = call3031;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3032 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3015);
// compiled call node returning call3032 (depth = 4)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3033 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3034 == NULL) {
    strlit3034 = alloc_String("a string interpolation cannot be empty.");
    gc_root(strlit3034);
  }
// compiled string node returning strlit3034 (depth = 5)
  gc_frame_newslot(strlit3034);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3035 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3036 = gc_frame_new();
// call case 3: self.outer request
  Object call3037 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3036);
// compiled member node returning call3037 (depth = 6)
  Object call3038 = callmethodflags(call3037, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3035);
// compiled member node returning call3038 (depth = 5)
  gc_frame_newslot(call3038);
// starting to compile member node (depth = 5)
  int callframe3039 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3040 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3042 = gc_frame_new();
// call case 3: self.outer request
  Object call3043 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3042);
// compiled member node returning call3043 (depth = 8)
  Object call3044 = callmethodflags(call3043, "tokens", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3041);
// compiled member node returning call3044 (depth = 7)
  Object call3045 = callmethodflags(call3044, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3040);
// compiled member node returning call3045 (depth = 6)
  Object call3046 = callmethodflags(call3045, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3039);
// compiled member node returning call3046 (depth = 5)
  gc_frame_newslot(call3046);
// starting to compile member node (depth = 5)
  int callframe3047 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3048 = gc_frame_new();
// call case 3: self.outer request
  Object call3049 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3048);
// compiled member node returning call3049 (depth = 6)
  Object call3050 = callmethodflags(call3049, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3047);
// compiled member node returning call3050 (depth = 5)
  gc_frame_newslot(call3050);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3034;
  params[1] = call3038;
  params[2] = call3046;
  params[3] = call3050;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3051 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3033);
// compiled call node returning call3051 (depth = 4)
    gc_frame_newslot(call3051);
    if2998 = call3051;
  } else {
  }
// compiled if node returning if2998 (depth = 3)
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3052 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3053 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3054 = gc_frame_new();
// call case 3: self.outer request
  Object call3055 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3054);
// compiled member node returning call3055 (depth = 5)
  Object call3056 = callmethodflags(call3055, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3053);
// compiled member node returning call3056 (depth = 4)
  gc_frame_newslot(call3056);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3057 = gc_frame_new();
// call case 3: self.outer request
  Object call3058 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3057);
// compiled member node returning call3058 (depth = 4)
  params[0] = call3056;
  partcv[0] = 1;
  Object call3059 = callmethodflags(call3058, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3052);
// compiled call node returning call3059 (depth = 3)
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3060 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3061 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3062 == NULL) {
    strlit3062 = alloc_String("++");
    gc_root(strlit3062);
  }
// compiled string node returning strlit3062 (depth = 5)
  gc_frame_newslot(strlit3062);
// call case 6: other requests
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3063 = gc_frame_new();
// call case 3: self.outer request
  Object call3064 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3063);
// compiled member node returning call3064 (depth = 5)
  params[0] = strlit3062;
  partcv[0] = 1;
  Object call3065 = callmethodflags(call3064, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3061);
// compiled call node returning call3065 (depth = 4)
  gc_frame_newslot(call3065);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3066 = gc_frame_new();
// call case 3: self.outer request
  Object call3067 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3066);
// compiled member node returning call3067 (depth = 4)
  params[0] = call3065;
  partcv[0] = 1;
  Object call3068 = callmethodflags(call3067, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3060);
// compiled call node returning call3068 (depth = 3)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3069 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3071 = alloc_Float64(1);
// compiled num node returning num3071 (depth = 5)
  int op_slot_right_3070 = gc_frame_newslot(num3071);
// starting to compile member node (depth = 5)
  int callframe3073 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3074 = gc_frame_new();
// call case 3: self.outer request
  Object call3075 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3074);
// compiled member node returning call3075 (depth = 6)
  Object call3076 = callmethodflags(call3075, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3073);
// compiled member node returning call3076 (depth = 5)
  int op_slot_left_3070 = gc_frame_newslot(call3076);
  params[0] = num3071;
  partcv[0] = 1;
  Object diff3077 = callmethod(call3076, "-(1)", 1, partcv, params);
// compiled op node returning diff3077 (depth = 4)
  gc_frame_newslot(diff3077);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3078 = gc_frame_new();
// call case 3: self.outer request
  Object call3079 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3078);
// compiled member node returning call3079 (depth = 4)
  params[0] = diff3077;
  partcv[0] = 1;
  Object call3080 = callmethodflags(call3079, "interpdepth:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3069);
// compiled call node returning call3080 (depth = 3)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3081 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3082 = alloc_Boolean(1);
// compiled identifier node returning bool3082 (depth = 4)
  gc_frame_newslot(bool3082);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3083 = gc_frame_new();
// call case 3: self.outer request
  Object call3084 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3083);
// compiled member node returning call3084 (depth = 4)
  params[0] = bool3082;
  partcv[0] = 1;
  Object call3085 = callmethodflags(call3084, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3081);
// compiled call node returning call3085 (depth = 3)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3086 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3087 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3088 = gc_frame_new();
// call case 3: self.outer request
  Object call3089 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3088);
// compiled member node returning call3089 (depth = 5)
  Object call3090 = callmethodflags(call3089, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3087);
// compiled member node returning call3090 (depth = 4)
  gc_frame_newslot(call3090);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3091 = gc_frame_new();
// call case 3: self.outer request
  Object call3092 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3091);
// compiled member node returning call3092 (depth = 4)
  params[0] = call3090;
  partcv[0] = 1;
  Object call3093 = callmethodflags(call3092, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3086);
// compiled call node returning call3093 (depth = 3)
    gc_frame_newslot(call3093);
    if2989 = call3093;
  } else {
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3094 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3095 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3096 = gc_frame_new();
// call case 3: self.outer request
  Object call3097 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3096);
// compiled member node returning call3097 (depth = 5)
  Object call3098 = callmethodflags(call3097, "rBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3095);
// compiled member node returning call3098 (depth = 4)
  gc_frame_newslot(call3098);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3099 = gc_frame_new();
// call case 3: self.outer request
  Object call3100 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3099);
// compiled member node returning call3100 (depth = 4)
  params[0] = call3098;
  partcv[0] = 1;
  Object call3101 = callmethodflags(call3100, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3094);
// compiled call node returning call3101 (depth = 3)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3102 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3103 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3104 = gc_frame_new();
// call case 3: self.outer request
  Object call3105 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3104);
// compiled member node returning call3105 (depth = 5)
  Object call3106 = callmethodflags(call3105, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3103);
// compiled member node returning call3106 (depth = 4)
  gc_frame_newslot(call3106);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3107 = gc_frame_new();
// call case 3: self.outer request
  Object call3108 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3107);
// compiled member node returning call3108 (depth = 4)
  params[0] = call3106;
  partcv[0] = 1;
  Object call3109 = callmethodflags(call3108, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3102);
// compiled call node returning call3109 (depth = 3)
    gc_frame_newslot(call3109);
    if2989 = call3109;
  }
// compiled if node returning if2989 (depth = 2)
  gc_frame_end(frame);
  return if2989;
}
Object meth_lexer_consume_40_1_41_3112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3113 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3114 = gc_frame_new();
// call case 3: self.outer request
  Object call3115 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3114);
// compiled member node returning call3115 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3116 = callmethodflags(call3115, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3113);
// compiled call node returning call3116 (depth = 2)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3119 == NULL) {
    strlit3119 = alloc_String("/");
    gc_root(strlit3119);
  }
// compiled string node returning strlit3119 (depth = 4)
  int op_slot_right_3118 = gc_frame_newslot(strlit3119);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3118 = gc_frame_newslot(*var_c);
  params[0] = strlit3119;
  partcv[0] = 1;
  Object opresult3121 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3121 (depth = 3)
  Object if3117 = done;
  if (istrue(opresult3121)) {
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3122 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3123 = gc_frame_new();
// call case 3: self.outer request
  Object call3124 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3123);
// compiled member node returning call3124 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3125 = callmethodflags(call3124, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3122);
// compiled call node returning call3125 (depth = 3)
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3128 == NULL) {
    strlit3128 = alloc_String("//");
    gc_root(strlit3128);
  }
// compiled string node returning strlit3128 (depth = 5)
  int op_slot_right_3127 = gc_frame_newslot(strlit3128);
// starting to compile member node (depth = 5)
  int callframe3130 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3131 = gc_frame_new();
// call case 3: self.outer request
  Object call3132 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3131);
// compiled member node returning call3132 (depth = 6)
  Object call3133 = callmethodflags(call3132, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3130);
// compiled member node returning call3133 (depth = 5)
  int op_slot_left_3127 = gc_frame_newslot(call3133);
  params[0] = strlit3128;
  partcv[0] = 1;
  Object opresult3134 = callmethod(call3133, "==(1)", 1, partcv, params);
// compiled op node returning opresult3134 (depth = 4)
  Object if3126 = done;
  if (istrue(opresult3134)) {
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3135 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3136 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3137 = gc_frame_new();
// call case 3: self.outer request
  Object call3138 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3137);
// compiled member node returning call3138 (depth = 6)
  Object call3139 = callmethodflags(call3138, "commentSpaceState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3136);
// compiled member node returning call3139 (depth = 5)
  gc_frame_newslot(call3139);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3140 = gc_frame_new();
// call case 3: self.outer request
  Object call3141 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3140);
// compiled member node returning call3141 (depth = 5)
  params[0] = call3139;
  partcv[0] = 1;
  Object call3142 = callmethodflags(call3141, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3135);
// compiled call node returning call3142 (depth = 4)
    gc_frame_newslot(call3142);
    if3126 = call3142;
  } else {
  }
// compiled if node returning if3126 (depth = 3)
    gc_frame_newslot(if3126);
    if3117 = if3126;
  } else {
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3145 == NULL) {
    strlit3145 = alloc_String("/");
    gc_root(strlit3145);
  }
// compiled string node returning strlit3145 (depth = 5)
  int op_slot_right_3144 = gc_frame_newslot(strlit3145);
// starting to compile member node (depth = 5)
  int callframe3147 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3148 = gc_frame_new();
// call case 3: self.outer request
  Object call3149 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3148);
// compiled member node returning call3149 (depth = 6)
  Object call3150 = callmethodflags(call3149, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3147);
// compiled member node returning call3150 (depth = 5)
  int op_slot_left_3144 = gc_frame_newslot(call3150);
  params[0] = strlit3145;
  partcv[0] = 1;
  Object opresult3151 = callmethod(call3150, "==(1)", 1, partcv, params);
// compiled op node returning opresult3151 (depth = 4)
  Object if3143 = done;
  if (istrue(opresult3151)) {
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3152 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3153 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3154 = gc_frame_new();
// call case 3: self.outer request
  Object call3155 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3154);
// compiled member node returning call3155 (depth = 6)
  Object call3156 = callmethodflags(call3155, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3153);
// compiled member node returning call3156 (depth = 5)
  gc_frame_newslot(call3156);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3157 = gc_frame_new();
// call case 3: self.outer request
  Object call3158 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3157);
// compiled member node returning call3158 (depth = 5)
  params[0] = call3156;
  partcv[0] = 1;
  Object call3159 = callmethodflags(call3158, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3152);
// compiled call node returning call3159 (depth = 4)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3160 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3161 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3162 = gc_frame_new();
// call case 3: self.outer request
  Object call3163 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3162);
// compiled member node returning call3163 (depth = 6)
  Object call3164 = callmethodflags(call3163, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3161);
// compiled member node returning call3164 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3165 = callmethodflags(call3164, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3160);
// compiled call node returning call3165 (depth = 4)
    gc_frame_newslot(call3165);
    if3143 = call3165;
  } else {
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3166 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3167 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3168 = gc_frame_new();
// call case 3: self.outer request
  Object call3169 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3168);
// compiled member node returning call3169 (depth = 6)
  Object call3170 = callmethodflags(call3169, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3167);
// compiled member node returning call3170 (depth = 5)
  gc_frame_newslot(call3170);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3171 = gc_frame_new();
// call case 3: self.outer request
  Object call3172 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3171);
// compiled member node returning call3172 (depth = 5)
  params[0] = call3170;
  partcv[0] = 1;
  Object call3173 = callmethodflags(call3172, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3166);
// compiled call node returning call3173 (depth = 4)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3174 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3175 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3176 = gc_frame_new();
// call case 3: self.outer request
  Object call3177 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3176);
// compiled member node returning call3177 (depth = 6)
  Object call3178 = callmethodflags(call3177, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3175);
// compiled member node returning call3178 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3179 = callmethodflags(call3178, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3174);
// compiled call node returning call3179 (depth = 4)
    gc_frame_newslot(call3179);
    if3143 = call3179;
  }
// compiled if node returning if3143 (depth = 3)
    gc_frame_newslot(if3143);
    if3117 = if3143;
  }
// compiled if node returning if3117 (depth = 2)
  gc_frame_end(frame);
  return if3117;
}
Object meth_lexer_consume_40_1_41_3182(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3183 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3184 = gc_frame_new();
// call case 3: self.outer request
  Object call3185 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3184);
// compiled member node returning call3185 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3186 = callmethodflags(call3185, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3183);
// compiled call node returning call3186 (depth = 2)
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3189 == NULL) {
    strlit3189 = alloc_String(".");
    gc_root(strlit3189);
  }
// compiled string node returning strlit3189 (depth = 4)
  int op_slot_right_3188 = gc_frame_newslot(strlit3189);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3188 = gc_frame_newslot(*var_c);
  params[0] = strlit3189;
  partcv[0] = 1;
  Object opresult3191 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3191 (depth = 3)
  Object if3187 = done;
  if (istrue(opresult3191)) {
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3192 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3193 = gc_frame_new();
// call case 3: self.outer request
  Object call3194 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3193);
// compiled member node returning call3194 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3195 = callmethodflags(call3194, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3192);
// compiled call node returning call3195 (depth = 3)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3198 == NULL) {
    strlit3198 = alloc_String("...");
    gc_root(strlit3198);
  }
// compiled string node returning strlit3198 (depth = 5)
  int op_slot_right_3197 = gc_frame_newslot(strlit3198);
// starting to compile member node (depth = 5)
  int callframe3200 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3201 = gc_frame_new();
// call case 3: self.outer request
  Object call3202 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3201);
// compiled member node returning call3202 (depth = 6)
  Object call3203 = callmethodflags(call3202, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3200);
// compiled member node returning call3203 (depth = 5)
  int op_slot_left_3197 = gc_frame_newslot(call3203);
  params[0] = strlit3198;
  partcv[0] = 1;
  Object opresult3204 = callmethod(call3203, "==(1)", 1, partcv, params);
// compiled op node returning opresult3204 (depth = 4)
  Object if3196 = done;
  if (istrue(opresult3204)) {
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3205 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3206 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3207 = gc_frame_new();
// call case 3: self.outer request
  Object call3208 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3207);
// compiled member node returning call3208 (depth = 6)
  Object call3209 = callmethodflags(call3208, "identifierState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3206);
// compiled member node returning call3209 (depth = 5)
  gc_frame_newslot(call3209);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3210 = gc_frame_new();
// call case 3: self.outer request
  Object call3211 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3210);
// compiled member node returning call3211 (depth = 5)
  params[0] = call3209;
  partcv[0] = 1;
  Object call3212 = callmethodflags(call3211, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3205);
// compiled call node returning call3212 (depth = 4)
    gc_frame_newslot(call3212);
    if3196 = call3212;
  } else {
  }
// compiled if node returning if3196 (depth = 3)
    gc_frame_newslot(if3196);
    if3187 = if3196;
  } else {
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3215 == NULL) {
    strlit3215 = alloc_String("..");
    gc_root(strlit3215);
  }
// compiled string node returning strlit3215 (depth = 5)
  int op_slot_right_3214 = gc_frame_newslot(strlit3215);
// starting to compile member node (depth = 5)
  int callframe3217 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3218 = gc_frame_new();
// call case 3: self.outer request
  Object call3219 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3218);
// compiled member node returning call3219 (depth = 6)
  Object call3220 = callmethodflags(call3219, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3217);
// compiled member node returning call3220 (depth = 5)
  int op_slot_left_3214 = gc_frame_newslot(call3220);
  params[0] = strlit3215;
  partcv[0] = 1;
  Object opresult3221 = callmethod(call3220, "==(1)", 1, partcv, params);
// compiled op node returning opresult3221 (depth = 4)
  Object if3213 = done;
  if (istrue(opresult3221)) {
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3222 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3223 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3224 = gc_frame_new();
// call case 3: self.outer request
  Object call3225 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3224);
// compiled member node returning call3225 (depth = 6)
  Object call3226 = callmethodflags(call3225, "operatorState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3223);
// compiled member node returning call3226 (depth = 5)
  gc_frame_newslot(call3226);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3227 = gc_frame_new();
// call case 3: self.outer request
  Object call3228 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3227);
// compiled member node returning call3228 (depth = 5)
  params[0] = call3226;
  partcv[0] = 1;
  Object call3229 = callmethodflags(call3228, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3222);
// compiled call node returning call3229 (depth = 4)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3230 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3231 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3232 = gc_frame_new();
// call case 3: self.outer request
  Object call3233 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3232);
// compiled member node returning call3233 (depth = 6)
  Object call3234 = callmethodflags(call3233, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3231);
// compiled member node returning call3234 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3235 = callmethodflags(call3234, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3230);
// compiled call node returning call3235 (depth = 4)
    gc_frame_newslot(call3235);
    if3213 = call3235;
  } else {
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3237 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3238 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3239 = gc_frame_new();
// call case 3: self.outer request
  Object call3240 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3239);
// compiled member node returning call3240 (depth = 7)
  Object call3241 = callmethodflags(call3240, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3238);
// compiled member node returning call3241 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3242 = callmethodflags(call3241, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3237);
// compiled call node returning call3242 (depth = 5)
  Object if3236 = done;
  if (istrue(call3242)) {
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3243 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3244 == NULL) {
    strlit3244 = alloc_String("0.");
    gc_root(strlit3244);
  }
// compiled string node returning strlit3244 (depth = 6)
  gc_frame_newslot(strlit3244);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3245 = gc_frame_new();
// call case 3: self.outer request
  Object call3246 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3245);
// compiled member node returning call3246 (depth = 6)
  params[0] = strlit3244;
  partcv[0] = 1;
  Object call3247 = callmethodflags(call3246, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3243);
// compiled call node returning call3247 (depth = 5)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3248 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3249 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3250 = gc_frame_new();
// call case 3: self.outer request
  Object call3251 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3250);
// compiled member node returning call3251 (depth = 7)
  Object call3252 = callmethodflags(call3251, "numberFractionState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3249);
// compiled member node returning call3252 (depth = 6)
  gc_frame_newslot(call3252);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3253 = gc_frame_new();
// call case 3: self.outer request
  Object call3254 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3253);
// compiled member node returning call3254 (depth = 6)
  params[0] = call3252;
  partcv[0] = 1;
  Object call3255 = callmethodflags(call3254, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3248);
// compiled call node returning call3255 (depth = 5)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3256 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3257 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3258 = gc_frame_new();
// call case 3: self.outer request
  Object call3259 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3258);
// compiled member node returning call3259 (depth = 7)
  Object call3260 = callmethodflags(call3259, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3257);
// compiled member node returning call3260 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3261 = callmethodflags(call3260, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3256);
// compiled call node returning call3261 (depth = 5)
    gc_frame_newslot(call3261);
    if3236 = call3261;
  } else {
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3262 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3263 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3264 = gc_frame_new();
// call case 3: self.outer request
  Object call3265 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3264);
// compiled member node returning call3265 (depth = 7)
  Object call3266 = callmethodflags(call3265, "dotToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3263);
// compiled member node returning call3266 (depth = 6)
  gc_frame_newslot(call3266);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3267 = gc_frame_new();
// call case 3: self.outer request
  Object call3268 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3267);
// compiled member node returning call3268 (depth = 6)
  params[0] = call3266;
  partcv[0] = 1;
  Object call3269 = callmethodflags(call3268, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3262);
// compiled call node returning call3269 (depth = 5)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3270 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3271 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3272 = gc_frame_new();
// call case 3: self.outer request
  Object call3273 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3272);
// compiled member node returning call3273 (depth = 7)
  Object call3274 = callmethodflags(call3273, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3271);
// compiled member node returning call3274 (depth = 6)
  gc_frame_newslot(call3274);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3275 = gc_frame_new();
// call case 3: self.outer request
  Object call3276 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3275);
// compiled member node returning call3276 (depth = 6)
  params[0] = call3274;
  partcv[0] = 1;
  Object call3277 = callmethodflags(call3276, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3270);
// compiled call node returning call3277 (depth = 5)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3278 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3279 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3280 = gc_frame_new();
// call case 3: self.outer request
  Object call3281 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3280);
// compiled member node returning call3281 (depth = 7)
  Object call3282 = callmethodflags(call3281, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3279);
// compiled member node returning call3282 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3283 = callmethodflags(call3282, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3278);
// compiled call node returning call3283 (depth = 5)
    gc_frame_newslot(call3283);
    if3236 = call3283;
  }
// compiled if node returning if3236 (depth = 4)
    gc_frame_newslot(if3236);
    if3213 = if3236;
  }
// compiled if node returning if3213 (depth = 3)
    gc_frame_newslot(if3213);
    if3187 = if3213;
  }
// compiled if node returning if3187 (depth = 2)
  gc_frame_end(frame);
  return if3187;
}
Object meth_lexer_consume_40_1_41_3286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3287 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3288 = gc_frame_new();
// call case 3: self.outer request
  Object call3289 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3288);
// compiled member node returning call3289 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3290 = callmethodflags(call3289, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3287);
// compiled call node returning call3290 (depth = 2)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3292 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3293 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3294 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3295 = gc_frame_new();
// call case 3: self.outer request
  Object call3296 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3295);
// compiled member node returning call3296 (depth = 6)
  Object call3297 = callmethodflags(call3296, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3294);
// compiled member node returning call3297 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3298 = callmethodflags(call3297, "isIdentifierChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3293);
// compiled call node returning call3298 (depth = 4)
  partcv[0] = 0;
  Object call3299 = callmethodflags(call3298, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3292);
// compiled call node returning call3299 (depth = 3)
  Object if3291 = done;
  if (istrue(call3299)) {
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3301 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3302 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3303 = gc_frame_new();
// call case 3: self.outer request
  Object call3304 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3303);
// compiled member node returning call3304 (depth = 6)
  Object call3305 = callmethodflags(call3304, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3302);
// compiled member node returning call3305 (depth = 5)
  gc_frame_newslot(call3305);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_keywords (depth = 5)
  params[0] = call3305;
  partcv[0] = 1;
  Object call3306 = callmethodflags(*var_keywords, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3301);
// compiled call node returning call3306 (depth = 4)
  Object if3300 = done;
  if (istrue(call3306)) {
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3309 == NULL) {
    strlit3309 = alloc_String("super");
    gc_root(strlit3309);
  }
// compiled string node returning strlit3309 (depth = 6)
  int op_slot_right_3308 = gc_frame_newslot(strlit3309);
// starting to compile member node (depth = 6)
  int callframe3311 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3312 = gc_frame_new();
// call case 3: self.outer request
  Object call3313 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3312);
// compiled member node returning call3313 (depth = 7)
  Object call3314 = callmethodflags(call3313, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3311);
// compiled member node returning call3314 (depth = 6)
  int op_slot_left_3308 = gc_frame_newslot(call3314);
  params[0] = strlit3309;
  partcv[0] = 1;
  Object opresult3315 = callmethod(call3314, "==(1)", 1, partcv, params);
// compiled op node returning opresult3315 (depth = 5)
  Object if3307 = done;
  if (istrue(opresult3315)) {
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3316 = gc_frame_new();
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3318 == NULL) {
    strlit3318 = alloc_String("Consider using an `alias` clause on the inherit statement.");
    gc_root(strlit3318);
  }
// compiled string node returning strlit3318 (depth = 7)
  int op_slot_right_3317 = gc_frame_newslot(strlit3318);
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3320 == NULL) {
    strlit3320 = alloc_String("`super` is no longer part of Grace.""\x0a""");
    gc_root(strlit3320);
  }
// compiled string node returning strlit3320 (depth = 7)
  int op_slot_left_3317 = gc_frame_newslot(strlit3320);
  params[0] = strlit3318;
  partcv[0] = 1;
  Object opresult3321 = callmethod(strlit3320, "++(1)", 1, partcv, params);
// compiled op node returning opresult3321 (depth = 6)
  gc_frame_newslot(opresult3321);
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3322 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3323 = gc_frame_new();
// call case 3: self.outer request
  Object call3324 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3323);
// compiled member node returning call3324 (depth = 7)
  Object call3325 = callmethodflags(call3324, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3322);
// compiled member node returning call3325 (depth = 6)
  gc_frame_newslot(call3325);
// starting to compile member node (depth = 6)
  int callframe3326 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3327 = gc_frame_new();
// call case 3: self.outer request
  Object call3328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3327);
// compiled member node returning call3328 (depth = 7)
  Object call3329 = callmethodflags(call3328, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3326);
// compiled member node returning call3329 (depth = 6)
  gc_frame_newslot(call3329);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3331 = alloc_Float64(1);
// compiled num node returning num3331 (depth = 7)
  int op_slot_right_3330 = gc_frame_newslot(num3331);
// starting to compile member node (depth = 7)
  int callframe3333 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3334 = gc_frame_new();
// call case 3: self.outer request
  Object call3335 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3334);
// compiled member node returning call3335 (depth = 8)
  Object call3336 = callmethodflags(call3335, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3333);
// compiled member node returning call3336 (depth = 7)
  int op_slot_left_3330 = gc_frame_newslot(call3336);
  params[0] = num3331;
  partcv[0] = 1;
  Object diff3337 = callmethod(call3336, "-(1)", 1, partcv, params);
// compiled op node returning diff3337 (depth = 6)
  gc_frame_newslot(diff3337);
// call case 6: other requests
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult3321;
  params[1] = call3325;
  params[2] = call3329;
  params[3] = diff3337;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3338 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe3316);
// compiled call node returning call3338 (depth = 5)
    gc_frame_newslot(call3338);
    if3307 = call3338;
  } else {
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3341 == NULL) {
    strlit3341 = alloc_String("inherits");
    gc_root(strlit3341);
  }
// compiled string node returning strlit3341 (depth = 7)
  int op_slot_right_3340 = gc_frame_newslot(strlit3341);
// starting to compile member node (depth = 7)
  int callframe3343 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3344 = gc_frame_new();
// call case 3: self.outer request
  Object call3345 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3344);
// compiled member node returning call3345 (depth = 8)
  Object call3346 = callmethodflags(call3345, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3343);
// compiled member node returning call3346 (depth = 7)
  int op_slot_left_3340 = gc_frame_newslot(call3346);
  params[0] = strlit3341;
  partcv[0] = 1;
  Object opresult3347 = callmethod(call3346, "==(1)", 1, partcv, params);
// compiled op node returning opresult3347 (depth = 6)
  Object if3339 = done;
  if (istrue(opresult3347)) {
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3348 = gc_frame_new();
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3349 == NULL) {
    strlit3349 = alloc_String("The reserved word `inherits` has been replaced by `inherit`.");
    gc_root(strlit3349);
  }
// compiled string node returning strlit3349 (depth = 7)
  gc_frame_newslot(strlit3349);
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3350 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3351 = gc_frame_new();
// call case 3: self.outer request
  Object call3352 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3351);
// compiled member node returning call3352 (depth = 8)
  Object call3353 = callmethodflags(call3352, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3350);
// compiled member node returning call3353 (depth = 7)
  gc_frame_newslot(call3353);
// starting to compile member node (depth = 7)
  int callframe3354 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3355 = gc_frame_new();
// call case 3: self.outer request
  Object call3356 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3355);
// compiled member node returning call3356 (depth = 8)
  Object call3357 = callmethodflags(call3356, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3354);
// compiled member node returning call3357 (depth = 7)
  gc_frame_newslot(call3357);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3359 = alloc_Float64(1);
// compiled num node returning num3359 (depth = 8)
  int op_slot_right_3358 = gc_frame_newslot(num3359);
// starting to compile member node (depth = 8)
  int callframe3361 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3362 = gc_frame_new();
// call case 3: self.outer request
  Object call3363 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3362);
// compiled member node returning call3363 (depth = 9)
  Object call3364 = callmethodflags(call3363, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3361);
// compiled member node returning call3364 (depth = 8)
  int op_slot_left_3358 = gc_frame_newslot(call3364);
  params[0] = num3359;
  partcv[0] = 1;
  Object diff3365 = callmethod(call3364, "-(1)", 1, partcv, params);
// compiled op node returning diff3365 (depth = 7)
  gc_frame_newslot(diff3365);
// call case 6: other requests
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3349;
  params[1] = call3353;
  params[2] = call3357;
  params[3] = diff3365;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3366 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe3348);
// compiled call node returning call3366 (depth = 6)
    gc_frame_newslot(call3366);
    if3339 = call3366;
  } else {
  }
// compiled if node returning if3339 (depth = 5)
    gc_frame_newslot(if3339);
    if3307 = if3339;
  }
// compiled if node returning if3307 (depth = 4)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3367 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3368 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3369 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3370 = gc_frame_new();
// call case 3: self.outer request
  Object call3371 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3370);
// compiled member node returning call3371 (depth = 7)
  Object call3372 = callmethodflags(call3371, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3369);
// compiled member node returning call3372 (depth = 6)
  gc_frame_newslot(call3372);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3373 = gc_frame_new();
// call case 3: self.outer request
  Object call3374 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3373);
// compiled member node returning call3374 (depth = 6)
  params[0] = call3372;
  partcv[0] = 1;
  Object call3375 = callmethodflags(call3374, "keywordToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3368);
// compiled call node returning call3375 (depth = 5)
  gc_frame_newslot(call3375);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3376 = gc_frame_new();
// call case 3: self.outer request
  Object call3377 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3376);
// compiled member node returning call3377 (depth = 5)
  params[0] = call3375;
  partcv[0] = 1;
  Object call3378 = callmethodflags(call3377, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3367);
// compiled call node returning call3378 (depth = 4)
    gc_frame_newslot(call3378);
    if3300 = call3378;
  } else {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3379 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3380 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3381 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3382 = gc_frame_new();
// call case 3: self.outer request
  Object call3383 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3382);
// compiled member node returning call3383 (depth = 7)
  Object call3384 = callmethodflags(call3383, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3381);
// compiled member node returning call3384 (depth = 6)
  gc_frame_newslot(call3384);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3385 = gc_frame_new();
// call case 3: self.outer request
  Object call3386 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3385);
// compiled member node returning call3386 (depth = 6)
  params[0] = call3384;
  partcv[0] = 1;
  Object call3387 = callmethodflags(call3386, "identifierToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3380);
// compiled call node returning call3387 (depth = 5)
  gc_frame_newslot(call3387);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3388 = gc_frame_new();
// call case 3: self.outer request
  Object call3389 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3388);
// compiled member node returning call3389 (depth = 5)
  params[0] = call3387;
  partcv[0] = 1;
  Object call3390 = callmethodflags(call3389, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3379);
// compiled call node returning call3390 (depth = 4)
    gc_frame_newslot(call3390);
    if3300 = call3390;
  }
// compiled if node returning if3300 (depth = 3)
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3391 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3392 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3393 = gc_frame_new();
// call case 3: self.outer request
  Object call3394 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3393);
// compiled member node returning call3394 (depth = 5)
  Object call3395 = callmethodflags(call3394, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3392);
// compiled member node returning call3395 (depth = 4)
  gc_frame_newslot(call3395);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3396 = gc_frame_new();
// call case 3: self.outer request
  Object call3397 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3396);
// compiled member node returning call3397 (depth = 4)
  params[0] = call3395;
  partcv[0] = 1;
  Object call3398 = callmethodflags(call3397, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3391);
// compiled call node returning call3398 (depth = 3)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3399 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3400 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3401 = gc_frame_new();
// call case 3: self.outer request
  Object call3402 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3401);
// compiled member node returning call3402 (depth = 5)
  Object call3403 = callmethodflags(call3402, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3400);
// compiled member node returning call3403 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3404 = callmethodflags(call3403, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3399);
// compiled call node returning call3404 (depth = 3)
    gc_frame_newslot(call3404);
    if3291 = call3404;
  } else {
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3405 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3406 = gc_frame_new();
// call case 3: self.outer request
  Object call3407 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3406);
// compiled member node returning call3407 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3408 = callmethodflags(call3407, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3405);
// compiled call node returning call3408 (depth = 3)
    gc_frame_newslot(call3408);
    if3291 = call3408;
  }
// compiled if node returning if3291 (depth = 2)
  gc_frame_end(frame);
  return if3291;
}
Object meth_lexer_consume_40_1_41_3411(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_strToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "strToken");
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3412 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3413 = gc_frame_new();
// call case 3: self.outer request
  Object call3414 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3413);
// compiled member node returning call3414 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3415 = callmethodflags(call3414, "checkSeparatorString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3412);
// compiled call node returning call3415 (depth = 2)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3418 == NULL) {
    strlit3418 = alloc_String("""\x22""");
    gc_root(strlit3418);
  }
// compiled string node returning strlit3418 (depth = 4)
  int op_slot_right_3417 = gc_frame_newslot(strlit3418);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3417 = gc_frame_newslot(*var_c);
  params[0] = strlit3418;
  partcv[0] = 1;
  Object opresult3420 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3420 (depth = 3)
  Object if3416 = done;
  if (istrue(opresult3420)) {
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3421 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3422 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3423 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3424 = gc_frame_new();
// call case 3: self.outer request
  Object call3425 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3424);
// compiled member node returning call3425 (depth = 6)
  Object call3426 = callmethodflags(call3425, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3423);
// compiled member node returning call3426 (depth = 5)
  gc_frame_newslot(call3426);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3427 = gc_frame_new();
// call case 3: self.outer request
  Object call3428 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3427);
// compiled member node returning call3428 (depth = 5)
  params[0] = call3426;
  partcv[0] = 1;
  Object call3429 = callmethodflags(call3428, "stringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3422);
// compiled call node returning call3429 (depth = 4)
  gc_frame_newslot(call3429);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3430 = gc_frame_new();
// call case 3: self.outer request
  Object call3431 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3430);
// compiled member node returning call3431 (depth = 4)
  params[0] = call3429;
  partcv[0] = 1;
  Object call3432 = callmethodflags(call3431, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3421);
// compiled call node returning call3432 (depth = 3)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3436 = alloc_Float64(0);
// compiled num node returning num3436 (depth = 6)
  int op_slot_right_3435 = gc_frame_newslot(num3436);
// starting to compile member node (depth = 6)
  int callframe3438 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3439 = gc_frame_new();
// call case 3: self.outer request
  Object call3440 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3439);
// compiled member node returning call3440 (depth = 7)
  Object call3441 = callmethodflags(call3440, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3438);
// compiled member node returning call3441 (depth = 6)
  int op_slot_left_3435 = gc_frame_newslot(call3441);
  params[0] = num3436;
  partcv[0] = 1;
  Object opresult3442 = callmethod(call3441, "==(1)", 1, partcv, params);
// compiled op node returning opresult3442 (depth = 5)
  int op_slot_right_3434 = gc_frame_newslot(opresult3442);
// starting to compile member node (depth = 5)
  int callframe3444 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3445 = gc_frame_new();
// call case 3: self.outer request
  Object call3446 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3445);
// compiled member node returning call3446 (depth = 6)
  Object call3447 = callmethodflags(call3446, "interpString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3444);
// compiled member node returning call3447 (depth = 5)
  int op_slot_left_3434 = gc_frame_newslot(call3447);
  params[0] = opresult3442;
  partcv[0] = 1;
  Object opresult3448 = callmethod(call3447, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3448 (depth = 4)
  Object if3433 = done;
  if (istrue(opresult3448)) {
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3449 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3450 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3451 = gc_frame_new();
// call case 3: self.outer request
  Object call3452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3451);
// compiled member node returning call3452 (depth = 6)
  Object call3453 = callmethodflags(call3452, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3450);
// compiled member node returning call3453 (depth = 5)
  gc_frame_newslot(call3453);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3454 = gc_frame_new();
// call case 3: self.outer request
  Object call3455 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3454);
// compiled member node returning call3455 (depth = 5)
  params[0] = call3453;
  partcv[0] = 1;
  Object call3456 = callmethodflags(call3455, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3449);
// compiled call node returning call3456 (depth = 4)
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3457 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool3458 = alloc_Boolean(0);
// compiled identifier node returning bool3458 (depth = 5)
  gc_frame_newslot(bool3458);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3459 = gc_frame_new();
// call case 3: self.outer request
  Object call3460 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3459);
// compiled member node returning call3460 (depth = 5)
  params[0] = bool3458;
  partcv[0] = 1;
  Object call3461 = callmethodflags(call3460, "interpString:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3457);
// compiled call node returning call3461 (depth = 4)
    gc_frame_newslot(call3461);
    if3433 = call3461;
  } else {
  }
// compiled if node returning if3433 (depth = 3)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3462 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3463 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3464 = gc_frame_new();
// call case 3: self.outer request
  Object call3465 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3464);
// compiled member node returning call3465 (depth = 5)
  Object call3466 = callmethodflags(call3465, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3463);
// compiled member node returning call3466 (depth = 4)
  gc_frame_newslot(call3466);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3467 = gc_frame_new();
// call case 3: self.outer request
  Object call3468 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3467);
// compiled member node returning call3468 (depth = 4)
  params[0] = call3466;
  partcv[0] = 1;
  Object call3469 = callmethodflags(call3468, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3462);
// compiled call node returning call3469 (depth = 3)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3470 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3471 = alloc_Boolean(0);
// compiled identifier node returning bool3471 (depth = 4)
  gc_frame_newslot(bool3471);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3472 = gc_frame_new();
// call case 3: self.outer request
  Object call3473 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3472);
// compiled member node returning call3473 (depth = 4)
  params[0] = bool3471;
  partcv[0] = 1;
  Object call3474 = callmethodflags(call3473, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3470);
// compiled call node returning call3474 (depth = 3)
    gc_frame_newslot(call3474);
    if3416 = call3474;
  } else {
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3477 == NULL) {
    strlit3477 = alloc_String("""\x0a""");
    gc_root(strlit3477);
  }
// compiled string node returning strlit3477 (depth = 5)
  int op_slot_right_3476 = gc_frame_newslot(strlit3477);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3476 = gc_frame_newslot(*var_c);
  params[0] = strlit3477;
  partcv[0] = 1;
  Object opresult3479 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3479 (depth = 4)
  Object if3475 = done;
  if (istrue(opresult3479)) {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3480 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3481 = gc_frame_new();
// call case 3: self.outer request
  Object call3482 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3481);
// compiled member node returning call3482 (depth = 5)
  Object call3483 = callmethodflags(call3482, "newLineError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3480);
// compiled member node returning call3483 (depth = 4)
    gc_frame_newslot(call3483);
    if3475 = call3483;
  } else {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3486 == NULL) {
    strlit3486 = alloc_String("{");
    gc_root(strlit3486);
  }
// compiled string node returning strlit3486 (depth = 6)
  int op_slot_right_3485 = gc_frame_newslot(strlit3486);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_3485 = gc_frame_newslot(*var_c);
  params[0] = strlit3486;
  partcv[0] = 1;
  Object opresult3488 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3488 (depth = 5)
  Object if3484 = done;
  if (istrue(opresult3488)) {
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3489 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3490 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3491 = gc_frame_new();
// call case 3: self.outer request
  Object call3492 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3491);
// compiled member node returning call3492 (depth = 8)
  Object call3493 = callmethodflags(call3492, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3490);
// compiled member node returning call3493 (depth = 7)
  gc_frame_newslot(call3493);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3494 = gc_frame_new();
// call case 3: self.outer request
  Object call3495 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3494);
// compiled member node returning call3495 (depth = 7)
  params[0] = call3493;
  partcv[0] = 1;
  Object call3496 = callmethodflags(call3495, "stringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3489);
// compiled call node returning call3496 (depth = 6)
  *var_strToken = call3496;
  if (call3496 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3498 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3499 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3500 = gc_frame_new();
// call case 3: self.outer request
  Object call3501 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3500);
// compiled member node returning call3501 (depth = 8)
  Object call3502 = callmethodflags(call3501, "interpString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3499);
// compiled member node returning call3502 (depth = 7)
  partcv[0] = 0;
  Object call3503 = callmethodflags(call3502, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3498);
// compiled call node returning call3503 (depth = 6)
  Object if3497 = done;
  if (istrue(call3503)) {
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3504 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3505 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3506 = gc_frame_new();
// call case 3: self.outer request
  Object call3507 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3506);
// compiled member node returning call3507 (depth = 8)
  Object call3508 = callmethodflags(call3507, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3505);
// compiled member node returning call3508 (depth = 7)
  gc_frame_newslot(call3508);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3509 = gc_frame_new();
// call case 3: self.outer request
  Object call3510 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3509);
// compiled member node returning call3510 (depth = 7)
  params[0] = call3508;
  partcv[0] = 1;
  Object call3511 = callmethodflags(call3510, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3504);
// compiled call node returning call3511 (depth = 6)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3512 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool3513 = alloc_Boolean(1);
// compiled identifier node returning bool3513 (depth = 7)
  gc_frame_newslot(bool3513);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3514 = gc_frame_new();
// call case 3: self.outer request
  Object call3515 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3514);
// compiled member node returning call3515 (depth = 7)
  params[0] = bool3513;
  partcv[0] = 1;
  Object call3516 = callmethodflags(call3515, "interpString:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3512);
// compiled call node returning call3516 (depth = 6)
    gc_frame_newslot(call3516);
    if3497 = call3516;
  } else {
  }
// compiled if node returning if3497 (depth = 5)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3517 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_strToken (depth = 6)
  gc_frame_newslot(*var_strToken);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3518 = gc_frame_new();
// call case 3: self.outer request
  Object call3519 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3518);
// compiled member node returning call3519 (depth = 6)
  params[0] = *var_strToken;
  partcv[0] = 1;
  Object call3520 = callmethodflags(call3519, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3517);
// compiled call node returning call3520 (depth = 5)
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3521 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe3522 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3523 == NULL) {
    strlit3523 = alloc_String("++");
    gc_root(strlit3523);
  }
// compiled string node returning strlit3523 (depth = 7)
  gc_frame_newslot(strlit3523);
// call case 6: other requests
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3524 = gc_frame_new();
// call case 3: self.outer request
  Object call3525 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3524);
// compiled member node returning call3525 (depth = 7)
  params[0] = strlit3523;
  partcv[0] = 1;
  Object call3526 = callmethodflags(call3525, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3522);
// compiled call node returning call3526 (depth = 6)
  gc_frame_newslot(call3526);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3527 = gc_frame_new();
// call case 3: self.outer request
  Object call3528 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3527);
// compiled member node returning call3528 (depth = 6)
  params[0] = call3526;
  partcv[0] = 1;
  Object call3529 = callmethodflags(call3528, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3521);
// compiled call node returning call3529 (depth = 5)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3530 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3531 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3532 = gc_frame_new();
// call case 3: self.outer request
  Object call3533 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3532);
// compiled member node returning call3533 (depth = 7)
  Object call3534 = callmethodflags(call3533, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3531);
// compiled member node returning call3534 (depth = 6)
  gc_frame_newslot(call3534);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3535 = gc_frame_new();
// call case 3: self.outer request
  Object call3536 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3535);
// compiled member node returning call3536 (depth = 6)
  params[0] = call3534;
  partcv[0] = 1;
  Object call3537 = callmethodflags(call3536, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3530);
// compiled call node returning call3537 (depth = 5)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3538 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3539 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3540 = gc_frame_new();
// call case 3: self.outer request
  Object call3541 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3540);
// compiled member node returning call3541 (depth = 7)
  Object call3542 = callmethodflags(call3541, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3539);
// compiled member node returning call3542 (depth = 6)
  gc_frame_newslot(call3542);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3543 = gc_frame_new();
// call case 3: self.outer request
  Object call3544 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3543);
// compiled member node returning call3544 (depth = 6)
  params[0] = call3542;
  partcv[0] = 1;
  Object call3545 = callmethodflags(call3544, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3538);
// compiled call node returning call3545 (depth = 5)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3546 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool3547 = alloc_Boolean(0);
// compiled identifier node returning bool3547 (depth = 6)
  gc_frame_newslot(bool3547);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3548 = gc_frame_new();
// call case 3: self.outer request
  Object call3549 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3548);
// compiled member node returning call3549 (depth = 6)
  params[0] = bool3547;
  partcv[0] = 1;
  Object call3550 = callmethodflags(call3549, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3546);
// compiled call node returning call3550 (depth = 5)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3551 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3553 = alloc_Float64(1);
// compiled num node returning num3553 (depth = 7)
  int op_slot_right_3552 = gc_frame_newslot(num3553);
// starting to compile member node (depth = 7)
  int callframe3555 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3556 = gc_frame_new();
// call case 3: self.outer request
  Object call3557 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3556);
// compiled member node returning call3557 (depth = 8)
  Object call3558 = callmethodflags(call3557, "interpdepth", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3555);
// compiled member node returning call3558 (depth = 7)
  int op_slot_left_3552 = gc_frame_newslot(call3558);
  params[0] = num3553;
  partcv[0] = 1;
  Object sum3559 = callmethod(call3558, "+(1)", 1, partcv, params);
// compiled op node returning sum3559 (depth = 6)
  gc_frame_newslot(sum3559);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3560 = gc_frame_new();
// call case 3: self.outer request
  Object call3561 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3560);
// compiled member node returning call3561 (depth = 6)
  params[0] = sum3559;
  partcv[0] = 1;
  Object call3562 = callmethodflags(call3561, "interpdepth:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3551);
// compiled call node returning call3562 (depth = 5)
    gc_frame_newslot(call3562);
    if3484 = call3562;
  } else {
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3565 == NULL) {
    strlit3565 = alloc_String("\\");
    gc_root(strlit3565);
  }
// compiled string node returning strlit3565 (depth = 7)
  int op_slot_right_3564 = gc_frame_newslot(strlit3565);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3564 = gc_frame_newslot(*var_c);
  params[0] = strlit3565;
  partcv[0] = 1;
  Object opresult3567 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3567 (depth = 6)
  Object if3563 = done;
  if (istrue(opresult3567)) {
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3568 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3569 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3570 = gc_frame_new();
// call case 3: self.outer request
  Object call3571 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3570);
// compiled member node returning call3571 (depth = 8)
  Object call3572 = callmethodflags(call3571, "quotedStringEscapedState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3569);
// compiled member node returning call3572 (depth = 7)
  gc_frame_newslot(call3572);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3573 = gc_frame_new();
// call case 3: self.outer request
  Object call3574 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3573);
// compiled member node returning call3574 (depth = 7)
  params[0] = call3572;
  partcv[0] = 1;
  Object call3575 = callmethodflags(call3574, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3568);
// compiled call node returning call3575 (depth = 6)
    gc_frame_newslot(call3575);
    if3563 = call3575;
  } else {
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3576 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3577 = gc_frame_new();
// call case 3: self.outer request
  Object call3578 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3577);
// compiled member node returning call3578 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3579 = callmethodflags(call3578, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3576);
// compiled call node returning call3579 (depth = 6)
    gc_frame_newslot(call3579);
    if3563 = call3579;
  }
// compiled if node returning if3563 (depth = 5)
    gc_frame_newslot(if3563);
    if3484 = if3563;
  }
// compiled if node returning if3484 (depth = 4)
    gc_frame_newslot(if3484);
    if3475 = if3484;
  }
// compiled if node returning if3475 (depth = 3)
    gc_frame_newslot(if3475);
    if3416 = if3475;
  }
// compiled if node returning if3416 (depth = 2)
  gc_frame_end(frame);
  return if3416;
}
Object meth_lexer_consume_40_1_41_3582(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3583 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3585 = alloc_Float64(1);
// compiled num node returning num3585 (depth = 4)
  int op_slot_right_3584 = gc_frame_newslot(num3585);
// starting to compile member node (depth = 4)
  int callframe3587 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3588 = gc_frame_new();
// call case 3: self.outer request
  Object call3589 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3588);
// compiled member node returning call3589 (depth = 5)
  Object call3590 = callmethodflags(call3589, "unichars", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled member node returning call3590 (depth = 4)
  int op_slot_left_3584 = gc_frame_newslot(call3590);
  params[0] = num3585;
  partcv[0] = 1;
  Object diff3591 = callmethod(call3590, "-(1)", 1, partcv, params);
// compiled op node returning diff3591 (depth = 3)
  gc_frame_newslot(diff3591);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3592 = gc_frame_new();
// call case 3: self.outer request
  Object call3593 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3592);
// compiled member node returning call3593 (depth = 3)
  params[0] = diff3591;
  partcv[0] = 1;
  Object call3594 = callmethodflags(call3593, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3583);
// compiled call node returning call3594 (depth = 2)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3595 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3597 = alloc_Float64(16);
// compiled num node returning num3597 (depth = 4)
  int op_slot_right_3596 = gc_frame_newslot(num3597);
// starting to compile member node (depth = 4)
  int callframe3599 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3600 = gc_frame_new();
// call case 3: self.outer request
  Object call3601 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3600);
// compiled member node returning call3601 (depth = 5)
  Object call3602 = callmethodflags(call3601, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3599);
// compiled member node returning call3602 (depth = 4)
  int op_slot_left_3596 = gc_frame_newslot(call3602);
  params[0] = num3597;
  partcv[0] = 1;
  Object prod3603 = callmethod(call3602, "*(1)", 1, partcv, params);
// compiled op node returning prod3603 (depth = 3)
  gc_frame_newslot(prod3603);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3604 = gc_frame_new();
// call case 3: self.outer request
  Object call3605 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3604);
// compiled member node returning call3605 (depth = 3)
  params[0] = prod3603;
  partcv[0] = 1;
  Object call3606 = callmethodflags(call3605, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3595);
// compiled call node returning call3606 (depth = 2)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3607 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3609 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3610 = gc_frame_new();
// call case 3: self.outer request
  Object call3611 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3610);
// compiled member node returning call3611 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3612 = callmethodflags(call3611, "hexdecchar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3609);
// compiled call node returning call3612 (depth = 4)
  int op_slot_right_3608 = gc_frame_newslot(call3612);
// starting to compile member node (depth = 4)
  int callframe3614 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3615 = gc_frame_new();
// call case 3: self.outer request
  Object call3616 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3615);
// compiled member node returning call3616 (depth = 5)
  Object call3617 = callmethodflags(call3616, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3614);
// compiled member node returning call3617 (depth = 4)
  int op_slot_left_3608 = gc_frame_newslot(call3617);
  params[0] = call3612;
  partcv[0] = 1;
  Object sum3618 = callmethod(call3617, "+(1)", 1, partcv, params);
// compiled op node returning sum3618 (depth = 3)
  gc_frame_newslot(sum3618);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3619 = gc_frame_new();
// call case 3: self.outer request
  Object call3620 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3619);
// compiled member node returning call3620 (depth = 3)
  params[0] = sum3618;
  partcv[0] = 1;
  Object call3621 = callmethodflags(call3620, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3607);
// compiled call node returning call3621 (depth = 2)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3624 = alloc_Float64(0);
// compiled num node returning num3624 (depth = 4)
  int op_slot_right_3623 = gc_frame_newslot(num3624);
// starting to compile member node (depth = 4)
  int callframe3626 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3627 = gc_frame_new();
// call case 3: self.outer request
  Object call3628 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3627);
// compiled member node returning call3628 (depth = 5)
  Object call3629 = callmethodflags(call3628, "unichars", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3626);
// compiled member node returning call3629 (depth = 4)
  int op_slot_left_3623 = gc_frame_newslot(call3629);
  params[0] = num3624;
  partcv[0] = 1;
  Object opresult3630 = callmethod(call3629, "==(1)", 1, partcv, params);
// compiled op node returning opresult3630 (depth = 3)
  Object if3622 = done;
  if (istrue(opresult3630)) {
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3631 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3632 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3633 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3634 = gc_frame_new();
// call case 3: self.outer request
  Object call3635 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3634);
// compiled member node returning call3635 (depth = 6)
  Object call3636 = callmethodflags(call3635, "codepoint", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3633);
// compiled member node returning call3636 (depth = 5)
  gc_frame_newslot(call3636);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_unicode (depth = 5)
  params[0] = call3636;
  partcv[0] = 1;
  Object call3637 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3632);
// compiled call node returning call3637 (depth = 4)
  gc_frame_newslot(call3637);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3638 = gc_frame_new();
// call case 3: self.outer request
  Object call3639 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3638);
// compiled member node returning call3639 (depth = 4)
  params[0] = call3637;
  partcv[0] = 1;
  Object call3640 = callmethodflags(call3639, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3631);
// compiled call node returning call3640 (depth = 3)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3641 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3642 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3643 = gc_frame_new();
// call case 3: self.outer request
  Object call3644 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3643);
// compiled member node returning call3644 (depth = 5)
  Object call3645 = callmethodflags(call3644, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3642);
// compiled member node returning call3645 (depth = 4)
  gc_frame_newslot(call3645);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3646 = gc_frame_new();
// call case 3: self.outer request
  Object call3647 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3646);
// compiled member node returning call3647 (depth = 4)
  params[0] = call3645;
  partcv[0] = 1;
  Object call3648 = callmethodflags(call3647, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3641);
// compiled call node returning call3648 (depth = 3)
    gc_frame_newslot(call3648);
    if3622 = call3648;
  } else {
  }
// compiled if node returning if3622 (depth = 2)
  gc_frame_end(frame);
  return if3622;
}
Object meth_lexer_consume_40_1_41_3651(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3652 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3653 = gc_frame_new();
// call case 3: self.outer request
  Object call3654 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3653);
// compiled member node returning call3654 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3655 = callmethodflags(call3654, "checkSeparatorString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3652);
// compiled call node returning call3655 (depth = 2)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3656 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe3657 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3658 = gc_frame_new();
// call case 3: self.outer request
  Object call3659 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3658);
// compiled member node returning call3659 (depth = 4)
  Object call3660 = callmethodflags(call3659, "quotedStringState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3657);
// compiled member node returning call3660 (depth = 3)
  gc_frame_newslot(call3660);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3661 = gc_frame_new();
// call case 3: self.outer request
  Object call3662 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3661);
// compiled member node returning call3662 (depth = 3)
  params[0] = call3660;
  partcv[0] = 1;
  Object call3663 = callmethodflags(call3662, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3656);
// compiled call node returning call3663 (depth = 2)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3666 == NULL) {
    strlit3666 = alloc_String("""\x0a""");
    gc_root(strlit3666);
  }
// compiled string node returning strlit3666 (depth = 4)
  int op_slot_right_3665 = gc_frame_newslot(strlit3666);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3665 = gc_frame_newslot(*var_c);
  params[0] = strlit3666;
  partcv[0] = 1;
  Object opresult3668 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3668 (depth = 3)
  Object if3664 = done;
  if (istrue(opresult3668)) {
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3669 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3670 = gc_frame_new();
// call case 3: self.outer request
  Object call3671 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3670);
// compiled member node returning call3671 (depth = 4)
  Object call3672 = callmethodflags(call3671, "newLineError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3669);
// compiled member node returning call3672 (depth = 3)
    gc_frame_newslot(call3672);
    if3664 = call3672;
  } else {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3675 == NULL) {
    strlit3675 = alloc_String("n");
    gc_root(strlit3675);
  }
// compiled string node returning strlit3675 (depth = 5)
  int op_slot_right_3674 = gc_frame_newslot(strlit3675);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3674 = gc_frame_newslot(*var_c);
  params[0] = strlit3675;
  partcv[0] = 1;
  Object opresult3677 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3677 (depth = 4)
  Object if3673 = done;
  if (istrue(opresult3677)) {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3678 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3680 == NULL) {
    strlit3680 = alloc_String("""\x0a""");
    gc_root(strlit3680);
  }
// compiled string node returning strlit3680 (depth = 6)
  int op_slot_right_3679 = gc_frame_newslot(strlit3680);
// starting to compile member node (depth = 6)
  int callframe3682 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3683 = gc_frame_new();
// call case 3: self.outer request
  Object call3684 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3683);
// compiled member node returning call3684 (depth = 7)
  Object call3685 = callmethodflags(call3684, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3682);
// compiled member node returning call3685 (depth = 6)
  int op_slot_left_3679 = gc_frame_newslot(call3685);
  params[0] = strlit3680;
  partcv[0] = 1;
  Object opresult3686 = callmethod(call3685, "++(1)", 1, partcv, params);
// compiled op node returning opresult3686 (depth = 5)
  gc_frame_newslot(opresult3686);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3687 = gc_frame_new();
// call case 3: self.outer request
  Object call3688 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3687);
// compiled member node returning call3688 (depth = 5)
  params[0] = opresult3686;
  partcv[0] = 1;
  Object call3689 = callmethodflags(call3688, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3678);
// compiled call node returning call3689 (depth = 4)
    gc_frame_newslot(call3689);
    if3673 = call3689;
  } else {
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3692 == NULL) {
    strlit3692 = alloc_String("u");
    gc_root(strlit3692);
  }
// compiled string node returning strlit3692 (depth = 6)
  int op_slot_right_3691 = gc_frame_newslot(strlit3692);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_3691 = gc_frame_newslot(*var_c);
  params[0] = strlit3692;
  partcv[0] = 1;
  Object opresult3694 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3694 (depth = 5)
  Object if3690 = done;
  if (istrue(opresult3694)) {
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3695 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3696 = alloc_Float64(4);
// compiled num node returning num3696 (depth = 6)
  gc_frame_newslot(num3696);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3697 = gc_frame_new();
// call case 3: self.outer request
  Object call3698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3697);
// compiled member node returning call3698 (depth = 6)
  params[0] = num3696;
  partcv[0] = 1;
  Object call3699 = callmethodflags(call3698, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3695);
// compiled call node returning call3699 (depth = 5)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3700 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3701 = alloc_Float64(0);
// compiled num node returning num3701 (depth = 6)
  gc_frame_newslot(num3701);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3702 = gc_frame_new();
// call case 3: self.outer request
  Object call3703 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3702);
// compiled member node returning call3703 (depth = 6)
  params[0] = num3701;
  partcv[0] = 1;
  Object call3704 = callmethodflags(call3703, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3700);
// compiled call node returning call3704 (depth = 5)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3705 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3706 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3707 = gc_frame_new();
// call case 3: self.outer request
  Object call3708 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3707);
// compiled member node returning call3708 (depth = 7)
  Object call3709 = callmethodflags(call3708, "unicodeState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3706);
// compiled member node returning call3709 (depth = 6)
  gc_frame_newslot(call3709);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3710 = gc_frame_new();
// call case 3: self.outer request
  Object call3711 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3710);
// compiled member node returning call3711 (depth = 6)
  params[0] = call3709;
  partcv[0] = 1;
  Object call3712 = callmethodflags(call3711, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3705);
// compiled call node returning call3712 (depth = 5)
    gc_frame_newslot(call3712);
    if3690 = call3712;
  } else {
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3715 == NULL) {
    strlit3715 = alloc_String("U");
    gc_root(strlit3715);
  }
// compiled string node returning strlit3715 (depth = 7)
  int op_slot_right_3714 = gc_frame_newslot(strlit3715);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3714 = gc_frame_newslot(*var_c);
  params[0] = strlit3715;
  partcv[0] = 1;
  Object opresult3717 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3717 (depth = 6)
  Object if3713 = done;
  if (istrue(opresult3717)) {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3718 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num3719 = alloc_Float64(6);
// compiled num node returning num3719 (depth = 7)
  gc_frame_newslot(num3719);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3720 = gc_frame_new();
// call case 3: self.outer request
  Object call3721 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3720);
// compiled member node returning call3721 (depth = 7)
  params[0] = num3719;
  partcv[0] = 1;
  Object call3722 = callmethodflags(call3721, "unichars:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3718);
// compiled call node returning call3722 (depth = 6)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3723 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num3724 = alloc_Float64(0);
// compiled num node returning num3724 (depth = 7)
  gc_frame_newslot(num3724);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3725 = gc_frame_new();
// call case 3: self.outer request
  Object call3726 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3725);
// compiled member node returning call3726 (depth = 7)
  params[0] = num3724;
  partcv[0] = 1;
  Object call3727 = callmethodflags(call3726, "codepoint:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3723);
// compiled call node returning call3727 (depth = 6)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3728 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3729 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3730 = gc_frame_new();
// call case 3: self.outer request
  Object call3731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3730);
// compiled member node returning call3731 (depth = 8)
  Object call3732 = callmethodflags(call3731, "unicodeState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3729);
// compiled member node returning call3732 (depth = 7)
  gc_frame_newslot(call3732);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3733 = gc_frame_new();
// call case 3: self.outer request
  Object call3734 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3733);
// compiled member node returning call3734 (depth = 7)
  params[0] = call3732;
  partcv[0] = 1;
  Object call3735 = callmethodflags(call3734, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3728);
// compiled call node returning call3735 (depth = 6)
    gc_frame_newslot(call3735);
    if3713 = call3735;
  } else {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3738 == NULL) {
    strlit3738 = alloc_String("t");
    gc_root(strlit3738);
  }
// compiled string node returning strlit3738 (depth = 8)
  int op_slot_right_3737 = gc_frame_newslot(strlit3738);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3737 = gc_frame_newslot(*var_c);
  params[0] = strlit3738;
  partcv[0] = 1;
  Object opresult3740 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3740 (depth = 7)
  Object if3736 = done;
  if (istrue(opresult3740)) {
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3741 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("""\x09""");
    gc_root(strlit3743);
  }
// compiled string node returning strlit3743 (depth = 9)
  int op_slot_right_3742 = gc_frame_newslot(strlit3743);
// starting to compile member node (depth = 9)
  int callframe3745 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3746 = gc_frame_new();
// call case 3: self.outer request
  Object call3747 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3746);
// compiled member node returning call3747 (depth = 10)
  Object call3748 = callmethodflags(call3747, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3745);
// compiled member node returning call3748 (depth = 9)
  int op_slot_left_3742 = gc_frame_newslot(call3748);
  params[0] = strlit3743;
  partcv[0] = 1;
  Object opresult3749 = callmethod(call3748, "++(1)", 1, partcv, params);
// compiled op node returning opresult3749 (depth = 8)
  gc_frame_newslot(opresult3749);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3750 = gc_frame_new();
// call case 3: self.outer request
  Object call3751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3750);
// compiled member node returning call3751 (depth = 8)
  params[0] = opresult3749;
  partcv[0] = 1;
  Object call3752 = callmethodflags(call3751, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3741);
// compiled call node returning call3752 (depth = 7)
    gc_frame_newslot(call3752);
    if3736 = call3752;
  } else {
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3755 == NULL) {
    strlit3755 = alloc_String("r");
    gc_root(strlit3755);
  }
// compiled string node returning strlit3755 (depth = 9)
  int op_slot_right_3754 = gc_frame_newslot(strlit3755);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3754 = gc_frame_newslot(*var_c);
  params[0] = strlit3755;
  partcv[0] = 1;
  Object opresult3757 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3757 (depth = 8)
  Object if3753 = done;
  if (istrue(opresult3757)) {
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3758 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3760 == NULL) {
    strlit3760 = alloc_String("""\x0d""");
    gc_root(strlit3760);
  }
// compiled string node returning strlit3760 (depth = 10)
  int op_slot_right_3759 = gc_frame_newslot(strlit3760);
// starting to compile member node (depth = 10)
  int callframe3762 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3763 = gc_frame_new();
// call case 3: self.outer request
  Object call3764 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3763);
// compiled member node returning call3764 (depth = 11)
  Object call3765 = callmethodflags(call3764, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3762);
// compiled member node returning call3765 (depth = 10)
  int op_slot_left_3759 = gc_frame_newslot(call3765);
  params[0] = strlit3760;
  partcv[0] = 1;
  Object opresult3766 = callmethod(call3765, "++(1)", 1, partcv, params);
// compiled op node returning opresult3766 (depth = 9)
  gc_frame_newslot(opresult3766);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3767 = gc_frame_new();
// call case 3: self.outer request
  Object call3768 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3767);
// compiled member node returning call3768 (depth = 9)
  params[0] = opresult3766;
  partcv[0] = 1;
  Object call3769 = callmethodflags(call3768, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3758);
// compiled call node returning call3769 (depth = 8)
    gc_frame_newslot(call3769);
    if3753 = call3769;
  } else {
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3772 == NULL) {
    strlit3772 = alloc_String("b");
    gc_root(strlit3772);
  }
// compiled string node returning strlit3772 (depth = 10)
  int op_slot_right_3771 = gc_frame_newslot(strlit3772);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_3771 = gc_frame_newslot(*var_c);
  params[0] = strlit3772;
  partcv[0] = 1;
  Object opresult3774 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3774 (depth = 9)
  Object if3770 = done;
  if (istrue(opresult3774)) {
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3775 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3777 == NULL) {
    strlit3777 = alloc_String("""\x08""");
    gc_root(strlit3777);
  }
// compiled string node returning strlit3777 (depth = 11)
  int op_slot_right_3776 = gc_frame_newslot(strlit3777);
// starting to compile member node (depth = 11)
  int callframe3779 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3780 = gc_frame_new();
// call case 3: self.outer request
  Object call3781 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3780);
// compiled member node returning call3781 (depth = 12)
  Object call3782 = callmethodflags(call3781, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3779);
// compiled member node returning call3782 (depth = 11)
  int op_slot_left_3776 = gc_frame_newslot(call3782);
  params[0] = strlit3777;
  partcv[0] = 1;
  Object opresult3783 = callmethod(call3782, "++(1)", 1, partcv, params);
// compiled op node returning opresult3783 (depth = 10)
  gc_frame_newslot(opresult3783);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3784 = gc_frame_new();
// call case 3: self.outer request
  Object call3785 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3784);
// compiled member node returning call3785 (depth = 10)
  params[0] = opresult3783;
  partcv[0] = 1;
  Object call3786 = callmethodflags(call3785, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3775);
// compiled call node returning call3786 (depth = 9)
    gc_frame_newslot(call3786);
    if3770 = call3786;
  } else {
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3789 == NULL) {
    strlit3789 = alloc_String("l");
    gc_root(strlit3789);
  }
// compiled string node returning strlit3789 (depth = 11)
  int op_slot_right_3788 = gc_frame_newslot(strlit3789);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3788 = gc_frame_newslot(*var_c);
  params[0] = strlit3789;
  partcv[0] = 1;
  Object opresult3791 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3791 (depth = 10)
  Object if3787 = done;
  if (istrue(opresult3791)) {
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3792 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3794 == NULL) {
    strlit3794 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3794);
  }
// compiled string node returning strlit3794 (depth = 12)
  int op_slot_right_3793 = gc_frame_newslot(strlit3794);
// starting to compile member node (depth = 12)
  int callframe3796 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe3797 = gc_frame_new();
// call case 3: self.outer request
  Object call3798 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3797);
// compiled member node returning call3798 (depth = 13)
  Object call3799 = callmethodflags(call3798, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3796);
// compiled member node returning call3799 (depth = 12)
  int op_slot_left_3793 = gc_frame_newslot(call3799);
  params[0] = strlit3794;
  partcv[0] = 1;
  Object opresult3800 = callmethod(call3799, "++(1)", 1, partcv, params);
// compiled op node returning opresult3800 (depth = 11)
  gc_frame_newslot(opresult3800);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3801 = gc_frame_new();
// call case 3: self.outer request
  Object call3802 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3801);
// compiled member node returning call3802 (depth = 11)
  params[0] = opresult3800;
  partcv[0] = 1;
  Object call3803 = callmethodflags(call3802, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3792);
// compiled call node returning call3803 (depth = 10)
    gc_frame_newslot(call3803);
    if3787 = call3803;
  } else {
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3806 == NULL) {
    strlit3806 = alloc_String("f");
    gc_root(strlit3806);
  }
// compiled string node returning strlit3806 (depth = 12)
  int op_slot_right_3805 = gc_frame_newslot(strlit3806);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_3805 = gc_frame_newslot(*var_c);
  params[0] = strlit3806;
  partcv[0] = 1;
  Object opresult3808 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3808 (depth = 11)
  Object if3804 = done;
  if (istrue(opresult3808)) {
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3809 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3811 == NULL) {
    strlit3811 = alloc_String("""\x0c""");
    gc_root(strlit3811);
  }
// compiled string node returning strlit3811 (depth = 13)
  int op_slot_right_3810 = gc_frame_newslot(strlit3811);
// starting to compile member node (depth = 13)
  int callframe3813 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3814 = gc_frame_new();
// call case 3: self.outer request
  Object call3815 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3814);
// compiled member node returning call3815 (depth = 14)
  Object call3816 = callmethodflags(call3815, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3813);
// compiled member node returning call3816 (depth = 13)
  int op_slot_left_3810 = gc_frame_newslot(call3816);
  params[0] = strlit3811;
  partcv[0] = 1;
  Object opresult3817 = callmethod(call3816, "++(1)", 1, partcv, params);
// compiled op node returning opresult3817 (depth = 12)
  gc_frame_newslot(opresult3817);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3818 = gc_frame_new();
// call case 3: self.outer request
  Object call3819 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3818);
// compiled member node returning call3819 (depth = 12)
  params[0] = opresult3817;
  partcv[0] = 1;
  Object call3820 = callmethodflags(call3819, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3809);
// compiled call node returning call3820 (depth = 11)
    gc_frame_newslot(call3820);
    if3804 = call3820;
  } else {
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3823 == NULL) {
    strlit3823 = alloc_String("e");
    gc_root(strlit3823);
  }
// compiled string node returning strlit3823 (depth = 13)
  int op_slot_right_3822 = gc_frame_newslot(strlit3823);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_3822 = gc_frame_newslot(*var_c);
  params[0] = strlit3823;
  partcv[0] = 1;
  Object opresult3825 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3825 (depth = 12)
  Object if3821 = done;
  if (istrue(opresult3825)) {
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe3826 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3828 == NULL) {
    strlit3828 = alloc_String("""\x1b""");
    gc_root(strlit3828);
  }
// compiled string node returning strlit3828 (depth = 14)
  int op_slot_right_3827 = gc_frame_newslot(strlit3828);
// starting to compile member node (depth = 14)
  int callframe3830 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe3831 = gc_frame_new();
// call case 3: self.outer request
  Object call3832 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3831);
// compiled member node returning call3832 (depth = 15)
  Object call3833 = callmethodflags(call3832, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3830);
// compiled member node returning call3833 (depth = 14)
  int op_slot_left_3827 = gc_frame_newslot(call3833);
  params[0] = strlit3828;
  partcv[0] = 1;
  Object opresult3834 = callmethod(call3833, "++(1)", 1, partcv, params);
// compiled op node returning opresult3834 (depth = 13)
  gc_frame_newslot(opresult3834);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe3835 = gc_frame_new();
// call case 3: self.outer request
  Object call3836 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3835);
// compiled member node returning call3836 (depth = 13)
  params[0] = opresult3834;
  partcv[0] = 1;
  Object call3837 = callmethodflags(call3836, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3826);
// compiled call node returning call3837 (depth = 12)
    gc_frame_newslot(call3837);
    if3821 = call3837;
  } else {
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3840 == NULL) {
    strlit3840 = alloc_String("_");
    gc_root(strlit3840);
  }
// compiled string node returning strlit3840 (depth = 14)
  int op_slot_right_3839 = gc_frame_newslot(strlit3840);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_3839 = gc_frame_newslot(*var_c);
  params[0] = strlit3840;
  partcv[0] = 1;
  Object opresult3842 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3842 (depth = 13)
  Object if3838 = done;
  if (istrue(opresult3842)) {
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3843 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3845 == NULL) {
    strlit3845 = alloc_String("""\xc2""""\xa0""");
    gc_root(strlit3845);
  }
// compiled string node returning strlit3845 (depth = 15)
  int op_slot_right_3844 = gc_frame_newslot(strlit3845);
// starting to compile member node (depth = 15)
  int callframe3847 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe3848 = gc_frame_new();
// call case 3: self.outer request
  Object call3849 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3848);
// compiled member node returning call3849 (depth = 16)
  Object call3850 = callmethodflags(call3849, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3847);
// compiled member node returning call3850 (depth = 15)
  int op_slot_left_3844 = gc_frame_newslot(call3850);
  params[0] = strlit3845;
  partcv[0] = 1;
  Object opresult3851 = callmethod(call3850, "++(1)", 1, partcv, params);
// compiled op node returning opresult3851 (depth = 14)
  gc_frame_newslot(opresult3851);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3852 = gc_frame_new();
// call case 3: self.outer request
  Object call3853 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3852);
// compiled member node returning call3853 (depth = 14)
  params[0] = opresult3851;
  partcv[0] = 1;
  Object call3854 = callmethodflags(call3853, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3843);
// compiled call node returning call3854 (depth = 13)
    gc_frame_newslot(call3854);
    if3838 = call3854;
  } else {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3855 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe3856 = gc_frame_new();
// call case 3: self.outer request
  Object call3857 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3856);
// compiled member node returning call3857 (depth = 14)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3858 = callmethodflags(call3857, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3855);
// compiled call node returning call3858 (depth = 13)
    gc_frame_newslot(call3858);
    if3838 = call3858;
  }
// compiled if node returning if3838 (depth = 12)
    gc_frame_newslot(if3838);
    if3821 = if3838;
  }
// compiled if node returning if3821 (depth = 11)
    gc_frame_newslot(if3821);
    if3804 = if3821;
  }
// compiled if node returning if3804 (depth = 10)
    gc_frame_newslot(if3804);
    if3787 = if3804;
  }
// compiled if node returning if3787 (depth = 9)
    gc_frame_newslot(if3787);
    if3770 = if3787;
  }
// compiled if node returning if3770 (depth = 8)
    gc_frame_newslot(if3770);
    if3753 = if3770;
  }
// compiled if node returning if3753 (depth = 7)
    gc_frame_newslot(if3753);
    if3736 = if3753;
  }
// compiled if node returning if3736 (depth = 6)
    gc_frame_newslot(if3736);
    if3713 = if3736;
  }
// compiled if node returning if3713 (depth = 5)
    gc_frame_newslot(if3713);
    if3690 = if3713;
  }
// compiled if node returning if3690 (depth = 4)
    gc_frame_newslot(if3690);
    if3673 = if3690;
  }
// compiled if node returning if3673 (depth = 3)
    gc_frame_newslot(if3673);
    if3664 = if3673;
  }
// compiled if node returning if3664 (depth = 2)
  gc_frame_end(frame);
  return if3664;
}
Object meth_lexer_consume_40_1_41_3861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3864 == NULL) {
    strlit3864 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit3864);
  }
// compiled string node returning strlit3864 (depth = 4)
  int op_slot_right_3863 = gc_frame_newslot(strlit3864);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_3863 = gc_frame_newslot(*var_c);
  params[0] = strlit3864;
  partcv[0] = 1;
  Object opresult3866 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3866 (depth = 3)
  Object if3862 = done;
  if (istrue(opresult3866)) {
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3867 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3868 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3870 = gc_frame_new();
// call case 3: self.outer request
  Object call3871 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3870);
// compiled member node returning call3871 (depth = 6)
  Object call3872 = callmethodflags(call3871, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3869);
// compiled member node returning call3872 (depth = 5)
  gc_frame_newslot(call3872);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3873 = gc_frame_new();
// call case 3: self.outer request
  Object call3874 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3873);
// compiled member node returning call3874 (depth = 5)
  params[0] = call3872;
  partcv[0] = 1;
  Object call3875 = callmethodflags(call3874, "multiLineStringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3868);
// compiled call node returning call3875 (depth = 4)
  gc_frame_newslot(call3875);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3876 = gc_frame_new();
// call case 3: self.outer request
  Object call3877 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3876);
// compiled member node returning call3877 (depth = 4)
  params[0] = call3875;
  partcv[0] = 1;
  Object call3878 = callmethodflags(call3877, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3867);
// compiled call node returning call3878 (depth = 3)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3879 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3880 = alloc_Boolean(0);
// compiled identifier node returning bool3880 (depth = 4)
  gc_frame_newslot(bool3880);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3881 = gc_frame_new();
// call case 3: self.outer request
  Object call3882 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3881);
// compiled member node returning call3882 (depth = 4)
  params[0] = bool3880;
  partcv[0] = 1;
  Object call3883 = callmethodflags(call3882, "inStr:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3879);
// compiled call node returning call3883 (depth = 3)
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3884 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3885 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3886 = gc_frame_new();
// call case 3: self.outer request
  Object call3887 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3886);
// compiled member node returning call3887 (depth = 5)
  Object call3888 = callmethodflags(call3887, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3885);
// compiled member node returning call3888 (depth = 4)
  gc_frame_newslot(call3888);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3889 = gc_frame_new();
// call case 3: self.outer request
  Object call3890 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3889);
// compiled member node returning call3890 (depth = 4)
  params[0] = call3888;
  partcv[0] = 1;
  Object call3891 = callmethodflags(call3890, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3884);
// compiled call node returning call3891 (depth = 3)
    gc_frame_newslot(call3891);
    if3862 = call3891;
  } else {
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3892 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3893 = gc_frame_new();
// call case 3: self.outer request
  Object call3894 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3893);
// compiled member node returning call3894 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3895 = callmethodflags(call3894, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3892);
// compiled call node returning call3895 (depth = 3)
    gc_frame_newslot(call3895);
    if3862 = call3895;
  }
// compiled if node returning if3862 (depth = 2)
  gc_frame_end(frame);
  return if3862;
}
Object meth_lexer_consume_40_1_41_3898(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[5];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3899 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe3900 = gc_frame_new();
// call case 3: self.outer request
  Object call3901 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3900);
// compiled member node returning call3901 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3902 = callmethodflags(call3901, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3899);
// compiled call node returning call3902 (depth = 2)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3904 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3905 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3906 = gc_frame_new();
// call case 3: self.outer request
  Object call3907 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3906);
// compiled member node returning call3907 (depth = 5)
  Object call3908 = callmethodflags(call3907, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3905);
// compiled member node returning call3908 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3909 = callmethodflags(call3908, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3904);
// compiled call node returning call3909 (depth = 3)
  Object if3903 = done;
  if (istrue(call3909)) {
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3910 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3911 = gc_frame_new();
// call case 3: self.outer request
  Object call3912 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3911);
// compiled member node returning call3912 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3913 = callmethodflags(call3912, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3910);
// compiled call node returning call3913 (depth = 3)
    gc_frame_newslot(call3913);
    if3903 = call3913;
  } else {
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3916 == NULL) {
    strlit3916 = alloc_String("x");
    gc_root(strlit3916);
  }
// compiled string node returning strlit3916 (depth = 5)
  int op_slot_right_3915 = gc_frame_newslot(strlit3916);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_3915 = gc_frame_newslot(*var_c);
  params[0] = strlit3916;
  partcv[0] = 1;
  Object opresult3918 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3918 (depth = 4)
  Object if3914 = done;
  if (istrue(opresult3918)) {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3919 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3920 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3921 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3922 = gc_frame_new();
// call case 3: self.outer request
  Object call3923 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3922);
// compiled member node returning call3923 (depth = 7)
  Object call3924 = callmethodflags(call3923, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3921);
// compiled member node returning call3924 (depth = 6)
  Object call3925 = callmethodflags(call3924, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe3920);
// compiled member node returning call3925 (depth = 5)
  gc_frame_newslot(call3925);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3926 = gc_frame_new();
// call case 3: self.outer request
  Object call3927 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3926);
// compiled member node returning call3927 (depth = 5)
  params[0] = call3925;
  partcv[0] = 1;
  Object call3928 = callmethodflags(call3927, "tokenBase:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3919);
// compiled call node returning call3928 (depth = 4)
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3931 = alloc_Float64(0);
// compiled num node returning num3931 (depth = 6)
  int op_slot_right_3930 = gc_frame_newslot(num3931);
// starting to compile member node (depth = 6)
  int callframe3933 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3934 = gc_frame_new();
// call case 3: self.outer request
  Object call3935 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3934);
// compiled member node returning call3935 (depth = 7)
  Object call3936 = callmethodflags(call3935, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3933);
// compiled member node returning call3936 (depth = 6)
  int op_slot_left_3930 = gc_frame_newslot(call3936);
  params[0] = num3931;
  partcv[0] = 1;
  Object opresult3937 = callmethod(call3936, "==(1)", 1, partcv, params);
// compiled op node returning opresult3937 (depth = 5)
  Object if3929 = done;
  if (istrue(opresult3937)) {
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3938 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3939 = alloc_Float64(16);
// compiled num node returning num3939 (depth = 6)
  gc_frame_newslot(num3939);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3940 = gc_frame_new();
// call case 3: self.outer request
  Object call3941 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3940);
// compiled member node returning call3941 (depth = 6)
  params[0] = num3939;
  partcv[0] = 1;
  Object call3942 = callmethodflags(call3941, "tokenBase:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3938);
// compiled call node returning call3942 (depth = 5)
    gc_frame_newslot(call3942);
    if3929 = call3942;
  } else {
  }
// compiled if node returning if3929 (depth = 4)
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3943 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3944 == NULL) {
    strlit3944 = alloc_String("");
    gc_root(strlit3944);
  }
// compiled string node returning strlit3944 (depth = 5)
  gc_frame_newslot(strlit3944);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3945 = gc_frame_new();
// call case 3: self.outer request
  Object call3946 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3945);
// compiled member node returning call3946 (depth = 5)
  params[0] = strlit3944;
  partcv[0] = 1;
  Object call3947 = callmethodflags(call3946, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3943);
// compiled call node returning call3947 (depth = 4)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3948 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3949 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3950 = gc_frame_new();
// call case 3: self.outer request
  Object call3951 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3950);
// compiled member node returning call3951 (depth = 6)
  Object call3952 = callmethodflags(call3951, "numberBaseState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3949);
// compiled member node returning call3952 (depth = 5)
  gc_frame_newslot(call3952);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3953 = gc_frame_new();
// call case 3: self.outer request
  Object call3954 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3953);
// compiled member node returning call3954 (depth = 5)
  params[0] = call3952;
  partcv[0] = 1;
  Object call3955 = callmethodflags(call3954, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3948);
// compiled call node returning call3955 (depth = 4)
    gc_frame_newslot(call3955);
    if3914 = call3955;
  } else {
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3959 == NULL) {
    strlit3959 = alloc_String("E");
    gc_root(strlit3959);
  }
// compiled string node returning strlit3959 (depth = 7)
  int op_slot_right_3958 = gc_frame_newslot(strlit3959);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3958 = gc_frame_newslot(*var_c);
  params[0] = strlit3959;
  partcv[0] = 1;
  Object opresult3961 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3961 (depth = 6)
  int op_slot_right_3957 = gc_frame_newslot(opresult3961);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3964 == NULL) {
    strlit3964 = alloc_String("e");
    gc_root(strlit3964);
  }
// compiled string node returning strlit3964 (depth = 7)
  int op_slot_right_3963 = gc_frame_newslot(strlit3964);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_3963 = gc_frame_newslot(*var_c);
  params[0] = strlit3964;
  partcv[0] = 1;
  Object opresult3966 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3966 (depth = 6)
  int op_slot_left_3957 = gc_frame_newslot(opresult3966);
  params[0] = opresult3961;
  partcv[0] = 1;
  Object opresult3967 = callmethod(opresult3966, "||(1)", 1, partcv, params);
// compiled op node returning opresult3967 (depth = 5)
  Object if3956 = done;
  if (istrue(opresult3967)) {
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3968 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3969 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3970 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3971 = gc_frame_new();
// call case 3: self.outer request
  Object call3972 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3971);
// compiled member node returning call3972 (depth = 8)
  Object call3973 = callmethodflags(call3972, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3970);
// compiled member node returning call3973 (depth = 7)
  Object call3974 = callmethodflags(call3973, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe3969);
// compiled member node returning call3974 (depth = 6)
  gc_frame_newslot(call3974);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3975 = gc_frame_new();
// call case 3: self.outer request
  Object call3976 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3975);
// compiled member node returning call3976 (depth = 6)
  params[0] = call3974;
  partcv[0] = 1;
  Object call3977 = callmethodflags(call3976, "mantissa:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3968);
// compiled call node returning call3977 (depth = 5)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3978 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3979 == NULL) {
    strlit3979 = alloc_String("");
    gc_root(strlit3979);
  }
// compiled string node returning strlit3979 (depth = 6)
  gc_frame_newslot(strlit3979);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3980 = gc_frame_new();
// call case 3: self.outer request
  Object call3981 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3980);
// compiled member node returning call3981 (depth = 6)
  params[0] = strlit3979;
  partcv[0] = 1;
  Object call3982 = callmethodflags(call3981, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3978);
// compiled call node returning call3982 (depth = 5)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3983 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3984 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3985 = gc_frame_new();
// call case 3: self.outer request
  Object call3986 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3985);
// compiled member node returning call3986 (depth = 7)
  Object call3987 = callmethodflags(call3986, "numberExponentSignState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3984);
// compiled member node returning call3987 (depth = 6)
  gc_frame_newslot(call3987);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3988 = gc_frame_new();
// call case 3: self.outer request
  Object call3989 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3988);
// compiled member node returning call3989 (depth = 6)
  params[0] = call3987;
  partcv[0] = 1;
  Object call3990 = callmethodflags(call3989, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3983);
// compiled call node returning call3990 (depth = 5)
    gc_frame_newslot(call3990);
    if3956 = call3990;
  } else {
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3992 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3993 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3994 = gc_frame_new();
// call case 3: self.outer request
  Object call3995 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3994);
// compiled member node returning call3995 (depth = 8)
  Object call3996 = callmethodflags(call3995, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3993);
// compiled member node returning call3996 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3997 = callmethodflags(call3996, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3992);
// compiled call node returning call3997 (depth = 6)
  Object if3991 = done;
  if (istrue(call3997)) {
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3998 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3999 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call4000 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3999);
// compiled member node returning call4000 (depth = 8)
  Object call4001 = callmethodflags(call4000, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3998);
// compiled member node returning call4001 (depth = 7)
  *var_suggestion = call4001;
  if (call4001 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4002 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4003 == NULL) {
    strlit4003 = alloc_String(".");
    gc_root(strlit4003);
  }
// compiled string node returning strlit4003 (depth = 7)
  gc_frame_newslot(strlit4003);
// starting to compile member node (depth = 7)
  int callframe4004 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4005 = gc_frame_new();
// call case 3: self.outer request
  Object call4006 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4005);
// compiled member node returning call4006 (depth = 8)
  Object call4007 = callmethodflags(call4006, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4004);
// compiled member node returning call4007 (depth = 7)
  gc_frame_newslot(call4007);
// starting to compile member node (depth = 7)
  int callframe4008 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4009 = gc_frame_new();
// call case 3: self.outer request
  Object call4010 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4009);
// compiled member node returning call4010 (depth = 8)
  Object call4011 = callmethodflags(call4010, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4008);
// compiled member node returning call4011 (depth = 7)
  gc_frame_newslot(call4011);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4003;
  params[1] = call4007;
  params[2] = call4011;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4012 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4002);
// compiled call node returning call4012 (depth = 6)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4013 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4015 == NULL) {
    strlit4015 = alloc_String("' is not a valid digit in base 10. Valid digits are 0..9.");
    gc_root(strlit4015);
  }
// compiled string node returning strlit4015 (depth = 8)
  int op_slot_right_4014 = gc_frame_newslot(strlit4015);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_4017 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 9)
  if (strlit4019 == NULL) {
    strlit4019 = alloc_String("'");
    gc_root(strlit4019);
  }
// compiled string node returning strlit4019 (depth = 9)
  int op_slot_left_4017 = gc_frame_newslot(strlit4019);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4020 = callmethod(strlit4019, "++(1)", 1, partcv, params);
// compiled op node returning opresult4020 (depth = 8)
  int op_slot_left_4014 = gc_frame_newslot(opresult4020);
  params[0] = strlit4015;
  partcv[0] = 1;
  Object opresult4021 = callmethod(opresult4020, "++(1)", 1, partcv, params);
// compiled op node returning opresult4021 (depth = 7)
  gc_frame_newslot(opresult4021);
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4022 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4023 = gc_frame_new();
// call case 3: self.outer request
  Object call4024 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4023);
// compiled member node returning call4024 (depth = 8)
  Object call4025 = callmethodflags(call4024, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4022);
// compiled member node returning call4025 (depth = 7)
  gc_frame_newslot(call4025);
// starting to compile member node (depth = 7)
  int callframe4026 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4027 = gc_frame_new();
// call case 3: self.outer request
  Object call4028 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4027);
// compiled member node returning call4028 (depth = 8)
  Object call4029 = callmethodflags(call4028, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4026);
// compiled member node returning call4029 (depth = 7)
  gc_frame_newslot(call4029);
// starting to compile member node (depth = 7)
  int callframe4030 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4031 = gc_frame_new();
// call case 3: self.outer request
  Object call4032 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4031);
// compiled member node returning call4032 (depth = 8)
  Object call4033 = callmethodflags(call4032, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4030);
// compiled member node returning call4033 (depth = 7)
  gc_frame_newslot(call4033);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult4021;
  params[1] = call4025;
  params[2] = call4029;
  params[3] = call4033;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call4034 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4013);
// compiled call node returning call4034 (depth = 6)
    gc_frame_newslot(call4034);
    if3991 = call4034;
  } else {
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4037 == NULL) {
    strlit4037 = alloc_String(".");
    gc_root(strlit4037);
  }
// compiled string node returning strlit4037 (depth = 8)
  int op_slot_right_4036 = gc_frame_newslot(strlit4037);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_4036 = gc_frame_newslot(*var_c);
  params[0] = strlit4037;
  partcv[0] = 1;
  Object opresult4039 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4039 (depth = 7)
  Object if4035 = done;
  if (istrue(opresult4039)) {
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4040 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4042 = gc_frame_new();
// call case 3: self.outer request
  Object call4043 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4042);
// compiled member node returning call4043 (depth = 9)
  Object call4044 = callmethodflags(call4043, "numberDotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4041);
// compiled member node returning call4044 (depth = 8)
  gc_frame_newslot(call4044);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4045 = gc_frame_new();
// call case 3: self.outer request
  Object call4046 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4045);
// compiled member node returning call4046 (depth = 8)
  params[0] = call4044;
  partcv[0] = 1;
  Object call4047 = callmethodflags(call4046, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4040);
// compiled call node returning call4047 (depth = 7)
    gc_frame_newslot(call4047);
    if4035 = call4047;
  } else {
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4048 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe4049 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe4050 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4051 = gc_frame_new();
// call case 3: self.outer request
  Object call4052 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4051);
// compiled member node returning call4052 (depth = 10)
  Object call4053 = callmethodflags(call4052, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4050);
// compiled member node returning call4053 (depth = 9)
  gc_frame_newslot(call4053);
// starting to compile num node (depth = 9)
  Object num4054 = alloc_Float64(10);
// compiled num node returning num4054 (depth = 9)
  gc_frame_newslot(num4054);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4055 = gc_frame_new();
// call case 3: self.outer request
  Object call4056 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4055);
// compiled member node returning call4056 (depth = 9)
  params[0] = call4053;
  params[1] = num4054;
  partcv[0] = 2;
  Object call4057 = callmethodflags(call4056, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4049);
// compiled call node returning call4057 (depth = 8)
  gc_frame_newslot(call4057);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4058 = gc_frame_new();
// call case 3: self.outer request
  Object call4059 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4058);
// compiled member node returning call4059 (depth = 8)
  params[0] = call4057;
  partcv[0] = 1;
  Object call4060 = callmethodflags(call4059, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4048);
// compiled call node returning call4060 (depth = 7)
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4061 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4062 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4063 = gc_frame_new();
// call case 3: self.outer request
  Object call4064 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4063);
// compiled member node returning call4064 (depth = 9)
  Object call4065 = callmethodflags(call4064, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4062);
// compiled member node returning call4065 (depth = 8)
  gc_frame_newslot(call4065);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4066 = gc_frame_new();
// call case 3: self.outer request
  Object call4067 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4066);
// compiled member node returning call4067 (depth = 8)
  params[0] = call4065;
  partcv[0] = 1;
  Object call4068 = callmethodflags(call4067, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4061);
// compiled call node returning call4068 (depth = 7)
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4069 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4070 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4071 = gc_frame_new();
// call case 3: self.outer request
  Object call4072 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4071);
// compiled member node returning call4072 (depth = 9)
  Object call4073 = callmethodflags(call4072, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4070);
// compiled member node returning call4073 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4074 = callmethodflags(call4073, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4069);
// compiled call node returning call4074 (depth = 7)
    gc_frame_newslot(call4074);
    if4035 = call4074;
  }
// compiled if node returning if4035 (depth = 6)
    gc_frame_newslot(if4035);
    if3991 = if4035;
  }
// compiled if node returning if3991 (depth = 5)
    gc_frame_newslot(if3991);
    if3956 = if3991;
  }
// compiled if node returning if3956 (depth = 4)
    gc_frame_newslot(if3956);
    if3914 = if3956;
  }
// compiled if node returning if3914 (depth = 3)
    gc_frame_newslot(if3914);
    if3903 = if3914;
  }
// compiled if node returning if3903 (depth = 2)
  gc_frame_end(frame);
  return if3903;
}
Object meth_lexer_consume_40_1_41_4077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4078 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4079 = gc_frame_new();
// call case 3: self.outer request
  Object call4080 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4079);
// compiled member node returning call4080 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4081 = callmethodflags(call4080, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4078);
// compiled call node returning call4081 (depth = 2)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4084 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4085 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4086 = gc_frame_new();
// call case 3: self.outer request
  Object call4087 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4086);
// compiled member node returning call4087 (depth = 6)
  Object call4088 = callmethodflags(call4087, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4085);
// compiled member node returning call4088 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4089 = callmethodflags(call4088, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4084);
// compiled call node returning call4089 (depth = 4)
  int op_slot_right_4083 = gc_frame_newslot(call4089);
// starting to compile call node (depth = 4)
  int callframe4091 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4092 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4093 = gc_frame_new();
// call case 3: self.outer request
  Object call4094 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4093);
// compiled member node returning call4094 (depth = 6)
  Object call4095 = callmethodflags(call4094, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4092);
// compiled member node returning call4095 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4096 = callmethodflags(call4095, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4091);
// compiled call node returning call4096 (depth = 4)
  int op_slot_left_4083 = gc_frame_newslot(call4096);
  params[0] = call4089;
  partcv[0] = 1;
  Object opresult4097 = callmethod(call4096, "||(1)", 1, partcv, params);
// compiled op node returning opresult4097 (depth = 3)
  Object if4082 = done;
  if (istrue(opresult4097)) {
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4098 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4099 = gc_frame_new();
// call case 3: self.outer request
  Object call4100 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4099);
// compiled member node returning call4100 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4101 = callmethodflags(call4100, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4098);
// compiled call node returning call4101 (depth = 3)
    gc_frame_newslot(call4101);
    if4082 = call4101;
  } else {
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4105 = alloc_Float64(10);
// compiled num node returning num4105 (depth = 6)
  int op_slot_right_4104 = gc_frame_newslot(num4105);
// starting to compile member node (depth = 6)
  int callframe4107 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4108 = gc_frame_new();
// call case 3: self.outer request
  Object call4109 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4108);
// compiled member node returning call4109 (depth = 7)
  Object call4110 = callmethodflags(call4109, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4107);
// compiled member node returning call4110 (depth = 6)
  int op_slot_left_4104 = gc_frame_newslot(call4110);
  params[0] = num4105;
  partcv[0] = 1;
  Object opresult4111 = callmethod(call4110, "==(1)", 1, partcv, params);
// compiled op node returning opresult4111 (depth = 5)
  int op_slot_right_4103 = gc_frame_newslot(opresult4111);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4114 == NULL) {
    strlit4114 = alloc_String(".");
    gc_root(strlit4114);
  }
// compiled string node returning strlit4114 (depth = 6)
  int op_slot_right_4113 = gc_frame_newslot(strlit4114);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4113 = gc_frame_newslot(*var_c);
  params[0] = strlit4114;
  partcv[0] = 1;
  Object opresult4116 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4116 (depth = 5)
  int op_slot_left_4103 = gc_frame_newslot(opresult4116);
  params[0] = opresult4111;
  partcv[0] = 1;
  Object opresult4117 = callmethod(opresult4116, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4117 (depth = 4)
  Object if4102 = done;
  if (istrue(opresult4117)) {
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4118 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4119 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4120 = gc_frame_new();
// call case 3: self.outer request
  Object call4121 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4120);
// compiled member node returning call4121 (depth = 6)
  Object call4122 = callmethodflags(call4121, "numberDotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4119);
// compiled member node returning call4122 (depth = 5)
  gc_frame_newslot(call4122);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4123 = gc_frame_new();
// call case 3: self.outer request
  Object call4124 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4123);
// compiled member node returning call4124 (depth = 5)
  params[0] = call4122;
  partcv[0] = 1;
  Object call4125 = callmethodflags(call4124, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4118);
// compiled call node returning call4125 (depth = 4)
    gc_frame_newslot(call4125);
    if4102 = call4125;
  } else {
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4126 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4127 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4128 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe4129 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4130 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4131 = gc_frame_new();
// call case 3: self.outer request
  Object call4132 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4131);
// compiled member node returning call4132 (depth = 9)
  Object call4133 = callmethodflags(call4132, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4130);
// compiled member node returning call4133 (depth = 8)
  gc_frame_newslot(call4133);
// starting to compile member node (depth = 8)
  int callframe4134 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4135 = gc_frame_new();
// call case 3: self.outer request
  Object call4136 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4135);
// compiled member node returning call4136 (depth = 9)
  Object call4137 = callmethodflags(call4136, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4134);
// compiled member node returning call4137 (depth = 8)
  gc_frame_newslot(call4137);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4138 = gc_frame_new();
// call case 3: self.outer request
  Object call4139 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4138);
// compiled member node returning call4139 (depth = 8)
  params[0] = call4133;
  params[1] = call4137;
  partcv[0] = 2;
  Object call4140 = callmethodflags(call4139, "fromBase(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4129);
// compiled call node returning call4140 (depth = 7)
  Object call4141 = callmethodflags(call4140, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4128);
// compiled member node returning call4141 (depth = 6)
  gc_frame_newslot(call4141);
// starting to compile member node (depth = 6)
  int callframe4142 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4143 = gc_frame_new();
// call case 3: self.outer request
  Object call4144 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4143);
// compiled member node returning call4144 (depth = 7)
  Object call4145 = callmethodflags(call4144, "tokenBase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4142);
// compiled member node returning call4145 (depth = 6)
  gc_frame_newslot(call4145);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4146 = gc_frame_new();
// call case 3: self.outer request
  Object call4147 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4146);
// compiled member node returning call4147 (depth = 6)
  params[0] = call4141;
  params[1] = call4145;
  partcv[0] = 2;
  Object call4148 = callmethodflags(call4147, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4127);
// compiled call node returning call4148 (depth = 5)
  gc_frame_newslot(call4148);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4149 = gc_frame_new();
// call case 3: self.outer request
  Object call4150 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4149);
// compiled member node returning call4150 (depth = 5)
  params[0] = call4148;
  partcv[0] = 1;
  Object call4151 = callmethodflags(call4150, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4126);
// compiled call node returning call4151 (depth = 4)
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4152 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4153 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4154 = gc_frame_new();
// call case 3: self.outer request
  Object call4155 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4154);
// compiled member node returning call4155 (depth = 6)
  Object call4156 = callmethodflags(call4155, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4153);
// compiled member node returning call4156 (depth = 5)
  gc_frame_newslot(call4156);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4157 = gc_frame_new();
// call case 3: self.outer request
  Object call4158 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4157);
// compiled member node returning call4158 (depth = 5)
  params[0] = call4156;
  partcv[0] = 1;
  Object call4159 = callmethodflags(call4158, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4152);
// compiled call node returning call4159 (depth = 4)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4160 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4161 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4162 = gc_frame_new();
// call case 3: self.outer request
  Object call4163 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4162);
// compiled member node returning call4163 (depth = 6)
  Object call4164 = callmethodflags(call4163, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4161);
// compiled member node returning call4164 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4165 = callmethodflags(call4164, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4160);
// compiled call node returning call4165 (depth = 4)
    gc_frame_newslot(call4165);
    if4102 = call4165;
  }
// compiled if node returning if4102 (depth = 3)
    gc_frame_newslot(if4102);
    if4082 = if4102;
  }
// compiled if node returning if4082 (depth = 2)
  gc_frame_end(frame);
  return if4082;
}
Object meth_lexer_consume_40_1_41_4168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4170 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4171 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4172 = gc_frame_new();
// call case 3: self.outer request
  Object call4173 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4172);
// compiled member node returning call4173 (depth = 5)
  Object call4174 = callmethodflags(call4173, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4171);
// compiled member node returning call4174 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4175 = callmethodflags(call4174, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4170);
// compiled call node returning call4175 (depth = 3)
  Object if4169 = done;
  if (istrue(call4175)) {
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4176 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4177 == NULL) {
    strlit4177 = alloc_String(".");
    gc_root(strlit4177);
  }
// compiled string node returning strlit4177 (depth = 4)
  gc_frame_newslot(strlit4177);
// call case 6: other requests
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4178 = gc_frame_new();
// call case 3: self.outer request
  Object call4179 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4178);
// compiled member node returning call4179 (depth = 4)
  params[0] = strlit4177;
  partcv[0] = 1;
  Object call4180 = callmethodflags(call4179, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4176);
// compiled call node returning call4180 (depth = 3)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4181 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4182 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4183 = gc_frame_new();
// call case 3: self.outer request
  Object call4184 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4183);
// compiled member node returning call4184 (depth = 5)
  Object call4185 = callmethodflags(call4184, "numberFractionState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4182);
// compiled member node returning call4185 (depth = 4)
  gc_frame_newslot(call4185);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4186 = gc_frame_new();
// call case 3: self.outer request
  Object call4187 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4186);
// compiled member node returning call4187 (depth = 4)
  params[0] = call4185;
  partcv[0] = 1;
  Object call4188 = callmethodflags(call4187, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4181);
// compiled call node returning call4188 (depth = 3)
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4189 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4190 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4191 = gc_frame_new();
// call case 3: self.outer request
  Object call4192 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4191);
// compiled member node returning call4192 (depth = 5)
  Object call4193 = callmethodflags(call4192, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4190);
// compiled member node returning call4193 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4194 = callmethodflags(call4193, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4189);
// compiled call node returning call4194 (depth = 3)
    gc_frame_newslot(call4194);
    if4169 = call4194;
  } else {
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4196 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_spaceChars (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4197 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4196);
// compiled call node returning call4197 (depth = 4)
  Object if4195 = done;
  if (istrue(call4197)) {
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4198 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4199 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4200 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4201 = gc_frame_new();
// call case 3: self.outer request
  Object call4202 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4201);
// compiled member node returning call4202 (depth = 7)
  Object call4203 = callmethodflags(call4202, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4200);
// compiled member node returning call4203 (depth = 6)
  gc_frame_newslot(call4203);
// starting to compile num node (depth = 6)
  Object num4204 = alloc_Float64(10);
// compiled num node returning num4204 (depth = 6)
  gc_frame_newslot(num4204);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4205 = gc_frame_new();
// call case 3: self.outer request
  Object call4206 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4205);
// compiled member node returning call4206 (depth = 6)
  params[0] = call4203;
  params[1] = num4204;
  partcv[0] = 2;
  Object call4207 = callmethodflags(call4206, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4199);
// compiled call node returning call4207 (depth = 5)
  gc_frame_newslot(call4207);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4208 = gc_frame_new();
// call case 3: self.outer request
  Object call4209 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4208);
// compiled member node returning call4209 (depth = 5)
  params[0] = call4207;
  partcv[0] = 1;
  Object call4210 = callmethodflags(call4209, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4198);
// compiled call node returning call4210 (depth = 4)
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4211 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4212 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4213 = gc_frame_new();
// call case 3: self.outer request
  Object call4214 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4213);
// compiled member node returning call4214 (depth = 6)
  Object call4215 = callmethodflags(call4214, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4212);
// compiled member node returning call4215 (depth = 5)
  gc_frame_newslot(call4215);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4216 = gc_frame_new();
// call case 3: self.outer request
  Object call4217 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4216);
// compiled member node returning call4217 (depth = 5)
  params[0] = call4215;
  partcv[0] = 1;
  Object call4218 = callmethodflags(call4217, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4211);
// compiled call node returning call4218 (depth = 4)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4219 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4220 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4221 = gc_frame_new();
// call case 3: self.outer request
  Object call4222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4221);
// compiled member node returning call4222 (depth = 6)
  Object call4223 = callmethodflags(call4222, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4220);
// compiled member node returning call4223 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4224 = callmethodflags(call4223, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4219);
// compiled call node returning call4224 (depth = 4)
    gc_frame_newslot(call4224);
    if4195 = call4224;
  } else {
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4225 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4226 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4227 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4228 = gc_frame_new();
// call case 3: self.outer request
  Object call4229 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4228);
// compiled member node returning call4229 (depth = 7)
  Object call4230 = callmethodflags(call4229, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4227);
// compiled member node returning call4230 (depth = 6)
  gc_frame_newslot(call4230);
// starting to compile num node (depth = 6)
  Object num4231 = alloc_Float64(10);
// compiled num node returning num4231 (depth = 6)
  gc_frame_newslot(num4231);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4232 = gc_frame_new();
// call case 3: self.outer request
  Object call4233 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4232);
// compiled member node returning call4233 (depth = 6)
  params[0] = call4230;
  params[1] = num4231;
  partcv[0] = 2;
  Object call4234 = callmethodflags(call4233, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4226);
// compiled call node returning call4234 (depth = 5)
  gc_frame_newslot(call4234);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4235 = gc_frame_new();
// call case 3: self.outer request
  Object call4236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4235);
// compiled member node returning call4236 (depth = 5)
  params[0] = call4234;
  partcv[0] = 1;
  Object call4237 = callmethodflags(call4236, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4225);
// compiled call node returning call4237 (depth = 4)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4238 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4239 == NULL) {
    strlit4239 = alloc_String(".");
    gc_root(strlit4239);
  }
// compiled string node returning strlit4239 (depth = 5)
  gc_frame_newslot(strlit4239);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4240 = gc_frame_new();
// call case 3: self.outer request
  Object call4241 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4240);
// compiled member node returning call4241 (depth = 5)
  params[0] = strlit4239;
  partcv[0] = 1;
  Object call4242 = callmethodflags(call4241, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4238);
// compiled call node returning call4242 (depth = 4)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4243 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4244 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4245 = gc_frame_new();
// call case 3: self.outer request
  Object call4246 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4245);
// compiled member node returning call4246 (depth = 6)
  Object call4247 = callmethodflags(call4246, "dotState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4244);
// compiled member node returning call4247 (depth = 5)
  gc_frame_newslot(call4247);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4248 = gc_frame_new();
// call case 3: self.outer request
  Object call4249 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4248);
// compiled member node returning call4249 (depth = 5)
  params[0] = call4247;
  partcv[0] = 1;
  Object call4250 = callmethodflags(call4249, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4243);
// compiled call node returning call4250 (depth = 4)
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4251 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4252 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4253 = gc_frame_new();
// call case 3: self.outer request
  Object call4254 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4253);
// compiled member node returning call4254 (depth = 6)
  Object call4255 = callmethodflags(call4254, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4252);
// compiled member node returning call4255 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4256 = callmethodflags(call4255, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4251);
// compiled call node returning call4256 (depth = 4)
    gc_frame_newslot(call4256);
    if4195 = call4256;
  }
// compiled if node returning if4195 (depth = 3)
    gc_frame_newslot(if4195);
    if4169 = if4195;
  }
// compiled if node returning if4169 (depth = 2)
  gc_frame_end(frame);
  return if4169;
}
Object meth_lexer_consume_40_1_41_4259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4260 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4261 = gc_frame_new();
// call case 3: self.outer request
  Object call4262 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4261);
// compiled member node returning call4262 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4263 = callmethodflags(call4262, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4260);
// compiled call node returning call4263 (depth = 2)
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4265 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4266 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4267 = gc_frame_new();
// call case 3: self.outer request
  Object call4268 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4267);
// compiled member node returning call4268 (depth = 5)
  Object call4269 = callmethodflags(call4268, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4266);
// compiled member node returning call4269 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4270 = callmethodflags(call4269, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4265);
// compiled call node returning call4270 (depth = 3)
  Object if4264 = done;
  if (istrue(call4270)) {
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4271 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4272 = gc_frame_new();
// call case 3: self.outer request
  Object call4273 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4272);
// compiled member node returning call4273 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4274 = callmethodflags(call4273, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4271);
// compiled call node returning call4274 (depth = 3)
    gc_frame_newslot(call4274);
    if4264 = call4274;
  } else {
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4278 == NULL) {
    strlit4278 = alloc_String("E");
    gc_root(strlit4278);
  }
// compiled string node returning strlit4278 (depth = 6)
  int op_slot_right_4277 = gc_frame_newslot(strlit4278);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4277 = gc_frame_newslot(*var_c);
  params[0] = strlit4278;
  partcv[0] = 1;
  Object opresult4280 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4280 (depth = 5)
  int op_slot_right_4276 = gc_frame_newslot(opresult4280);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4283 == NULL) {
    strlit4283 = alloc_String("e");
    gc_root(strlit4283);
  }
// compiled string node returning strlit4283 (depth = 6)
  int op_slot_right_4282 = gc_frame_newslot(strlit4283);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_4282 = gc_frame_newslot(*var_c);
  params[0] = strlit4283;
  partcv[0] = 1;
  Object opresult4285 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4285 (depth = 5)
  int op_slot_left_4276 = gc_frame_newslot(opresult4285);
  params[0] = opresult4280;
  partcv[0] = 1;
  Object opresult4286 = callmethod(opresult4285, "||(1)", 1, partcv, params);
// compiled op node returning opresult4286 (depth = 4)
  Object if4275 = done;
  if (istrue(opresult4286)) {
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4287 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4288 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4289 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4290 = gc_frame_new();
// call case 3: self.outer request
  Object call4291 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4290);
// compiled member node returning call4291 (depth = 7)
  Object call4292 = callmethodflags(call4291, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4289);
// compiled member node returning call4292 (depth = 6)
  Object call4293 = callmethodflags(call4292, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe4288);
// compiled member node returning call4293 (depth = 5)
  gc_frame_newslot(call4293);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4294 = gc_frame_new();
// call case 3: self.outer request
  Object call4295 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4294);
// compiled member node returning call4295 (depth = 5)
  params[0] = call4293;
  partcv[0] = 1;
  Object call4296 = callmethodflags(call4295, "mantissa:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4287);
// compiled call node returning call4296 (depth = 4)
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4297 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4298 == NULL) {
    strlit4298 = alloc_String("");
    gc_root(strlit4298);
  }
// compiled string node returning strlit4298 (depth = 5)
  gc_frame_newslot(strlit4298);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4299 = gc_frame_new();
// call case 3: self.outer request
  Object call4300 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4299);
// compiled member node returning call4300 (depth = 5)
  params[0] = strlit4298;
  partcv[0] = 1;
  Object call4301 = callmethodflags(call4300, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4297);
// compiled call node returning call4301 (depth = 4)
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4302 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4303 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4304 = gc_frame_new();
// call case 3: self.outer request
  Object call4305 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4304);
// compiled member node returning call4305 (depth = 6)
  Object call4306 = callmethodflags(call4305, "numberExponentSignState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4303);
// compiled member node returning call4306 (depth = 5)
  gc_frame_newslot(call4306);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4307 = gc_frame_new();
// call case 3: self.outer request
  Object call4308 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4307);
// compiled member node returning call4308 (depth = 5)
  params[0] = call4306;
  partcv[0] = 1;
  Object call4309 = callmethodflags(call4308, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4302);
// compiled call node returning call4309 (depth = 4)
    gc_frame_newslot(call4309);
    if4275 = call4309;
  } else {
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4311 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4312 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4313 = gc_frame_new();
// call case 3: self.outer request
  Object call4314 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4313);
// compiled member node returning call4314 (depth = 7)
  Object call4315 = callmethodflags(call4314, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4312);
// compiled member node returning call4315 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4316 = callmethodflags(call4315, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4311);
// compiled call node returning call4316 (depth = 5)
  Object if4310 = done;
  if (istrue(call4316)) {
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4317 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4318 == NULL) {
    strlit4318 = alloc_String("the fractional part of a number must be in base 10.");
    gc_root(strlit4318);
  }
// compiled string node returning strlit4318 (depth = 6)
  gc_frame_newslot(strlit4318);
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4319 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4320 = gc_frame_new();
// call case 3: self.outer request
  Object call4321 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4320);
// compiled member node returning call4321 (depth = 7)
  Object call4322 = callmethodflags(call4321, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4319);
// compiled member node returning call4322 (depth = 6)
  gc_frame_newslot(call4322);
// starting to compile member node (depth = 6)
  int callframe4323 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4324 = gc_frame_new();
// call case 3: self.outer request
  Object call4325 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4324);
// compiled member node returning call4325 (depth = 7)
  Object call4326 = callmethodflags(call4325, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4323);
// compiled member node returning call4326 (depth = 6)
  gc_frame_newslot(call4326);
// starting to compile member node (depth = 6)
  int callframe4327 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4328 = gc_frame_new();
// call case 3: self.outer request
  Object call4329 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4328);
// compiled member node returning call4329 (depth = 7)
  Object call4330 = callmethodflags(call4329, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4327);
// compiled member node returning call4330 (depth = 6)
  gc_frame_newslot(call4330);
// call case 6: other requests
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4318;
  params[1] = call4322;
  params[2] = call4326;
  params[3] = call4330;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4331 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4317);
// compiled call node returning call4331 (depth = 5)
    gc_frame_newslot(call4331);
    if4310 = call4331;
  } else {
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4332 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4333 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4334 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4335 = gc_frame_new();
// call case 3: self.outer request
  Object call4336 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4335);
// compiled member node returning call4336 (depth = 8)
  Object call4337 = callmethodflags(call4336, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4334);
// compiled member node returning call4337 (depth = 7)
  gc_frame_newslot(call4337);
// starting to compile num node (depth = 7)
  Object num4338 = alloc_Float64(10);
// compiled num node returning num4338 (depth = 7)
  gc_frame_newslot(num4338);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4339 = gc_frame_new();
// call case 3: self.outer request
  Object call4340 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4339);
// compiled member node returning call4340 (depth = 7)
  params[0] = call4337;
  params[1] = num4338;
  partcv[0] = 2;
  Object call4341 = callmethodflags(call4340, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4333);
// compiled call node returning call4341 (depth = 6)
  gc_frame_newslot(call4341);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4342 = gc_frame_new();
// call case 3: self.outer request
  Object call4343 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4342);
// compiled member node returning call4343 (depth = 6)
  params[0] = call4341;
  partcv[0] = 1;
  Object call4344 = callmethodflags(call4343, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4332);
// compiled call node returning call4344 (depth = 5)
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4345 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4347 = gc_frame_new();
// call case 3: self.outer request
  Object call4348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4347);
// compiled member node returning call4348 (depth = 7)
  Object call4349 = callmethodflags(call4348, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4346);
// compiled member node returning call4349 (depth = 6)
  gc_frame_newslot(call4349);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4350 = gc_frame_new();
// call case 3: self.outer request
  Object call4351 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4350);
// compiled member node returning call4351 (depth = 6)
  params[0] = call4349;
  partcv[0] = 1;
  Object call4352 = callmethodflags(call4351, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4345);
// compiled call node returning call4352 (depth = 5)
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4353 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4354 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4355 = gc_frame_new();
// call case 3: self.outer request
  Object call4356 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4355);
// compiled member node returning call4356 (depth = 7)
  Object call4357 = callmethodflags(call4356, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4354);
// compiled member node returning call4357 (depth = 6)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4358 = callmethodflags(call4357, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4353);
// compiled call node returning call4358 (depth = 5)
    gc_frame_newslot(call4358);
    if4310 = call4358;
  }
// compiled if node returning if4310 (depth = 4)
    gc_frame_newslot(if4310);
    if4275 = if4310;
  }
// compiled if node returning if4275 (depth = 3)
    gc_frame_newslot(if4275);
    if4264 = if4275;
  }
// compiled if node returning if4264 (depth = 2)
  gc_frame_end(frame);
  return if4264;
}
Object meth_lexer_consume_40_1_41_4361(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4362 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4363 = gc_frame_new();
// call case 3: self.outer request
  Object call4364 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4363);
// compiled member node returning call4364 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4365 = callmethodflags(call4364, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4362);
// compiled call node returning call4365 (depth = 2)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4369 == NULL) {
    strlit4369 = alloc_String("-");
    gc_root(strlit4369);
  }
// compiled string node returning strlit4369 (depth = 5)
  int op_slot_right_4368 = gc_frame_newslot(strlit4369);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  int op_slot_left_4368 = gc_frame_newslot(*var_c);
  params[0] = strlit4369;
  partcv[0] = 1;
  Object opresult4371 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4371 (depth = 4)
  int op_slot_right_4367 = gc_frame_newslot(opresult4371);
// starting to compile call node (depth = 4)
  int callframe4373 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4374 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4375 = gc_frame_new();
// call case 3: self.outer request
  Object call4376 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4375);
// compiled member node returning call4376 (depth = 6)
  Object call4377 = callmethodflags(call4376, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4374);
// compiled member node returning call4377 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4378 = callmethodflags(call4377, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4373);
// compiled call node returning call4378 (depth = 4)
  int op_slot_left_4367 = gc_frame_newslot(call4378);
  params[0] = opresult4371;
  partcv[0] = 1;
  Object opresult4379 = callmethod(call4378, "||(1)", 1, partcv, params);
// compiled op node returning opresult4379 (depth = 3)
  Object if4366 = done;
  if (istrue(opresult4379)) {
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4380 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4381 = gc_frame_new();
// call case 3: self.outer request
  Object call4382 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4381);
// compiled member node returning call4382 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4383 = callmethodflags(call4382, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4380);
// compiled call node returning call4383 (depth = 3)
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4384 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4385 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4386 = gc_frame_new();
// call case 3: self.outer request
  Object call4387 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4386);
// compiled member node returning call4387 (depth = 5)
  Object call4388 = callmethodflags(call4387, "numberExponentState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4385);
// compiled member node returning call4388 (depth = 4)
  gc_frame_newslot(call4388);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4389 = gc_frame_new();
// call case 3: self.outer request
  Object call4390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4389);
// compiled member node returning call4390 (depth = 4)
  params[0] = call4388;
  partcv[0] = 1;
  Object call4391 = callmethodflags(call4390, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4384);
// compiled call node returning call4391 (depth = 3)
    gc_frame_newslot(call4391);
    if4366 = call4391;
  } else {
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4393 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4394 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4395 = gc_frame_new();
// call case 3: self.outer request
  Object call4396 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4395);
// compiled member node returning call4396 (depth = 6)
  Object call4397 = callmethodflags(call4396, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4394);
// compiled member node returning call4397 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4398 = callmethodflags(call4397, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4393);
// compiled call node returning call4398 (depth = 4)
  Object if4392 = done;
  if (istrue(call4398)) {
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4399 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4401 == NULL) {
    strlit4401 = alloc_String(" is not an allowed base-10 exponent character");
    gc_root(strlit4401);
  }
// compiled string node returning strlit4401 (depth = 6)
  int op_slot_right_4400 = gc_frame_newslot(strlit4401);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_4403 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 7)
  if (strlit4405 == NULL) {
    strlit4405 = alloc_String("");
    gc_root(strlit4405);
  }
// compiled string node returning strlit4405 (depth = 7)
  int op_slot_left_4403 = gc_frame_newslot(strlit4405);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4406 = callmethod(strlit4405, "++(1)", 1, partcv, params);
// compiled op node returning opresult4406 (depth = 6)
  int op_slot_left_4400 = gc_frame_newslot(opresult4406);
  params[0] = strlit4401;
  partcv[0] = 1;
  Object opresult4407 = callmethod(opresult4406, "++(1)", 1, partcv, params);
// compiled op node returning opresult4407 (depth = 5)
  gc_frame_newslot(opresult4407);
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4408 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4409 = gc_frame_new();
// call case 3: self.outer request
  Object call4410 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4409);
// compiled member node returning call4410 (depth = 6)
  Object call4411 = callmethodflags(call4410, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4408);
// compiled member node returning call4411 (depth = 5)
  gc_frame_newslot(call4411);
// starting to compile member node (depth = 5)
  int callframe4412 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4413 = gc_frame_new();
// call case 3: self.outer request
  Object call4414 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4413);
// compiled member node returning call4414 (depth = 6)
  Object call4415 = callmethodflags(call4414, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4412);
// compiled member node returning call4415 (depth = 5)
  gc_frame_newslot(call4415);
// starting to compile member node (depth = 5)
  int callframe4416 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4417 = gc_frame_new();
// call case 3: self.outer request
  Object call4418 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4417);
// compiled member node returning call4418 (depth = 6)
  Object call4419 = callmethodflags(call4418, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4416);
// compiled member node returning call4419 (depth = 5)
  gc_frame_newslot(call4419);
// call case 6: other requests
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult4407;
  params[1] = call4411;
  params[2] = call4415;
  params[3] = call4419;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4420 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4399);
// compiled call node returning call4420 (depth = 4)
    gc_frame_newslot(call4420);
    if4392 = call4420;
  } else {
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4421 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4422 == NULL) {
    strlit4422 = alloc_String("exponents must have at least one digit");
    gc_root(strlit4422);
  }
// compiled string node returning strlit4422 (depth = 5)
  gc_frame_newslot(strlit4422);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4423 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4424 = gc_frame_new();
// call case 3: self.outer request
  Object call4425 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4424);
// compiled member node returning call4425 (depth = 6)
  Object call4426 = callmethodflags(call4425, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4423);
// compiled member node returning call4426 (depth = 5)
  gc_frame_newslot(call4426);
// starting to compile member node (depth = 5)
  int callframe4427 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4428 = gc_frame_new();
// call case 3: self.outer request
  Object call4429 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4428);
// compiled member node returning call4429 (depth = 6)
  Object call4430 = callmethodflags(call4429, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4427);
// compiled member node returning call4430 (depth = 5)
  gc_frame_newslot(call4430);
// starting to compile member node (depth = 5)
  int callframe4431 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4432 = gc_frame_new();
// call case 3: self.outer request
  Object call4433 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4432);
// compiled member node returning call4433 (depth = 6)
  Object call4434 = callmethodflags(call4433, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4431);
// compiled member node returning call4434 (depth = 5)
  gc_frame_newslot(call4434);
// call case 6: other requests
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4422;
  params[1] = call4426;
  params[2] = call4430;
  params[3] = call4434;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4435 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4421);
// compiled call node returning call4435 (depth = 4)
    gc_frame_newslot(call4435);
    if4392 = call4435;
  }
// compiled if node returning if4392 (depth = 3)
    gc_frame_newslot(if4392);
    if4366 = if4392;
  }
// compiled if node returning if4366 (depth = 2)
  gc_frame_end(frame);
  return if4366;
}
Object meth_lexer__apply4524(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_absMultiplier = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4526 = alloc_Float64(10);
// compiled num node returning num4526 (depth = 8)
  int op_slot_right_4525 = gc_frame_newslot(num4526);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_absMultiplier (depth = 8)
  int op_slot_left_4525 = gc_frame_newslot(*var_absMultiplier);
  params[0] = num4526;
  partcv[0] = 1;
  Object prod4528 = callmethod(*var_absMultiplier, "*(1)", 1, partcv, params);
// compiled op node returning prod4528 (depth = 7)
  *var_absMultiplier = prod4528;
  if (prod4528 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_consume_40_1_41_4438(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_exponent = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "exponent");
  Object *var_absExp = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "absExp");
  Object *var_absMultiplier = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "absMultiplier");
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4439 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4440 = gc_frame_new();
// call case 3: self.outer request
  Object call4441 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4440);
// compiled member node returning call4441 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4442 = callmethodflags(call4441, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4439);
// compiled call node returning call4442 (depth = 2)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4444 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4445 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4446 = gc_frame_new();
// call case 3: self.outer request
  Object call4447 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4446);
// compiled member node returning call4447 (depth = 5)
  Object call4448 = callmethodflags(call4447, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4445);
// compiled member node returning call4448 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4449 = callmethodflags(call4448, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4444);
// compiled call node returning call4449 (depth = 3)
  Object if4443 = done;
  if (istrue(call4449)) {
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4450 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4451 = gc_frame_new();
// call case 3: self.outer request
  Object call4452 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4451);
// compiled member node returning call4452 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4453 = callmethodflags(call4452, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4450);
// compiled call node returning call4453 (depth = 3)
    gc_frame_newslot(call4453);
    if4443 = call4453;
  } else {
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4455 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4456 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4457 = gc_frame_new();
// call case 3: self.outer request
  Object call4458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4457);
// compiled member node returning call4458 (depth = 6)
  Object call4459 = callmethodflags(call4458, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4456);
// compiled member node returning call4459 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4460 = callmethodflags(call4459, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4455);
// compiled call node returning call4460 (depth = 4)
  Object if4454 = done;
  if (istrue(call4460)) {
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4461 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4463 == NULL) {
    strlit4463 = alloc_String(" is not an allowed base-10 exponent character");
    gc_root(strlit4463);
  }
// compiled string node returning strlit4463 (depth = 6)
  int op_slot_right_4462 = gc_frame_newslot(strlit4463);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_4465 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 7)
  if (strlit4467 == NULL) {
    strlit4467 = alloc_String("");
    gc_root(strlit4467);
  }
// compiled string node returning strlit4467 (depth = 7)
  int op_slot_left_4465 = gc_frame_newslot(strlit4467);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult4468 = callmethod(strlit4467, "++(1)", 1, partcv, params);
// compiled op node returning opresult4468 (depth = 6)
  int op_slot_left_4462 = gc_frame_newslot(opresult4468);
  params[0] = strlit4463;
  partcv[0] = 1;
  Object opresult4469 = callmethod(opresult4468, "++(1)", 1, partcv, params);
// compiled op node returning opresult4469 (depth = 5)
  gc_frame_newslot(opresult4469);
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4470 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4471 = gc_frame_new();
// call case 3: self.outer request
  Object call4472 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4471);
// compiled member node returning call4472 (depth = 6)
  Object call4473 = callmethodflags(call4472, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4470);
// compiled member node returning call4473 (depth = 5)
  gc_frame_newslot(call4473);
// starting to compile member node (depth = 5)
  int callframe4474 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4475 = gc_frame_new();
// call case 3: self.outer request
  Object call4476 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4475);
// compiled member node returning call4476 (depth = 6)
  Object call4477 = callmethodflags(call4476, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4474);
// compiled member node returning call4477 (depth = 5)
  gc_frame_newslot(call4477);
// starting to compile member node (depth = 5)
  int callframe4478 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4479 = gc_frame_new();
// call case 3: self.outer request
  Object call4480 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4479);
// compiled member node returning call4480 (depth = 6)
  Object call4481 = callmethodflags(call4480, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4478);
// compiled member node returning call4481 (depth = 5)
  gc_frame_newslot(call4481);
// call case 6: other requests
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult4469;
  params[1] = call4473;
  params[2] = call4477;
  params[3] = call4481;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4482 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4461);
// compiled call node returning call4482 (depth = 4)
    gc_frame_newslot(call4482);
    if4454 = call4482;
  } else {
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4485 == NULL) {
    strlit4485 = alloc_String("-");
    gc_root(strlit4485);
  }
// compiled string node returning strlit4485 (depth = 6)
  int op_slot_right_4484 = gc_frame_newslot(strlit4485);
// starting to compile member node (depth = 6)
  int callframe4487 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4488 = gc_frame_new();
// call case 3: self.outer request
  Object call4489 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4488);
// compiled member node returning call4489 (depth = 7)
  Object call4490 = callmethodflags(call4489, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4487);
// compiled member node returning call4490 (depth = 6)
  int op_slot_left_4484 = gc_frame_newslot(call4490);
  params[0] = strlit4485;
  partcv[0] = 1;
  Object opresult4491 = callmethod(call4490, "==(1)", 1, partcv, params);
// compiled op node returning opresult4491 (depth = 5)
  Object if4483 = done;
  if (istrue(opresult4491)) {
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4492 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4493 == NULL) {
    strlit4493 = alloc_String("exponents must have at least one digit");
    gc_root(strlit4493);
  }
// compiled string node returning strlit4493 (depth = 6)
  gc_frame_newslot(strlit4493);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4494 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4495 = gc_frame_new();
// call case 3: self.outer request
  Object call4496 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4495);
// compiled member node returning call4496 (depth = 7)
  Object call4497 = callmethodflags(call4496, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4494);
// compiled member node returning call4497 (depth = 6)
  gc_frame_newslot(call4497);
// starting to compile member node (depth = 6)
  int callframe4498 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4499 = gc_frame_new();
// call case 3: self.outer request
  Object call4500 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4499);
// compiled member node returning call4500 (depth = 7)
  Object call4501 = callmethodflags(call4500, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4498);
// compiled member node returning call4501 (depth = 6)
  gc_frame_newslot(call4501);
// starting to compile member node (depth = 6)
  int callframe4502 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4503 = gc_frame_new();
// call case 3: self.outer request
  Object call4504 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4503);
// compiled member node returning call4504 (depth = 7)
  Object call4505 = callmethodflags(call4504, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4502);
// compiled member node returning call4505 (depth = 6)
  gc_frame_newslot(call4505);
// call case 6: other requests
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4493;
  params[1] = call4497;
  params[2] = call4501;
  params[3] = call4505;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call4506 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe4492);
// compiled call node returning call4506 (depth = 5)
    gc_frame_newslot(call4506);
    if4483 = call4506;
  } else {
  }
// compiled if node returning if4483 (depth = 4)
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4507 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4508 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4509 = gc_frame_new();
// call case 3: self.outer request
  Object call4510 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4509);
// compiled member node returning call4510 (depth = 7)
  Object call4511 = callmethodflags(call4510, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4508);
// compiled member node returning call4511 (depth = 6)
  Object call4512 = callmethodflags(call4511, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe4507);
// compiled member node returning call4512 (depth = 5)
  *var_exponent = call4512;
  if (call4512 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_exponent (depth = 5)
  *var_absExp = *var_exponent;
  if (*var_exponent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4515 = alloc_Float64(0);
// compiled num node returning num4515 (depth = 6)
  int op_slot_right_4514 = gc_frame_newslot(num4515);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_exponent (depth = 6)
  int op_slot_left_4514 = gc_frame_newslot(*var_exponent);
  params[0] = num4515;
  partcv[0] = 1;
  Object opresult4517 = callmethod(*var_exponent, "<(1)", 1, partcv, params);
// compiled op node returning opresult4517 (depth = 5)
  Object if4513 = done;
  if (istrue(opresult4517)) {
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4518 = gc_frame_new();
// call case 6: other requests
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_exponent (depth = 7)
  partcv[0] = 0;
  Object call4519 = callmethodflags(*var_exponent, "prefix-", 1, partcv, params, 0);
  gc_frame_end(callframe4518);
// compiled call node returning call4519 (depth = 6)
  *var_absExp = call4519;
  if (call4519 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4513 = done;
  } else {
  }
// compiled if node returning if4513 (depth = 4)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4521 = alloc_Float64(1);
// compiled num node returning num4521 (depth = 5)
  *var_absMultiplier = num4521;
  if (num4521 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4522 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_absExp (depth = 5)
  gc_frame_newslot(*var_absExp);
// starting to compile block node (depth = 5)
  Object block4523 = alloc_Block(NULL, NULL, "lexer", 727);
  gc_frame_newslot(block4523);
// method "_apply"
  block_savedest(block4523);
  Object closure4524 = createclosure(2, "_apply");
  setclosureframe(closure4524, stackframe);
  addtoclosure(closure4524, var_absMultiplier);
  addtoclosure(closure4524, selfslot);
  struct UserObject *uo4524 = (struct UserObject*)block4523;
  uo4524->data[0] = (Object)closure4524;
  Method *meth_meth_lexer__apply4524 = addmethod2pos(block4523, "_apply", &meth_lexer__apply4524, 0);
  int argcv_meth_lexer__apply4524[] = {0};
  meth_meth_lexer__apply4524->type = alloc_MethodType(1, argcv_meth_lexer__apply4524);
  meth_meth_lexer__apply4524->definitionModule = modulename;
  meth_meth_lexer__apply4524->definitionLine = 1184;
// compiled block node returning block4523 (depth = 5)
  gc_frame_newslot(block4523);
// call case 5: prelude request
  params[0] = *var_absExp;
  params[1] = block4523;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4531 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4522);
// compiled call node returning call4531 (depth = 4)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4534 = alloc_Float64(0);
// compiled num node returning num4534 (depth = 6)
  int op_slot_right_4533 = gc_frame_newslot(num4534);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_exponent (depth = 6)
  int op_slot_left_4533 = gc_frame_newslot(*var_exponent);
  params[0] = num4534;
  partcv[0] = 1;
  Object opresult4536 = callmethod(*var_exponent, "≥(1)", 1, partcv, params);
// compiled op node returning opresult4536 (depth = 5)
  Object if4532 = done;
  if (istrue(opresult4536)) {
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4537 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4538 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4539 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_absMultiplier (depth = 9)
  int op_slot_right_4540 = gc_frame_newslot(*var_absMultiplier);
// starting to compile member node (depth = 9)
  int callframe4542 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4543 = gc_frame_new();
// call case 3: self.outer request
  Object call4544 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4543);
// compiled member node returning call4544 (depth = 10)
  Object call4545 = callmethodflags(call4544, "mantissa", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4542);
// compiled member node returning call4545 (depth = 9)
  int op_slot_left_4540 = gc_frame_newslot(call4545);
  params[0] = *var_absMultiplier;
  partcv[0] = 1;
  Object prod4546 = callmethod(call4545, "*(1)", 1, partcv, params);
// compiled op node returning prod4546 (depth = 8)
  Object call4547 = callmethodflags(prod4546, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4539);
// compiled member node returning call4547 (depth = 7)
  gc_frame_newslot(call4547);
// starting to compile num node (depth = 7)
  Object num4548 = alloc_Float64(10);
// compiled num node returning num4548 (depth = 7)
  gc_frame_newslot(num4548);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4549 = gc_frame_new();
// call case 3: self.outer request
  Object call4550 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4549);
// compiled member node returning call4550 (depth = 7)
  params[0] = call4547;
  params[1] = num4548;
  partcv[0] = 2;
  Object call4551 = callmethodflags(call4550, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4538);
// compiled call node returning call4551 (depth = 6)
  gc_frame_newslot(call4551);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4552 = gc_frame_new();
// call case 3: self.outer request
  Object call4553 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4552);
// compiled member node returning call4553 (depth = 6)
  params[0] = call4551;
  partcv[0] = 1;
  Object call4554 = callmethodflags(call4553, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4537);
// compiled call node returning call4554 (depth = 5)
    gc_frame_newslot(call4554);
    if4532 = call4554;
  } else {
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4555 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe4556 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4557 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_absMultiplier (depth = 9)
  int op_slot_right_4558 = gc_frame_newslot(*var_absMultiplier);
// starting to compile member node (depth = 9)
  int callframe4560 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4561 = gc_frame_new();
// call case 3: self.outer request
  Object call4562 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4561);
// compiled member node returning call4562 (depth = 10)
  Object call4563 = callmethodflags(call4562, "mantissa", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4560);
// compiled member node returning call4563 (depth = 9)
  int op_slot_left_4558 = gc_frame_newslot(call4563);
  params[0] = *var_absMultiplier;
  partcv[0] = 1;
  Object quotient4564 = callmethod(call4563, "/(1)", 1, partcv, params);
// compiled op node returning quotient4564 (depth = 8)
  Object call4565 = callmethodflags(quotient4564, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe4557);
// compiled member node returning call4565 (depth = 7)
  gc_frame_newslot(call4565);
// starting to compile num node (depth = 7)
  Object num4566 = alloc_Float64(10);
// compiled num node returning num4566 (depth = 7)
  gc_frame_newslot(num4566);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4567 = gc_frame_new();
// call case 3: self.outer request
  Object call4568 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4567);
// compiled member node returning call4568 (depth = 7)
  params[0] = call4565;
  params[1] = num4566;
  partcv[0] = 2;
  Object call4569 = callmethodflags(call4568, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4556);
// compiled call node returning call4569 (depth = 6)
  gc_frame_newslot(call4569);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4570 = gc_frame_new();
// call case 3: self.outer request
  Object call4571 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4570);
// compiled member node returning call4571 (depth = 6)
  params[0] = call4569;
  partcv[0] = 1;
  Object call4572 = callmethodflags(call4571, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4555);
// compiled call node returning call4572 (depth = 5)
    gc_frame_newslot(call4572);
    if4532 = call4572;
  }
// compiled if node returning if4532 (depth = 4)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4573 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4574 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4575 = gc_frame_new();
// call case 3: self.outer request
  Object call4576 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4575);
// compiled member node returning call4576 (depth = 6)
  Object call4577 = callmethodflags(call4576, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4574);
// compiled member node returning call4577 (depth = 5)
  gc_frame_newslot(call4577);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4578 = gc_frame_new();
// call case 3: self.outer request
  Object call4579 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4578);
// compiled member node returning call4579 (depth = 5)
  params[0] = call4577;
  partcv[0] = 1;
  Object call4580 = callmethodflags(call4579, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4573);
// compiled call node returning call4580 (depth = 4)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4581 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4582 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4583 = gc_frame_new();
// call case 3: self.outer request
  Object call4584 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4583);
// compiled member node returning call4584 (depth = 6)
  Object call4585 = callmethodflags(call4584, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4582);
// compiled member node returning call4585 (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4586 = callmethodflags(call4585, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4581);
// compiled call node returning call4586 (depth = 4)
    gc_frame_newslot(call4586);
    if4454 = call4586;
  }
// compiled if node returning if4454 (depth = 3)
    gc_frame_newslot(if4454);
    if4443 = if4454;
  }
// compiled if node returning if4443 (depth = 2)
  gc_frame_end(frame);
  return if4443;
}
Object meth_lexer_consume_40_1_41_4589(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4590 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe4591 = gc_frame_new();
// call case 3: self.outer request
  Object call4592 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4591);
// compiled member node returning call4592 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4593 = callmethodflags(call4592, "checkSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4590);
// compiled call node returning call4593 (depth = 2)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4595 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile member node (depth = 4)
  int callframe4596 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  Object call4597 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe4596);
// compiled member node returning call4597 (depth = 4)
  gc_frame_newslot(call4597);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4598 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4599 = gc_frame_new();
// call case 3: self.outer request
  Object call4600 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4599);
// compiled member node returning call4600 (depth = 5)
  Object call4601 = callmethodflags(call4600, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4598);
// compiled member node returning call4601 (depth = 4)
  params[0] = *var_c;
  params[1] = call4597;
  partcv[0] = 2;
  Object call4602 = callmethodflags(call4601, "isOperatorChar(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4595);
// compiled call node returning call4602 (depth = 3)
  Object if4594 = done;
  if (istrue(call4602)) {
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4603 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4604 = gc_frame_new();
// call case 3: self.outer request
  Object call4605 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4604);
// compiled member node returning call4605 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4606 = callmethodflags(call4605, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4603);
// compiled call node returning call4606 (depth = 3)
    gc_frame_newslot(call4606);
    if4594 = call4606;
  } else {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4609 == NULL) {
    strlit4609 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit4609);
  }
// compiled string node returning strlit4609 (depth = 5)
  int op_slot_right_4608 = gc_frame_newslot(strlit4609);
// starting to compile member node (depth = 5)
  int callframe4611 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4612 = gc_frame_new();
// call case 3: self.outer request
  Object call4613 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4612);
// compiled member node returning call4613 (depth = 6)
  Object call4614 = callmethodflags(call4613, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4611);
// compiled member node returning call4614 (depth = 5)
  int op_slot_left_4608 = gc_frame_newslot(call4614);
  params[0] = strlit4609;
  partcv[0] = 1;
  Object opresult4615 = callmethod(call4614, "==(1)", 1, partcv, params);
// compiled op node returning opresult4615 (depth = 4)
  Object if4607 = done;
  if (istrue(opresult4615)) {
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4616 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4618 = gc_frame_new();
// call case 3: self.outer request
  Object call4619 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4618);
// compiled member node returning call4619 (depth = 6)
  Object call4620 = callmethodflags(call4619, "arrowToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4617);
// compiled member node returning call4620 (depth = 5)
  gc_frame_newslot(call4620);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4621 = gc_frame_new();
// call case 3: self.outer request
  Object call4622 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4621);
// compiled member node returning call4622 (depth = 5)
  params[0] = call4620;
  partcv[0] = 1;
  Object call4623 = callmethodflags(call4622, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4616);
// compiled call node returning call4623 (depth = 4)
    gc_frame_newslot(call4623);
    if4607 = call4623;
  } else {
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4626 == NULL) {
    strlit4626 = alloc_String(":=");
    gc_root(strlit4626);
  }
// compiled string node returning strlit4626 (depth = 6)
  int op_slot_right_4625 = gc_frame_newslot(strlit4626);
// starting to compile member node (depth = 6)
  int callframe4628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4629 = gc_frame_new();
// call case 3: self.outer request
  Object call4630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4629);
// compiled member node returning call4630 (depth = 7)
  Object call4631 = callmethodflags(call4630, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4628);
// compiled member node returning call4631 (depth = 6)
  int op_slot_left_4625 = gc_frame_newslot(call4631);
  params[0] = strlit4626;
  partcv[0] = 1;
  Object opresult4632 = callmethod(call4631, "==(1)", 1, partcv, params);
// compiled op node returning opresult4632 (depth = 5)
  Object if4624 = done;
  if (istrue(opresult4632)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4633 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4634 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4635 = gc_frame_new();
// call case 3: self.outer request
  Object call4636 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4635);
// compiled member node returning call4636 (depth = 7)
  Object call4637 = callmethodflags(call4636, "bindToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4634);
// compiled member node returning call4637 (depth = 6)
  gc_frame_newslot(call4637);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4638 = gc_frame_new();
// call case 3: self.outer request
  Object call4639 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4638);
// compiled member node returning call4639 (depth = 6)
  params[0] = call4637;
  partcv[0] = 1;
  Object call4640 = callmethodflags(call4639, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4633);
// compiled call node returning call4640 (depth = 5)
    gc_frame_newslot(call4640);
    if4624 = call4640;
  } else {
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4643 == NULL) {
    strlit4643 = alloc_String(":");
    gc_root(strlit4643);
  }
// compiled string node returning strlit4643 (depth = 7)
  int op_slot_right_4642 = gc_frame_newslot(strlit4643);
// starting to compile member node (depth = 7)
  int callframe4645 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4646 = gc_frame_new();
// call case 3: self.outer request
  Object call4647 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4646);
// compiled member node returning call4647 (depth = 8)
  Object call4648 = callmethodflags(call4647, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4645);
// compiled member node returning call4648 (depth = 7)
  int op_slot_left_4642 = gc_frame_newslot(call4648);
  params[0] = strlit4643;
  partcv[0] = 1;
  Object opresult4649 = callmethod(call4648, "==(1)", 1, partcv, params);
// compiled op node returning opresult4649 (depth = 6)
  Object if4641 = done;
  if (istrue(opresult4649)) {
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4650 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4651 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4652 = gc_frame_new();
// call case 3: self.outer request
  Object call4653 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4652);
// compiled member node returning call4653 (depth = 8)
  Object call4654 = callmethodflags(call4653, "colonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4651);
// compiled member node returning call4654 (depth = 7)
  gc_frame_newslot(call4654);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4655 = gc_frame_new();
// call case 3: self.outer request
  Object call4656 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4655);
// compiled member node returning call4656 (depth = 7)
  params[0] = call4654;
  partcv[0] = 1;
  Object call4657 = callmethodflags(call4656, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4650);
// compiled call node returning call4657 (depth = 6)
    gc_frame_newslot(call4657);
    if4641 = call4657;
  } else {
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4658 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe4659 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe4660 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4661 = gc_frame_new();
// call case 3: self.outer request
  Object call4662 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4661);
// compiled member node returning call4662 (depth = 9)
  Object call4663 = callmethodflags(call4662, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4660);
// compiled member node returning call4663 (depth = 8)
  gc_frame_newslot(call4663);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4664 = gc_frame_new();
// call case 3: self.outer request
  Object call4665 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4664);
// compiled member node returning call4665 (depth = 8)
  params[0] = call4663;
  partcv[0] = 1;
  Object call4666 = callmethodflags(call4665, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4659);
// compiled call node returning call4666 (depth = 7)
  gc_frame_newslot(call4666);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4667 = gc_frame_new();
// call case 3: self.outer request
  Object call4668 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4667);
// compiled member node returning call4668 (depth = 7)
  params[0] = call4666;
  partcv[0] = 1;
  Object call4669 = callmethodflags(call4668, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4658);
// compiled call node returning call4669 (depth = 6)
    gc_frame_newslot(call4669);
    if4641 = call4669;
  }
// compiled if node returning if4641 (depth = 5)
    gc_frame_newslot(if4641);
    if4624 = if4641;
  }
// compiled if node returning if4624 (depth = 4)
    gc_frame_newslot(if4624);
    if4607 = if4624;
  }
// compiled if node returning if4607 (depth = 3)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4670 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4671 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4672 = gc_frame_new();
// call case 3: self.outer request
  Object call4673 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4672);
// compiled member node returning call4673 (depth = 5)
  Object call4674 = callmethodflags(call4673, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4671);
// compiled member node returning call4674 (depth = 4)
  gc_frame_newslot(call4674);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4675 = gc_frame_new();
// call case 3: self.outer request
  Object call4676 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4675);
// compiled member node returning call4676 (depth = 4)
  params[0] = call4674;
  partcv[0] = 1;
  Object call4677 = callmethodflags(call4676, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4670);
// compiled call node returning call4677 (depth = 3)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4678 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4679 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4680 = gc_frame_new();
// call case 3: self.outer request
  Object call4681 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4680);
// compiled member node returning call4681 (depth = 5)
  Object call4682 = callmethodflags(call4681, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4679);
// compiled member node returning call4682 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4683 = callmethodflags(call4682, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4678);
// compiled call node returning call4683 (depth = 3)
    gc_frame_newslot(call4683);
    if4594 = call4683;
  }
// compiled if node returning if4594 (depth = 2)
  gc_frame_end(frame);
  return if4594;
}
Object meth_lexer_consume_40_1_41_4686(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4688 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4689 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4688);
// compiled call node returning call4689 (depth = 3)
  Object if4687 = done;
  if (istrue(call4689)) {
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4690 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4691 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4692 = gc_frame_new();
// call case 3: self.outer request
  Object call4693 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4692);
// compiled member node returning call4693 (depth = 5)
  Object call4694 = callmethodflags(call4693, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4691);
// compiled member node returning call4694 (depth = 4)
  gc_frame_newslot(call4694);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4695 = gc_frame_new();
// call case 3: self.outer request
  Object call4696 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4695);
// compiled member node returning call4696 (depth = 4)
  params[0] = call4694;
  partcv[0] = 1;
  Object call4697 = callmethodflags(call4696, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4690);
// compiled call node returning call4697 (depth = 3)
    gc_frame_newslot(call4697);
    if4687 = call4697;
  } else {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4698 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4699 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4700 = gc_frame_new();
// call case 3: self.outer request
  Object call4701 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4700);
// compiled member node returning call4701 (depth = 5)
  Object call4702 = callmethodflags(call4701, "defaultState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4699);
// compiled member node returning call4702 (depth = 4)
  gc_frame_newslot(call4702);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4703 = gc_frame_new();
// call case 3: self.outer request
  Object call4704 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4703);
// compiled member node returning call4704 (depth = 4)
  params[0] = call4702;
  partcv[0] = 1;
  Object call4705 = callmethodflags(call4704, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4698);
// compiled call node returning call4705 (depth = 3)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4706 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4707 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4708 = gc_frame_new();
// call case 3: self.outer request
  Object call4709 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4708);
// compiled member node returning call4709 (depth = 5)
  Object call4710 = callmethodflags(call4709, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4707);
// compiled member node returning call4710 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4711 = callmethodflags(call4710, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4706);
// compiled call node returning call4711 (depth = 3)
    gc_frame_newslot(call4711);
    if4687 = call4711;
  }
// compiled if node returning if4687 (depth = 2)
  gc_frame_end(frame);
  return if4687;
}
Object meth_lexer_consume_40_1_41_4714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4716 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe4717 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_spaceChars (depth = 5)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4718 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4717);
// compiled call node returning call4718 (depth = 4)
  partcv[0] = 0;
  Object call4719 = callmethodflags(call4718, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4716);
// compiled call node returning call4719 (depth = 3)
  Object if4715 = done;
  if (istrue(call4719)) {
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4720 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4721 == NULL) {
    strlit4721 = alloc_String("");
    gc_root(strlit4721);
  }
// compiled string node returning strlit4721 (depth = 4)
  gc_frame_newslot(strlit4721);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4722 = gc_frame_new();
// call case 3: self.outer request
  Object call4723 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4722);
// compiled member node returning call4723 (depth = 4)
  params[0] = strlit4721;
  partcv[0] = 1;
  Object call4724 = callmethodflags(call4723, "accum:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4720);
// compiled call node returning call4724 (depth = 3)
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4725 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4726 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4727 = gc_frame_new();
// call case 3: self.outer request
  Object call4728 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4727);
// compiled member node returning call4728 (depth = 5)
  Object call4729 = callmethodflags(call4728, "commentState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4726);
// compiled member node returning call4729 (depth = 4)
  gc_frame_newslot(call4729);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4730 = gc_frame_new();
// call case 3: self.outer request
  Object call4731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4730);
// compiled member node returning call4731 (depth = 4)
  params[0] = call4729;
  partcv[0] = 1;
  Object call4732 = callmethodflags(call4731, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4725);
// compiled call node returning call4732 (depth = 3)
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4733 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4734 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4735 = gc_frame_new();
// call case 3: self.outer request
  Object call4736 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4735);
// compiled member node returning call4736 (depth = 5)
  Object call4737 = callmethodflags(call4736, "state", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4734);
// compiled member node returning call4737 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4738 = callmethodflags(call4737, "consume(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4733);
// compiled call node returning call4738 (depth = 3)
    gc_frame_newslot(call4738);
    if4715 = call4738;
  } else {
  }
// compiled if node returning if4715 (depth = 2)
  gc_frame_end(frame);
  return if4715;
}
Object meth_lexer_consume_40_1_41_4741(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "consume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method consume(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for consume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part consume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4744 == NULL) {
    strlit4744 = alloc_String("""\x0a""");
    gc_root(strlit4744);
  }
// compiled string node returning strlit4744 (depth = 4)
  int op_slot_right_4743 = gc_frame_newslot(strlit4744);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_4743 = gc_frame_newslot(*var_c);
  params[0] = strlit4744;
  partcv[0] = 1;
  Object opresult4746 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult4746 (depth = 3)
  Object if4742 = done;
  if (istrue(opresult4746)) {
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4747 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4748 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4749 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4750 = gc_frame_new();
// call case 3: self.outer request
  Object call4751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4750);
// compiled member node returning call4751 (depth = 6)
  Object call4752 = callmethodflags(call4751, "accum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4749);
// compiled member node returning call4752 (depth = 5)
  gc_frame_newslot(call4752);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4753 = gc_frame_new();
// call case 3: self.outer request
  Object call4754 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4753);
// compiled member node returning call4754 (depth = 5)
  params[0] = call4752;
  partcv[0] = 1;
  Object call4755 = callmethodflags(call4754, "commentToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4748);
// compiled call node returning call4755 (depth = 4)
  gc_frame_newslot(call4755);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4756 = gc_frame_new();
// call case 3: self.outer request
  Object call4757 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4756);
// compiled member node returning call4757 (depth = 4)
  params[0] = call4755;
  partcv[0] = 1;
  Object call4758 = callmethodflags(call4757, "emit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4747);
// compiled call node returning call4758 (depth = 3)
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4759 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num4760 = alloc_Float64(0);
// compiled num node returning num4760 (depth = 4)
  gc_frame_newslot(num4760);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4761 = gc_frame_new();
// call case 3: self.outer request
  Object call4762 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4761);
// compiled member node returning call4762 (depth = 4)
  params[0] = num4760;
  partcv[0] = 1;
  Object call4763 = callmethodflags(call4762, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4759);
// compiled call node returning call4763 (depth = 3)
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4764 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4765 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4766 = gc_frame_new();
// call case 3: self.outer request
  Object call4767 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4766);
// compiled member node returning call4767 (depth = 5)
  Object call4768 = callmethodflags(call4767, "indentationState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4765);
// compiled member node returning call4768 (depth = 4)
  gc_frame_newslot(call4768);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4769 = gc_frame_new();
// call case 3: self.outer request
  Object call4770 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4769);
// compiled member node returning call4770 (depth = 4)
  params[0] = call4768;
  partcv[0] = 1;
  Object call4771 = callmethodflags(call4770, "advanceTo(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4764);
// compiled call node returning call4771 (depth = 3)
    gc_frame_newslot(call4771);
    if4742 = call4771;
  } else {
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4772 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4773 = gc_frame_new();
// call case 3: self.outer request
  Object call4774 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4773);
// compiled member node returning call4774 (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4775 = callmethodflags(call4774, "store(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4772);
// compiled call node returning call4775 (depth = 3)
    gc_frame_newslot(call4775);
    if4742 = call4775;
  }
// compiled if node returning if4742 (depth = 2)
  gc_frame_end(frame);
  return if4742;
}
Object meth_lexer_new97(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_spaceChars = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_keywords = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(115,99, objclass98);
  gc_frame_newslot(obj98);
if (objclass98 == NULL) {
  glfree(obj98->class->name);
  obj98->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
if (objclass98 == NULL) {
  Method *reader100 = addmethodrealflags(obj98, "tokens", &reader_lexer_tokens_100, MFLAG_CONFIDENTIAL);
  Method *writer100 = addmethodrealflags(obj98, "tokens:=(1)", &writer_lexer_tokens_100, MFLAG_CONFIDENTIAL);
  reader100->definitionModule = modulename;
  writer100->definitionModule = modulename;
  reader100->definitionLine = 84;
  writer100->definitionLine = 84;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 1);
if (objclass98 == NULL) {
  Method *reader101 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
  Method *writer101 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
  reader101->definitionModule = modulename;
  writer101->definitionModule = modulename;
  reader101->definitionLine = 85;
  writer101->definitionLine = 85;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 2);
if (objclass98 == NULL) {
  Method *reader102 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
  Method *writer102 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
  reader102->definitionModule = modulename;
  writer102->definitionModule = modulename;
  reader102->definitionLine = 86;
  writer102->definitionLine = 86;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 3);
if (objclass98 == NULL) {
  Method *reader103 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
  Method *writer103 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
  reader103->definitionModule = modulename;
  writer103->definitionModule = modulename;
  reader103->definitionLine = 87;
  writer103->definitionLine = 87;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 4);
if (objclass98 == NULL) {
  Method *reader104 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
  Method *writer104 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
  reader104->definitionModule = modulename;
  writer104->definitionModule = modulename;
  reader104->definitionLine = 88;
  writer104->definitionLine = 88;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 5);
if (objclass98 == NULL) {
  Method *reader105 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_105, MFLAG_CONFIDENTIAL);
  Method *writer105 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_105, MFLAG_CONFIDENTIAL);
  reader105->definitionModule = modulename;
  writer105->definitionModule = modulename;
  reader105->definitionLine = 89;
  writer105->definitionLine = 89;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 6);
if (objclass98 == NULL) {
  Method *reader106 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
  Method *writer106 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
  reader106->definitionModule = modulename;
  writer106->definitionModule = modulename;
  reader106->definitionLine = 90;
  writer106->definitionLine = 90;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 7);
if (objclass98 == NULL) {
  Method *reader107 = addmethodrealflags(obj98, "unichars", &reader_lexer_unichars_107, MFLAG_CONFIDENTIAL);
  Method *writer107 = addmethodrealflags(obj98, "unichars:=(1)", &writer_lexer_unichars_107, MFLAG_CONFIDENTIAL);
  reader107->definitionModule = modulename;
  writer107->definitionModule = modulename;
  reader107->definitionLine = 91;
  writer107->definitionLine = 91;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 8);
// method "token"
  struct UserObject *uo108 = (struct UserObject*)obj98;
  uo108->data[9] = emptyclosure;
  Method *meth_meth_lexer_token108 = addmethod2pos(obj98, "token", &meth_lexer_token108, 9);
  int argcv_meth_lexer_token108[] = {0};
  meth_meth_lexer_token108->type = alloc_MethodType(1, argcv_meth_lexer_token108);
  meth_meth_lexer_token108->definitionModule = modulename;
  meth_meth_lexer_token108->definitionLine = 92;
  Method *meth_meth_lexer_token108_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_token108_object, 9);
  int argcv_meth_lexer_token108_object[] = {0};
  meth_meth_lexer_token108_object->type = alloc_MethodType(1, argcv_meth_lexer_token108_object);
  meth_meth_lexer_token108_object->definitionModule = modulename;
  meth_meth_lexer_token108_object->definitionLine = 92;
// method "identifierToken(_)"
  struct UserObject *uo193 = (struct UserObject*)obj98;
  uo193->data[10] = emptyclosure;
  Method *meth_meth_lexer_identifierToken_40_1_41_193 = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_identifierToken_40_1_41_193, 10);
  int argcv_meth_lexer_identifierToken_40_1_41_193[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_193->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_193);
  meth_meth_lexer_identifierToken_40_1_41_193->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_193->definitionLine = 111;
  Method *meth_meth_lexer_identifierToken_40_1_41_193_object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_identifierToken_40_1_41_193_object, 10);
  int argcv_meth_lexer_identifierToken_40_1_41_193_object[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_193_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_193_object);
  meth_meth_lexer_identifierToken_40_1_41_193_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_193_object->definitionLine = 111;
// method "stringToken(_)"
  struct UserObject *uo207 = (struct UserObject*)obj98;
  uo207->data[11] = emptyclosure;
  Method *meth_meth_lexer_stringToken_40_1_41_207 = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_stringToken_40_1_41_207, 11);
  int argcv_meth_lexer_stringToken_40_1_41_207[] = {1};
  meth_meth_lexer_stringToken_40_1_41_207->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_207);
  meth_meth_lexer_stringToken_40_1_41_207->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_207->definitionLine = 117;
  Method *meth_meth_lexer_stringToken_40_1_41_207_object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_stringToken_40_1_41_207_object, 11);
  int argcv_meth_lexer_stringToken_40_1_41_207_object[] = {1};
  meth_meth_lexer_stringToken_40_1_41_207_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_207_object);
  meth_meth_lexer_stringToken_40_1_41_207_object->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_207_object->definitionLine = 117;
// method "multiLineStringToken(_)"
  struct UserObject *uo234 = (struct UserObject*)obj98;
  uo234->data[12] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_234 = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_multiLineStringToken_40_1_41_234, 12);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_234[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_234->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_234);
  meth_meth_lexer_multiLineStringToken_40_1_41_234->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_234->definitionLine = 123;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_234_object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_multiLineStringToken_40_1_41_234_object, 12);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_234_object[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_234_object);
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->definitionLine = 123;
// method "commentToken(_)"
  struct UserObject *uo268 = (struct UserObject*)obj98;
  uo268->data[13] = emptyclosure;
  Method *meth_meth_lexer_commentToken_40_1_41_268 = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_commentToken_40_1_41_268, 13);
  int argcv_meth_lexer_commentToken_40_1_41_268[] = {1};
  meth_meth_lexer_commentToken_40_1_41_268->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_268);
  meth_meth_lexer_commentToken_40_1_41_268->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_268->definitionLine = 133;
  Method *meth_meth_lexer_commentToken_40_1_41_268_object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_commentToken_40_1_41_268_object, 13);
  int argcv_meth_lexer_commentToken_40_1_41_268_object[] = {1};
  meth_meth_lexer_commentToken_40_1_41_268_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_268_object);
  meth_meth_lexer_commentToken_40_1_41_268_object->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_268_object->definitionLine = 133;
// method "lBraceToken"
  struct UserObject *uo286 = (struct UserObject*)obj98;
  uo286->data[14] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken286 = addmethod2pos(obj98, "lBraceToken", &meth_lexer_lBraceToken286, 14);
  int argcv_meth_lexer_lBraceToken286[] = {0};
  meth_meth_lexer_lBraceToken286->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken286);
  meth_meth_lexer_lBraceToken286->definitionModule = modulename;
  meth_meth_lexer_lBraceToken286->definitionLine = 139;
  Method *meth_meth_lexer_lBraceToken286_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_lBraceToken286_object, 14);
  int argcv_meth_lexer_lBraceToken286_object[] = {0};
  meth_meth_lexer_lBraceToken286_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken286_object);
  meth_meth_lexer_lBraceToken286_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken286_object->definitionLine = 139;
// method "rBraceToken"
  struct UserObject *uo300 = (struct UserObject*)obj98;
  uo300->data[15] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken300 = addmethod2pos(obj98, "rBraceToken", &meth_lexer_rBraceToken300, 15);
  int argcv_meth_lexer_rBraceToken300[] = {0};
  meth_meth_lexer_rBraceToken300->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken300);
  meth_meth_lexer_rBraceToken300->definitionModule = modulename;
  meth_meth_lexer_rBraceToken300->definitionLine = 145;
  Method *meth_meth_lexer_rBraceToken300_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_rBraceToken300_object, 15);
  int argcv_meth_lexer_rBraceToken300_object[] = {0};
  meth_meth_lexer_rBraceToken300_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken300_object);
  meth_meth_lexer_rBraceToken300_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken300_object->definitionLine = 145;
// method "lParenToken"
  struct UserObject *uo314 = (struct UserObject*)obj98;
  uo314->data[16] = emptyclosure;
  Method *meth_meth_lexer_lParenToken314 = addmethod2pos(obj98, "lParenToken", &meth_lexer_lParenToken314, 16);
  int argcv_meth_lexer_lParenToken314[] = {0};
  meth_meth_lexer_lParenToken314->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken314);
  meth_meth_lexer_lParenToken314->definitionModule = modulename;
  meth_meth_lexer_lParenToken314->definitionLine = 151;
  Method *meth_meth_lexer_lParenToken314_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_lParenToken314_object, 16);
  int argcv_meth_lexer_lParenToken314_object[] = {0};
  meth_meth_lexer_lParenToken314_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken314_object);
  meth_meth_lexer_lParenToken314_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken314_object->definitionLine = 151;
// method "rParenToken"
  struct UserObject *uo328 = (struct UserObject*)obj98;
  uo328->data[17] = emptyclosure;
  Method *meth_meth_lexer_rParenToken328 = addmethod2pos(obj98, "rParenToken", &meth_lexer_rParenToken328, 17);
  int argcv_meth_lexer_rParenToken328[] = {0};
  meth_meth_lexer_rParenToken328->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken328);
  meth_meth_lexer_rParenToken328->definitionModule = modulename;
  meth_meth_lexer_rParenToken328->definitionLine = 157;
  Method *meth_meth_lexer_rParenToken328_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_rParenToken328_object, 17);
  int argcv_meth_lexer_rParenToken328_object[] = {0};
  meth_meth_lexer_rParenToken328_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken328_object);
  meth_meth_lexer_rParenToken328_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken328_object->definitionLine = 157;
// method "lSquareToken"
  struct UserObject *uo342 = (struct UserObject*)obj98;
  uo342->data[18] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken342 = addmethod2pos(obj98, "lSquareToken", &meth_lexer_lSquareToken342, 18);
  int argcv_meth_lexer_lSquareToken342[] = {0};
  meth_meth_lexer_lSquareToken342->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken342);
  meth_meth_lexer_lSquareToken342->definitionModule = modulename;
  meth_meth_lexer_lSquareToken342->definitionLine = 163;
  Method *meth_meth_lexer_lSquareToken342_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_lSquareToken342_object, 18);
  int argcv_meth_lexer_lSquareToken342_object[] = {0};
  meth_meth_lexer_lSquareToken342_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken342_object);
  meth_meth_lexer_lSquareToken342_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken342_object->definitionLine = 163;
// method "rSquareToken"
  struct UserObject *uo356 = (struct UserObject*)obj98;
  uo356->data[19] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken356 = addmethod2pos(obj98, "rSquareToken", &meth_lexer_rSquareToken356, 19);
  int argcv_meth_lexer_rSquareToken356[] = {0};
  meth_meth_lexer_rSquareToken356->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken356);
  meth_meth_lexer_rSquareToken356->definitionModule = modulename;
  meth_meth_lexer_rSquareToken356->definitionLine = 169;
  Method *meth_meth_lexer_rSquareToken356_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_rSquareToken356_object, 19);
  int argcv_meth_lexer_rSquareToken356_object[] = {0};
  meth_meth_lexer_rSquareToken356_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken356_object);
  meth_meth_lexer_rSquareToken356_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken356_object->definitionLine = 169;
// method "commaToken"
  struct UserObject *uo370 = (struct UserObject*)obj98;
  uo370->data[20] = emptyclosure;
  Method *meth_meth_lexer_commaToken370 = addmethod2pos(obj98, "commaToken", &meth_lexer_commaToken370, 20);
  int argcv_meth_lexer_commaToken370[] = {0};
  meth_meth_lexer_commaToken370->type = alloc_MethodType(1, argcv_meth_lexer_commaToken370);
  meth_meth_lexer_commaToken370->definitionModule = modulename;
  meth_meth_lexer_commaToken370->definitionLine = 175;
  Method *meth_meth_lexer_commaToken370_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_commaToken370_object, 20);
  int argcv_meth_lexer_commaToken370_object[] = {0};
  meth_meth_lexer_commaToken370_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken370_object);
  meth_meth_lexer_commaToken370_object->definitionModule = modulename;
  meth_meth_lexer_commaToken370_object->definitionLine = 175;
// method "colonToken"
  struct UserObject *uo384 = (struct UserObject*)obj98;
  uo384->data[21] = emptyclosure;
  Method *meth_meth_lexer_colonToken384 = addmethod2pos(obj98, "colonToken", &meth_lexer_colonToken384, 21);
  int argcv_meth_lexer_colonToken384[] = {0};
  meth_meth_lexer_colonToken384->type = alloc_MethodType(1, argcv_meth_lexer_colonToken384);
  meth_meth_lexer_colonToken384->definitionModule = modulename;
  meth_meth_lexer_colonToken384->definitionLine = 181;
  Method *meth_meth_lexer_colonToken384_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_colonToken384_object, 21);
  int argcv_meth_lexer_colonToken384_object[] = {0};
  meth_meth_lexer_colonToken384_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken384_object);
  meth_meth_lexer_colonToken384_object->definitionModule = modulename;
  meth_meth_lexer_colonToken384_object->definitionLine = 181;
// method "dotToken"
  struct UserObject *uo398 = (struct UserObject*)obj98;
  uo398->data[22] = emptyclosure;
  Method *meth_meth_lexer_dotToken398 = addmethod2pos(obj98, "dotToken", &meth_lexer_dotToken398, 22);
  int argcv_meth_lexer_dotToken398[] = {0};
  meth_meth_lexer_dotToken398->type = alloc_MethodType(1, argcv_meth_lexer_dotToken398);
  meth_meth_lexer_dotToken398->definitionModule = modulename;
  meth_meth_lexer_dotToken398->definitionLine = 187;
  Method *meth_meth_lexer_dotToken398_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_dotToken398_object, 22);
  int argcv_meth_lexer_dotToken398_object[] = {0};
  meth_meth_lexer_dotToken398_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken398_object);
  meth_meth_lexer_dotToken398_object->definitionModule = modulename;
  meth_meth_lexer_dotToken398_object->definitionLine = 187;
// method "numToken(_,_)"
  struct UserObject *uo412 = (struct UserObject*)obj98;
  uo412->data[23] = emptyclosure;
  Method *meth_meth_lexer_numToken_40_2_41_412 = addmethod2pos(obj98, "numToken(2)", &meth_lexer_numToken_40_2_41_412, 23);
  int argcv_meth_lexer_numToken_40_2_41_412[] = {2};
  meth_meth_lexer_numToken_40_2_41_412->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_412);
  meth_meth_lexer_numToken_40_2_41_412->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_412->definitionLine = 193;
  Method *meth_meth_lexer_numToken_40_2_41_412_object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_numToken_40_2_41_412_object, 23);
  int argcv_meth_lexer_numToken_40_2_41_412_object[] = {2};
  meth_meth_lexer_numToken_40_2_41_412_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_412_object);
  meth_meth_lexer_numToken_40_2_41_412_object->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_412_object->definitionLine = 193;
// method "keywordToken(_)"
  struct UserObject *uo436 = (struct UserObject*)obj98;
  uo436->data[24] = emptyclosure;
  Method *meth_meth_lexer_keywordToken_40_1_41_436 = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_keywordToken_40_1_41_436, 24);
  int argcv_meth_lexer_keywordToken_40_1_41_436[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_436->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_436);
  meth_meth_lexer_keywordToken_40_1_41_436->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_436->definitionLine = 200;
  Method *meth_meth_lexer_keywordToken_40_1_41_436_object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_keywordToken_40_1_41_436_object, 24);
  int argcv_meth_lexer_keywordToken_40_1_41_436_object[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_436_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_436_object);
  meth_meth_lexer_keywordToken_40_1_41_436_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_436_object->definitionLine = 200;
// method "opToken(_)"
  struct UserObject *uo450 = (struct UserObject*)obj98;
  uo450->data[25] = emptyclosure;
  Method *meth_meth_lexer_opToken_40_1_41_450 = addmethod2pos(obj98, "opToken(1)", &meth_lexer_opToken_40_1_41_450, 25);
  int argcv_meth_lexer_opToken_40_1_41_450[] = {1};
  meth_meth_lexer_opToken_40_1_41_450->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_450);
  meth_meth_lexer_opToken_40_1_41_450->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_450->definitionLine = 206;
  Method *meth_meth_lexer_opToken_40_1_41_450_object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_opToken_40_1_41_450_object, 25);
  int argcv_meth_lexer_opToken_40_1_41_450_object[] = {1};
  meth_meth_lexer_opToken_40_1_41_450_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_450_object);
  meth_meth_lexer_opToken_40_1_41_450_object->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_450_object->definitionLine = 206;
// method "arrowToken"
  struct UserObject *uo464 = (struct UserObject*)obj98;
  uo464->data[26] = emptyclosure;
  Method *meth_meth_lexer_arrowToken464 = addmethod2pos(obj98, "arrowToken", &meth_lexer_arrowToken464, 26);
  int argcv_meth_lexer_arrowToken464[] = {0};
  meth_meth_lexer_arrowToken464->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken464);
  meth_meth_lexer_arrowToken464->definitionModule = modulename;
  meth_meth_lexer_arrowToken464->definitionLine = 212;
  Method *meth_meth_lexer_arrowToken464_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_arrowToken464_object, 26);
  int argcv_meth_lexer_arrowToken464_object[] = {0};
  meth_meth_lexer_arrowToken464_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken464_object);
  meth_meth_lexer_arrowToken464_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken464_object->definitionLine = 212;
// method "bindToken"
  struct UserObject *uo478 = (struct UserObject*)obj98;
  uo478->data[27] = emptyclosure;
  Method *meth_meth_lexer_bindToken478 = addmethod2pos(obj98, "bindToken", &meth_lexer_bindToken478, 27);
  int argcv_meth_lexer_bindToken478[] = {0};
  meth_meth_lexer_bindToken478->type = alloc_MethodType(1, argcv_meth_lexer_bindToken478);
  meth_meth_lexer_bindToken478->definitionModule = modulename;
  meth_meth_lexer_bindToken478->definitionLine = 218;
  Method *meth_meth_lexer_bindToken478_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_bindToken478_object, 27);
  int argcv_meth_lexer_bindToken478_object[] = {0};
  meth_meth_lexer_bindToken478_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken478_object);
  meth_meth_lexer_bindToken478_object->definitionModule = modulename;
  meth_meth_lexer_bindToken478_object->definitionLine = 218;
// method "semicolonToken"
  struct UserObject *uo492 = (struct UserObject*)obj98;
  uo492->data[28] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken492 = addmethod2pos(obj98, "semicolonToken", &meth_lexer_semicolonToken492, 28);
  int argcv_meth_lexer_semicolonToken492[] = {0};
  meth_meth_lexer_semicolonToken492->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken492);
  meth_meth_lexer_semicolonToken492->definitionModule = modulename;
  meth_meth_lexer_semicolonToken492->definitionLine = 224;
  Method *meth_meth_lexer_semicolonToken492_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_semicolonToken492_object, 28);
  int argcv_meth_lexer_semicolonToken492_object[] = {0};
  meth_meth_lexer_semicolonToken492_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken492_object);
  meth_meth_lexer_semicolonToken492_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken492_object->definitionLine = 224;
// method "lGenericToken"
  struct UserObject *uo506 = (struct UserObject*)obj98;
  uo506->data[29] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken506 = addmethod2pos(obj98, "lGenericToken", &meth_lexer_lGenericToken506, 29);
  int argcv_meth_lexer_lGenericToken506[] = {0};
  meth_meth_lexer_lGenericToken506->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken506);
  meth_meth_lexer_lGenericToken506->definitionModule = modulename;
  meth_meth_lexer_lGenericToken506->definitionLine = 230;
  Method *meth_meth_lexer_lGenericToken506_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_lGenericToken506_object, 29);
  int argcv_meth_lexer_lGenericToken506_object[] = {0};
  meth_meth_lexer_lGenericToken506_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken506_object);
  meth_meth_lexer_lGenericToken506_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken506_object->definitionLine = 230;
// method "rGenericToken"
  struct UserObject *uo520 = (struct UserObject*)obj98;
  uo520->data[30] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken520 = addmethod2pos(obj98, "rGenericToken", &meth_lexer_rGenericToken520, 30);
  int argcv_meth_lexer_rGenericToken520[] = {0};
  meth_meth_lexer_rGenericToken520->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken520);
  meth_meth_lexer_rGenericToken520->definitionModule = modulename;
  meth_meth_lexer_rGenericToken520->definitionLine = 236;
  Method *meth_meth_lexer_rGenericToken520_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_rGenericToken520_object, 30);
  int argcv_meth_lexer_rGenericToken520_object[] = {0};
  meth_meth_lexer_rGenericToken520_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken520_object);
  meth_meth_lexer_rGenericToken520_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken520_object->definitionLine = 236;
// method "eofToken"
  struct UserObject *uo534 = (struct UserObject*)obj98;
  uo534->data[31] = emptyclosure;
  Method *meth_meth_lexer_eofToken534 = addmethod2pos(obj98, "eofToken", &meth_lexer_eofToken534, 31);
  int argcv_meth_lexer_eofToken534[] = {0};
  meth_meth_lexer_eofToken534->type = alloc_MethodType(1, argcv_meth_lexer_eofToken534);
  meth_meth_lexer_eofToken534->definitionModule = modulename;
  meth_meth_lexer_eofToken534->definitionLine = 242;
  Method *meth_meth_lexer_eofToken534_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_eofToken534_object, 31);
  int argcv_meth_lexer_eofToken534_object[] = {0};
  meth_meth_lexer_eofToken534_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken534_object);
  meth_meth_lexer_eofToken534_object->definitionModule = modulename;
  meth_meth_lexer_eofToken534_object->definitionLine = 242;
if (objclass98 == NULL) {
  Method *reader548 = addmethodrealflags(obj98, "state", &reader_lexer_state_548, MFLAG_CONFIDENTIAL);
  Method *writer548 = addmethodrealflags(obj98, "state:=(1)", &writer_lexer_state_548, MFLAG_CONFIDENTIAL);
  reader548->definitionModule = modulename;
  writer548->definitionModule = modulename;
  reader548->definitionLine = 249;
  writer548->definitionLine = 249;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 32);
if (objclass98 == NULL) {
  Method *reader549 = addmethodrealflags(obj98, "accum", &reader_lexer_accum_549, MFLAG_CONFIDENTIAL);
  Method *writer549 = addmethodrealflags(obj98, "accum:=(1)", &writer_lexer_accum_549, MFLAG_CONFIDENTIAL);
  reader549->definitionModule = modulename;
  writer549->definitionModule = modulename;
  reader549->definitionLine = 250;
  writer549->definitionLine = 250;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 33);
if (objclass98 == NULL) {
  Method *reader550 = addmethodrealflags(obj98, "inStr", &reader_lexer_inStr_550, MFLAG_CONFIDENTIAL);
  Method *writer550 = addmethodrealflags(obj98, "inStr:=(1)", &writer_lexer_inStr_550, MFLAG_CONFIDENTIAL);
  reader550->definitionModule = modulename;
  writer550->definitionModule = modulename;
  reader550->definitionLine = 252;
  writer550->definitionLine = 252;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 34);
if (objclass98 == NULL) {
  Method *reader551 = addmethodrealflags(obj98, "escaped", &reader_lexer_escaped_551, MFLAG_CONFIDENTIAL);
  Method *writer551 = addmethodrealflags(obj98, "escaped:=(1)", &writer_lexer_escaped_551, MFLAG_CONFIDENTIAL);
  reader551->definitionModule = modulename;
  writer551->definitionModule = modulename;
  reader551->definitionLine = 253;
  writer551->definitionLine = 253;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 35);
if (objclass98 == NULL) {
  Method *reader552 = addmethodrealflags(obj98, "codepoint", &reader_lexer_codepoint_552, MFLAG_CONFIDENTIAL);
  Method *writer552 = addmethodrealflags(obj98, "codepoint:=(1)", &writer_lexer_codepoint_552, MFLAG_CONFIDENTIAL);
  reader552->definitionModule = modulename;
  writer552->definitionModule = modulename;
  reader552->definitionLine = 254;
  writer552->definitionLine = 254;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 36);
if (objclass98 == NULL) {
  Method *reader553 = addmethodrealflags(obj98, "interpdepth", &reader_lexer_interpdepth_553, MFLAG_CONFIDENTIAL);
  Method *writer553 = addmethodrealflags(obj98, "interpdepth:=(1)", &writer_lexer_interpdepth_553, MFLAG_CONFIDENTIAL);
  reader553->definitionModule = modulename;
  writer553->definitionModule = modulename;
  reader553->definitionLine = 255;
  writer553->definitionLine = 255;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 37);
if (objclass98 == NULL) {
  Method *reader554 = addmethodrealflags(obj98, "interpString", &reader_lexer_interpString_554, MFLAG_CONFIDENTIAL);
  Method *writer554 = addmethodrealflags(obj98, "interpString:=(1)", &writer_lexer_interpString_554, MFLAG_CONFIDENTIAL);
  reader554->definitionModule = modulename;
  writer554->definitionModule = modulename;
  reader554->definitionLine = 256;
  writer554->definitionLine = 256;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 38);
// method "advanceTo(_)"
  struct UserObject *uo555 = (struct UserObject*)obj98;
  uo555->data[39] = emptyclosure;
  Method *meth_meth_lexer_advanceTo_40_1_41_555 = addmethod2pos(obj98, "advanceTo(1)", &meth_lexer_advanceTo_40_1_41_555, 39);
  int argcv_meth_lexer_advanceTo_40_1_41_555[] = {1};
  meth_meth_lexer_advanceTo_40_1_41_555->type = alloc_MethodType(1, argcv_meth_lexer_advanceTo_40_1_41_555);
  meth_meth_lexer_advanceTo_40_1_41_555->definitionModule = modulename;
  meth_meth_lexer_advanceTo_40_1_41_555->definitionLine = 258;
// method "emit(_)"
  struct UserObject *uo558 = (struct UserObject*)obj98;
  uo558->data[40] = emptyclosure;
  Method *meth_meth_lexer_emit_40_1_41_558 = addmethod2pos(obj98, "emit(1)", &meth_lexer_emit_40_1_41_558, 40);
  int argcv_meth_lexer_emit_40_1_41_558[] = {1};
  meth_meth_lexer_emit_40_1_41_558->type = alloc_MethodType(1, argcv_meth_lexer_emit_40_1_41_558);
  meth_meth_lexer_emit_40_1_41_558->definitionModule = modulename;
  meth_meth_lexer_emit_40_1_41_558->definitionLine = 259;
// method "store(_)"
  struct UserObject *uo566 = (struct UserObject*)obj98;
  uo566->data[41] = emptyclosure;
  Method *meth_meth_lexer_store_40_1_41_566 = addmethod2pos(obj98, "store(1)", &meth_lexer_store_40_1_41_566, 41);
  int argcv_meth_lexer_store_40_1_41_566[] = {1};
  meth_meth_lexer_store_40_1_41_566->type = alloc_MethodType(1, argcv_meth_lexer_store_40_1_41_566);
  meth_meth_lexer_store_40_1_41_566->definitionModule = modulename;
  meth_meth_lexer_store_40_1_41_566->definitionLine = 263;
if (objclass98 == NULL) {
  Method *reader574 = addmethodrealflags(obj98, "startState",&reader_lexer_startState_574, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader574->definitionModule = modulename;
  reader574->definitionLine = 265;
}
adddatum2(obj98, alloc_Undefined(), 42);
if (objclass98 == NULL) {
  Method *reader575 = addmethodrealflags(obj98, "pragmaPrefixState",&reader_lexer_pragmaPrefixState_575, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader575->definitionModule = modulename;
  reader575->definitionLine = 277;
}
adddatum2(obj98, alloc_Undefined(), 43);
if (objclass98 == NULL) {
  Method *reader576 = addmethodrealflags(obj98, "pragmaBodyState",&reader_lexer_pragmaBodyState_576, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader576->definitionModule = modulename;
  reader576->definitionLine = 298;
}
adddatum2(obj98, alloc_Undefined(), 44);
if (objclass98 == NULL) {
  Method *reader577 = addmethodrealflags(obj98, "pragmaTrailingWhitespaceState",&reader_lexer_pragmaTrailingWhitespaceState_577, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader577->definitionModule = modulename;
  reader577->definitionLine = 313;
}
adddatum2(obj98, alloc_Undefined(), 45);
if (objclass98 == NULL) {
  Method *reader578 = addmethodrealflags(obj98, "defaultState",&reader_lexer_defaultState_578, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader578->definitionModule = modulename;
  reader578->definitionLine = 325;
}
adddatum2(obj98, alloc_Undefined(), 46);
if (objclass98 == NULL) {
  Method *reader579 = addmethodrealflags(obj98, "rBraceState",&reader_lexer_rBraceState_579, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader579->definitionModule = modulename;
  reader579->definitionLine = 406;
}
adddatum2(obj98, alloc_Undefined(), 47);
if (objclass98 == NULL) {
  Method *reader580 = addmethodrealflags(obj98, "slashState",&reader_lexer_slashState_580, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader580->definitionModule = modulename;
  reader580->definitionLine = 428;
}
adddatum2(obj98, alloc_Undefined(), 48);
if (objclass98 == NULL) {
  Method *reader581 = addmethodrealflags(obj98, "dotState",&reader_lexer_dotState_581, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader581->definitionModule = modulename;
  reader581->definitionLine = 446;
}
adddatum2(obj98, alloc_Undefined(), 49);
if (objclass98 == NULL) {
  Method *reader582 = addmethodrealflags(obj98, "identifierState",&reader_lexer_identifierState_582, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader582->definitionModule = modulename;
  reader582->definitionLine = 470;
}
adddatum2(obj98, alloc_Undefined(), 50);
if (objclass98 == NULL) {
  Method *reader583 = addmethodrealflags(obj98, "quotedStringState",&reader_lexer_quotedStringState_583, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader583->definitionModule = modulename;
  reader583->definitionLine = 496;
}
adddatum2(obj98, alloc_Undefined(), 51);
if (objclass98 == NULL) {
  Method *reader584 = addmethodrealflags(obj98, "unicodeState",&reader_lexer_unicodeState_584, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader584->definitionModule = modulename;
  reader584->definitionLine = 529;
}
adddatum2(obj98, alloc_Undefined(), 52);
if (objclass98 == NULL) {
  Method *reader585 = addmethodrealflags(obj98, "quotedStringEscapedState",&reader_lexer_quotedStringEscapedState_585, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader585->definitionModule = modulename;
  reader585->definitionLine = 543;
}
adddatum2(obj98, alloc_Undefined(), 53);
if (objclass98 == NULL) {
  Method *reader586 = addmethodrealflags(obj98, "extendedStringState",&reader_lexer_extendedStringState_586, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader586->definitionModule = modulename;
  reader586->definitionLine = 593;
}
adddatum2(obj98, alloc_Undefined(), 54);
if (objclass98 == NULL) {
  Method *reader587 = addmethodrealflags(obj98, "tokenBase", &reader_lexer_tokenBase_587, MFLAG_CONFIDENTIAL);
  Method *writer587 = addmethodrealflags(obj98, "tokenBase:=(1)", &writer_lexer_tokenBase_587, 0);
  reader587->definitionModule = modulename;
  writer587->definitionModule = modulename;
  reader587->definitionLine = 607;
  writer587->definitionLine = 607;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 55);
if (objclass98 == NULL) {
  Method *reader588 = addmethodrealflags(obj98, "mantissa", &reader_lexer_mantissa_588, MFLAG_CONFIDENTIAL);
  Method *writer588 = addmethodrealflags(obj98, "mantissa:=(1)", &writer_lexer_mantissa_588, 0);
  reader588->definitionModule = modulename;
  writer588->definitionModule = modulename;
  reader588->definitionLine = 608;
  writer588->definitionLine = 608;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 56);
if (objclass98 == NULL) {
  Method *reader589 = addmethodrealflags(obj98, "numberStartState",&reader_lexer_numberStartState_589, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader589->definitionModule = modulename;
  reader589->definitionLine = 609;
}
adddatum2(obj98, alloc_Undefined(), 57);
if (objclass98 == NULL) {
  Method *reader590 = addmethodrealflags(obj98, "numberBaseState",&reader_lexer_numberBaseState_590, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader590->definitionModule = modulename;
  reader590->definitionLine = 639;
}
adddatum2(obj98, alloc_Undefined(), 58);
if (objclass98 == NULL) {
  Method *reader591 = addmethodrealflags(obj98, "numberDotState",&reader_lexer_numberDotState_591, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader591->definitionModule = modulename;
  reader591->definitionLine = 655;
}
adddatum2(obj98, alloc_Undefined(), 59);
if (objclass98 == NULL) {
  Method *reader592 = addmethodrealflags(obj98, "numberFractionState",&reader_lexer_numberFractionState_592, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader592->definitionModule = modulename;
  reader592->definitionLine = 674;
}
adddatum2(obj98, alloc_Undefined(), 60);
if (objclass98 == NULL) {
  Method *reader593 = addmethodrealflags(obj98, "numberExponentSignState",&reader_lexer_numberExponentSignState_593, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader593->definitionModule = modulename;
  reader593->definitionLine = 693;
}
adddatum2(obj98, alloc_Undefined(), 61);
if (objclass98 == NULL) {
  Method *reader594 = addmethodrealflags(obj98, "numberExponentState",&reader_lexer_numberExponentState_594, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader594->definitionModule = modulename;
  reader594->definitionLine = 708;
}
adddatum2(obj98, alloc_Undefined(), 62);
if (objclass98 == NULL) {
  Method *reader595 = addmethodrealflags(obj98, "operatorState",&reader_lexer_operatorState_595, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader595->definitionModule = modulename;
  reader595->definitionLine = 741;
}
adddatum2(obj98, alloc_Undefined(), 63);
if (objclass98 == NULL) {
  Method *reader596 = addmethodrealflags(obj98, "indentationState",&reader_lexer_indentationState_596, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader596->definitionModule = modulename;
  reader596->definitionLine = 762;
}
adddatum2(obj98, alloc_Undefined(), 64);
if (objclass98 == NULL) {
  Method *reader597 = addmethodrealflags(obj98, "commentSpaceState",&reader_lexer_commentSpaceState_597, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader597->definitionModule = modulename;
  reader597->definitionLine = 772;
}
adddatum2(obj98, alloc_Undefined(), 65);
if (objclass98 == NULL) {
  Method *reader598 = addmethodrealflags(obj98, "commentState",&reader_lexer_commentState_598, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader598->definitionModule = modulename;
  reader598->definitionLine = 781;
}
adddatum2(obj98, alloc_Undefined(), 66);
// method "newLineError"
  block_savedest(obj98);
  Object closure599 = createclosure(2, "newLineError");
  setclosureframe(closure599, stackframe);
  addtoclosure(closure599, var_util);
  addtoclosure(closure599, var_errormessages);
  struct UserObject *uo599 = (struct UserObject*)obj98;
  uo599->data[67] = (Object)closure599;
  Method *meth_meth_lexer_newLineError599 = addmethod2pos(obj98, "newLineError", &meth_lexer_newLineError599, 67);
  int argcv_meth_lexer_newLineError599[] = {0};
  meth_meth_lexer_newLineError599->type = alloc_MethodType(1, argcv_meth_lexer_newLineError599);
  meth_meth_lexer_newLineError599->definitionModule = modulename;
  meth_meth_lexer_newLineError599->definitionLine = 793;
// method "isSpaceChar(_)"
  block_savedest(obj98);
  Object closure923 = createclosure(1, "isSpaceChar(1)");
  setclosureframe(closure923, stackframe);
  addtoclosure(closure923, var_spaceChars);
  struct UserObject *uo923 = (struct UserObject*)obj98;
  uo923->data[68] = (Object)closure923;
  Method *meth_meth_lexer_isSpaceChar_40_1_41_923 = addmethod2pos(obj98, "isSpaceChar(1)", &meth_lexer_isSpaceChar_40_1_41_923, 68);
  int argcv_meth_lexer_isSpaceChar_40_1_41_923[] = {1};
  meth_meth_lexer_isSpaceChar_40_1_41_923->type = alloc_MethodType(1, argcv_meth_lexer_isSpaceChar_40_1_41_923);
  meth_meth_lexer_isSpaceChar_40_1_41_923->definitionModule = modulename;
  meth_meth_lexer_isSpaceChar_40_1_41_923->definitionLine = 862;
// method "checkSeparatorString(_)"
  block_savedest(obj98);
  Object closure926 = createclosure(2, "checkSeparatorString(1)");
  setclosureframe(closure926, stackframe);
  addtoclosure(closure926, var_errormessages);
  addtoclosure(closure926, var_unicode);
  struct UserObject *uo926 = (struct UserObject*)obj98;
  uo926->data[69] = (Object)closure926;
  Method *meth_meth_lexer_checkSeparatorString_40_1_41_926 = addmethod2pos(obj98, "checkSeparatorString(1)", &meth_lexer_checkSeparatorString_40_1_41_926, 69);
  int argcv_meth_lexer_checkSeparatorString_40_1_41_926[] = {1};
  meth_meth_lexer_checkSeparatorString_40_1_41_926->type = alloc_MethodType(1, argcv_meth_lexer_checkSeparatorString_40_1_41_926);
  meth_meth_lexer_checkSeparatorString_40_1_41_926->definitionModule = modulename;
  meth_meth_lexer_checkSeparatorString_40_1_41_926->definitionLine = 865;
// method "checkSeparator(_)"
  block_savedest(obj98);
  Object closure1254 = createclosure(2, "checkSeparator(1)");
  setclosureframe(closure1254, stackframe);
  addtoclosure(closure1254, var_errormessages);
  addtoclosure(closure1254, var_unicode);
  struct UserObject *uo1254 = (struct UserObject*)obj98;
  uo1254->data[70] = (Object)closure1254;
  Method *meth_meth_lexer_checkSeparator_40_1_41_1254 = addmethod2pos(obj98, "checkSeparator(1)", &meth_lexer_checkSeparator_40_1_41_1254, 70);
  int argcv_meth_lexer_checkSeparator_40_1_41_1254[] = {1};
  meth_meth_lexer_checkSeparator_40_1_41_1254->type = alloc_MethodType(1, argcv_meth_lexer_checkSeparator_40_1_41_1254);
  meth_meth_lexer_checkSeparator_40_1_41_1254->definitionModule = modulename;
  meth_meth_lexer_checkSeparator_40_1_41_1254->definitionLine = 923;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1378 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1378, stackframe);
  addtoclosure(closure1378, var_errormessages);
  addtoclosure(closure1378, var_unicode);
  struct UserObject *uo1378 = (struct UserObject*)obj98;
  uo1378->data[71] = (Object)closure1378;
  Method *meth_meth_lexer_fromBase_40_2_41_1378 = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_fromBase_40_2_41_1378, 71);
  int argcv_meth_lexer_fromBase_40_2_41_1378[] = {2};
  meth_meth_lexer_fromBase_40_2_41_1378->type = alloc_MethodType(1, argcv_meth_lexer_fromBase_40_2_41_1378);
  meth_meth_lexer_fromBase_40_2_41_1378->definitionModule = modulename;
  meth_meth_lexer_fromBase_40_2_41_1378->definitionLine = 950;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1618 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1618, stackframe);
  addtoclosure(closure1618, var_errormessages);
  struct UserObject *uo1618 = (struct UserObject*)obj98;
  uo1618->data[72] = (Object)closure1618;
  Method *meth_meth_lexer_hexdecchar_40_1_41_1618 = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_hexdecchar_40_1_41_1618, 72);
  int argcv_meth_lexer_hexdecchar_40_1_41_1618[] = {1};
  meth_meth_lexer_hexdecchar_40_1_41_1618->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar_40_1_41_1618);
  meth_meth_lexer_hexdecchar_40_1_41_1618->definitionModule = modulename;
  meth_meth_lexer_hexdecchar_40_1_41_1618->definitionLine = 992;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1702 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1702, stackframe);
  addtoclosure(closure1702, var_util);
  struct UserObject *uo1702 = (struct UserObject*)obj98;
  uo1702->data[73] = (Object)closure1702;
  Method *meth_meth_lexer_lexfile_40_1_41_1702 = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_lexfile_40_1_41_1702, 73);
  int argcv_meth_lexer_lexfile_40_1_41_1702[] = {1};
  meth_meth_lexer_lexfile_40_1_41_1702->type = alloc_MethodType(1, argcv_meth_lexer_lexfile_40_1_41_1702);
  meth_meth_lexer_lexfile_40_1_41_1702->definitionModule = modulename;
  meth_meth_lexer_lexfile_40_1_41_1702->definitionLine = 1011;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1820 = createclosure(2, "lexinput(1)");
  setclosureframe(closure1820, stackframe);
  addtoclosure(closure1820, var_util);
  addtoclosure(closure1820, var_errormessages);
  struct UserObject *uo1820 = (struct UserObject*)obj98;
  uo1820->data[74] = (Object)closure1820;
  Method *meth_meth_lexer_lexinput_40_1_41_1820 = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_lexinput_40_1_41_1820, 74);
  int argcv_meth_lexer_lexinput_40_1_41_1820[] = {1};
  meth_meth_lexer_lexinput_40_1_41_1820->type = alloc_MethodType(1, argcv_meth_lexer_lexinput_40_1_41_1820);
  meth_meth_lexer_lexinput_40_1_41_1820->definitionModule = modulename;
  meth_meth_lexer_lexinput_40_1_41_1820->definitionLine = 1066;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 1);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2211 = alloc_Float64(1);
// compiled num node returning num2211 (depth = 2)
  adddatum2(obj98, num2211, 2);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2212 = alloc_Float64(0);
// compiled num node returning num2212 (depth = 2)
  adddatum2(obj98, num2212, 3);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2213 = alloc_Float64(1);
// compiled num node returning num2213 (depth = 2)
  adddatum2(obj98, num2213, 4);
  sourceObject = obj98;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2214 = alloc_Float64(0);
// compiled num node returning num2214 (depth = 2)
  adddatum2(obj98, num2214, 5);
  sourceObject = obj98;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2215 = alloc_Float64(1);
// compiled num node returning num2215 (depth = 2)
  adddatum2(obj98, num2215, 6);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 7);
  sourceObject = obj98;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2216 = alloc_Float64(0);
// compiled num node returning num2216 (depth = 2)
  adddatum2(obj98, num2216, 8);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 32);
  sourceObject = obj98;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2217 == NULL) {
    strlit2217 = alloc_String("");
    gc_root(strlit2217);
  }
// compiled string node returning strlit2217 (depth = 2)
  adddatum2(obj98, strlit2217, 33);
  sourceObject = obj98;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2218 = alloc_Boolean(0);
// compiled identifier node returning bool2218 (depth = 2)
  adddatum2(obj98, bool2218, 34);
  sourceObject = obj98;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2219 = alloc_Boolean(0);
// compiled identifier node returning bool2219 (depth = 2)
  adddatum2(obj98, bool2219, 35);
  sourceObject = obj98;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2220 = alloc_Float64(0);
// compiled num node returning num2220 (depth = 2)
  adddatum2(obj98, num2220, 36);
  sourceObject = obj98;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2221 = alloc_Float64(0);
// compiled num node returning num2221 (depth = 2)
  adddatum2(obj98, num2221, 37);
  sourceObject = obj98;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2222 = alloc_Boolean(0);
// compiled identifier node returning bool2222 (depth = 2)
  adddatum2(obj98, bool2222, 38);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  Object inheritingObject2223 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2223 = alloc_userobj2(1,2, objclass2223);
  gc_frame_newslot(obj2223);
if (objclass2223 == NULL) {
  glfree(obj2223->class->name);
  obj2223->class->name = "startState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2223, obj98, 0);
  addmethodreal(obj2223,"outer", &reader_lexer_outer_2224);
  Object oldself2223 = self;
  struct StackFrameObject *oldstackframe2223 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2223);
  gc_frame_newslot((Object)stackframe);
  self = obj2223;
  Object *oldselfslot2223 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2223 = (*(struct UserObject *)self).data[0], lowerouter2223 = thisouter2223;
  if (inheritingObject2223) {
    struct UserObject *inho2223 = (struct UserObject *)inheritingObject2223;
    while (inho2223->super != GraceDefaultObject) inho2223 = (struct UserObject *)inho2223->super;
    inho2223->super = obj2223;
    self = inheritingObject2223;
    *selfslot = self;
    lowerouter2223 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2223;
  }
// method "consume(_)"
  struct UserObject *uo2225 = (struct UserObject*)obj2223;
  uo2225->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_2225 = addmethod2pos(obj2223, "consume(1)", &meth_lexer_consume_40_1_41_2225, 1);
  int argcv_meth_lexer_consume_40_1_41_2225[] = {1};
  meth_meth_lexer_consume_40_1_41_2225->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2225);
  meth_meth_lexer_consume_40_1_41_2225->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2225->definitionLine = 266;
  sourceObject = obj2223;
  objclass2223 = obj2223->class;
  objclass2223->definitionModule = modulename;
  objclass2223->definitionLine = 265;
  (*(struct UserObject *)self).data[0] = lowerouter2223;
  self = oldself2223;
  selfslot = oldselfslot2223;
  stackframe = oldstackframe2223;
  adddatum2(obj98, obj2223, 42);
  sourceObject = obj98;
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2253 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2254 = gc_frame_new();
// call case 4: self request
  Object call2255 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2254);
// compiled member node returning call2255 (depth = 3)
  gc_frame_newslot(call2255);
// call case 4: self request
  params[0] = call2255;
  partcv[0] = 1;
  Object call2256 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2253);
// compiled call node returning call2256 (depth = 2)
  sourceObject = obj98;
  Object inheritingObject2257 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2257 = alloc_userobj2(1,2, objclass2257);
  gc_frame_newslot(obj2257);
if (objclass2257 == NULL) {
  glfree(obj2257->class->name);
  obj2257->class->name = "pragmaPrefixState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2257, obj98, 0);
  addmethodreal(obj2257,"outer", &reader_lexer_outer_2258);
  Object oldself2257 = self;
  struct StackFrameObject *oldstackframe2257 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2257);
  gc_frame_newslot((Object)stackframe);
  self = obj2257;
  Object *oldselfslot2257 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2257 = (*(struct UserObject *)self).data[0], lowerouter2257 = thisouter2257;
  if (inheritingObject2257) {
    struct UserObject *inho2257 = (struct UserObject *)inheritingObject2257;
    while (inho2257->super != GraceDefaultObject) inho2257 = (struct UserObject *)inho2257->super;
    inho2257->super = obj2257;
    self = inheritingObject2257;
    *selfslot = self;
    lowerouter2257 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2257;
  }
// method "consume(_)"
  block_savedest(obj2257);
  Object closure2259 = createclosure(1, "consume(1)");
  setclosureframe(closure2259, stackframe);
  addtoclosure(closure2259, var_errormessages);
  struct UserObject *uo2259 = (struct UserObject*)obj2257;
  uo2259->data[1] = (Object)closure2259;
  Method *meth_meth_lexer_consume_40_1_41_2259 = addmethod2pos(obj2257, "consume(1)", &meth_lexer_consume_40_1_41_2259, 1);
  int argcv_meth_lexer_consume_40_1_41_2259[] = {1};
  meth_meth_lexer_consume_40_1_41_2259->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2259);
  meth_meth_lexer_consume_40_1_41_2259->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2259->definitionLine = 278;
  sourceObject = obj2257;
  objclass2257 = obj2257->class;
  objclass2257->definitionModule = modulename;
  objclass2257->definitionLine = 277;
  (*(struct UserObject *)self).data[0] = lowerouter2257;
  self = oldself2257;
  selfslot = oldselfslot2257;
  stackframe = oldstackframe2257;
  adddatum2(obj98, obj2257, 43);
  sourceObject = obj98;
  Object inheritingObject2330 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2330 = alloc_userobj2(1,2, objclass2330);
  gc_frame_newslot(obj2330);
if (objclass2330 == NULL) {
  glfree(obj2330->class->name);
  obj2330->class->name = "pragmaBodyState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2330, obj98, 0);
  addmethodreal(obj2330,"outer", &reader_lexer_outer_2331);
  Object oldself2330 = self;
  struct StackFrameObject *oldstackframe2330 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2330);
  gc_frame_newslot((Object)stackframe);
  self = obj2330;
  Object *oldselfslot2330 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2330 = (*(struct UserObject *)self).data[0], lowerouter2330 = thisouter2330;
  if (inheritingObject2330) {
    struct UserObject *inho2330 = (struct UserObject *)inheritingObject2330;
    while (inho2330->super != GraceDefaultObject) inho2330 = (struct UserObject *)inho2330->super;
    inho2330->super = obj2330;
    self = inheritingObject2330;
    *selfslot = self;
    lowerouter2330 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2330;
  }
// method "consume(_)"
  block_savedest(obj2330);
  Object closure2332 = createclosure(1, "consume(1)");
  setclosureframe(closure2332, stackframe);
  addtoclosure(closure2332, var_util);
  struct UserObject *uo2332 = (struct UserObject*)obj2330;
  uo2332->data[1] = (Object)closure2332;
  Method *meth_meth_lexer_consume_40_1_41_2332 = addmethod2pos(obj2330, "consume(1)", &meth_lexer_consume_40_1_41_2332, 1);
  int argcv_meth_lexer_consume_40_1_41_2332[] = {1};
  meth_meth_lexer_consume_40_1_41_2332->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2332);
  meth_meth_lexer_consume_40_1_41_2332->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2332->definitionLine = 299;
  sourceObject = obj2330;
  objclass2330 = obj2330->class;
  objclass2330->definitionModule = modulename;
  objclass2330->definitionLine = 298;
  (*(struct UserObject *)self).data[0] = lowerouter2330;
  self = oldself2330;
  selfslot = oldselfslot2330;
  stackframe = oldstackframe2330;
  adddatum2(obj98, obj2330, 44);
  sourceObject = obj98;
  Object inheritingObject2378 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2378 = alloc_userobj2(1,2, objclass2378);
  gc_frame_newslot(obj2378);
if (objclass2378 == NULL) {
  glfree(obj2378->class->name);
  obj2378->class->name = "pragmaTrailingWhitespaceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2378, obj98, 0);
  addmethodreal(obj2378,"outer", &reader_lexer_outer_2379);
  Object oldself2378 = self;
  struct StackFrameObject *oldstackframe2378 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2378);
  gc_frame_newslot((Object)stackframe);
  self = obj2378;
  Object *oldselfslot2378 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2378 = (*(struct UserObject *)self).data[0], lowerouter2378 = thisouter2378;
  if (inheritingObject2378) {
    struct UserObject *inho2378 = (struct UserObject *)inheritingObject2378;
    while (inho2378->super != GraceDefaultObject) inho2378 = (struct UserObject *)inho2378->super;
    inho2378->super = obj2378;
    self = inheritingObject2378;
    *selfslot = self;
    lowerouter2378 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2378;
  }
// method "consume(_)"
  block_savedest(obj2378);
  Object closure2380 = createclosure(1, "consume(1)");
  setclosureframe(closure2380, stackframe);
  addtoclosure(closure2380, var_errormessages);
  struct UserObject *uo2380 = (struct UserObject*)obj2378;
  uo2380->data[1] = (Object)closure2380;
  Method *meth_meth_lexer_consume_40_1_41_2380 = addmethod2pos(obj2378, "consume(1)", &meth_lexer_consume_40_1_41_2380, 1);
  int argcv_meth_lexer_consume_40_1_41_2380[] = {1};
  meth_meth_lexer_consume_40_1_41_2380->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2380);
  meth_meth_lexer_consume_40_1_41_2380->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2380->definitionLine = 314;
  sourceObject = obj2378;
  objclass2378 = obj2378->class;
  objclass2378->definitionModule = modulename;
  objclass2378->definitionLine = 313;
  (*(struct UserObject *)self).data[0] = lowerouter2378;
  self = oldself2378;
  selfslot = oldselfslot2378;
  stackframe = oldstackframe2378;
  adddatum2(obj98, obj2378, 45);
  sourceObject = obj98;
  Object inheritingObject2420 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2420 = alloc_userobj2(1,2, objclass2420);
  gc_frame_newslot(obj2420);
if (objclass2420 == NULL) {
  glfree(obj2420->class->name);
  obj2420->class->name = "defaultState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2420, obj98, 0);
  addmethodreal(obj2420,"outer", &reader_lexer_outer_2421);
  Object oldself2420 = self;
  struct StackFrameObject *oldstackframe2420 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2420);
  gc_frame_newslot((Object)stackframe);
  self = obj2420;
  Object *oldselfslot2420 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2420 = (*(struct UserObject *)self).data[0], lowerouter2420 = thisouter2420;
  if (inheritingObject2420) {
    struct UserObject *inho2420 = (struct UserObject *)inheritingObject2420;
    while (inho2420->super != GraceDefaultObject) inho2420 = (struct UserObject *)inho2420->super;
    inho2420->super = obj2420;
    self = inheritingObject2420;
    *selfslot = self;
    lowerouter2420 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2420;
  }
// method "consume(_)"
  block_savedest(obj2420);
  Object closure2422 = createclosure(3, "consume(1)");
  setclosureframe(closure2422, stackframe);
  addtoclosure(closure2422, var_spaceChars);
  addtoclosure(closure2422, var_errormessages);
  addtoclosure(closure2422, var_unicode);
  struct UserObject *uo2422 = (struct UserObject*)obj2420;
  uo2422->data[1] = (Object)closure2422;
  Method *meth_meth_lexer_consume_40_1_41_2422 = addmethod2pos(obj2420, "consume(1)", &meth_lexer_consume_40_1_41_2422, 1);
  int argcv_meth_lexer_consume_40_1_41_2422[] = {1};
  meth_meth_lexer_consume_40_1_41_2422->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2422);
  meth_meth_lexer_consume_40_1_41_2422->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2422->definitionLine = 326;
  sourceObject = obj2420;
  objclass2420 = obj2420->class;
  objclass2420->definitionModule = modulename;
  objclass2420->definitionLine = 325;
  (*(struct UserObject *)self).data[0] = lowerouter2420;
  self = oldself2420;
  selfslot = oldselfslot2420;
  stackframe = oldstackframe2420;
  adddatum2(obj98, obj2420, 46);
  sourceObject = obj98;
  Object inheritingObject2986 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2986 = alloc_userobj2(1,2, objclass2986);
  gc_frame_newslot(obj2986);
if (objclass2986 == NULL) {
  glfree(obj2986->class->name);
  obj2986->class->name = "rBraceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2986, obj98, 0);
  addmethodreal(obj2986,"outer", &reader_lexer_outer_2987);
  Object oldself2986 = self;
  struct StackFrameObject *oldstackframe2986 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2986);
  gc_frame_newslot((Object)stackframe);
  self = obj2986;
  Object *oldselfslot2986 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2986 = (*(struct UserObject *)self).data[0], lowerouter2986 = thisouter2986;
  if (inheritingObject2986) {
    struct UserObject *inho2986 = (struct UserObject *)inheritingObject2986;
    while (inho2986->super != GraceDefaultObject) inho2986 = (struct UserObject *)inho2986->super;
    inho2986->super = obj2986;
    self = inheritingObject2986;
    *selfslot = self;
    lowerouter2986 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2986;
  }
// method "consume(_)"
  block_savedest(obj2986);
  Object closure2988 = createclosure(1, "consume(1)");
  setclosureframe(closure2988, stackframe);
  addtoclosure(closure2988, var_errormessages);
  struct UserObject *uo2988 = (struct UserObject*)obj2986;
  uo2988->data[1] = (Object)closure2988;
  Method *meth_meth_lexer_consume_40_1_41_2988 = addmethod2pos(obj2986, "consume(1)", &meth_lexer_consume_40_1_41_2988, 1);
  int argcv_meth_lexer_consume_40_1_41_2988[] = {1};
  meth_meth_lexer_consume_40_1_41_2988->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2988);
  meth_meth_lexer_consume_40_1_41_2988->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2988->definitionLine = 407;
  sourceObject = obj2986;
  objclass2986 = obj2986->class;
  objclass2986->definitionModule = modulename;
  objclass2986->definitionLine = 406;
  (*(struct UserObject *)self).data[0] = lowerouter2986;
  self = oldself2986;
  selfslot = oldselfslot2986;
  stackframe = oldstackframe2986;
  adddatum2(obj98, obj2986, 47);
  sourceObject = obj98;
  Object inheritingObject3110 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3110 = alloc_userobj2(1,2, objclass3110);
  gc_frame_newslot(obj3110);
if (objclass3110 == NULL) {
  glfree(obj3110->class->name);
  obj3110->class->name = "slashState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3110, obj98, 0);
  addmethodreal(obj3110,"outer", &reader_lexer_outer_3111);
  Object oldself3110 = self;
  struct StackFrameObject *oldstackframe3110 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3110);
  gc_frame_newslot((Object)stackframe);
  self = obj3110;
  Object *oldselfslot3110 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3110 = (*(struct UserObject *)self).data[0], lowerouter3110 = thisouter3110;
  if (inheritingObject3110) {
    struct UserObject *inho3110 = (struct UserObject *)inheritingObject3110;
    while (inho3110->super != GraceDefaultObject) inho3110 = (struct UserObject *)inho3110->super;
    inho3110->super = obj3110;
    self = inheritingObject3110;
    *selfslot = self;
    lowerouter3110 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3110;
  }
// method "consume(_)"
  struct UserObject *uo3112 = (struct UserObject*)obj3110;
  uo3112->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3112 = addmethod2pos(obj3110, "consume(1)", &meth_lexer_consume_40_1_41_3112, 1);
  int argcv_meth_lexer_consume_40_1_41_3112[] = {1};
  meth_meth_lexer_consume_40_1_41_3112->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3112);
  meth_meth_lexer_consume_40_1_41_3112->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3112->definitionLine = 429;
  sourceObject = obj3110;
  objclass3110 = obj3110->class;
  objclass3110->definitionModule = modulename;
  objclass3110->definitionLine = 428;
  (*(struct UserObject *)self).data[0] = lowerouter3110;
  self = oldself3110;
  selfslot = oldselfslot3110;
  stackframe = oldstackframe3110;
  adddatum2(obj98, obj3110, 48);
  sourceObject = obj98;
  Object inheritingObject3180 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3180 = alloc_userobj2(1,2, objclass3180);
  gc_frame_newslot(obj3180);
if (objclass3180 == NULL) {
  glfree(obj3180->class->name);
  obj3180->class->name = "dotState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3180, obj98, 0);
  addmethodreal(obj3180,"outer", &reader_lexer_outer_3181);
  Object oldself3180 = self;
  struct StackFrameObject *oldstackframe3180 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3180);
  gc_frame_newslot((Object)stackframe);
  self = obj3180;
  Object *oldselfslot3180 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3180 = (*(struct UserObject *)self).data[0], lowerouter3180 = thisouter3180;
  if (inheritingObject3180) {
    struct UserObject *inho3180 = (struct UserObject *)inheritingObject3180;
    while (inho3180->super != GraceDefaultObject) inho3180 = (struct UserObject *)inho3180->super;
    inho3180->super = obj3180;
    self = inheritingObject3180;
    *selfslot = self;
    lowerouter3180 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3180;
  }
// method "consume(_)"
  struct UserObject *uo3182 = (struct UserObject*)obj3180;
  uo3182->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3182 = addmethod2pos(obj3180, "consume(1)", &meth_lexer_consume_40_1_41_3182, 1);
  int argcv_meth_lexer_consume_40_1_41_3182[] = {1};
  meth_meth_lexer_consume_40_1_41_3182->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3182);
  meth_meth_lexer_consume_40_1_41_3182->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3182->definitionLine = 447;
  sourceObject = obj3180;
  objclass3180 = obj3180->class;
  objclass3180->definitionModule = modulename;
  objclass3180->definitionLine = 446;
  (*(struct UserObject *)self).data[0] = lowerouter3180;
  self = oldself3180;
  selfslot = oldselfslot3180;
  stackframe = oldstackframe3180;
  adddatum2(obj98, obj3180, 49);
  sourceObject = obj98;
  Object inheritingObject3284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3284 = alloc_userobj2(1,2, objclass3284);
  gc_frame_newslot(obj3284);
if (objclass3284 == NULL) {
  glfree(obj3284->class->name);
  obj3284->class->name = "identifierState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3284, obj98, 0);
  addmethodreal(obj3284,"outer", &reader_lexer_outer_3285);
  Object oldself3284 = self;
  struct StackFrameObject *oldstackframe3284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3284);
  gc_frame_newslot((Object)stackframe);
  self = obj3284;
  Object *oldselfslot3284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3284 = (*(struct UserObject *)self).data[0], lowerouter3284 = thisouter3284;
  if (inheritingObject3284) {
    struct UserObject *inho3284 = (struct UserObject *)inheritingObject3284;
    while (inho3284->super != GraceDefaultObject) inho3284 = (struct UserObject *)inho3284->super;
    inho3284->super = obj3284;
    self = inheritingObject3284;
    *selfslot = self;
    lowerouter3284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3284;
  }
// method "consume(_)"
  block_savedest(obj3284);
  Object closure3286 = createclosure(2, "consume(1)");
  setclosureframe(closure3286, stackframe);
  addtoclosure(closure3286, var_keywords);
  addtoclosure(closure3286, var_errormessages);
  struct UserObject *uo3286 = (struct UserObject*)obj3284;
  uo3286->data[1] = (Object)closure3286;
  Method *meth_meth_lexer_consume_40_1_41_3286 = addmethod2pos(obj3284, "consume(1)", &meth_lexer_consume_40_1_41_3286, 1);
  int argcv_meth_lexer_consume_40_1_41_3286[] = {1};
  meth_meth_lexer_consume_40_1_41_3286->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3286);
  meth_meth_lexer_consume_40_1_41_3286->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3286->definitionLine = 471;
  sourceObject = obj3284;
  objclass3284 = obj3284->class;
  objclass3284->definitionModule = modulename;
  objclass3284->definitionLine = 470;
  (*(struct UserObject *)self).data[0] = lowerouter3284;
  self = oldself3284;
  selfslot = oldselfslot3284;
  stackframe = oldstackframe3284;
  adddatum2(obj98, obj3284, 50);
  sourceObject = obj98;
  Object inheritingObject3409 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3409 = alloc_userobj2(1,2, objclass3409);
  gc_frame_newslot(obj3409);
if (objclass3409 == NULL) {
  glfree(obj3409->class->name);
  obj3409->class->name = "quotedStringState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3409, obj98, 0);
  addmethodreal(obj3409,"outer", &reader_lexer_outer_3410);
  Object oldself3409 = self;
  struct StackFrameObject *oldstackframe3409 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3409);
  gc_frame_newslot((Object)stackframe);
  self = obj3409;
  Object *oldselfslot3409 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3409 = (*(struct UserObject *)self).data[0], lowerouter3409 = thisouter3409;
  if (inheritingObject3409) {
    struct UserObject *inho3409 = (struct UserObject *)inheritingObject3409;
    while (inho3409->super != GraceDefaultObject) inho3409 = (struct UserObject *)inho3409->super;
    inho3409->super = obj3409;
    self = inheritingObject3409;
    *selfslot = self;
    lowerouter3409 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3409;
  }
// method "consume(_)"
  struct UserObject *uo3411 = (struct UserObject*)obj3409;
  uo3411->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3411 = addmethod2pos(obj3409, "consume(1)", &meth_lexer_consume_40_1_41_3411, 1);
  int argcv_meth_lexer_consume_40_1_41_3411[] = {1};
  meth_meth_lexer_consume_40_1_41_3411->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3411);
  meth_meth_lexer_consume_40_1_41_3411->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3411->definitionLine = 497;
  sourceObject = obj3409;
  objclass3409 = obj3409->class;
  objclass3409->definitionModule = modulename;
  objclass3409->definitionLine = 496;
  (*(struct UserObject *)self).data[0] = lowerouter3409;
  self = oldself3409;
  selfslot = oldselfslot3409;
  stackframe = oldstackframe3409;
  adddatum2(obj98, obj3409, 51);
  sourceObject = obj98;
  Object inheritingObject3580 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3580 = alloc_userobj2(1,2, objclass3580);
  gc_frame_newslot(obj3580);
if (objclass3580 == NULL) {
  glfree(obj3580->class->name);
  obj3580->class->name = "unicodeState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3580, obj98, 0);
  addmethodreal(obj3580,"outer", &reader_lexer_outer_3581);
  Object oldself3580 = self;
  struct StackFrameObject *oldstackframe3580 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3580);
  gc_frame_newslot((Object)stackframe);
  self = obj3580;
  Object *oldselfslot3580 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3580 = (*(struct UserObject *)self).data[0], lowerouter3580 = thisouter3580;
  if (inheritingObject3580) {
    struct UserObject *inho3580 = (struct UserObject *)inheritingObject3580;
    while (inho3580->super != GraceDefaultObject) inho3580 = (struct UserObject *)inho3580->super;
    inho3580->super = obj3580;
    self = inheritingObject3580;
    *selfslot = self;
    lowerouter3580 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3580;
  }
// method "consume(_)"
  block_savedest(obj3580);
  Object closure3582 = createclosure(1, "consume(1)");
  setclosureframe(closure3582, stackframe);
  addtoclosure(closure3582, var_unicode);
  struct UserObject *uo3582 = (struct UserObject*)obj3580;
  uo3582->data[1] = (Object)closure3582;
  Method *meth_meth_lexer_consume_40_1_41_3582 = addmethod2pos(obj3580, "consume(1)", &meth_lexer_consume_40_1_41_3582, 1);
  int argcv_meth_lexer_consume_40_1_41_3582[] = {1};
  meth_meth_lexer_consume_40_1_41_3582->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3582);
  meth_meth_lexer_consume_40_1_41_3582->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3582->definitionLine = 530;
  sourceObject = obj3580;
  objclass3580 = obj3580->class;
  objclass3580->definitionModule = modulename;
  objclass3580->definitionLine = 529;
  (*(struct UserObject *)self).data[0] = lowerouter3580;
  self = oldself3580;
  selfslot = oldselfslot3580;
  stackframe = oldstackframe3580;
  adddatum2(obj98, obj3580, 52);
  sourceObject = obj98;
  Object inheritingObject3649 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3649 = alloc_userobj2(1,2, objclass3649);
  gc_frame_newslot(obj3649);
if (objclass3649 == NULL) {
  glfree(obj3649->class->name);
  obj3649->class->name = "quotedStringEscapedState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3649, obj98, 0);
  addmethodreal(obj3649,"outer", &reader_lexer_outer_3650);
  Object oldself3649 = self;
  struct StackFrameObject *oldstackframe3649 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3649);
  gc_frame_newslot((Object)stackframe);
  self = obj3649;
  Object *oldselfslot3649 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3649 = (*(struct UserObject *)self).data[0], lowerouter3649 = thisouter3649;
  if (inheritingObject3649) {
    struct UserObject *inho3649 = (struct UserObject *)inheritingObject3649;
    while (inho3649->super != GraceDefaultObject) inho3649 = (struct UserObject *)inho3649->super;
    inho3649->super = obj3649;
    self = inheritingObject3649;
    *selfslot = self;
    lowerouter3649 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3649;
  }
// method "consume(_)"
  struct UserObject *uo3651 = (struct UserObject*)obj3649;
  uo3651->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3651 = addmethod2pos(obj3649, "consume(1)", &meth_lexer_consume_40_1_41_3651, 1);
  int argcv_meth_lexer_consume_40_1_41_3651[] = {1};
  meth_meth_lexer_consume_40_1_41_3651->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3651);
  meth_meth_lexer_consume_40_1_41_3651->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3651->definitionLine = 544;
  sourceObject = obj3649;
  objclass3649 = obj3649->class;
  objclass3649->definitionModule = modulename;
  objclass3649->definitionLine = 543;
  (*(struct UserObject *)self).data[0] = lowerouter3649;
  self = oldself3649;
  selfslot = oldselfslot3649;
  stackframe = oldstackframe3649;
  adddatum2(obj98, obj3649, 53);
  sourceObject = obj98;
  Object inheritingObject3859 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3859 = alloc_userobj2(1,2, objclass3859);
  gc_frame_newslot(obj3859);
if (objclass3859 == NULL) {
  glfree(obj3859->class->name);
  obj3859->class->name = "extendedStringState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3859, obj98, 0);
  addmethodreal(obj3859,"outer", &reader_lexer_outer_3860);
  Object oldself3859 = self;
  struct StackFrameObject *oldstackframe3859 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3859);
  gc_frame_newslot((Object)stackframe);
  self = obj3859;
  Object *oldselfslot3859 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3859 = (*(struct UserObject *)self).data[0], lowerouter3859 = thisouter3859;
  if (inheritingObject3859) {
    struct UserObject *inho3859 = (struct UserObject *)inheritingObject3859;
    while (inho3859->super != GraceDefaultObject) inho3859 = (struct UserObject *)inho3859->super;
    inho3859->super = obj3859;
    self = inheritingObject3859;
    *selfslot = self;
    lowerouter3859 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3859;
  }
// method "consume(_)"
  struct UserObject *uo3861 = (struct UserObject*)obj3859;
  uo3861->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3861 = addmethod2pos(obj3859, "consume(1)", &meth_lexer_consume_40_1_41_3861, 1);
  int argcv_meth_lexer_consume_40_1_41_3861[] = {1};
  meth_meth_lexer_consume_40_1_41_3861->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3861);
  meth_meth_lexer_consume_40_1_41_3861->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3861->definitionLine = 594;
  sourceObject = obj3859;
  objclass3859 = obj3859->class;
  objclass3859->definitionModule = modulename;
  objclass3859->definitionLine = 593;
  (*(struct UserObject *)self).data[0] = lowerouter3859;
  self = oldself3859;
  selfslot = oldselfslot3859;
  stackframe = oldstackframe3859;
  adddatum2(obj98, obj3859, 54);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 55);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 56);
  sourceObject = obj98;
  Object inheritingObject3896 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3896 = alloc_userobj2(1,2, objclass3896);
  gc_frame_newslot(obj3896);
if (objclass3896 == NULL) {
  glfree(obj3896->class->name);
  obj3896->class->name = "numberStartState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3896, obj98, 0);
  addmethodreal(obj3896,"outer", &reader_lexer_outer_3897);
  Object oldself3896 = self;
  struct StackFrameObject *oldstackframe3896 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3896);
  gc_frame_newslot((Object)stackframe);
  self = obj3896;
  Object *oldselfslot3896 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3896 = (*(struct UserObject *)self).data[0], lowerouter3896 = thisouter3896;
  if (inheritingObject3896) {
    struct UserObject *inho3896 = (struct UserObject *)inheritingObject3896;
    while (inho3896->super != GraceDefaultObject) inho3896 = (struct UserObject *)inho3896->super;
    inho3896->super = obj3896;
    self = inheritingObject3896;
    *selfslot = self;
    lowerouter3896 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3896;
  }
// method "consume(_)"
  block_savedest(obj3896);
  Object closure3898 = createclosure(1, "consume(1)");
  setclosureframe(closure3898, stackframe);
  addtoclosure(closure3898, var_errormessages);
  struct UserObject *uo3898 = (struct UserObject*)obj3896;
  uo3898->data[1] = (Object)closure3898;
  Method *meth_meth_lexer_consume_40_1_41_3898 = addmethod2pos(obj3896, "consume(1)", &meth_lexer_consume_40_1_41_3898, 1);
  int argcv_meth_lexer_consume_40_1_41_3898[] = {1};
  meth_meth_lexer_consume_40_1_41_3898->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3898);
  meth_meth_lexer_consume_40_1_41_3898->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3898->definitionLine = 610;
  sourceObject = obj3896;
  objclass3896 = obj3896->class;
  objclass3896->definitionModule = modulename;
  objclass3896->definitionLine = 609;
  (*(struct UserObject *)self).data[0] = lowerouter3896;
  self = oldself3896;
  selfslot = oldselfslot3896;
  stackframe = oldstackframe3896;
  adddatum2(obj98, obj3896, 57);
  sourceObject = obj98;
  Object inheritingObject4075 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4075 = alloc_userobj2(1,2, objclass4075);
  gc_frame_newslot(obj4075);
if (objclass4075 == NULL) {
  glfree(obj4075->class->name);
  obj4075->class->name = "numberBaseState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4075, obj98, 0);
  addmethodreal(obj4075,"outer", &reader_lexer_outer_4076);
  Object oldself4075 = self;
  struct StackFrameObject *oldstackframe4075 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4075);
  gc_frame_newslot((Object)stackframe);
  self = obj4075;
  Object *oldselfslot4075 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4075 = (*(struct UserObject *)self).data[0], lowerouter4075 = thisouter4075;
  if (inheritingObject4075) {
    struct UserObject *inho4075 = (struct UserObject *)inheritingObject4075;
    while (inho4075->super != GraceDefaultObject) inho4075 = (struct UserObject *)inho4075->super;
    inho4075->super = obj4075;
    self = inheritingObject4075;
    *selfslot = self;
    lowerouter4075 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4075;
  }
// method "consume(_)"
  struct UserObject *uo4077 = (struct UserObject*)obj4075;
  uo4077->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4077 = addmethod2pos(obj4075, "consume(1)", &meth_lexer_consume_40_1_41_4077, 1);
  int argcv_meth_lexer_consume_40_1_41_4077[] = {1};
  meth_meth_lexer_consume_40_1_41_4077->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4077);
  meth_meth_lexer_consume_40_1_41_4077->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4077->definitionLine = 640;
  sourceObject = obj4075;
  objclass4075 = obj4075->class;
  objclass4075->definitionModule = modulename;
  objclass4075->definitionLine = 639;
  (*(struct UserObject *)self).data[0] = lowerouter4075;
  self = oldself4075;
  selfslot = oldselfslot4075;
  stackframe = oldstackframe4075;
  adddatum2(obj98, obj4075, 58);
  sourceObject = obj98;
  Object inheritingObject4166 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4166 = alloc_userobj2(1,2, objclass4166);
  gc_frame_newslot(obj4166);
if (objclass4166 == NULL) {
  glfree(obj4166->class->name);
  obj4166->class->name = "numberDotState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4166, obj98, 0);
  addmethodreal(obj4166,"outer", &reader_lexer_outer_4167);
  Object oldself4166 = self;
  struct StackFrameObject *oldstackframe4166 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4166);
  gc_frame_newslot((Object)stackframe);
  self = obj4166;
  Object *oldselfslot4166 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4166 = (*(struct UserObject *)self).data[0], lowerouter4166 = thisouter4166;
  if (inheritingObject4166) {
    struct UserObject *inho4166 = (struct UserObject *)inheritingObject4166;
    while (inho4166->super != GraceDefaultObject) inho4166 = (struct UserObject *)inho4166->super;
    inho4166->super = obj4166;
    self = inheritingObject4166;
    *selfslot = self;
    lowerouter4166 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4166;
  }
// method "consume(_)"
  block_savedest(obj4166);
  Object closure4168 = createclosure(1, "consume(1)");
  setclosureframe(closure4168, stackframe);
  addtoclosure(closure4168, var_spaceChars);
  struct UserObject *uo4168 = (struct UserObject*)obj4166;
  uo4168->data[1] = (Object)closure4168;
  Method *meth_meth_lexer_consume_40_1_41_4168 = addmethod2pos(obj4166, "consume(1)", &meth_lexer_consume_40_1_41_4168, 1);
  int argcv_meth_lexer_consume_40_1_41_4168[] = {1};
  meth_meth_lexer_consume_40_1_41_4168->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4168);
  meth_meth_lexer_consume_40_1_41_4168->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4168->definitionLine = 656;
  sourceObject = obj4166;
  objclass4166 = obj4166->class;
  objclass4166->definitionModule = modulename;
  objclass4166->definitionLine = 655;
  (*(struct UserObject *)self).data[0] = lowerouter4166;
  self = oldself4166;
  selfslot = oldselfslot4166;
  stackframe = oldstackframe4166;
  adddatum2(obj98, obj4166, 59);
  sourceObject = obj98;
  Object inheritingObject4257 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4257 = alloc_userobj2(1,2, objclass4257);
  gc_frame_newslot(obj4257);
if (objclass4257 == NULL) {
  glfree(obj4257->class->name);
  obj4257->class->name = "numberFractionState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4257, obj98, 0);
  addmethodreal(obj4257,"outer", &reader_lexer_outer_4258);
  Object oldself4257 = self;
  struct StackFrameObject *oldstackframe4257 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4257);
  gc_frame_newslot((Object)stackframe);
  self = obj4257;
  Object *oldselfslot4257 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4257 = (*(struct UserObject *)self).data[0], lowerouter4257 = thisouter4257;
  if (inheritingObject4257) {
    struct UserObject *inho4257 = (struct UserObject *)inheritingObject4257;
    while (inho4257->super != GraceDefaultObject) inho4257 = (struct UserObject *)inho4257->super;
    inho4257->super = obj4257;
    self = inheritingObject4257;
    *selfslot = self;
    lowerouter4257 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4257;
  }
// method "consume(_)"
  block_savedest(obj4257);
  Object closure4259 = createclosure(1, "consume(1)");
  setclosureframe(closure4259, stackframe);
  addtoclosure(closure4259, var_errormessages);
  struct UserObject *uo4259 = (struct UserObject*)obj4257;
  uo4259->data[1] = (Object)closure4259;
  Method *meth_meth_lexer_consume_40_1_41_4259 = addmethod2pos(obj4257, "consume(1)", &meth_lexer_consume_40_1_41_4259, 1);
  int argcv_meth_lexer_consume_40_1_41_4259[] = {1};
  meth_meth_lexer_consume_40_1_41_4259->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4259);
  meth_meth_lexer_consume_40_1_41_4259->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4259->definitionLine = 675;
  sourceObject = obj4257;
  objclass4257 = obj4257->class;
  objclass4257->definitionModule = modulename;
  objclass4257->definitionLine = 674;
  (*(struct UserObject *)self).data[0] = lowerouter4257;
  self = oldself4257;
  selfslot = oldselfslot4257;
  stackframe = oldstackframe4257;
  adddatum2(obj98, obj4257, 60);
  sourceObject = obj98;
  Object inheritingObject4359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4359 = alloc_userobj2(1,2, objclass4359);
  gc_frame_newslot(obj4359);
if (objclass4359 == NULL) {
  glfree(obj4359->class->name);
  obj4359->class->name = "numberExponentSignState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4359, obj98, 0);
  addmethodreal(obj4359,"outer", &reader_lexer_outer_4360);
  Object oldself4359 = self;
  struct StackFrameObject *oldstackframe4359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4359);
  gc_frame_newslot((Object)stackframe);
  self = obj4359;
  Object *oldselfslot4359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4359 = (*(struct UserObject *)self).data[0], lowerouter4359 = thisouter4359;
  if (inheritingObject4359) {
    struct UserObject *inho4359 = (struct UserObject *)inheritingObject4359;
    while (inho4359->super != GraceDefaultObject) inho4359 = (struct UserObject *)inho4359->super;
    inho4359->super = obj4359;
    self = inheritingObject4359;
    *selfslot = self;
    lowerouter4359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4359;
  }
// method "consume(_)"
  block_savedest(obj4359);
  Object closure4361 = createclosure(1, "consume(1)");
  setclosureframe(closure4361, stackframe);
  addtoclosure(closure4361, var_errormessages);
  struct UserObject *uo4361 = (struct UserObject*)obj4359;
  uo4361->data[1] = (Object)closure4361;
  Method *meth_meth_lexer_consume_40_1_41_4361 = addmethod2pos(obj4359, "consume(1)", &meth_lexer_consume_40_1_41_4361, 1);
  int argcv_meth_lexer_consume_40_1_41_4361[] = {1};
  meth_meth_lexer_consume_40_1_41_4361->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4361);
  meth_meth_lexer_consume_40_1_41_4361->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4361->definitionLine = 694;
  sourceObject = obj4359;
  objclass4359 = obj4359->class;
  objclass4359->definitionModule = modulename;
  objclass4359->definitionLine = 693;
  (*(struct UserObject *)self).data[0] = lowerouter4359;
  self = oldself4359;
  selfslot = oldselfslot4359;
  stackframe = oldstackframe4359;
  adddatum2(obj98, obj4359, 61);
  sourceObject = obj98;
  Object inheritingObject4436 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4436 = alloc_userobj2(1,2, objclass4436);
  gc_frame_newslot(obj4436);
if (objclass4436 == NULL) {
  glfree(obj4436->class->name);
  obj4436->class->name = "numberExponentState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4436, obj98, 0);
  addmethodreal(obj4436,"outer", &reader_lexer_outer_4437);
  Object oldself4436 = self;
  struct StackFrameObject *oldstackframe4436 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4436);
  gc_frame_newslot((Object)stackframe);
  self = obj4436;
  Object *oldselfslot4436 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4436 = (*(struct UserObject *)self).data[0], lowerouter4436 = thisouter4436;
  if (inheritingObject4436) {
    struct UserObject *inho4436 = (struct UserObject *)inheritingObject4436;
    while (inho4436->super != GraceDefaultObject) inho4436 = (struct UserObject *)inho4436->super;
    inho4436->super = obj4436;
    self = inheritingObject4436;
    *selfslot = self;
    lowerouter4436 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4436;
  }
// method "consume(_)"
  block_savedest(obj4436);
  Object closure4438 = createclosure(1, "consume(1)");
  setclosureframe(closure4438, stackframe);
  addtoclosure(closure4438, var_errormessages);
  struct UserObject *uo4438 = (struct UserObject*)obj4436;
  uo4438->data[1] = (Object)closure4438;
  Method *meth_meth_lexer_consume_40_1_41_4438 = addmethod2pos(obj4436, "consume(1)", &meth_lexer_consume_40_1_41_4438, 1);
  int argcv_meth_lexer_consume_40_1_41_4438[] = {1};
  meth_meth_lexer_consume_40_1_41_4438->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4438);
  meth_meth_lexer_consume_40_1_41_4438->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4438->definitionLine = 709;
  sourceObject = obj4436;
  objclass4436 = obj4436->class;
  objclass4436->definitionModule = modulename;
  objclass4436->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter4436;
  self = oldself4436;
  selfslot = oldselfslot4436;
  stackframe = oldstackframe4436;
  adddatum2(obj98, obj4436, 62);
  sourceObject = obj98;
  Object inheritingObject4587 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4587 = alloc_userobj2(1,2, objclass4587);
  gc_frame_newslot(obj4587);
if (objclass4587 == NULL) {
  glfree(obj4587->class->name);
  obj4587->class->name = "operatorState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4587, obj98, 0);
  addmethodreal(obj4587,"outer", &reader_lexer_outer_4588);
  Object oldself4587 = self;
  struct StackFrameObject *oldstackframe4587 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4587);
  gc_frame_newslot((Object)stackframe);
  self = obj4587;
  Object *oldselfslot4587 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4587 = (*(struct UserObject *)self).data[0], lowerouter4587 = thisouter4587;
  if (inheritingObject4587) {
    struct UserObject *inho4587 = (struct UserObject *)inheritingObject4587;
    while (inho4587->super != GraceDefaultObject) inho4587 = (struct UserObject *)inho4587->super;
    inho4587->super = obj4587;
    self = inheritingObject4587;
    *selfslot = self;
    lowerouter4587 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4587;
  }
// method "consume(_)"
  struct UserObject *uo4589 = (struct UserObject*)obj4587;
  uo4589->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4589 = addmethod2pos(obj4587, "consume(1)", &meth_lexer_consume_40_1_41_4589, 1);
  int argcv_meth_lexer_consume_40_1_41_4589[] = {1};
  meth_meth_lexer_consume_40_1_41_4589->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4589);
  meth_meth_lexer_consume_40_1_41_4589->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4589->definitionLine = 742;
  sourceObject = obj4587;
  objclass4587 = obj4587->class;
  objclass4587->definitionModule = modulename;
  objclass4587->definitionLine = 741;
  (*(struct UserObject *)self).data[0] = lowerouter4587;
  self = oldself4587;
  selfslot = oldselfslot4587;
  stackframe = oldstackframe4587;
  adddatum2(obj98, obj4587, 63);
  sourceObject = obj98;
  Object inheritingObject4684 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4684 = alloc_userobj2(1,2, objclass4684);
  gc_frame_newslot(obj4684);
if (objclass4684 == NULL) {
  glfree(obj4684->class->name);
  obj4684->class->name = "indentationState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4684, obj98, 0);
  addmethodreal(obj4684,"outer", &reader_lexer_outer_4685);
  Object oldself4684 = self;
  struct StackFrameObject *oldstackframe4684 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4684);
  gc_frame_newslot((Object)stackframe);
  self = obj4684;
  Object *oldselfslot4684 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4684 = (*(struct UserObject *)self).data[0], lowerouter4684 = thisouter4684;
  if (inheritingObject4684) {
    struct UserObject *inho4684 = (struct UserObject *)inheritingObject4684;
    while (inho4684->super != GraceDefaultObject) inho4684 = (struct UserObject *)inho4684->super;
    inho4684->super = obj4684;
    self = inheritingObject4684;
    *selfslot = self;
    lowerouter4684 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4684;
  }
// method "consume(_)"
  block_savedest(obj4684);
  Object closure4686 = createclosure(1, "consume(1)");
  setclosureframe(closure4686, stackframe);
  addtoclosure(closure4686, var_spaceChars);
  struct UserObject *uo4686 = (struct UserObject*)obj4684;
  uo4686->data[1] = (Object)closure4686;
  Method *meth_meth_lexer_consume_40_1_41_4686 = addmethod2pos(obj4684, "consume(1)", &meth_lexer_consume_40_1_41_4686, 1);
  int argcv_meth_lexer_consume_40_1_41_4686[] = {1};
  meth_meth_lexer_consume_40_1_41_4686->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4686);
  meth_meth_lexer_consume_40_1_41_4686->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4686->definitionLine = 763;
  sourceObject = obj4684;
  objclass4684 = obj4684->class;
  objclass4684->definitionModule = modulename;
  objclass4684->definitionLine = 762;
  (*(struct UserObject *)self).data[0] = lowerouter4684;
  self = oldself4684;
  selfslot = oldselfslot4684;
  stackframe = oldstackframe4684;
  adddatum2(obj98, obj4684, 64);
  sourceObject = obj98;
  Object inheritingObject4712 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4712 = alloc_userobj2(1,2, objclass4712);
  gc_frame_newslot(obj4712);
if (objclass4712 == NULL) {
  glfree(obj4712->class->name);
  obj4712->class->name = "commentSpaceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4712, obj98, 0);
  addmethodreal(obj4712,"outer", &reader_lexer_outer_4713);
  Object oldself4712 = self;
  struct StackFrameObject *oldstackframe4712 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4712);
  gc_frame_newslot((Object)stackframe);
  self = obj4712;
  Object *oldselfslot4712 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4712 = (*(struct UserObject *)self).data[0], lowerouter4712 = thisouter4712;
  if (inheritingObject4712) {
    struct UserObject *inho4712 = (struct UserObject *)inheritingObject4712;
    while (inho4712->super != GraceDefaultObject) inho4712 = (struct UserObject *)inho4712->super;
    inho4712->super = obj4712;
    self = inheritingObject4712;
    *selfslot = self;
    lowerouter4712 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4712;
  }
// method "consume(_)"
  block_savedest(obj4712);
  Object closure4714 = createclosure(1, "consume(1)");
  setclosureframe(closure4714, stackframe);
  addtoclosure(closure4714, var_spaceChars);
  struct UserObject *uo4714 = (struct UserObject*)obj4712;
  uo4714->data[1] = (Object)closure4714;
  Method *meth_meth_lexer_consume_40_1_41_4714 = addmethod2pos(obj4712, "consume(1)", &meth_lexer_consume_40_1_41_4714, 1);
  int argcv_meth_lexer_consume_40_1_41_4714[] = {1};
  meth_meth_lexer_consume_40_1_41_4714->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4714);
  meth_meth_lexer_consume_40_1_41_4714->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4714->definitionLine = 773;
  sourceObject = obj4712;
  objclass4712 = obj4712->class;
  objclass4712->definitionModule = modulename;
  objclass4712->definitionLine = 772;
  (*(struct UserObject *)self).data[0] = lowerouter4712;
  self = oldself4712;
  selfslot = oldselfslot4712;
  stackframe = oldstackframe4712;
  adddatum2(obj98, obj4712, 65);
  sourceObject = obj98;
  Object inheritingObject4739 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4739 = alloc_userobj2(1,2, objclass4739);
  gc_frame_newslot(obj4739);
if (objclass4739 == NULL) {
  glfree(obj4739->class->name);
  obj4739->class->name = "commentState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4739, obj98, 0);
  addmethodreal(obj4739,"outer", &reader_lexer_outer_4740);
  Object oldself4739 = self;
  struct StackFrameObject *oldstackframe4739 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4739);
  gc_frame_newslot((Object)stackframe);
  self = obj4739;
  Object *oldselfslot4739 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4739 = (*(struct UserObject *)self).data[0], lowerouter4739 = thisouter4739;
  if (inheritingObject4739) {
    struct UserObject *inho4739 = (struct UserObject *)inheritingObject4739;
    while (inho4739->super != GraceDefaultObject) inho4739 = (struct UserObject *)inho4739->super;
    inho4739->super = obj4739;
    self = inheritingObject4739;
    *selfslot = self;
    lowerouter4739 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4739;
  }
// method "consume(_)"
  struct UserObject *uo4741 = (struct UserObject*)obj4739;
  uo4741->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4741 = addmethod2pos(obj4739, "consume(1)", &meth_lexer_consume_40_1_41_4741, 1);
  int argcv_meth_lexer_consume_40_1_41_4741[] = {1};
  meth_meth_lexer_consume_40_1_41_4741->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4741);
  meth_meth_lexer_consume_40_1_41_4741->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4741->definitionLine = 782;
  sourceObject = obj4739;
  objclass4739 = obj4739->class;
  objclass4739->definitionModule = modulename;
  objclass4739->definitionLine = 781;
  (*(struct UserObject *)self).data[0] = lowerouter4739;
  self = oldself4739;
  selfslot = oldselfslot4739;
  stackframe = oldstackframe4739;
  adddatum2(obj98, obj4739, 66);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 83;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_new97_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_spaceChars = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_keywords = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(115,99, objclass98);
  gc_frame_newslot(obj98);
if (objclass98 == NULL) {
  glfree(obj98->class->name);
  obj98->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
if (objclass98 == NULL) {
  Method *reader100 = addmethodrealflags(obj98, "tokens", &reader_lexer_tokens_100, MFLAG_CONFIDENTIAL);
  Method *writer100 = addmethodrealflags(obj98, "tokens:=(1)", &writer_lexer_tokens_100, MFLAG_CONFIDENTIAL);
  reader100->definitionModule = modulename;
  writer100->definitionModule = modulename;
  reader100->definitionLine = 84;
  writer100->definitionLine = 84;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 1);
if (objclass98 == NULL) {
  Method *reader101 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
  Method *writer101 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_101, MFLAG_CONFIDENTIAL);
  reader101->definitionModule = modulename;
  writer101->definitionModule = modulename;
  reader101->definitionLine = 85;
  writer101->definitionLine = 85;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 2);
if (objclass98 == NULL) {
  Method *reader102 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
  Method *writer102 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_102, MFLAG_CONFIDENTIAL);
  reader102->definitionModule = modulename;
  writer102->definitionModule = modulename;
  reader102->definitionLine = 86;
  writer102->definitionLine = 86;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 3);
if (objclass98 == NULL) {
  Method *reader103 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
  Method *writer103 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_103, MFLAG_CONFIDENTIAL);
  reader103->definitionModule = modulename;
  writer103->definitionModule = modulename;
  reader103->definitionLine = 87;
  writer103->definitionLine = 87;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 4);
if (objclass98 == NULL) {
  Method *reader104 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
  Method *writer104 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_104, MFLAG_CONFIDENTIAL);
  reader104->definitionModule = modulename;
  writer104->definitionModule = modulename;
  reader104->definitionLine = 88;
  writer104->definitionLine = 88;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 5);
if (objclass98 == NULL) {
  Method *reader105 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_105, MFLAG_CONFIDENTIAL);
  Method *writer105 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_105, MFLAG_CONFIDENTIAL);
  reader105->definitionModule = modulename;
  writer105->definitionModule = modulename;
  reader105->definitionLine = 89;
  writer105->definitionLine = 89;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 6);
if (objclass98 == NULL) {
  Method *reader106 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
  Method *writer106 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_106, MFLAG_CONFIDENTIAL);
  reader106->definitionModule = modulename;
  writer106->definitionModule = modulename;
  reader106->definitionLine = 90;
  writer106->definitionLine = 90;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 7);
if (objclass98 == NULL) {
  Method *reader107 = addmethodrealflags(obj98, "unichars", &reader_lexer_unichars_107, MFLAG_CONFIDENTIAL);
  Method *writer107 = addmethodrealflags(obj98, "unichars:=(1)", &writer_lexer_unichars_107, MFLAG_CONFIDENTIAL);
  reader107->definitionModule = modulename;
  writer107->definitionModule = modulename;
  reader107->definitionLine = 91;
  writer107->definitionLine = 91;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 8);
// method "token"
  struct UserObject *uo108 = (struct UserObject*)obj98;
  uo108->data[9] = emptyclosure;
  Method *meth_meth_lexer_token108 = addmethod2pos(obj98, "token", &meth_lexer_token108, 9);
  int argcv_meth_lexer_token108[] = {0};
  meth_meth_lexer_token108->type = alloc_MethodType(1, argcv_meth_lexer_token108);
  meth_meth_lexer_token108->definitionModule = modulename;
  meth_meth_lexer_token108->definitionLine = 92;
  Method *meth_meth_lexer_token108_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_token108_object, 9);
  int argcv_meth_lexer_token108_object[] = {0};
  meth_meth_lexer_token108_object->type = alloc_MethodType(1, argcv_meth_lexer_token108_object);
  meth_meth_lexer_token108_object->definitionModule = modulename;
  meth_meth_lexer_token108_object->definitionLine = 92;
// method "identifierToken(_)"
  struct UserObject *uo193 = (struct UserObject*)obj98;
  uo193->data[10] = emptyclosure;
  Method *meth_meth_lexer_identifierToken_40_1_41_193 = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_identifierToken_40_1_41_193, 10);
  int argcv_meth_lexer_identifierToken_40_1_41_193[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_193->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_193);
  meth_meth_lexer_identifierToken_40_1_41_193->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_193->definitionLine = 111;
  Method *meth_meth_lexer_identifierToken_40_1_41_193_object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_identifierToken_40_1_41_193_object, 10);
  int argcv_meth_lexer_identifierToken_40_1_41_193_object[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_193_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_193_object);
  meth_meth_lexer_identifierToken_40_1_41_193_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_193_object->definitionLine = 111;
// method "stringToken(_)"
  struct UserObject *uo207 = (struct UserObject*)obj98;
  uo207->data[11] = emptyclosure;
  Method *meth_meth_lexer_stringToken_40_1_41_207 = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_stringToken_40_1_41_207, 11);
  int argcv_meth_lexer_stringToken_40_1_41_207[] = {1};
  meth_meth_lexer_stringToken_40_1_41_207->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_207);
  meth_meth_lexer_stringToken_40_1_41_207->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_207->definitionLine = 117;
  Method *meth_meth_lexer_stringToken_40_1_41_207_object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_stringToken_40_1_41_207_object, 11);
  int argcv_meth_lexer_stringToken_40_1_41_207_object[] = {1};
  meth_meth_lexer_stringToken_40_1_41_207_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_207_object);
  meth_meth_lexer_stringToken_40_1_41_207_object->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_207_object->definitionLine = 117;
// method "multiLineStringToken(_)"
  struct UserObject *uo234 = (struct UserObject*)obj98;
  uo234->data[12] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_234 = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_multiLineStringToken_40_1_41_234, 12);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_234[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_234->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_234);
  meth_meth_lexer_multiLineStringToken_40_1_41_234->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_234->definitionLine = 123;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_234_object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_multiLineStringToken_40_1_41_234_object, 12);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_234_object[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_234_object);
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_234_object->definitionLine = 123;
// method "commentToken(_)"
  struct UserObject *uo268 = (struct UserObject*)obj98;
  uo268->data[13] = emptyclosure;
  Method *meth_meth_lexer_commentToken_40_1_41_268 = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_commentToken_40_1_41_268, 13);
  int argcv_meth_lexer_commentToken_40_1_41_268[] = {1};
  meth_meth_lexer_commentToken_40_1_41_268->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_268);
  meth_meth_lexer_commentToken_40_1_41_268->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_268->definitionLine = 133;
  Method *meth_meth_lexer_commentToken_40_1_41_268_object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_commentToken_40_1_41_268_object, 13);
  int argcv_meth_lexer_commentToken_40_1_41_268_object[] = {1};
  meth_meth_lexer_commentToken_40_1_41_268_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_268_object);
  meth_meth_lexer_commentToken_40_1_41_268_object->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_268_object->definitionLine = 133;
// method "lBraceToken"
  struct UserObject *uo286 = (struct UserObject*)obj98;
  uo286->data[14] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken286 = addmethod2pos(obj98, "lBraceToken", &meth_lexer_lBraceToken286, 14);
  int argcv_meth_lexer_lBraceToken286[] = {0};
  meth_meth_lexer_lBraceToken286->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken286);
  meth_meth_lexer_lBraceToken286->definitionModule = modulename;
  meth_meth_lexer_lBraceToken286->definitionLine = 139;
  Method *meth_meth_lexer_lBraceToken286_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_lBraceToken286_object, 14);
  int argcv_meth_lexer_lBraceToken286_object[] = {0};
  meth_meth_lexer_lBraceToken286_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken286_object);
  meth_meth_lexer_lBraceToken286_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken286_object->definitionLine = 139;
// method "rBraceToken"
  struct UserObject *uo300 = (struct UserObject*)obj98;
  uo300->data[15] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken300 = addmethod2pos(obj98, "rBraceToken", &meth_lexer_rBraceToken300, 15);
  int argcv_meth_lexer_rBraceToken300[] = {0};
  meth_meth_lexer_rBraceToken300->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken300);
  meth_meth_lexer_rBraceToken300->definitionModule = modulename;
  meth_meth_lexer_rBraceToken300->definitionLine = 145;
  Method *meth_meth_lexer_rBraceToken300_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_rBraceToken300_object, 15);
  int argcv_meth_lexer_rBraceToken300_object[] = {0};
  meth_meth_lexer_rBraceToken300_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken300_object);
  meth_meth_lexer_rBraceToken300_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken300_object->definitionLine = 145;
// method "lParenToken"
  struct UserObject *uo314 = (struct UserObject*)obj98;
  uo314->data[16] = emptyclosure;
  Method *meth_meth_lexer_lParenToken314 = addmethod2pos(obj98, "lParenToken", &meth_lexer_lParenToken314, 16);
  int argcv_meth_lexer_lParenToken314[] = {0};
  meth_meth_lexer_lParenToken314->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken314);
  meth_meth_lexer_lParenToken314->definitionModule = modulename;
  meth_meth_lexer_lParenToken314->definitionLine = 151;
  Method *meth_meth_lexer_lParenToken314_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_lParenToken314_object, 16);
  int argcv_meth_lexer_lParenToken314_object[] = {0};
  meth_meth_lexer_lParenToken314_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken314_object);
  meth_meth_lexer_lParenToken314_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken314_object->definitionLine = 151;
// method "rParenToken"
  struct UserObject *uo328 = (struct UserObject*)obj98;
  uo328->data[17] = emptyclosure;
  Method *meth_meth_lexer_rParenToken328 = addmethod2pos(obj98, "rParenToken", &meth_lexer_rParenToken328, 17);
  int argcv_meth_lexer_rParenToken328[] = {0};
  meth_meth_lexer_rParenToken328->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken328);
  meth_meth_lexer_rParenToken328->definitionModule = modulename;
  meth_meth_lexer_rParenToken328->definitionLine = 157;
  Method *meth_meth_lexer_rParenToken328_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_rParenToken328_object, 17);
  int argcv_meth_lexer_rParenToken328_object[] = {0};
  meth_meth_lexer_rParenToken328_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken328_object);
  meth_meth_lexer_rParenToken328_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken328_object->definitionLine = 157;
// method "lSquareToken"
  struct UserObject *uo342 = (struct UserObject*)obj98;
  uo342->data[18] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken342 = addmethod2pos(obj98, "lSquareToken", &meth_lexer_lSquareToken342, 18);
  int argcv_meth_lexer_lSquareToken342[] = {0};
  meth_meth_lexer_lSquareToken342->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken342);
  meth_meth_lexer_lSquareToken342->definitionModule = modulename;
  meth_meth_lexer_lSquareToken342->definitionLine = 163;
  Method *meth_meth_lexer_lSquareToken342_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_lSquareToken342_object, 18);
  int argcv_meth_lexer_lSquareToken342_object[] = {0};
  meth_meth_lexer_lSquareToken342_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken342_object);
  meth_meth_lexer_lSquareToken342_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken342_object->definitionLine = 163;
// method "rSquareToken"
  struct UserObject *uo356 = (struct UserObject*)obj98;
  uo356->data[19] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken356 = addmethod2pos(obj98, "rSquareToken", &meth_lexer_rSquareToken356, 19);
  int argcv_meth_lexer_rSquareToken356[] = {0};
  meth_meth_lexer_rSquareToken356->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken356);
  meth_meth_lexer_rSquareToken356->definitionModule = modulename;
  meth_meth_lexer_rSquareToken356->definitionLine = 169;
  Method *meth_meth_lexer_rSquareToken356_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_rSquareToken356_object, 19);
  int argcv_meth_lexer_rSquareToken356_object[] = {0};
  meth_meth_lexer_rSquareToken356_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken356_object);
  meth_meth_lexer_rSquareToken356_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken356_object->definitionLine = 169;
// method "commaToken"
  struct UserObject *uo370 = (struct UserObject*)obj98;
  uo370->data[20] = emptyclosure;
  Method *meth_meth_lexer_commaToken370 = addmethod2pos(obj98, "commaToken", &meth_lexer_commaToken370, 20);
  int argcv_meth_lexer_commaToken370[] = {0};
  meth_meth_lexer_commaToken370->type = alloc_MethodType(1, argcv_meth_lexer_commaToken370);
  meth_meth_lexer_commaToken370->definitionModule = modulename;
  meth_meth_lexer_commaToken370->definitionLine = 175;
  Method *meth_meth_lexer_commaToken370_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_commaToken370_object, 20);
  int argcv_meth_lexer_commaToken370_object[] = {0};
  meth_meth_lexer_commaToken370_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken370_object);
  meth_meth_lexer_commaToken370_object->definitionModule = modulename;
  meth_meth_lexer_commaToken370_object->definitionLine = 175;
// method "colonToken"
  struct UserObject *uo384 = (struct UserObject*)obj98;
  uo384->data[21] = emptyclosure;
  Method *meth_meth_lexer_colonToken384 = addmethod2pos(obj98, "colonToken", &meth_lexer_colonToken384, 21);
  int argcv_meth_lexer_colonToken384[] = {0};
  meth_meth_lexer_colonToken384->type = alloc_MethodType(1, argcv_meth_lexer_colonToken384);
  meth_meth_lexer_colonToken384->definitionModule = modulename;
  meth_meth_lexer_colonToken384->definitionLine = 181;
  Method *meth_meth_lexer_colonToken384_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_colonToken384_object, 21);
  int argcv_meth_lexer_colonToken384_object[] = {0};
  meth_meth_lexer_colonToken384_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken384_object);
  meth_meth_lexer_colonToken384_object->definitionModule = modulename;
  meth_meth_lexer_colonToken384_object->definitionLine = 181;
// method "dotToken"
  struct UserObject *uo398 = (struct UserObject*)obj98;
  uo398->data[22] = emptyclosure;
  Method *meth_meth_lexer_dotToken398 = addmethod2pos(obj98, "dotToken", &meth_lexer_dotToken398, 22);
  int argcv_meth_lexer_dotToken398[] = {0};
  meth_meth_lexer_dotToken398->type = alloc_MethodType(1, argcv_meth_lexer_dotToken398);
  meth_meth_lexer_dotToken398->definitionModule = modulename;
  meth_meth_lexer_dotToken398->definitionLine = 187;
  Method *meth_meth_lexer_dotToken398_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_dotToken398_object, 22);
  int argcv_meth_lexer_dotToken398_object[] = {0};
  meth_meth_lexer_dotToken398_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken398_object);
  meth_meth_lexer_dotToken398_object->definitionModule = modulename;
  meth_meth_lexer_dotToken398_object->definitionLine = 187;
// method "numToken(_,_)"
  struct UserObject *uo412 = (struct UserObject*)obj98;
  uo412->data[23] = emptyclosure;
  Method *meth_meth_lexer_numToken_40_2_41_412 = addmethod2pos(obj98, "numToken(2)", &meth_lexer_numToken_40_2_41_412, 23);
  int argcv_meth_lexer_numToken_40_2_41_412[] = {2};
  meth_meth_lexer_numToken_40_2_41_412->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_412);
  meth_meth_lexer_numToken_40_2_41_412->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_412->definitionLine = 193;
  Method *meth_meth_lexer_numToken_40_2_41_412_object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_numToken_40_2_41_412_object, 23);
  int argcv_meth_lexer_numToken_40_2_41_412_object[] = {2};
  meth_meth_lexer_numToken_40_2_41_412_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_412_object);
  meth_meth_lexer_numToken_40_2_41_412_object->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_412_object->definitionLine = 193;
// method "keywordToken(_)"
  struct UserObject *uo436 = (struct UserObject*)obj98;
  uo436->data[24] = emptyclosure;
  Method *meth_meth_lexer_keywordToken_40_1_41_436 = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_keywordToken_40_1_41_436, 24);
  int argcv_meth_lexer_keywordToken_40_1_41_436[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_436->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_436);
  meth_meth_lexer_keywordToken_40_1_41_436->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_436->definitionLine = 200;
  Method *meth_meth_lexer_keywordToken_40_1_41_436_object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_keywordToken_40_1_41_436_object, 24);
  int argcv_meth_lexer_keywordToken_40_1_41_436_object[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_436_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_436_object);
  meth_meth_lexer_keywordToken_40_1_41_436_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_436_object->definitionLine = 200;
// method "opToken(_)"
  struct UserObject *uo450 = (struct UserObject*)obj98;
  uo450->data[25] = emptyclosure;
  Method *meth_meth_lexer_opToken_40_1_41_450 = addmethod2pos(obj98, "opToken(1)", &meth_lexer_opToken_40_1_41_450, 25);
  int argcv_meth_lexer_opToken_40_1_41_450[] = {1};
  meth_meth_lexer_opToken_40_1_41_450->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_450);
  meth_meth_lexer_opToken_40_1_41_450->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_450->definitionLine = 206;
  Method *meth_meth_lexer_opToken_40_1_41_450_object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_opToken_40_1_41_450_object, 25);
  int argcv_meth_lexer_opToken_40_1_41_450_object[] = {1};
  meth_meth_lexer_opToken_40_1_41_450_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_450_object);
  meth_meth_lexer_opToken_40_1_41_450_object->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_450_object->definitionLine = 206;
// method "arrowToken"
  struct UserObject *uo464 = (struct UserObject*)obj98;
  uo464->data[26] = emptyclosure;
  Method *meth_meth_lexer_arrowToken464 = addmethod2pos(obj98, "arrowToken", &meth_lexer_arrowToken464, 26);
  int argcv_meth_lexer_arrowToken464[] = {0};
  meth_meth_lexer_arrowToken464->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken464);
  meth_meth_lexer_arrowToken464->definitionModule = modulename;
  meth_meth_lexer_arrowToken464->definitionLine = 212;
  Method *meth_meth_lexer_arrowToken464_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_arrowToken464_object, 26);
  int argcv_meth_lexer_arrowToken464_object[] = {0};
  meth_meth_lexer_arrowToken464_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken464_object);
  meth_meth_lexer_arrowToken464_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken464_object->definitionLine = 212;
// method "bindToken"
  struct UserObject *uo478 = (struct UserObject*)obj98;
  uo478->data[27] = emptyclosure;
  Method *meth_meth_lexer_bindToken478 = addmethod2pos(obj98, "bindToken", &meth_lexer_bindToken478, 27);
  int argcv_meth_lexer_bindToken478[] = {0};
  meth_meth_lexer_bindToken478->type = alloc_MethodType(1, argcv_meth_lexer_bindToken478);
  meth_meth_lexer_bindToken478->definitionModule = modulename;
  meth_meth_lexer_bindToken478->definitionLine = 218;
  Method *meth_meth_lexer_bindToken478_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_bindToken478_object, 27);
  int argcv_meth_lexer_bindToken478_object[] = {0};
  meth_meth_lexer_bindToken478_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken478_object);
  meth_meth_lexer_bindToken478_object->definitionModule = modulename;
  meth_meth_lexer_bindToken478_object->definitionLine = 218;
// method "semicolonToken"
  struct UserObject *uo492 = (struct UserObject*)obj98;
  uo492->data[28] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken492 = addmethod2pos(obj98, "semicolonToken", &meth_lexer_semicolonToken492, 28);
  int argcv_meth_lexer_semicolonToken492[] = {0};
  meth_meth_lexer_semicolonToken492->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken492);
  meth_meth_lexer_semicolonToken492->definitionModule = modulename;
  meth_meth_lexer_semicolonToken492->definitionLine = 224;
  Method *meth_meth_lexer_semicolonToken492_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_semicolonToken492_object, 28);
  int argcv_meth_lexer_semicolonToken492_object[] = {0};
  meth_meth_lexer_semicolonToken492_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken492_object);
  meth_meth_lexer_semicolonToken492_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken492_object->definitionLine = 224;
// method "lGenericToken"
  struct UserObject *uo506 = (struct UserObject*)obj98;
  uo506->data[29] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken506 = addmethod2pos(obj98, "lGenericToken", &meth_lexer_lGenericToken506, 29);
  int argcv_meth_lexer_lGenericToken506[] = {0};
  meth_meth_lexer_lGenericToken506->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken506);
  meth_meth_lexer_lGenericToken506->definitionModule = modulename;
  meth_meth_lexer_lGenericToken506->definitionLine = 230;
  Method *meth_meth_lexer_lGenericToken506_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_lGenericToken506_object, 29);
  int argcv_meth_lexer_lGenericToken506_object[] = {0};
  meth_meth_lexer_lGenericToken506_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken506_object);
  meth_meth_lexer_lGenericToken506_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken506_object->definitionLine = 230;
// method "rGenericToken"
  struct UserObject *uo520 = (struct UserObject*)obj98;
  uo520->data[30] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken520 = addmethod2pos(obj98, "rGenericToken", &meth_lexer_rGenericToken520, 30);
  int argcv_meth_lexer_rGenericToken520[] = {0};
  meth_meth_lexer_rGenericToken520->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken520);
  meth_meth_lexer_rGenericToken520->definitionModule = modulename;
  meth_meth_lexer_rGenericToken520->definitionLine = 236;
  Method *meth_meth_lexer_rGenericToken520_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_rGenericToken520_object, 30);
  int argcv_meth_lexer_rGenericToken520_object[] = {0};
  meth_meth_lexer_rGenericToken520_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken520_object);
  meth_meth_lexer_rGenericToken520_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken520_object->definitionLine = 236;
// method "eofToken"
  struct UserObject *uo534 = (struct UserObject*)obj98;
  uo534->data[31] = emptyclosure;
  Method *meth_meth_lexer_eofToken534 = addmethod2pos(obj98, "eofToken", &meth_lexer_eofToken534, 31);
  int argcv_meth_lexer_eofToken534[] = {0};
  meth_meth_lexer_eofToken534->type = alloc_MethodType(1, argcv_meth_lexer_eofToken534);
  meth_meth_lexer_eofToken534->definitionModule = modulename;
  meth_meth_lexer_eofToken534->definitionLine = 242;
  Method *meth_meth_lexer_eofToken534_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_eofToken534_object, 31);
  int argcv_meth_lexer_eofToken534_object[] = {0};
  meth_meth_lexer_eofToken534_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken534_object);
  meth_meth_lexer_eofToken534_object->definitionModule = modulename;
  meth_meth_lexer_eofToken534_object->definitionLine = 242;
if (objclass98 == NULL) {
  Method *reader548 = addmethodrealflags(obj98, "state", &reader_lexer_state_548, MFLAG_CONFIDENTIAL);
  Method *writer548 = addmethodrealflags(obj98, "state:=(1)", &writer_lexer_state_548, MFLAG_CONFIDENTIAL);
  reader548->definitionModule = modulename;
  writer548->definitionModule = modulename;
  reader548->definitionLine = 249;
  writer548->definitionLine = 249;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 32);
if (objclass98 == NULL) {
  Method *reader549 = addmethodrealflags(obj98, "accum", &reader_lexer_accum_549, MFLAG_CONFIDENTIAL);
  Method *writer549 = addmethodrealflags(obj98, "accum:=(1)", &writer_lexer_accum_549, MFLAG_CONFIDENTIAL);
  reader549->definitionModule = modulename;
  writer549->definitionModule = modulename;
  reader549->definitionLine = 250;
  writer549->definitionLine = 250;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 33);
if (objclass98 == NULL) {
  Method *reader550 = addmethodrealflags(obj98, "inStr", &reader_lexer_inStr_550, MFLAG_CONFIDENTIAL);
  Method *writer550 = addmethodrealflags(obj98, "inStr:=(1)", &writer_lexer_inStr_550, MFLAG_CONFIDENTIAL);
  reader550->definitionModule = modulename;
  writer550->definitionModule = modulename;
  reader550->definitionLine = 252;
  writer550->definitionLine = 252;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 34);
if (objclass98 == NULL) {
  Method *reader551 = addmethodrealflags(obj98, "escaped", &reader_lexer_escaped_551, MFLAG_CONFIDENTIAL);
  Method *writer551 = addmethodrealflags(obj98, "escaped:=(1)", &writer_lexer_escaped_551, MFLAG_CONFIDENTIAL);
  reader551->definitionModule = modulename;
  writer551->definitionModule = modulename;
  reader551->definitionLine = 253;
  writer551->definitionLine = 253;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 35);
if (objclass98 == NULL) {
  Method *reader552 = addmethodrealflags(obj98, "codepoint", &reader_lexer_codepoint_552, MFLAG_CONFIDENTIAL);
  Method *writer552 = addmethodrealflags(obj98, "codepoint:=(1)", &writer_lexer_codepoint_552, MFLAG_CONFIDENTIAL);
  reader552->definitionModule = modulename;
  writer552->definitionModule = modulename;
  reader552->definitionLine = 254;
  writer552->definitionLine = 254;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 36);
if (objclass98 == NULL) {
  Method *reader553 = addmethodrealflags(obj98, "interpdepth", &reader_lexer_interpdepth_553, MFLAG_CONFIDENTIAL);
  Method *writer553 = addmethodrealflags(obj98, "interpdepth:=(1)", &writer_lexer_interpdepth_553, MFLAG_CONFIDENTIAL);
  reader553->definitionModule = modulename;
  writer553->definitionModule = modulename;
  reader553->definitionLine = 255;
  writer553->definitionLine = 255;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 37);
if (objclass98 == NULL) {
  Method *reader554 = addmethodrealflags(obj98, "interpString", &reader_lexer_interpString_554, MFLAG_CONFIDENTIAL);
  Method *writer554 = addmethodrealflags(obj98, "interpString:=(1)", &writer_lexer_interpString_554, MFLAG_CONFIDENTIAL);
  reader554->definitionModule = modulename;
  writer554->definitionModule = modulename;
  reader554->definitionLine = 256;
  writer554->definitionLine = 256;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 38);
// method "advanceTo(_)"
  struct UserObject *uo555 = (struct UserObject*)obj98;
  uo555->data[39] = emptyclosure;
  Method *meth_meth_lexer_advanceTo_40_1_41_555 = addmethod2pos(obj98, "advanceTo(1)", &meth_lexer_advanceTo_40_1_41_555, 39);
  int argcv_meth_lexer_advanceTo_40_1_41_555[] = {1};
  meth_meth_lexer_advanceTo_40_1_41_555->type = alloc_MethodType(1, argcv_meth_lexer_advanceTo_40_1_41_555);
  meth_meth_lexer_advanceTo_40_1_41_555->definitionModule = modulename;
  meth_meth_lexer_advanceTo_40_1_41_555->definitionLine = 258;
// method "emit(_)"
  struct UserObject *uo558 = (struct UserObject*)obj98;
  uo558->data[40] = emptyclosure;
  Method *meth_meth_lexer_emit_40_1_41_558 = addmethod2pos(obj98, "emit(1)", &meth_lexer_emit_40_1_41_558, 40);
  int argcv_meth_lexer_emit_40_1_41_558[] = {1};
  meth_meth_lexer_emit_40_1_41_558->type = alloc_MethodType(1, argcv_meth_lexer_emit_40_1_41_558);
  meth_meth_lexer_emit_40_1_41_558->definitionModule = modulename;
  meth_meth_lexer_emit_40_1_41_558->definitionLine = 259;
// method "store(_)"
  struct UserObject *uo566 = (struct UserObject*)obj98;
  uo566->data[41] = emptyclosure;
  Method *meth_meth_lexer_store_40_1_41_566 = addmethod2pos(obj98, "store(1)", &meth_lexer_store_40_1_41_566, 41);
  int argcv_meth_lexer_store_40_1_41_566[] = {1};
  meth_meth_lexer_store_40_1_41_566->type = alloc_MethodType(1, argcv_meth_lexer_store_40_1_41_566);
  meth_meth_lexer_store_40_1_41_566->definitionModule = modulename;
  meth_meth_lexer_store_40_1_41_566->definitionLine = 263;
if (objclass98 == NULL) {
  Method *reader574 = addmethodrealflags(obj98, "startState",&reader_lexer_startState_574, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader574->definitionModule = modulename;
  reader574->definitionLine = 265;
}
adddatum2(obj98, alloc_Undefined(), 42);
if (objclass98 == NULL) {
  Method *reader575 = addmethodrealflags(obj98, "pragmaPrefixState",&reader_lexer_pragmaPrefixState_575, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader575->definitionModule = modulename;
  reader575->definitionLine = 277;
}
adddatum2(obj98, alloc_Undefined(), 43);
if (objclass98 == NULL) {
  Method *reader576 = addmethodrealflags(obj98, "pragmaBodyState",&reader_lexer_pragmaBodyState_576, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader576->definitionModule = modulename;
  reader576->definitionLine = 298;
}
adddatum2(obj98, alloc_Undefined(), 44);
if (objclass98 == NULL) {
  Method *reader577 = addmethodrealflags(obj98, "pragmaTrailingWhitespaceState",&reader_lexer_pragmaTrailingWhitespaceState_577, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader577->definitionModule = modulename;
  reader577->definitionLine = 313;
}
adddatum2(obj98, alloc_Undefined(), 45);
if (objclass98 == NULL) {
  Method *reader578 = addmethodrealflags(obj98, "defaultState",&reader_lexer_defaultState_578, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader578->definitionModule = modulename;
  reader578->definitionLine = 325;
}
adddatum2(obj98, alloc_Undefined(), 46);
if (objclass98 == NULL) {
  Method *reader579 = addmethodrealflags(obj98, "rBraceState",&reader_lexer_rBraceState_579, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader579->definitionModule = modulename;
  reader579->definitionLine = 406;
}
adddatum2(obj98, alloc_Undefined(), 47);
if (objclass98 == NULL) {
  Method *reader580 = addmethodrealflags(obj98, "slashState",&reader_lexer_slashState_580, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader580->definitionModule = modulename;
  reader580->definitionLine = 428;
}
adddatum2(obj98, alloc_Undefined(), 48);
if (objclass98 == NULL) {
  Method *reader581 = addmethodrealflags(obj98, "dotState",&reader_lexer_dotState_581, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader581->definitionModule = modulename;
  reader581->definitionLine = 446;
}
adddatum2(obj98, alloc_Undefined(), 49);
if (objclass98 == NULL) {
  Method *reader582 = addmethodrealflags(obj98, "identifierState",&reader_lexer_identifierState_582, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader582->definitionModule = modulename;
  reader582->definitionLine = 470;
}
adddatum2(obj98, alloc_Undefined(), 50);
if (objclass98 == NULL) {
  Method *reader583 = addmethodrealflags(obj98, "quotedStringState",&reader_lexer_quotedStringState_583, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader583->definitionModule = modulename;
  reader583->definitionLine = 496;
}
adddatum2(obj98, alloc_Undefined(), 51);
if (objclass98 == NULL) {
  Method *reader584 = addmethodrealflags(obj98, "unicodeState",&reader_lexer_unicodeState_584, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader584->definitionModule = modulename;
  reader584->definitionLine = 529;
}
adddatum2(obj98, alloc_Undefined(), 52);
if (objclass98 == NULL) {
  Method *reader585 = addmethodrealflags(obj98, "quotedStringEscapedState",&reader_lexer_quotedStringEscapedState_585, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader585->definitionModule = modulename;
  reader585->definitionLine = 543;
}
adddatum2(obj98, alloc_Undefined(), 53);
if (objclass98 == NULL) {
  Method *reader586 = addmethodrealflags(obj98, "extendedStringState",&reader_lexer_extendedStringState_586, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader586->definitionModule = modulename;
  reader586->definitionLine = 593;
}
adddatum2(obj98, alloc_Undefined(), 54);
if (objclass98 == NULL) {
  Method *reader587 = addmethodrealflags(obj98, "tokenBase", &reader_lexer_tokenBase_587, MFLAG_CONFIDENTIAL);
  Method *writer587 = addmethodrealflags(obj98, "tokenBase:=(1)", &writer_lexer_tokenBase_587, 0);
  reader587->definitionModule = modulename;
  writer587->definitionModule = modulename;
  reader587->definitionLine = 607;
  writer587->definitionLine = 607;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 55);
if (objclass98 == NULL) {
  Method *reader588 = addmethodrealflags(obj98, "mantissa", &reader_lexer_mantissa_588, MFLAG_CONFIDENTIAL);
  Method *writer588 = addmethodrealflags(obj98, "mantissa:=(1)", &writer_lexer_mantissa_588, 0);
  reader588->definitionModule = modulename;
  writer588->definitionModule = modulename;
  reader588->definitionLine = 608;
  writer588->definitionLine = 608;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 56);
if (objclass98 == NULL) {
  Method *reader589 = addmethodrealflags(obj98, "numberStartState",&reader_lexer_numberStartState_589, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader589->definitionModule = modulename;
  reader589->definitionLine = 609;
}
adddatum2(obj98, alloc_Undefined(), 57);
if (objclass98 == NULL) {
  Method *reader590 = addmethodrealflags(obj98, "numberBaseState",&reader_lexer_numberBaseState_590, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader590->definitionModule = modulename;
  reader590->definitionLine = 639;
}
adddatum2(obj98, alloc_Undefined(), 58);
if (objclass98 == NULL) {
  Method *reader591 = addmethodrealflags(obj98, "numberDotState",&reader_lexer_numberDotState_591, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader591->definitionModule = modulename;
  reader591->definitionLine = 655;
}
adddatum2(obj98, alloc_Undefined(), 59);
if (objclass98 == NULL) {
  Method *reader592 = addmethodrealflags(obj98, "numberFractionState",&reader_lexer_numberFractionState_592, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader592->definitionModule = modulename;
  reader592->definitionLine = 674;
}
adddatum2(obj98, alloc_Undefined(), 60);
if (objclass98 == NULL) {
  Method *reader593 = addmethodrealflags(obj98, "numberExponentSignState",&reader_lexer_numberExponentSignState_593, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader593->definitionModule = modulename;
  reader593->definitionLine = 693;
}
adddatum2(obj98, alloc_Undefined(), 61);
if (objclass98 == NULL) {
  Method *reader594 = addmethodrealflags(obj98, "numberExponentState",&reader_lexer_numberExponentState_594, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader594->definitionModule = modulename;
  reader594->definitionLine = 708;
}
adddatum2(obj98, alloc_Undefined(), 62);
if (objclass98 == NULL) {
  Method *reader595 = addmethodrealflags(obj98, "operatorState",&reader_lexer_operatorState_595, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader595->definitionModule = modulename;
  reader595->definitionLine = 741;
}
adddatum2(obj98, alloc_Undefined(), 63);
if (objclass98 == NULL) {
  Method *reader596 = addmethodrealflags(obj98, "indentationState",&reader_lexer_indentationState_596, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader596->definitionModule = modulename;
  reader596->definitionLine = 762;
}
adddatum2(obj98, alloc_Undefined(), 64);
if (objclass98 == NULL) {
  Method *reader597 = addmethodrealflags(obj98, "commentSpaceState",&reader_lexer_commentSpaceState_597, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader597->definitionModule = modulename;
  reader597->definitionLine = 772;
}
adddatum2(obj98, alloc_Undefined(), 65);
if (objclass98 == NULL) {
  Method *reader598 = addmethodrealflags(obj98, "commentState",&reader_lexer_commentState_598, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader598->definitionModule = modulename;
  reader598->definitionLine = 781;
}
adddatum2(obj98, alloc_Undefined(), 66);
// method "newLineError"
  block_savedest(obj98);
  Object closure599 = createclosure(2, "newLineError");
  setclosureframe(closure599, stackframe);
  addtoclosure(closure599, var_util);
  addtoclosure(closure599, var_errormessages);
  struct UserObject *uo599 = (struct UserObject*)obj98;
  uo599->data[67] = (Object)closure599;
  Method *meth_meth_lexer_newLineError599 = addmethod2pos(obj98, "newLineError", &meth_lexer_newLineError599, 67);
  int argcv_meth_lexer_newLineError599[] = {0};
  meth_meth_lexer_newLineError599->type = alloc_MethodType(1, argcv_meth_lexer_newLineError599);
  meth_meth_lexer_newLineError599->definitionModule = modulename;
  meth_meth_lexer_newLineError599->definitionLine = 793;
// method "isSpaceChar(_)"
  block_savedest(obj98);
  Object closure923 = createclosure(1, "isSpaceChar(1)");
  setclosureframe(closure923, stackframe);
  addtoclosure(closure923, var_spaceChars);
  struct UserObject *uo923 = (struct UserObject*)obj98;
  uo923->data[68] = (Object)closure923;
  Method *meth_meth_lexer_isSpaceChar_40_1_41_923 = addmethod2pos(obj98, "isSpaceChar(1)", &meth_lexer_isSpaceChar_40_1_41_923, 68);
  int argcv_meth_lexer_isSpaceChar_40_1_41_923[] = {1};
  meth_meth_lexer_isSpaceChar_40_1_41_923->type = alloc_MethodType(1, argcv_meth_lexer_isSpaceChar_40_1_41_923);
  meth_meth_lexer_isSpaceChar_40_1_41_923->definitionModule = modulename;
  meth_meth_lexer_isSpaceChar_40_1_41_923->definitionLine = 862;
// method "checkSeparatorString(_)"
  block_savedest(obj98);
  Object closure926 = createclosure(2, "checkSeparatorString(1)");
  setclosureframe(closure926, stackframe);
  addtoclosure(closure926, var_errormessages);
  addtoclosure(closure926, var_unicode);
  struct UserObject *uo926 = (struct UserObject*)obj98;
  uo926->data[69] = (Object)closure926;
  Method *meth_meth_lexer_checkSeparatorString_40_1_41_926 = addmethod2pos(obj98, "checkSeparatorString(1)", &meth_lexer_checkSeparatorString_40_1_41_926, 69);
  int argcv_meth_lexer_checkSeparatorString_40_1_41_926[] = {1};
  meth_meth_lexer_checkSeparatorString_40_1_41_926->type = alloc_MethodType(1, argcv_meth_lexer_checkSeparatorString_40_1_41_926);
  meth_meth_lexer_checkSeparatorString_40_1_41_926->definitionModule = modulename;
  meth_meth_lexer_checkSeparatorString_40_1_41_926->definitionLine = 865;
// method "checkSeparator(_)"
  block_savedest(obj98);
  Object closure1254 = createclosure(2, "checkSeparator(1)");
  setclosureframe(closure1254, stackframe);
  addtoclosure(closure1254, var_errormessages);
  addtoclosure(closure1254, var_unicode);
  struct UserObject *uo1254 = (struct UserObject*)obj98;
  uo1254->data[70] = (Object)closure1254;
  Method *meth_meth_lexer_checkSeparator_40_1_41_1254 = addmethod2pos(obj98, "checkSeparator(1)", &meth_lexer_checkSeparator_40_1_41_1254, 70);
  int argcv_meth_lexer_checkSeparator_40_1_41_1254[] = {1};
  meth_meth_lexer_checkSeparator_40_1_41_1254->type = alloc_MethodType(1, argcv_meth_lexer_checkSeparator_40_1_41_1254);
  meth_meth_lexer_checkSeparator_40_1_41_1254->definitionModule = modulename;
  meth_meth_lexer_checkSeparator_40_1_41_1254->definitionLine = 923;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1378 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1378, stackframe);
  addtoclosure(closure1378, var_errormessages);
  addtoclosure(closure1378, var_unicode);
  struct UserObject *uo1378 = (struct UserObject*)obj98;
  uo1378->data[71] = (Object)closure1378;
  Method *meth_meth_lexer_fromBase_40_2_41_1378 = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_fromBase_40_2_41_1378, 71);
  int argcv_meth_lexer_fromBase_40_2_41_1378[] = {2};
  meth_meth_lexer_fromBase_40_2_41_1378->type = alloc_MethodType(1, argcv_meth_lexer_fromBase_40_2_41_1378);
  meth_meth_lexer_fromBase_40_2_41_1378->definitionModule = modulename;
  meth_meth_lexer_fromBase_40_2_41_1378->definitionLine = 950;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1618 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1618, stackframe);
  addtoclosure(closure1618, var_errormessages);
  struct UserObject *uo1618 = (struct UserObject*)obj98;
  uo1618->data[72] = (Object)closure1618;
  Method *meth_meth_lexer_hexdecchar_40_1_41_1618 = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_hexdecchar_40_1_41_1618, 72);
  int argcv_meth_lexer_hexdecchar_40_1_41_1618[] = {1};
  meth_meth_lexer_hexdecchar_40_1_41_1618->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar_40_1_41_1618);
  meth_meth_lexer_hexdecchar_40_1_41_1618->definitionModule = modulename;
  meth_meth_lexer_hexdecchar_40_1_41_1618->definitionLine = 992;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1702 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1702, stackframe);
  addtoclosure(closure1702, var_util);
  struct UserObject *uo1702 = (struct UserObject*)obj98;
  uo1702->data[73] = (Object)closure1702;
  Method *meth_meth_lexer_lexfile_40_1_41_1702 = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_lexfile_40_1_41_1702, 73);
  int argcv_meth_lexer_lexfile_40_1_41_1702[] = {1};
  meth_meth_lexer_lexfile_40_1_41_1702->type = alloc_MethodType(1, argcv_meth_lexer_lexfile_40_1_41_1702);
  meth_meth_lexer_lexfile_40_1_41_1702->definitionModule = modulename;
  meth_meth_lexer_lexfile_40_1_41_1702->definitionLine = 1011;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1820 = createclosure(2, "lexinput(1)");
  setclosureframe(closure1820, stackframe);
  addtoclosure(closure1820, var_util);
  addtoclosure(closure1820, var_errormessages);
  struct UserObject *uo1820 = (struct UserObject*)obj98;
  uo1820->data[74] = (Object)closure1820;
  Method *meth_meth_lexer_lexinput_40_1_41_1820 = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_lexinput_40_1_41_1820, 74);
  int argcv_meth_lexer_lexinput_40_1_41_1820[] = {1};
  meth_meth_lexer_lexinput_40_1_41_1820->type = alloc_MethodType(1, argcv_meth_lexer_lexinput_40_1_41_1820);
  meth_meth_lexer_lexinput_40_1_41_1820->definitionModule = modulename;
  meth_meth_lexer_lexinput_40_1_41_1820->definitionLine = 1066;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 1);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2211 = alloc_Float64(1);
// compiled num node returning num2211 (depth = 2)
  adddatum2(obj98, num2211, 2);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2212 = alloc_Float64(0);
// compiled num node returning num2212 (depth = 2)
  adddatum2(obj98, num2212, 3);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2213 = alloc_Float64(1);
// compiled num node returning num2213 (depth = 2)
  adddatum2(obj98, num2213, 4);
  sourceObject = obj98;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2214 = alloc_Float64(0);
// compiled num node returning num2214 (depth = 2)
  adddatum2(obj98, num2214, 5);
  sourceObject = obj98;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2215 = alloc_Float64(1);
// compiled num node returning num2215 (depth = 2)
  adddatum2(obj98, num2215, 6);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 7);
  sourceObject = obj98;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2216 = alloc_Float64(0);
// compiled num node returning num2216 (depth = 2)
  adddatum2(obj98, num2216, 8);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  adddatum2(obj98, undefined, 32);
  sourceObject = obj98;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit2217 == NULL) {
    strlit2217 = alloc_String("");
    gc_root(strlit2217);
  }
// compiled string node returning strlit2217 (depth = 2)
  adddatum2(obj98, strlit2217, 33);
  sourceObject = obj98;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2218 = alloc_Boolean(0);
// compiled identifier node returning bool2218 (depth = 2)
  adddatum2(obj98, bool2218, 34);
  sourceObject = obj98;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2219 = alloc_Boolean(0);
// compiled identifier node returning bool2219 (depth = 2)
  adddatum2(obj98, bool2219, 35);
  sourceObject = obj98;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2220 = alloc_Float64(0);
// compiled num node returning num2220 (depth = 2)
  adddatum2(obj98, num2220, 36);
  sourceObject = obj98;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2221 = alloc_Float64(0);
// compiled num node returning num2221 (depth = 2)
  adddatum2(obj98, num2221, 37);
  sourceObject = obj98;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool2222 = alloc_Boolean(0);
// compiled identifier node returning bool2222 (depth = 2)
  adddatum2(obj98, bool2222, 38);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  Object inheritingObject2223 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2223 = alloc_userobj2(1,2, objclass2223);
  gc_frame_newslot(obj2223);
if (objclass2223 == NULL) {
  glfree(obj2223->class->name);
  obj2223->class->name = "startState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2223, obj98, 0);
  addmethodreal(obj2223,"outer", &reader_lexer_outer_2224);
  Object oldself2223 = self;
  struct StackFrameObject *oldstackframe2223 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2223);
  gc_frame_newslot((Object)stackframe);
  self = obj2223;
  Object *oldselfslot2223 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2223 = (*(struct UserObject *)self).data[0], lowerouter2223 = thisouter2223;
  if (inheritingObject2223) {
    struct UserObject *inho2223 = (struct UserObject *)inheritingObject2223;
    while (inho2223->super != GraceDefaultObject) inho2223 = (struct UserObject *)inho2223->super;
    inho2223->super = obj2223;
    self = inheritingObject2223;
    *selfslot = self;
    lowerouter2223 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2223;
  }
// method "consume(_)"
  struct UserObject *uo2225 = (struct UserObject*)obj2223;
  uo2225->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_2225 = addmethod2pos(obj2223, "consume(1)", &meth_lexer_consume_40_1_41_2225, 1);
  int argcv_meth_lexer_consume_40_1_41_2225[] = {1};
  meth_meth_lexer_consume_40_1_41_2225->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2225);
  meth_meth_lexer_consume_40_1_41_2225->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2225->definitionLine = 266;
  sourceObject = obj2223;
  objclass2223 = obj2223->class;
  objclass2223->definitionModule = modulename;
  objclass2223->definitionLine = 265;
  (*(struct UserObject *)self).data[0] = lowerouter2223;
  self = oldself2223;
  selfslot = oldselfslot2223;
  stackframe = oldstackframe2223;
  adddatum2(obj98, obj2223, 42);
  sourceObject = obj98;
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2253 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe2254 = gc_frame_new();
// call case 4: self request
  Object call2255 = callmethodflags(self, "startState", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2254);
// compiled member node returning call2255 (depth = 3)
  gc_frame_newslot(call2255);
// call case 4: self request
  params[0] = call2255;
  partcv[0] = 1;
  Object call2256 = callmethodflags(self, "state:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2253);
// compiled call node returning call2256 (depth = 2)
  sourceObject = obj98;
  Object inheritingObject2257 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2257 = alloc_userobj2(1,2, objclass2257);
  gc_frame_newslot(obj2257);
if (objclass2257 == NULL) {
  glfree(obj2257->class->name);
  obj2257->class->name = "pragmaPrefixState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2257, obj98, 0);
  addmethodreal(obj2257,"outer", &reader_lexer_outer_2258);
  Object oldself2257 = self;
  struct StackFrameObject *oldstackframe2257 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2257);
  gc_frame_newslot((Object)stackframe);
  self = obj2257;
  Object *oldselfslot2257 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2257 = (*(struct UserObject *)self).data[0], lowerouter2257 = thisouter2257;
  if (inheritingObject2257) {
    struct UserObject *inho2257 = (struct UserObject *)inheritingObject2257;
    while (inho2257->super != GraceDefaultObject) inho2257 = (struct UserObject *)inho2257->super;
    inho2257->super = obj2257;
    self = inheritingObject2257;
    *selfslot = self;
    lowerouter2257 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2257;
  }
// method "consume(_)"
  block_savedest(obj2257);
  Object closure2259 = createclosure(1, "consume(1)");
  setclosureframe(closure2259, stackframe);
  addtoclosure(closure2259, var_errormessages);
  struct UserObject *uo2259 = (struct UserObject*)obj2257;
  uo2259->data[1] = (Object)closure2259;
  Method *meth_meth_lexer_consume_40_1_41_2259 = addmethod2pos(obj2257, "consume(1)", &meth_lexer_consume_40_1_41_2259, 1);
  int argcv_meth_lexer_consume_40_1_41_2259[] = {1};
  meth_meth_lexer_consume_40_1_41_2259->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2259);
  meth_meth_lexer_consume_40_1_41_2259->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2259->definitionLine = 278;
  sourceObject = obj2257;
  objclass2257 = obj2257->class;
  objclass2257->definitionModule = modulename;
  objclass2257->definitionLine = 277;
  (*(struct UserObject *)self).data[0] = lowerouter2257;
  self = oldself2257;
  selfslot = oldselfslot2257;
  stackframe = oldstackframe2257;
  adddatum2(obj98, obj2257, 43);
  sourceObject = obj98;
  Object inheritingObject2330 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2330 = alloc_userobj2(1,2, objclass2330);
  gc_frame_newslot(obj2330);
if (objclass2330 == NULL) {
  glfree(obj2330->class->name);
  obj2330->class->name = "pragmaBodyState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2330, obj98, 0);
  addmethodreal(obj2330,"outer", &reader_lexer_outer_2331);
  Object oldself2330 = self;
  struct StackFrameObject *oldstackframe2330 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2330);
  gc_frame_newslot((Object)stackframe);
  self = obj2330;
  Object *oldselfslot2330 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2330 = (*(struct UserObject *)self).data[0], lowerouter2330 = thisouter2330;
  if (inheritingObject2330) {
    struct UserObject *inho2330 = (struct UserObject *)inheritingObject2330;
    while (inho2330->super != GraceDefaultObject) inho2330 = (struct UserObject *)inho2330->super;
    inho2330->super = obj2330;
    self = inheritingObject2330;
    *selfslot = self;
    lowerouter2330 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2330;
  }
// method "consume(_)"
  block_savedest(obj2330);
  Object closure2332 = createclosure(1, "consume(1)");
  setclosureframe(closure2332, stackframe);
  addtoclosure(closure2332, var_util);
  struct UserObject *uo2332 = (struct UserObject*)obj2330;
  uo2332->data[1] = (Object)closure2332;
  Method *meth_meth_lexer_consume_40_1_41_2332 = addmethod2pos(obj2330, "consume(1)", &meth_lexer_consume_40_1_41_2332, 1);
  int argcv_meth_lexer_consume_40_1_41_2332[] = {1};
  meth_meth_lexer_consume_40_1_41_2332->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2332);
  meth_meth_lexer_consume_40_1_41_2332->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2332->definitionLine = 299;
  sourceObject = obj2330;
  objclass2330 = obj2330->class;
  objclass2330->definitionModule = modulename;
  objclass2330->definitionLine = 298;
  (*(struct UserObject *)self).data[0] = lowerouter2330;
  self = oldself2330;
  selfslot = oldselfslot2330;
  stackframe = oldstackframe2330;
  adddatum2(obj98, obj2330, 44);
  sourceObject = obj98;
  Object inheritingObject2378 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2378 = alloc_userobj2(1,2, objclass2378);
  gc_frame_newslot(obj2378);
if (objclass2378 == NULL) {
  glfree(obj2378->class->name);
  obj2378->class->name = "pragmaTrailingWhitespaceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2378, obj98, 0);
  addmethodreal(obj2378,"outer", &reader_lexer_outer_2379);
  Object oldself2378 = self;
  struct StackFrameObject *oldstackframe2378 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2378);
  gc_frame_newslot((Object)stackframe);
  self = obj2378;
  Object *oldselfslot2378 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2378 = (*(struct UserObject *)self).data[0], lowerouter2378 = thisouter2378;
  if (inheritingObject2378) {
    struct UserObject *inho2378 = (struct UserObject *)inheritingObject2378;
    while (inho2378->super != GraceDefaultObject) inho2378 = (struct UserObject *)inho2378->super;
    inho2378->super = obj2378;
    self = inheritingObject2378;
    *selfslot = self;
    lowerouter2378 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2378;
  }
// method "consume(_)"
  block_savedest(obj2378);
  Object closure2380 = createclosure(1, "consume(1)");
  setclosureframe(closure2380, stackframe);
  addtoclosure(closure2380, var_errormessages);
  struct UserObject *uo2380 = (struct UserObject*)obj2378;
  uo2380->data[1] = (Object)closure2380;
  Method *meth_meth_lexer_consume_40_1_41_2380 = addmethod2pos(obj2378, "consume(1)", &meth_lexer_consume_40_1_41_2380, 1);
  int argcv_meth_lexer_consume_40_1_41_2380[] = {1};
  meth_meth_lexer_consume_40_1_41_2380->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2380);
  meth_meth_lexer_consume_40_1_41_2380->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2380->definitionLine = 314;
  sourceObject = obj2378;
  objclass2378 = obj2378->class;
  objclass2378->definitionModule = modulename;
  objclass2378->definitionLine = 313;
  (*(struct UserObject *)self).data[0] = lowerouter2378;
  self = oldself2378;
  selfslot = oldselfslot2378;
  stackframe = oldstackframe2378;
  adddatum2(obj98, obj2378, 45);
  sourceObject = obj98;
  Object inheritingObject2420 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2420 = alloc_userobj2(1,2, objclass2420);
  gc_frame_newslot(obj2420);
if (objclass2420 == NULL) {
  glfree(obj2420->class->name);
  obj2420->class->name = "defaultState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2420, obj98, 0);
  addmethodreal(obj2420,"outer", &reader_lexer_outer_2421);
  Object oldself2420 = self;
  struct StackFrameObject *oldstackframe2420 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2420);
  gc_frame_newslot((Object)stackframe);
  self = obj2420;
  Object *oldselfslot2420 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2420 = (*(struct UserObject *)self).data[0], lowerouter2420 = thisouter2420;
  if (inheritingObject2420) {
    struct UserObject *inho2420 = (struct UserObject *)inheritingObject2420;
    while (inho2420->super != GraceDefaultObject) inho2420 = (struct UserObject *)inho2420->super;
    inho2420->super = obj2420;
    self = inheritingObject2420;
    *selfslot = self;
    lowerouter2420 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2420;
  }
// method "consume(_)"
  block_savedest(obj2420);
  Object closure2422 = createclosure(3, "consume(1)");
  setclosureframe(closure2422, stackframe);
  addtoclosure(closure2422, var_spaceChars);
  addtoclosure(closure2422, var_errormessages);
  addtoclosure(closure2422, var_unicode);
  struct UserObject *uo2422 = (struct UserObject*)obj2420;
  uo2422->data[1] = (Object)closure2422;
  Method *meth_meth_lexer_consume_40_1_41_2422 = addmethod2pos(obj2420, "consume(1)", &meth_lexer_consume_40_1_41_2422, 1);
  int argcv_meth_lexer_consume_40_1_41_2422[] = {1};
  meth_meth_lexer_consume_40_1_41_2422->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2422);
  meth_meth_lexer_consume_40_1_41_2422->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2422->definitionLine = 326;
  sourceObject = obj2420;
  objclass2420 = obj2420->class;
  objclass2420->definitionModule = modulename;
  objclass2420->definitionLine = 325;
  (*(struct UserObject *)self).data[0] = lowerouter2420;
  self = oldself2420;
  selfslot = oldselfslot2420;
  stackframe = oldstackframe2420;
  adddatum2(obj98, obj2420, 46);
  sourceObject = obj98;
  Object inheritingObject2986 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2986 = alloc_userobj2(1,2, objclass2986);
  gc_frame_newslot(obj2986);
if (objclass2986 == NULL) {
  glfree(obj2986->class->name);
  obj2986->class->name = "rBraceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2986, obj98, 0);
  addmethodreal(obj2986,"outer", &reader_lexer_outer_2987);
  Object oldself2986 = self;
  struct StackFrameObject *oldstackframe2986 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2986);
  gc_frame_newslot((Object)stackframe);
  self = obj2986;
  Object *oldselfslot2986 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2986 = (*(struct UserObject *)self).data[0], lowerouter2986 = thisouter2986;
  if (inheritingObject2986) {
    struct UserObject *inho2986 = (struct UserObject *)inheritingObject2986;
    while (inho2986->super != GraceDefaultObject) inho2986 = (struct UserObject *)inho2986->super;
    inho2986->super = obj2986;
    self = inheritingObject2986;
    *selfslot = self;
    lowerouter2986 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2986;
  }
// method "consume(_)"
  block_savedest(obj2986);
  Object closure2988 = createclosure(1, "consume(1)");
  setclosureframe(closure2988, stackframe);
  addtoclosure(closure2988, var_errormessages);
  struct UserObject *uo2988 = (struct UserObject*)obj2986;
  uo2988->data[1] = (Object)closure2988;
  Method *meth_meth_lexer_consume_40_1_41_2988 = addmethod2pos(obj2986, "consume(1)", &meth_lexer_consume_40_1_41_2988, 1);
  int argcv_meth_lexer_consume_40_1_41_2988[] = {1};
  meth_meth_lexer_consume_40_1_41_2988->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_2988);
  meth_meth_lexer_consume_40_1_41_2988->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_2988->definitionLine = 407;
  sourceObject = obj2986;
  objclass2986 = obj2986->class;
  objclass2986->definitionModule = modulename;
  objclass2986->definitionLine = 406;
  (*(struct UserObject *)self).data[0] = lowerouter2986;
  self = oldself2986;
  selfslot = oldselfslot2986;
  stackframe = oldstackframe2986;
  adddatum2(obj98, obj2986, 47);
  sourceObject = obj98;
  Object inheritingObject3110 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3110 = alloc_userobj2(1,2, objclass3110);
  gc_frame_newslot(obj3110);
if (objclass3110 == NULL) {
  glfree(obj3110->class->name);
  obj3110->class->name = "slashState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3110, obj98, 0);
  addmethodreal(obj3110,"outer", &reader_lexer_outer_3111);
  Object oldself3110 = self;
  struct StackFrameObject *oldstackframe3110 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3110);
  gc_frame_newslot((Object)stackframe);
  self = obj3110;
  Object *oldselfslot3110 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3110 = (*(struct UserObject *)self).data[0], lowerouter3110 = thisouter3110;
  if (inheritingObject3110) {
    struct UserObject *inho3110 = (struct UserObject *)inheritingObject3110;
    while (inho3110->super != GraceDefaultObject) inho3110 = (struct UserObject *)inho3110->super;
    inho3110->super = obj3110;
    self = inheritingObject3110;
    *selfslot = self;
    lowerouter3110 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3110;
  }
// method "consume(_)"
  struct UserObject *uo3112 = (struct UserObject*)obj3110;
  uo3112->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3112 = addmethod2pos(obj3110, "consume(1)", &meth_lexer_consume_40_1_41_3112, 1);
  int argcv_meth_lexer_consume_40_1_41_3112[] = {1};
  meth_meth_lexer_consume_40_1_41_3112->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3112);
  meth_meth_lexer_consume_40_1_41_3112->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3112->definitionLine = 429;
  sourceObject = obj3110;
  objclass3110 = obj3110->class;
  objclass3110->definitionModule = modulename;
  objclass3110->definitionLine = 428;
  (*(struct UserObject *)self).data[0] = lowerouter3110;
  self = oldself3110;
  selfslot = oldselfslot3110;
  stackframe = oldstackframe3110;
  adddatum2(obj98, obj3110, 48);
  sourceObject = obj98;
  Object inheritingObject3180 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3180 = alloc_userobj2(1,2, objclass3180);
  gc_frame_newslot(obj3180);
if (objclass3180 == NULL) {
  glfree(obj3180->class->name);
  obj3180->class->name = "dotState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3180, obj98, 0);
  addmethodreal(obj3180,"outer", &reader_lexer_outer_3181);
  Object oldself3180 = self;
  struct StackFrameObject *oldstackframe3180 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3180);
  gc_frame_newslot((Object)stackframe);
  self = obj3180;
  Object *oldselfslot3180 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3180 = (*(struct UserObject *)self).data[0], lowerouter3180 = thisouter3180;
  if (inheritingObject3180) {
    struct UserObject *inho3180 = (struct UserObject *)inheritingObject3180;
    while (inho3180->super != GraceDefaultObject) inho3180 = (struct UserObject *)inho3180->super;
    inho3180->super = obj3180;
    self = inheritingObject3180;
    *selfslot = self;
    lowerouter3180 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3180;
  }
// method "consume(_)"
  struct UserObject *uo3182 = (struct UserObject*)obj3180;
  uo3182->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3182 = addmethod2pos(obj3180, "consume(1)", &meth_lexer_consume_40_1_41_3182, 1);
  int argcv_meth_lexer_consume_40_1_41_3182[] = {1};
  meth_meth_lexer_consume_40_1_41_3182->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3182);
  meth_meth_lexer_consume_40_1_41_3182->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3182->definitionLine = 447;
  sourceObject = obj3180;
  objclass3180 = obj3180->class;
  objclass3180->definitionModule = modulename;
  objclass3180->definitionLine = 446;
  (*(struct UserObject *)self).data[0] = lowerouter3180;
  self = oldself3180;
  selfslot = oldselfslot3180;
  stackframe = oldstackframe3180;
  adddatum2(obj98, obj3180, 49);
  sourceObject = obj98;
  Object inheritingObject3284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3284 = alloc_userobj2(1,2, objclass3284);
  gc_frame_newslot(obj3284);
if (objclass3284 == NULL) {
  glfree(obj3284->class->name);
  obj3284->class->name = "identifierState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3284, obj98, 0);
  addmethodreal(obj3284,"outer", &reader_lexer_outer_3285);
  Object oldself3284 = self;
  struct StackFrameObject *oldstackframe3284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3284);
  gc_frame_newslot((Object)stackframe);
  self = obj3284;
  Object *oldselfslot3284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3284 = (*(struct UserObject *)self).data[0], lowerouter3284 = thisouter3284;
  if (inheritingObject3284) {
    struct UserObject *inho3284 = (struct UserObject *)inheritingObject3284;
    while (inho3284->super != GraceDefaultObject) inho3284 = (struct UserObject *)inho3284->super;
    inho3284->super = obj3284;
    self = inheritingObject3284;
    *selfslot = self;
    lowerouter3284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3284;
  }
// method "consume(_)"
  block_savedest(obj3284);
  Object closure3286 = createclosure(2, "consume(1)");
  setclosureframe(closure3286, stackframe);
  addtoclosure(closure3286, var_keywords);
  addtoclosure(closure3286, var_errormessages);
  struct UserObject *uo3286 = (struct UserObject*)obj3284;
  uo3286->data[1] = (Object)closure3286;
  Method *meth_meth_lexer_consume_40_1_41_3286 = addmethod2pos(obj3284, "consume(1)", &meth_lexer_consume_40_1_41_3286, 1);
  int argcv_meth_lexer_consume_40_1_41_3286[] = {1};
  meth_meth_lexer_consume_40_1_41_3286->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3286);
  meth_meth_lexer_consume_40_1_41_3286->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3286->definitionLine = 471;
  sourceObject = obj3284;
  objclass3284 = obj3284->class;
  objclass3284->definitionModule = modulename;
  objclass3284->definitionLine = 470;
  (*(struct UserObject *)self).data[0] = lowerouter3284;
  self = oldself3284;
  selfslot = oldselfslot3284;
  stackframe = oldstackframe3284;
  adddatum2(obj98, obj3284, 50);
  sourceObject = obj98;
  Object inheritingObject3409 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3409 = alloc_userobj2(1,2, objclass3409);
  gc_frame_newslot(obj3409);
if (objclass3409 == NULL) {
  glfree(obj3409->class->name);
  obj3409->class->name = "quotedStringState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3409, obj98, 0);
  addmethodreal(obj3409,"outer", &reader_lexer_outer_3410);
  Object oldself3409 = self;
  struct StackFrameObject *oldstackframe3409 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3409);
  gc_frame_newslot((Object)stackframe);
  self = obj3409;
  Object *oldselfslot3409 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3409 = (*(struct UserObject *)self).data[0], lowerouter3409 = thisouter3409;
  if (inheritingObject3409) {
    struct UserObject *inho3409 = (struct UserObject *)inheritingObject3409;
    while (inho3409->super != GraceDefaultObject) inho3409 = (struct UserObject *)inho3409->super;
    inho3409->super = obj3409;
    self = inheritingObject3409;
    *selfslot = self;
    lowerouter3409 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3409;
  }
// method "consume(_)"
  struct UserObject *uo3411 = (struct UserObject*)obj3409;
  uo3411->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3411 = addmethod2pos(obj3409, "consume(1)", &meth_lexer_consume_40_1_41_3411, 1);
  int argcv_meth_lexer_consume_40_1_41_3411[] = {1};
  meth_meth_lexer_consume_40_1_41_3411->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3411);
  meth_meth_lexer_consume_40_1_41_3411->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3411->definitionLine = 497;
  sourceObject = obj3409;
  objclass3409 = obj3409->class;
  objclass3409->definitionModule = modulename;
  objclass3409->definitionLine = 496;
  (*(struct UserObject *)self).data[0] = lowerouter3409;
  self = oldself3409;
  selfslot = oldselfslot3409;
  stackframe = oldstackframe3409;
  adddatum2(obj98, obj3409, 51);
  sourceObject = obj98;
  Object inheritingObject3580 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3580 = alloc_userobj2(1,2, objclass3580);
  gc_frame_newslot(obj3580);
if (objclass3580 == NULL) {
  glfree(obj3580->class->name);
  obj3580->class->name = "unicodeState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3580, obj98, 0);
  addmethodreal(obj3580,"outer", &reader_lexer_outer_3581);
  Object oldself3580 = self;
  struct StackFrameObject *oldstackframe3580 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3580);
  gc_frame_newslot((Object)stackframe);
  self = obj3580;
  Object *oldselfslot3580 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3580 = (*(struct UserObject *)self).data[0], lowerouter3580 = thisouter3580;
  if (inheritingObject3580) {
    struct UserObject *inho3580 = (struct UserObject *)inheritingObject3580;
    while (inho3580->super != GraceDefaultObject) inho3580 = (struct UserObject *)inho3580->super;
    inho3580->super = obj3580;
    self = inheritingObject3580;
    *selfslot = self;
    lowerouter3580 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3580;
  }
// method "consume(_)"
  block_savedest(obj3580);
  Object closure3582 = createclosure(1, "consume(1)");
  setclosureframe(closure3582, stackframe);
  addtoclosure(closure3582, var_unicode);
  struct UserObject *uo3582 = (struct UserObject*)obj3580;
  uo3582->data[1] = (Object)closure3582;
  Method *meth_meth_lexer_consume_40_1_41_3582 = addmethod2pos(obj3580, "consume(1)", &meth_lexer_consume_40_1_41_3582, 1);
  int argcv_meth_lexer_consume_40_1_41_3582[] = {1};
  meth_meth_lexer_consume_40_1_41_3582->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3582);
  meth_meth_lexer_consume_40_1_41_3582->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3582->definitionLine = 530;
  sourceObject = obj3580;
  objclass3580 = obj3580->class;
  objclass3580->definitionModule = modulename;
  objclass3580->definitionLine = 529;
  (*(struct UserObject *)self).data[0] = lowerouter3580;
  self = oldself3580;
  selfslot = oldselfslot3580;
  stackframe = oldstackframe3580;
  adddatum2(obj98, obj3580, 52);
  sourceObject = obj98;
  Object inheritingObject3649 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3649 = alloc_userobj2(1,2, objclass3649);
  gc_frame_newslot(obj3649);
if (objclass3649 == NULL) {
  glfree(obj3649->class->name);
  obj3649->class->name = "quotedStringEscapedState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3649, obj98, 0);
  addmethodreal(obj3649,"outer", &reader_lexer_outer_3650);
  Object oldself3649 = self;
  struct StackFrameObject *oldstackframe3649 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3649);
  gc_frame_newslot((Object)stackframe);
  self = obj3649;
  Object *oldselfslot3649 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3649 = (*(struct UserObject *)self).data[0], lowerouter3649 = thisouter3649;
  if (inheritingObject3649) {
    struct UserObject *inho3649 = (struct UserObject *)inheritingObject3649;
    while (inho3649->super != GraceDefaultObject) inho3649 = (struct UserObject *)inho3649->super;
    inho3649->super = obj3649;
    self = inheritingObject3649;
    *selfslot = self;
    lowerouter3649 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3649;
  }
// method "consume(_)"
  struct UserObject *uo3651 = (struct UserObject*)obj3649;
  uo3651->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3651 = addmethod2pos(obj3649, "consume(1)", &meth_lexer_consume_40_1_41_3651, 1);
  int argcv_meth_lexer_consume_40_1_41_3651[] = {1};
  meth_meth_lexer_consume_40_1_41_3651->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3651);
  meth_meth_lexer_consume_40_1_41_3651->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3651->definitionLine = 544;
  sourceObject = obj3649;
  objclass3649 = obj3649->class;
  objclass3649->definitionModule = modulename;
  objclass3649->definitionLine = 543;
  (*(struct UserObject *)self).data[0] = lowerouter3649;
  self = oldself3649;
  selfslot = oldselfslot3649;
  stackframe = oldstackframe3649;
  adddatum2(obj98, obj3649, 53);
  sourceObject = obj98;
  Object inheritingObject3859 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3859 = alloc_userobj2(1,2, objclass3859);
  gc_frame_newslot(obj3859);
if (objclass3859 == NULL) {
  glfree(obj3859->class->name);
  obj3859->class->name = "extendedStringState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3859, obj98, 0);
  addmethodreal(obj3859,"outer", &reader_lexer_outer_3860);
  Object oldself3859 = self;
  struct StackFrameObject *oldstackframe3859 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3859);
  gc_frame_newslot((Object)stackframe);
  self = obj3859;
  Object *oldselfslot3859 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3859 = (*(struct UserObject *)self).data[0], lowerouter3859 = thisouter3859;
  if (inheritingObject3859) {
    struct UserObject *inho3859 = (struct UserObject *)inheritingObject3859;
    while (inho3859->super != GraceDefaultObject) inho3859 = (struct UserObject *)inho3859->super;
    inho3859->super = obj3859;
    self = inheritingObject3859;
    *selfslot = self;
    lowerouter3859 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3859;
  }
// method "consume(_)"
  struct UserObject *uo3861 = (struct UserObject*)obj3859;
  uo3861->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_3861 = addmethod2pos(obj3859, "consume(1)", &meth_lexer_consume_40_1_41_3861, 1);
  int argcv_meth_lexer_consume_40_1_41_3861[] = {1};
  meth_meth_lexer_consume_40_1_41_3861->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3861);
  meth_meth_lexer_consume_40_1_41_3861->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3861->definitionLine = 594;
  sourceObject = obj3859;
  objclass3859 = obj3859->class;
  objclass3859->definitionModule = modulename;
  objclass3859->definitionLine = 593;
  (*(struct UserObject *)self).data[0] = lowerouter3859;
  self = oldself3859;
  selfslot = oldselfslot3859;
  stackframe = oldstackframe3859;
  adddatum2(obj98, obj3859, 54);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 55);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 56);
  sourceObject = obj98;
  Object inheritingObject3896 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3896 = alloc_userobj2(1,2, objclass3896);
  gc_frame_newslot(obj3896);
if (objclass3896 == NULL) {
  glfree(obj3896->class->name);
  obj3896->class->name = "numberStartState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3896, obj98, 0);
  addmethodreal(obj3896,"outer", &reader_lexer_outer_3897);
  Object oldself3896 = self;
  struct StackFrameObject *oldstackframe3896 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3896);
  gc_frame_newslot((Object)stackframe);
  self = obj3896;
  Object *oldselfslot3896 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3896 = (*(struct UserObject *)self).data[0], lowerouter3896 = thisouter3896;
  if (inheritingObject3896) {
    struct UserObject *inho3896 = (struct UserObject *)inheritingObject3896;
    while (inho3896->super != GraceDefaultObject) inho3896 = (struct UserObject *)inho3896->super;
    inho3896->super = obj3896;
    self = inheritingObject3896;
    *selfslot = self;
    lowerouter3896 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3896;
  }
// method "consume(_)"
  block_savedest(obj3896);
  Object closure3898 = createclosure(1, "consume(1)");
  setclosureframe(closure3898, stackframe);
  addtoclosure(closure3898, var_errormessages);
  struct UserObject *uo3898 = (struct UserObject*)obj3896;
  uo3898->data[1] = (Object)closure3898;
  Method *meth_meth_lexer_consume_40_1_41_3898 = addmethod2pos(obj3896, "consume(1)", &meth_lexer_consume_40_1_41_3898, 1);
  int argcv_meth_lexer_consume_40_1_41_3898[] = {1};
  meth_meth_lexer_consume_40_1_41_3898->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_3898);
  meth_meth_lexer_consume_40_1_41_3898->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_3898->definitionLine = 610;
  sourceObject = obj3896;
  objclass3896 = obj3896->class;
  objclass3896->definitionModule = modulename;
  objclass3896->definitionLine = 609;
  (*(struct UserObject *)self).data[0] = lowerouter3896;
  self = oldself3896;
  selfslot = oldselfslot3896;
  stackframe = oldstackframe3896;
  adddatum2(obj98, obj3896, 57);
  sourceObject = obj98;
  Object inheritingObject4075 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4075 = alloc_userobj2(1,2, objclass4075);
  gc_frame_newslot(obj4075);
if (objclass4075 == NULL) {
  glfree(obj4075->class->name);
  obj4075->class->name = "numberBaseState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4075, obj98, 0);
  addmethodreal(obj4075,"outer", &reader_lexer_outer_4076);
  Object oldself4075 = self;
  struct StackFrameObject *oldstackframe4075 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4075);
  gc_frame_newslot((Object)stackframe);
  self = obj4075;
  Object *oldselfslot4075 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4075 = (*(struct UserObject *)self).data[0], lowerouter4075 = thisouter4075;
  if (inheritingObject4075) {
    struct UserObject *inho4075 = (struct UserObject *)inheritingObject4075;
    while (inho4075->super != GraceDefaultObject) inho4075 = (struct UserObject *)inho4075->super;
    inho4075->super = obj4075;
    self = inheritingObject4075;
    *selfslot = self;
    lowerouter4075 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4075;
  }
// method "consume(_)"
  struct UserObject *uo4077 = (struct UserObject*)obj4075;
  uo4077->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4077 = addmethod2pos(obj4075, "consume(1)", &meth_lexer_consume_40_1_41_4077, 1);
  int argcv_meth_lexer_consume_40_1_41_4077[] = {1};
  meth_meth_lexer_consume_40_1_41_4077->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4077);
  meth_meth_lexer_consume_40_1_41_4077->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4077->definitionLine = 640;
  sourceObject = obj4075;
  objclass4075 = obj4075->class;
  objclass4075->definitionModule = modulename;
  objclass4075->definitionLine = 639;
  (*(struct UserObject *)self).data[0] = lowerouter4075;
  self = oldself4075;
  selfslot = oldselfslot4075;
  stackframe = oldstackframe4075;
  adddatum2(obj98, obj4075, 58);
  sourceObject = obj98;
  Object inheritingObject4166 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4166 = alloc_userobj2(1,2, objclass4166);
  gc_frame_newslot(obj4166);
if (objclass4166 == NULL) {
  glfree(obj4166->class->name);
  obj4166->class->name = "numberDotState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4166, obj98, 0);
  addmethodreal(obj4166,"outer", &reader_lexer_outer_4167);
  Object oldself4166 = self;
  struct StackFrameObject *oldstackframe4166 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4166);
  gc_frame_newslot((Object)stackframe);
  self = obj4166;
  Object *oldselfslot4166 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4166 = (*(struct UserObject *)self).data[0], lowerouter4166 = thisouter4166;
  if (inheritingObject4166) {
    struct UserObject *inho4166 = (struct UserObject *)inheritingObject4166;
    while (inho4166->super != GraceDefaultObject) inho4166 = (struct UserObject *)inho4166->super;
    inho4166->super = obj4166;
    self = inheritingObject4166;
    *selfslot = self;
    lowerouter4166 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4166;
  }
// method "consume(_)"
  block_savedest(obj4166);
  Object closure4168 = createclosure(1, "consume(1)");
  setclosureframe(closure4168, stackframe);
  addtoclosure(closure4168, var_spaceChars);
  struct UserObject *uo4168 = (struct UserObject*)obj4166;
  uo4168->data[1] = (Object)closure4168;
  Method *meth_meth_lexer_consume_40_1_41_4168 = addmethod2pos(obj4166, "consume(1)", &meth_lexer_consume_40_1_41_4168, 1);
  int argcv_meth_lexer_consume_40_1_41_4168[] = {1};
  meth_meth_lexer_consume_40_1_41_4168->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4168);
  meth_meth_lexer_consume_40_1_41_4168->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4168->definitionLine = 656;
  sourceObject = obj4166;
  objclass4166 = obj4166->class;
  objclass4166->definitionModule = modulename;
  objclass4166->definitionLine = 655;
  (*(struct UserObject *)self).data[0] = lowerouter4166;
  self = oldself4166;
  selfslot = oldselfslot4166;
  stackframe = oldstackframe4166;
  adddatum2(obj98, obj4166, 59);
  sourceObject = obj98;
  Object inheritingObject4257 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4257 = alloc_userobj2(1,2, objclass4257);
  gc_frame_newslot(obj4257);
if (objclass4257 == NULL) {
  glfree(obj4257->class->name);
  obj4257->class->name = "numberFractionState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4257, obj98, 0);
  addmethodreal(obj4257,"outer", &reader_lexer_outer_4258);
  Object oldself4257 = self;
  struct StackFrameObject *oldstackframe4257 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4257);
  gc_frame_newslot((Object)stackframe);
  self = obj4257;
  Object *oldselfslot4257 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4257 = (*(struct UserObject *)self).data[0], lowerouter4257 = thisouter4257;
  if (inheritingObject4257) {
    struct UserObject *inho4257 = (struct UserObject *)inheritingObject4257;
    while (inho4257->super != GraceDefaultObject) inho4257 = (struct UserObject *)inho4257->super;
    inho4257->super = obj4257;
    self = inheritingObject4257;
    *selfslot = self;
    lowerouter4257 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4257;
  }
// method "consume(_)"
  block_savedest(obj4257);
  Object closure4259 = createclosure(1, "consume(1)");
  setclosureframe(closure4259, stackframe);
  addtoclosure(closure4259, var_errormessages);
  struct UserObject *uo4259 = (struct UserObject*)obj4257;
  uo4259->data[1] = (Object)closure4259;
  Method *meth_meth_lexer_consume_40_1_41_4259 = addmethod2pos(obj4257, "consume(1)", &meth_lexer_consume_40_1_41_4259, 1);
  int argcv_meth_lexer_consume_40_1_41_4259[] = {1};
  meth_meth_lexer_consume_40_1_41_4259->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4259);
  meth_meth_lexer_consume_40_1_41_4259->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4259->definitionLine = 675;
  sourceObject = obj4257;
  objclass4257 = obj4257->class;
  objclass4257->definitionModule = modulename;
  objclass4257->definitionLine = 674;
  (*(struct UserObject *)self).data[0] = lowerouter4257;
  self = oldself4257;
  selfslot = oldselfslot4257;
  stackframe = oldstackframe4257;
  adddatum2(obj98, obj4257, 60);
  sourceObject = obj98;
  Object inheritingObject4359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4359 = alloc_userobj2(1,2, objclass4359);
  gc_frame_newslot(obj4359);
if (objclass4359 == NULL) {
  glfree(obj4359->class->name);
  obj4359->class->name = "numberExponentSignState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4359, obj98, 0);
  addmethodreal(obj4359,"outer", &reader_lexer_outer_4360);
  Object oldself4359 = self;
  struct StackFrameObject *oldstackframe4359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4359);
  gc_frame_newslot((Object)stackframe);
  self = obj4359;
  Object *oldselfslot4359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4359 = (*(struct UserObject *)self).data[0], lowerouter4359 = thisouter4359;
  if (inheritingObject4359) {
    struct UserObject *inho4359 = (struct UserObject *)inheritingObject4359;
    while (inho4359->super != GraceDefaultObject) inho4359 = (struct UserObject *)inho4359->super;
    inho4359->super = obj4359;
    self = inheritingObject4359;
    *selfslot = self;
    lowerouter4359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4359;
  }
// method "consume(_)"
  block_savedest(obj4359);
  Object closure4361 = createclosure(1, "consume(1)");
  setclosureframe(closure4361, stackframe);
  addtoclosure(closure4361, var_errormessages);
  struct UserObject *uo4361 = (struct UserObject*)obj4359;
  uo4361->data[1] = (Object)closure4361;
  Method *meth_meth_lexer_consume_40_1_41_4361 = addmethod2pos(obj4359, "consume(1)", &meth_lexer_consume_40_1_41_4361, 1);
  int argcv_meth_lexer_consume_40_1_41_4361[] = {1};
  meth_meth_lexer_consume_40_1_41_4361->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4361);
  meth_meth_lexer_consume_40_1_41_4361->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4361->definitionLine = 694;
  sourceObject = obj4359;
  objclass4359 = obj4359->class;
  objclass4359->definitionModule = modulename;
  objclass4359->definitionLine = 693;
  (*(struct UserObject *)self).data[0] = lowerouter4359;
  self = oldself4359;
  selfslot = oldselfslot4359;
  stackframe = oldstackframe4359;
  adddatum2(obj98, obj4359, 61);
  sourceObject = obj98;
  Object inheritingObject4436 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4436 = alloc_userobj2(1,2, objclass4436);
  gc_frame_newslot(obj4436);
if (objclass4436 == NULL) {
  glfree(obj4436->class->name);
  obj4436->class->name = "numberExponentState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4436, obj98, 0);
  addmethodreal(obj4436,"outer", &reader_lexer_outer_4437);
  Object oldself4436 = self;
  struct StackFrameObject *oldstackframe4436 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4436);
  gc_frame_newslot((Object)stackframe);
  self = obj4436;
  Object *oldselfslot4436 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4436 = (*(struct UserObject *)self).data[0], lowerouter4436 = thisouter4436;
  if (inheritingObject4436) {
    struct UserObject *inho4436 = (struct UserObject *)inheritingObject4436;
    while (inho4436->super != GraceDefaultObject) inho4436 = (struct UserObject *)inho4436->super;
    inho4436->super = obj4436;
    self = inheritingObject4436;
    *selfslot = self;
    lowerouter4436 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4436;
  }
// method "consume(_)"
  block_savedest(obj4436);
  Object closure4438 = createclosure(1, "consume(1)");
  setclosureframe(closure4438, stackframe);
  addtoclosure(closure4438, var_errormessages);
  struct UserObject *uo4438 = (struct UserObject*)obj4436;
  uo4438->data[1] = (Object)closure4438;
  Method *meth_meth_lexer_consume_40_1_41_4438 = addmethod2pos(obj4436, "consume(1)", &meth_lexer_consume_40_1_41_4438, 1);
  int argcv_meth_lexer_consume_40_1_41_4438[] = {1};
  meth_meth_lexer_consume_40_1_41_4438->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4438);
  meth_meth_lexer_consume_40_1_41_4438->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4438->definitionLine = 709;
  sourceObject = obj4436;
  objclass4436 = obj4436->class;
  objclass4436->definitionModule = modulename;
  objclass4436->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter4436;
  self = oldself4436;
  selfslot = oldselfslot4436;
  stackframe = oldstackframe4436;
  adddatum2(obj98, obj4436, 62);
  sourceObject = obj98;
  Object inheritingObject4587 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4587 = alloc_userobj2(1,2, objclass4587);
  gc_frame_newslot(obj4587);
if (objclass4587 == NULL) {
  glfree(obj4587->class->name);
  obj4587->class->name = "operatorState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4587, obj98, 0);
  addmethodreal(obj4587,"outer", &reader_lexer_outer_4588);
  Object oldself4587 = self;
  struct StackFrameObject *oldstackframe4587 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4587);
  gc_frame_newslot((Object)stackframe);
  self = obj4587;
  Object *oldselfslot4587 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4587 = (*(struct UserObject *)self).data[0], lowerouter4587 = thisouter4587;
  if (inheritingObject4587) {
    struct UserObject *inho4587 = (struct UserObject *)inheritingObject4587;
    while (inho4587->super != GraceDefaultObject) inho4587 = (struct UserObject *)inho4587->super;
    inho4587->super = obj4587;
    self = inheritingObject4587;
    *selfslot = self;
    lowerouter4587 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4587;
  }
// method "consume(_)"
  struct UserObject *uo4589 = (struct UserObject*)obj4587;
  uo4589->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4589 = addmethod2pos(obj4587, "consume(1)", &meth_lexer_consume_40_1_41_4589, 1);
  int argcv_meth_lexer_consume_40_1_41_4589[] = {1};
  meth_meth_lexer_consume_40_1_41_4589->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4589);
  meth_meth_lexer_consume_40_1_41_4589->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4589->definitionLine = 742;
  sourceObject = obj4587;
  objclass4587 = obj4587->class;
  objclass4587->definitionModule = modulename;
  objclass4587->definitionLine = 741;
  (*(struct UserObject *)self).data[0] = lowerouter4587;
  self = oldself4587;
  selfslot = oldselfslot4587;
  stackframe = oldstackframe4587;
  adddatum2(obj98, obj4587, 63);
  sourceObject = obj98;
  Object inheritingObject4684 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4684 = alloc_userobj2(1,2, objclass4684);
  gc_frame_newslot(obj4684);
if (objclass4684 == NULL) {
  glfree(obj4684->class->name);
  obj4684->class->name = "indentationState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4684, obj98, 0);
  addmethodreal(obj4684,"outer", &reader_lexer_outer_4685);
  Object oldself4684 = self;
  struct StackFrameObject *oldstackframe4684 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4684);
  gc_frame_newslot((Object)stackframe);
  self = obj4684;
  Object *oldselfslot4684 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4684 = (*(struct UserObject *)self).data[0], lowerouter4684 = thisouter4684;
  if (inheritingObject4684) {
    struct UserObject *inho4684 = (struct UserObject *)inheritingObject4684;
    while (inho4684->super != GraceDefaultObject) inho4684 = (struct UserObject *)inho4684->super;
    inho4684->super = obj4684;
    self = inheritingObject4684;
    *selfslot = self;
    lowerouter4684 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4684;
  }
// method "consume(_)"
  block_savedest(obj4684);
  Object closure4686 = createclosure(1, "consume(1)");
  setclosureframe(closure4686, stackframe);
  addtoclosure(closure4686, var_spaceChars);
  struct UserObject *uo4686 = (struct UserObject*)obj4684;
  uo4686->data[1] = (Object)closure4686;
  Method *meth_meth_lexer_consume_40_1_41_4686 = addmethod2pos(obj4684, "consume(1)", &meth_lexer_consume_40_1_41_4686, 1);
  int argcv_meth_lexer_consume_40_1_41_4686[] = {1};
  meth_meth_lexer_consume_40_1_41_4686->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4686);
  meth_meth_lexer_consume_40_1_41_4686->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4686->definitionLine = 763;
  sourceObject = obj4684;
  objclass4684 = obj4684->class;
  objclass4684->definitionModule = modulename;
  objclass4684->definitionLine = 762;
  (*(struct UserObject *)self).data[0] = lowerouter4684;
  self = oldself4684;
  selfslot = oldselfslot4684;
  stackframe = oldstackframe4684;
  adddatum2(obj98, obj4684, 64);
  sourceObject = obj98;
  Object inheritingObject4712 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4712 = alloc_userobj2(1,2, objclass4712);
  gc_frame_newslot(obj4712);
if (objclass4712 == NULL) {
  glfree(obj4712->class->name);
  obj4712->class->name = "commentSpaceState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4712, obj98, 0);
  addmethodreal(obj4712,"outer", &reader_lexer_outer_4713);
  Object oldself4712 = self;
  struct StackFrameObject *oldstackframe4712 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4712);
  gc_frame_newslot((Object)stackframe);
  self = obj4712;
  Object *oldselfslot4712 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4712 = (*(struct UserObject *)self).data[0], lowerouter4712 = thisouter4712;
  if (inheritingObject4712) {
    struct UserObject *inho4712 = (struct UserObject *)inheritingObject4712;
    while (inho4712->super != GraceDefaultObject) inho4712 = (struct UserObject *)inho4712->super;
    inho4712->super = obj4712;
    self = inheritingObject4712;
    *selfslot = self;
    lowerouter4712 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4712;
  }
// method "consume(_)"
  block_savedest(obj4712);
  Object closure4714 = createclosure(1, "consume(1)");
  setclosureframe(closure4714, stackframe);
  addtoclosure(closure4714, var_spaceChars);
  struct UserObject *uo4714 = (struct UserObject*)obj4712;
  uo4714->data[1] = (Object)closure4714;
  Method *meth_meth_lexer_consume_40_1_41_4714 = addmethod2pos(obj4712, "consume(1)", &meth_lexer_consume_40_1_41_4714, 1);
  int argcv_meth_lexer_consume_40_1_41_4714[] = {1};
  meth_meth_lexer_consume_40_1_41_4714->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4714);
  meth_meth_lexer_consume_40_1_41_4714->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4714->definitionLine = 773;
  sourceObject = obj4712;
  objclass4712 = obj4712->class;
  objclass4712->definitionModule = modulename;
  objclass4712->definitionLine = 772;
  (*(struct UserObject *)self).data[0] = lowerouter4712;
  self = oldself4712;
  selfslot = oldselfslot4712;
  stackframe = oldstackframe4712;
  adddatum2(obj98, obj4712, 65);
  sourceObject = obj98;
  Object inheritingObject4739 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4739 = alloc_userobj2(1,2, objclass4739);
  gc_frame_newslot(obj4739);
if (objclass4739 == NULL) {
  glfree(obj4739->class->name);
  obj4739->class->name = "commentState";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4739, obj98, 0);
  addmethodreal(obj4739,"outer", &reader_lexer_outer_4740);
  Object oldself4739 = self;
  struct StackFrameObject *oldstackframe4739 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4739);
  gc_frame_newslot((Object)stackframe);
  self = obj4739;
  Object *oldselfslot4739 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4739 = (*(struct UserObject *)self).data[0], lowerouter4739 = thisouter4739;
  if (inheritingObject4739) {
    struct UserObject *inho4739 = (struct UserObject *)inheritingObject4739;
    while (inho4739->super != GraceDefaultObject) inho4739 = (struct UserObject *)inho4739->super;
    inho4739->super = obj4739;
    self = inheritingObject4739;
    *selfslot = self;
    lowerouter4739 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4739;
  }
// method "consume(_)"
  struct UserObject *uo4741 = (struct UserObject*)obj4739;
  uo4741->data[1] = emptyclosure;
  Method *meth_meth_lexer_consume_40_1_41_4741 = addmethod2pos(obj4739, "consume(1)", &meth_lexer_consume_40_1_41_4741, 1);
  int argcv_meth_lexer_consume_40_1_41_4741[] = {1};
  meth_meth_lexer_consume_40_1_41_4741->type = alloc_MethodType(1, argcv_meth_lexer_consume_40_1_41_4741);
  meth_meth_lexer_consume_40_1_41_4741->definitionModule = modulename;
  meth_meth_lexer_consume_40_1_41_4741->definitionLine = 782;
  sourceObject = obj4739;
  objclass4739 = obj4739->class;
  objclass4739->definitionModule = modulename;
  objclass4739->definitionLine = 781;
  (*(struct UserObject *)self).data[0] = lowerouter4739;
  self = oldself4739;
  selfslot = oldselfslot4739;
  stackframe = oldstackframe4739;
  adddatum2(obj98, obj4739, 66);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 83;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_keywords4779(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keywords");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keywords (depth = 3)
  gc_frame_end(frame);
  return *var_keywords;
}
Object meth_lexer_operatorChars4853(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "operatorChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_operatorChars (depth = 3)
  gc_frame_end(frame);
  return *var_operatorChars;
}
Object meth_lexer_spaceChars4855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "spaceChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_spaceChars (depth = 3)
  gc_frame_end(frame);
  return *var_spaceChars;
}
Object meth_lexer_tab4857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tab");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tab = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tab (depth = 3)
  gc_frame_end(frame);
  return *var_tab;
}
Object meth_lexer_nl_cr4859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nl_cr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nl_cr (depth = 3)
  gc_frame_end(frame);
  return *var_nl_cr;
}
Object meth_lexer_selfModes4861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "selfModes");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  gc_frame_end(frame);
  return *var_selfModes;
}
Object meth_lexer_brackets4863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "brackets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  gc_frame_end(frame);
  return *var_brackets;
}
Object meth_lexer_alphaNums4865(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "alphaNums");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_alphaNums (depth = 3)
  gc_frame_end(frame);
  return *var_alphaNums;
}
Object meth_lexer_digits4867(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "digits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  gc_frame_end(frame);
  return *var_digits;
}
Object meth_lexer_asciiLetters4869(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asciiLetters");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_asciiLetters (depth = 3)
  gc_frame_end(frame);
  return *var_asciiLetters;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(23, 23);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(23, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[1];
  Object *var_util = alloc_var();
  Object *var_unicode = alloc_var();
  Object *var_errormessages = alloc_var();
  Object *var_map = alloc_var();
  Object *var_keywords = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "keywords");
  Object *var_operatorChars = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "operatorChars");
  Object *var_spaceChars = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spaceChars");
  Object *var_tab = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "tab");
  Object *var_nl_cr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nl_cr");
  Object *var_selfModes = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "selfModes");
  Object *var_brackets = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "brackets");
  Object *var_alphaNums = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "alphaNums");
  Object *var_digits = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "digits");
  Object *var_asciiLetters = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "asciiLetters");
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isOperatorChar(_,_)"
  block_savedest(self);
  Object closure1 = createclosure(2, "isOperatorChar(2)");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_operatorChars);
  addtoclosure(closure1, var_unicode);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_lexer_isOperatorChar_40_2_41_1 = addmethod2pos(self, "isOperatorChar(2)", &meth_lexer_isOperatorChar_40_2_41_1, 1);
  int argcv_meth_lexer_isOperatorChar_40_2_41_1[] = {2};
  meth_meth_lexer_isOperatorChar_40_2_41_1->type = alloc_MethodType(1, argcv_meth_lexer_isOperatorChar_40_2_41_1);
  meth_meth_lexer_isOperatorChar_40_2_41_1->definitionModule = modulename;
  meth_meth_lexer_isOperatorChar_40_2_41_1->definitionLine = 28;
// compiled method node returning  (depth = 1)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadSeparator(_)"
  block_savedest(self);
  Object closure16 = createclosure(3, "isBadSeparator(1)");
  setclosureframe(closure16, stackframe);
  addtoclosure(closure16, var_spaceChars);
  addtoclosure(closure16, var_tab);
  addtoclosure(closure16, var_unicode);
  struct UserObject *uo16 = (struct UserObject*)self;
  uo16->data[2] = (Object)closure16;
  Method *meth_meth_lexer_isBadSeparator_40_1_41_16 = addmethod2pos(self, "isBadSeparator(1)", &meth_lexer_isBadSeparator_40_1_41_16, 2);
  int argcv_meth_lexer_isBadSeparator_40_1_41_16[] = {1};
  meth_meth_lexer_isBadSeparator_40_1_41_16->type = alloc_MethodType(1, argcv_meth_lexer_isBadSeparator_40_1_41_16);
  meth_meth_lexer_isBadSeparator_40_1_41_16->definitionModule = modulename;
  meth_meth_lexer_isBadSeparator_40_1_41_16->definitionLine = 37;
// compiled method node returning  (depth = 1)
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadControl(_)"
  block_savedest(self);
  Object closure29 = createclosure(2, "isBadControl(1)");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_nl_cr);
  addtoclosure(closure29, var_unicode);
  struct UserObject *uo29 = (struct UserObject*)self;
  uo29->data[3] = (Object)closure29;
  Method *meth_meth_lexer_isBadControl_40_1_41_29 = addmethod2pos(self, "isBadControl(1)", &meth_lexer_isBadControl_40_1_41_29, 3);
  int argcv_meth_lexer_isBadControl_40_1_41_29[] = {1};
  meth_meth_lexer_isBadControl_40_1_41_29->type = alloc_MethodType(1, argcv_meth_lexer_isBadControl_40_1_41_29);
  meth_meth_lexer_isBadControl_40_1_41_29->definitionModule = modulename;
  meth_meth_lexer_isBadControl_40_1_41_29->definitionLine = 44;
// compiled method node returning  (depth = 1)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isSelfMode(_)"
  block_savedest(self);
  Object closure37 = createclosure(1, "isSelfMode(1)");
  setclosureframe(closure37, stackframe);
  addtoclosure(closure37, var_selfModes);
  struct UserObject *uo37 = (struct UserObject*)self;
  uo37->data[4] = (Object)closure37;
  Method *meth_meth_lexer_isSelfMode_40_1_41_37 = addmethod2pos(self, "isSelfMode(1)", &meth_lexer_isSelfMode_40_1_41_37, 4);
  int argcv_meth_lexer_isSelfMode_40_1_41_37[] = {1};
  meth_meth_lexer_isSelfMode_40_1_41_37->type = alloc_MethodType(1, argcv_meth_lexer_isSelfMode_40_1_41_37);
  meth_meth_lexer_isSelfMode_40_1_41_37->definitionModule = modulename;
  meth_meth_lexer_isSelfMode_40_1_41_37->definitionLine = 50;
// compiled method node returning  (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBracket(_)"
  block_savedest(self);
  Object closure40 = createclosure(1, "isBracket(1)");
  setclosureframe(closure40, stackframe);
  addtoclosure(closure40, var_brackets);
  struct UserObject *uo40 = (struct UserObject*)self;
  uo40->data[5] = (Object)closure40;
  Method *meth_meth_lexer_isBracket_40_1_41_40 = addmethod2pos(self, "isBracket(1)", &meth_lexer_isBracket_40_1_41_40, 5);
  int argcv_meth_lexer_isBracket_40_1_41_40[] = {1};
  meth_meth_lexer_isBracket_40_1_41_40->type = alloc_MethodType(1, argcv_meth_lexer_isBracket_40_1_41_40);
  meth_meth_lexer_isBracket_40_1_41_40->definitionModule = modulename;
  meth_meth_lexer_isBracket_40_1_41_40->definitionLine = 53;
// compiled method node returning  (depth = 1)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isIdentifierChar(_)"
  block_savedest(self);
  Object closure43 = createclosure(2, "isIdentifierChar(1)");
  setclosureframe(closure43, stackframe);
  addtoclosure(closure43, var_alphaNums);
  addtoclosure(closure43, var_unicode);
  struct UserObject *uo43 = (struct UserObject*)self;
  uo43->data[6] = (Object)closure43;
  Method *meth_meth_lexer_isIdentifierChar_40_1_41_43 = addmethod2pos(self, "isIdentifierChar(1)", &meth_lexer_isIdentifierChar_40_1_41_43, 6);
  int argcv_meth_lexer_isIdentifierChar_40_1_41_43[] = {1};
  meth_meth_lexer_isIdentifierChar_40_1_41_43->type = alloc_MethodType(1, argcv_meth_lexer_isIdentifierChar_40_1_41_43);
  meth_meth_lexer_isIdentifierChar_40_1_41_43->definitionModule = modulename;
  meth_meth_lexer_isIdentifierChar_40_1_41_43->definitionLine = 56;
// compiled method node returning  (depth = 1)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isDigit(_)"
  block_savedest(self);
  Object closure59 = createclosure(1, "isDigit(1)");
  setclosureframe(closure59, stackframe);
  addtoclosure(closure59, var_digits);
  struct UserObject *uo59 = (struct UserObject*)self;
  uo59->data[7] = (Object)closure59;
  Method *meth_meth_lexer_isDigit_40_1_41_59 = addmethod2pos(self, "isDigit(1)", &meth_lexer_isDigit_40_1_41_59, 7);
  int argcv_meth_lexer_isDigit_40_1_41_59[] = {1};
  meth_meth_lexer_isDigit_40_1_41_59->type = alloc_MethodType(1, argcv_meth_lexer_isDigit_40_1_41_59);
  meth_meth_lexer_isDigit_40_1_41_59->definitionModule = modulename;
  meth_meth_lexer_isDigit_40_1_41_59->definitionLine = 63;
// compiled method node returning  (depth = 1)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isLetter(_)"
  block_savedest(self);
  Object closure62 = createclosure(2, "isLetter(1)");
  setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_asciiLetters);
  addtoclosure(closure62, var_unicode);
  struct UserObject *uo62 = (struct UserObject*)self;
  uo62->data[8] = (Object)closure62;
  Method *meth_meth_lexer_isLetter_40_1_41_62 = addmethod2pos(self, "isLetter(1)", &meth_lexer_isLetter_40_1_41_62, 8);
  int argcv_meth_lexer_isLetter_40_1_41_62[] = {1};
  meth_meth_lexer_isLetter_40_1_41_62->type = alloc_MethodType(1, argcv_meth_lexer_isLetter_40_1_41_62);
  meth_meth_lexer_isLetter_40_1_41_62->definitionModule = modulename;
  meth_meth_lexer_isLetter_40_1_41_62->definitionLine = 66;
// compiled method node returning  (depth = 1)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "padl(_,_,_)"
  struct UserObject *uo73 = (struct UserObject*)self;
  uo73->data[9] = emptyclosure;
  Method *meth_meth_lexer_padl_40_3_41_73 = addmethod2pos(self, "padl(3)", &meth_lexer_padl_40_3_41_73, 9);
  int argcv_meth_lexer_padl_40_3_41_73[] = {3};
  meth_meth_lexer_padl_40_3_41_73->type = alloc_MethodType(1, argcv_meth_lexer_padl_40_3_41_73);
  meth_meth_lexer_padl_40_3_41_73->definitionModule = modulename;
  meth_meth_lexer_padl_40_3_41_73->definitionLine = 72;
// compiled method node returning  (depth = 1)
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "new"
  block_savedest(self);
  Object closure97 = createclosure(5, "new");
  setclosureframe(closure97, stackframe);
  addtoclosure(closure97, var_util);
  addtoclosure(closure97, var_errormessages);
  addtoclosure(closure97, var_spaceChars);
  addtoclosure(closure97, var_unicode);
  addtoclosure(closure97, var_keywords);
  struct UserObject *uo97 = (struct UserObject*)self;
  uo97->data[10] = (Object)closure97;
  Method *meth_meth_lexer_new97 = addmethod2pos(self, "new", &meth_lexer_new97, 10);
  int argcv_meth_lexer_new97[] = {0};
  meth_meth_lexer_new97->type = alloc_MethodType(1, argcv_meth_lexer_new97);
  meth_meth_lexer_new97->definitionModule = modulename;
  meth_meth_lexer_new97->definitionLine = 83;
  block_savedest(self);
  Object closure4776 = createclosure(5, "new$object(1)");
  setclosureframe(closure4776, stackframe);
  addtoclosure(closure4776, var_util);
  addtoclosure(closure4776, var_errormessages);
  addtoclosure(closure4776, var_spaceChars);
  addtoclosure(closure4776, var_unicode);
  addtoclosure(closure4776, var_keywords);
  Method *meth_meth_lexer_new97_object = addmethod2pos(self, "new$object(1)", &meth_lexer_new97_object, 10);
  meth_meth_lexer_new97_object->definitionModule = modulename;
  meth_meth_lexer_new97_object->definitionLine = 83;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of stringMap as map
  if (module_stringMap == NULL)
    module_stringMap = LOAD_MODULE(stringMap);
  *var_map = module_stringMap;
// compiled import node returning done (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe4777 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_map (depth = 3)
  Object call4778 = callmethodflags(*var_map, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4777);
// compiled member node returning call4778 (depth = 2)
  *var_keywords = call4778;
  if (call4778 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "keywords"
  block_savedest(self);
  Object closure4779 = createclosure(1, "keywords");
  setclosureframe(closure4779, stackframe);
  addtoclosure(closure4779, var_keywords);
  struct UserObject *uo4779 = (struct UserObject*)self;
  uo4779->data[11] = (Object)closure4779;
  Method *meth_meth_lexer_keywords4779 = addmethod2pos(self, "keywords", &meth_lexer_keywords4779, 11);
  int argcv_meth_lexer_keywords4779[] = {0};
  meth_meth_lexer_keywords4779->type = alloc_MethodType(1, argcv_meth_lexer_keywords4779);
  meth_meth_lexer_keywords4779->definitionModule = modulename;
  meth_meth_lexer_keywords4779->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4780 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4781 == NULL) {
    strlit4781 = alloc_String("alias");
    gc_root(strlit4781);
  }
// compiled string node returning strlit4781 (depth = 2)
  gc_frame_newslot(strlit4781);
// starting to compile identifier node (depth = 2)
  Object bool4782 = alloc_Boolean(1);
// compiled identifier node returning bool4782 (depth = 2)
  gc_frame_newslot(bool4782);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4781;
  params[1] = bool4782;
  partcv[0] = 2;
  Object call4783 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4780);
// compiled call node returning call4783 (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4784 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4785 == NULL) {
    strlit4785 = alloc_String("class");
    gc_root(strlit4785);
  }
// compiled string node returning strlit4785 (depth = 2)
  gc_frame_newslot(strlit4785);
// starting to compile identifier node (depth = 2)
  Object bool4786 = alloc_Boolean(1);
// compiled identifier node returning bool4786 (depth = 2)
  gc_frame_newslot(bool4786);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4785;
  params[1] = bool4786;
  partcv[0] = 2;
  Object call4787 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4784);
// compiled call node returning call4787 (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4788 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4789 == NULL) {
    strlit4789 = alloc_String("def");
    gc_root(strlit4789);
  }
// compiled string node returning strlit4789 (depth = 2)
  gc_frame_newslot(strlit4789);
// starting to compile identifier node (depth = 2)
  Object bool4790 = alloc_Boolean(1);
// compiled identifier node returning bool4790 (depth = 2)
  gc_frame_newslot(bool4790);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4789;
  params[1] = bool4790;
  partcv[0] = 2;
  Object call4791 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4788);
// compiled call node returning call4791 (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4792 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4793 == NULL) {
    strlit4793 = alloc_String("dialect");
    gc_root(strlit4793);
  }
// compiled string node returning strlit4793 (depth = 2)
  gc_frame_newslot(strlit4793);
// starting to compile identifier node (depth = 2)
  Object bool4794 = alloc_Boolean(1);
// compiled identifier node returning bool4794 (depth = 2)
  gc_frame_newslot(bool4794);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4793;
  params[1] = bool4794;
  partcv[0] = 2;
  Object call4795 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4792);
// compiled call node returning call4795 (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4796 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4797 == NULL) {
    strlit4797 = alloc_String("exclude");
    gc_root(strlit4797);
  }
// compiled string node returning strlit4797 (depth = 2)
  gc_frame_newslot(strlit4797);
// starting to compile identifier node (depth = 2)
  Object bool4798 = alloc_Boolean(1);
// compiled identifier node returning bool4798 (depth = 2)
  gc_frame_newslot(bool4798);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4797;
  params[1] = bool4798;
  partcv[0] = 2;
  Object call4799 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4796);
// compiled call node returning call4799 (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4800 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4801 == NULL) {
    strlit4801 = alloc_String("factory");
    gc_root(strlit4801);
  }
// compiled string node returning strlit4801 (depth = 2)
  gc_frame_newslot(strlit4801);
// starting to compile identifier node (depth = 2)
  Object bool4802 = alloc_Boolean(1);
// compiled identifier node returning bool4802 (depth = 2)
  gc_frame_newslot(bool4802);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4801;
  params[1] = bool4802;
  partcv[0] = 2;
  Object call4803 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4800);
// compiled call node returning call4803 (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4804 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4805 == NULL) {
    strlit4805 = alloc_String("import");
    gc_root(strlit4805);
  }
// compiled string node returning strlit4805 (depth = 2)
  gc_frame_newslot(strlit4805);
// starting to compile identifier node (depth = 2)
  Object bool4806 = alloc_Boolean(1);
// compiled identifier node returning bool4806 (depth = 2)
  gc_frame_newslot(bool4806);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4805;
  params[1] = bool4806;
  partcv[0] = 2;
  Object call4807 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4804);
// compiled call node returning call4807 (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4808 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4809 == NULL) {
    strlit4809 = alloc_String("inherits");
    gc_root(strlit4809);
  }
// compiled string node returning strlit4809 (depth = 2)
  gc_frame_newslot(strlit4809);
// starting to compile identifier node (depth = 2)
  Object bool4810 = alloc_Boolean(1);
// compiled identifier node returning bool4810 (depth = 2)
  gc_frame_newslot(bool4810);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4809;
  params[1] = bool4810;
  partcv[0] = 2;
  Object call4811 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4808);
// compiled call node returning call4811 (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4812 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4813 == NULL) {
    strlit4813 = alloc_String("inherit");
    gc_root(strlit4813);
  }
// compiled string node returning strlit4813 (depth = 2)
  gc_frame_newslot(strlit4813);
// starting to compile identifier node (depth = 2)
  Object bool4814 = alloc_Boolean(1);
// compiled identifier node returning bool4814 (depth = 2)
  gc_frame_newslot(bool4814);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4813;
  params[1] = bool4814;
  partcv[0] = 2;
  Object call4815 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4812);
// compiled call node returning call4815 (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4816 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4817 == NULL) {
    strlit4817 = alloc_String("is");
    gc_root(strlit4817);
  }
// compiled string node returning strlit4817 (depth = 2)
  gc_frame_newslot(strlit4817);
// starting to compile identifier node (depth = 2)
  Object bool4818 = alloc_Boolean(1);
// compiled identifier node returning bool4818 (depth = 2)
  gc_frame_newslot(bool4818);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4817;
  params[1] = bool4818;
  partcv[0] = 2;
  Object call4819 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4816);
// compiled call node returning call4819 (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4820 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4821 == NULL) {
    strlit4821 = alloc_String("method");
    gc_root(strlit4821);
  }
// compiled string node returning strlit4821 (depth = 2)
  gc_frame_newslot(strlit4821);
// starting to compile identifier node (depth = 2)
  Object bool4822 = alloc_Boolean(1);
// compiled identifier node returning bool4822 (depth = 2)
  gc_frame_newslot(bool4822);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4821;
  params[1] = bool4822;
  partcv[0] = 2;
  Object call4823 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4820);
// compiled call node returning call4823 (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4824 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4825 == NULL) {
    strlit4825 = alloc_String("object");
    gc_root(strlit4825);
  }
// compiled string node returning strlit4825 (depth = 2)
  gc_frame_newslot(strlit4825);
// starting to compile identifier node (depth = 2)
  Object bool4826 = alloc_Boolean(1);
// compiled identifier node returning bool4826 (depth = 2)
  gc_frame_newslot(bool4826);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4825;
  params[1] = bool4826;
  partcv[0] = 2;
  Object call4827 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4824);
// compiled call node returning call4827 (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4828 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4829 == NULL) {
    strlit4829 = alloc_String("return");
    gc_root(strlit4829);
  }
// compiled string node returning strlit4829 (depth = 2)
  gc_frame_newslot(strlit4829);
// starting to compile identifier node (depth = 2)
  Object bool4830 = alloc_Boolean(1);
// compiled identifier node returning bool4830 (depth = 2)
  gc_frame_newslot(bool4830);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4829;
  params[1] = bool4830;
  partcv[0] = 2;
  Object call4831 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4828);
// compiled call node returning call4831 (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4832 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4833 == NULL) {
    strlit4833 = alloc_String("super");
    gc_root(strlit4833);
  }
// compiled string node returning strlit4833 (depth = 2)
  gc_frame_newslot(strlit4833);
// starting to compile identifier node (depth = 2)
  Object bool4834 = alloc_Boolean(1);
// compiled identifier node returning bool4834 (depth = 2)
  gc_frame_newslot(bool4834);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4833;
  params[1] = bool4834;
  partcv[0] = 2;
  Object call4835 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4832);
// compiled call node returning call4835 (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4836 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4837 == NULL) {
    strlit4837 = alloc_String("trait");
    gc_root(strlit4837);
  }
// compiled string node returning strlit4837 (depth = 2)
  gc_frame_newslot(strlit4837);
// starting to compile identifier node (depth = 2)
  Object bool4838 = alloc_Boolean(1);
// compiled identifier node returning bool4838 (depth = 2)
  gc_frame_newslot(bool4838);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4837;
  params[1] = bool4838;
  partcv[0] = 2;
  Object call4839 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4836);
// compiled call node returning call4839 (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4840 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4841 == NULL) {
    strlit4841 = alloc_String("type");
    gc_root(strlit4841);
  }
// compiled string node returning strlit4841 (depth = 2)
  gc_frame_newslot(strlit4841);
// starting to compile identifier node (depth = 2)
  Object bool4842 = alloc_Boolean(1);
// compiled identifier node returning bool4842 (depth = 2)
  gc_frame_newslot(bool4842);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4841;
  params[1] = bool4842;
  partcv[0] = 2;
  Object call4843 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4840);
// compiled call node returning call4843 (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4844 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4845 == NULL) {
    strlit4845 = alloc_String("use");
    gc_root(strlit4845);
  }
// compiled string node returning strlit4845 (depth = 2)
  gc_frame_newslot(strlit4845);
// starting to compile identifier node (depth = 2)
  Object bool4846 = alloc_Boolean(1);
// compiled identifier node returning bool4846 (depth = 2)
  gc_frame_newslot(bool4846);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4845;
  params[1] = bool4846;
  partcv[0] = 2;
  Object call4847 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4844);
// compiled call node returning call4847 (depth = 1)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe4848 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit4849 == NULL) {
    strlit4849 = alloc_String("var");
    gc_root(strlit4849);
  }
// compiled string node returning strlit4849 (depth = 2)
  gc_frame_newslot(strlit4849);
// starting to compile identifier node (depth = 2)
  Object bool4850 = alloc_Boolean(1);
// compiled identifier node returning bool4850 (depth = 2)
  gc_frame_newslot(bool4850);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit4849;
  params[1] = bool4850;
  partcv[0] = 2;
  Object call4851 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4848);
// compiled call node returning call4851 (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4852 == NULL) {
    strlit4852 = alloc_String("-&|:$#\\%^@?*/+!~");
    gc_root(strlit4852);
  }
// compiled string node returning strlit4852 (depth = 2)
  *var_operatorChars = strlit4852;
  if (strlit4852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "operatorChars"
  block_savedest(self);
  Object closure4853 = createclosure(1, "operatorChars");
  setclosureframe(closure4853, stackframe);
  addtoclosure(closure4853, var_operatorChars);
  struct UserObject *uo4853 = (struct UserObject*)self;
  uo4853->data[12] = (Object)closure4853;
  Method *meth_meth_lexer_operatorChars4853 = addmethod2pos(self, "operatorChars", &meth_lexer_operatorChars4853, 12);
  int argcv_meth_lexer_operatorChars4853[] = {0};
  meth_meth_lexer_operatorChars4853->type = alloc_MethodType(1, argcv_meth_lexer_operatorChars4853);
  meth_meth_lexer_operatorChars4853->definitionModule = modulename;
  meth_meth_lexer_operatorChars4853->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4854 == NULL) {
    strlit4854 = alloc_String(" ""\xc2""""\xa0""");
    gc_root(strlit4854);
  }
// compiled string node returning strlit4854 (depth = 2)
  *var_spaceChars = strlit4854;
  if (strlit4854 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "spaceChars"
  block_savedest(self);
  Object closure4855 = createclosure(1, "spaceChars");
  setclosureframe(closure4855, stackframe);
  addtoclosure(closure4855, var_spaceChars);
  struct UserObject *uo4855 = (struct UserObject*)self;
  uo4855->data[13] = (Object)closure4855;
  Method *meth_meth_lexer_spaceChars4855 = addmethod2pos(self, "spaceChars", &meth_lexer_spaceChars4855, 13);
  int argcv_meth_lexer_spaceChars4855[] = {0};
  meth_meth_lexer_spaceChars4855->type = alloc_MethodType(1, argcv_meth_lexer_spaceChars4855);
  meth_meth_lexer_spaceChars4855->definitionModule = modulename;
  meth_meth_lexer_spaceChars4855->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4856 == NULL) {
    strlit4856 = alloc_String("""\x09""");
    gc_root(strlit4856);
  }
// compiled string node returning strlit4856 (depth = 2)
  *var_tab = strlit4856;
  if (strlit4856 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tab"
  block_savedest(self);
  Object closure4857 = createclosure(1, "tab");
  setclosureframe(closure4857, stackframe);
  addtoclosure(closure4857, var_tab);
  struct UserObject *uo4857 = (struct UserObject*)self;
  uo4857->data[14] = (Object)closure4857;
  Method *meth_meth_lexer_tab4857 = addmethod2pos(self, "tab", &meth_lexer_tab4857, 14);
  int argcv_meth_lexer_tab4857[] = {0};
  meth_meth_lexer_tab4857->type = alloc_MethodType(1, argcv_meth_lexer_tab4857);
  meth_meth_lexer_tab4857->definitionModule = modulename;
  meth_meth_lexer_tab4857->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4858 == NULL) {
    strlit4858 = alloc_String("""\x0a""""\x0d""");
    gc_root(strlit4858);
  }
// compiled string node returning strlit4858 (depth = 2)
  *var_nl_cr = strlit4858;
  if (strlit4858 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nl_cr"
  block_savedest(self);
  Object closure4859 = createclosure(1, "nl_cr");
  setclosureframe(closure4859, stackframe);
  addtoclosure(closure4859, var_nl_cr);
  struct UserObject *uo4859 = (struct UserObject*)self;
  uo4859->data[15] = (Object)closure4859;
  Method *meth_meth_lexer_nl_cr4859 = addmethod2pos(self, "nl_cr", &meth_lexer_nl_cr4859, 15);
  int argcv_meth_lexer_nl_cr4859[] = {0};
  meth_meth_lexer_nl_cr4859->type = alloc_MethodType(1, argcv_meth_lexer_nl_cr4859);
  meth_meth_lexer_nl_cr4859->definitionModule = modulename;
  meth_meth_lexer_nl_cr4859->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4860 == NULL) {
    strlit4860 = alloc_String("(),{}[];""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit4860);
  }
// compiled string node returning strlit4860 (depth = 2)
  *var_selfModes = strlit4860;
  if (strlit4860 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "selfModes"
  block_savedest(self);
  Object closure4861 = createclosure(1, "selfModes");
  setclosureframe(closure4861, stackframe);
  addtoclosure(closure4861, var_selfModes);
  struct UserObject *uo4861 = (struct UserObject*)self;
  uo4861->data[16] = (Object)closure4861;
  Method *meth_meth_lexer_selfModes4861 = addmethod2pos(self, "selfModes", &meth_lexer_selfModes4861, 16);
  int argcv_meth_lexer_selfModes4861[] = {0};
  meth_meth_lexer_selfModes4861->type = alloc_MethodType(1, argcv_meth_lexer_selfModes4861);
  meth_meth_lexer_selfModes4861->definitionModule = modulename;
  meth_meth_lexer_selfModes4861->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4862 == NULL) {
    strlit4862 = alloc_String("(){}[]""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit4862);
  }
// compiled string node returning strlit4862 (depth = 2)
  *var_brackets = strlit4862;
  if (strlit4862 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "brackets"
  block_savedest(self);
  Object closure4863 = createclosure(1, "brackets");
  setclosureframe(closure4863, stackframe);
  addtoclosure(closure4863, var_brackets);
  struct UserObject *uo4863 = (struct UserObject*)self;
  uo4863->data[17] = (Object)closure4863;
  Method *meth_meth_lexer_brackets4863 = addmethod2pos(self, "brackets", &meth_lexer_brackets4863, 17);
  int argcv_meth_lexer_brackets4863[] = {0};
  meth_meth_lexer_brackets4863->type = alloc_MethodType(1, argcv_meth_lexer_brackets4863);
  meth_meth_lexer_brackets4863->definitionModule = modulename;
  meth_meth_lexer_brackets4863->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4864 == NULL) {
    strlit4864 = alloc_String("_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit4864);
  }
// compiled string node returning strlit4864 (depth = 2)
  *var_alphaNums = strlit4864;
  if (strlit4864 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "alphaNums"
  block_savedest(self);
  Object closure4865 = createclosure(1, "alphaNums");
  setclosureframe(closure4865, stackframe);
  addtoclosure(closure4865, var_alphaNums);
  struct UserObject *uo4865 = (struct UserObject*)self;
  uo4865->data[18] = (Object)closure4865;
  Method *meth_meth_lexer_alphaNums4865 = addmethod2pos(self, "alphaNums", &meth_lexer_alphaNums4865, 18);
  int argcv_meth_lexer_alphaNums4865[] = {0};
  meth_meth_lexer_alphaNums4865->type = alloc_MethodType(1, argcv_meth_lexer_alphaNums4865);
  meth_meth_lexer_alphaNums4865->definitionModule = modulename;
  meth_meth_lexer_alphaNums4865->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4866 == NULL) {
    strlit4866 = alloc_String("0123456789");
    gc_root(strlit4866);
  }
// compiled string node returning strlit4866 (depth = 2)
  *var_digits = strlit4866;
  if (strlit4866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "digits"
  block_savedest(self);
  Object closure4867 = createclosure(1, "digits");
  setclosureframe(closure4867, stackframe);
  addtoclosure(closure4867, var_digits);
  struct UserObject *uo4867 = (struct UserObject*)self;
  uo4867->data[19] = (Object)closure4867;
  Method *meth_meth_lexer_digits4867 = addmethod2pos(self, "digits", &meth_lexer_digits4867, 19);
  int argcv_meth_lexer_digits4867[] = {0};
  meth_meth_lexer_digits4867->type = alloc_MethodType(1, argcv_meth_lexer_digits4867);
  meth_meth_lexer_digits4867->definitionModule = modulename;
  meth_meth_lexer_digits4867->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit4868 == NULL) {
    strlit4868 = alloc_String("abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit4868);
  }
// compiled string node returning strlit4868 (depth = 2)
  *var_asciiLetters = strlit4868;
  if (strlit4868 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "asciiLetters"
  block_savedest(self);
  Object closure4869 = createclosure(1, "asciiLetters");
  setclosureframe(closure4869, stackframe);
  addtoclosure(closure4869, var_asciiLetters);
  struct UserObject *uo4869 = (struct UserObject*)self;
  uo4869->data[20] = (Object)closure4869;
  Method *meth_meth_lexer_asciiLetters4869 = addmethod2pos(self, "asciiLetters", &meth_lexer_asciiLetters4869, 20);
  int argcv_meth_lexer_asciiLetters4869[] = {0};
  meth_meth_lexer_asciiLetters4869->type = alloc_MethodType(1, argcv_meth_lexer_asciiLetters4869);
  meth_meth_lexer_asciiLetters4869->definitionModule = modulename;
  meth_meth_lexer_asciiLetters4869->definitionLine = 1184;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
