#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "21802a386d7e3614445df7ee7c1a5afde8ad45d3";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "xmodule";
Object module_standardGrace_init();
static char *originalSourceLines[] = {
  "#pragma ExtendedLineups",
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "import \"ast\" as ast",
  "import \"mirrors\" as mirrors",
  "import \"errormessages\" as errormessages",
  "import \"unixFilePath\" as filePath",
  "",
  "def gctCache = emptyDictionary",
  "def keyCompare = { a, b -> a.key.compare(b.key) }",
  "",
  "method builtInModules {",
  "    if (util.target == \"c\") then {",
  "        list [  \"sys\",",
  "                \"io\",",
  "                \"imports\",",
  "                \"standardGrace\",",
  "                \"collectionsPrelude\" ]",
  "    } else {",
  "        list [  \"imports\",",
  "                \"io\",",
  "                \"mirrors\",",
  "                \"sys\",",
  "                \"unicode\",",
  "                \"util\" ]",
  "    }",
  "}",
  "",
  "def currentDialect = object {",
  "    var name is public := \"standardGrace\"",
  "    var moduleObject is public := _prelude",
  "    // TODO: this isn't quite right: should be the prelude",
  "    // on the GRACE_MODULE_PATH of this compilation",
  "    var hasParseChecker is public := false",
  "    var hasAstChecker is public := false",
  "    var hasAtStart is public := false",
  "    var hasAtEnd is public := false",
  "}",
  "",
  "type LinePos = {",
  "    line -> Number",
  "    linePos -> Number",
  "}",
  "",
  "type RangeSuggestions = {",
  "    line -> Number",
  "    posStart -> Number",
  "    posEnd -> Number",
  "    suggestions",
  "}",
  "",
  "def dynamicCModules is public = set [\"mirrors\", \"curl\", \"unicode\"]",
  "def imports = util.requiredModules",
  "",
  "method checkDialect(moduleObject) {",
  "    moduleObject.value.do { node ->",
  "        if (node.isDialect) then {",
  "            def nm = node.moduleName",
  "            currentDialect.name := nm",
  "            checkExternalModule(node)",
  "            util.log 50 verbose \"loading dialect for checkers.\"",
  "            try {",
  "                def dobj = mirrors.loadDynamicModule(node.path)",
  "                currentDialect.moduleObject := dobj",
  "                if (mirrors.reflect(dobj).methodNames.contains(\"thisDialect\")) then {",
  "                    def mths = mirrors.reflect(dobj.thisDialect).methods",
  "                    for (mths) do { m ->",
  "                        if (m.name == \"parseChecker(1)\") then {",
  "                            currentDialect.hasParseChecker := true",
  "                        }",
  "                        if (m.name == \"astChecker(1)\") then {",
  "                            currentDialect.hasAstChecker := true",
  "                        }",
  "                        if (m.name == \"atEnd(1)\") then {",
  "                            currentDialect.hasAtEnd := true",
  "                        }",
  "                        if (m.name == \"atStart(1)\") then {",
  "                            currentDialect.hasAtStart := true",
  "                        }",
  "                    }",
  "                }",
  "            } catch { e : RuntimeError ->",
  "                util.setPosition(node.line, 1)",
  "                e.printBacktrace",
  "                errormessages.error \"Dialect error: dialect '{nm}' failed to load.\\n{e}.\"",
  "                    atLine(node.line)",
  "            }",
  "            return  // there is at most one dialect",
  "        }",
  "    }",
  "}",
  "",
  "method doParseCheck(moduleNode) {",
  "    if (currentDialect.hasParseChecker.not) then { return }",
  "    def CheckerFailure = Exception.refine \"CheckerFailure\"",
  "    try {",
  "        currentDialect.moduleObject.thisDialect.parseChecker(moduleNode)",
  "    } catch { e : CheckerFailure ->",
  "        match (e.data)",
  "            case { lp : LinePos ->",
  "                errormessages.error \"{e.exception}: {e.message}.\"",
  "                    atPosition(e.data.line, e.data.linePos)",
  "            }",
  "            case { rs : RangeSuggestions ->",
  "                errormessages.error(\"{e.exception}: {e.message}.\")",
  "                    atRange(rs.line, rs.posStart, rs.posEnd)",
  "                    withSuggestions(rs.suggestions)",
  "            }",
  "            case { _ ->",
  "                errormessages.error \"{e.exception}: {e.message}.\"",
  "                    atLine(util.linenum)",
  "            }",
  "    } catch { e : Exception ->      // some unknwown Grace exception",
  "        e.printBacktrace",
  "        errormessages.error(\"Unexpected exception raised by parse checker for \" ++",
  "            \"dialect '{currentDialect.name}'.\\n{e.exception}: {e.message}\")",
  "    }",
  "}",
  "",
  "method doAstCheck(moduleNode) {",
  "    if (currentDialect.hasAstChecker.not) then { return }",
  "    def CheckerFailure = Exception.refine \"CheckerFailure\"",
  "    try {",
  "        currentDialect.moduleObject.thisDialect.astChecker(moduleNode)",
  "    } catch { e : CheckerFailure ->",
  "        match (e.data)",
  "            case { lp : LinePos ->",
  "                errormessages.error \"{e.exception}: {e.message}.\"",
  "                    atPosition(e.data.line, e.data.linePos)",
  "            }",
  "            case { rs : RangeSuggestions ->",
  "                errormessages.error(\"{e.exception}: {e.message}.\")",
  "                    atRange(rs.line, rs.posStart, rs.posEnd)",
  "                    withSuggestions(rs.suggestions)",
  "            }",
  "            case { _ -> }",
  "        errormessages.error(\"{e.exception}: {e.message}.\")atPosition(util.linenum, 0)",
  "    } catch { e : Exception ->      // some unknwown Grace exception",
  "        e.printBacktrace",
  "        errormessages.error(\"Unexpected exception raised by AST checker for \" ++",
  "            \"dialect '{currentDialect.name}'.\\n{e.exception}: {e.message}\")",
  "    }",
  "}",
  "",
  "method checkExternalModule(node) {",
  "    checkimport(node.moduleName, node.path,",
  "        node.line, node.linePos, node.isDialect)",
  "}",
  "",
  "method checkimport(nm, pathname, line, linePos, isDialect) is confidential {",
  "    if (builtInModules.contains(nm)) then {",
  "        imports.other.add(nm)",
  "        return",
  "    }",
  "    if (imports.isAlready(nm)) then {",
  "        return",
  "    }",
  "    var noSource := false",
  "    // noSource implies that the module is written in native code, like \"unicode.c\"",
  "",
  "    if (prelude.inBrowser) then {",
  "        util.file(nm ++ \".js\") onPath \"\" otherwise { _ ->",
  "            errormessages.error \"Please compile module {nm} before importing it.\"",
  "                atRange(line, linePos, linePos + nm.size - 1)",
  "        }",
  "        return",
  "    }",
  "    def gmp = sys.environ.at \"GRACE_MODULE_PATH\"",
  "    def pn = filePath.fromString(pathname).setExtension \"grace\"",
  "    def moduleFileGrace = util.file(pn) on(util.sourceDir)",
  "                                orPath (gmp) otherwise { l ->",
  "        noSource := true",
  "        pn",
  "    }",
  "    var moduleFileGct := moduleFileGrace.copy.setExtension \".gct\"",
  "    if (util.sourceDir != util.outDir) then {",
  "        moduleFileGct.setDirectory(util.outDir)",
  "    }",
  "    if (util.target == \"c\") then {",
  "        def moduleFileGso = moduleFileGct.copy.setExtension \".gso\"",
  "        def moduleFileGcn = moduleFileGct.copy.setExtension \".gcn\"",
  "        def needsDynamic = isDialect || util.importDynamic ||",
  "            util.dynamicModule || { dynamicCModules.contains(nm) }",
  "        util.log 100 verbose \"needsDynamic for {nm} is {needsDynamic}.\"",
  "        var binaryFile",
  "        var importsSet",
  "        if (needsDynamic) then {",
  "            dynamicCModules.add(nm)",
  "            binaryFile := moduleFileGso",
  "            importsSet := imports.other",
  "        } else {",
  "            binaryFile := moduleFileGcn",
  "            importsSet := imports.static",
  "        }",
  "        if (noSource && binaryFile.exists.not) then {",
  "            binaryFile := util.file(binaryFile) onPath (gmp) otherwise { l ->",
  "                errormessages.error(",
  "                    \"I can't find {pn.shortName} or {binaryFile.shortName}; looked in {l}.\")",
  "                    atLine(line)",
  "            }",
  "            moduleFileGct.setDirectory(binaryFile.directory)",
  "            if (moduleFileGct.exists.not) then {",
  "                errormessages.error(\"I found {binaryFile}, but neither \" ++",
  "                    \"{moduleFileGct} nor source.\")",
  "                    atLine(line)",
  "            }",
  "        }",
  "        if (needsDynamic.not) then {",
  "            imports.linkfiles.add(binaryFile.asString)",
  "        }",
  "        util.log 100 verbose \"linkfiles is {imports.linkfiles}.\"",
  "        if (binaryFile.exists && {",
  "            moduleFileGct.exists } && {",
  "                noSource || { binaryFile.newer(moduleFileGrace) }",
  "            }",
  "        ) then {",
  "        } else {",
  "            if ( binaryFile.exists.not ) then {",
  "                util.log 60 verbose \"{binaryFile} does not exist\"",
  "            } elseif { binaryFile.newer(moduleFileGrace).not } then {",
  "                util.log 60 verbose \"{binaryFile} not newer than {moduleFileGrace}\"",
  "            }",
  "            compileModule (nm) inFile (moduleFileGrace.asString)",
  "                forDialect (isDialect) atRange (line, linePos)",
  "        }",
  "        importsSet.add(nm)",
  "    } elseif { util.target == \"js\" } then {",
  "        def moduleFileJs = moduleFileGct.copy.setExtension \".js\"",
  "        if (moduleFileJs.exists && {",
  "            moduleFileGct.exists } && {",
  "                noSource || {",
  "                    moduleFileJs.newer(moduleFileGrace)",
  "                }",
  "            }",
  "        ) then {",
  "        } else {",
  "            if (moduleFileJs.newer(moduleFileGrace).not) then {",
  "                util.log 60 verbose \"{moduleFileJs} not newer than {moduleFileGrace}\"",
  "            }",
  "            if (moduleFileGrace.exists) then {",
  "                compileModule (nm) inFile (moduleFileGrace.asString)",
  "                    forDialect (isDialect) atRange (line, linePos)",
  "            } else {",
  "                def thing = if (isDialect) then {\"dialect\"} else {\"module\"}",
  "                errormessages.error \"Can't find {thing} {nm}\"",
  "                    atLine(line)",
  "            }",
  "        }",
  "        imports.other.add(nm)",
  "    }",
  "    addTransitiveImports(moduleFileGct.directory, isDialect, nm, line, linePos)",
  "}",
  "",
  "method addTransitiveImports(directory, isDialect, moduleName, line, linePos) is confidential {",
  "    def gctData = gctCache.at(moduleName) ifAbsent {",
  "        parseGCT(moduleName) sourceDir(directory)",
  "    }",
  "    if (gctData.containsKey \"dialect\") then {",
  "        def dName = gctData.at \"dialect\" .first",
  "        checkimport(dName, dName, line, linePos, true)",
  "    }",
  "    def importedModules = gctData.at \"modules\" ifAbsent { emptySequence }",
  "    def m = util.modname",
  "    if (importedModules.contains(m)) then {",
  "        errormessages.error(\"Cyclic import detected: '{m}' is imported \"",
  "            ++ \"by '{moduleName}', which is imported by '{m}' (and so on).\")",
  "            atLine(line)",
  "    }",
  "    importedModules.do { each ->",
  "        checkimport(each, each, line, linePos, isDialect)",
  "    }",
  "}",
  "",
  "method compileModule (nm) inFile (sourceFile)",
  "        forDialect (isDialect) atRange (line, linePos) is confidential {",
  "    if ( prelude.inBrowser || { util.recurse.not } ) then {",
  "        errormessages.error \"Please compile module {nm} before importing it.\"",
  "            atLine(line)",
  "    }",
  "    var slashed := false",
  "    for (sys.argv.first) do {letter ->",
  "        if(letter == \"/\") then {",
  "            slashed := true",
  "        }",
  "    }",
  "    var cmd",
  "    if (slashed) then {",
  "        cmd := io.realpath(sys.argv.first)",
  "    } else {",
  "        cmd := io.realpath \"{sys.execPath}/{sys.argv.first}\"",
  "    }",
  "    def cmdSz = cmd.size",
  "    if (cmd.substringFrom(cmdSz-2) to (cmdSz) == \".js\") then {",
  "        cmd := \"grace \\\"{cmd}\\\"\"",
  "    } else {",
  "        cmd := \"\\\"{cmd}\\\"\"",
  "    }",
  "    if (util.verbosity != util.defaultVerbosity) then {",
  "        cmd := cmd ++ \" --verbose {util.verbosity}\"",
  "    }",
  "    if (util.dirFlag) then {",
  "        cmd := cmd ++ \" --dir \" ++ util.outDir",
  "    }",
  "    if (false != util.vtag) then {",
  "        cmd := cmd ++ \" --vtag \" ++ util.vtag",
  "    }",
  "    if (util.target == \"c\") then {",
  "        if (util.dynamicModule || isDialect) then {",
  "            cmd := cmd ++ \" --dynamic-module\"",
  "        }",
  "        if (util.importDynamic) then {",
  "            cmd := cmd ++ \" --import-dynamic\"",
  "        }",
  "        cmd := cmd ++ \" -XNoMain\"",
  "    }",
  "    cmd := cmd ++ \" --gracelib \" ++ util.gracelibPath",
  "    cmd := cmd ++ util.commandLineExtensions",
  "    cmd := \"{cmd} --target {util.target} --noexec \\\"{sourceFile}\\\"\"",
  "    util.log 50 verbose \"executing sub-compile {cmd}\"",
  "    def exitCode = io.spawn(\"bash\", [\"-c\", cmd]).status",
  "    if (exitCode != 0) then {",
  "        errormessages.error \"Failed to compile imported module {nm} ({exitCode}).\"",
  "            atLine(line)",
  "    }",
  "}",
  "",
  "method parseGCT(moduleName) {",
  "    gctCache.at(moduleName) ifAbsent {",
  "        parseGCT(moduleName) sourceDir(util.outDir)",
  "    }",
  "}",
  "",
  "method parseGCT(moduleName) sourceDir(dir) is confidential {",
  "    def gctData = emptyDictionary",
  "    def sz = moduleName.size",
  "    def sought = filePath.fromString(moduleName).setExtension \".gct\"",
  "    def filename = util.file(sought) on(dir)",
  "      orPath(sys.environ.at \"GRACE_MODULE_PATH\") otherwise { l ->",
  "        util.log 80 verbose \"Can't find file {sought} for module {moduleName}; looked in {l}.\"",
  "        gctCache.at(moduleName) put(gctData)",
  "        return gctData",
  "    }",
  "    def tfp = io.open(filename, \"r\")",
  "    var key := \"\"",
  "    while {!tfp.eof} do {",
  "        def line = tfp.getline",
  "        if (line.size > 0) then {",
  "            if (line.at(1) != \" \") then {",
  "                key := line.substringFrom 1 to(line.size-1)",
  "                gctData.at(key) put [ ]",
  "            } else {",
  "                gctData.at(key).addLast(line.substringFrom 2 to(line.size))",
  "            }",
  "        }",
  "    }",
  "    tfp.close",
  "    gctCache.at(moduleName) put(gctData)",
  "    return gctData",
  "}",
  "",
  "method writeGCT(modname, dict) is confidential {",
  "    def fp = io.open(\"{util.outDir}{modname}.gct\", \"w\")",
  "    dict.bindings.asList.sortBy(keyCompare).do { b ->",
  "        fp.write \"{b.key}:\\n\"",
  "        b.value.asList.sort.do { v ->",
  "            fp.write \" {v}\\n\"",
  "        }",
  "    }",
  "    fp.close",
  "    gctCache.at(modname) put(dict)",
  "}",
  "",
  "method writeGctForModule(moduleObject) {",
  "    writeGCT(moduleObject.name, generateGctForModule(moduleObject))",
  "}",
  "",
  "method gctAsString(gctDict) {",
  "    var ret := \"\"",
  "    gctDict.bindings.asList.sortBy(keyCompare).do { b ->",
  "        ret := ret ++ \"{b.key}:\\n\"",
  "        b.value.asList.sort.do { v ->",
  "            ret := ret ++ \" {v}\\n\"",
  "        }",
  "    }",
  "    return ret",
  "}",
  "",
  "var methodtypes := [ ]",
  "def typeVisitor = object {",
  "    inherit ast.baseVisitor",
  "    var literalCount := 1",
  "    method visitTypeLiteral(lit) {",
  "        for (lit.methods) do { meth ->",
  "            var mtstr := \"{literalCount} \"",
  "            for (meth.signature) do { part ->",
  "                mtstr := mtstr ++ part.name",
  "                if (part.params.size > 0) then {",
  "                    mtstr := mtstr ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params.at(pnr)",
  "                        if (p.dtype != false) then {",
  "                            mtstr := mtstr ++ p.toGrace(1)",
  "                        } else {",
  "                            // if parameter type not listed, give it type Unknown",
  "                            if(p.wildcard) then {",
  "                                mtstr := mtstr ++ \"_\"",
  "                            } else {",
  "                                mtstr := mtstr ++ p.value",
  "                            }",
  "                            mtstr := mtstr ++ \" : \" ++ ast.unknownType.value",
  "                            if (false != p.generics) then {",
  "                                mtstr := mtstr ++ \"<\"",
  "                                for (1..(p.generics.size - 1)) do {ix ->",
  "                                    mtstr := mtstr ++ p.generics.at(ix).toGrace(1)",
  "                                }",
  "                                mtstr := mtstr ++ p.generics.last.toGrace(1) ++ \">\"",
  "                            }",
  "                        }",
  "                        if (pnr < part.params.size) then {",
  "                            mtstr := mtstr ++ \", \"",
  "                        }",
  "                    }",
  "                    mtstr := mtstr ++ \")\"",
  "                }",
  "            }",
  "            if (meth.rtype != false) then {",
  "                mtstr := mtstr ++ \" -> \" ++ meth.rtype.toGrace(1)",
  "            }",
  "            methodtypes.push(mtstr)",
  "        }",
  "        return false",
  "    }",
  "    method visitOp(op) {",
  "        if ((op.value==\"&\") || (op.value==\"|\")) then {",
  "            def leftkind = op.left.kind",
  "            def rightkind = op.right.kind",
  "            if ((leftkind==\"identifier\") || (leftkind==\"member\")) then {",
  "                var typeIdent := op.left.toGrace(0)",
  "                methodtypes.push(\"{op.value} {typeIdent}\")",
  "            } elseif { leftkind==\"typeliteral\" } then {",
  "                literalCount := literalCount + 1",
  "                methodtypes.push(\"{op.value} {literalCount}\")",
  "                visitTypeLiteral(op.left)",
  "            } elseif { leftkind==\"op\" } then {",
  "                visitOp(op.left)",
  "            }",
  "            if ((rightkind==\"identifier\") || (rightkind==\"member\")) then {",
  "                var typeIdent := op.right.toGrace(0)",
  "                methodtypes.push(\"{op.value} {typeIdent}\")",
  "            } elseif { rightkind==\"typeliteral\" } then {",
  "                literalCount := literalCount + 1",
  "                methodtypes.push(\"{op.value} {literalCount}\")",
  "                visitTypeLiteral(op.right)",
  "            } elseif { rightkind==\"op\" } then {",
  "                visitOp(op.right)",
  "            }",
  "        }",
  "        return false",
  "    }",
  "}",
  "method generateGctForModule(moduleObject) is confidential {",
  "    def gct = buildGctFor(moduleObject)",
  "    addFreshMethodsOf (moduleObject) to (gct)",
  "    return gct",
  "}",
  "",
  "method buildGctFor(module) {",
  "    def gct = emptyDictionary",
  "    def classes = emptyList",
  "    def confidentials = emptyList",
  "    def meths = emptyList",
  "    def types = emptyList",
  "    var theDialect := false",
  "    module.parentsDo { p ->",
  "        meths.addAll(p.providedNames)",
  "    }",
  "    for (module.value) do { v->",
  "        if (v.kind == \"vardec\") then {",
  "            if (v.isReadable) then {",
  "                meths.push(v.name.value)",
  "            }",
  "            if (v.isWritable) then {",
  "                meths.push(v.name.value ++ \":=\")",
  "            }",
  "        } elseif {v.kind == \"method\"} then {",
  "            if (v.isPublic) then {",
  "                meths.push(v.nameString)",
  "            } else {",
  "                confidentials.push(v.nameString)",
  "            }",
  "        } elseif {v.kind == \"typedec\"} then {",
  "            if (v.isPublic) then {",
  "                meths.push(v.nameString)",
  "                types.push(v.name.value)",
  "                methodtypes := [ ]",
  "                v.accept(typeVisitor)",
  "                var typename := v.name.toGrace(0)",
  "                if (v.typeParams != false) then {",
  "                    typename := typename ++ v.typeParams",
  "                }",
  "                gct.at \"methodtypes-of:{typename}\" put(methodtypes)",
  "            } else {",
  "                confidentials.push(v.nameString)",
  "            }",
  "        } elseif {v.kind == \"defdec\"} then {",
  "            if (v.isPublic) then {",
  "                meths.push(v.nameString)",
  "            }",
  "            if (ast.findAnnotation(v, \"parent\")) then {",
  "                v.scope.elements.keysDo { m -> meths.push(m) }",
  "            }",
  "            if (v.returnsObject) then {",
  "                def ob = v.value",
  "                def obConstructors = [ ]",
  "                for (ob.value) do {nd->",
  "                    if (nd.isClass) then {",
  "                        def factMethNm = nd.nameString",
  "                        obConstructors.push(factMethNm)",
  "                        def exportedMethods = emptyList",
  "                        ob.scope.getScope(factMethNm).keysAndKindsDo { key, knd ->",
  "                            if (knd.forGct) then { exportedMethods.add(key) }",
  "                        }",
  "                        gct.at \"methods-of:{v.name.value}.{factMethNm}\"",
  "                            put(exportedMethods.sort)",
  "                    }",
  "                }",
  "                if (obConstructors.size > 0) then {",
  "                    gct.at \"constructors-of:{v.name.value}\"",
  "                        put(obConstructors)",
  "                    classes.push(v.name.value)",
  "                }",
  "            }",
  "        } elseif { v.kind == \"dialect\" } then {",
  "            theDialect := v.value",
  "        }",
  "    }",
  "    gct.at \"classes\" put(classes.sort)",
  "    gct.at \"confidential\" put(confidentials.sort)",
  "    gct.at \"modules\" put(module.imports.asList.sorted)",
  "    gct.at \"path\" put [module.name]",
  "    gct.at \"public\" put(meths.sort)",
  "    gct.at \"types\" put(types.sort)",
  "    if (false != theDialect) then {",
  "        gct.at \"dialect\" put [theDialect]",
  "    }",
  "    gct",
  "}",
  "",
  "method addFreshMethodsOf (moduleObject) to (gct) is confidential {",
  "    // adds information about the methods made available via fresh methods.",
  "    // This is done in a separate pass after public information is in the gct,",
  "    // because of the special treatment of prelude.clone",
  "    // TODO: doesn't this just duplicate what's in 'classes' ? No: 'classes'",
  "    // lists only classes declared inside a def'd object constructer.",
  "    def freshmeths = [ ]",
  "    for (moduleObject.value) do { node->",
  "        if (node.isClass) then {",
  "            addFreshMethod (node) to (freshmeths) for (gct)",
  "        }",
  "    }",
  "    gct.at \"fresh-methods\" put(freshmeths)",
  "}",
  "",
  "method addFreshMethod (node) to (freshlist) for (gct) is confidential {",
  "    def methName = node.nameString",
  "    freshlist.push(methName)",
  "    def freshMethExpression = node.body.last",
  "    if (freshMethExpression.isObject) then {",
  "        def exportedMethods = emptyList",
  "        freshMethExpression.scope.keysAndKindsDo { key, knd ->",
  "            if (knd.forGct) then { exportedMethods.add(key) }",
  "        }",
  "        gct.at \"fresh:{methName}\" put (exportedMethods.sort)",
  "    } elseif {freshMethExpression.isCall} then {",
  "        // this deals with the two special cases, defined in",
  "        // ast.callNode.returnsObject.  The freshMethExpression must",
  "        // be a request of self.copy or prelude.clone(_)",
  "        def requestedName = freshMethExpression.nameString",
  "        if (requestedName == \"copy\") then {",
  "            gct.at \"fresh:{methName}\" put(gct.at \"public\")",
  "        } elseif {requestedName == \"clone(1)\"} then {",
  "            def cloneArg = freshMethExpression.with.first.args.first",
  "            if (cloneArg.isSelf) then {",
  "                gct.at \"fresh:{methName}\" put(gct.at \"public\")",
  "            } else {",
  "                gct.at \"fresh:{methName}\"",
  "                    put(gct.at \"methods-of:{cloneArg.toGrace 0}\" isAbsent {",
  "                        ProgrammingError.raise (",
  "                            \"unrecognized fresh method tail-call:\\n\" ++",
  "                              freshMethExpression.pretty(0) ++ \"\\n\" ++",
  "                                \"Can't find methods-of:{cloneArg.toGrace 0} in gct.\" )",
  "                    } )",
  "            }",
  "        } else {",
  "            // if it's not a call or an object constructor, why is it labelled as fresh?",
  "            ProgrammingError.raise",
  "                \"unrecognized fresh method tail-call: {freshMethExpression.pretty(0)}\"",
  "        }",
  "    } else {",
  "        ProgrammingError.raise",
  "            \"fresh method result of an unexpected kind: {freshMethExpression.pretty(0)}\"",
  "    }",
  "}",
  NULL
};
Object reader_xmodule_outer_2052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_xmodule_name_2053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_xmodule_name_2053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_xmodule_moduleObject_2054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_xmodule_moduleObject_2054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_xmodule_hasParseChecker_2055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_xmodule_hasParseChecker_2055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_xmodule_hasAstChecker_2056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_xmodule_hasAstChecker_2056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_xmodule_hasAtStart_2057(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_xmodule_hasAtStart_2057(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_xmodule_hasAtEnd_2058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_xmodule_hasAtEnd_2058(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_xmodule_outer_2086(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_xmodule_literalCount_2087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_xmodule_literalCount_2087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static Object strlit4;
static Object strlit11;
static Object strlit12;
static Object strlit13;
static Object strlit14;
static Object strlit15;
static Object strlit19;
static Object strlit20;
static Object strlit21;
static Object strlit22;
static Object strlit23;
static Object strlit24;
static Object strlit41;
static Object strlit54;
static Object strlit71;
static Object strlit81;
static Object strlit91;
static Object strlit101;
static Object strlit123;
static Object strlit128;
static Object strlit132;
static Object strlit143;
static Object strlit163;
static Object strlit186;
static Object strlit193;
static Object strlit199;
static Object strlit216;
static Object strlit227;
static Object strlit234;
static Object strlit240;
static Object strlit257;
static Object strlit268;
static Object strlit275;
static Object strlit281;
static Object strlit293;
static Object strlit307;
static Object strlit314;
static Object strlit321;
static Object strlit327;
static Object strlit335;
static Object strlit341;
static Object strlit357;
static Object strlit380;
static Object strlit387;
static Object strlit393;
static Object strlit410;
static Object strlit421;
static Object strlit428;
static Object strlit434;
static Object strlit451;
static Object strlit463;
static Object strlit470;
static Object strlit476;
static Object strlit488;
static Object strlit502;
static Object strlit509;
static Object strlit516;
static Object strlit522;
static Object strlit530;
static Object strlit536;
static Object strlit577;
static Object strlit580;
static Object strlit585;
static Object strlit589;
static Object strlit605;
static Object strlit610;
static Object strlit624;
static Object strlit642;
static Object strlit648;
static Object strlit653;
static Object strlit678;
static Object strlit683;
static Object strlit687;
static Object strlit717;
static Object strlit722;
static Object strlit729;
static Object strlit735;
static Object strlit758;
static Object strlit762;
static Object strlit767;
static Object strlit771;
static Object strlit788;
static Object strlit794;
static Object strlit831;
static Object strlit835;
static Object strlit847;
static Object strlit852;
static Object strlit856;
static Object strlit870;
static Object strlit876;
static Object strlit913;
static Object strlit918;
static Object strlit922;
static Object strlit936;
static Object strlit937;
static Object strlit940;
static Object strlit945;
static Object strlit949;
static Object strlit973;
static Object strlit977;
static Object strlit984;
static Object strlit999;
static Object strlit1004;
static Object strlit1008;
static Object strlit1015;
static Object strlit1019;
static Object strlit1047;
static Object strlit1051;
static Object strlit1065;
static Object strlit1082;
static Object strlit1091;
static Object strlit1097;
static Object strlit1108;
static Object strlit1118;
static Object strlit1122;
static Object strlit1127;
static Object strlit1131;
static Object strlit1145;
static Object strlit1151;
static Object strlit1165;
static Object strlit1182;
static Object strlit1189;
static Object strlit1201;
static Object strlit1209;
static Object strlit1214;
static Object strlit1223;
static Object strlit1235;
static Object strlit1240;
static Object strlit1247;
static Object strlit1251;
static Object strlit1262;
static Object strlit1266;
static Object strlit1272;
static Object strlit1274;
static Object strlit1284;
static Object strlit1289;
static Object strlit1293;
static Object strlit1315;
static Object strlit1321;
static Object strlit1330;
static Object strlit1335;
static Object strlit1340;
static Object strlit1344;
static Object strlit1357;
static Object strlit1359;
static Object strlit1381;
static Object strlit1418;
static Object strlit1423;
static Object strlit1429;
static Object strlit1434;
static Object strlit1441;
static Object strlit1447;
static Object strlit1456;
static Object strlit1460;
static Object strlit1492;
static Object strlit1498;
static Object strlit1504;
static Object strlit1515;
static Object strlit1519;
static Object strlit1574;
static Object strlit1593;
static Object strlit1603;
static Object strlit1621;
static Object strlit1663;
static Object strlit1667;
static Object strlit1677;
static Object strlit1691;
static Object strlit1740;
static Object strlit1745;
static Object strlit1753;
static Object strlit1772;
static Object strlit1780;
static Object strlit1792;
static Object strlit1803;
static Object strlit1808;
static Object strlit1813;
static Object strlit1822;
static Object strlit1828;
static Object strlit1833;
static Object strlit1843;
static Object strlit1861;
static Object strlit1891;
static Object strlit1895;
static Object strlit1908;
static Object strlit1913;
static Object strlit1917;
static Object strlit1921;
static Object strlit1926;
static Object strlit1942;
static Object strlit1946;
static Object strlit1950;
static Object strlit1955;
static Object strlit1959;
static Object strlit1964;
static Object strlit1971;
static Object strlit1979;
static Object strlit1986;
static Object strlit1991;
static Object strlit1998;
static Object strlit2010;
static Object strlit2017;
static Object strlit2025;
static Object strlit2032;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
Object module_ast;
Object module_ast_init();
Object module_mirrors;
Object module_mirrors_init();
Object module_errormessages;
Object module_errormessages_init();
Object module_unixFilePath;
Object module_unixFilePath_init();
static ClassData objclass2051;
static Object strlit2059;
static Object strlit2073;
static Object strlit2074;
static Object strlit2075;
static ClassData objclass2085;
static Object strlit2095;
static Object strlit2101;
static Object strlit2125;
static Object strlit2158;
static Object strlit2175;
static Object strlit2188;
static Object strlit2221;
static Object strlit2244;
static Object strlit2251;
static Object strlit2272;
static Object strlit2286;
static Object strlit2293;
static Object strlit2310;
static Object strlit2315;
static Object strlit2326;
static Object strlit2331;
static Object strlit2337;
static Object strlit2345;
static Object strlit2358;
static Object strlit2365;
static Object strlit2371;
static Object strlit2383;
static Object strlit2393;
static Object strlit2398;
static Object strlit2409;
static Object strlit2414;
static Object strlit2420;
static Object strlit2428;
static Object strlit2441;
static Object strlit2448;
static Object strlit2454;
static Object strlit2466;
Object meth_xmodule_builtInModules1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "builtInModules");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4 == NULL) {
    strlit4 = alloc_String("c");
    gc_root(strlit4);
  }
// compiled string node returning strlit4 (depth = 4)
  int op_slot_right_3 = gc_frame_newslot(strlit4);
// starting to compile member node (depth = 4)
  int callframe6 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call7 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe6);
// compiled member node returning call7 (depth = 4)
  int op_slot_left_3 = gc_frame_newslot(call7);
  params[0] = strlit4;
  partcv[0] = 1;
  Object opresult8 = callmethod(call7, "==(1)", 1, partcv, params);
// compiled op node returning opresult8 (depth = 3)
  Object if2 = done;
  if (istrue(opresult8)) {
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9 = gc_frame_new();
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array10 = alloc_BuiltinList();
  gc_pause();
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit11 == NULL) {
    strlit11 = alloc_String("sys");
    gc_root(strlit11);
  }
// compiled string node returning strlit11 (depth = 5)
  params[0] = strlit11;
  partcv[0] = 1;
  callmethodflags(array10, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit12 == NULL) {
    strlit12 = alloc_String("io");
    gc_root(strlit12);
  }
// compiled string node returning strlit12 (depth = 5)
  params[0] = strlit12;
  partcv[0] = 1;
  callmethodflags(array10, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit13 == NULL) {
    strlit13 = alloc_String("imports");
    gc_root(strlit13);
  }
// compiled string node returning strlit13 (depth = 5)
  params[0] = strlit13;
  partcv[0] = 1;
  callmethodflags(array10, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit14 == NULL) {
    strlit14 = alloc_String("standardGrace");
    gc_root(strlit14);
  }
// compiled string node returning strlit14 (depth = 5)
  params[0] = strlit14;
  partcv[0] = 1;
  callmethodflags(array10, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit15 == NULL) {
    strlit15 = alloc_String("collectionsPrelude");
    gc_root(strlit15);
  }
// compiled string node returning strlit15 (depth = 5)
  params[0] = strlit15;
  partcv[0] = 1;
  callmethodflags(array10, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array10 (depth = 4)
  gc_frame_newslot(array10);
// call case 5: prelude request
  params[0] = array10;
  partcv[0] = 1;
  Object call16 = callmethodflags(prelude, "list(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9);
// compiled call node returning call16 (depth = 3)
    gc_frame_newslot(call16);
    if2 = call16;
  } else {
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe17 = gc_frame_new();
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array18 = alloc_BuiltinList();
  gc_pause();
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit19 == NULL) {
    strlit19 = alloc_String("imports");
    gc_root(strlit19);
  }
// compiled string node returning strlit19 (depth = 5)
  params[0] = strlit19;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit20 == NULL) {
    strlit20 = alloc_String("io");
    gc_root(strlit20);
  }
// compiled string node returning strlit20 (depth = 5)
  params[0] = strlit20;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit21 == NULL) {
    strlit21 = alloc_String("mirrors");
    gc_root(strlit21);
  }
// compiled string node returning strlit21 (depth = 5)
  params[0] = strlit21;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit22 == NULL) {
    strlit22 = alloc_String("sys");
    gc_root(strlit22);
  }
// compiled string node returning strlit22 (depth = 5)
  params[0] = strlit22;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit23 == NULL) {
    strlit23 = alloc_String("unicode");
    gc_root(strlit23);
  }
// compiled string node returning strlit23 (depth = 5)
  params[0] = strlit23;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit24 == NULL) {
    strlit24 = alloc_String("util");
    gc_root(strlit24);
  }
// compiled string node returning strlit24 (depth = 5)
  params[0] = strlit24;
  partcv[0] = 1;
  callmethodflags(array18, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array18 (depth = 4)
  gc_frame_newslot(array18);
// call case 5: prelude request
  params[0] = array18;
  partcv[0] = 1;
  Object call25 = callmethodflags(prelude, "list(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe17);
// compiled call node returning call25 (depth = 3)
    gc_frame_newslot(call25);
    if2 = call25;
  }
// compiled if node returning if2 (depth = 2)
  gc_frame_end(frame);
  return if2;
}
Object meth_xmodule__apply_40_1_41_68(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_m = &(stackframe->slots[0]);
  *var_m = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit71 == NULL) {
    strlit71 = alloc_String("parseChecker(1)");
    gc_root(strlit71);
  }
// compiled string node returning strlit71 (depth = 12)
  int op_slot_right_70 = gc_frame_newslot(strlit71);
// starting to compile member node (depth = 12)
  int callframe73 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_m (depth = 13)
  Object call74 = callmethodflags(*var_m, "name", 0, partcv, params, 0);
  gc_frame_end(callframe73);
// compiled member node returning call74 (depth = 12)
  int op_slot_left_70 = gc_frame_newslot(call74);
  params[0] = strlit71;
  partcv[0] = 1;
  Object opresult75 = callmethod(call74, "==(1)", 1, partcv, params);
// compiled op node returning opresult75 (depth = 11)
  Object if69 = done;
  if (istrue(opresult75)) {
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe76 = gc_frame_new();
// starting to compile identifier node (depth = 12)
  Object bool77 = alloc_Boolean(1);
// compiled identifier node returning bool77 (depth = 12)
  gc_frame_newslot(bool77);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_currentDialect (depth = 12)
  params[0] = bool77;
  partcv[0] = 1;
  Object call78 = callmethodflags(*var_currentDialect, "hasParseChecker:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe76);
// compiled call node returning call78 (depth = 11)
    gc_frame_newslot(call78);
    if69 = call78;
  } else {
  }
// compiled if node returning if69 (depth = 10)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit81 == NULL) {
    strlit81 = alloc_String("astChecker(1)");
    gc_root(strlit81);
  }
// compiled string node returning strlit81 (depth = 12)
  int op_slot_right_80 = gc_frame_newslot(strlit81);
// starting to compile member node (depth = 12)
  int callframe83 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_m (depth = 13)
  Object call84 = callmethodflags(*var_m, "name", 0, partcv, params, 0);
  gc_frame_end(callframe83);
// compiled member node returning call84 (depth = 12)
  int op_slot_left_80 = gc_frame_newslot(call84);
  params[0] = strlit81;
  partcv[0] = 1;
  Object opresult85 = callmethod(call84, "==(1)", 1, partcv, params);
// compiled op node returning opresult85 (depth = 11)
  Object if79 = done;
  if (istrue(opresult85)) {
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe86 = gc_frame_new();
// starting to compile identifier node (depth = 12)
  Object bool87 = alloc_Boolean(1);
// compiled identifier node returning bool87 (depth = 12)
  gc_frame_newslot(bool87);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_currentDialect (depth = 12)
  params[0] = bool87;
  partcv[0] = 1;
  Object call88 = callmethodflags(*var_currentDialect, "hasAstChecker:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe86);
// compiled call node returning call88 (depth = 11)
    gc_frame_newslot(call88);
    if79 = call88;
  } else {
  }
// compiled if node returning if79 (depth = 10)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit91 == NULL) {
    strlit91 = alloc_String("atEnd(1)");
    gc_root(strlit91);
  }
// compiled string node returning strlit91 (depth = 12)
  int op_slot_right_90 = gc_frame_newslot(strlit91);
// starting to compile member node (depth = 12)
  int callframe93 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_m (depth = 13)
  Object call94 = callmethodflags(*var_m, "name", 0, partcv, params, 0);
  gc_frame_end(callframe93);
// compiled member node returning call94 (depth = 12)
  int op_slot_left_90 = gc_frame_newslot(call94);
  params[0] = strlit91;
  partcv[0] = 1;
  Object opresult95 = callmethod(call94, "==(1)", 1, partcv, params);
// compiled op node returning opresult95 (depth = 11)
  Object if89 = done;
  if (istrue(opresult95)) {
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe96 = gc_frame_new();
// starting to compile identifier node (depth = 12)
  Object bool97 = alloc_Boolean(1);
// compiled identifier node returning bool97 (depth = 12)
  gc_frame_newslot(bool97);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_currentDialect (depth = 12)
  params[0] = bool97;
  partcv[0] = 1;
  Object call98 = callmethodflags(*var_currentDialect, "hasAtEnd:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe96);
// compiled call node returning call98 (depth = 11)
    gc_frame_newslot(call98);
    if89 = call98;
  } else {
  }
// compiled if node returning if89 (depth = 10)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit101 == NULL) {
    strlit101 = alloc_String("atStart(1)");
    gc_root(strlit101);
  }
// compiled string node returning strlit101 (depth = 12)
  int op_slot_right_100 = gc_frame_newslot(strlit101);
// starting to compile member node (depth = 12)
  int callframe103 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_m (depth = 13)
  Object call104 = callmethodflags(*var_m, "name", 0, partcv, params, 0);
  gc_frame_end(callframe103);
// compiled member node returning call104 (depth = 12)
  int op_slot_left_100 = gc_frame_newslot(call104);
  params[0] = strlit101;
  partcv[0] = 1;
  Object opresult105 = callmethod(call104, "==(1)", 1, partcv, params);
// compiled op node returning opresult105 (depth = 11)
  Object if99 = done;
  if (istrue(opresult105)) {
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe106 = gc_frame_new();
// starting to compile identifier node (depth = 12)
  Object bool107 = alloc_Boolean(1);
// compiled identifier node returning bool107 (depth = 12)
  gc_frame_newslot(bool107);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_currentDialect (depth = 12)
  params[0] = bool107;
  partcv[0] = 1;
  Object call108 = callmethodflags(*var_currentDialect, "hasAtStart:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe106);
// compiled call node returning call108 (depth = 11)
    gc_frame_newslot(call108);
    if99 = call108;
  } else {
  }
// compiled if node returning if99 (depth = 10)
  gc_frame_end(frame);
  return if99;
}
Object meth_xmodule__apply45(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_node = getfromclosure(closure, 0);
  Object *var_mirrors = getfromclosure(closure, 1);
  Object *var_currentDialect = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dobj = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "dobj");
  Object *var_mths = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "mths");
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe46 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe47 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_node (depth = 10)
  Object call48 = callmethodflags(*var_node, "path", 0, partcv, params, 0);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 9)
  gc_frame_newslot(call48);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mirrors (depth = 9)
  params[0] = call48;
  partcv[0] = 1;
  Object call49 = callmethodflags(*var_mirrors, "loadDynamicModule(1)", 1, partcv, params, 0);
  gc_frame_end(callframe46);
// compiled call node returning call49 (depth = 8)
  *var_dobj = call49;
  if (call49 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe50 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_dobj (depth = 8)
  gc_frame_newslot(*var_dobj);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_currentDialect (depth = 8)
  params[0] = *var_dobj;
  partcv[0] = 1;
  Object call51 = callmethodflags(*var_currentDialect, "moduleObject:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe50);
// compiled call node returning call51 (depth = 7)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe53 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit54 == NULL) {
    strlit54 = alloc_String("thisDialect");
    gc_root(strlit54);
  }
// compiled string node returning strlit54 (depth = 9)
  gc_frame_newslot(strlit54);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe55 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe56 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_dobj (depth = 11)
  gc_frame_newslot(*var_dobj);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mirrors (depth = 11)
  params[0] = *var_dobj;
  partcv[0] = 1;
  Object call57 = callmethodflags(*var_mirrors, "reflect(1)", 1, partcv, params, 0);
  gc_frame_end(callframe56);
// compiled call node returning call57 (depth = 10)
  Object call58 = callmethodflags(call57, "methodNames", 0, partcv, params, 0);
  gc_frame_end(callframe55);
// compiled member node returning call58 (depth = 9)
  params[0] = strlit54;
  partcv[0] = 1;
  Object call59 = callmethodflags(call58, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe53);
// compiled call node returning call59 (depth = 8)
  Object if52 = done;
  if (istrue(call59)) {
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe60 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe61 = gc_frame_new();
// starting to compile member node (depth = 11)
  int callframe62 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_dobj (depth = 12)
  Object call63 = callmethodflags(*var_dobj, "thisDialect", 0, partcv, params, 0);
  gc_frame_end(callframe62);
// compiled member node returning call63 (depth = 11)
  gc_frame_newslot(call63);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mirrors (depth = 11)
  params[0] = call63;
  partcv[0] = 1;
  Object call64 = callmethodflags(*var_mirrors, "reflect(1)", 1, partcv, params, 0);
  gc_frame_end(callframe61);
// compiled call node returning call64 (depth = 10)
  Object call65 = callmethodflags(call64, "methods", 0, partcv, params, 0);
  gc_frame_end(callframe60);
// compiled member node returning call65 (depth = 9)
  *var_mths = call65;
  if (call65 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe66 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mths (depth = 9)
  gc_frame_newslot(*var_mths);
// starting to compile block node (depth = 9)
  Object block67 = alloc_Block(NULL, NULL, "xmodule", 68);
  gc_frame_newslot(block67);
// method "_apply(_)"
  block_savedest(block67);
  Object closure68 = createclosure(2, "_apply(1)");
  setclosureframe(closure68, stackframe);
  addtoclosure(closure68, var_currentDialect);
  addtoclosure(closure68, selfslot);
  struct UserObject *uo68 = (struct UserObject*)block67;
  uo68->data[0] = (Object)closure68;
  Method *meth_meth_xmodule__apply_40_1_41_68 = addmethod2pos(block67, "_apply(1)", &meth_xmodule__apply_40_1_41_68, 0);
  int argcv_meth_xmodule__apply_40_1_41_68[] = {1};
  meth_meth_xmodule__apply_40_1_41_68->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_68);
  meth_meth_xmodule__apply_40_1_41_68->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_68->definitionLine = 565;
// compiled block node returning block67 (depth = 9)
  gc_frame_newslot(block67);
// call case 5: prelude request
  params[0] = *var_mths;
  params[1] = block67;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call110 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe66);
// compiled call node returning call110 (depth = 8)
    gc_frame_newslot(call110);
    if52 = call110;
  } else {
  }
// compiled if node returning if52 (depth = 7)
  gc_frame_end(frame);
  return if52;
}
Object meth_xmodule__apply_40_1_41_113(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_node = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_nm = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe114 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe115 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call116 = callmethodflags(*var_node, "line", 0, partcv, params, 0);
  gc_frame_end(callframe115);
// compiled member node returning call116 (depth = 8)
  gc_frame_newslot(call116);
// starting to compile num node (depth = 8)
  Object num117 = alloc_Float64(1);
// compiled num node returning num117 (depth = 8)
  gc_frame_newslot(num117);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  params[0] = call116;
  params[1] = num117;
  partcv[0] = 2;
  Object call118 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe114);
// compiled call node returning call118 (depth = 7)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe119 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_e (depth = 8)
  Object call120 = callmethodflags(*var_e, "printBacktrace", 0, partcv, params, 0);
  gc_frame_end(callframe119);
// compiled member node returning call120 (depth = 7)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe121 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit123 == NULL) {
    strlit123 = alloc_String(".");
    gc_root(strlit123);
  }
// compiled string node returning strlit123 (depth = 9)
  int op_slot_right_122 = gc_frame_newslot(strlit123);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  int op_slot_right_125 = gc_frame_newslot(*var_e);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit128 == NULL) {
    strlit128 = alloc_String("' failed to load.""\x0a""");
    gc_root(strlit128);
  }
// compiled string node returning strlit128 (depth = 11)
  int op_slot_right_127 = gc_frame_newslot(strlit128);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nm (depth = 12)
  int op_slot_right_130 = gc_frame_newslot(*var_nm);
// starting to compile string node (depth = 12)
  if (strlit132 == NULL) {
    strlit132 = alloc_String("Dialect error: dialect '");
    gc_root(strlit132);
  }
// compiled string node returning strlit132 (depth = 12)
  int op_slot_left_130 = gc_frame_newslot(strlit132);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult133 = callmethod(strlit132, "++(1)", 1, partcv, params);
// compiled op node returning opresult133 (depth = 11)
  int op_slot_left_127 = gc_frame_newslot(opresult133);
  params[0] = strlit128;
  partcv[0] = 1;
  Object opresult134 = callmethod(opresult133, "++(1)", 1, partcv, params);
// compiled op node returning opresult134 (depth = 10)
  int op_slot_left_125 = gc_frame_newslot(opresult134);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult135 = callmethod(opresult134, "++(1)", 1, partcv, params);
// compiled op node returning opresult135 (depth = 9)
  int op_slot_left_122 = gc_frame_newslot(opresult135);
  params[0] = strlit123;
  partcv[0] = 1;
  Object opresult136 = callmethod(opresult135, "++(1)", 1, partcv, params);
// compiled op node returning opresult136 (depth = 8)
  gc_frame_newslot(opresult136);
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe137 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call138 = callmethodflags(*var_node, "line", 0, partcv, params, 0);
  gc_frame_end(callframe137);
// compiled member node returning call138 (depth = 8)
  gc_frame_newslot(call138);
// call case 6: other requests
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult136;
  params[1] = call138;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call139 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe121);
// compiled call node returning call139 (depth = 7)
  gc_frame_end(frame);
  return call139;
}
Object meth_xmodule__apply_40_1_41_29(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_mirrors = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_done = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nm = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nm");
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe31 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_node (depth = 6)
  Object call32 = callmethodflags(*var_node, "isDialect", 0, partcv, params, 0);
  gc_frame_end(callframe31);
// compiled member node returning call32 (depth = 5)
  Object if30 = done;
  if (istrue(call32)) {
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe33 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_node (depth = 7)
  Object call34 = callmethodflags(*var_node, "moduleName", 0, partcv, params, 0);
  gc_frame_end(callframe33);
// compiled member node returning call34 (depth = 6)
  *var_nm = call34;
  if (call34 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe35 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nm (depth = 6)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currentDialect (depth = 6)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call36 = callmethodflags(*var_currentDialect, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe35);
// compiled call node returning call36 (depth = 5)
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe37 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_node (depth = 6)
  gc_frame_newslot(*var_node);
// call case 4: self request
  params[0] = *var_node;
  partcv[0] = 1;
  Object call38 = callmethodflags(self, "checkExternalModule(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe37);
// compiled call node returning call38 (depth = 5)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe39 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num40 = alloc_Float64(50);
// compiled num node returning num40 (depth = 6)
  gc_frame_newslot(num40);
// starting to compile string node (depth = 6)
  if (strlit41 == NULL) {
    strlit41 = alloc_String("loading dialect for checkers.");
    gc_root(strlit41);
  }
// compiled string node returning strlit41 (depth = 6)
  gc_frame_newslot(strlit41);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  params[0] = num40;
  params[1] = strlit41;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call42 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe39);
// compiled call node returning call42 (depth = 5)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 5)
// starting to compile block node (depth = 6)
  Object block44 = alloc_Block(NULL, NULL, "xmodule", 63);
  gc_frame_newslot(block44);
// method "_apply"
  block_savedest(block44);
  Object closure45 = createclosure(4, "_apply");
  setclosureframe(closure45, stackframe);
  addtoclosure(closure45, var_node);
  addtoclosure(closure45, var_mirrors);
  addtoclosure(closure45, var_currentDialect);
  addtoclosure(closure45, selfslot);
  struct UserObject *uo45 = (struct UserObject*)block44;
  uo45->data[0] = (Object)closure45;
  Method *meth_meth_xmodule__apply45 = addmethod2pos(block44, "_apply", &meth_xmodule__apply45, 0);
  int argcv_meth_xmodule__apply45[] = {0};
  meth_meth_xmodule__apply45->type = alloc_MethodType(1, argcv_meth_xmodule__apply45);
  meth_meth_xmodule__apply45->definitionModule = modulename;
  meth_meth_xmodule__apply45->definitionLine = 565;
// compiled block node returning block44 (depth = 6)
  int frame43 = gc_frame_new();
  gc_frame_newslot(block44);
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 6)
  Object block112 = alloc_Block(NULL, NULL, "xmodule", 83);
  gc_frame_newslot(block112);
// method "_apply(_)"
  block_savedest(block112);
  Object closure113 = createclosure(5, "_apply(1)");
  setclosureframe(closure113, stackframe);
  addtoclosure(closure113, var_node);
  addtoclosure(closure113, var_util);
  addtoclosure(closure113, var_nm);
  addtoclosure(closure113, var_errormessages);
  addtoclosure(closure113, selfslot);
  struct UserObject *uo113 = (struct UserObject*)block112;
  uo113->data[0] = (Object)closure113;
  Method *meth_meth_xmodule__apply_40_1_41_113 = addmethod2pos(block112, "_apply(1)", &meth_xmodule__apply_40_1_41_113, 0);
  int argcv_meth_xmodule__apply_40_1_41_113[] = {1};
  meth_meth_xmodule__apply_40_1_41_113->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_113);
  meth_meth_xmodule__apply_40_1_41_113->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_113->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe141 = gc_frame_new();
// starting to compile call node (depth = 8)
  int callframe142 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit143 == NULL) {
    strlit143 = alloc_String("e");
    gc_root(strlit143);
  }
// compiled string node returning strlit143 (depth = 9)
  gc_frame_newslot(strlit143);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe144 = gc_frame_new();
// call case 5: prelude request
  Object call145 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe144);
// compiled member node returning call145 (depth = 9)
  params[0] = strlit143;
  partcv[0] = 1;
  Object call146 = callmethodflags(call145, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe142);
// compiled call node returning call146 (depth = 8)
  gc_frame_newslot(call146);
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe147 = gc_frame_new();
// call case 5: prelude request
  Object call148 = callmethodflags(prelude, "RuntimeError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe147);
// compiled member node returning call148 (depth = 8)
  gc_frame_newslot(call148);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe149 = gc_frame_new();
// call case 5: prelude request
  Object call150 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe149);
// compiled member node returning call150 (depth = 8)
  params[0] = call146;
  params[1] = call148;
  partcv[0] = 2;
  Object call151 = callmethodflags(call150, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe141);
// compiled call node returning call151 (depth = 7)
((struct UserObject *)block112)->data[1] = call151;
// compiled block node returning block112 (depth = 6)
  gc_frame_newslot(block112);
  params[0] = block112;
  setline(63);
  Object catchres43 = tryCatch(block44, params, 1,NULL);
  gc_frame_end(frame43);
// compiled trycatch node returning catchres43 (depth = 5)
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_done (depth = 6)
  block_return(realself, *var_done);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if30 = undefined;
  } else {
  }
// compiled if node returning if30 (depth = 4)
  gc_frame_end(frame);
  return if30;
}
Object meth_xmodule_checkDialect_40_1_41_26(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkDialect(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkDialect(_)");
  Object params[1];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_mirrors = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_done = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkDialect(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleObject = &(stackframe->slots[0]);
  *var_moduleObject = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkDialect(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe27 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block28 = alloc_Block(NULL, NULL, "xmodule", 57);
  gc_frame_newslot(block28);
// method "_apply(_)"
  block_savedest(block28);
  Object closure29 = createclosure(6, "_apply(1)");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_currentDialect);
  addtoclosure(closure29, var_util);
  addtoclosure(closure29, var_mirrors);
  addtoclosure(closure29, var_errormessages);
  addtoclosure(closure29, var_done);
  addtoclosure(closure29, selfslot);
  struct UserObject *uo29 = (struct UserObject*)block28;
  uo29->data[0] = (Object)closure29;
  Method *meth_meth_xmodule__apply_40_1_41_29 = addmethod2pos(block28, "_apply(1)", &meth_xmodule__apply_40_1_41_29, 0);
  int argcv_meth_xmodule__apply_40_1_41_29[] = {1};
  meth_meth_xmodule__apply_40_1_41_29->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_29);
  meth_meth_xmodule__apply_40_1_41_29->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_29->definitionLine = 565;
// compiled block node returning block28 (depth = 3)
  gc_frame_newslot(block28);
// call case 6: other requests
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe153 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  Object call154 = callmethodflags(*var_moduleObject, "value", 0, partcv, params, 0);
  gc_frame_end(callframe153);
// compiled member node returning call154 (depth = 3)
  params[0] = block28;
  partcv[0] = 1;
  Object call155 = callmethodflags(call154, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe27);
// compiled call node returning call155 (depth = 2)
  gc_frame_end(frame);
  return call155;
}
Object meth_xmodule__apply169(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleNode = getfromclosure(closure, 0);
  Object *var_currentDialect = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe170 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleNode (depth = 5)
  gc_frame_newslot(*var_moduleNode);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe171 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe172 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_currentDialect (depth = 7)
  Object call173 = callmethodflags(*var_currentDialect, "moduleObject", 0, partcv, params, 0);
  gc_frame_end(callframe172);
// compiled member node returning call173 (depth = 6)
  Object call174 = callmethodflags(call173, "thisDialect", 0, partcv, params, 0);
  gc_frame_end(callframe171);
// compiled member node returning call174 (depth = 5)
  params[0] = *var_moduleNode;
  partcv[0] = 1;
  Object call175 = callmethodflags(call174, "parseChecker(1)", 1, partcv, params, 0);
  gc_frame_end(callframe170);
// compiled call node returning call175 (depth = 4)
  gc_frame_end(frame);
  return call175;
}
Object meth_xmodule__apply_40_1_41_183(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[2];
  Object *var_e = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_lp = &(stackframe->slots[0]);
  *var_lp = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe184 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit186 == NULL) {
    strlit186 = alloc_String(".");
    gc_root(strlit186);
  }
// compiled string node returning strlit186 (depth = 8)
  int op_slot_right_185 = gc_frame_newslot(strlit186);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe189 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call190 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe189);
// compiled member node returning call190 (depth = 9)
  int op_slot_right_188 = gc_frame_newslot(call190);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit193 == NULL) {
    strlit193 = alloc_String(": ");
    gc_root(strlit193);
  }
// compiled string node returning strlit193 (depth = 10)
  int op_slot_right_192 = gc_frame_newslot(strlit193);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe196 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_e (depth = 12)
  Object call197 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe196);
// compiled member node returning call197 (depth = 11)
  int op_slot_right_195 = gc_frame_newslot(call197);
// starting to compile string node (depth = 11)
  if (strlit199 == NULL) {
    strlit199 = alloc_String("");
    gc_root(strlit199);
  }
// compiled string node returning strlit199 (depth = 11)
  int op_slot_left_195 = gc_frame_newslot(strlit199);
  params[0] = call197;
  partcv[0] = 1;
  Object opresult200 = callmethod(strlit199, "++(1)", 1, partcv, params);
// compiled op node returning opresult200 (depth = 10)
  int op_slot_left_192 = gc_frame_newslot(opresult200);
  params[0] = strlit193;
  partcv[0] = 1;
  Object opresult201 = callmethod(opresult200, "++(1)", 1, partcv, params);
// compiled op node returning opresult201 (depth = 9)
  int op_slot_left_188 = gc_frame_newslot(opresult201);
  params[0] = call190;
  partcv[0] = 1;
  Object opresult202 = callmethod(opresult201, "++(1)", 1, partcv, params);
// compiled op node returning opresult202 (depth = 8)
  int op_slot_left_185 = gc_frame_newslot(opresult202);
  params[0] = strlit186;
  partcv[0] = 1;
  Object opresult203 = callmethod(opresult202, "++(1)", 1, partcv, params);
// compiled op node returning opresult203 (depth = 7)
  gc_frame_newslot(opresult203);
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe204 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe205 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call206 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe205);
// compiled member node returning call206 (depth = 8)
  Object call207 = callmethodflags(call206, "line", 0, partcv, params, 0);
  gc_frame_end(callframe204);
// compiled member node returning call207 (depth = 7)
  gc_frame_newslot(call207);
// starting to compile member node (depth = 7)
  int callframe208 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe209 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call210 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe209);
// compiled member node returning call210 (depth = 8)
  Object call211 = callmethodflags(call210, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe208);
// compiled member node returning call211 (depth = 7)
  gc_frame_newslot(call211);
// call case 6: other requests
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult203;
  params[1] = call207;
  params[2] = call211;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call212 = callmethodflags(*var_errormessages, "error(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe184);
// compiled call node returning call212 (depth = 6)
  gc_frame_end(frame);
  return call212;
}
Object meth_xmodule__apply_40_1_41_224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_e = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_rs = &(stackframe->slots[0]);
  *var_rs = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe225 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit227 == NULL) {
    strlit227 = alloc_String(".");
    gc_root(strlit227);
  }
// compiled string node returning strlit227 (depth = 8)
  int op_slot_right_226 = gc_frame_newslot(strlit227);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe230 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call231 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe230);
// compiled member node returning call231 (depth = 9)
  int op_slot_right_229 = gc_frame_newslot(call231);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit234 == NULL) {
    strlit234 = alloc_String(": ");
    gc_root(strlit234);
  }
// compiled string node returning strlit234 (depth = 10)
  int op_slot_right_233 = gc_frame_newslot(strlit234);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe237 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_e (depth = 12)
  Object call238 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe237);
// compiled member node returning call238 (depth = 11)
  int op_slot_right_236 = gc_frame_newslot(call238);
// starting to compile string node (depth = 11)
  if (strlit240 == NULL) {
    strlit240 = alloc_String("");
    gc_root(strlit240);
  }
// compiled string node returning strlit240 (depth = 11)
  int op_slot_left_236 = gc_frame_newslot(strlit240);
  params[0] = call238;
  partcv[0] = 1;
  Object opresult241 = callmethod(strlit240, "++(1)", 1, partcv, params);
// compiled op node returning opresult241 (depth = 10)
  int op_slot_left_233 = gc_frame_newslot(opresult241);
  params[0] = strlit234;
  partcv[0] = 1;
  Object opresult242 = callmethod(opresult241, "++(1)", 1, partcv, params);
// compiled op node returning opresult242 (depth = 9)
  int op_slot_left_229 = gc_frame_newslot(opresult242);
  params[0] = call231;
  partcv[0] = 1;
  Object opresult243 = callmethod(opresult242, "++(1)", 1, partcv, params);
// compiled op node returning opresult243 (depth = 8)
  int op_slot_left_226 = gc_frame_newslot(opresult243);
  params[0] = strlit227;
  partcv[0] = 1;
  Object opresult244 = callmethod(opresult243, "++(1)", 1, partcv, params);
// compiled op node returning opresult244 (depth = 7)
  gc_frame_newslot(opresult244);
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe245 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call246 = callmethodflags(*var_rs, "line", 0, partcv, params, 0);
  gc_frame_end(callframe245);
// compiled member node returning call246 (depth = 7)
  gc_frame_newslot(call246);
// starting to compile member node (depth = 7)
  int callframe247 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call248 = callmethodflags(*var_rs, "posStart", 0, partcv, params, 0);
  gc_frame_end(callframe247);
// compiled member node returning call248 (depth = 7)
  gc_frame_newslot(call248);
// starting to compile member node (depth = 7)
  int callframe249 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call250 = callmethodflags(*var_rs, "posEnd", 0, partcv, params, 0);
  gc_frame_end(callframe249);
// compiled member node returning call250 (depth = 7)
  gc_frame_newslot(call250);
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe251 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call252 = callmethodflags(*var_rs, "suggestions", 0, partcv, params, 0);
  gc_frame_end(callframe251);
// compiled member node returning call252 (depth = 7)
  gc_frame_newslot(call252);
// call case 6: other requests
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult244;
  params[1] = call246;
  params[2] = call248;
  params[3] = call250;
  params[4] = call252;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call253 = callmethodflags(*var_errormessages, "error(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe225);
// compiled call node returning call253 (depth = 6)
  gc_frame_end(frame);
  return call253;
}
Object meth_xmodule__apply_40_1_41_265(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_e = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe266 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit268 == NULL) {
    strlit268 = alloc_String(".");
    gc_root(strlit268);
  }
// compiled string node returning strlit268 (depth = 8)
  int op_slot_right_267 = gc_frame_newslot(strlit268);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe271 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call272 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe271);
// compiled member node returning call272 (depth = 9)
  int op_slot_right_270 = gc_frame_newslot(call272);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit275 == NULL) {
    strlit275 = alloc_String(": ");
    gc_root(strlit275);
  }
// compiled string node returning strlit275 (depth = 10)
  int op_slot_right_274 = gc_frame_newslot(strlit275);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe278 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_e (depth = 12)
  Object call279 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe278);
// compiled member node returning call279 (depth = 11)
  int op_slot_right_277 = gc_frame_newslot(call279);
// starting to compile string node (depth = 11)
  if (strlit281 == NULL) {
    strlit281 = alloc_String("");
    gc_root(strlit281);
  }
// compiled string node returning strlit281 (depth = 11)
  int op_slot_left_277 = gc_frame_newslot(strlit281);
  params[0] = call279;
  partcv[0] = 1;
  Object opresult282 = callmethod(strlit281, "++(1)", 1, partcv, params);
// compiled op node returning opresult282 (depth = 10)
  int op_slot_left_274 = gc_frame_newslot(opresult282);
  params[0] = strlit275;
  partcv[0] = 1;
  Object opresult283 = callmethod(opresult282, "++(1)", 1, partcv, params);
// compiled op node returning opresult283 (depth = 9)
  int op_slot_left_270 = gc_frame_newslot(opresult283);
  params[0] = call272;
  partcv[0] = 1;
  Object opresult284 = callmethod(opresult283, "++(1)", 1, partcv, params);
// compiled op node returning opresult284 (depth = 8)
  int op_slot_left_267 = gc_frame_newslot(opresult284);
  params[0] = strlit268;
  partcv[0] = 1;
  Object opresult285 = callmethod(opresult284, "++(1)", 1, partcv, params);
// compiled op node returning opresult285 (depth = 7)
  gc_frame_newslot(opresult285);
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe286 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call287 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe286);
// compiled member node returning call287 (depth = 7)
  gc_frame_newslot(call287);
// call case 6: other requests
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult285;
  params[1] = call287;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call288 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe266);
// compiled call node returning call288 (depth = 6)
  gc_frame_end(frame);
  return call288;
}
Object meth_xmodule__apply_40_1_41_178(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_LinePos = getfromclosure(closure, 1);
  Object *var_RangeSuggestions = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe180 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_e (depth = 6)
  Object call181 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe180);
// compiled member node returning call181 (depth = 5)
  int frame179 = gc_frame_new();
  gc_frame_newslot(call181);
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block182 = alloc_Block(NULL, NULL, "xmodule", 101);
  gc_frame_newslot(block182);
// method "_apply(_)"
  block_savedest(block182);
  Object closure183 = createclosure(3, "_apply(1)");
  setclosureframe(closure183, stackframe);
  addtoclosure(closure183, var_e);
  addtoclosure(closure183, var_errormessages);
  addtoclosure(closure183, selfslot);
  struct UserObject *uo183 = (struct UserObject*)block182;
  uo183->data[0] = (Object)closure183;
  Method *meth_meth_xmodule__apply_40_1_41_183 = addmethod2pos(block182, "_apply(1)", &meth_xmodule__apply_40_1_41_183, 0);
  int argcv_meth_xmodule__apply_40_1_41_183[] = {1};
  meth_meth_xmodule__apply_40_1_41_183->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_183);
  meth_meth_xmodule__apply_40_1_41_183->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_183->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe214 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe215 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit216 == NULL) {
    strlit216 = alloc_String("lp");
    gc_root(strlit216);
  }
// compiled string node returning strlit216 (depth = 8)
  gc_frame_newslot(strlit216);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe217 = gc_frame_new();
// call case 5: prelude request
  Object call218 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe217);
// compiled member node returning call218 (depth = 8)
  params[0] = strlit216;
  partcv[0] = 1;
  Object call219 = callmethodflags(call218, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe215);
// compiled call node returning call219 (depth = 7)
  gc_frame_newslot(call219);
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_LinePos (depth = 7)
  gc_frame_newslot(*var_LinePos);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe220 = gc_frame_new();
// call case 5: prelude request
  Object call221 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe220);
// compiled member node returning call221 (depth = 7)
  params[0] = call219;
  params[1] = *var_LinePos;
  partcv[0] = 2;
  Object call222 = callmethodflags(call221, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe214);
// compiled call node returning call222 (depth = 6)
((struct UserObject *)block182)->data[1] = call222;
// compiled block node returning block182 (depth = 5)
  gc_frame_newslot(block182);
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block223 = alloc_Block(NULL, NULL, "xmodule", 105);
  gc_frame_newslot(block223);
// method "_apply(_)"
  block_savedest(block223);
  Object closure224 = createclosure(3, "_apply(1)");
  setclosureframe(closure224, stackframe);
  addtoclosure(closure224, var_e);
  addtoclosure(closure224, var_errormessages);
  addtoclosure(closure224, selfslot);
  struct UserObject *uo224 = (struct UserObject*)block223;
  uo224->data[0] = (Object)closure224;
  Method *meth_meth_xmodule__apply_40_1_41_224 = addmethod2pos(block223, "_apply(1)", &meth_xmodule__apply_40_1_41_224, 0);
  int argcv_meth_xmodule__apply_40_1_41_224[] = {1};
  meth_meth_xmodule__apply_40_1_41_224->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_224);
  meth_meth_xmodule__apply_40_1_41_224->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_224->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe255 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe256 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit257 == NULL) {
    strlit257 = alloc_String("rs");
    gc_root(strlit257);
  }
// compiled string node returning strlit257 (depth = 8)
  gc_frame_newslot(strlit257);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe258 = gc_frame_new();
// call case 5: prelude request
  Object call259 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe258);
// compiled member node returning call259 (depth = 8)
  params[0] = strlit257;
  partcv[0] = 1;
  Object call260 = callmethodflags(call259, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe256);
// compiled call node returning call260 (depth = 7)
  gc_frame_newslot(call260);
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_RangeSuggestions (depth = 7)
  gc_frame_newslot(*var_RangeSuggestions);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe261 = gc_frame_new();
// call case 5: prelude request
  Object call262 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe261);
// compiled member node returning call262 (depth = 7)
  params[0] = call260;
  params[1] = *var_RangeSuggestions;
  partcv[0] = 2;
  Object call263 = callmethodflags(call262, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe255);
// compiled call node returning call263 (depth = 6)
((struct UserObject *)block223)->data[1] = call263;
// compiled block node returning block223 (depth = 5)
  gc_frame_newslot(block223);
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block264 = alloc_Block(NULL, NULL, "xmodule", 110);
  gc_frame_newslot(block264);
// method "_apply(_)"
  block_savedest(block264);
  Object closure265 = createclosure(4, "_apply(1)");
  setclosureframe(closure265, stackframe);
  addtoclosure(closure265, var_e);
  addtoclosure(closure265, var_util);
  addtoclosure(closure265, var_errormessages);
  addtoclosure(closure265, selfslot);
  struct UserObject *uo265 = (struct UserObject*)block264;
  uo265->data[0] = (Object)closure265;
  Method *meth_meth_xmodule__apply_40_1_41_265 = addmethod2pos(block264, "_apply(1)", &meth_xmodule__apply_40_1_41_265, 0);
  int argcv_meth_xmodule__apply_40_1_41_265[] = {1};
  meth_meth_xmodule__apply_40_1_41_265->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_265);
  meth_meth_xmodule__apply_40_1_41_265->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_265->definitionLine = 565;
// compiled block node returning block264 (depth = 5)
  gc_frame_newslot(block264);
  params[0] = block182;
  params[1] = block223;
  params[2] = block264;
  Object matchres179 = matchCase(call181, params, 3,NULL);
  gc_frame_end(frame179);
// compiled matchcase node returning matchres179 (depth = 4)
  gc_frame_end(frame);
  return matchres179;
}
Object meth_xmodule__apply_40_1_41_301(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe302 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  Object call303 = callmethodflags(*var_e, "printBacktrace", 0, partcv, params, 0);
  gc_frame_end(callframe302);
// compiled member node returning call303 (depth = 4)
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe304 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit307 == NULL) {
    strlit307 = alloc_String("");
    gc_root(strlit307);
  }
// compiled string node returning strlit307 (depth = 7)
  int op_slot_right_306 = gc_frame_newslot(strlit307);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call311 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe310);
// compiled member node returning call311 (depth = 8)
  int op_slot_right_309 = gc_frame_newslot(call311);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit314 == NULL) {
    strlit314 = alloc_String(": ");
    gc_root(strlit314);
  }
// compiled string node returning strlit314 (depth = 9)
  int op_slot_right_313 = gc_frame_newslot(strlit314);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe317 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_e (depth = 11)
  Object call318 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe317);
// compiled member node returning call318 (depth = 10)
  int op_slot_right_316 = gc_frame_newslot(call318);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit321 == NULL) {
    strlit321 = alloc_String("'.""\x0a""");
    gc_root(strlit321);
  }
// compiled string node returning strlit321 (depth = 11)
  int op_slot_right_320 = gc_frame_newslot(strlit321);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe324 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_currentDialect (depth = 13)
  Object call325 = callmethodflags(*var_currentDialect, "name", 0, partcv, params, 0);
  gc_frame_end(callframe324);
// compiled member node returning call325 (depth = 12)
  int op_slot_right_323 = gc_frame_newslot(call325);
// starting to compile string node (depth = 12)
  if (strlit327 == NULL) {
    strlit327 = alloc_String("dialect '");
    gc_root(strlit327);
  }
// compiled string node returning strlit327 (depth = 12)
  int op_slot_left_323 = gc_frame_newslot(strlit327);
  params[0] = call325;
  partcv[0] = 1;
  Object opresult328 = callmethod(strlit327, "++(1)", 1, partcv, params);
// compiled op node returning opresult328 (depth = 11)
  int op_slot_left_320 = gc_frame_newslot(opresult328);
  params[0] = strlit321;
  partcv[0] = 1;
  Object opresult329 = callmethod(opresult328, "++(1)", 1, partcv, params);
// compiled op node returning opresult329 (depth = 10)
  int op_slot_left_316 = gc_frame_newslot(opresult329);
  params[0] = call318;
  partcv[0] = 1;
  Object opresult330 = callmethod(opresult329, "++(1)", 1, partcv, params);
// compiled op node returning opresult330 (depth = 9)
  int op_slot_left_313 = gc_frame_newslot(opresult330);
  params[0] = strlit314;
  partcv[0] = 1;
  Object opresult331 = callmethod(opresult330, "++(1)", 1, partcv, params);
// compiled op node returning opresult331 (depth = 8)
  int op_slot_left_309 = gc_frame_newslot(opresult331);
  params[0] = call311;
  partcv[0] = 1;
  Object opresult332 = callmethod(opresult331, "++(1)", 1, partcv, params);
// compiled op node returning opresult332 (depth = 7)
  int op_slot_left_306 = gc_frame_newslot(opresult332);
  params[0] = strlit307;
  partcv[0] = 1;
  Object opresult333 = callmethod(opresult332, "++(1)", 1, partcv, params);
// compiled op node returning opresult333 (depth = 6)
  int op_slot_right_305 = gc_frame_newslot(opresult333);
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit335 == NULL) {
    strlit335 = alloc_String("Unexpected exception raised by parse checker for ");
    gc_root(strlit335);
  }
// compiled string node returning strlit335 (depth = 6)
  int op_slot_left_305 = gc_frame_newslot(strlit335);
  params[0] = opresult333;
  partcv[0] = 1;
  Object opresult336 = callmethod(strlit335, "++(1)", 1, partcv, params);
// compiled op node returning opresult336 (depth = 5)
  gc_frame_newslot(opresult336);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult336;
  partcv[0] = 1;
  Object call337 = callmethodflags(*var_errormessages, "error(1)", 1, partcv, params, 0);
  gc_frame_end(callframe304);
// compiled call node returning call337 (depth = 4)
  gc_frame_end(frame);
  return call337;
}
Object meth_xmodule_doParseCheck_40_1_41_156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doParseCheck(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method doParseCheck(_)");
  Object params[2];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_LinePos = getfromclosure(closure, 3);
  Object *var_RangeSuggestions = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for doParseCheck(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleNode = &(stackframe->slots[0]);
  *var_moduleNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part doParseCheck(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_CheckerFailure = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "CheckerFailure");
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe158 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe159 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_currentDialect (depth = 5)
  Object call160 = callmethodflags(*var_currentDialect, "hasParseChecker", 0, partcv, params, 0);
  gc_frame_end(callframe159);
// compiled member node returning call160 (depth = 4)
  Object call161 = callmethodflags(call160, "not", 0, partcv, params, 0);
  gc_frame_end(callframe158);
// compiled member node returning call161 (depth = 3)
  Object if157 = done;
  if (istrue(call161)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if157 = undefined;
  } else {
  }
// compiled if node returning if157 (depth = 2)
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe162 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit163 == NULL) {
    strlit163 = alloc_String("CheckerFailure");
    gc_root(strlit163);
  }
// compiled string node returning strlit163 (depth = 4)
  gc_frame_newslot(strlit163);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe164 = gc_frame_new();
// call case 5: prelude request
  Object call165 = callmethodflags(prelude, "Exception", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 4)
  params[0] = strlit163;
  partcv[0] = 1;
  Object call166 = callmethodflags(call165, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe162);
// compiled call node returning call166 (depth = 3)
  *var_CheckerFailure = call166;
  if (call166 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block168 = alloc_Block(NULL, NULL, "xmodule", 97);
  gc_frame_newslot(block168);
// method "_apply"
  block_savedest(block168);
  Object closure169 = createclosure(3, "_apply");
  setclosureframe(closure169, stackframe);
  addtoclosure(closure169, var_moduleNode);
  addtoclosure(closure169, var_currentDialect);
  addtoclosure(closure169, selfslot);
  struct UserObject *uo169 = (struct UserObject*)block168;
  uo169->data[0] = (Object)closure169;
  Method *meth_meth_xmodule__apply169 = addmethod2pos(block168, "_apply", &meth_xmodule__apply169, 0);
  int argcv_meth_xmodule__apply169[] = {0};
  meth_meth_xmodule__apply169->type = alloc_MethodType(1, argcv_meth_xmodule__apply169);
  meth_meth_xmodule__apply169->definitionModule = modulename;
  meth_meth_xmodule__apply169->definitionLine = 565;
// compiled block node returning block168 (depth = 3)
  int frame167 = gc_frame_new();
  gc_frame_newslot(block168);
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block177 = alloc_Block(NULL, NULL, "xmodule", 99);
  gc_frame_newslot(block177);
// method "_apply(_)"
  block_savedest(block177);
  Object closure178 = createclosure(5, "_apply(1)");
  setclosureframe(closure178, stackframe);
  addtoclosure(closure178, var_errormessages);
  addtoclosure(closure178, var_LinePos);
  addtoclosure(closure178, var_RangeSuggestions);
  addtoclosure(closure178, var_util);
  addtoclosure(closure178, selfslot);
  struct UserObject *uo178 = (struct UserObject*)block177;
  uo178->data[0] = (Object)closure178;
  Method *meth_meth_xmodule__apply_40_1_41_178 = addmethod2pos(block177, "_apply(1)", &meth_xmodule__apply_40_1_41_178, 0);
  int argcv_meth_xmodule__apply_40_1_41_178[] = {1};
  meth_meth_xmodule__apply_40_1_41_178->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_178);
  meth_meth_xmodule__apply_40_1_41_178->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_178->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe291 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe292 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit293 == NULL) {
    strlit293 = alloc_String("e");
    gc_root(strlit293);
  }
// compiled string node returning strlit293 (depth = 6)
  gc_frame_newslot(strlit293);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe294 = gc_frame_new();
// call case 5: prelude request
  Object call295 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe294);
// compiled member node returning call295 (depth = 6)
  params[0] = strlit293;
  partcv[0] = 1;
  Object call296 = callmethodflags(call295, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe292);
// compiled call node returning call296 (depth = 5)
  gc_frame_newslot(call296);
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_CheckerFailure (depth = 5)
  gc_frame_newslot(*var_CheckerFailure);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe297 = gc_frame_new();
// call case 5: prelude request
  Object call298 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe297);
// compiled member node returning call298 (depth = 5)
  params[0] = call296;
  params[1] = *var_CheckerFailure;
  partcv[0] = 2;
  Object call299 = callmethodflags(call298, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe291);
// compiled call node returning call299 (depth = 4)
((struct UserObject *)block177)->data[1] = call299;
// compiled block node returning block177 (depth = 3)
  gc_frame_newslot(block177);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block300 = alloc_Block(NULL, NULL, "xmodule", 114);
  gc_frame_newslot(block300);
// method "_apply(_)"
  block_savedest(block300);
  Object closure301 = createclosure(3, "_apply(1)");
  setclosureframe(closure301, stackframe);
  addtoclosure(closure301, var_currentDialect);
  addtoclosure(closure301, var_errormessages);
  addtoclosure(closure301, selfslot);
  struct UserObject *uo301 = (struct UserObject*)block300;
  uo301->data[0] = (Object)closure301;
  Method *meth_meth_xmodule__apply_40_1_41_301 = addmethod2pos(block300, "_apply(1)", &meth_xmodule__apply_40_1_41_301, 0);
  int argcv_meth_xmodule__apply_40_1_41_301[] = {1};
  meth_meth_xmodule__apply_40_1_41_301->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_301);
  meth_meth_xmodule__apply_40_1_41_301->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_301->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe339 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe340 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit341 == NULL) {
    strlit341 = alloc_String("e");
    gc_root(strlit341);
  }
// compiled string node returning strlit341 (depth = 6)
  gc_frame_newslot(strlit341);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe342 = gc_frame_new();
// call case 5: prelude request
  Object call343 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe342);
// compiled member node returning call343 (depth = 6)
  params[0] = strlit341;
  partcv[0] = 1;
  Object call344 = callmethodflags(call343, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe340);
// compiled call node returning call344 (depth = 5)
  gc_frame_newslot(call344);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe345 = gc_frame_new();
// call case 5: prelude request
  Object call346 = callmethodflags(prelude, "Exception", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe345);
// compiled member node returning call346 (depth = 5)
  gc_frame_newslot(call346);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe347 = gc_frame_new();
// call case 5: prelude request
  Object call348 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe347);
// compiled member node returning call348 (depth = 5)
  params[0] = call344;
  params[1] = call346;
  partcv[0] = 2;
  Object call349 = callmethodflags(call348, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe339);
// compiled call node returning call349 (depth = 4)
((struct UserObject *)block300)->data[1] = call349;
// compiled block node returning block300 (depth = 3)
  gc_frame_newslot(block300);
  params[0] = block177;
  params[1] = block300;
  setline(97);
  Object catchres167 = tryCatch(block168, params, 2,NULL);
  gc_frame_end(frame167);
// compiled trycatch node returning catchres167 (depth = 2)
  gc_frame_end(frame);
  return catchres167;
}
Object meth_xmodule__apply363(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleNode = getfromclosure(closure, 0);
  Object *var_currentDialect = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe364 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleNode (depth = 5)
  gc_frame_newslot(*var_moduleNode);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe365 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe366 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_currentDialect (depth = 7)
  Object call367 = callmethodflags(*var_currentDialect, "moduleObject", 0, partcv, params, 0);
  gc_frame_end(callframe366);
// compiled member node returning call367 (depth = 6)
  Object call368 = callmethodflags(call367, "thisDialect", 0, partcv, params, 0);
  gc_frame_end(callframe365);
// compiled member node returning call368 (depth = 5)
  params[0] = *var_moduleNode;
  partcv[0] = 1;
  Object call369 = callmethodflags(call368, "astChecker(1)", 1, partcv, params, 0);
  gc_frame_end(callframe364);
// compiled call node returning call369 (depth = 4)
  gc_frame_end(frame);
  return call369;
}
Object meth_xmodule__apply_40_1_41_377(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[2];
  Object *var_e = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_lp = &(stackframe->slots[0]);
  *var_lp = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe378 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit380 == NULL) {
    strlit380 = alloc_String(".");
    gc_root(strlit380);
  }
// compiled string node returning strlit380 (depth = 8)
  int op_slot_right_379 = gc_frame_newslot(strlit380);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe383 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call384 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe383);
// compiled member node returning call384 (depth = 9)
  int op_slot_right_382 = gc_frame_newslot(call384);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit387 == NULL) {
    strlit387 = alloc_String(": ");
    gc_root(strlit387);
  }
// compiled string node returning strlit387 (depth = 10)
  int op_slot_right_386 = gc_frame_newslot(strlit387);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe390 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_e (depth = 12)
  Object call391 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe390);
// compiled member node returning call391 (depth = 11)
  int op_slot_right_389 = gc_frame_newslot(call391);
// starting to compile string node (depth = 11)
  if (strlit393 == NULL) {
    strlit393 = alloc_String("");
    gc_root(strlit393);
  }
// compiled string node returning strlit393 (depth = 11)
  int op_slot_left_389 = gc_frame_newslot(strlit393);
  params[0] = call391;
  partcv[0] = 1;
  Object opresult394 = callmethod(strlit393, "++(1)", 1, partcv, params);
// compiled op node returning opresult394 (depth = 10)
  int op_slot_left_386 = gc_frame_newslot(opresult394);
  params[0] = strlit387;
  partcv[0] = 1;
  Object opresult395 = callmethod(opresult394, "++(1)", 1, partcv, params);
// compiled op node returning opresult395 (depth = 9)
  int op_slot_left_382 = gc_frame_newslot(opresult395);
  params[0] = call384;
  partcv[0] = 1;
  Object opresult396 = callmethod(opresult395, "++(1)", 1, partcv, params);
// compiled op node returning opresult396 (depth = 8)
  int op_slot_left_379 = gc_frame_newslot(opresult396);
  params[0] = strlit380;
  partcv[0] = 1;
  Object opresult397 = callmethod(opresult396, "++(1)", 1, partcv, params);
// compiled op node returning opresult397 (depth = 7)
  gc_frame_newslot(opresult397);
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe398 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe399 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call400 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe399);
// compiled member node returning call400 (depth = 8)
  Object call401 = callmethodflags(call400, "line", 0, partcv, params, 0);
  gc_frame_end(callframe398);
// compiled member node returning call401 (depth = 7)
  gc_frame_newslot(call401);
// starting to compile member node (depth = 7)
  int callframe402 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe403 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call404 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe403);
// compiled member node returning call404 (depth = 8)
  Object call405 = callmethodflags(call404, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe402);
// compiled member node returning call405 (depth = 7)
  gc_frame_newslot(call405);
// call case 6: other requests
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult397;
  params[1] = call401;
  params[2] = call405;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call406 = callmethodflags(*var_errormessages, "error(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe378);
// compiled call node returning call406 (depth = 6)
  gc_frame_end(frame);
  return call406;
}
Object meth_xmodule__apply_40_1_41_418(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_e = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_rs = &(stackframe->slots[0]);
  *var_rs = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe419 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit421 == NULL) {
    strlit421 = alloc_String(".");
    gc_root(strlit421);
  }
// compiled string node returning strlit421 (depth = 8)
  int op_slot_right_420 = gc_frame_newslot(strlit421);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe424 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call425 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe424);
// compiled member node returning call425 (depth = 9)
  int op_slot_right_423 = gc_frame_newslot(call425);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit428 == NULL) {
    strlit428 = alloc_String(": ");
    gc_root(strlit428);
  }
// compiled string node returning strlit428 (depth = 10)
  int op_slot_right_427 = gc_frame_newslot(strlit428);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe431 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_e (depth = 12)
  Object call432 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe431);
// compiled member node returning call432 (depth = 11)
  int op_slot_right_430 = gc_frame_newslot(call432);
// starting to compile string node (depth = 11)
  if (strlit434 == NULL) {
    strlit434 = alloc_String("");
    gc_root(strlit434);
  }
// compiled string node returning strlit434 (depth = 11)
  int op_slot_left_430 = gc_frame_newslot(strlit434);
  params[0] = call432;
  partcv[0] = 1;
  Object opresult435 = callmethod(strlit434, "++(1)", 1, partcv, params);
// compiled op node returning opresult435 (depth = 10)
  int op_slot_left_427 = gc_frame_newslot(opresult435);
  params[0] = strlit428;
  partcv[0] = 1;
  Object opresult436 = callmethod(opresult435, "++(1)", 1, partcv, params);
// compiled op node returning opresult436 (depth = 9)
  int op_slot_left_423 = gc_frame_newslot(opresult436);
  params[0] = call425;
  partcv[0] = 1;
  Object opresult437 = callmethod(opresult436, "++(1)", 1, partcv, params);
// compiled op node returning opresult437 (depth = 8)
  int op_slot_left_420 = gc_frame_newslot(opresult437);
  params[0] = strlit421;
  partcv[0] = 1;
  Object opresult438 = callmethod(opresult437, "++(1)", 1, partcv, params);
// compiled op node returning opresult438 (depth = 7)
  gc_frame_newslot(opresult438);
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe439 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call440 = callmethodflags(*var_rs, "line", 0, partcv, params, 0);
  gc_frame_end(callframe439);
// compiled member node returning call440 (depth = 7)
  gc_frame_newslot(call440);
// starting to compile member node (depth = 7)
  int callframe441 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call442 = callmethodflags(*var_rs, "posStart", 0, partcv, params, 0);
  gc_frame_end(callframe441);
// compiled member node returning call442 (depth = 7)
  gc_frame_newslot(call442);
// starting to compile member node (depth = 7)
  int callframe443 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call444 = callmethodflags(*var_rs, "posEnd", 0, partcv, params, 0);
  gc_frame_end(callframe443);
// compiled member node returning call444 (depth = 7)
  gc_frame_newslot(call444);
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe445 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rs (depth = 8)
  Object call446 = callmethodflags(*var_rs, "suggestions", 0, partcv, params, 0);
  gc_frame_end(callframe445);
// compiled member node returning call446 (depth = 7)
  gc_frame_newslot(call446);
// call case 6: other requests
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult438;
  params[1] = call440;
  params[2] = call442;
  params[3] = call444;
  params[4] = call446;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call447 = callmethodflags(*var_errormessages, "error(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe419);
// compiled call node returning call447 (depth = 6)
  gc_frame_end(frame);
  return call447;
}
Object meth_xmodule__apply_40_1_41_459(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_xmodule__apply_40_1_41_372(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_LinePos = getfromclosure(closure, 1);
  Object *var_RangeSuggestions = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe374 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_e (depth = 6)
  Object call375 = callmethodflags(*var_e, "data", 0, partcv, params, 0);
  gc_frame_end(callframe374);
// compiled member node returning call375 (depth = 5)
  int frame373 = gc_frame_new();
  gc_frame_newslot(call375);
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block376 = alloc_Block(NULL, NULL, "xmodule", 128);
  gc_frame_newslot(block376);
// method "_apply(_)"
  block_savedest(block376);
  Object closure377 = createclosure(3, "_apply(1)");
  setclosureframe(closure377, stackframe);
  addtoclosure(closure377, var_e);
  addtoclosure(closure377, var_errormessages);
  addtoclosure(closure377, selfslot);
  struct UserObject *uo377 = (struct UserObject*)block376;
  uo377->data[0] = (Object)closure377;
  Method *meth_meth_xmodule__apply_40_1_41_377 = addmethod2pos(block376, "_apply(1)", &meth_xmodule__apply_40_1_41_377, 0);
  int argcv_meth_xmodule__apply_40_1_41_377[] = {1};
  meth_meth_xmodule__apply_40_1_41_377->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_377);
  meth_meth_xmodule__apply_40_1_41_377->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_377->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe408 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe409 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit410 == NULL) {
    strlit410 = alloc_String("lp");
    gc_root(strlit410);
  }
// compiled string node returning strlit410 (depth = 8)
  gc_frame_newslot(strlit410);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe411 = gc_frame_new();
// call case 5: prelude request
  Object call412 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe411);
// compiled member node returning call412 (depth = 8)
  params[0] = strlit410;
  partcv[0] = 1;
  Object call413 = callmethodflags(call412, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe409);
// compiled call node returning call413 (depth = 7)
  gc_frame_newslot(call413);
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_LinePos (depth = 7)
  gc_frame_newslot(*var_LinePos);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe414 = gc_frame_new();
// call case 5: prelude request
  Object call415 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe414);
// compiled member node returning call415 (depth = 7)
  params[0] = call413;
  params[1] = *var_LinePos;
  partcv[0] = 2;
  Object call416 = callmethodflags(call415, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe408);
// compiled call node returning call416 (depth = 6)
((struct UserObject *)block376)->data[1] = call416;
// compiled block node returning block376 (depth = 5)
  gc_frame_newslot(block376);
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block417 = alloc_Block(NULL, NULL, "xmodule", 132);
  gc_frame_newslot(block417);
// method "_apply(_)"
  block_savedest(block417);
  Object closure418 = createclosure(3, "_apply(1)");
  setclosureframe(closure418, stackframe);
  addtoclosure(closure418, var_e);
  addtoclosure(closure418, var_errormessages);
  addtoclosure(closure418, selfslot);
  struct UserObject *uo418 = (struct UserObject*)block417;
  uo418->data[0] = (Object)closure418;
  Method *meth_meth_xmodule__apply_40_1_41_418 = addmethod2pos(block417, "_apply(1)", &meth_xmodule__apply_40_1_41_418, 0);
  int argcv_meth_xmodule__apply_40_1_41_418[] = {1};
  meth_meth_xmodule__apply_40_1_41_418->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_418);
  meth_meth_xmodule__apply_40_1_41_418->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_418->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe449 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe450 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit451 == NULL) {
    strlit451 = alloc_String("rs");
    gc_root(strlit451);
  }
// compiled string node returning strlit451 (depth = 8)
  gc_frame_newslot(strlit451);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe452 = gc_frame_new();
// call case 5: prelude request
  Object call453 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe452);
// compiled member node returning call453 (depth = 8)
  params[0] = strlit451;
  partcv[0] = 1;
  Object call454 = callmethodflags(call453, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe450);
// compiled call node returning call454 (depth = 7)
  gc_frame_newslot(call454);
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_RangeSuggestions (depth = 7)
  gc_frame_newslot(*var_RangeSuggestions);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe455 = gc_frame_new();
// call case 5: prelude request
  Object call456 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe455);
// compiled member node returning call456 (depth = 7)
  params[0] = call454;
  params[1] = *var_RangeSuggestions;
  partcv[0] = 2;
  Object call457 = callmethodflags(call456, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe449);
// compiled call node returning call457 (depth = 6)
((struct UserObject *)block417)->data[1] = call457;
// compiled block node returning block417 (depth = 5)
  gc_frame_newslot(block417);
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block458 = alloc_Block(NULL, NULL, "xmodule", 137);
  gc_frame_newslot(block458);
// method "_apply(_)"
  block_savedest(block458);
  Object closure459 = createclosure(1, "_apply(1)");
  setclosureframe(closure459, stackframe);
  addtoclosure(closure459, selfslot);
  struct UserObject *uo459 = (struct UserObject*)block458;
  uo459->data[0] = (Object)closure459;
  Method *meth_meth_xmodule__apply_40_1_41_459 = addmethod2pos(block458, "_apply(1)", &meth_xmodule__apply_40_1_41_459, 0);
  int argcv_meth_xmodule__apply_40_1_41_459[] = {1};
  meth_meth_xmodule__apply_40_1_41_459->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_459);
  meth_meth_xmodule__apply_40_1_41_459->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_459->definitionLine = 565;
// compiled block node returning block458 (depth = 5)
  gc_frame_newslot(block458);
  params[0] = block376;
  params[1] = block417;
  params[2] = block458;
  Object matchres373 = matchCase(call375, params, 3,NULL);
  gc_frame_end(frame373);
// compiled matchcase node returning matchres373 (depth = 4)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe461 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit463 == NULL) {
    strlit463 = alloc_String(".");
    gc_root(strlit463);
  }
// compiled string node returning strlit463 (depth = 6)
  int op_slot_right_462 = gc_frame_newslot(strlit463);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe466 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_e (depth = 8)
  Object call467 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe466);
// compiled member node returning call467 (depth = 7)
  int op_slot_right_465 = gc_frame_newslot(call467);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit470 == NULL) {
    strlit470 = alloc_String(": ");
    gc_root(strlit470);
  }
// compiled string node returning strlit470 (depth = 8)
  int op_slot_right_469 = gc_frame_newslot(strlit470);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe473 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_e (depth = 10)
  Object call474 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe473);
// compiled member node returning call474 (depth = 9)
  int op_slot_right_472 = gc_frame_newslot(call474);
// starting to compile string node (depth = 9)
  if (strlit476 == NULL) {
    strlit476 = alloc_String("");
    gc_root(strlit476);
  }
// compiled string node returning strlit476 (depth = 9)
  int op_slot_left_472 = gc_frame_newslot(strlit476);
  params[0] = call474;
  partcv[0] = 1;
  Object opresult477 = callmethod(strlit476, "++(1)", 1, partcv, params);
// compiled op node returning opresult477 (depth = 8)
  int op_slot_left_469 = gc_frame_newslot(opresult477);
  params[0] = strlit470;
  partcv[0] = 1;
  Object opresult478 = callmethod(opresult477, "++(1)", 1, partcv, params);
// compiled op node returning opresult478 (depth = 7)
  int op_slot_left_465 = gc_frame_newslot(opresult478);
  params[0] = call467;
  partcv[0] = 1;
  Object opresult479 = callmethod(opresult478, "++(1)", 1, partcv, params);
// compiled op node returning opresult479 (depth = 6)
  int op_slot_left_462 = gc_frame_newslot(opresult479);
  params[0] = strlit463;
  partcv[0] = 1;
  Object opresult480 = callmethod(opresult479, "++(1)", 1, partcv, params);
// compiled op node returning opresult480 (depth = 5)
  gc_frame_newslot(opresult480);
// starting to compile member node (depth = 5)
  int callframe481 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call482 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe481);
// compiled member node returning call482 (depth = 5)
  gc_frame_newslot(call482);
// starting to compile num node (depth = 5)
  Object num483 = alloc_Float64(0);
// compiled num node returning num483 (depth = 5)
  gc_frame_newslot(num483);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult480;
  params[1] = call482;
  params[2] = num483;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call484 = callmethodflags(*var_errormessages, "error(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe461);
// compiled call node returning call484 (depth = 4)
  gc_frame_end(frame);
  return call484;
}
Object meth_xmodule__apply_40_1_41_496(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe497 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_e (depth = 5)
  Object call498 = callmethodflags(*var_e, "printBacktrace", 0, partcv, params, 0);
  gc_frame_end(callframe497);
// compiled member node returning call498 (depth = 4)
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe499 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit502 == NULL) {
    strlit502 = alloc_String("");
    gc_root(strlit502);
  }
// compiled string node returning strlit502 (depth = 7)
  int op_slot_right_501 = gc_frame_newslot(strlit502);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe505 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call506 = callmethodflags(*var_e, "message", 0, partcv, params, 0);
  gc_frame_end(callframe505);
// compiled member node returning call506 (depth = 8)
  int op_slot_right_504 = gc_frame_newslot(call506);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit509 == NULL) {
    strlit509 = alloc_String(": ");
    gc_root(strlit509);
  }
// compiled string node returning strlit509 (depth = 9)
  int op_slot_right_508 = gc_frame_newslot(strlit509);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe512 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_e (depth = 11)
  Object call513 = callmethodflags(*var_e, "exception", 0, partcv, params, 0);
  gc_frame_end(callframe512);
// compiled member node returning call513 (depth = 10)
  int op_slot_right_511 = gc_frame_newslot(call513);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit516 == NULL) {
    strlit516 = alloc_String("'.""\x0a""");
    gc_root(strlit516);
  }
// compiled string node returning strlit516 (depth = 11)
  int op_slot_right_515 = gc_frame_newslot(strlit516);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe519 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_currentDialect (depth = 13)
  Object call520 = callmethodflags(*var_currentDialect, "name", 0, partcv, params, 0);
  gc_frame_end(callframe519);
// compiled member node returning call520 (depth = 12)
  int op_slot_right_518 = gc_frame_newslot(call520);
// starting to compile string node (depth = 12)
  if (strlit522 == NULL) {
    strlit522 = alloc_String("dialect '");
    gc_root(strlit522);
  }
// compiled string node returning strlit522 (depth = 12)
  int op_slot_left_518 = gc_frame_newslot(strlit522);
  params[0] = call520;
  partcv[0] = 1;
  Object opresult523 = callmethod(strlit522, "++(1)", 1, partcv, params);
// compiled op node returning opresult523 (depth = 11)
  int op_slot_left_515 = gc_frame_newslot(opresult523);
  params[0] = strlit516;
  partcv[0] = 1;
  Object opresult524 = callmethod(opresult523, "++(1)", 1, partcv, params);
// compiled op node returning opresult524 (depth = 10)
  int op_slot_left_511 = gc_frame_newslot(opresult524);
  params[0] = call513;
  partcv[0] = 1;
  Object opresult525 = callmethod(opresult524, "++(1)", 1, partcv, params);
// compiled op node returning opresult525 (depth = 9)
  int op_slot_left_508 = gc_frame_newslot(opresult525);
  params[0] = strlit509;
  partcv[0] = 1;
  Object opresult526 = callmethod(opresult525, "++(1)", 1, partcv, params);
// compiled op node returning opresult526 (depth = 8)
  int op_slot_left_504 = gc_frame_newslot(opresult526);
  params[0] = call506;
  partcv[0] = 1;
  Object opresult527 = callmethod(opresult526, "++(1)", 1, partcv, params);
// compiled op node returning opresult527 (depth = 7)
  int op_slot_left_501 = gc_frame_newslot(opresult527);
  params[0] = strlit502;
  partcv[0] = 1;
  Object opresult528 = callmethod(opresult527, "++(1)", 1, partcv, params);
// compiled op node returning opresult528 (depth = 6)
  int op_slot_right_500 = gc_frame_newslot(opresult528);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit530 == NULL) {
    strlit530 = alloc_String("Unexpected exception raised by AST checker for ");
    gc_root(strlit530);
  }
// compiled string node returning strlit530 (depth = 6)
  int op_slot_left_500 = gc_frame_newslot(strlit530);
  params[0] = opresult528;
  partcv[0] = 1;
  Object opresult531 = callmethod(strlit530, "++(1)", 1, partcv, params);
// compiled op node returning opresult531 (depth = 5)
  gc_frame_newslot(opresult531);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult531;
  partcv[0] = 1;
  Object call532 = callmethodflags(*var_errormessages, "error(1)", 1, partcv, params, 0);
  gc_frame_end(callframe499);
// compiled call node returning call532 (depth = 4)
  gc_frame_end(frame);
  return call532;
}
Object meth_xmodule_doAstCheck_40_1_41_350(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doAstCheck(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method doAstCheck(_)");
  Object params[2];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_LinePos = getfromclosure(closure, 3);
  Object *var_RangeSuggestions = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for doAstCheck(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleNode = &(stackframe->slots[0]);
  *var_moduleNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part doAstCheck(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_CheckerFailure = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "CheckerFailure");
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe352 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe353 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_currentDialect (depth = 5)
  Object call354 = callmethodflags(*var_currentDialect, "hasAstChecker", 0, partcv, params, 0);
  gc_frame_end(callframe353);
// compiled member node returning call354 (depth = 4)
  Object call355 = callmethodflags(call354, "not", 0, partcv, params, 0);
  gc_frame_end(callframe352);
// compiled member node returning call355 (depth = 3)
  Object if351 = done;
  if (istrue(call355)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if351 = undefined;
  } else {
  }
// compiled if node returning if351 (depth = 2)
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe356 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit357 == NULL) {
    strlit357 = alloc_String("CheckerFailure");
    gc_root(strlit357);
  }
// compiled string node returning strlit357 (depth = 4)
  gc_frame_newslot(strlit357);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe358 = gc_frame_new();
// call case 5: prelude request
  Object call359 = callmethodflags(prelude, "Exception", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe358);
// compiled member node returning call359 (depth = 4)
  params[0] = strlit357;
  partcv[0] = 1;
  Object call360 = callmethodflags(call359, "refine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe356);
// compiled call node returning call360 (depth = 3)
  *var_CheckerFailure = call360;
  if (call360 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block362 = alloc_Block(NULL, NULL, "xmodule", 124);
  gc_frame_newslot(block362);
// method "_apply"
  block_savedest(block362);
  Object closure363 = createclosure(3, "_apply");
  setclosureframe(closure363, stackframe);
  addtoclosure(closure363, var_moduleNode);
  addtoclosure(closure363, var_currentDialect);
  addtoclosure(closure363, selfslot);
  struct UserObject *uo363 = (struct UserObject*)block362;
  uo363->data[0] = (Object)closure363;
  Method *meth_meth_xmodule__apply363 = addmethod2pos(block362, "_apply", &meth_xmodule__apply363, 0);
  int argcv_meth_xmodule__apply363[] = {0};
  meth_meth_xmodule__apply363->type = alloc_MethodType(1, argcv_meth_xmodule__apply363);
  meth_meth_xmodule__apply363->definitionModule = modulename;
  meth_meth_xmodule__apply363->definitionLine = 565;
// compiled block node returning block362 (depth = 3)
  int frame361 = gc_frame_new();
  gc_frame_newslot(block362);
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block371 = alloc_Block(NULL, NULL, "xmodule", 126);
  gc_frame_newslot(block371);
// method "_apply(_)"
  block_savedest(block371);
  Object closure372 = createclosure(5, "_apply(1)");
  setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_errormessages);
  addtoclosure(closure372, var_LinePos);
  addtoclosure(closure372, var_RangeSuggestions);
  addtoclosure(closure372, var_util);
  addtoclosure(closure372, selfslot);
  struct UserObject *uo372 = (struct UserObject*)block371;
  uo372->data[0] = (Object)closure372;
  Method *meth_meth_xmodule__apply_40_1_41_372 = addmethod2pos(block371, "_apply(1)", &meth_xmodule__apply_40_1_41_372, 0);
  int argcv_meth_xmodule__apply_40_1_41_372[] = {1};
  meth_meth_xmodule__apply_40_1_41_372->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_372);
  meth_meth_xmodule__apply_40_1_41_372->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_372->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe486 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe487 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit488 == NULL) {
    strlit488 = alloc_String("e");
    gc_root(strlit488);
  }
// compiled string node returning strlit488 (depth = 6)
  gc_frame_newslot(strlit488);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe489 = gc_frame_new();
// call case 5: prelude request
  Object call490 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe489);
// compiled member node returning call490 (depth = 6)
  params[0] = strlit488;
  partcv[0] = 1;
  Object call491 = callmethodflags(call490, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe487);
// compiled call node returning call491 (depth = 5)
  gc_frame_newslot(call491);
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_CheckerFailure (depth = 5)
  gc_frame_newslot(*var_CheckerFailure);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe492 = gc_frame_new();
// call case 5: prelude request
  Object call493 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe492);
// compiled member node returning call493 (depth = 5)
  params[0] = call491;
  params[1] = *var_CheckerFailure;
  partcv[0] = 2;
  Object call494 = callmethodflags(call493, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe486);
// compiled call node returning call494 (depth = 4)
((struct UserObject *)block371)->data[1] = call494;
// compiled block node returning block371 (depth = 3)
  gc_frame_newslot(block371);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block495 = alloc_Block(NULL, NULL, "xmodule", 139);
  gc_frame_newslot(block495);
// method "_apply(_)"
  block_savedest(block495);
  Object closure496 = createclosure(3, "_apply(1)");
  setclosureframe(closure496, stackframe);
  addtoclosure(closure496, var_currentDialect);
  addtoclosure(closure496, var_errormessages);
  addtoclosure(closure496, selfslot);
  struct UserObject *uo496 = (struct UserObject*)block495;
  uo496->data[0] = (Object)closure496;
  Method *meth_meth_xmodule__apply_40_1_41_496 = addmethod2pos(block495, "_apply(1)", &meth_xmodule__apply_40_1_41_496, 0);
  int argcv_meth_xmodule__apply_40_1_41_496[] = {1};
  meth_meth_xmodule__apply_40_1_41_496->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_496);
  meth_meth_xmodule__apply_40_1_41_496->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_496->definitionLine = 565;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe534 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe535 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit536 == NULL) {
    strlit536 = alloc_String("e");
    gc_root(strlit536);
  }
// compiled string node returning strlit536 (depth = 6)
  gc_frame_newslot(strlit536);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe537 = gc_frame_new();
// call case 5: prelude request
  Object call538 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe537);
// compiled member node returning call538 (depth = 6)
  params[0] = strlit536;
  partcv[0] = 1;
  Object call539 = callmethodflags(call538, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe535);
// compiled call node returning call539 (depth = 5)
  gc_frame_newslot(call539);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe540 = gc_frame_new();
// call case 5: prelude request
  Object call541 = callmethodflags(prelude, "Exception", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe540);
// compiled member node returning call541 (depth = 5)
  gc_frame_newslot(call541);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe542 = gc_frame_new();
// call case 5: prelude request
  Object call543 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe542);
// compiled member node returning call543 (depth = 5)
  params[0] = call539;
  params[1] = call541;
  partcv[0] = 2;
  Object call544 = callmethodflags(call543, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe534);
// compiled call node returning call544 (depth = 4)
((struct UserObject *)block495)->data[1] = call544;
// compiled block node returning block495 (depth = 3)
  gc_frame_newslot(block495);
  params[0] = block371;
  params[1] = block495;
  setline(124);
  Object catchres361 = tryCatch(block362, params, 2,NULL);
  gc_frame_end(frame361);
// compiled trycatch node returning catchres361 (depth = 2)
  gc_frame_end(frame);
  return catchres361;
}
Object meth_xmodule_checkExternalModule_40_1_41_545(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "checkExternalModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkExternalModule(_)");
  Object params[5];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkExternalModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkExternalModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe546 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe547 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call548 = callmethodflags(*var_node, "moduleName", 0, partcv, params, 0);
  gc_frame_end(callframe547);
// compiled member node returning call548 (depth = 3)
  gc_frame_newslot(call548);
// starting to compile member node (depth = 3)
  int callframe549 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call550 = callmethodflags(*var_node, "path", 0, partcv, params, 0);
  gc_frame_end(callframe549);
// compiled member node returning call550 (depth = 3)
  gc_frame_newslot(call550);
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe551 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call552 = callmethodflags(*var_node, "line", 0, partcv, params, 0);
  gc_frame_end(callframe551);
// compiled member node returning call552 (depth = 3)
  gc_frame_newslot(call552);
// starting to compile member node (depth = 3)
  int callframe553 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call554 = callmethodflags(*var_node, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe553);
// compiled member node returning call554 (depth = 3)
  gc_frame_newslot(call554);
// starting to compile member node (depth = 3)
  int callframe555 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call556 = callmethodflags(*var_node, "isDialect", 0, partcv, params, 0);
  gc_frame_end(callframe555);
// compiled member node returning call556 (depth = 3)
  gc_frame_newslot(call556);
// call case 4: self request
  params[0] = call548;
  params[1] = call550;
  params[2] = call552;
  params[3] = call554;
  params[4] = call556;
  partcv[0] = 5;
  Object call557 = callmethodflags(self, "checkimport(5)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe546);
// compiled call node returning call557 (depth = 2)
  gc_frame_end(frame);
  return call557;
}
Object meth_xmodule__apply_40_1_41_582(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[4];
  int partcv[2];
  Object *var_nm = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_linePos = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___4 = &(stackframe->slots[0]);
  *var___4 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe583 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit585 == NULL) {
    strlit585 = alloc_String(" before importing it.");
    gc_root(strlit585);
  }
// compiled string node returning strlit585 (depth = 7)
  int op_slot_right_584 = gc_frame_newslot(strlit585);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nm (depth = 8)
  int op_slot_right_587 = gc_frame_newslot(*var_nm);
// starting to compile string node (depth = 8)
  if (strlit589 == NULL) {
    strlit589 = alloc_String("Please compile module ");
    gc_root(strlit589);
  }
// compiled string node returning strlit589 (depth = 8)
  int op_slot_left_587 = gc_frame_newslot(strlit589);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult590 = callmethod(strlit589, "++(1)", 1, partcv, params);
// compiled op node returning opresult590 (depth = 7)
  int op_slot_left_584 = gc_frame_newslot(opresult590);
  params[0] = strlit585;
  partcv[0] = 1;
  Object opresult591 = callmethod(opresult590, "++(1)", 1, partcv, params);
// compiled op node returning opresult591 (depth = 6)
  gc_frame_newslot(opresult591);
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_linePos (depth = 6)
  gc_frame_newslot(*var_linePos);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num593 = alloc_Float64(1);
// compiled num node returning num593 (depth = 7)
  int op_slot_right_592 = gc_frame_newslot(num593);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe596 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nm (depth = 9)
  Object call597 = callmethodflags(*var_nm, "size", 0, partcv, params, 0);
  gc_frame_end(callframe596);
// compiled member node returning call597 (depth = 8)
  int op_slot_right_595 = gc_frame_newslot(call597);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_linePos (depth = 8)
  int op_slot_left_595 = gc_frame_newslot(*var_linePos);
  params[0] = call597;
  partcv[0] = 1;
  Object sum599 = callmethod(*var_linePos, "+(1)", 1, partcv, params);
// compiled op node returning sum599 (depth = 7)
  int op_slot_left_592 = gc_frame_newslot(sum599);
  params[0] = num593;
  partcv[0] = 1;
  Object diff600 = callmethod(sum599, "-(1)", 1, partcv, params);
// compiled op node returning diff600 (depth = 6)
  gc_frame_newslot(diff600);
// call case 6: other requests
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult591;
  params[1] = *var_line;
  params[2] = *var_linePos;
  params[3] = diff600;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call601 = callmethodflags(*var_errormessages, "error(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe583);
// compiled call node returning call601 (depth = 5)
  gc_frame_end(frame);
  return call601;
}
Object meth_xmodule__apply_40_1_41_618(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_noSource = getfromclosure(closure, 0);
  Object *var_pn = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool619 = alloc_Boolean(1);
// compiled identifier node returning bool619 (depth = 6)
  *var_noSource = bool619;
  if (bool619 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pn (depth = 5)
  gc_frame_end(frame);
  return *var_pn;
}
Object meth_xmodule__apply659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nm = getfromclosure(closure, 0);
  Object *var_dynamicCModules = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe660 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nm (depth = 7)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_dynamicCModules (depth = 7)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call661 = callmethodflags(*var_dynamicCModules, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe660);
// compiled call node returning call661 (depth = 6)
  gc_frame_end(frame);
  return call661;
}
Object meth_xmodule__apply_40_1_41_714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_binaryFile = getfromclosure(closure, 0);
  Object *var_pn = getfromclosure(closure, 1);
  Object *var_line = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe715 = gc_frame_new();
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit717 == NULL) {
    strlit717 = alloc_String(".");
    gc_root(strlit717);
  }
// compiled string node returning strlit717 (depth = 9)
  int op_slot_right_716 = gc_frame_newslot(strlit717);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_l (depth = 10)
  int op_slot_right_719 = gc_frame_newslot(*var_l);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit722 == NULL) {
    strlit722 = alloc_String("; looked in ");
    gc_root(strlit722);
  }
// compiled string node returning strlit722 (depth = 11)
  int op_slot_right_721 = gc_frame_newslot(strlit722);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_binaryFile (depth = 13)
  Object call726 = callmethodflags(*var_binaryFile, "shortName", 0, partcv, params, 0);
  gc_frame_end(callframe725);
// compiled member node returning call726 (depth = 12)
  int op_slot_right_724 = gc_frame_newslot(call726);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit729 == NULL) {
    strlit729 = alloc_String(" or ");
    gc_root(strlit729);
  }
// compiled string node returning strlit729 (depth = 13)
  int op_slot_right_728 = gc_frame_newslot(strlit729);
// starting to compile op node (depth = 13)
// starting to compile member node (depth = 14)
  int callframe732 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_pn (depth = 15)
  Object call733 = callmethodflags(*var_pn, "shortName", 0, partcv, params, 0);
  gc_frame_end(callframe732);
// compiled member node returning call733 (depth = 14)
  int op_slot_right_731 = gc_frame_newslot(call733);
// starting to compile string node (depth = 14)
  if (strlit735 == NULL) {
    strlit735 = alloc_String("I can't find ");
    gc_root(strlit735);
  }
// compiled string node returning strlit735 (depth = 14)
  int op_slot_left_731 = gc_frame_newslot(strlit735);
  params[0] = call733;
  partcv[0] = 1;
  Object opresult736 = callmethod(strlit735, "++(1)", 1, partcv, params);
// compiled op node returning opresult736 (depth = 13)
  int op_slot_left_728 = gc_frame_newslot(opresult736);
  params[0] = strlit729;
  partcv[0] = 1;
  Object opresult737 = callmethod(opresult736, "++(1)", 1, partcv, params);
// compiled op node returning opresult737 (depth = 12)
  int op_slot_left_724 = gc_frame_newslot(opresult737);
  params[0] = call726;
  partcv[0] = 1;
  Object opresult738 = callmethod(opresult737, "++(1)", 1, partcv, params);
// compiled op node returning opresult738 (depth = 11)
  int op_slot_left_721 = gc_frame_newslot(opresult738);
  params[0] = strlit722;
  partcv[0] = 1;
  Object opresult739 = callmethod(opresult738, "++(1)", 1, partcv, params);
// compiled op node returning opresult739 (depth = 10)
  int op_slot_left_719 = gc_frame_newslot(opresult739);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult740 = callmethod(opresult739, "++(1)", 1, partcv, params);
// compiled op node returning opresult740 (depth = 9)
  int op_slot_left_716 = gc_frame_newslot(opresult740);
  params[0] = strlit717;
  partcv[0] = 1;
  Object opresult741 = callmethod(opresult740, "++(1)", 1, partcv, params);
// compiled op node returning opresult741 (depth = 8)
  gc_frame_newslot(opresult741);
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult741;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call742 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe715);
// compiled call node returning call742 (depth = 7)
  gc_frame_end(frame);
  return call742;
}
Object meth_xmodule__apply804(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGrace = getfromclosure(closure, 0);
  Object *var_binaryFile = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe805 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleFileGrace (depth = 9)
  gc_frame_newslot(*var_moduleFileGrace);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_binaryFile (depth = 9)
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object call806 = callmethodflags(*var_binaryFile, "newer(1)", 1, partcv, params, 0);
  gc_frame_end(callframe805);
// compiled call node returning call806 (depth = 8)
  gc_frame_end(frame);
  return call806;
}
Object meth_xmodule__apply801(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGrace = getfromclosure(closure, 0);
  Object *var_binaryFile = getfromclosure(closure, 1);
  Object *var_noSource = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block803 = alloc_Block(NULL, NULL, "xmodule", 215);
  gc_frame_newslot(block803);
// method "_apply"
  block_savedest(block803);
  Object closure804 = createclosure(3, "_apply");
  setclosureframe(closure804, stackframe);
  addtoclosure(closure804, var_moduleFileGrace);
  addtoclosure(closure804, var_binaryFile);
  addtoclosure(closure804, selfslot);
  struct UserObject *uo804 = (struct UserObject*)block803;
  uo804->data[0] = (Object)closure804;
  Method *meth_meth_xmodule__apply804 = addmethod2pos(block803, "_apply", &meth_xmodule__apply804, 0);
  int argcv_meth_xmodule__apply804[] = {0};
  meth_meth_xmodule__apply804->type = alloc_MethodType(1, argcv_meth_xmodule__apply804);
  meth_meth_xmodule__apply804->definitionModule = modulename;
  meth_meth_xmodule__apply804->definitionLine = 565;
// compiled block node returning block803 (depth = 7)
  int op_slot_right_802 = gc_frame_newslot(block803);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_noSource (depth = 7)
  int op_slot_left_802 = gc_frame_newslot(*var_noSource);
  params[0] = block803;
  partcv[0] = 1;
  Object opresult809 = callmethod(*var_noSource, "||(1)", 1, partcv, params);
// compiled op node returning opresult809 (depth = 6)
  gc_frame_end(frame);
  return opresult809;
}
Object meth_xmodule__apply814(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGct = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe815 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileGct (depth = 8)
  Object call816 = callmethodflags(*var_moduleFileGct, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe815);
// compiled member node returning call816 (depth = 7)
  gc_frame_end(frame);
  return call816;
}
Object meth_xmodule__apply886(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGrace = getfromclosure(closure, 0);
  Object *var_moduleFileJs = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe887 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_moduleFileGrace (depth = 10)
  gc_frame_newslot(*var_moduleFileGrace);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_moduleFileJs (depth = 10)
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object call888 = callmethodflags(*var_moduleFileJs, "newer(1)", 1, partcv, params, 0);
  gc_frame_end(callframe887);
// compiled call node returning call888 (depth = 9)
  gc_frame_end(frame);
  return call888;
}
Object meth_xmodule__apply883(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGrace = getfromclosure(closure, 0);
  Object *var_moduleFileJs = getfromclosure(closure, 1);
  Object *var_noSource = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile block node (depth = 8)
  Object block885 = alloc_Block(NULL, NULL, "xmodule", 232);
  gc_frame_newslot(block885);
// method "_apply"
  block_savedest(block885);
  Object closure886 = createclosure(3, "_apply");
  setclosureframe(closure886, stackframe);
  addtoclosure(closure886, var_moduleFileGrace);
  addtoclosure(closure886, var_moduleFileJs);
  addtoclosure(closure886, selfslot);
  struct UserObject *uo886 = (struct UserObject*)block885;
  uo886->data[0] = (Object)closure886;
  Method *meth_meth_xmodule__apply886 = addmethod2pos(block885, "_apply", &meth_xmodule__apply886, 0);
  int argcv_meth_xmodule__apply886[] = {0};
  meth_meth_xmodule__apply886->type = alloc_MethodType(1, argcv_meth_xmodule__apply886);
  meth_meth_xmodule__apply886->definitionModule = modulename;
  meth_meth_xmodule__apply886->definitionLine = 565;
// compiled block node returning block885 (depth = 8)
  int op_slot_right_884 = gc_frame_newslot(block885);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_noSource (depth = 8)
  int op_slot_left_884 = gc_frame_newslot(*var_noSource);
  params[0] = block885;
  partcv[0] = 1;
  Object opresult891 = callmethod(*var_noSource, "||(1)", 1, partcv, params);
// compiled op node returning opresult891 (depth = 7)
  gc_frame_end(frame);
  return opresult891;
}
Object meth_xmodule__apply896(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleFileGct = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe897 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleFileGct (depth = 9)
  Object call898 = callmethodflags(*var_moduleFileGct, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe897);
// compiled member node returning call898 (depth = 8)
  gc_frame_end(frame);
  return call898;
}
Object meth_xmodule_checkimport_40_5_41_558(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkimport(5)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 5)
    graceRaise(RequestError(), "insufficient arguments to method checkimport(_,_,_,_,_)");
  Object params[5];
  int partcv[4];
  Object *var_imports = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object *var_sys = getfromclosure(closure, 4);
  Object *var_filePath = getfromclosure(closure, 5);
  Object *var_dynamicCModules = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkimport(_,_,_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_nm = &(stackframe->slots[0]);
  *var_nm = args[curarg];
  curarg++;
  Object *var_pathname = &(stackframe->slots[1]);
  *var_pathname = args[curarg];
  curarg++;
  Object *var_line = &(stackframe->slots[2]);
  *var_line = args[curarg];
  curarg++;
  Object *var_linePos = &(stackframe->slots[3]);
  *var_linePos = args[curarg];
  curarg++;
  Object *var_isDialect = &(stackframe->slots[4]);
  *var_isDialect = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 5)
    graceRaise(RequestError(), "wrong number of arguments for part checkimport(_,_,_,_,_)");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_noSource = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "noSource");
  Object *var_gmp = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "gmp");
  Object *var_pn = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "pn");
  Object *var_moduleFileGrace = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "moduleFileGrace");
  Object *var_moduleFileGct = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "moduleFileGct");
  Object *var_moduleFileGso = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "moduleFileGso");
  Object *var_moduleFileGcn = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "moduleFileGcn");
  Object *var_needsDynamic = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "needsDynamic");
  Object *var_binaryFile = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "binaryFile");
  Object *var_importsSet = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "importsSet");
  Object *var_moduleFileJs = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "moduleFileJs");
  Object *var_thing = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "thing");
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe560 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nm (depth = 4)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe561 = gc_frame_new();
// call case 4: self request
  Object call562 = callmethodflags(self, "builtInModules", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe561);
// compiled member node returning call562 (depth = 4)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call563 = callmethodflags(call562, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe560);
// compiled call node returning call563 (depth = 3)
  Object if559 = done;
  if (istrue(call563)) {
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe564 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nm (depth = 4)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe565 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_imports (depth = 5)
  Object call566 = callmethodflags(*var_imports, "other", 0, partcv, params, 0);
  gc_frame_end(callframe565);
// compiled member node returning call566 (depth = 4)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call567 = callmethodflags(call566, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe564);
// compiled call node returning call567 (depth = 3)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if559 = undefined;
  } else {
  }
// compiled if node returning if559 (depth = 2)
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe569 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nm (depth = 4)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_imports (depth = 4)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call570 = callmethodflags(*var_imports, "isAlready(1)", 1, partcv, params, 0);
  gc_frame_end(callframe569);
// compiled call node returning call570 (depth = 3)
  Object if568 = done;
  if (istrue(call570)) {
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if568 = undefined;
  } else {
  }
// compiled if node returning if568 (depth = 2)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool571 = alloc_Boolean(0);
// compiled identifier node returning bool571 (depth = 3)
  *var_noSource = bool571;
  if (bool571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe573 = gc_frame_new();
// call case 5: prelude request
  Object call574 = callmethodflags(prelude, "inBrowser", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe573);
// compiled member node returning call574 (depth = 3)
  Object if572 = done;
  if (istrue(call574)) {
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe575 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit577 == NULL) {
    strlit577 = alloc_String(".js");
    gc_root(strlit577);
  }
// compiled string node returning strlit577 (depth = 5)
  int op_slot_right_576 = gc_frame_newslot(strlit577);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nm (depth = 5)
  int op_slot_left_576 = gc_frame_newslot(*var_nm);
  params[0] = strlit577;
  partcv[0] = 1;
  Object opresult579 = callmethod(*var_nm, "++(1)", 1, partcv, params);
// compiled op node returning opresult579 (depth = 4)
  gc_frame_newslot(opresult579);
// starting to compile string node (depth = 4)
  if (strlit580 == NULL) {
    strlit580 = alloc_String("");
    gc_root(strlit580);
  }
// compiled string node returning strlit580 (depth = 4)
  gc_frame_newslot(strlit580);
// starting to compile block node (depth = 4)
  Object block581 = alloc_Block(NULL, NULL, "xmodule", 163);
  gc_frame_newslot(block581);
// method "_apply(_)"
  block_savedest(block581);
  Object closure582 = createclosure(5, "_apply(1)");
  setclosureframe(closure582, stackframe);
  addtoclosure(closure582, var_nm);
  addtoclosure(closure582, var_line);
  addtoclosure(closure582, var_linePos);
  addtoclosure(closure582, var_errormessages);
  addtoclosure(closure582, selfslot);
  struct UserObject *uo582 = (struct UserObject*)block581;
  uo582->data[0] = (Object)closure582;
  Method *meth_meth_xmodule__apply_40_1_41_582 = addmethod2pos(block581, "_apply(1)", &meth_xmodule__apply_40_1_41_582, 0);
  int argcv_meth_xmodule__apply_40_1_41_582[] = {1};
  meth_meth_xmodule__apply_40_1_41_582->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_582);
  meth_meth_xmodule__apply_40_1_41_582->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_582->definitionLine = 565;
// compiled block node returning block581 (depth = 4)
  gc_frame_newslot(block581);
// call case 6: other requests
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = opresult579;
  params[1] = strlit580;
  params[2] = block581;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call603 = callmethodflags(*var_util, "file(1)onPath(1)otherwise(1)", 3, partcv, params, 0);
  gc_frame_end(callframe575);
// compiled call node returning call603 (depth = 3)
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if572 = undefined;
  } else {
  }
// compiled if node returning if572 (depth = 2)
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe604 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit605 == NULL) {
    strlit605 = alloc_String("GRACE_MODULE_PATH");
    gc_root(strlit605);
  }
// compiled string node returning strlit605 (depth = 4)
  gc_frame_newslot(strlit605);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sys (depth = 5)
  Object call607 = callmethodflags(*var_sys, "environ", 0, partcv, params, 0);
  gc_frame_end(callframe606);
// compiled member node returning call607 (depth = 4)
  params[0] = strlit605;
  partcv[0] = 1;
  Object call608 = callmethodflags(call607, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe604);
// compiled call node returning call608 (depth = 3)
  *var_gmp = call608;
  if (call608 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe609 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit610 == NULL) {
    strlit610 = alloc_String("grace");
    gc_root(strlit610);
  }
// compiled string node returning strlit610 (depth = 4)
  gc_frame_newslot(strlit610);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe611 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pathname (depth = 5)
  gc_frame_newslot(*var_pathname);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_filePath (depth = 5)
  params[0] = *var_pathname;
  partcv[0] = 1;
  Object call612 = callmethodflags(*var_filePath, "fromString(1)", 1, partcv, params, 0);
  gc_frame_end(callframe611);
// compiled call node returning call612 (depth = 4)
  params[0] = strlit610;
  partcv[0] = 1;
  Object call613 = callmethodflags(call612, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe609);
// compiled call node returning call613 (depth = 3)
  *var_pn = call613;
  if (call613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe614 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pn (depth = 4)
  gc_frame_newslot(*var_pn);
// starting to compile member node (depth = 4)
  int callframe615 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call616 = callmethodflags(*var_util, "sourceDir", 0, partcv, params, 0);
  gc_frame_end(callframe615);
// compiled member node returning call616 (depth = 4)
  gc_frame_newslot(call616);
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gmp (depth = 4)
  gc_frame_newslot(*var_gmp);
// starting to compile block node (depth = 4)
  Object block617 = alloc_Block(NULL, NULL, "xmodule", 172);
  gc_frame_newslot(block617);
// method "_apply(_)"
  block_savedest(block617);
  Object closure618 = createclosure(3, "_apply(1)");
  setclosureframe(closure618, stackframe);
  addtoclosure(closure618, var_noSource);
  addtoclosure(closure618, var_pn);
  addtoclosure(closure618, selfslot);
  struct UserObject *uo618 = (struct UserObject*)block617;
  uo618->data[0] = (Object)closure618;
  Method *meth_meth_xmodule__apply_40_1_41_618 = addmethod2pos(block617, "_apply(1)", &meth_xmodule__apply_40_1_41_618, 0);
  int argcv_meth_xmodule__apply_40_1_41_618[] = {1};
  meth_meth_xmodule__apply_40_1_41_618->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_618);
  meth_meth_xmodule__apply_40_1_41_618->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_618->definitionLine = 565;
// compiled block node returning block617 (depth = 4)
  gc_frame_newslot(block617);
// call case 6: other requests
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_pn;
  params[1] = call616;
  params[2] = *var_gmp;
  params[3] = block617;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call622 = callmethodflags(*var_util, "file(1)on(1)orPath(1)otherwise(1)", 4, partcv, params, 0);
  gc_frame_end(callframe614);
// compiled call node returning call622 (depth = 3)
  *var_moduleFileGrace = call622;
  if (call622 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe623 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit624 == NULL) {
    strlit624 = alloc_String(".gct");
    gc_root(strlit624);
  }
// compiled string node returning strlit624 (depth = 4)
  gc_frame_newslot(strlit624);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe625 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleFileGrace (depth = 5)
  Object call626 = callmethodflags(*var_moduleFileGrace, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe625);
// compiled member node returning call626 (depth = 4)
  params[0] = strlit624;
  partcv[0] = 1;
  Object call627 = callmethodflags(call626, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe623);
// compiled call node returning call627 (depth = 3)
  *var_moduleFileGct = call627;
  if (call627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe630 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call631 = callmethodflags(*var_util, "outDir", 0, partcv, params, 0);
  gc_frame_end(callframe630);
// compiled member node returning call631 (depth = 4)
  int op_slot_right_629 = gc_frame_newslot(call631);
// starting to compile member node (depth = 4)
  int callframe633 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call634 = callmethodflags(*var_util, "sourceDir", 0, partcv, params, 0);
  gc_frame_end(callframe633);
// compiled member node returning call634 (depth = 4)
  int op_slot_left_629 = gc_frame_newslot(call634);
  params[0] = call631;
  partcv[0] = 1;
  Object opresult635 = callmethod(call634, "≠(1)", 1, partcv, params);
// compiled op node returning opresult635 (depth = 3)
  Object if628 = done;
  if (istrue(opresult635)) {
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe636 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe637 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call638 = callmethodflags(*var_util, "outDir", 0, partcv, params, 0);
  gc_frame_end(callframe637);
// compiled member node returning call638 (depth = 4)
  gc_frame_newslot(call638);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleFileGct (depth = 4)
  params[0] = call638;
  partcv[0] = 1;
  Object call639 = callmethodflags(*var_moduleFileGct, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe636);
// compiled call node returning call639 (depth = 3)
    gc_frame_newslot(call639);
    if628 = call639;
  } else {
  }
// compiled if node returning if628 (depth = 2)
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit642 == NULL) {
    strlit642 = alloc_String("c");
    gc_root(strlit642);
  }
// compiled string node returning strlit642 (depth = 4)
  int op_slot_right_641 = gc_frame_newslot(strlit642);
// starting to compile member node (depth = 4)
  int callframe644 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call645 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe644);
// compiled member node returning call645 (depth = 4)
  int op_slot_left_641 = gc_frame_newslot(call645);
  params[0] = strlit642;
  partcv[0] = 1;
  Object opresult646 = callmethod(call645, "==(1)", 1, partcv, params);
// compiled op node returning opresult646 (depth = 3)
  Object if640 = done;
  if (istrue(opresult646)) {
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe647 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit648 == NULL) {
    strlit648 = alloc_String(".gso");
    gc_root(strlit648);
  }
// compiled string node returning strlit648 (depth = 5)
  gc_frame_newslot(strlit648);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe649 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_moduleFileGct (depth = 6)
  Object call650 = callmethodflags(*var_moduleFileGct, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe649);
// compiled member node returning call650 (depth = 5)
  params[0] = strlit648;
  partcv[0] = 1;
  Object call651 = callmethodflags(call650, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe647);
// compiled call node returning call651 (depth = 4)
  *var_moduleFileGso = call651;
  if (call651 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe652 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit653 == NULL) {
    strlit653 = alloc_String(".gcn");
    gc_root(strlit653);
  }
// compiled string node returning strlit653 (depth = 5)
  gc_frame_newslot(strlit653);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe654 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_moduleFileGct (depth = 6)
  Object call655 = callmethodflags(*var_moduleFileGct, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe654);
// compiled member node returning call655 (depth = 5)
  params[0] = strlit653;
  partcv[0] = 1;
  Object call656 = callmethodflags(call655, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe652);
// compiled call node returning call656 (depth = 4)
  *var_moduleFileGcn = call656;
  if (call656 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block658 = alloc_Block(NULL, NULL, "xmodule", 184);
  gc_frame_newslot(block658);
// method "_apply"
  block_savedest(block658);
  Object closure659 = createclosure(3, "_apply");
  setclosureframe(closure659, stackframe);
  addtoclosure(closure659, var_nm);
  addtoclosure(closure659, var_dynamicCModules);
  addtoclosure(closure659, selfslot);
  struct UserObject *uo659 = (struct UserObject*)block658;
  uo659->data[0] = (Object)closure659;
  Method *meth_meth_xmodule__apply659 = addmethod2pos(block658, "_apply", &meth_xmodule__apply659, 0);
  int argcv_meth_xmodule__apply659[] = {0};
  meth_meth_xmodule__apply659->type = alloc_MethodType(1, argcv_meth_xmodule__apply659);
  meth_meth_xmodule__apply659->definitionModule = modulename;
  meth_meth_xmodule__apply659->definitionLine = 565;
// compiled block node returning block658 (depth = 5)
  int op_slot_right_657 = gc_frame_newslot(block658);
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe665 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call666 = callmethodflags(*var_util, "dynamicModule", 0, partcv, params, 0);
  gc_frame_end(callframe665);
// compiled member node returning call666 (depth = 6)
  int op_slot_right_664 = gc_frame_newslot(call666);
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe669 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call670 = callmethodflags(*var_util, "importDynamic", 0, partcv, params, 0);
  gc_frame_end(callframe669);
// compiled member node returning call670 (depth = 7)
  int op_slot_right_668 = gc_frame_newslot(call670);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_isDialect (depth = 7)
  int op_slot_left_668 = gc_frame_newslot(*var_isDialect);
  params[0] = call670;
  partcv[0] = 1;
  Object opresult672 = callmethod(*var_isDialect, "||(1)", 1, partcv, params);
// compiled op node returning opresult672 (depth = 6)
  int op_slot_left_664 = gc_frame_newslot(opresult672);
  params[0] = call666;
  partcv[0] = 1;
  Object opresult673 = callmethod(opresult672, "||(1)", 1, partcv, params);
// compiled op node returning opresult673 (depth = 5)
  int op_slot_left_657 = gc_frame_newslot(opresult673);
  params[0] = block658;
  partcv[0] = 1;
  Object opresult674 = callmethod(opresult673, "||(1)", 1, partcv, params);
// compiled op node returning opresult674 (depth = 4)
  *var_needsDynamic = opresult674;
  if (opresult674 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe675 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num676 = alloc_Float64(100);
// compiled num node returning num676 (depth = 4)
  gc_frame_newslot(num676);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit678 == NULL) {
    strlit678 = alloc_String(".");
    gc_root(strlit678);
  }
// compiled string node returning strlit678 (depth = 5)
  int op_slot_right_677 = gc_frame_newslot(strlit678);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_needsDynamic (depth = 6)
  int op_slot_right_680 = gc_frame_newslot(*var_needsDynamic);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit683 == NULL) {
    strlit683 = alloc_String(" is ");
    gc_root(strlit683);
  }
// compiled string node returning strlit683 (depth = 7)
  int op_slot_right_682 = gc_frame_newslot(strlit683);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nm (depth = 8)
  int op_slot_right_685 = gc_frame_newslot(*var_nm);
// starting to compile string node (depth = 8)
  if (strlit687 == NULL) {
    strlit687 = alloc_String("needsDynamic for ");
    gc_root(strlit687);
  }
// compiled string node returning strlit687 (depth = 8)
  int op_slot_left_685 = gc_frame_newslot(strlit687);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult688 = callmethod(strlit687, "++(1)", 1, partcv, params);
// compiled op node returning opresult688 (depth = 7)
  int op_slot_left_682 = gc_frame_newslot(opresult688);
  params[0] = strlit683;
  partcv[0] = 1;
  Object opresult689 = callmethod(opresult688, "++(1)", 1, partcv, params);
// compiled op node returning opresult689 (depth = 6)
  int op_slot_left_680 = gc_frame_newslot(opresult689);
  params[0] = *var_needsDynamic;
  partcv[0] = 1;
  Object opresult690 = callmethod(opresult689, "++(1)", 1, partcv, params);
// compiled op node returning opresult690 (depth = 5)
  int op_slot_left_677 = gc_frame_newslot(opresult690);
  params[0] = strlit678;
  partcv[0] = 1;
  Object opresult691 = callmethod(opresult690, "++(1)", 1, partcv, params);
// compiled op node returning opresult691 (depth = 4)
  gc_frame_newslot(opresult691);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = num676;
  params[1] = opresult691;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call692 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe675);
// compiled call node returning call692 (depth = 3)
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_binaryFile = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_importsSet = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_needsDynamic (depth = 4)
  Object if693 = done;
  if (istrue(*var_needsDynamic)) {
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe694 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nm (depth = 5)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dynamicCModules (depth = 5)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call695 = callmethodflags(*var_dynamicCModules, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe694);
// compiled call node returning call695 (depth = 4)
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleFileGso (depth = 5)
  *var_binaryFile = *var_moduleFileGso;
  if (*var_moduleFileGso == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe697 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_imports (depth = 6)
  Object call698 = callmethodflags(*var_imports, "other", 0, partcv, params, 0);
  gc_frame_end(callframe697);
// compiled member node returning call698 (depth = 5)
  *var_importsSet = call698;
  if (call698 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if693 = done;
  } else {
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleFileGcn (depth = 5)
  *var_binaryFile = *var_moduleFileGcn;
  if (*var_moduleFileGcn == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe701 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_imports (depth = 6)
  Object call702 = callmethodflags(*var_imports, "static", 0, partcv, params, 0);
  gc_frame_end(callframe701);
// compiled member node returning call702 (depth = 5)
  *var_importsSet = call702;
  if (call702 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if693 = done;
  }
// compiled if node returning if693 (depth = 3)
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe706 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe707 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_binaryFile (depth = 7)
  Object call708 = callmethodflags(*var_binaryFile, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe707);
// compiled member node returning call708 (depth = 6)
  Object call709 = callmethodflags(call708, "not", 0, partcv, params, 0);
  gc_frame_end(callframe706);
// compiled member node returning call709 (depth = 5)
  int op_slot_right_705 = gc_frame_newslot(call709);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noSource (depth = 5)
  int op_slot_left_705 = gc_frame_newslot(*var_noSource);
  params[0] = call709;
  partcv[0] = 1;
  Object opresult711 = callmethod(*var_noSource, "&&(1)", 1, partcv, params);
// compiled op node returning opresult711 (depth = 4)
  Object if704 = done;
  if (istrue(opresult711)) {
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe712 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_binaryFile (depth = 6)
  gc_frame_newslot(*var_binaryFile);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gmp (depth = 6)
  gc_frame_newslot(*var_gmp);
// starting to compile block node (depth = 6)
  Object block713 = alloc_Block(NULL, NULL, "xmodule", 197);
  gc_frame_newslot(block713);
// method "_apply(_)"
  block_savedest(block713);
  Object closure714 = createclosure(5, "_apply(1)");
  setclosureframe(closure714, stackframe);
  addtoclosure(closure714, var_binaryFile);
  addtoclosure(closure714, var_pn);
  addtoclosure(closure714, var_line);
  addtoclosure(closure714, var_errormessages);
  addtoclosure(closure714, selfslot);
  struct UserObject *uo714 = (struct UserObject*)block713;
  uo714->data[0] = (Object)closure714;
  Method *meth_meth_xmodule__apply_40_1_41_714 = addmethod2pos(block713, "_apply(1)", &meth_xmodule__apply_40_1_41_714, 0);
  int argcv_meth_xmodule__apply_40_1_41_714[] = {1};
  meth_meth_xmodule__apply_40_1_41_714->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_714);
  meth_meth_xmodule__apply_40_1_41_714->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_714->definitionLine = 565;
// compiled block node returning block713 (depth = 6)
  gc_frame_newslot(block713);
// call case 6: other requests
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  params[0] = *var_binaryFile;
  params[1] = *var_gmp;
  params[2] = block713;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call744 = callmethodflags(*var_util, "file(1)onPath(1)otherwise(1)", 3, partcv, params, 0);
  gc_frame_end(callframe712);
// compiled call node returning call744 (depth = 5)
  *var_binaryFile = call744;
  if (call744 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe746 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe747 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_binaryFile (depth = 6)
  Object call748 = callmethodflags(*var_binaryFile, "directory", 0, partcv, params, 0);
  gc_frame_end(callframe747);
// compiled member node returning call748 (depth = 5)
  gc_frame_newslot(call748);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleFileGct (depth = 5)
  params[0] = call748;
  partcv[0] = 1;
  Object call749 = callmethodflags(*var_moduleFileGct, "setDirectory(1)", 1, partcv, params, 0);
  gc_frame_end(callframe746);
// compiled call node returning call749 (depth = 4)
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe751 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe752 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_moduleFileGct (depth = 7)
  Object call753 = callmethodflags(*var_moduleFileGct, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe752);
// compiled member node returning call753 (depth = 6)
  Object call754 = callmethodflags(call753, "not", 0, partcv, params, 0);
  gc_frame_end(callframe751);
// compiled member node returning call754 (depth = 5)
  Object if750 = done;
  if (istrue(call754)) {
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe755 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit758 == NULL) {
    strlit758 = alloc_String(" nor source.");
    gc_root(strlit758);
  }
// compiled string node returning strlit758 (depth = 8)
  int op_slot_right_757 = gc_frame_newslot(strlit758);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleFileGct (depth = 9)
  int op_slot_right_760 = gc_frame_newslot(*var_moduleFileGct);
// starting to compile string node (depth = 9)
  if (strlit762 == NULL) {
    strlit762 = alloc_String("");
    gc_root(strlit762);
  }
// compiled string node returning strlit762 (depth = 9)
  int op_slot_left_760 = gc_frame_newslot(strlit762);
  params[0] = *var_moduleFileGct;
  partcv[0] = 1;
  Object opresult763 = callmethod(strlit762, "++(1)", 1, partcv, params);
// compiled op node returning opresult763 (depth = 8)
  int op_slot_left_757 = gc_frame_newslot(opresult763);
  params[0] = strlit758;
  partcv[0] = 1;
  Object opresult764 = callmethod(opresult763, "++(1)", 1, partcv, params);
// compiled op node returning opresult764 (depth = 7)
  int op_slot_right_756 = gc_frame_newslot(opresult764);
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit767 == NULL) {
    strlit767 = alloc_String(", but neither ");
    gc_root(strlit767);
  }
// compiled string node returning strlit767 (depth = 8)
  int op_slot_right_766 = gc_frame_newslot(strlit767);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_binaryFile (depth = 9)
  int op_slot_right_769 = gc_frame_newslot(*var_binaryFile);
// starting to compile string node (depth = 9)
  if (strlit771 == NULL) {
    strlit771 = alloc_String("I found ");
    gc_root(strlit771);
  }
// compiled string node returning strlit771 (depth = 9)
  int op_slot_left_769 = gc_frame_newslot(strlit771);
  params[0] = *var_binaryFile;
  partcv[0] = 1;
  Object opresult772 = callmethod(strlit771, "++(1)", 1, partcv, params);
// compiled op node returning opresult772 (depth = 8)
  int op_slot_left_766 = gc_frame_newslot(opresult772);
  params[0] = strlit767;
  partcv[0] = 1;
  Object opresult773 = callmethod(opresult772, "++(1)", 1, partcv, params);
// compiled op node returning opresult773 (depth = 7)
  int op_slot_left_756 = gc_frame_newslot(opresult773);
  params[0] = opresult764;
  partcv[0] = 1;
  Object opresult774 = callmethod(opresult773, "++(1)", 1, partcv, params);
// compiled op node returning opresult774 (depth = 6)
  gc_frame_newslot(opresult774);
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult774;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call775 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe755);
// compiled call node returning call775 (depth = 5)
    gc_frame_newslot(call775);
    if750 = call775;
  } else {
  }
// compiled if node returning if750 (depth = 4)
    gc_frame_newslot(if750);
    if704 = if750;
  } else {
  }
// compiled if node returning if704 (depth = 3)
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe777 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_needsDynamic (depth = 5)
  Object call778 = callmethodflags(*var_needsDynamic, "not", 0, partcv, params, 0);
  gc_frame_end(callframe777);
// compiled member node returning call778 (depth = 4)
  Object if776 = done;
  if (istrue(call778)) {
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe779 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe780 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_binaryFile (depth = 6)
  Object call781 = callmethodflags(*var_binaryFile, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe780);
// compiled member node returning call781 (depth = 5)
  gc_frame_newslot(call781);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe782 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_imports (depth = 6)
  Object call783 = callmethodflags(*var_imports, "linkfiles", 0, partcv, params, 0);
  gc_frame_end(callframe782);
// compiled member node returning call783 (depth = 5)
  params[0] = call781;
  partcv[0] = 1;
  Object call784 = callmethodflags(call783, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe779);
// compiled call node returning call784 (depth = 4)
    gc_frame_newslot(call784);
    if776 = call784;
  } else {
  }
// compiled if node returning if776 (depth = 3)
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe785 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num786 = alloc_Float64(100);
// compiled num node returning num786 (depth = 4)
  gc_frame_newslot(num786);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit788 == NULL) {
    strlit788 = alloc_String(".");
    gc_root(strlit788);
  }
// compiled string node returning strlit788 (depth = 5)
  int op_slot_right_787 = gc_frame_newslot(strlit788);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe791 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_imports (depth = 7)
  Object call792 = callmethodflags(*var_imports, "linkfiles", 0, partcv, params, 0);
  gc_frame_end(callframe791);
// compiled member node returning call792 (depth = 6)
  int op_slot_right_790 = gc_frame_newslot(call792);
// starting to compile string node (depth = 6)
  if (strlit794 == NULL) {
    strlit794 = alloc_String("linkfiles is ");
    gc_root(strlit794);
  }
// compiled string node returning strlit794 (depth = 6)
  int op_slot_left_790 = gc_frame_newslot(strlit794);
  params[0] = call792;
  partcv[0] = 1;
  Object opresult795 = callmethod(strlit794, "++(1)", 1, partcv, params);
// compiled op node returning opresult795 (depth = 5)
  int op_slot_left_787 = gc_frame_newslot(opresult795);
  params[0] = strlit788;
  partcv[0] = 1;
  Object opresult796 = callmethod(opresult795, "++(1)", 1, partcv, params);
// compiled op node returning opresult796 (depth = 4)
  gc_frame_newslot(opresult796);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = num786;
  params[1] = opresult796;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call797 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe785);
// compiled call node returning call797 (depth = 3)
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block800 = alloc_Block(NULL, NULL, "xmodule", 214);
  gc_frame_newslot(block800);
// method "_apply"
  block_savedest(block800);
  Object closure801 = createclosure(4, "_apply");
  setclosureframe(closure801, stackframe);
  addtoclosure(closure801, var_moduleFileGrace);
  addtoclosure(closure801, var_binaryFile);
  addtoclosure(closure801, var_noSource);
  addtoclosure(closure801, selfslot);
  struct UserObject *uo801 = (struct UserObject*)block800;
  uo801->data[0] = (Object)closure801;
  Method *meth_meth_xmodule__apply801 = addmethod2pos(block800, "_apply", &meth_xmodule__apply801, 0);
  int argcv_meth_xmodule__apply801[] = {0};
  meth_meth_xmodule__apply801->type = alloc_MethodType(1, argcv_meth_xmodule__apply801);
  meth_meth_xmodule__apply801->definitionModule = modulename;
  meth_meth_xmodule__apply801->definitionLine = 565;
// compiled block node returning block800 (depth = 5)
  int op_slot_right_799 = gc_frame_newslot(block800);
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block813 = alloc_Block(NULL, NULL, "xmodule", 213);
  gc_frame_newslot(block813);
// method "_apply"
  block_savedest(block813);
  Object closure814 = createclosure(2, "_apply");
  setclosureframe(closure814, stackframe);
  addtoclosure(closure814, var_moduleFileGct);
  addtoclosure(closure814, selfslot);
  struct UserObject *uo814 = (struct UserObject*)block813;
  uo814->data[0] = (Object)closure814;
  Method *meth_meth_xmodule__apply814 = addmethod2pos(block813, "_apply", &meth_xmodule__apply814, 0);
  int argcv_meth_xmodule__apply814[] = {0};
  meth_meth_xmodule__apply814->type = alloc_MethodType(1, argcv_meth_xmodule__apply814);
  meth_meth_xmodule__apply814->definitionModule = modulename;
  meth_meth_xmodule__apply814->definitionLine = 565;
// compiled block node returning block813 (depth = 6)
  int op_slot_right_812 = gc_frame_newslot(block813);
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe819 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_binaryFile (depth = 7)
  Object call820 = callmethodflags(*var_binaryFile, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe819);
// compiled member node returning call820 (depth = 6)
  int op_slot_left_812 = gc_frame_newslot(call820);
  params[0] = block813;
  partcv[0] = 1;
  Object opresult821 = callmethod(call820, "&&(1)", 1, partcv, params);
// compiled op node returning opresult821 (depth = 5)
  int op_slot_left_799 = gc_frame_newslot(opresult821);
  params[0] = block800;
  partcv[0] = 1;
  Object opresult822 = callmethod(opresult821, "&&(1)", 1, partcv, params);
// compiled op node returning opresult822 (depth = 4)
  Object if798 = done;
  if (istrue(opresult822)) {
    gc_frame_newslot(done);
    if798 = done;
  } else {
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe824 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe825 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_binaryFile (depth = 7)
  Object call826 = callmethodflags(*var_binaryFile, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe825);
// compiled member node returning call826 (depth = 6)
  Object call827 = callmethodflags(call826, "not", 0, partcv, params, 0);
  gc_frame_end(callframe824);
// compiled member node returning call827 (depth = 5)
  Object if823 = done;
  if (istrue(call827)) {
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe828 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num829 = alloc_Float64(60);
// compiled num node returning num829 (depth = 6)
  gc_frame_newslot(num829);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit831 == NULL) {
    strlit831 = alloc_String(" does not exist");
    gc_root(strlit831);
  }
// compiled string node returning strlit831 (depth = 7)
  int op_slot_right_830 = gc_frame_newslot(strlit831);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_binaryFile (depth = 8)
  int op_slot_right_833 = gc_frame_newslot(*var_binaryFile);
// starting to compile string node (depth = 8)
  if (strlit835 == NULL) {
    strlit835 = alloc_String("");
    gc_root(strlit835);
  }
// compiled string node returning strlit835 (depth = 8)
  int op_slot_left_833 = gc_frame_newslot(strlit835);
  params[0] = *var_binaryFile;
  partcv[0] = 1;
  Object opresult836 = callmethod(strlit835, "++(1)", 1, partcv, params);
// compiled op node returning opresult836 (depth = 7)
  int op_slot_left_830 = gc_frame_newslot(opresult836);
  params[0] = strlit831;
  partcv[0] = 1;
  Object opresult837 = callmethod(opresult836, "++(1)", 1, partcv, params);
// compiled op node returning opresult837 (depth = 6)
  gc_frame_newslot(opresult837);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  params[0] = num829;
  params[1] = opresult837;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call838 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe828);
// compiled call node returning call838 (depth = 5)
    gc_frame_newslot(call838);
    if823 = call838;
  } else {
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe840 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe841 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileGrace (depth = 8)
  gc_frame_newslot(*var_moduleFileGrace);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_binaryFile (depth = 8)
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object call842 = callmethodflags(*var_binaryFile, "newer(1)", 1, partcv, params, 0);
  gc_frame_end(callframe841);
// compiled call node returning call842 (depth = 7)
  Object call843 = callmethodflags(call842, "not", 0, partcv, params, 0);
  gc_frame_end(callframe840);
// compiled member node returning call843 (depth = 6)
  Object if839 = done;
  if (istrue(call843)) {
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe844 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num845 = alloc_Float64(60);
// compiled num node returning num845 (depth = 7)
  gc_frame_newslot(num845);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit847 == NULL) {
    strlit847 = alloc_String("");
    gc_root(strlit847);
  }
// compiled string node returning strlit847 (depth = 8)
  int op_slot_right_846 = gc_frame_newslot(strlit847);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleFileGrace (depth = 9)
  int op_slot_right_849 = gc_frame_newslot(*var_moduleFileGrace);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit852 == NULL) {
    strlit852 = alloc_String(" not newer than ");
    gc_root(strlit852);
  }
// compiled string node returning strlit852 (depth = 10)
  int op_slot_right_851 = gc_frame_newslot(strlit852);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_binaryFile (depth = 11)
  int op_slot_right_854 = gc_frame_newslot(*var_binaryFile);
// starting to compile string node (depth = 11)
  if (strlit856 == NULL) {
    strlit856 = alloc_String("");
    gc_root(strlit856);
  }
// compiled string node returning strlit856 (depth = 11)
  int op_slot_left_854 = gc_frame_newslot(strlit856);
  params[0] = *var_binaryFile;
  partcv[0] = 1;
  Object opresult857 = callmethod(strlit856, "++(1)", 1, partcv, params);
// compiled op node returning opresult857 (depth = 10)
  int op_slot_left_851 = gc_frame_newslot(opresult857);
  params[0] = strlit852;
  partcv[0] = 1;
  Object opresult858 = callmethod(opresult857, "++(1)", 1, partcv, params);
// compiled op node returning opresult858 (depth = 9)
  int op_slot_left_849 = gc_frame_newslot(opresult858);
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object opresult859 = callmethod(opresult858, "++(1)", 1, partcv, params);
// compiled op node returning opresult859 (depth = 8)
  int op_slot_left_846 = gc_frame_newslot(opresult859);
  params[0] = strlit847;
  partcv[0] = 1;
  Object opresult860 = callmethod(opresult859, "++(1)", 1, partcv, params);
// compiled op node returning opresult860 (depth = 7)
  gc_frame_newslot(opresult860);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  params[0] = num845;
  params[1] = opresult860;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call861 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe844);
// compiled call node returning call861 (depth = 6)
    gc_frame_newslot(call861);
    if839 = call861;
  } else {
  }
// compiled if node returning if839 (depth = 5)
    gc_frame_newslot(if839);
    if823 = if839;
  }
// compiled if node returning if823 (depth = 4)
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe862 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nm (depth = 5)
  gc_frame_newslot(*var_nm);
// starting to compile member node (depth = 5)
  int callframe863 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_moduleFileGrace (depth = 6)
  Object call864 = callmethodflags(*var_moduleFileGrace, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe863);
// compiled member node returning call864 (depth = 5)
  gc_frame_newslot(call864);
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isDialect (depth = 5)
  gc_frame_newslot(*var_isDialect);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_line (depth = 5)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_linePos (depth = 5)
  gc_frame_newslot(*var_linePos);
// call case 4: self request
  params[0] = *var_nm;
  params[1] = call864;
  params[2] = *var_isDialect;
  params[3] = *var_line;
  params[4] = *var_linePos;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 2;
  Object call865 = callmethodflags(self, "compileModule(1)inFile(1)forDialect(1)atRange(2)", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe862);
// compiled call node returning call865 (depth = 4)
    gc_frame_newslot(call865);
    if798 = call865;
  }
// compiled if node returning if798 (depth = 3)
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe866 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nm (depth = 4)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_importsSet (depth = 4)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call867 = callmethodflags(*var_importsSet, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe866);
// compiled call node returning call867 (depth = 3)
    gc_frame_newslot(call867);
    if640 = call867;
  } else {
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit870 == NULL) {
    strlit870 = alloc_String("js");
    gc_root(strlit870);
  }
// compiled string node returning strlit870 (depth = 5)
  int op_slot_right_869 = gc_frame_newslot(strlit870);
// starting to compile member node (depth = 5)
  int callframe872 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call873 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe872);
// compiled member node returning call873 (depth = 5)
  int op_slot_left_869 = gc_frame_newslot(call873);
  params[0] = strlit870;
  partcv[0] = 1;
  Object opresult874 = callmethod(call873, "==(1)", 1, partcv, params);
// compiled op node returning opresult874 (depth = 4)
  Object if868 = done;
  if (istrue(opresult874)) {
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe875 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit876 == NULL) {
    strlit876 = alloc_String(".js");
    gc_root(strlit876);
  }
// compiled string node returning strlit876 (depth = 6)
  gc_frame_newslot(strlit876);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe877 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_moduleFileGct (depth = 7)
  Object call878 = callmethodflags(*var_moduleFileGct, "copy", 0, partcv, params, 0);
  gc_frame_end(callframe877);
// compiled member node returning call878 (depth = 6)
  params[0] = strlit876;
  partcv[0] = 1;
  Object call879 = callmethodflags(call878, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe875);
// compiled call node returning call879 (depth = 5)
  *var_moduleFileJs = call879;
  if (call879 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 6)
  Object block882 = alloc_Block(NULL, NULL, "xmodule", 231);
  gc_frame_newslot(block882);
// method "_apply"
  block_savedest(block882);
  Object closure883 = createclosure(4, "_apply");
  setclosureframe(closure883, stackframe);
  addtoclosure(closure883, var_moduleFileGrace);
  addtoclosure(closure883, var_moduleFileJs);
  addtoclosure(closure883, var_noSource);
  addtoclosure(closure883, selfslot);
  struct UserObject *uo883 = (struct UserObject*)block882;
  uo883->data[0] = (Object)closure883;
  Method *meth_meth_xmodule__apply883 = addmethod2pos(block882, "_apply", &meth_xmodule__apply883, 0);
  int argcv_meth_xmodule__apply883[] = {0};
  meth_meth_xmodule__apply883->type = alloc_MethodType(1, argcv_meth_xmodule__apply883);
  meth_meth_xmodule__apply883->definitionModule = modulename;
  meth_meth_xmodule__apply883->definitionLine = 565;
// compiled block node returning block882 (depth = 6)
  int op_slot_right_881 = gc_frame_newslot(block882);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block895 = alloc_Block(NULL, NULL, "xmodule", 230);
  gc_frame_newslot(block895);
// method "_apply"
  block_savedest(block895);
  Object closure896 = createclosure(2, "_apply");
  setclosureframe(closure896, stackframe);
  addtoclosure(closure896, var_moduleFileGct);
  addtoclosure(closure896, selfslot);
  struct UserObject *uo896 = (struct UserObject*)block895;
  uo896->data[0] = (Object)closure896;
  Method *meth_meth_xmodule__apply896 = addmethod2pos(block895, "_apply", &meth_xmodule__apply896, 0);
  int argcv_meth_xmodule__apply896[] = {0};
  meth_meth_xmodule__apply896->type = alloc_MethodType(1, argcv_meth_xmodule__apply896);
  meth_meth_xmodule__apply896->definitionModule = modulename;
  meth_meth_xmodule__apply896->definitionLine = 565;
// compiled block node returning block895 (depth = 7)
  int op_slot_right_894 = gc_frame_newslot(block895);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe901 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileJs (depth = 8)
  Object call902 = callmethodflags(*var_moduleFileJs, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe901);
// compiled member node returning call902 (depth = 7)
  int op_slot_left_894 = gc_frame_newslot(call902);
  params[0] = block895;
  partcv[0] = 1;
  Object opresult903 = callmethod(call902, "&&(1)", 1, partcv, params);
// compiled op node returning opresult903 (depth = 6)
  int op_slot_left_881 = gc_frame_newslot(opresult903);
  params[0] = block882;
  partcv[0] = 1;
  Object opresult904 = callmethod(opresult903, "&&(1)", 1, partcv, params);
// compiled op node returning opresult904 (depth = 5)
  Object if880 = done;
  if (istrue(opresult904)) {
    gc_frame_newslot(done);
    if880 = done;
  } else {
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe906 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe907 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileGrace (depth = 8)
  gc_frame_newslot(*var_moduleFileGrace);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileJs (depth = 8)
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object call908 = callmethodflags(*var_moduleFileJs, "newer(1)", 1, partcv, params, 0);
  gc_frame_end(callframe907);
// compiled call node returning call908 (depth = 7)
  Object call909 = callmethodflags(call908, "not", 0, partcv, params, 0);
  gc_frame_end(callframe906);
// compiled member node returning call909 (depth = 6)
  Object if905 = done;
  if (istrue(call909)) {
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe910 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num911 = alloc_Float64(60);
// compiled num node returning num911 (depth = 7)
  gc_frame_newslot(num911);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit913 == NULL) {
    strlit913 = alloc_String("");
    gc_root(strlit913);
  }
// compiled string node returning strlit913 (depth = 8)
  int op_slot_right_912 = gc_frame_newslot(strlit913);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleFileGrace (depth = 9)
  int op_slot_right_915 = gc_frame_newslot(*var_moduleFileGrace);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit918 == NULL) {
    strlit918 = alloc_String(" not newer than ");
    gc_root(strlit918);
  }
// compiled string node returning strlit918 (depth = 10)
  int op_slot_right_917 = gc_frame_newslot(strlit918);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_moduleFileJs (depth = 11)
  int op_slot_right_920 = gc_frame_newslot(*var_moduleFileJs);
// starting to compile string node (depth = 11)
  if (strlit922 == NULL) {
    strlit922 = alloc_String("");
    gc_root(strlit922);
  }
// compiled string node returning strlit922 (depth = 11)
  int op_slot_left_920 = gc_frame_newslot(strlit922);
  params[0] = *var_moduleFileJs;
  partcv[0] = 1;
  Object opresult923 = callmethod(strlit922, "++(1)", 1, partcv, params);
// compiled op node returning opresult923 (depth = 10)
  int op_slot_left_917 = gc_frame_newslot(opresult923);
  params[0] = strlit918;
  partcv[0] = 1;
  Object opresult924 = callmethod(opresult923, "++(1)", 1, partcv, params);
// compiled op node returning opresult924 (depth = 9)
  int op_slot_left_915 = gc_frame_newslot(opresult924);
  params[0] = *var_moduleFileGrace;
  partcv[0] = 1;
  Object opresult925 = callmethod(opresult924, "++(1)", 1, partcv, params);
// compiled op node returning opresult925 (depth = 8)
  int op_slot_left_912 = gc_frame_newslot(opresult925);
  params[0] = strlit913;
  partcv[0] = 1;
  Object opresult926 = callmethod(opresult925, "++(1)", 1, partcv, params);
// compiled op node returning opresult926 (depth = 7)
  gc_frame_newslot(opresult926);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  params[0] = num911;
  params[1] = opresult926;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call927 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe910);
// compiled call node returning call927 (depth = 6)
    gc_frame_newslot(call927);
    if905 = call927;
  } else {
  }
// compiled if node returning if905 (depth = 5)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe929 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_moduleFileGrace (depth = 7)
  Object call930 = callmethodflags(*var_moduleFileGrace, "exists", 0, partcv, params, 0);
  gc_frame_end(callframe929);
// compiled member node returning call930 (depth = 6)
  Object if928 = done;
  if (istrue(call930)) {
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe931 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nm (depth = 7)
  gc_frame_newslot(*var_nm);
// starting to compile member node (depth = 7)
  int callframe932 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_moduleFileGrace (depth = 8)
  Object call933 = callmethodflags(*var_moduleFileGrace, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe932);
// compiled member node returning call933 (depth = 7)
  gc_frame_newslot(call933);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_isDialect (depth = 7)
  gc_frame_newslot(*var_isDialect);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_line (depth = 7)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_linePos (depth = 7)
  gc_frame_newslot(*var_linePos);
// call case 4: self request
  params[0] = *var_nm;
  params[1] = call933;
  params[2] = *var_isDialect;
  params[3] = *var_line;
  params[4] = *var_linePos;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 2;
  Object call934 = callmethodflags(self, "compileModule(1)inFile(1)forDialect(1)atRange(2)", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe931);
// compiled call node returning call934 (depth = 6)
    gc_frame_newslot(call934);
    if928 = call934;
  } else {
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_isDialect (depth = 8)
  Object if935 = done;
struct StackFrameObject *iftmpstackframe935 = stackframe;
  if (istrue(*var_isDialect)) {
stackframe = alloc_StackFrame(0, iftmpstackframe935);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit936 == NULL) {
    strlit936 = alloc_String("dialect");
    gc_root(strlit936);
  }
// compiled string node returning strlit936 (depth = 8)
    gc_frame_newslot(strlit936);
    if935 = strlit936;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe935);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit937 == NULL) {
    strlit937 = alloc_String("module");
    gc_root(strlit937);
  }
// compiled string node returning strlit937 (depth = 8)
    gc_frame_newslot(strlit937);
    if935 = strlit937;
  }
stackframe = iftmpstackframe935;
// compiled if node returning if935 (depth = 7)
  *var_thing = if935;
  if (if935 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe938 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit940 == NULL) {
    strlit940 = alloc_String("");
    gc_root(strlit940);
  }
// compiled string node returning strlit940 (depth = 8)
  int op_slot_right_939 = gc_frame_newslot(strlit940);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nm (depth = 9)
  int op_slot_right_942 = gc_frame_newslot(*var_nm);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit945 == NULL) {
    strlit945 = alloc_String(" ");
    gc_root(strlit945);
  }
// compiled string node returning strlit945 (depth = 10)
  int op_slot_right_944 = gc_frame_newslot(strlit945);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_thing (depth = 11)
  int op_slot_right_947 = gc_frame_newslot(*var_thing);
// starting to compile string node (depth = 11)
  if (strlit949 == NULL) {
    strlit949 = alloc_String("Can't find ");
    gc_root(strlit949);
  }
// compiled string node returning strlit949 (depth = 11)
  int op_slot_left_947 = gc_frame_newslot(strlit949);
  params[0] = *var_thing;
  partcv[0] = 1;
  Object opresult950 = callmethod(strlit949, "++(1)", 1, partcv, params);
// compiled op node returning opresult950 (depth = 10)
  int op_slot_left_944 = gc_frame_newslot(opresult950);
  params[0] = strlit945;
  partcv[0] = 1;
  Object opresult951 = callmethod(opresult950, "++(1)", 1, partcv, params);
// compiled op node returning opresult951 (depth = 9)
  int op_slot_left_942 = gc_frame_newslot(opresult951);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult952 = callmethod(opresult951, "++(1)", 1, partcv, params);
// compiled op node returning opresult952 (depth = 8)
  int op_slot_left_939 = gc_frame_newslot(opresult952);
  params[0] = strlit940;
  partcv[0] = 1;
  Object opresult953 = callmethod(opresult952, "++(1)", 1, partcv, params);
// compiled op node returning opresult953 (depth = 7)
  gc_frame_newslot(opresult953);
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_line (depth = 7)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult953;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call954 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe938);
// compiled call node returning call954 (depth = 6)
    gc_frame_newslot(call954);
    if928 = call954;
  }
// compiled if node returning if928 (depth = 5)
    gc_frame_newslot(if928);
    if880 = if928;
  }
// compiled if node returning if880 (depth = 4)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe955 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nm (depth = 5)
  gc_frame_newslot(*var_nm);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe956 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_imports (depth = 6)
  Object call957 = callmethodflags(*var_imports, "other", 0, partcv, params, 0);
  gc_frame_end(callframe956);
// compiled member node returning call957 (depth = 5)
  params[0] = *var_nm;
  partcv[0] = 1;
  Object call958 = callmethodflags(call957, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe955);
// compiled call node returning call958 (depth = 4)
    gc_frame_newslot(call958);
    if868 = call958;
  } else {
  }
// compiled if node returning if868 (depth = 3)
    gc_frame_newslot(if868);
    if640 = if868;
  }
// compiled if node returning if640 (depth = 2)
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe959 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe960 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleFileGct (depth = 4)
  Object call961 = callmethodflags(*var_moduleFileGct, "directory", 0, partcv, params, 0);
  gc_frame_end(callframe960);
// compiled member node returning call961 (depth = 3)
  gc_frame_newslot(call961);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_isDialect (depth = 3)
  gc_frame_newslot(*var_isDialect);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nm (depth = 3)
  gc_frame_newslot(*var_nm);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_line (depth = 3)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_linePos (depth = 3)
  gc_frame_newslot(*var_linePos);
// call case 4: self request
  params[0] = call961;
  params[1] = *var_isDialect;
  params[2] = *var_nm;
  params[3] = *var_line;
  params[4] = *var_linePos;
  partcv[0] = 5;
  Object call962 = callmethodflags(self, "addTransitiveImports(5)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe959);
// compiled call node returning call962 (depth = 2)
  gc_frame_end(frame);
  return call962;
}
Object meth_xmodule__apply966(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_moduleName = getfromclosure(closure, 0);
  Object *var_directory = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe967 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_moduleName (depth = 6)
  gc_frame_newslot(*var_moduleName);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_directory (depth = 6)
  gc_frame_newslot(*var_directory);
// call case 4: self request
  params[0] = *var_moduleName;
  params[1] = *var_directory;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call968 = callmethodflags(self, "parseGCT(1)sourceDir(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe967);
// compiled call node returning call968 (depth = 5)
  gc_frame_end(frame);
  return call968;
}
Object meth_xmodule__apply986(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe987 = gc_frame_new();
// call case 5: prelude request
  Object call988 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe987);
// compiled member node returning call988 (depth = 5)
  gc_frame_end(frame);
  return call988;
}
Object meth_xmodule__apply_40_1_41_1026(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_linePos = getfromclosure(closure, 1);
  Object *var_isDialect = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1027 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_line (depth = 5)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_linePos (depth = 5)
  gc_frame_newslot(*var_linePos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isDialect (depth = 5)
  gc_frame_newslot(*var_isDialect);
// call case 4: self request
  params[0] = *var_each;
  params[1] = *var_each;
  params[2] = *var_line;
  params[3] = *var_linePos;
  params[4] = *var_isDialect;
  partcv[0] = 5;
  Object call1028 = callmethodflags(self, "checkimport(5)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1027);
// compiled call node returning call1028 (depth = 4)
  gc_frame_end(frame);
  return call1028;
}
Object meth_xmodule_addTransitiveImports_40_5_41_963(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "addTransitiveImports(5)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 5)
    graceRaise(RequestError(), "insufficient arguments to method addTransitiveImports(_,_,_,_,_)");
  Object params[5];
  int partcv[2];
  Object *var_gctCache = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addTransitiveImports(_,_,_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_directory = &(stackframe->slots[0]);
  *var_directory = args[curarg];
  curarg++;
  Object *var_isDialect = &(stackframe->slots[1]);
  *var_isDialect = args[curarg];
  curarg++;
  Object *var_moduleName = &(stackframe->slots[2]);
  *var_moduleName = args[curarg];
  curarg++;
  Object *var_line = &(stackframe->slots[3]);
  *var_line = args[curarg];
  curarg++;
  Object *var_linePos = &(stackframe->slots[4]);
  *var_linePos = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 5)
    graceRaise(RequestError(), "wrong number of arguments for part addTransitiveImports(_,_,_,_,_)");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_gctData = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "gctData");
  Object *var_dName = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "dName");
  Object *var_importedModules = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "importedModules");
  Object *var_m = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "m");
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe964 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleName (depth = 4)
  gc_frame_newslot(*var_moduleName);
// starting to compile block node (depth = 4)
  Object block965 = alloc_Block(NULL, NULL, "xmodule", 256);
  gc_frame_newslot(block965);
// method "_apply"
  block_savedest(block965);
  Object closure966 = createclosure(3, "_apply");
  setclosureframe(closure966, stackframe);
  addtoclosure(closure966, var_moduleName);
  addtoclosure(closure966, var_directory);
  addtoclosure(closure966, selfslot);
  struct UserObject *uo966 = (struct UserObject*)block965;
  uo966->data[0] = (Object)closure966;
  Method *meth_meth_xmodule__apply966 = addmethod2pos(block965, "_apply", &meth_xmodule__apply966, 0);
  int argcv_meth_xmodule__apply966[] = {0};
  meth_meth_xmodule__apply966->type = alloc_MethodType(1, argcv_meth_xmodule__apply966);
  meth_meth_xmodule__apply966->definitionModule = modulename;
  meth_meth_xmodule__apply966->definitionLine = 565;
// compiled block node returning block965 (depth = 4)
  gc_frame_newslot(block965);
// call case 6: other requests
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gctCache (depth = 4)
  params[0] = *var_moduleName;
  params[1] = block965;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call970 = callmethodflags(*var_gctCache, "at(1)ifAbsent(1)", 2, partcv, params, 0);
  gc_frame_end(callframe964);
// compiled call node returning call970 (depth = 3)
  *var_gctData = call970;
  if (call970 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe972 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit973 == NULL) {
    strlit973 = alloc_String("dialect");
    gc_root(strlit973);
  }
// compiled string node returning strlit973 (depth = 4)
  gc_frame_newslot(strlit973);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gctData (depth = 4)
  params[0] = strlit973;
  partcv[0] = 1;
  Object call974 = callmethodflags(*var_gctData, "containsKey(1)", 1, partcv, params, 0);
  gc_frame_end(callframe972);
// compiled call node returning call974 (depth = 3)
  Object if971 = done;
  if (istrue(call974)) {
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe975 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe976 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit977 == NULL) {
    strlit977 = alloc_String("dialect");
    gc_root(strlit977);
  }
// compiled string node returning strlit977 (depth = 6)
  gc_frame_newslot(strlit977);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gctData (depth = 6)
  params[0] = strlit977;
  partcv[0] = 1;
  Object call978 = callmethodflags(*var_gctData, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe976);
// compiled call node returning call978 (depth = 5)
  Object call979 = callmethodflags(call978, "first", 0, partcv, params, 0);
  gc_frame_end(callframe975);
// compiled member node returning call979 (depth = 4)
  *var_dName = call979;
  if (call979 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe980 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dName (depth = 4)
  gc_frame_newslot(*var_dName);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dName (depth = 4)
  gc_frame_newslot(*var_dName);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_linePos (depth = 4)
  gc_frame_newslot(*var_linePos);
// starting to compile identifier node (depth = 4)
  Object bool981 = alloc_Boolean(1);
// compiled identifier node returning bool981 (depth = 4)
  gc_frame_newslot(bool981);
// call case 4: self request
  params[0] = *var_dName;
  params[1] = *var_dName;
  params[2] = *var_line;
  params[3] = *var_linePos;
  params[4] = bool981;
  partcv[0] = 5;
  Object call982 = callmethodflags(self, "checkimport(5)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe980);
// compiled call node returning call982 (depth = 3)
    gc_frame_newslot(call982);
    if971 = call982;
  } else {
  }
// compiled if node returning if971 (depth = 2)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe983 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit984 == NULL) {
    strlit984 = alloc_String("modules");
    gc_root(strlit984);
  }
// compiled string node returning strlit984 (depth = 4)
  gc_frame_newslot(strlit984);
// starting to compile block node (depth = 4)
  Object block985 = alloc_Block(NULL, NULL, "xmodule", 263);
  gc_frame_newslot(block985);
// method "_apply"
  block_savedest(block985);
  Object closure986 = createclosure(1, "_apply");
  setclosureframe(closure986, stackframe);
  addtoclosure(closure986, selfslot);
  struct UserObject *uo986 = (struct UserObject*)block985;
  uo986->data[0] = (Object)closure986;
  Method *meth_meth_xmodule__apply986 = addmethod2pos(block985, "_apply", &meth_xmodule__apply986, 0);
  int argcv_meth_xmodule__apply986[] = {0};
  meth_meth_xmodule__apply986->type = alloc_MethodType(1, argcv_meth_xmodule__apply986);
  meth_meth_xmodule__apply986->definitionModule = modulename;
  meth_meth_xmodule__apply986->definitionLine = 565;
// compiled block node returning block985 (depth = 4)
  gc_frame_newslot(block985);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gctData (depth = 4)
  params[0] = strlit984;
  params[1] = block985;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call990 = callmethodflags(*var_gctData, "at(1)ifAbsent(1)", 2, partcv, params, 0);
  gc_frame_end(callframe983);
// compiled call node returning call990 (depth = 3)
  *var_importedModules = call990;
  if (call990 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe991 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call992 = callmethodflags(*var_util, "modname", 0, partcv, params, 0);
  gc_frame_end(callframe991);
// compiled member node returning call992 (depth = 3)
  *var_m = call992;
  if (call992 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe994 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_m (depth = 4)
  gc_frame_newslot(*var_m);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_importedModules (depth = 4)
  params[0] = *var_m;
  partcv[0] = 1;
  Object call995 = callmethodflags(*var_importedModules, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe994);
// compiled call node returning call995 (depth = 3)
  Object if993 = done;
  if (istrue(call995)) {
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe996 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit999 == NULL) {
    strlit999 = alloc_String("' (and so on).");
    gc_root(strlit999);
  }
// compiled string node returning strlit999 (depth = 6)
  int op_slot_right_998 = gc_frame_newslot(strlit999);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_m (depth = 7)
  int op_slot_right_1001 = gc_frame_newslot(*var_m);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1004 == NULL) {
    strlit1004 = alloc_String("', which is imported by '");
    gc_root(strlit1004);
  }
// compiled string node returning strlit1004 (depth = 8)
  int op_slot_right_1003 = gc_frame_newslot(strlit1004);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleName (depth = 9)
  int op_slot_right_1006 = gc_frame_newslot(*var_moduleName);
// starting to compile string node (depth = 9)
  if (strlit1008 == NULL) {
    strlit1008 = alloc_String("by '");
    gc_root(strlit1008);
  }
// compiled string node returning strlit1008 (depth = 9)
  int op_slot_left_1006 = gc_frame_newslot(strlit1008);
  params[0] = *var_moduleName;
  partcv[0] = 1;
  Object opresult1009 = callmethod(strlit1008, "++(1)", 1, partcv, params);
// compiled op node returning opresult1009 (depth = 8)
  int op_slot_left_1003 = gc_frame_newslot(opresult1009);
  params[0] = strlit1004;
  partcv[0] = 1;
  Object opresult1010 = callmethod(opresult1009, "++(1)", 1, partcv, params);
// compiled op node returning opresult1010 (depth = 7)
  int op_slot_left_1001 = gc_frame_newslot(opresult1010);
  params[0] = *var_m;
  partcv[0] = 1;
  Object opresult1011 = callmethod(opresult1010, "++(1)", 1, partcv, params);
// compiled op node returning opresult1011 (depth = 6)
  int op_slot_left_998 = gc_frame_newslot(opresult1011);
  params[0] = strlit999;
  partcv[0] = 1;
  Object opresult1012 = callmethod(opresult1011, "++(1)", 1, partcv, params);
// compiled op node returning opresult1012 (depth = 5)
  int op_slot_right_997 = gc_frame_newslot(opresult1012);
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1015 == NULL) {
    strlit1015 = alloc_String("' is imported ");
    gc_root(strlit1015);
  }
// compiled string node returning strlit1015 (depth = 6)
  int op_slot_right_1014 = gc_frame_newslot(strlit1015);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_m (depth = 7)
  int op_slot_right_1017 = gc_frame_newslot(*var_m);
// starting to compile string node (depth = 7)
  if (strlit1019 == NULL) {
    strlit1019 = alloc_String("Cyclic import detected: '");
    gc_root(strlit1019);
  }
// compiled string node returning strlit1019 (depth = 7)
  int op_slot_left_1017 = gc_frame_newslot(strlit1019);
  params[0] = *var_m;
  partcv[0] = 1;
  Object opresult1020 = callmethod(strlit1019, "++(1)", 1, partcv, params);
// compiled op node returning opresult1020 (depth = 6)
  int op_slot_left_1014 = gc_frame_newslot(opresult1020);
  params[0] = strlit1015;
  partcv[0] = 1;
  Object opresult1021 = callmethod(opresult1020, "++(1)", 1, partcv, params);
// compiled op node returning opresult1021 (depth = 5)
  int op_slot_left_997 = gc_frame_newslot(opresult1021);
  params[0] = opresult1012;
  partcv[0] = 1;
  Object opresult1022 = callmethod(opresult1021, "++(1)", 1, partcv, params);
// compiled op node returning opresult1022 (depth = 4)
  gc_frame_newslot(opresult1022);
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult1022;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1023 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe996);
// compiled call node returning call1023 (depth = 3)
    gc_frame_newslot(call1023);
    if993 = call1023;
  } else {
  }
// compiled if node returning if993 (depth = 2)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1024 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1025 = alloc_Block(NULL, NULL, "xmodule", 270);
  gc_frame_newslot(block1025);
// method "_apply(_)"
  block_savedest(block1025);
  Object closure1026 = createclosure(4, "_apply(1)");
  setclosureframe(closure1026, stackframe);
  addtoclosure(closure1026, var_line);
  addtoclosure(closure1026, var_linePos);
  addtoclosure(closure1026, var_isDialect);
  addtoclosure(closure1026, selfslot);
  struct UserObject *uo1026 = (struct UserObject*)block1025;
  uo1026->data[0] = (Object)closure1026;
  Method *meth_meth_xmodule__apply_40_1_41_1026 = addmethod2pos(block1025, "_apply(1)", &meth_xmodule__apply_40_1_41_1026, 0);
  int argcv_meth_xmodule__apply_40_1_41_1026[] = {1};
  meth_meth_xmodule__apply_40_1_41_1026->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1026);
  meth_meth_xmodule__apply_40_1_41_1026->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1026->definitionLine = 565;
// compiled block node returning block1025 (depth = 3)
  gc_frame_newslot(block1025);
// call case 6: other requests
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_importedModules (depth = 3)
  params[0] = block1025;
  partcv[0] = 1;
  Object call1030 = callmethodflags(*var_importedModules, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1024);
// compiled call node returning call1030 (depth = 2)
  gc_frame_end(frame);
  return call1030;
}
Object meth_xmodule__apply1035(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1036 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1037 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call1038 = callmethodflags(*var_util, "recurse", 0, partcv, params, 0);
  gc_frame_end(callframe1037);
// compiled member node returning call1038 (depth = 6)
  Object call1039 = callmethodflags(call1038, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1036);
// compiled member node returning call1039 (depth = 5)
  gc_frame_end(frame);
  return call1039;
}
Object meth_xmodule__apply_40_1_41_1062(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_slashed = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_letter = &(stackframe->slots[0]);
  *var_letter = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1065 == NULL) {
    strlit1065 = alloc_String("/");
    gc_root(strlit1065);
  }
// compiled string node returning strlit1065 (depth = 6)
  int op_slot_right_1064 = gc_frame_newslot(strlit1065);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_letter (depth = 6)
  int op_slot_left_1064 = gc_frame_newslot(*var_letter);
  params[0] = strlit1065;
  partcv[0] = 1;
  Object opresult1067 = callmethod(*var_letter, "==(1)", 1, partcv, params);
// compiled op node returning opresult1067 (depth = 5)
  Object if1063 = done;
  if (istrue(opresult1067)) {
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1068 = alloc_Boolean(1);
// compiled identifier node returning bool1068 (depth = 6)
  *var_slashed = bool1068;
  if (bool1068 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1063 = done;
  } else {
  }
// compiled if node returning if1063 (depth = 4)
  gc_frame_end(frame);
  return if1063;
}
Object meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "compileModule(1)inFile(1)forDialect(1)atRange(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method compileModule(_)inFile(_)forDialect(_)atRange(_,_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method compileModule(_)inFile(_)forDialect(_)atRange(_,_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method compileModule(_)inFile(_)forDialect(_)atRange(_,_)");
  if (nparts > 0 && argcv[3] < 2)
    graceRaise(RequestError(), "insufficient arguments to method compileModule(_)inFile(_)forDialect(_)atRange(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sys = getfromclosure(closure, 2);
  Object *var_io = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 4 && args)
    graceRaise(RequestError(), "missing argument list for compileModule(_)inFile(_)forDialect(_)atRange(_,_) (probably reflection error): got %i lists, expected 4.", nparts);
  Object *var_nm = &(stackframe->slots[0]);
  *var_nm = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part compileModule(_)");
  Object *var_sourceFile = &(stackframe->slots[1]);
  *var_sourceFile = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part inFile(_)");
  Object *var_isDialect = &(stackframe->slots[2]);
  *var_isDialect = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part forDialect(_)");
  Object *var_line = &(stackframe->slots[3]);
  *var_line = args[curarg];
  curarg++;
  Object *var_linePos = &(stackframe->slots[4]);
  *var_linePos = args[curarg];
  curarg++;
  if (argcv && argcv[3] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part atRange(_,_)");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_slashed = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "slashed");
  Object *var_cmd = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "cmd");
  Object *var_cmdSz = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "cmdSz");
  Object *var_exitCode = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "exitCode");
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block1034 = alloc_Block(NULL, NULL, "xmodule", 277);
  gc_frame_newslot(block1034);
// method "_apply"
  block_savedest(block1034);
  Object closure1035 = createclosure(2, "_apply");
  setclosureframe(closure1035, stackframe);
  addtoclosure(closure1035, var_util);
  addtoclosure(closure1035, selfslot);
  struct UserObject *uo1035 = (struct UserObject*)block1034;
  uo1035->data[0] = (Object)closure1035;
  Method *meth_meth_xmodule__apply1035 = addmethod2pos(block1034, "_apply", &meth_xmodule__apply1035, 0);
  int argcv_meth_xmodule__apply1035[] = {0};
  meth_meth_xmodule__apply1035->type = alloc_MethodType(1, argcv_meth_xmodule__apply1035);
  meth_meth_xmodule__apply1035->definitionModule = modulename;
  meth_meth_xmodule__apply1035->definitionLine = 565;
// compiled block node returning block1034 (depth = 4)
  int op_slot_right_1033 = gc_frame_newslot(block1034);
// starting to compile member node (depth = 4)
  int callframe1042 = gc_frame_new();
// call case 5: prelude request
  Object call1043 = callmethodflags(prelude, "inBrowser", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1042);
// compiled member node returning call1043 (depth = 4)
  int op_slot_left_1033 = gc_frame_newslot(call1043);
  params[0] = block1034;
  partcv[0] = 1;
  Object opresult1044 = callmethod(call1043, "||(1)", 1, partcv, params);
// compiled op node returning opresult1044 (depth = 3)
  Object if1032 = done;
  if (istrue(opresult1044)) {
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1045 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1047 == NULL) {
    strlit1047 = alloc_String(" before importing it.");
    gc_root(strlit1047);
  }
// compiled string node returning strlit1047 (depth = 5)
  int op_slot_right_1046 = gc_frame_newslot(strlit1047);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nm (depth = 6)
  int op_slot_right_1049 = gc_frame_newslot(*var_nm);
// starting to compile string node (depth = 6)
  if (strlit1051 == NULL) {
    strlit1051 = alloc_String("Please compile module ");
    gc_root(strlit1051);
  }
// compiled string node returning strlit1051 (depth = 6)
  int op_slot_left_1049 = gc_frame_newslot(strlit1051);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult1052 = callmethod(strlit1051, "++(1)", 1, partcv, params);
// compiled op node returning opresult1052 (depth = 5)
  int op_slot_left_1046 = gc_frame_newslot(opresult1052);
  params[0] = strlit1047;
  partcv[0] = 1;
  Object opresult1053 = callmethod(opresult1052, "++(1)", 1, partcv, params);
// compiled op node returning opresult1053 (depth = 4)
  gc_frame_newslot(opresult1053);
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult1053;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1054 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1045);
// compiled call node returning call1054 (depth = 3)
    gc_frame_newslot(call1054);
    if1032 = call1054;
  } else {
  }
// compiled if node returning if1032 (depth = 2)
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1055 = alloc_Boolean(0);
// compiled identifier node returning bool1055 (depth = 3)
  *var_slashed = bool1055;
  if (bool1055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1056 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1057 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1058 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sys (depth = 5)
  Object call1059 = callmethodflags(*var_sys, "argv", 0, partcv, params, 0);
  gc_frame_end(callframe1058);
// compiled member node returning call1059 (depth = 4)
  Object call1060 = callmethodflags(call1059, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1057);
// compiled member node returning call1060 (depth = 3)
  gc_frame_newslot(call1060);
// starting to compile block node (depth = 3)
  Object block1061 = alloc_Block(NULL, NULL, "xmodule", 282);
  gc_frame_newslot(block1061);
// method "_apply(_)"
  block_savedest(block1061);
  Object closure1062 = createclosure(2, "_apply(1)");
  setclosureframe(closure1062, stackframe);
  addtoclosure(closure1062, var_slashed);
  addtoclosure(closure1062, selfslot);
  struct UserObject *uo1062 = (struct UserObject*)block1061;
  uo1062->data[0] = (Object)closure1062;
  Method *meth_meth_xmodule__apply_40_1_41_1062 = addmethod2pos(block1061, "_apply(1)", &meth_xmodule__apply_40_1_41_1062, 0);
  int argcv_meth_xmodule__apply_40_1_41_1062[] = {1};
  meth_meth_xmodule__apply_40_1_41_1062->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1062);
  meth_meth_xmodule__apply_40_1_41_1062->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1062->definitionLine = 565;
// compiled block node returning block1061 (depth = 3)
  gc_frame_newslot(block1061);
// call case 5: prelude request
  params[0] = call1060;
  params[1] = block1061;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1071 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1056);
// compiled call node returning call1071 (depth = 2)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_cmd = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_slashed (depth = 3)
  Object if1072 = done;
  if (istrue(*var_slashed)) {
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1073 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1074 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1075 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sys (depth = 7)
  Object call1076 = callmethodflags(*var_sys, "argv", 0, partcv, params, 0);
  gc_frame_end(callframe1075);
// compiled member node returning call1076 (depth = 6)
  Object call1077 = callmethodflags(call1076, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1074);
// compiled member node returning call1077 (depth = 5)
  gc_frame_newslot(call1077);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_io (depth = 5)
  params[0] = call1077;
  partcv[0] = 1;
  Object call1078 = callmethodflags(*var_io, "realpath(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1073);
// compiled call node returning call1078 (depth = 4)
  *var_cmd = call1078;
  if (call1078 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1072 = done;
  } else {
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1080 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1082 == NULL) {
    strlit1082 = alloc_String("");
    gc_root(strlit1082);
  }
// compiled string node returning strlit1082 (depth = 6)
  int op_slot_right_1081 = gc_frame_newslot(strlit1082);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1085 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1086 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sys (depth = 9)
  Object call1087 = callmethodflags(*var_sys, "argv", 0, partcv, params, 0);
  gc_frame_end(callframe1086);
// compiled member node returning call1087 (depth = 8)
  Object call1088 = callmethodflags(call1087, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1085);
// compiled member node returning call1088 (depth = 7)
  int op_slot_right_1084 = gc_frame_newslot(call1088);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1091 == NULL) {
    strlit1091 = alloc_String("/");
    gc_root(strlit1091);
  }
// compiled string node returning strlit1091 (depth = 8)
  int op_slot_right_1090 = gc_frame_newslot(strlit1091);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1094 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sys (depth = 10)
  Object call1095 = callmethodflags(*var_sys, "execPath", 0, partcv, params, 0);
  gc_frame_end(callframe1094);
// compiled member node returning call1095 (depth = 9)
  int op_slot_right_1093 = gc_frame_newslot(call1095);
// starting to compile string node (depth = 9)
  if (strlit1097 == NULL) {
    strlit1097 = alloc_String("");
    gc_root(strlit1097);
  }
// compiled string node returning strlit1097 (depth = 9)
  int op_slot_left_1093 = gc_frame_newslot(strlit1097);
  params[0] = call1095;
  partcv[0] = 1;
  Object opresult1098 = callmethod(strlit1097, "++(1)", 1, partcv, params);
// compiled op node returning opresult1098 (depth = 8)
  int op_slot_left_1090 = gc_frame_newslot(opresult1098);
  params[0] = strlit1091;
  partcv[0] = 1;
  Object opresult1099 = callmethod(opresult1098, "++(1)", 1, partcv, params);
// compiled op node returning opresult1099 (depth = 7)
  int op_slot_left_1084 = gc_frame_newslot(opresult1099);
  params[0] = call1088;
  partcv[0] = 1;
  Object opresult1100 = callmethod(opresult1099, "++(1)", 1, partcv, params);
// compiled op node returning opresult1100 (depth = 6)
  int op_slot_left_1081 = gc_frame_newslot(opresult1100);
  params[0] = strlit1082;
  partcv[0] = 1;
  Object opresult1101 = callmethod(opresult1100, "++(1)", 1, partcv, params);
// compiled op node returning opresult1101 (depth = 5)
  gc_frame_newslot(opresult1101);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_io (depth = 5)
  params[0] = opresult1101;
  partcv[0] = 1;
  Object call1102 = callmethodflags(*var_io, "realpath(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1080);
// compiled call node returning call1102 (depth = 4)
  *var_cmd = call1102;
  if (call1102 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1072 = done;
  }
// compiled if node returning if1072 (depth = 2)
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1104 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmd (depth = 4)
  Object call1105 = callmethodflags(*var_cmd, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1104);
// compiled member node returning call1105 (depth = 3)
  *var_cmdSz = call1105;
  if (call1105 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1108 == NULL) {
    strlit1108 = alloc_String(".js");
    gc_root(strlit1108);
  }
// compiled string node returning strlit1108 (depth = 4)
  int op_slot_right_1107 = gc_frame_newslot(strlit1108);
// starting to compile call node (depth = 4)
  int callframe1110 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1112 = alloc_Float64(2);
// compiled num node returning num1112 (depth = 6)
  int op_slot_right_1111 = gc_frame_newslot(num1112);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmdSz (depth = 6)
  int op_slot_left_1111 = gc_frame_newslot(*var_cmdSz);
  params[0] = num1112;
  partcv[0] = 1;
  Object diff1114 = callmethod(*var_cmdSz, "-(1)", 1, partcv, params);
// compiled op node returning diff1114 (depth = 5)
  gc_frame_newslot(diff1114);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmdSz (depth = 5)
  gc_frame_newslot(*var_cmdSz);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmd (depth = 5)
  params[0] = diff1114;
  params[1] = *var_cmdSz;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1115 = callmethodflags(*var_cmd, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1110);
// compiled call node returning call1115 (depth = 4)
  int op_slot_left_1107 = gc_frame_newslot(call1115);
  params[0] = strlit1108;
  partcv[0] = 1;
  Object opresult1116 = callmethod(call1115, "==(1)", 1, partcv, params);
// compiled op node returning opresult1116 (depth = 3)
  Object if1106 = done;
  if (istrue(opresult1116)) {
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1118 == NULL) {
    strlit1118 = alloc_String("""\x22""");
    gc_root(strlit1118);
  }
// compiled string node returning strlit1118 (depth = 5)
  int op_slot_right_1117 = gc_frame_newslot(strlit1118);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_right_1120 = gc_frame_newslot(*var_cmd);
// starting to compile string node (depth = 6)
  if (strlit1122 == NULL) {
    strlit1122 = alloc_String("grace ""\x22""");
    gc_root(strlit1122);
  }
// compiled string node returning strlit1122 (depth = 6)
  int op_slot_left_1120 = gc_frame_newslot(strlit1122);
  params[0] = *var_cmd;
  partcv[0] = 1;
  Object opresult1123 = callmethod(strlit1122, "++(1)", 1, partcv, params);
// compiled op node returning opresult1123 (depth = 5)
  int op_slot_left_1117 = gc_frame_newslot(opresult1123);
  params[0] = strlit1118;
  partcv[0] = 1;
  Object opresult1124 = callmethod(opresult1123, "++(1)", 1, partcv, params);
// compiled op node returning opresult1124 (depth = 4)
  *var_cmd = opresult1124;
  if (opresult1124 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1106 = done;
  } else {
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1127 == NULL) {
    strlit1127 = alloc_String("""\x22""");
    gc_root(strlit1127);
  }
// compiled string node returning strlit1127 (depth = 5)
  int op_slot_right_1126 = gc_frame_newslot(strlit1127);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_right_1129 = gc_frame_newslot(*var_cmd);
// starting to compile string node (depth = 6)
  if (strlit1131 == NULL) {
    strlit1131 = alloc_String("""\x22""");
    gc_root(strlit1131);
  }
// compiled string node returning strlit1131 (depth = 6)
  int op_slot_left_1129 = gc_frame_newslot(strlit1131);
  params[0] = *var_cmd;
  partcv[0] = 1;
  Object opresult1132 = callmethod(strlit1131, "++(1)", 1, partcv, params);
// compiled op node returning opresult1132 (depth = 5)
  int op_slot_left_1126 = gc_frame_newslot(opresult1132);
  params[0] = strlit1127;
  partcv[0] = 1;
  Object opresult1133 = callmethod(opresult1132, "++(1)", 1, partcv, params);
// compiled op node returning opresult1133 (depth = 4)
  *var_cmd = opresult1133;
  if (opresult1133 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1106 = done;
  }
// compiled if node returning if1106 (depth = 2)
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1137 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1138 = callmethodflags(*var_util, "defaultVerbosity", 0, partcv, params, 0);
  gc_frame_end(callframe1137);
// compiled member node returning call1138 (depth = 4)
  int op_slot_right_1136 = gc_frame_newslot(call1138);
// starting to compile member node (depth = 4)
  int callframe1140 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1141 = callmethodflags(*var_util, "verbosity", 0, partcv, params, 0);
  gc_frame_end(callframe1140);
// compiled member node returning call1141 (depth = 4)
  int op_slot_left_1136 = gc_frame_newslot(call1141);
  params[0] = call1138;
  partcv[0] = 1;
  Object opresult1142 = callmethod(call1141, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1142 (depth = 3)
  Object if1135 = done;
  if (istrue(opresult1142)) {
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1145 == NULL) {
    strlit1145 = alloc_String("");
    gc_root(strlit1145);
  }
// compiled string node returning strlit1145 (depth = 6)
  int op_slot_right_1144 = gc_frame_newslot(strlit1145);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1148 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call1149 = callmethodflags(*var_util, "verbosity", 0, partcv, params, 0);
  gc_frame_end(callframe1148);
// compiled member node returning call1149 (depth = 7)
  int op_slot_right_1147 = gc_frame_newslot(call1149);
// starting to compile string node (depth = 7)
  if (strlit1151 == NULL) {
    strlit1151 = alloc_String(" --verbose ");
    gc_root(strlit1151);
  }
// compiled string node returning strlit1151 (depth = 7)
  int op_slot_left_1147 = gc_frame_newslot(strlit1151);
  params[0] = call1149;
  partcv[0] = 1;
  Object opresult1152 = callmethod(strlit1151, "++(1)", 1, partcv, params);
// compiled op node returning opresult1152 (depth = 6)
  int op_slot_left_1144 = gc_frame_newslot(opresult1152);
  params[0] = strlit1145;
  partcv[0] = 1;
  Object opresult1153 = callmethod(opresult1152, "++(1)", 1, partcv, params);
// compiled op node returning opresult1153 (depth = 5)
  int op_slot_right_1143 = gc_frame_newslot(opresult1153);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmd (depth = 5)
  int op_slot_left_1143 = gc_frame_newslot(*var_cmd);
  params[0] = opresult1153;
  partcv[0] = 1;
  Object opresult1155 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1155 (depth = 4)
  *var_cmd = opresult1155;
  if (opresult1155 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1135 = done;
  } else {
  }
// compiled if node returning if1135 (depth = 2)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1158 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call1159 = callmethodflags(*var_util, "dirFlag", 0, partcv, params, 0);
  gc_frame_end(callframe1158);
// compiled member node returning call1159 (depth = 3)
  Object if1157 = done;
  if (istrue(call1159)) {
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1162 = callmethodflags(*var_util, "outDir", 0, partcv, params, 0);
  gc_frame_end(callframe1161);
// compiled member node returning call1162 (depth = 5)
  int op_slot_right_1160 = gc_frame_newslot(call1162);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1165 == NULL) {
    strlit1165 = alloc_String(" --dir ");
    gc_root(strlit1165);
  }
// compiled string node returning strlit1165 (depth = 6)
  int op_slot_right_1164 = gc_frame_newslot(strlit1165);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_left_1164 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1165;
  partcv[0] = 1;
  Object opresult1167 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1167 (depth = 5)
  int op_slot_left_1160 = gc_frame_newslot(opresult1167);
  params[0] = call1162;
  partcv[0] = 1;
  Object opresult1168 = callmethod(opresult1167, "++(1)", 1, partcv, params);
// compiled op node returning opresult1168 (depth = 4)
  *var_cmd = opresult1168;
  if (opresult1168 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1157 = done;
  } else {
  }
// compiled if node returning if1157 (depth = 2)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1172 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1173 = callmethodflags(*var_util, "vtag", 0, partcv, params, 0);
  gc_frame_end(callframe1172);
// compiled member node returning call1173 (depth = 4)
  int op_slot_right_1171 = gc_frame_newslot(call1173);
// starting to compile identifier node (depth = 4)
  Object bool1175 = alloc_Boolean(0);
// compiled identifier node returning bool1175 (depth = 4)
  int op_slot_left_1171 = gc_frame_newslot(bool1175);
  params[0] = call1173;
  partcv[0] = 1;
  Object opresult1176 = callmethod(bool1175, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1176 (depth = 3)
  Object if1170 = done;
  if (istrue(opresult1176)) {
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1178 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1179 = callmethodflags(*var_util, "vtag", 0, partcv, params, 0);
  gc_frame_end(callframe1178);
// compiled member node returning call1179 (depth = 5)
  int op_slot_right_1177 = gc_frame_newslot(call1179);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1182 == NULL) {
    strlit1182 = alloc_String(" --vtag ");
    gc_root(strlit1182);
  }
// compiled string node returning strlit1182 (depth = 6)
  int op_slot_right_1181 = gc_frame_newslot(strlit1182);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_left_1181 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1182;
  partcv[0] = 1;
  Object opresult1184 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1184 (depth = 5)
  int op_slot_left_1177 = gc_frame_newslot(opresult1184);
  params[0] = call1179;
  partcv[0] = 1;
  Object opresult1185 = callmethod(opresult1184, "++(1)", 1, partcv, params);
// compiled op node returning opresult1185 (depth = 4)
  *var_cmd = opresult1185;
  if (opresult1185 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1170 = done;
  } else {
  }
// compiled if node returning if1170 (depth = 2)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1189 == NULL) {
    strlit1189 = alloc_String("c");
    gc_root(strlit1189);
  }
// compiled string node returning strlit1189 (depth = 4)
  int op_slot_right_1188 = gc_frame_newslot(strlit1189);
// starting to compile member node (depth = 4)
  int callframe1191 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1192 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe1191);
// compiled member node returning call1192 (depth = 4)
  int op_slot_left_1188 = gc_frame_newslot(call1192);
  params[0] = strlit1189;
  partcv[0] = 1;
  Object opresult1193 = callmethod(call1192, "==(1)", 1, partcv, params);
// compiled op node returning opresult1193 (depth = 3)
  Object if1187 = done;
  if (istrue(opresult1193)) {
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isDialect (depth = 5)
  int op_slot_right_1195 = gc_frame_newslot(*var_isDialect);
// starting to compile member node (depth = 5)
  int callframe1197 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1198 = callmethodflags(*var_util, "dynamicModule", 0, partcv, params, 0);
  gc_frame_end(callframe1197);
// compiled member node returning call1198 (depth = 5)
  int op_slot_left_1195 = gc_frame_newslot(call1198);
  params[0] = *var_isDialect;
  partcv[0] = 1;
  Object opresult1199 = callmethod(call1198, "||(1)", 1, partcv, params);
// compiled op node returning opresult1199 (depth = 4)
  Object if1194 = done;
  if (istrue(opresult1199)) {
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1201 == NULL) {
    strlit1201 = alloc_String(" --dynamic-module");
    gc_root(strlit1201);
  }
// compiled string node returning strlit1201 (depth = 6)
  int op_slot_right_1200 = gc_frame_newslot(strlit1201);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_left_1200 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1201;
  partcv[0] = 1;
  Object opresult1203 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1203 (depth = 5)
  *var_cmd = opresult1203;
  if (opresult1203 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1194 = done;
  } else {
  }
// compiled if node returning if1194 (depth = 3)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1206 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1207 = callmethodflags(*var_util, "importDynamic", 0, partcv, params, 0);
  gc_frame_end(callframe1206);
// compiled member node returning call1207 (depth = 4)
  Object if1205 = done;
  if (istrue(call1207)) {
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1209 == NULL) {
    strlit1209 = alloc_String(" --import-dynamic");
    gc_root(strlit1209);
  }
// compiled string node returning strlit1209 (depth = 6)
  int op_slot_right_1208 = gc_frame_newslot(strlit1209);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  int op_slot_left_1208 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1209;
  partcv[0] = 1;
  Object opresult1211 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1211 (depth = 5)
  *var_cmd = opresult1211;
  if (opresult1211 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1205 = done;
  } else {
  }
// compiled if node returning if1205 (depth = 3)
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1214 == NULL) {
    strlit1214 = alloc_String(" -XNoMain");
    gc_root(strlit1214);
  }
// compiled string node returning strlit1214 (depth = 5)
  int op_slot_right_1213 = gc_frame_newslot(strlit1214);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmd (depth = 5)
  int op_slot_left_1213 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1214;
  partcv[0] = 1;
  Object opresult1216 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1216 (depth = 4)
  *var_cmd = opresult1216;
  if (opresult1216 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1187 = done;
  } else {
  }
// compiled if node returning if1187 (depth = 2)
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1219 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1220 = callmethodflags(*var_util, "gracelibPath", 0, partcv, params, 0);
  gc_frame_end(callframe1219);
// compiled member node returning call1220 (depth = 4)
  int op_slot_right_1218 = gc_frame_newslot(call1220);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1223 == NULL) {
    strlit1223 = alloc_String(" --gracelib ");
    gc_root(strlit1223);
  }
// compiled string node returning strlit1223 (depth = 5)
  int op_slot_right_1222 = gc_frame_newslot(strlit1223);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmd (depth = 5)
  int op_slot_left_1222 = gc_frame_newslot(*var_cmd);
  params[0] = strlit1223;
  partcv[0] = 1;
  Object opresult1225 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1225 (depth = 4)
  int op_slot_left_1218 = gc_frame_newslot(opresult1225);
  params[0] = call1220;
  partcv[0] = 1;
  Object opresult1226 = callmethod(opresult1225, "++(1)", 1, partcv, params);
// compiled op node returning opresult1226 (depth = 3)
  *var_cmd = opresult1226;
  if (opresult1226 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1229 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1230 = callmethodflags(*var_util, "commandLineExtensions", 0, partcv, params, 0);
  gc_frame_end(callframe1229);
// compiled member node returning call1230 (depth = 4)
  int op_slot_right_1228 = gc_frame_newslot(call1230);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmd (depth = 4)
  int op_slot_left_1228 = gc_frame_newslot(*var_cmd);
  params[0] = call1230;
  partcv[0] = 1;
  Object opresult1232 = callmethod(*var_cmd, "++(1)", 1, partcv, params);
// compiled op node returning opresult1232 (depth = 3)
  *var_cmd = opresult1232;
  if (opresult1232 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1235 == NULL) {
    strlit1235 = alloc_String("""\x22""");
    gc_root(strlit1235);
  }
// compiled string node returning strlit1235 (depth = 4)
  int op_slot_right_1234 = gc_frame_newslot(strlit1235);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sourceFile (depth = 5)
  int op_slot_right_1237 = gc_frame_newslot(*var_sourceFile);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1240 == NULL) {
    strlit1240 = alloc_String(" --noexec ""\x22""");
    gc_root(strlit1240);
  }
// compiled string node returning strlit1240 (depth = 6)
  int op_slot_right_1239 = gc_frame_newslot(strlit1240);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1243 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call1244 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe1243);
// compiled member node returning call1244 (depth = 7)
  int op_slot_right_1242 = gc_frame_newslot(call1244);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1247 == NULL) {
    strlit1247 = alloc_String(" --target ");
    gc_root(strlit1247);
  }
// compiled string node returning strlit1247 (depth = 8)
  int op_slot_right_1246 = gc_frame_newslot(strlit1247);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_cmd (depth = 9)
  int op_slot_right_1249 = gc_frame_newslot(*var_cmd);
// starting to compile string node (depth = 9)
  if (strlit1251 == NULL) {
    strlit1251 = alloc_String("");
    gc_root(strlit1251);
  }
// compiled string node returning strlit1251 (depth = 9)
  int op_slot_left_1249 = gc_frame_newslot(strlit1251);
  params[0] = *var_cmd;
  partcv[0] = 1;
  Object opresult1252 = callmethod(strlit1251, "++(1)", 1, partcv, params);
// compiled op node returning opresult1252 (depth = 8)
  int op_slot_left_1246 = gc_frame_newslot(opresult1252);
  params[0] = strlit1247;
  partcv[0] = 1;
  Object opresult1253 = callmethod(opresult1252, "++(1)", 1, partcv, params);
// compiled op node returning opresult1253 (depth = 7)
  int op_slot_left_1242 = gc_frame_newslot(opresult1253);
  params[0] = call1244;
  partcv[0] = 1;
  Object opresult1254 = callmethod(opresult1253, "++(1)", 1, partcv, params);
// compiled op node returning opresult1254 (depth = 6)
  int op_slot_left_1239 = gc_frame_newslot(opresult1254);
  params[0] = strlit1240;
  partcv[0] = 1;
  Object opresult1255 = callmethod(opresult1254, "++(1)", 1, partcv, params);
// compiled op node returning opresult1255 (depth = 5)
  int op_slot_left_1237 = gc_frame_newslot(opresult1255);
  params[0] = *var_sourceFile;
  partcv[0] = 1;
  Object opresult1256 = callmethod(opresult1255, "++(1)", 1, partcv, params);
// compiled op node returning opresult1256 (depth = 4)
  int op_slot_left_1234 = gc_frame_newslot(opresult1256);
  params[0] = strlit1235;
  partcv[0] = 1;
  Object opresult1257 = callmethod(opresult1256, "++(1)", 1, partcv, params);
// compiled op node returning opresult1257 (depth = 3)
  *var_cmd = opresult1257;
  if (opresult1257 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1259 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num1260 = alloc_Float64(50);
// compiled num node returning num1260 (depth = 3)
  gc_frame_newslot(num1260);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1262 == NULL) {
    strlit1262 = alloc_String("");
    gc_root(strlit1262);
  }
// compiled string node returning strlit1262 (depth = 4)
  int op_slot_right_1261 = gc_frame_newslot(strlit1262);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmd (depth = 5)
  int op_slot_right_1264 = gc_frame_newslot(*var_cmd);
// starting to compile string node (depth = 5)
  if (strlit1266 == NULL) {
    strlit1266 = alloc_String("executing sub-compile ");
    gc_root(strlit1266);
  }
// compiled string node returning strlit1266 (depth = 5)
  int op_slot_left_1264 = gc_frame_newslot(strlit1266);
  params[0] = *var_cmd;
  partcv[0] = 1;
  Object opresult1267 = callmethod(strlit1266, "++(1)", 1, partcv, params);
// compiled op node returning opresult1267 (depth = 4)
  int op_slot_left_1261 = gc_frame_newslot(opresult1267);
  params[0] = strlit1262;
  partcv[0] = 1;
  Object opresult1268 = callmethod(opresult1267, "++(1)", 1, partcv, params);
// compiled op node returning opresult1268 (depth = 3)
  gc_frame_newslot(opresult1268);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = num1260;
  params[1] = opresult1268;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1269 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1259);
// compiled call node returning call1269 (depth = 2)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1270 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1271 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1272 == NULL) {
    strlit1272 = alloc_String("bash");
    gc_root(strlit1272);
  }
// compiled string node returning strlit1272 (depth = 5)
  gc_frame_newslot(strlit1272);
// starting to compile array node (depth = 5)
  Object array1273 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 6)
  if (strlit1274 == NULL) {
    strlit1274 = alloc_String("-c");
    gc_root(strlit1274);
  }
// compiled string node returning strlit1274 (depth = 6)
  params[0] = strlit1274;
  partcv[0] = 1;
  callmethodflags(array1273, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmd (depth = 6)
  params[0] = *var_cmd;
  partcv[0] = 1;
  callmethodflags(array1273, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1273 (depth = 5)
  gc_frame_newslot(array1273);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_io (depth = 5)
  params[0] = strlit1272;
  params[1] = array1273;
  partcv[0] = 2;
  Object call1275 = callmethodflags(*var_io, "spawn(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1271);
// compiled call node returning call1275 (depth = 4)
  Object call1276 = callmethodflags(call1275, "status", 0, partcv, params, 0);
  gc_frame_end(callframe1270);
// compiled member node returning call1276 (depth = 3)
  *var_exitCode = call1276;
  if (call1276 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1279 = alloc_Float64(0);
// compiled num node returning num1279 (depth = 4)
  int op_slot_right_1278 = gc_frame_newslot(num1279);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_exitCode (depth = 4)
  int op_slot_left_1278 = gc_frame_newslot(*var_exitCode);
  params[0] = num1279;
  partcv[0] = 1;
  Object opresult1281 = callmethod(*var_exitCode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1281 (depth = 3)
  Object if1277 = done;
  if (istrue(opresult1281)) {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1282 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1284 == NULL) {
    strlit1284 = alloc_String(").");
    gc_root(strlit1284);
  }
// compiled string node returning strlit1284 (depth = 5)
  int op_slot_right_1283 = gc_frame_newslot(strlit1284);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_exitCode (depth = 6)
  int op_slot_right_1286 = gc_frame_newslot(*var_exitCode);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1289 == NULL) {
    strlit1289 = alloc_String(" (");
    gc_root(strlit1289);
  }
// compiled string node returning strlit1289 (depth = 7)
  int op_slot_right_1288 = gc_frame_newslot(strlit1289);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nm (depth = 8)
  int op_slot_right_1291 = gc_frame_newslot(*var_nm);
// starting to compile string node (depth = 8)
  if (strlit1293 == NULL) {
    strlit1293 = alloc_String("Failed to compile imported module ");
    gc_root(strlit1293);
  }
// compiled string node returning strlit1293 (depth = 8)
  int op_slot_left_1291 = gc_frame_newslot(strlit1293);
  params[0] = *var_nm;
  partcv[0] = 1;
  Object opresult1294 = callmethod(strlit1293, "++(1)", 1, partcv, params);
// compiled op node returning opresult1294 (depth = 7)
  int op_slot_left_1288 = gc_frame_newslot(opresult1294);
  params[0] = strlit1289;
  partcv[0] = 1;
  Object opresult1295 = callmethod(opresult1294, "++(1)", 1, partcv, params);
// compiled op node returning opresult1295 (depth = 6)
  int op_slot_left_1286 = gc_frame_newslot(opresult1295);
  params[0] = *var_exitCode;
  partcv[0] = 1;
  Object opresult1296 = callmethod(opresult1295, "++(1)", 1, partcv, params);
// compiled op node returning opresult1296 (depth = 5)
  int op_slot_left_1283 = gc_frame_newslot(opresult1296);
  params[0] = strlit1284;
  partcv[0] = 1;
  Object opresult1297 = callmethod(opresult1296, "++(1)", 1, partcv, params);
// compiled op node returning opresult1297 (depth = 4)
  gc_frame_newslot(opresult1297);
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult1297;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1298 = callmethodflags(*var_errormessages, "error(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1282);
// compiled call node returning call1298 (depth = 3)
    gc_frame_newslot(call1298);
    if1277 = call1298;
  } else {
  }
// compiled if node returning if1277 (depth = 2)
  gc_frame_end(frame);
  return if1277;
}
Object meth_xmodule__apply1302(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_moduleName = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1303 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleName (depth = 5)
  gc_frame_newslot(*var_moduleName);
// starting to compile member node (depth = 5)
  int callframe1304 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1305 = callmethodflags(*var_util, "outDir", 0, partcv, params, 0);
  gc_frame_end(callframe1304);
// compiled member node returning call1305 (depth = 5)
  gc_frame_newslot(call1305);
// call case 4: self request
  params[0] = *var_moduleName;
  params[1] = call1305;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1306 = callmethodflags(self, "parseGCT(1)sourceDir(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1303);
// compiled call node returning call1306 (depth = 4)
  gc_frame_end(frame);
  return call1306;
}
Object meth_xmodule_parseGCT_40_1_41_1299(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parseGCT(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseGCT(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_gctCache = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parseGCT(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleName = &(stackframe->slots[0]);
  *var_moduleName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parseGCT(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1300 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleName (depth = 3)
  gc_frame_newslot(*var_moduleName);
// starting to compile block node (depth = 3)
  Object block1301 = alloc_Block(NULL, NULL, "xmodule", 329);
  gc_frame_newslot(block1301);
// method "_apply"
  block_savedest(block1301);
  Object closure1302 = createclosure(3, "_apply");
  setclosureframe(closure1302, stackframe);
  addtoclosure(closure1302, var_moduleName);
  addtoclosure(closure1302, var_util);
  addtoclosure(closure1302, selfslot);
  struct UserObject *uo1302 = (struct UserObject*)block1301;
  uo1302->data[0] = (Object)closure1302;
  Method *meth_meth_xmodule__apply1302 = addmethod2pos(block1301, "_apply", &meth_xmodule__apply1302, 0);
  int argcv_meth_xmodule__apply1302[] = {0};
  meth_meth_xmodule__apply1302->type = alloc_MethodType(1, argcv_meth_xmodule__apply1302);
  meth_meth_xmodule__apply1302->definitionModule = modulename;
  meth_meth_xmodule__apply1302->definitionLine = 565;
// compiled block node returning block1301 (depth = 3)
  gc_frame_newslot(block1301);
// call case 6: other requests
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctCache (depth = 3)
  params[0] = *var_moduleName;
  params[1] = block1301;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1308 = callmethodflags(*var_gctCache, "at(1)ifAbsent(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1300);
// compiled call node returning call1308 (depth = 2)
  gc_frame_end(frame);
  return call1308;
}
Object meth_xmodule__apply_40_1_41_1326(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_moduleName = getfromclosure(closure, 0);
  Object *var_sought = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_gctData = getfromclosure(closure, 3);
  Object *var_gctCache = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1327 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num1328 = alloc_Float64(80);
// compiled num node returning num1328 (depth = 6)
  gc_frame_newslot(num1328);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1330 == NULL) {
    strlit1330 = alloc_String(".");
    gc_root(strlit1330);
  }
// compiled string node returning strlit1330 (depth = 7)
  int op_slot_right_1329 = gc_frame_newslot(strlit1330);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_l (depth = 8)
  int op_slot_right_1332 = gc_frame_newslot(*var_l);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1335 == NULL) {
    strlit1335 = alloc_String("; looked in ");
    gc_root(strlit1335);
  }
// compiled string node returning strlit1335 (depth = 9)
  int op_slot_right_1334 = gc_frame_newslot(strlit1335);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_moduleName (depth = 10)
  int op_slot_right_1337 = gc_frame_newslot(*var_moduleName);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1340 == NULL) {
    strlit1340 = alloc_String(" for module ");
    gc_root(strlit1340);
  }
// compiled string node returning strlit1340 (depth = 11)
  int op_slot_right_1339 = gc_frame_newslot(strlit1340);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sought (depth = 12)
  int op_slot_right_1342 = gc_frame_newslot(*var_sought);
// starting to compile string node (depth = 12)
  if (strlit1344 == NULL) {
    strlit1344 = alloc_String("Can't find file ");
    gc_root(strlit1344);
  }
// compiled string node returning strlit1344 (depth = 12)
  int op_slot_left_1342 = gc_frame_newslot(strlit1344);
  params[0] = *var_sought;
  partcv[0] = 1;
  Object opresult1345 = callmethod(strlit1344, "++(1)", 1, partcv, params);
// compiled op node returning opresult1345 (depth = 11)
  int op_slot_left_1339 = gc_frame_newslot(opresult1345);
  params[0] = strlit1340;
  partcv[0] = 1;
  Object opresult1346 = callmethod(opresult1345, "++(1)", 1, partcv, params);
// compiled op node returning opresult1346 (depth = 10)
  int op_slot_left_1337 = gc_frame_newslot(opresult1346);
  params[0] = *var_moduleName;
  partcv[0] = 1;
  Object opresult1347 = callmethod(opresult1346, "++(1)", 1, partcv, params);
// compiled op node returning opresult1347 (depth = 9)
  int op_slot_left_1334 = gc_frame_newslot(opresult1347);
  params[0] = strlit1335;
  partcv[0] = 1;
  Object opresult1348 = callmethod(opresult1347, "++(1)", 1, partcv, params);
// compiled op node returning opresult1348 (depth = 8)
  int op_slot_left_1332 = gc_frame_newslot(opresult1348);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult1349 = callmethod(opresult1348, "++(1)", 1, partcv, params);
// compiled op node returning opresult1349 (depth = 7)
  int op_slot_left_1329 = gc_frame_newslot(opresult1349);
  params[0] = strlit1330;
  partcv[0] = 1;
  Object opresult1350 = callmethod(opresult1349, "++(1)", 1, partcv, params);
// compiled op node returning opresult1350 (depth = 6)
  gc_frame_newslot(opresult1350);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  params[0] = num1328;
  params[1] = opresult1350;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1351 = callmethodflags(*var_util, "log(1)verbose(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1327);
// compiled call node returning call1351 (depth = 5)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1352 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_moduleName (depth = 6)
  gc_frame_newslot(*var_moduleName);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gctData (depth = 6)
  gc_frame_newslot(*var_gctData);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gctCache (depth = 6)
  params[0] = *var_moduleName;
  params[1] = *var_gctData;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1353 = callmethodflags(*var_gctCache, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1352);
// compiled call node returning call1353 (depth = 5)
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gctData (depth = 6)
  block_return(realself, *var_gctData);
// compiled return node returning undefined (depth = 5)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule__apply1362(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tfp = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe1363 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1364 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tfp (depth = 6)
  Object call1365 = callmethodflags(*var_tfp, "eof", 0, partcv, params, 0);
  gc_frame_end(callframe1364);
// compiled member node returning call1365 (depth = 5)
  partcv[0] = 0;
  Object call1366 = callmethodflags(call1365, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe1363);
// compiled call node returning call1366 (depth = 4)
  gc_frame_end(frame);
  return call1366;
}
Object meth_xmodule__apply1369(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_tfp = getfromclosure(closure, 0);
  Object *var_key = getfromclosure(closure, 1);
  Object *var_gctData = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tfp (depth = 6)
  Object call1371 = callmethodflags(*var_tfp, "getline", 0, partcv, params, 0);
  gc_frame_end(callframe1370);
// compiled member node returning call1371 (depth = 5)
  *var_line = call1371;
  if (call1371 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1374 = alloc_Float64(0);
// compiled num node returning num1374 (depth = 6)
  int op_slot_right_1373 = gc_frame_newslot(num1374);
// starting to compile member node (depth = 6)
  int callframe1376 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_line (depth = 7)
  Object call1377 = callmethodflags(*var_line, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1376);
// compiled member node returning call1377 (depth = 6)
  int op_slot_left_1373 = gc_frame_newslot(call1377);
  params[0] = num1374;
  partcv[0] = 1;
  Object opresult1378 = callmethod(call1377, ">(1)", 1, partcv, params);
// compiled op node returning opresult1378 (depth = 5)
  Object if1372 = done;
  if (istrue(opresult1378)) {
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1381 == NULL) {
    strlit1381 = alloc_String(" ");
    gc_root(strlit1381);
  }
// compiled string node returning strlit1381 (depth = 7)
  int op_slot_right_1380 = gc_frame_newslot(strlit1381);
// starting to compile call node (depth = 7)
  int callframe1383 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num1384 = alloc_Float64(1);
// compiled num node returning num1384 (depth = 8)
  gc_frame_newslot(num1384);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  params[0] = num1384;
  partcv[0] = 1;
  Object call1385 = callmethodflags(*var_line, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1383);
// compiled call node returning call1385 (depth = 7)
  int op_slot_left_1380 = gc_frame_newslot(call1385);
  params[0] = strlit1381;
  partcv[0] = 1;
  Object opresult1386 = callmethod(call1385, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1386 (depth = 6)
  Object if1379 = done;
  if (istrue(opresult1386)) {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1387 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num1388 = alloc_Float64(1);
// compiled num node returning num1388 (depth = 8)
  gc_frame_newslot(num1388);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1390 = alloc_Float64(1);
// compiled num node returning num1390 (depth = 9)
  int op_slot_right_1389 = gc_frame_newslot(num1390);
// starting to compile member node (depth = 9)
  int callframe1392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  Object call1393 = callmethodflags(*var_line, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1392);
// compiled member node returning call1393 (depth = 9)
  int op_slot_left_1389 = gc_frame_newslot(call1393);
  params[0] = num1390;
  partcv[0] = 1;
  Object diff1394 = callmethod(call1393, "-(1)", 1, partcv, params);
// compiled op node returning diff1394 (depth = 8)
  gc_frame_newslot(diff1394);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  params[0] = num1388;
  params[1] = diff1394;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1395 = callmethodflags(*var_line, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1387);
// compiled call node returning call1395 (depth = 7)
  *var_key = call1395;
  if (call1395 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1397 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_key (depth = 7)
  gc_frame_newslot(*var_key);
// starting to compile array node (depth = 7)
  Object array1398 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1398 (depth = 7)
  gc_frame_newslot(array1398);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_gctData (depth = 7)
  params[0] = *var_key;
  params[1] = array1398;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1399 = callmethodflags(*var_gctData, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1397);
// compiled call node returning call1399 (depth = 6)
    gc_frame_newslot(call1399);
    if1379 = call1399;
  } else {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1400 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe1401 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num1402 = alloc_Float64(2);
// compiled num node returning num1402 (depth = 8)
  gc_frame_newslot(num1402);
// starting to compile member node (depth = 8)
  int callframe1403 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  Object call1404 = callmethodflags(*var_line, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1403);
// compiled member node returning call1404 (depth = 8)
  gc_frame_newslot(call1404);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  params[0] = num1402;
  params[1] = call1404;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1405 = callmethodflags(*var_line, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1401);
// compiled call node returning call1405 (depth = 7)
  gc_frame_newslot(call1405);
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe1406 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_key (depth = 8)
  gc_frame_newslot(*var_key);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_gctData (depth = 8)
  params[0] = *var_key;
  partcv[0] = 1;
  Object call1407 = callmethodflags(*var_gctData, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1406);
// compiled call node returning call1407 (depth = 7)
  params[0] = call1405;
  partcv[0] = 1;
  Object call1408 = callmethodflags(call1407, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1400);
// compiled call node returning call1408 (depth = 6)
    gc_frame_newslot(call1408);
    if1379 = call1408;
  }
// compiled if node returning if1379 (depth = 5)
    gc_frame_newslot(if1379);
    if1372 = if1379;
  } else {
  }
// compiled if node returning if1372 (depth = 4)
  gc_frame_end(frame);
  return if1372;
}
Object meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parseGCT(1)sourceDir(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseGCT(_)sourceDir(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseGCT(_)sourceDir(_)");
  Object params[4];
  int partcv[4];
  Object *var_filePath = getfromclosure(closure, 0);
  Object *var_sys = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_gctCache = getfromclosure(closure, 3);
  Object *var_io = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for parseGCT(_)sourceDir(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_moduleName = &(stackframe->slots[0]);
  *var_moduleName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parseGCT(_)");
  Object *var_dir = &(stackframe->slots[1]);
  *var_dir = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sourceDir(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_gctData = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "gctData");
  Object *var_sz = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sz");
  Object *var_sought = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "sought");
  Object *var_filename = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "filename");
  Object *var_tfp = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "tfp");
  Object *var_key = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "key");
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1310 = gc_frame_new();
// call case 5: prelude request
  Object call1311 = callmethodflags(prelude, "emptyDictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1310);
// compiled member node returning call1311 (depth = 3)
  *var_gctData = call1311;
  if (call1311 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1312 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleName (depth = 4)
  Object call1313 = callmethodflags(*var_moduleName, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1312);
// compiled member node returning call1313 (depth = 3)
  *var_sz = call1313;
  if (call1313 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1314 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1315 == NULL) {
    strlit1315 = alloc_String(".gct");
    gc_root(strlit1315);
  }
// compiled string node returning strlit1315 (depth = 4)
  gc_frame_newslot(strlit1315);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1316 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleName (depth = 5)
  gc_frame_newslot(*var_moduleName);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_filePath (depth = 5)
  params[0] = *var_moduleName;
  partcv[0] = 1;
  Object call1317 = callmethodflags(*var_filePath, "fromString(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1316);
// compiled call node returning call1317 (depth = 4)
  params[0] = strlit1315;
  partcv[0] = 1;
  Object call1318 = callmethodflags(call1317, "setExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1314);
// compiled call node returning call1318 (depth = 3)
  *var_sought = call1318;
  if (call1318 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1319 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sought (depth = 4)
  gc_frame_newslot(*var_sought);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dir (depth = 4)
  gc_frame_newslot(*var_dir);
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1320 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1321 == NULL) {
    strlit1321 = alloc_String("GRACE_MODULE_PATH");
    gc_root(strlit1321);
  }
// compiled string node returning strlit1321 (depth = 5)
  gc_frame_newslot(strlit1321);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1322 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sys (depth = 6)
  Object call1323 = callmethodflags(*var_sys, "environ", 0, partcv, params, 0);
  gc_frame_end(callframe1322);
// compiled member node returning call1323 (depth = 5)
  params[0] = strlit1321;
  partcv[0] = 1;
  Object call1324 = callmethodflags(call1323, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1320);
// compiled call node returning call1324 (depth = 4)
  gc_frame_newslot(call1324);
// starting to compile block node (depth = 4)
  Object block1325 = alloc_Block(NULL, NULL, "xmodule", 339);
  gc_frame_newslot(block1325);
// method "_apply(_)"
  block_savedest(block1325);
  Object closure1326 = createclosure(6, "_apply(1)");
  setclosureframe(closure1326, stackframe);
  addtoclosure(closure1326, var_moduleName);
  addtoclosure(closure1326, var_sought);
  addtoclosure(closure1326, var_util);
  addtoclosure(closure1326, var_gctData);
  addtoclosure(closure1326, var_gctCache);
  addtoclosure(closure1326, selfslot);
  struct UserObject *uo1326 = (struct UserObject*)block1325;
  uo1326->data[0] = (Object)closure1326;
  Method *meth_meth_xmodule__apply_40_1_41_1326 = addmethod2pos(block1325, "_apply(1)", &meth_xmodule__apply_40_1_41_1326, 0);
  int argcv_meth_xmodule__apply_40_1_41_1326[] = {1};
  meth_meth_xmodule__apply_40_1_41_1326->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1326);
  meth_meth_xmodule__apply_40_1_41_1326->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1326->definitionLine = 565;
// compiled block node returning block1325 (depth = 4)
  gc_frame_newslot(block1325);
// call case 6: other requests
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_sought;
  params[1] = *var_dir;
  params[2] = call1324;
  params[3] = block1325;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1355 = callmethodflags(*var_util, "file(1)on(1)orPath(1)otherwise(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1319);
// compiled call node returning call1355 (depth = 3)
  *var_filename = call1355;
  if (call1355 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1356 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_filename (depth = 4)
  gc_frame_newslot(*var_filename);
// starting to compile string node (depth = 4)
  if (strlit1357 == NULL) {
    strlit1357 = alloc_String("r");
    gc_root(strlit1357);
  }
// compiled string node returning strlit1357 (depth = 4)
  gc_frame_newslot(strlit1357);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_io (depth = 4)
  params[0] = *var_filename;
  params[1] = strlit1357;
  partcv[0] = 2;
  Object call1358 = callmethodflags(*var_io, "open(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1356);
// compiled call node returning call1358 (depth = 3)
  *var_tfp = call1358;
  if (call1358 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1359 == NULL) {
    strlit1359 = alloc_String("");
    gc_root(strlit1359);
  }
// compiled string node returning strlit1359 (depth = 3)
  *var_key = strlit1359;
  if (strlit1359 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1360 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1361 = alloc_Block(NULL, NULL, "xmodule", 346);
  gc_frame_newslot(block1361);
// method "_apply"
  block_savedest(block1361);
  Object closure1362 = createclosure(2, "_apply");
  setclosureframe(closure1362, stackframe);
  addtoclosure(closure1362, var_tfp);
  addtoclosure(closure1362, selfslot);
  struct UserObject *uo1362 = (struct UserObject*)block1361;
  uo1362->data[0] = (Object)closure1362;
  Method *meth_meth_xmodule__apply1362 = addmethod2pos(block1361, "_apply", &meth_xmodule__apply1362, 0);
  int argcv_meth_xmodule__apply1362[] = {0};
  meth_meth_xmodule__apply1362->type = alloc_MethodType(1, argcv_meth_xmodule__apply1362);
  meth_meth_xmodule__apply1362->definitionModule = modulename;
  meth_meth_xmodule__apply1362->definitionLine = 565;
// compiled block node returning block1361 (depth = 3)
  gc_frame_newslot(block1361);
// starting to compile block node (depth = 3)
  Object block1368 = alloc_Block(NULL, NULL, "xmodule", 346);
  gc_frame_newslot(block1368);
// method "_apply"
  block_savedest(block1368);
  Object closure1369 = createclosure(4, "_apply");
  setclosureframe(closure1369, stackframe);
  addtoclosure(closure1369, var_tfp);
  addtoclosure(closure1369, var_key);
  addtoclosure(closure1369, var_gctData);
  addtoclosure(closure1369, selfslot);
  struct UserObject *uo1369 = (struct UserObject*)block1368;
  uo1369->data[0] = (Object)closure1369;
  Method *meth_meth_xmodule__apply1369 = addmethod2pos(block1368, "_apply", &meth_xmodule__apply1369, 0);
  int argcv_meth_xmodule__apply1369[] = {0};
  meth_meth_xmodule__apply1369->type = alloc_MethodType(1, argcv_meth_xmodule__apply1369);
  meth_meth_xmodule__apply1369->definitionModule = modulename;
  meth_meth_xmodule__apply1369->definitionLine = 565;
// compiled block node returning block1368 (depth = 3)
  gc_frame_newslot(block1368);
// call case 5: prelude request
  params[0] = block1361;
  params[1] = block1368;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1410 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1360);
// compiled call node returning call1410 (depth = 2)
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe1411 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tfp (depth = 3)
  Object call1412 = callmethodflags(*var_tfp, "close", 0, partcv, params, 0);
  gc_frame_end(callframe1411);
// compiled member node returning call1412 (depth = 2)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1413 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleName (depth = 3)
  gc_frame_newslot(*var_moduleName);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctData (depth = 3)
  gc_frame_newslot(*var_gctData);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctCache (depth = 3)
  params[0] = *var_moduleName;
  params[1] = *var_gctData;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1414 = callmethodflags(*var_gctCache, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1413);
// compiled call node returning call1414 (depth = 2)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctData (depth = 3)
  return *var_gctData;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule__apply_40_1_41_1453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_fp = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1454 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1456 == NULL) {
    strlit1456 = alloc_String("""\x0a""");
    gc_root(strlit1456);
  }
// compiled string node returning strlit1456 (depth = 8)
  int op_slot_right_1455 = gc_frame_newslot(strlit1456);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  int op_slot_right_1458 = gc_frame_newslot(*var_v);
// starting to compile string node (depth = 9)
  if (strlit1460 == NULL) {
    strlit1460 = alloc_String(" ");
    gc_root(strlit1460);
  }
// compiled string node returning strlit1460 (depth = 9)
  int op_slot_left_1458 = gc_frame_newslot(strlit1460);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult1461 = callmethod(strlit1460, "++(1)", 1, partcv, params);
// compiled op node returning opresult1461 (depth = 8)
  int op_slot_left_1455 = gc_frame_newslot(opresult1461);
  params[0] = strlit1456;
  partcv[0] = 1;
  Object opresult1462 = callmethod(opresult1461, "++(1)", 1, partcv, params);
// compiled op node returning opresult1462 (depth = 7)
  gc_frame_newslot(opresult1462);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_fp (depth = 7)
  params[0] = opresult1462;
  partcv[0] = 1;
  Object call1463 = callmethodflags(*var_fp, "write(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1454);
// compiled call node returning call1463 (depth = 6)
  gc_frame_end(frame);
  return call1463;
}
Object meth_xmodule__apply_40_1_41_1438(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_fp = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1439 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1441 == NULL) {
    strlit1441 = alloc_String(":""\x0a""");
    gc_root(strlit1441);
  }
// compiled string node returning strlit1441 (depth = 6)
  int op_slot_right_1440 = gc_frame_newslot(strlit1441);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1444 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  Object call1445 = callmethodflags(*var_b, "key", 0, partcv, params, 0);
  gc_frame_end(callframe1444);
// compiled member node returning call1445 (depth = 7)
  int op_slot_right_1443 = gc_frame_newslot(call1445);
// starting to compile string node (depth = 7)
  if (strlit1447 == NULL) {
    strlit1447 = alloc_String("");
    gc_root(strlit1447);
  }
// compiled string node returning strlit1447 (depth = 7)
  int op_slot_left_1443 = gc_frame_newslot(strlit1447);
  params[0] = call1445;
  partcv[0] = 1;
  Object opresult1448 = callmethod(strlit1447, "++(1)", 1, partcv, params);
// compiled op node returning opresult1448 (depth = 6)
  int op_slot_left_1440 = gc_frame_newslot(opresult1448);
  params[0] = strlit1441;
  partcv[0] = 1;
  Object opresult1449 = callmethod(opresult1448, "++(1)", 1, partcv, params);
// compiled op node returning opresult1449 (depth = 5)
  gc_frame_newslot(opresult1449);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fp (depth = 5)
  params[0] = opresult1449;
  partcv[0] = 1;
  Object call1450 = callmethodflags(*var_fp, "write(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1439);
// compiled call node returning call1450 (depth = 4)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1451 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1452 = alloc_Block(NULL, NULL, "xmodule", 366);
  gc_frame_newslot(block1452);
// method "_apply(_)"
  block_savedest(block1452);
  Object closure1453 = createclosure(2, "_apply(1)");
  setclosureframe(closure1453, stackframe);
  addtoclosure(closure1453, var_fp);
  addtoclosure(closure1453, selfslot);
  struct UserObject *uo1453 = (struct UserObject*)block1452;
  uo1453->data[0] = (Object)closure1453;
  Method *meth_meth_xmodule__apply_40_1_41_1453 = addmethod2pos(block1452, "_apply(1)", &meth_xmodule__apply_40_1_41_1453, 0);
  int argcv_meth_xmodule__apply_40_1_41_1453[] = {1};
  meth_meth_xmodule__apply_40_1_41_1453->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1453);
  meth_meth_xmodule__apply_40_1_41_1453->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1453->definitionLine = 565;
// compiled block node returning block1452 (depth = 5)
  gc_frame_newslot(block1452);
// call case 6: other requests
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1465 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1466 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1467 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  Object call1468 = callmethodflags(*var_b, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1467);
// compiled member node returning call1468 (depth = 7)
  Object call1469 = callmethodflags(call1468, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe1466);
// compiled member node returning call1469 (depth = 6)
  Object call1470 = callmethodflags(call1469, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1465);
// compiled member node returning call1470 (depth = 5)
  params[0] = block1452;
  partcv[0] = 1;
  Object call1471 = callmethodflags(call1470, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1451);
// compiled call node returning call1471 (depth = 4)
  gc_frame_end(frame);
  return call1471;
}
Object meth_xmodule_writeGCT_40_2_41_1415(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "writeGCT(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method writeGCT(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  Object *var_keyCompare = getfromclosure(closure, 2);
  Object *var_gctCache = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for writeGCT(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_modname = &(stackframe->slots[0]);
  *var_modname = args[curarg];
  curarg++;
  Object *var_dict = &(stackframe->slots[1]);
  *var_dict = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part writeGCT(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_fp = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "fp");
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1416 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1418 == NULL) {
    strlit1418 = alloc_String(".gct");
    gc_root(strlit1418);
  }
// compiled string node returning strlit1418 (depth = 5)
  int op_slot_right_1417 = gc_frame_newslot(strlit1418);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_modname (depth = 6)
  int op_slot_right_1420 = gc_frame_newslot(*var_modname);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1423 == NULL) {
    strlit1423 = alloc_String("");
    gc_root(strlit1423);
  }
// compiled string node returning strlit1423 (depth = 7)
  int op_slot_right_1422 = gc_frame_newslot(strlit1423);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1426 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call1427 = callmethodflags(*var_util, "outDir", 0, partcv, params, 0);
  gc_frame_end(callframe1426);
// compiled member node returning call1427 (depth = 8)
  int op_slot_right_1425 = gc_frame_newslot(call1427);
// starting to compile string node (depth = 8)
  if (strlit1429 == NULL) {
    strlit1429 = alloc_String("");
    gc_root(strlit1429);
  }
// compiled string node returning strlit1429 (depth = 8)
  int op_slot_left_1425 = gc_frame_newslot(strlit1429);
  params[0] = call1427;
  partcv[0] = 1;
  Object opresult1430 = callmethod(strlit1429, "++(1)", 1, partcv, params);
// compiled op node returning opresult1430 (depth = 7)
  int op_slot_left_1422 = gc_frame_newslot(opresult1430);
  params[0] = strlit1423;
  partcv[0] = 1;
  Object opresult1431 = callmethod(opresult1430, "++(1)", 1, partcv, params);
// compiled op node returning opresult1431 (depth = 6)
  int op_slot_left_1420 = gc_frame_newslot(opresult1431);
  params[0] = *var_modname;
  partcv[0] = 1;
  Object opresult1432 = callmethod(opresult1431, "++(1)", 1, partcv, params);
// compiled op node returning opresult1432 (depth = 5)
  int op_slot_left_1417 = gc_frame_newslot(opresult1432);
  params[0] = strlit1418;
  partcv[0] = 1;
  Object opresult1433 = callmethod(opresult1432, "++(1)", 1, partcv, params);
// compiled op node returning opresult1433 (depth = 4)
  gc_frame_newslot(opresult1433);
// starting to compile string node (depth = 4)
  if (strlit1434 == NULL) {
    strlit1434 = alloc_String("w");
    gc_root(strlit1434);
  }
// compiled string node returning strlit1434 (depth = 4)
  gc_frame_newslot(strlit1434);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_io (depth = 4)
  params[0] = opresult1433;
  params[1] = strlit1434;
  partcv[0] = 2;
  Object call1435 = callmethodflags(*var_io, "open(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1416);
// compiled call node returning call1435 (depth = 3)
  *var_fp = call1435;
  if (call1435 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1436 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1437 = alloc_Block(NULL, NULL, "xmodule", 364);
  gc_frame_newslot(block1437);
// method "_apply(_)"
  block_savedest(block1437);
  Object closure1438 = createclosure(2, "_apply(1)");
  setclosureframe(closure1438, stackframe);
  addtoclosure(closure1438, var_fp);
  addtoclosure(closure1438, selfslot);
  struct UserObject *uo1438 = (struct UserObject*)block1437;
  uo1438->data[0] = (Object)closure1438;
  Method *meth_meth_xmodule__apply_40_1_41_1438 = addmethod2pos(block1437, "_apply(1)", &meth_xmodule__apply_40_1_41_1438, 0);
  int argcv_meth_xmodule__apply_40_1_41_1438[] = {1};
  meth_meth_xmodule__apply_40_1_41_1438->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1438);
  meth_meth_xmodule__apply_40_1_41_1438->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1438->definitionLine = 565;
// compiled block node returning block1437 (depth = 3)
  gc_frame_newslot(block1437);
// call case 6: other requests
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1473 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_keyCompare (depth = 4)
  gc_frame_newslot(*var_keyCompare);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1474 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1475 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_dict (depth = 6)
  Object call1476 = callmethodflags(*var_dict, "bindings", 0, partcv, params, 0);
  gc_frame_end(callframe1475);
// compiled member node returning call1476 (depth = 5)
  Object call1477 = callmethodflags(call1476, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe1474);
// compiled member node returning call1477 (depth = 4)
  params[0] = *var_keyCompare;
  partcv[0] = 1;
  Object call1478 = callmethodflags(call1477, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1473);
// compiled call node returning call1478 (depth = 3)
  params[0] = block1437;
  partcv[0] = 1;
  Object call1479 = callmethodflags(call1478, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1436);
// compiled call node returning call1479 (depth = 2)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe1480 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_fp (depth = 3)
  Object call1481 = callmethodflags(*var_fp, "close", 0, partcv, params, 0);
  gc_frame_end(callframe1480);
// compiled member node returning call1481 (depth = 2)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1482 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_modname (depth = 3)
  gc_frame_newslot(*var_modname);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dict (depth = 3)
  gc_frame_newslot(*var_dict);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctCache (depth = 3)
  params[0] = *var_modname;
  params[1] = *var_dict;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1483 = callmethodflags(*var_gctCache, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1482);
// compiled call node returning call1483 (depth = 2)
  gc_frame_end(frame);
  return call1483;
}
Object meth_xmodule_writeGctForModule_40_1_41_1484(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "writeGctForModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method writeGctForModule(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for writeGctForModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleObject = &(stackframe->slots[0]);
  *var_moduleObject = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part writeGctForModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1485 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1486 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  Object call1487 = callmethodflags(*var_moduleObject, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1486);
// compiled member node returning call1487 (depth = 3)
  gc_frame_newslot(call1487);
// starting to compile call node (depth = 3)
  int callframe1488 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  gc_frame_newslot(*var_moduleObject);
// call case 4: self request
  params[0] = *var_moduleObject;
  partcv[0] = 1;
  Object call1489 = callmethodflags(self, "generateGctForModule(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1488);
// compiled call node returning call1489 (depth = 3)
  gc_frame_newslot(call1489);
// call case 4: self request
  params[0] = call1487;
  params[1] = call1489;
  partcv[0] = 2;
  Object call1490 = callmethodflags(self, "writeGCT(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1485);
// compiled call node returning call1490 (depth = 2)
  gc_frame_end(frame);
  return call1490;
}
Object meth_xmodule__apply_40_1_41_1512(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1515 == NULL) {
    strlit1515 = alloc_String("""\x0a""");
    gc_root(strlit1515);
  }
// compiled string node returning strlit1515 (depth = 9)
  int op_slot_right_1514 = gc_frame_newslot(strlit1515);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  int op_slot_right_1517 = gc_frame_newslot(*var_v);
// starting to compile string node (depth = 10)
  if (strlit1519 == NULL) {
    strlit1519 = alloc_String(" ");
    gc_root(strlit1519);
  }
// compiled string node returning strlit1519 (depth = 10)
  int op_slot_left_1517 = gc_frame_newslot(strlit1519);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult1520 = callmethod(strlit1519, "++(1)", 1, partcv, params);
// compiled op node returning opresult1520 (depth = 9)
  int op_slot_left_1514 = gc_frame_newslot(opresult1520);
  params[0] = strlit1515;
  partcv[0] = 1;
  Object opresult1521 = callmethod(opresult1520, "++(1)", 1, partcv, params);
// compiled op node returning opresult1521 (depth = 8)
  int op_slot_right_1513 = gc_frame_newslot(opresult1521);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ret (depth = 8)
  int op_slot_left_1513 = gc_frame_newslot(*var_ret);
  params[0] = opresult1521;
  partcv[0] = 1;
  Object opresult1523 = callmethod(*var_ret, "++(1)", 1, partcv, params);
// compiled op node returning opresult1523 (depth = 7)
  *var_ret = opresult1523;
  if (opresult1523 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_xmodule__apply_40_1_41_1495(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_ret = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1498 == NULL) {
    strlit1498 = alloc_String(":""\x0a""");
    gc_root(strlit1498);
  }
// compiled string node returning strlit1498 (depth = 7)
  int op_slot_right_1497 = gc_frame_newslot(strlit1498);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1501 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_b (depth = 9)
  Object call1502 = callmethodflags(*var_b, "key", 0, partcv, params, 0);
  gc_frame_end(callframe1501);
// compiled member node returning call1502 (depth = 8)
  int op_slot_right_1500 = gc_frame_newslot(call1502);
// starting to compile string node (depth = 8)
  if (strlit1504 == NULL) {
    strlit1504 = alloc_String("");
    gc_root(strlit1504);
  }
// compiled string node returning strlit1504 (depth = 8)
  int op_slot_left_1500 = gc_frame_newslot(strlit1504);
  params[0] = call1502;
  partcv[0] = 1;
  Object opresult1505 = callmethod(strlit1504, "++(1)", 1, partcv, params);
// compiled op node returning opresult1505 (depth = 7)
  int op_slot_left_1497 = gc_frame_newslot(opresult1505);
  params[0] = strlit1498;
  partcv[0] = 1;
  Object opresult1506 = callmethod(opresult1505, "++(1)", 1, partcv, params);
// compiled op node returning opresult1506 (depth = 6)
  int op_slot_right_1496 = gc_frame_newslot(opresult1506);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ret (depth = 6)
  int op_slot_left_1496 = gc_frame_newslot(*var_ret);
  params[0] = opresult1506;
  partcv[0] = 1;
  Object opresult1508 = callmethod(*var_ret, "++(1)", 1, partcv, params);
// compiled op node returning opresult1508 (depth = 5)
  *var_ret = opresult1508;
  if (opresult1508 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1510 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1511 = alloc_Block(NULL, NULL, "xmodule", 382);
  gc_frame_newslot(block1511);
// method "_apply(_)"
  block_savedest(block1511);
  Object closure1512 = createclosure(2, "_apply(1)");
  setclosureframe(closure1512, stackframe);
  addtoclosure(closure1512, var_ret);
  addtoclosure(closure1512, selfslot);
  struct UserObject *uo1512 = (struct UserObject*)block1511;
  uo1512->data[0] = (Object)closure1512;
  Method *meth_meth_xmodule__apply_40_1_41_1512 = addmethod2pos(block1511, "_apply(1)", &meth_xmodule__apply_40_1_41_1512, 0);
  int argcv_meth_xmodule__apply_40_1_41_1512[] = {1};
  meth_meth_xmodule__apply_40_1_41_1512->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1512);
  meth_meth_xmodule__apply_40_1_41_1512->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1512->definitionLine = 565;
// compiled block node returning block1511 (depth = 5)
  gc_frame_newslot(block1511);
// call case 6: other requests
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1526 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1527 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1528 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  Object call1529 = callmethodflags(*var_b, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1528);
// compiled member node returning call1529 (depth = 7)
  Object call1530 = callmethodflags(call1529, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe1527);
// compiled member node returning call1530 (depth = 6)
  Object call1531 = callmethodflags(call1530, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1526);
// compiled member node returning call1531 (depth = 5)
  params[0] = block1511;
  partcv[0] = 1;
  Object call1532 = callmethodflags(call1531, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1510);
// compiled call node returning call1532 (depth = 4)
  gc_frame_end(frame);
  return call1532;
}
Object meth_xmodule_gctAsString_40_1_41_1491(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "gctAsString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method gctAsString(_)");
  Object params[1];
  int partcv[1];
  Object *var_keyCompare = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for gctAsString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_gctDict = &(stackframe->slots[0]);
  *var_gctDict = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part gctAsString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ret");
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1492 == NULL) {
    strlit1492 = alloc_String("");
    gc_root(strlit1492);
  }
// compiled string node returning strlit1492 (depth = 3)
  *var_ret = strlit1492;
  if (strlit1492 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1493 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1494 = alloc_Block(NULL, NULL, "xmodule", 380);
  gc_frame_newslot(block1494);
// method "_apply(_)"
  block_savedest(block1494);
  Object closure1495 = createclosure(2, "_apply(1)");
  setclosureframe(closure1495, stackframe);
  addtoclosure(closure1495, var_ret);
  addtoclosure(closure1495, selfslot);
  struct UserObject *uo1495 = (struct UserObject*)block1494;
  uo1495->data[0] = (Object)closure1495;
  Method *meth_meth_xmodule__apply_40_1_41_1495 = addmethod2pos(block1494, "_apply(1)", &meth_xmodule__apply_40_1_41_1495, 0);
  int argcv_meth_xmodule__apply_40_1_41_1495[] = {1};
  meth_meth_xmodule__apply_40_1_41_1495->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1495);
  meth_meth_xmodule__apply_40_1_41_1495->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1495->definitionLine = 565;
// compiled block node returning block1494 (depth = 3)
  gc_frame_newslot(block1494);
// call case 6: other requests
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1534 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_keyCompare (depth = 4)
  gc_frame_newslot(*var_keyCompare);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1535 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1536 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gctDict (depth = 6)
  Object call1537 = callmethodflags(*var_gctDict, "bindings", 0, partcv, params, 0);
  gc_frame_end(callframe1536);
// compiled member node returning call1537 (depth = 5)
  Object call1538 = callmethodflags(call1537, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe1535);
// compiled member node returning call1538 (depth = 4)
  params[0] = *var_keyCompare;
  partcv[0] = 1;
  Object call1539 = callmethodflags(call1538, "sortBy(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1534);
// compiled call node returning call1539 (depth = 3)
  params[0] = block1494;
  partcv[0] = 1;
  Object call1540 = callmethodflags(call1539, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1493);
// compiled call node returning call1540 (depth = 2)
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ret (depth = 3)
  return *var_ret;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule_generateGctForModule_40_1_41_1541(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "generateGctForModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method generateGctForModule(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for generateGctForModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_moduleObject = &(stackframe->slots[0]);
  *var_moduleObject = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part generateGctForModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_gct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gct");
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1542 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  gc_frame_newslot(*var_moduleObject);
// call case 4: self request
  params[0] = *var_moduleObject;
  partcv[0] = 1;
  Object call1543 = callmethodflags(self, "buildGctFor(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1542);
// compiled call node returning call1543 (depth = 3)
  *var_gct = call1543;
  if (call1543 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1544 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleObject (depth = 3)
  gc_frame_newslot(*var_moduleObject);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  gc_frame_newslot(*var_gct);
// call case 4: self request
  params[0] = *var_moduleObject;
  params[1] = *var_gct;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1545 = callmethodflags(self, "addFreshMethodsOf(1)to(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1544);
// compiled call node returning call1545 (depth = 2)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  return *var_gct;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule__apply_40_1_41_1560(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_meths = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1561 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1562 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  Object call1563 = callmethodflags(*var_p, "providedNames", 0, partcv, params, 0);
  gc_frame_end(callframe1562);
// compiled member node returning call1563 (depth = 5)
  gc_frame_newslot(call1563);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meths (depth = 5)
  params[0] = call1563;
  partcv[0] = 1;
  Object call1564 = callmethodflags(*var_meths, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1561);
// compiled call node returning call1564 (depth = 4)
  gc_frame_end(frame);
  return call1564;
}
Object meth_xmodule__apply_40_1_41_1695(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_meths = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_m = &(stackframe->slots[0]);
  *var_m = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe1696 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_m (depth = 12)
  gc_frame_newslot(*var_m);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_meths (depth = 12)
  params[0] = *var_m;
  partcv[0] = 1;
  Object call1697 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1696);
// compiled call node returning call1697 (depth = 11)
  gc_frame_end(frame);
  return call1697;
}
Object meth_xmodule__apply_40_2_41_1726(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object *var_exportedMethods = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_key = &(stackframe->slots[0]);
  *var_key = args[curarg];
  curarg++;
  Object *var_knd = &(stackframe->slots[1]);
  *var_knd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// starting to compile member node (depth = 15)
  int callframe1728 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_knd (depth = 16)
  Object call1729 = callmethodflags(*var_knd, "forGct", 0, partcv, params, 0);
  gc_frame_end(callframe1728);
// compiled member node returning call1729 (depth = 15)
  Object if1727 = done;
  if (istrue(call1729)) {
// starting to compile call node (depth = 15)
  int callframe1730 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_key (depth = 16)
  gc_frame_newslot(*var_key);
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_exportedMethods (depth = 16)
  params[0] = *var_key;
  partcv[0] = 1;
  Object call1731 = callmethodflags(*var_exportedMethods, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1730);
// compiled call node returning call1731 (depth = 15)
    gc_frame_newslot(call1731);
    if1727 = call1731;
  } else {
  }
// compiled if node returning if1727 (depth = 14)
  gc_frame_end(frame);
  return if1727;
}
Object meth_xmodule__apply_40_1_41_1714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_obConstructors = getfromclosure(closure, 0);
  Object *var_ob = getfromclosure(closure, 1);
  Object *var_v = getfromclosure(closure, 2);
  Object *var_gct = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_nd = &(stackframe->slots[0]);
  *var_nd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_factMethNm = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "factMethNm");
  Object *var_exportedMethods = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "exportedMethods");
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe1716 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nd (depth = 13)
  Object call1717 = callmethodflags(*var_nd, "isClass", 0, partcv, params, 0);
  gc_frame_end(callframe1716);
// compiled member node returning call1717 (depth = 12)
  Object if1715 = done;
  if (istrue(call1717)) {
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe1718 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nd (depth = 14)
  Object call1719 = callmethodflags(*var_nd, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1718);
// compiled member node returning call1719 (depth = 13)
  *var_factMethNm = call1719;
  if (call1719 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 12)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe1720 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_factMethNm (depth = 13)
  gc_frame_newslot(*var_factMethNm);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_obConstructors (depth = 13)
  params[0] = *var_factMethNm;
  partcv[0] = 1;
  Object call1721 = callmethodflags(*var_obConstructors, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1720);
// compiled call node returning call1721 (depth = 12)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe1722 = gc_frame_new();
// call case 5: prelude request
  Object call1723 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1722);
// compiled member node returning call1723 (depth = 13)
  *var_exportedMethods = call1723;
  if (call1723 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 12)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe1724 = gc_frame_new();
// starting to compile block node (depth = 13)
  Object block1725 = alloc_Block(NULL, NULL, "xmodule", 521);
  gc_frame_newslot(block1725);
// method "_apply(_,_)"
  block_savedest(block1725);
  Object closure1726 = createclosure(2, "_apply(2)");
  setclosureframe(closure1726, stackframe);
  addtoclosure(closure1726, var_exportedMethods);
  addtoclosure(closure1726, selfslot);
  struct UserObject *uo1726 = (struct UserObject*)block1725;
  uo1726->data[0] = (Object)closure1726;
  Method *meth_meth_xmodule__apply_40_2_41_1726 = addmethod2pos(block1725, "_apply(2)", &meth_xmodule__apply_40_2_41_1726, 0);
  int argcv_meth_xmodule__apply_40_2_41_1726[] = {2};
  meth_meth_xmodule__apply_40_2_41_1726->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_2_41_1726);
  meth_meth_xmodule__apply_40_2_41_1726->definitionModule = modulename;
  meth_meth_xmodule__apply_40_2_41_1726->definitionLine = 565;
// compiled block node returning block1725 (depth = 13)
  gc_frame_newslot(block1725);
// call case 6: other requests
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe1733 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_factMethNm (depth = 14)
  gc_frame_newslot(*var_factMethNm);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe1734 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_ob (depth = 15)
  Object call1735 = callmethodflags(*var_ob, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe1734);
// compiled member node returning call1735 (depth = 14)
  params[0] = *var_factMethNm;
  partcv[0] = 1;
  Object call1736 = callmethodflags(call1735, "getScope(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1733);
// compiled call node returning call1736 (depth = 13)
  params[0] = block1725;
  partcv[0] = 1;
  Object call1737 = callmethodflags(call1736, "keysAndKindsDo(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1724);
// compiled call node returning call1737 (depth = 12)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe1738 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit1740 == NULL) {
    strlit1740 = alloc_String("");
    gc_root(strlit1740);
  }
// compiled string node returning strlit1740 (depth = 14)
  int op_slot_right_1739 = gc_frame_newslot(strlit1740);
// starting to compile op node (depth = 14)
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_factMethNm (depth = 15)
  int op_slot_right_1742 = gc_frame_newslot(*var_factMethNm);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit1745 == NULL) {
    strlit1745 = alloc_String(".");
    gc_root(strlit1745);
  }
// compiled string node returning strlit1745 (depth = 16)
  int op_slot_right_1744 = gc_frame_newslot(strlit1745);
// starting to compile op node (depth = 16)
// starting to compile member node (depth = 17)
  int callframe1748 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe1749 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_v (depth = 19)
  Object call1750 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1749);
// compiled member node returning call1750 (depth = 18)
  Object call1751 = callmethodflags(call1750, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1748);
// compiled member node returning call1751 (depth = 17)
  int op_slot_right_1747 = gc_frame_newslot(call1751);
// starting to compile string node (depth = 17)
  if (strlit1753 == NULL) {
    strlit1753 = alloc_String("methods-of:");
    gc_root(strlit1753);
  }
// compiled string node returning strlit1753 (depth = 17)
  int op_slot_left_1747 = gc_frame_newslot(strlit1753);
  params[0] = call1751;
  partcv[0] = 1;
  Object opresult1754 = callmethod(strlit1753, "++(1)", 1, partcv, params);
// compiled op node returning opresult1754 (depth = 16)
  int op_slot_left_1744 = gc_frame_newslot(opresult1754);
  params[0] = strlit1745;
  partcv[0] = 1;
  Object opresult1755 = callmethod(opresult1754, "++(1)", 1, partcv, params);
// compiled op node returning opresult1755 (depth = 15)
  int op_slot_left_1742 = gc_frame_newslot(opresult1755);
  params[0] = *var_factMethNm;
  partcv[0] = 1;
  Object opresult1756 = callmethod(opresult1755, "++(1)", 1, partcv, params);
// compiled op node returning opresult1756 (depth = 14)
  int op_slot_left_1739 = gc_frame_newslot(opresult1756);
  params[0] = strlit1740;
  partcv[0] = 1;
  Object opresult1757 = callmethod(opresult1756, "++(1)", 1, partcv, params);
// compiled op node returning opresult1757 (depth = 13)
  gc_frame_newslot(opresult1757);
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
  int callframe1758 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_exportedMethods (depth = 14)
  Object call1759 = callmethodflags(*var_exportedMethods, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1758);
// compiled member node returning call1759 (depth = 13)
  gc_frame_newslot(call1759);
// call case 6: other requests
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_gct (depth = 13)
  params[0] = opresult1757;
  params[1] = call1759;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1760 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1738);
// compiled call node returning call1760 (depth = 12)
    gc_frame_newslot(call1760);
    if1715 = call1760;
  } else {
  }
// compiled if node returning if1715 (depth = 11)
  gc_frame_end(frame);
  return if1715;
}
Object meth_xmodule__apply_40_1_41_1571(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_meths = getfromclosure(closure, 0);
  Object *var_confidentials = getfromclosure(closure, 1);
  Object *var_types = getfromclosure(closure, 2);
  Object *var_methodtypes = getfromclosure(closure, 3);
  Object *var_typeVisitor = getfromclosure(closure, 4);
  Object *var_gct = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  Object *var_classes = getfromclosure(closure, 7);
  Object *var_theDialect = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_typename = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "typename");
  Object *var_ob = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ob");
  Object *var_obConstructors = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "obConstructors");
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1574 == NULL) {
    strlit1574 = alloc_String("vardec");
    gc_root(strlit1574);
  }
// compiled string node returning strlit1574 (depth = 6)
  int op_slot_right_1573 = gc_frame_newslot(strlit1574);
// starting to compile member node (depth = 6)
  int callframe1576 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  Object call1577 = callmethodflags(*var_v, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1576);
// compiled member node returning call1577 (depth = 6)
  int op_slot_left_1573 = gc_frame_newslot(call1577);
  params[0] = strlit1574;
  partcv[0] = 1;
  Object opresult1578 = callmethod(call1577, "==(1)", 1, partcv, params);
// compiled op node returning opresult1578 (depth = 5)
  Object if1572 = done;
  if (istrue(opresult1578)) {
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  Object call1581 = callmethodflags(*var_v, "isReadable", 0, partcv, params, 0);
  gc_frame_end(callframe1580);
// compiled member node returning call1581 (depth = 6)
  Object if1579 = done;
  if (istrue(call1581)) {
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1582 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe1583 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1584 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  Object call1585 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1584);
// compiled member node returning call1585 (depth = 8)
  Object call1586 = callmethodflags(call1585, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1583);
// compiled member node returning call1586 (depth = 7)
  gc_frame_newslot(call1586);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meths (depth = 7)
  params[0] = call1586;
  partcv[0] = 1;
  Object call1587 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1582);
// compiled call node returning call1587 (depth = 6)
    gc_frame_newslot(call1587);
    if1579 = call1587;
  } else {
  }
// compiled if node returning if1579 (depth = 5)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1589 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  Object call1590 = callmethodflags(*var_v, "isWritable", 0, partcv, params, 0);
  gc_frame_end(callframe1589);
// compiled member node returning call1590 (depth = 6)
  Object if1588 = done;
  if (istrue(call1590)) {
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1591 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1593 == NULL) {
    strlit1593 = alloc_String(":=");
    gc_root(strlit1593);
  }
// compiled string node returning strlit1593 (depth = 8)
  int op_slot_right_1592 = gc_frame_newslot(strlit1593);
// starting to compile member node (depth = 8)
  int callframe1595 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1596 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1597 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1596);
// compiled member node returning call1597 (depth = 9)
  Object call1598 = callmethodflags(call1597, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1595);
// compiled member node returning call1598 (depth = 8)
  int op_slot_left_1592 = gc_frame_newslot(call1598);
  params[0] = strlit1593;
  partcv[0] = 1;
  Object opresult1599 = callmethod(call1598, "++(1)", 1, partcv, params);
// compiled op node returning opresult1599 (depth = 7)
  gc_frame_newslot(opresult1599);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meths (depth = 7)
  params[0] = opresult1599;
  partcv[0] = 1;
  Object call1600 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1591);
// compiled call node returning call1600 (depth = 6)
    gc_frame_newslot(call1600);
    if1588 = call1600;
  } else {
  }
// compiled if node returning if1588 (depth = 5)
    gc_frame_newslot(if1588);
    if1572 = if1588;
  } else {
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1603 == NULL) {
    strlit1603 = alloc_String("method");
    gc_root(strlit1603);
  }
// compiled string node returning strlit1603 (depth = 7)
  int op_slot_right_1602 = gc_frame_newslot(strlit1603);
// starting to compile member node (depth = 7)
  int callframe1605 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  Object call1606 = callmethodflags(*var_v, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1605);
// compiled member node returning call1606 (depth = 7)
  int op_slot_left_1602 = gc_frame_newslot(call1606);
  params[0] = strlit1603;
  partcv[0] = 1;
  Object opresult1607 = callmethod(call1606, "==(1)", 1, partcv, params);
// compiled op node returning opresult1607 (depth = 6)
  Object if1601 = done;
  if (istrue(opresult1607)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1609 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  Object call1610 = callmethodflags(*var_v, "isPublic", 0, partcv, params, 0);
  gc_frame_end(callframe1609);
// compiled member node returning call1610 (depth = 7)
  Object if1608 = done;
  if (istrue(call1610)) {
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1611 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1612 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  Object call1613 = callmethodflags(*var_v, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1612);
// compiled member node returning call1613 (depth = 8)
  gc_frame_newslot(call1613);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meths (depth = 8)
  params[0] = call1613;
  partcv[0] = 1;
  Object call1614 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1611);
// compiled call node returning call1614 (depth = 7)
    gc_frame_newslot(call1614);
    if1608 = call1614;
  } else {
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1615 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1616 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  Object call1617 = callmethodflags(*var_v, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1616);
// compiled member node returning call1617 (depth = 8)
  gc_frame_newslot(call1617);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_confidentials (depth = 8)
  params[0] = call1617;
  partcv[0] = 1;
  Object call1618 = callmethodflags(*var_confidentials, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1615);
// compiled call node returning call1618 (depth = 7)
    gc_frame_newslot(call1618);
    if1608 = call1618;
  }
// compiled if node returning if1608 (depth = 6)
    gc_frame_newslot(if1608);
    if1601 = if1608;
  } else {
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1621 == NULL) {
    strlit1621 = alloc_String("typedec");
    gc_root(strlit1621);
  }
// compiled string node returning strlit1621 (depth = 8)
  int op_slot_right_1620 = gc_frame_newslot(strlit1621);
// starting to compile member node (depth = 8)
  int callframe1623 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  Object call1624 = callmethodflags(*var_v, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1623);
// compiled member node returning call1624 (depth = 8)
  int op_slot_left_1620 = gc_frame_newslot(call1624);
  params[0] = strlit1621;
  partcv[0] = 1;
  Object opresult1625 = callmethod(call1624, "==(1)", 1, partcv, params);
// compiled op node returning opresult1625 (depth = 7)
  Object if1619 = done;
  if (istrue(opresult1625)) {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1627 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  Object call1628 = callmethodflags(*var_v, "isPublic", 0, partcv, params, 0);
  gc_frame_end(callframe1627);
// compiled member node returning call1628 (depth = 8)
  Object if1626 = done;
  if (istrue(call1628)) {
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1629 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1630 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1631 = callmethodflags(*var_v, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1630);
// compiled member node returning call1631 (depth = 9)
  gc_frame_newslot(call1631);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meths (depth = 9)
  params[0] = call1631;
  partcv[0] = 1;
  Object call1632 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1629);
// compiled call node returning call1632 (depth = 8)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1633 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1634 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1635 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1636 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1635);
// compiled member node returning call1636 (depth = 10)
  Object call1637 = callmethodflags(call1636, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1634);
// compiled member node returning call1637 (depth = 9)
  gc_frame_newslot(call1637);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_types (depth = 9)
  params[0] = call1637;
  partcv[0] = 1;
  Object call1638 = callmethodflags(*var_types, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1633);
// compiled call node returning call1638 (depth = 8)
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile array node (depth = 9)
  Object array1639 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1639 (depth = 9)
  *var_methodtypes = array1639;
  if (array1639 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1641 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_typeVisitor (depth = 9)
  gc_frame_newslot(*var_typeVisitor);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  params[0] = *var_typeVisitor;
  partcv[0] = 1;
  Object call1642 = callmethodflags(*var_v, "accept(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1641);
// compiled call node returning call1642 (depth = 8)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1643 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1644 = alloc_Float64(0);
// compiled num node returning num1644 (depth = 10)
  gc_frame_newslot(num1644);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1645 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1646 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1645);
// compiled member node returning call1646 (depth = 10)
  params[0] = num1644;
  partcv[0] = 1;
  Object call1647 = callmethodflags(call1646, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1643);
// compiled call node returning call1647 (depth = 9)
  *var_typename = call1647;
  if (call1647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1650 = alloc_Boolean(0);
// compiled identifier node returning bool1650 (depth = 10)
  int op_slot_right_1649 = gc_frame_newslot(bool1650);
// starting to compile member node (depth = 10)
  int callframe1652 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1653 = callmethodflags(*var_v, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe1652);
// compiled member node returning call1653 (depth = 10)
  int op_slot_left_1649 = gc_frame_newslot(call1653);
  params[0] = bool1650;
  partcv[0] = 1;
  Object opresult1654 = callmethod(call1653, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1654 (depth = 9)
  Object if1648 = done;
  if (istrue(opresult1654)) {
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe1656 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_v (depth = 12)
  Object call1657 = callmethodflags(*var_v, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe1656);
// compiled member node returning call1657 (depth = 11)
  int op_slot_right_1655 = gc_frame_newslot(call1657);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_typename (depth = 11)
  int op_slot_left_1655 = gc_frame_newslot(*var_typename);
  params[0] = call1657;
  partcv[0] = 1;
  Object opresult1659 = callmethod(*var_typename, "++(1)", 1, partcv, params);
// compiled op node returning opresult1659 (depth = 10)
  *var_typename = opresult1659;
  if (opresult1659 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1648 = done;
  } else {
  }
// compiled if node returning if1648 (depth = 8)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1661 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1663 == NULL) {
    strlit1663 = alloc_String("");
    gc_root(strlit1663);
  }
// compiled string node returning strlit1663 (depth = 10)
  int op_slot_right_1662 = gc_frame_newslot(strlit1663);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_typename (depth = 11)
  int op_slot_right_1665 = gc_frame_newslot(*var_typename);
// starting to compile string node (depth = 11)
  if (strlit1667 == NULL) {
    strlit1667 = alloc_String("methodtypes-of:");
    gc_root(strlit1667);
  }
// compiled string node returning strlit1667 (depth = 11)
  int op_slot_left_1665 = gc_frame_newslot(strlit1667);
  params[0] = *var_typename;
  partcv[0] = 1;
  Object opresult1668 = callmethod(strlit1667, "++(1)", 1, partcv, params);
// compiled op node returning opresult1668 (depth = 10)
  int op_slot_left_1662 = gc_frame_newslot(opresult1668);
  params[0] = strlit1663;
  partcv[0] = 1;
  Object opresult1669 = callmethod(opresult1668, "++(1)", 1, partcv, params);
// compiled op node returning opresult1669 (depth = 9)
  gc_frame_newslot(opresult1669);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methodtypes (depth = 9)
  gc_frame_newslot(*var_methodtypes);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_gct (depth = 9)
  params[0] = opresult1669;
  params[1] = *var_methodtypes;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1670 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1661);
// compiled call node returning call1670 (depth = 8)
    gc_frame_newslot(call1670);
    if1626 = call1670;
  } else {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1671 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1672 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1673 = callmethodflags(*var_v, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1672);
// compiled member node returning call1673 (depth = 9)
  gc_frame_newslot(call1673);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_confidentials (depth = 9)
  params[0] = call1673;
  partcv[0] = 1;
  Object call1674 = callmethodflags(*var_confidentials, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1671);
// compiled call node returning call1674 (depth = 8)
    gc_frame_newslot(call1674);
    if1626 = call1674;
  }
// compiled if node returning if1626 (depth = 7)
    gc_frame_newslot(if1626);
    if1619 = if1626;
  } else {
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1677 == NULL) {
    strlit1677 = alloc_String("defdec");
    gc_root(strlit1677);
  }
// compiled string node returning strlit1677 (depth = 9)
  int op_slot_right_1676 = gc_frame_newslot(strlit1677);
// starting to compile member node (depth = 9)
  int callframe1679 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1680 = callmethodflags(*var_v, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1679);
// compiled member node returning call1680 (depth = 9)
  int op_slot_left_1676 = gc_frame_newslot(call1680);
  params[0] = strlit1677;
  partcv[0] = 1;
  Object opresult1681 = callmethod(call1680, "==(1)", 1, partcv, params);
// compiled op node returning opresult1681 (depth = 8)
  Object if1675 = done;
  if (istrue(opresult1681)) {
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1683 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1684 = callmethodflags(*var_v, "isPublic", 0, partcv, params, 0);
  gc_frame_end(callframe1683);
// compiled member node returning call1684 (depth = 9)
  Object if1682 = done;
  if (istrue(call1684)) {
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1685 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe1686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1687 = callmethodflags(*var_v, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1686);
// compiled member node returning call1687 (depth = 10)
  gc_frame_newslot(call1687);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meths (depth = 10)
  params[0] = call1687;
  partcv[0] = 1;
  Object call1688 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1685);
// compiled call node returning call1688 (depth = 9)
    gc_frame_newslot(call1688);
    if1682 = call1688;
  } else {
  }
// compiled if node returning if1682 (depth = 8)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1690 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  gc_frame_newslot(*var_v);
// starting to compile string node (depth = 10)
  if (strlit1691 == NULL) {
    strlit1691 = alloc_String("parent");
    gc_root(strlit1691);
  }
// compiled string node returning strlit1691 (depth = 10)
  gc_frame_newslot(strlit1691);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  params[0] = *var_v;
  params[1] = strlit1691;
  partcv[0] = 2;
  Object call1692 = callmethodflags(*var_ast, "findAnnotation(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1690);
// compiled call node returning call1692 (depth = 9)
  Object if1689 = done;
  if (istrue(call1692)) {
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1693 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block1694 = alloc_Block(NULL, NULL, "xmodule", 511);
  gc_frame_newslot(block1694);
// method "_apply(_)"
  block_savedest(block1694);
  Object closure1695 = createclosure(2, "_apply(1)");
  setclosureframe(closure1695, stackframe);
  addtoclosure(closure1695, var_meths);
  addtoclosure(closure1695, selfslot);
  struct UserObject *uo1695 = (struct UserObject*)block1694;
  uo1695->data[0] = (Object)closure1695;
  Method *meth_meth_xmodule__apply_40_1_41_1695 = addmethod2pos(block1694, "_apply(1)", &meth_xmodule__apply_40_1_41_1695, 0);
  int argcv_meth_xmodule__apply_40_1_41_1695[] = {1};
  meth_meth_xmodule__apply_40_1_41_1695->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1695);
  meth_meth_xmodule__apply_40_1_41_1695->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1695->definitionLine = 565;
// compiled block node returning block1694 (depth = 10)
  gc_frame_newslot(block1694);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1699 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe1700 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_v (depth = 12)
  Object call1701 = callmethodflags(*var_v, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe1700);
// compiled member node returning call1701 (depth = 11)
  Object call1702 = callmethodflags(call1701, "elements", 0, partcv, params, 0);
  gc_frame_end(callframe1699);
// compiled member node returning call1702 (depth = 10)
  params[0] = block1694;
  partcv[0] = 1;
  Object call1703 = callmethodflags(call1702, "keysDo(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1693);
// compiled call node returning call1703 (depth = 9)
    gc_frame_newslot(call1703);
    if1689 = call1703;
  } else {
  }
// compiled if node returning if1689 (depth = 8)
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1705 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_v (depth = 10)
  Object call1706 = callmethodflags(*var_v, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe1705);
// compiled member node returning call1706 (depth = 9)
  Object if1704 = done;
  if (istrue(call1706)) {
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1707 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1708 = callmethodflags(*var_v, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1707);
// compiled member node returning call1708 (depth = 10)
  *var_ob = call1708;
  if (call1708 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile array node (depth = 10)
  Object array1709 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1709 (depth = 10)
  *var_obConstructors = array1709;
  if (array1709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1710 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe1711 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ob (depth = 11)
  Object call1712 = callmethodflags(*var_ob, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1711);
// compiled member node returning call1712 (depth = 10)
  gc_frame_newslot(call1712);
// starting to compile block node (depth = 10)
  Object block1713 = alloc_Block(NULL, NULL, "xmodule", 516);
  gc_frame_newslot(block1713);
// method "_apply(_)"
  block_savedest(block1713);
  Object closure1714 = createclosure(5, "_apply(1)");
  setclosureframe(closure1714, stackframe);
  addtoclosure(closure1714, var_obConstructors);
  addtoclosure(closure1714, var_ob);
  addtoclosure(closure1714, var_v);
  addtoclosure(closure1714, var_gct);
  addtoclosure(closure1714, selfslot);
  struct UserObject *uo1714 = (struct UserObject*)block1713;
  uo1714->data[0] = (Object)closure1714;
  Method *meth_meth_xmodule__apply_40_1_41_1714 = addmethod2pos(block1713, "_apply(1)", &meth_xmodule__apply_40_1_41_1714, 0);
  int argcv_meth_xmodule__apply_40_1_41_1714[] = {1};
  meth_meth_xmodule__apply_40_1_41_1714->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1714);
  meth_meth_xmodule__apply_40_1_41_1714->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1714->definitionLine = 565;
// compiled block node returning block1713 (depth = 10)
  gc_frame_newslot(block1713);
// call case 5: prelude request
  params[0] = call1712;
  params[1] = block1713;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1762 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1710);
// compiled call node returning call1762 (depth = 9)
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1765 = alloc_Float64(0);
// compiled num node returning num1765 (depth = 11)
  int op_slot_right_1764 = gc_frame_newslot(num1765);
// starting to compile member node (depth = 11)
  int callframe1767 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_obConstructors (depth = 12)
  Object call1768 = callmethodflags(*var_obConstructors, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1767);
// compiled member node returning call1768 (depth = 11)
  int op_slot_left_1764 = gc_frame_newslot(call1768);
  params[0] = num1765;
  partcv[0] = 1;
  Object opresult1769 = callmethod(call1768, ">(1)", 1, partcv, params);
// compiled op node returning opresult1769 (depth = 10)
  Object if1763 = done;
  if (istrue(opresult1769)) {
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1770 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1772 == NULL) {
    strlit1772 = alloc_String("");
    gc_root(strlit1772);
  }
// compiled string node returning strlit1772 (depth = 12)
  int op_slot_right_1771 = gc_frame_newslot(strlit1772);
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe1775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe1776 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_v (depth = 15)
  Object call1777 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1776);
// compiled member node returning call1777 (depth = 14)
  Object call1778 = callmethodflags(call1777, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1775);
// compiled member node returning call1778 (depth = 13)
  int op_slot_right_1774 = gc_frame_newslot(call1778);
// starting to compile string node (depth = 13)
  if (strlit1780 == NULL) {
    strlit1780 = alloc_String("constructors-of:");
    gc_root(strlit1780);
  }
// compiled string node returning strlit1780 (depth = 13)
  int op_slot_left_1774 = gc_frame_newslot(strlit1780);
  params[0] = call1778;
  partcv[0] = 1;
  Object opresult1781 = callmethod(strlit1780, "++(1)", 1, partcv, params);
// compiled op node returning opresult1781 (depth = 12)
  int op_slot_left_1771 = gc_frame_newslot(opresult1781);
  params[0] = strlit1772;
  partcv[0] = 1;
  Object opresult1782 = callmethod(opresult1781, "++(1)", 1, partcv, params);
// compiled op node returning opresult1782 (depth = 11)
  gc_frame_newslot(opresult1782);
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_obConstructors (depth = 11)
  gc_frame_newslot(*var_obConstructors);
// call case 6: other requests
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_gct (depth = 11)
  params[0] = opresult1782;
  params[1] = *var_obConstructors;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1783 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1770);
// compiled call node returning call1783 (depth = 10)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1784 = gc_frame_new();
// starting to compile member node (depth = 11)
  int callframe1785 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe1786 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_v (depth = 13)
  Object call1787 = callmethodflags(*var_v, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1786);
// compiled member node returning call1787 (depth = 12)
  Object call1788 = callmethodflags(call1787, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1785);
// compiled member node returning call1788 (depth = 11)
  gc_frame_newslot(call1788);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_classes (depth = 11)
  params[0] = call1788;
  partcv[0] = 1;
  Object call1789 = callmethodflags(*var_classes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1784);
// compiled call node returning call1789 (depth = 10)
    gc_frame_newslot(call1789);
    if1763 = call1789;
  } else {
  }
// compiled if node returning if1763 (depth = 9)
    gc_frame_newslot(if1763);
    if1704 = if1763;
  } else {
  }
// compiled if node returning if1704 (depth = 8)
    gc_frame_newslot(if1704);
    if1675 = if1704;
  } else {
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1792 == NULL) {
    strlit1792 = alloc_String("dialect");
    gc_root(strlit1792);
  }
// compiled string node returning strlit1792 (depth = 10)
  int op_slot_right_1791 = gc_frame_newslot(strlit1792);
// starting to compile member node (depth = 10)
  int callframe1794 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1795 = callmethodflags(*var_v, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1794);
// compiled member node returning call1795 (depth = 10)
  int op_slot_left_1791 = gc_frame_newslot(call1795);
  params[0] = strlit1792;
  partcv[0] = 1;
  Object opresult1796 = callmethod(call1795, "==(1)", 1, partcv, params);
// compiled op node returning opresult1796 (depth = 9)
  Object if1790 = done;
  if (istrue(opresult1796)) {
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1797 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_v (depth = 11)
  Object call1798 = callmethodflags(*var_v, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1797);
// compiled member node returning call1798 (depth = 10)
  *var_theDialect = call1798;
  if (call1798 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1790 = done;
  } else {
  }
// compiled if node returning if1790 (depth = 8)
    gc_frame_newslot(if1790);
    if1675 = if1790;
  }
// compiled if node returning if1675 (depth = 7)
    gc_frame_newslot(if1675);
    if1619 = if1675;
  }
// compiled if node returning if1619 (depth = 6)
    gc_frame_newslot(if1619);
    if1601 = if1619;
  }
// compiled if node returning if1601 (depth = 5)
    gc_frame_newslot(if1601);
    if1572 = if1601;
  }
// compiled if node returning if1572 (depth = 4)
  gc_frame_end(frame);
  return if1572;
}
Object meth_xmodule_buildGctFor_40_1_41_1546(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "buildGctFor(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method buildGctFor(_)");
  Object params[2];
  int partcv[2];
  Object *var_methodtypes = getfromclosure(closure, 0);
  Object *var_typeVisitor = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for buildGctFor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_module = &(stackframe->slots[0]);
  *var_module = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part buildGctFor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_gct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gct");
  Object *var_classes = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "classes");
  Object *var_confidentials = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "confidentials");
  Object *var_meths = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "meths");
  Object *var_types = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "types");
  Object *var_theDialect = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "theDialect");
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1547 = gc_frame_new();
// call case 5: prelude request
  Object call1548 = callmethodflags(prelude, "emptyDictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1547);
// compiled member node returning call1548 (depth = 3)
  *var_gct = call1548;
  if (call1548 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1549 = gc_frame_new();
// call case 5: prelude request
  Object call1550 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1549);
// compiled member node returning call1550 (depth = 3)
  *var_classes = call1550;
  if (call1550 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1551 = gc_frame_new();
// call case 5: prelude request
  Object call1552 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1551);
// compiled member node returning call1552 (depth = 3)
  *var_confidentials = call1552;
  if (call1552 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1553 = gc_frame_new();
// call case 5: prelude request
  Object call1554 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1553);
// compiled member node returning call1554 (depth = 3)
  *var_meths = call1554;
  if (call1554 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1555 = gc_frame_new();
// call case 5: prelude request
  Object call1556 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1555);
// compiled member node returning call1556 (depth = 3)
  *var_types = call1556;
  if (call1556 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1557 = alloc_Boolean(0);
// compiled identifier node returning bool1557 (depth = 3)
  *var_theDialect = bool1557;
  if (bool1557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1558 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1559 = alloc_Block(NULL, NULL, "xmodule", 475);
  gc_frame_newslot(block1559);
// method "_apply(_)"
  block_savedest(block1559);
  Object closure1560 = createclosure(2, "_apply(1)");
  setclosureframe(closure1560, stackframe);
  addtoclosure(closure1560, var_meths);
  addtoclosure(closure1560, selfslot);
  struct UserObject *uo1560 = (struct UserObject*)block1559;
  uo1560->data[0] = (Object)closure1560;
  Method *meth_meth_xmodule__apply_40_1_41_1560 = addmethod2pos(block1559, "_apply(1)", &meth_xmodule__apply_40_1_41_1560, 0);
  int argcv_meth_xmodule__apply_40_1_41_1560[] = {1};
  meth_meth_xmodule__apply_40_1_41_1560->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1560);
  meth_meth_xmodule__apply_40_1_41_1560->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1560->definitionLine = 565;
// compiled block node returning block1559 (depth = 3)
  gc_frame_newslot(block1559);
// call case 6: other requests
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_module (depth = 3)
  params[0] = block1559;
  partcv[0] = 1;
  Object call1566 = callmethodflags(*var_module, "parentsDo(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1558);
// compiled call node returning call1566 (depth = 2)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1567 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1568 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_module (depth = 4)
  Object call1569 = callmethodflags(*var_module, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1568);
// compiled member node returning call1569 (depth = 3)
  gc_frame_newslot(call1569);
// starting to compile block node (depth = 3)
  Object block1570 = alloc_Block(NULL, NULL, "xmodule", 478);
  gc_frame_newslot(block1570);
// method "_apply(_)"
  block_savedest(block1570);
  Object closure1571 = createclosure(10, "_apply(1)");
  setclosureframe(closure1571, stackframe);
  addtoclosure(closure1571, var_meths);
  addtoclosure(closure1571, var_confidentials);
  addtoclosure(closure1571, var_types);
  addtoclosure(closure1571, var_methodtypes);
  addtoclosure(closure1571, var_typeVisitor);
  addtoclosure(closure1571, var_gct);
  addtoclosure(closure1571, var_ast);
  addtoclosure(closure1571, var_classes);
  addtoclosure(closure1571, var_theDialect);
  addtoclosure(closure1571, selfslot);
  struct UserObject *uo1571 = (struct UserObject*)block1570;
  uo1571->data[0] = (Object)closure1571;
  Method *meth_meth_xmodule__apply_40_1_41_1571 = addmethod2pos(block1570, "_apply(1)", &meth_xmodule__apply_40_1_41_1571, 0);
  int argcv_meth_xmodule__apply_40_1_41_1571[] = {1};
  meth_meth_xmodule__apply_40_1_41_1571->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1571);
  meth_meth_xmodule__apply_40_1_41_1571->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1571->definitionLine = 565;
// compiled block node returning block1570 (depth = 3)
  gc_frame_newslot(block1570);
// call case 5: prelude request
  params[0] = call1569;
  params[1] = block1570;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1801 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1567);
// compiled call node returning call1801 (depth = 2)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1802 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1803 == NULL) {
    strlit1803 = alloc_String("classes");
    gc_root(strlit1803);
  }
// compiled string node returning strlit1803 (depth = 3)
  gc_frame_newslot(strlit1803);
// starting to compile member node (depth = 3)
  int callframe1804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_classes (depth = 4)
  Object call1805 = callmethodflags(*var_classes, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1804);
// compiled member node returning call1805 (depth = 3)
  gc_frame_newslot(call1805);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1803;
  params[1] = call1805;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1806 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1802);
// compiled call node returning call1806 (depth = 2)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1807 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1808 == NULL) {
    strlit1808 = alloc_String("confidential");
    gc_root(strlit1808);
  }
// compiled string node returning strlit1808 (depth = 3)
  gc_frame_newslot(strlit1808);
// starting to compile member node (depth = 3)
  int callframe1809 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_confidentials (depth = 4)
  Object call1810 = callmethodflags(*var_confidentials, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1809);
// compiled member node returning call1810 (depth = 3)
  gc_frame_newslot(call1810);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1808;
  params[1] = call1810;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1811 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1807);
// compiled call node returning call1811 (depth = 2)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1812 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1813 == NULL) {
    strlit1813 = alloc_String("modules");
    gc_root(strlit1813);
  }
// compiled string node returning strlit1813 (depth = 3)
  gc_frame_newslot(strlit1813);
// starting to compile member node (depth = 3)
  int callframe1814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1815 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1816 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_module (depth = 6)
  Object call1817 = callmethodflags(*var_module, "imports", 0, partcv, params, 0);
  gc_frame_end(callframe1816);
// compiled member node returning call1817 (depth = 5)
  Object call1818 = callmethodflags(call1817, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe1815);
// compiled member node returning call1818 (depth = 4)
  Object call1819 = callmethodflags(call1818, "sorted", 0, partcv, params, 0);
  gc_frame_end(callframe1814);
// compiled member node returning call1819 (depth = 3)
  gc_frame_newslot(call1819);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1813;
  params[1] = call1819;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1820 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1812);
// compiled call node returning call1820 (depth = 2)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1821 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1822 == NULL) {
    strlit1822 = alloc_String("path");
    gc_root(strlit1822);
  }
// compiled string node returning strlit1822 (depth = 3)
  gc_frame_newslot(strlit1822);
// starting to compile array node (depth = 3)
  Object array1823 = alloc_BuiltinList();
  gc_pause();
// starting to compile member node (depth = 4)
  int callframe1824 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_module (depth = 5)
  Object call1825 = callmethodflags(*var_module, "name", 0, partcv, params, 0);
  gc_frame_end(callframe1824);
// compiled member node returning call1825 (depth = 4)
  params[0] = call1825;
  partcv[0] = 1;
  callmethodflags(array1823, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1823 (depth = 3)
  gc_frame_newslot(array1823);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1822;
  params[1] = array1823;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1826 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1821);
// compiled call node returning call1826 (depth = 2)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1827 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1828 == NULL) {
    strlit1828 = alloc_String("public");
    gc_root(strlit1828);
  }
// compiled string node returning strlit1828 (depth = 3)
  gc_frame_newslot(strlit1828);
// starting to compile member node (depth = 3)
  int callframe1829 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meths (depth = 4)
  Object call1830 = callmethodflags(*var_meths, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1829);
// compiled member node returning call1830 (depth = 3)
  gc_frame_newslot(call1830);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1828;
  params[1] = call1830;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1831 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1827);
// compiled call node returning call1831 (depth = 2)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1832 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1833 == NULL) {
    strlit1833 = alloc_String("types");
    gc_root(strlit1833);
  }
// compiled string node returning strlit1833 (depth = 3)
  gc_frame_newslot(strlit1833);
// starting to compile member node (depth = 3)
  int callframe1834 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_types (depth = 4)
  Object call1835 = callmethodflags(*var_types, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1834);
// compiled member node returning call1835 (depth = 3)
  gc_frame_newslot(call1835);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1833;
  params[1] = call1835;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1836 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1832);
// compiled call node returning call1836 (depth = 2)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_theDialect (depth = 4)
  int op_slot_right_1838 = gc_frame_newslot(*var_theDialect);
// starting to compile identifier node (depth = 4)
  Object bool1840 = alloc_Boolean(0);
// compiled identifier node returning bool1840 (depth = 4)
  int op_slot_left_1838 = gc_frame_newslot(bool1840);
  params[0] = *var_theDialect;
  partcv[0] = 1;
  Object opresult1841 = callmethod(bool1840, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1841 (depth = 3)
  Object if1837 = done;
  if (istrue(opresult1841)) {
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1842 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1843 == NULL) {
    strlit1843 = alloc_String("dialect");
    gc_root(strlit1843);
  }
// compiled string node returning strlit1843 (depth = 4)
  gc_frame_newslot(strlit1843);
// starting to compile array node (depth = 4)
  Object array1844 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_theDialect (depth = 5)
  params[0] = *var_theDialect;
  partcv[0] = 1;
  callmethodflags(array1844, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1844 (depth = 4)
  gc_frame_newslot(array1844);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gct (depth = 4)
  params[0] = strlit1843;
  params[1] = array1844;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1845 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1842);
// compiled call node returning call1845 (depth = 3)
    gc_frame_newslot(call1845);
    if1837 = call1845;
  } else {
  }
// compiled if node returning if1837 (depth = 2)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_gct (depth = 2)
  gc_frame_end(frame);
  return *var_gct;
}
Object meth_xmodule__apply_40_1_41_1852(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[3];
  Object *var_freshmeths = getfromclosure(closure, 0);
  Object *var_gct = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1854 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_node (depth = 6)
  Object call1855 = callmethodflags(*var_node, "isClass", 0, partcv, params, 0);
  gc_frame_end(callframe1854);
// compiled member node returning call1855 (depth = 5)
  Object if1853 = done;
  if (istrue(call1855)) {
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1856 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_node (depth = 6)
  gc_frame_newslot(*var_node);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_freshmeths (depth = 6)
  gc_frame_newslot(*var_freshmeths);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gct (depth = 6)
  gc_frame_newslot(*var_gct);
// call case 4: self request
  params[0] = *var_node;
  params[1] = *var_freshmeths;
  params[2] = *var_gct;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1857 = callmethodflags(self, "addFreshMethod(1)to(1)for(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1856);
// compiled call node returning call1857 (depth = 5)
    gc_frame_newslot(call1857);
    if1853 = call1857;
  } else {
  }
// compiled if node returning if1853 (depth = 4)
  gc_frame_end(frame);
  return if1853;
}
Object meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addFreshMethodsOf(1)to(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFreshMethodsOf(_)to(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFreshMethodsOf(_)to(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addFreshMethodsOf(_)to(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_moduleObject = &(stackframe->slots[0]);
  *var_moduleObject = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addFreshMethodsOf(_)");
  Object *var_gct = &(stackframe->slots[1]);
  *var_gct = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_freshmeths = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "freshmeths");
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array1847 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1847 (depth = 3)
  *var_freshmeths = array1847;
  if (array1847 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1848 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1849 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  Object call1850 = callmethodflags(*var_moduleObject, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1849);
// compiled member node returning call1850 (depth = 3)
  gc_frame_newslot(call1850);
// starting to compile block node (depth = 3)
  Object block1851 = alloc_Block(NULL, NULL, "xmodule", 557);
  gc_frame_newslot(block1851);
// method "_apply(_)"
  block_savedest(block1851);
  Object closure1852 = createclosure(3, "_apply(1)");
  setclosureframe(closure1852, stackframe);
  addtoclosure(closure1852, var_freshmeths);
  addtoclosure(closure1852, var_gct);
  addtoclosure(closure1852, selfslot);
  struct UserObject *uo1852 = (struct UserObject*)block1851;
  uo1852->data[0] = (Object)closure1852;
  Method *meth_meth_xmodule__apply_40_1_41_1852 = addmethod2pos(block1851, "_apply(1)", &meth_xmodule__apply_40_1_41_1852, 0);
  int argcv_meth_xmodule__apply_40_1_41_1852[] = {1};
  meth_meth_xmodule__apply_40_1_41_1852->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_1852);
  meth_meth_xmodule__apply_40_1_41_1852->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_1852->definitionLine = 565;
// compiled block node returning block1851 (depth = 3)
  gc_frame_newslot(block1851);
// call case 5: prelude request
  params[0] = call1850;
  params[1] = block1851;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1859 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1848);
// compiled call node returning call1859 (depth = 2)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1860 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit1861 == NULL) {
    strlit1861 = alloc_String("fresh-methods");
    gc_root(strlit1861);
  }
// compiled string node returning strlit1861 (depth = 3)
  gc_frame_newslot(strlit1861);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_freshmeths (depth = 3)
  gc_frame_newslot(*var_freshmeths);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gct (depth = 3)
  params[0] = strlit1861;
  params[1] = *var_freshmeths;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1862 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1860);
// compiled call node returning call1862 (depth = 2)
  gc_frame_end(frame);
  return call1862;
}
Object meth_xmodule__apply_40_2_41_1879(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object *var_exportedMethods = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_key = &(stackframe->slots[0]);
  *var_key = args[curarg];
  curarg++;
  Object *var_knd = &(stackframe->slots[1]);
  *var_knd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1881 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_knd (depth = 7)
  Object call1882 = callmethodflags(*var_knd, "forGct", 0, partcv, params, 0);
  gc_frame_end(callframe1881);
// compiled member node returning call1882 (depth = 6)
  Object if1880 = done;
  if (istrue(call1882)) {
// starting to compile call node (depth = 6)
  int callframe1883 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_key (depth = 7)
  gc_frame_newslot(*var_key);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_exportedMethods (depth = 7)
  params[0] = *var_key;
  partcv[0] = 1;
  Object call1884 = callmethodflags(*var_exportedMethods, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1883);
// compiled call node returning call1884 (depth = 6)
    gc_frame_newslot(call1884);
    if1880 = call1884;
  } else {
  }
// compiled if node returning if1880 (depth = 5)
  gc_frame_end(frame);
  return if1880;
}
Object meth_xmodule__apply1975(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_cloneArg = getfromclosure(closure, 0);
  Object *var_freshMethExpression = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1976 = gc_frame_new();
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1979 == NULL) {
    strlit1979 = alloc_String(" in gct.");
    gc_root(strlit1979);
  }
// compiled string node returning strlit1979 (depth = 13)
  int op_slot_right_1978 = gc_frame_newslot(strlit1979);
// starting to compile op node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe1982 = gc_frame_new();
// starting to compile num node (depth = 15)
  Object num1983 = alloc_Float64(0);
// compiled num node returning num1983 (depth = 15)
  gc_frame_newslot(num1983);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_cloneArg (depth = 15)
  params[0] = num1983;
  partcv[0] = 1;
  Object call1984 = callmethodflags(*var_cloneArg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1982);
// compiled call node returning call1984 (depth = 14)
  int op_slot_right_1981 = gc_frame_newslot(call1984);
// starting to compile string node (depth = 14)
  if (strlit1986 == NULL) {
    strlit1986 = alloc_String("Can't find methods-of:");
    gc_root(strlit1986);
  }
// compiled string node returning strlit1986 (depth = 14)
  int op_slot_left_1981 = gc_frame_newslot(strlit1986);
  params[0] = call1984;
  partcv[0] = 1;
  Object opresult1987 = callmethod(strlit1986, "++(1)", 1, partcv, params);
// compiled op node returning opresult1987 (depth = 13)
  int op_slot_left_1978 = gc_frame_newslot(opresult1987);
  params[0] = strlit1979;
  partcv[0] = 1;
  Object opresult1988 = callmethod(opresult1987, "++(1)", 1, partcv, params);
// compiled op node returning opresult1988 (depth = 12)
  int op_slot_right_1977 = gc_frame_newslot(opresult1988);
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit1991 == NULL) {
    strlit1991 = alloc_String("""\x0a""");
    gc_root(strlit1991);
  }
// compiled string node returning strlit1991 (depth = 13)
  int op_slot_right_1990 = gc_frame_newslot(strlit1991);
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe1994 = gc_frame_new();
// starting to compile num node (depth = 15)
  Object num1995 = alloc_Float64(0);
// compiled num node returning num1995 (depth = 15)
  gc_frame_newslot(num1995);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_freshMethExpression (depth = 15)
  params[0] = num1995;
  partcv[0] = 1;
  Object call1996 = callmethodflags(*var_freshMethExpression, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1994);
// compiled call node returning call1996 (depth = 14)
  int op_slot_right_1993 = gc_frame_newslot(call1996);
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit1998 == NULL) {
    strlit1998 = alloc_String("unrecognized fresh method tail-call:""\x0a""");
    gc_root(strlit1998);
  }
// compiled string node returning strlit1998 (depth = 14)
  int op_slot_left_1993 = gc_frame_newslot(strlit1998);
  params[0] = call1996;
  partcv[0] = 1;
  Object opresult1999 = callmethod(strlit1998, "++(1)", 1, partcv, params);
// compiled op node returning opresult1999 (depth = 13)
  int op_slot_left_1990 = gc_frame_newslot(opresult1999);
  params[0] = strlit1991;
  partcv[0] = 1;
  Object opresult2000 = callmethod(opresult1999, "++(1)", 1, partcv, params);
// compiled op node returning opresult2000 (depth = 12)
  int op_slot_left_1977 = gc_frame_newslot(opresult2000);
  params[0] = opresult1988;
  partcv[0] = 1;
  Object opresult2001 = callmethod(opresult2000, "++(1)", 1, partcv, params);
// compiled op node returning opresult2001 (depth = 11)
  gc_frame_newslot(opresult2001);
// call case 6: other requests
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
  int callframe2002 = gc_frame_new();
// call case 5: prelude request
  Object call2003 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2002);
// compiled member node returning call2003 (depth = 11)
  params[0] = opresult2001;
  partcv[0] = 1;
  Object call2004 = callmethodflags(call2003, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1976);
// compiled call node returning call2004 (depth = 10)
  gc_frame_end(frame);
  return call2004;
}
Object meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(9, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addFreshMethod(1)to(1)for(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFreshMethod(_)to(_)for(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFreshMethod(_)to(_)for(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addFreshMethod(_)to(_)for(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for addFreshMethod(_)to(_)for(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addFreshMethod(_)");
  Object *var_freshlist = &(stackframe->slots[1]);
  *var_freshlist = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *var_gct = &(stackframe->slots[2]);
  *var_gct = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part for(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methName = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methName");
  Object *var_freshMethExpression = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "freshMethExpression");
  Object *var_exportedMethods = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "exportedMethods");
  Object *var_requestedName = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "requestedName");
  Object *var_cloneArg = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "cloneArg");
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call1865 = callmethodflags(*var_node, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1864);
// compiled member node returning call1865 (depth = 3)
  *var_methName = call1865;
  if (call1865 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1866 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methName (depth = 3)
  gc_frame_newslot(*var_methName);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_freshlist (depth = 3)
  params[0] = *var_methName;
  partcv[0] = 1;
  Object call1867 = callmethodflags(*var_freshlist, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1866);
// compiled call node returning call1867 (depth = 2)
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1868 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1869 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  Object call1870 = callmethodflags(*var_node, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1869);
// compiled member node returning call1870 (depth = 4)
  Object call1871 = callmethodflags(call1870, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1868);
// compiled member node returning call1871 (depth = 3)
  *var_freshMethExpression = call1871;
  if (call1871 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1873 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_freshMethExpression (depth = 4)
  Object call1874 = callmethodflags(*var_freshMethExpression, "isObject", 0, partcv, params, 0);
  gc_frame_end(callframe1873);
// compiled member node returning call1874 (depth = 3)
  Object if1872 = done;
  if (istrue(call1874)) {
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1875 = gc_frame_new();
// call case 5: prelude request
  Object call1876 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1875);
// compiled member node returning call1876 (depth = 4)
  *var_exportedMethods = call1876;
  if (call1876 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1877 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1878 = alloc_Block(NULL, NULL, "xmodule", 571);
  gc_frame_newslot(block1878);
// method "_apply(_,_)"
  block_savedest(block1878);
  Object closure1879 = createclosure(2, "_apply(2)");
  setclosureframe(closure1879, stackframe);
  addtoclosure(closure1879, var_exportedMethods);
  addtoclosure(closure1879, selfslot);
  struct UserObject *uo1879 = (struct UserObject*)block1878;
  uo1879->data[0] = (Object)closure1879;
  Method *meth_meth_xmodule__apply_40_2_41_1879 = addmethod2pos(block1878, "_apply(2)", &meth_xmodule__apply_40_2_41_1879, 0);
  int argcv_meth_xmodule__apply_40_2_41_1879[] = {2};
  meth_meth_xmodule__apply_40_2_41_1879->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_2_41_1879);
  meth_meth_xmodule__apply_40_2_41_1879->definitionModule = modulename;
  meth_meth_xmodule__apply_40_2_41_1879->definitionLine = 565;
// compiled block node returning block1878 (depth = 4)
  gc_frame_newslot(block1878);
// call case 6: other requests
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1886 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_freshMethExpression (depth = 5)
  Object call1887 = callmethodflags(*var_freshMethExpression, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe1886);
// compiled member node returning call1887 (depth = 4)
  params[0] = block1878;
  partcv[0] = 1;
  Object call1888 = callmethodflags(call1887, "keysAndKindsDo(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1877);
// compiled call node returning call1888 (depth = 3)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1889 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1891 == NULL) {
    strlit1891 = alloc_String("");
    gc_root(strlit1891);
  }
// compiled string node returning strlit1891 (depth = 5)
  int op_slot_right_1890 = gc_frame_newslot(strlit1891);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methName (depth = 6)
  int op_slot_right_1893 = gc_frame_newslot(*var_methName);
// starting to compile string node (depth = 6)
  if (strlit1895 == NULL) {
    strlit1895 = alloc_String("fresh:");
    gc_root(strlit1895);
  }
// compiled string node returning strlit1895 (depth = 6)
  int op_slot_left_1893 = gc_frame_newslot(strlit1895);
  params[0] = *var_methName;
  partcv[0] = 1;
  Object opresult1896 = callmethod(strlit1895, "++(1)", 1, partcv, params);
// compiled op node returning opresult1896 (depth = 5)
  int op_slot_left_1890 = gc_frame_newslot(opresult1896);
  params[0] = strlit1891;
  partcv[0] = 1;
  Object opresult1897 = callmethod(opresult1896, "++(1)", 1, partcv, params);
// compiled op node returning opresult1897 (depth = 4)
  gc_frame_newslot(opresult1897);
// starting to compile member node (depth = 4)
  int callframe1898 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_exportedMethods (depth = 5)
  Object call1899 = callmethodflags(*var_exportedMethods, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe1898);
// compiled member node returning call1899 (depth = 4)
  gc_frame_newslot(call1899);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_gct (depth = 4)
  params[0] = opresult1897;
  params[1] = call1899;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1900 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1889);
// compiled call node returning call1900 (depth = 3)
    gc_frame_newslot(call1900);
    if1872 = call1900;
  } else {
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_freshMethExpression (depth = 5)
  Object call1903 = callmethodflags(*var_freshMethExpression, "isCall", 0, partcv, params, 0);
  gc_frame_end(callframe1902);
// compiled member node returning call1903 (depth = 4)
  Object if1901 = done;
  if (istrue(call1903)) {
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1904 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_freshMethExpression (depth = 6)
  Object call1905 = callmethodflags(*var_freshMethExpression, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe1904);
// compiled member node returning call1905 (depth = 5)
  *var_requestedName = call1905;
  if (call1905 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1908 == NULL) {
    strlit1908 = alloc_String("copy");
    gc_root(strlit1908);
  }
// compiled string node returning strlit1908 (depth = 6)
  int op_slot_right_1907 = gc_frame_newslot(strlit1908);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_requestedName (depth = 6)
  int op_slot_left_1907 = gc_frame_newslot(*var_requestedName);
  params[0] = strlit1908;
  partcv[0] = 1;
  Object opresult1910 = callmethod(*var_requestedName, "==(1)", 1, partcv, params);
// compiled op node returning opresult1910 (depth = 5)
  Object if1906 = done;
  if (istrue(opresult1910)) {
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1911 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1913 == NULL) {
    strlit1913 = alloc_String("");
    gc_root(strlit1913);
  }
// compiled string node returning strlit1913 (depth = 7)
  int op_slot_right_1912 = gc_frame_newslot(strlit1913);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_methName (depth = 8)
  int op_slot_right_1915 = gc_frame_newslot(*var_methName);
// starting to compile string node (depth = 8)
  if (strlit1917 == NULL) {
    strlit1917 = alloc_String("fresh:");
    gc_root(strlit1917);
  }
// compiled string node returning strlit1917 (depth = 8)
  int op_slot_left_1915 = gc_frame_newslot(strlit1917);
  params[0] = *var_methName;
  partcv[0] = 1;
  Object opresult1918 = callmethod(strlit1917, "++(1)", 1, partcv, params);
// compiled op node returning opresult1918 (depth = 7)
  int op_slot_left_1912 = gc_frame_newslot(opresult1918);
  params[0] = strlit1913;
  partcv[0] = 1;
  Object opresult1919 = callmethod(opresult1918, "++(1)", 1, partcv, params);
// compiled op node returning opresult1919 (depth = 6)
  gc_frame_newslot(opresult1919);
// starting to compile call node (depth = 6)
  int callframe1920 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1921 == NULL) {
    strlit1921 = alloc_String("public");
    gc_root(strlit1921);
  }
// compiled string node returning strlit1921 (depth = 7)
  gc_frame_newslot(strlit1921);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_gct (depth = 7)
  params[0] = strlit1921;
  partcv[0] = 1;
  Object call1922 = callmethodflags(*var_gct, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1920);
// compiled call node returning call1922 (depth = 6)
  gc_frame_newslot(call1922);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gct (depth = 6)
  params[0] = opresult1919;
  params[1] = call1922;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1923 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1911);
// compiled call node returning call1923 (depth = 5)
    gc_frame_newslot(call1923);
    if1906 = call1923;
  } else {
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1926 == NULL) {
    strlit1926 = alloc_String("clone(1)");
    gc_root(strlit1926);
  }
// compiled string node returning strlit1926 (depth = 7)
  int op_slot_right_1925 = gc_frame_newslot(strlit1926);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_requestedName (depth = 7)
  int op_slot_left_1925 = gc_frame_newslot(*var_requestedName);
  params[0] = strlit1926;
  partcv[0] = 1;
  Object opresult1928 = callmethod(*var_requestedName, "==(1)", 1, partcv, params);
// compiled op node returning opresult1928 (depth = 6)
  Object if1924 = done;
  if (istrue(opresult1928)) {
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1929 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1930 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1931 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1932 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_freshMethExpression (depth = 11)
  Object call1933 = callmethodflags(*var_freshMethExpression, "with", 0, partcv, params, 0);
  gc_frame_end(callframe1932);
// compiled member node returning call1933 (depth = 10)
  Object call1934 = callmethodflags(call1933, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1931);
// compiled member node returning call1934 (depth = 9)
  Object call1935 = callmethodflags(call1934, "args", 0, partcv, params, 0);
  gc_frame_end(callframe1930);
// compiled member node returning call1935 (depth = 8)
  Object call1936 = callmethodflags(call1935, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1929);
// compiled member node returning call1936 (depth = 7)
  *var_cloneArg = call1936;
  if (call1936 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1938 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cloneArg (depth = 8)
  Object call1939 = callmethodflags(*var_cloneArg, "isSelf", 0, partcv, params, 0);
  gc_frame_end(callframe1938);
// compiled member node returning call1939 (depth = 7)
  Object if1937 = done;
  if (istrue(call1939)) {
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1940 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1942 == NULL) {
    strlit1942 = alloc_String("");
    gc_root(strlit1942);
  }
// compiled string node returning strlit1942 (depth = 9)
  int op_slot_right_1941 = gc_frame_newslot(strlit1942);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_methName (depth = 10)
  int op_slot_right_1944 = gc_frame_newslot(*var_methName);
// starting to compile string node (depth = 10)
  if (strlit1946 == NULL) {
    strlit1946 = alloc_String("fresh:");
    gc_root(strlit1946);
  }
// compiled string node returning strlit1946 (depth = 10)
  int op_slot_left_1944 = gc_frame_newslot(strlit1946);
  params[0] = *var_methName;
  partcv[0] = 1;
  Object opresult1947 = callmethod(strlit1946, "++(1)", 1, partcv, params);
// compiled op node returning opresult1947 (depth = 9)
  int op_slot_left_1941 = gc_frame_newslot(opresult1947);
  params[0] = strlit1942;
  partcv[0] = 1;
  Object opresult1948 = callmethod(opresult1947, "++(1)", 1, partcv, params);
// compiled op node returning opresult1948 (depth = 8)
  gc_frame_newslot(opresult1948);
// starting to compile call node (depth = 8)
  int callframe1949 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1950 == NULL) {
    strlit1950 = alloc_String("public");
    gc_root(strlit1950);
  }
// compiled string node returning strlit1950 (depth = 9)
  gc_frame_newslot(strlit1950);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_gct (depth = 9)
  params[0] = strlit1950;
  partcv[0] = 1;
  Object call1951 = callmethodflags(*var_gct, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1949);
// compiled call node returning call1951 (depth = 8)
  gc_frame_newslot(call1951);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_gct (depth = 8)
  params[0] = opresult1948;
  params[1] = call1951;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1952 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1940);
// compiled call node returning call1952 (depth = 7)
    gc_frame_newslot(call1952);
    if1937 = call1952;
  } else {
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1953 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1955 == NULL) {
    strlit1955 = alloc_String("");
    gc_root(strlit1955);
  }
// compiled string node returning strlit1955 (depth = 9)
  int op_slot_right_1954 = gc_frame_newslot(strlit1955);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_methName (depth = 10)
  int op_slot_right_1957 = gc_frame_newslot(*var_methName);
// starting to compile string node (depth = 10)
  if (strlit1959 == NULL) {
    strlit1959 = alloc_String("fresh:");
    gc_root(strlit1959);
  }
// compiled string node returning strlit1959 (depth = 10)
  int op_slot_left_1957 = gc_frame_newslot(strlit1959);
  params[0] = *var_methName;
  partcv[0] = 1;
  Object opresult1960 = callmethod(strlit1959, "++(1)", 1, partcv, params);
// compiled op node returning opresult1960 (depth = 9)
  int op_slot_left_1954 = gc_frame_newslot(opresult1960);
  params[0] = strlit1955;
  partcv[0] = 1;
  Object opresult1961 = callmethod(opresult1960, "++(1)", 1, partcv, params);
// compiled op node returning opresult1961 (depth = 8)
  gc_frame_newslot(opresult1961);
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1962 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1964 == NULL) {
    strlit1964 = alloc_String("");
    gc_root(strlit1964);
  }
// compiled string node returning strlit1964 (depth = 10)
  int op_slot_right_1963 = gc_frame_newslot(strlit1964);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1967 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num1968 = alloc_Float64(0);
// compiled num node returning num1968 (depth = 12)
  gc_frame_newslot(num1968);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_cloneArg (depth = 12)
  params[0] = num1968;
  partcv[0] = 1;
  Object call1969 = callmethodflags(*var_cloneArg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1967);
// compiled call node returning call1969 (depth = 11)
  int op_slot_right_1966 = gc_frame_newslot(call1969);
// starting to compile string node (depth = 11)
  if (strlit1971 == NULL) {
    strlit1971 = alloc_String("methods-of:");
    gc_root(strlit1971);
  }
// compiled string node returning strlit1971 (depth = 11)
  int op_slot_left_1966 = gc_frame_newslot(strlit1971);
  params[0] = call1969;
  partcv[0] = 1;
  Object opresult1972 = callmethod(strlit1971, "++(1)", 1, partcv, params);
// compiled op node returning opresult1972 (depth = 10)
  int op_slot_left_1963 = gc_frame_newslot(opresult1972);
  params[0] = strlit1964;
  partcv[0] = 1;
  Object opresult1973 = callmethod(opresult1972, "++(1)", 1, partcv, params);
// compiled op node returning opresult1973 (depth = 9)
  gc_frame_newslot(opresult1973);
// starting to compile block node (depth = 9)
  Object block1974 = alloc_Block(NULL, NULL, "xmodule", 588);
  gc_frame_newslot(block1974);
// method "_apply"
  block_savedest(block1974);
  Object closure1975 = createclosure(3, "_apply");
  setclosureframe(closure1975, stackframe);
  addtoclosure(closure1975, var_cloneArg);
  addtoclosure(closure1975, var_freshMethExpression);
  addtoclosure(closure1975, selfslot);
  struct UserObject *uo1975 = (struct UserObject*)block1974;
  uo1975->data[0] = (Object)closure1975;
  Method *meth_meth_xmodule__apply1975 = addmethod2pos(block1974, "_apply", &meth_xmodule__apply1975, 0);
  int argcv_meth_xmodule__apply1975[] = {0};
  meth_meth_xmodule__apply1975->type = alloc_MethodType(1, argcv_meth_xmodule__apply1975);
  meth_meth_xmodule__apply1975->definitionModule = modulename;
  meth_meth_xmodule__apply1975->definitionLine = 565;
// compiled block node returning block1974 (depth = 9)
  gc_frame_newslot(block1974);
// call case 6: other requests
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_gct (depth = 9)
  params[0] = opresult1973;
  params[1] = block1974;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2006 = callmethodflags(*var_gct, "at(1)isAbsent(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1962);
// compiled call node returning call2006 (depth = 8)
  gc_frame_newslot(call2006);
// call case 6: other requests
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_gct (depth = 8)
  params[0] = opresult1961;
  params[1] = call2006;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2007 = callmethodflags(*var_gct, "at(1)put(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1953);
// compiled call node returning call2007 (depth = 7)
    gc_frame_newslot(call2007);
    if1937 = call2007;
  }
// compiled if node returning if1937 (depth = 6)
    gc_frame_newslot(if1937);
    if1924 = if1937;
  } else {
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2008 = gc_frame_new();
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2010 == NULL) {
    strlit2010 = alloc_String("");
    gc_root(strlit2010);
  }
// compiled string node returning strlit2010 (depth = 8)
  int op_slot_right_2009 = gc_frame_newslot(strlit2010);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2013 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num2014 = alloc_Float64(0);
// compiled num node returning num2014 (depth = 10)
  gc_frame_newslot(num2014);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_freshMethExpression (depth = 10)
  params[0] = num2014;
  partcv[0] = 1;
  Object call2015 = callmethodflags(*var_freshMethExpression, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2013);
// compiled call node returning call2015 (depth = 9)
  int op_slot_right_2012 = gc_frame_newslot(call2015);
// starting to compile string node (depth = 9)
  if (strlit2017 == NULL) {
    strlit2017 = alloc_String("unrecognized fresh method tail-call: ");
    gc_root(strlit2017);
  }
// compiled string node returning strlit2017 (depth = 9)
  int op_slot_left_2012 = gc_frame_newslot(strlit2017);
  params[0] = call2015;
  partcv[0] = 1;
  Object opresult2018 = callmethod(strlit2017, "++(1)", 1, partcv, params);
// compiled op node returning opresult2018 (depth = 8)
  int op_slot_left_2009 = gc_frame_newslot(opresult2018);
  params[0] = strlit2010;
  partcv[0] = 1;
  Object opresult2019 = callmethod(opresult2018, "++(1)", 1, partcv, params);
// compiled op node returning opresult2019 (depth = 7)
  gc_frame_newslot(opresult2019);
// call case 6: other requests
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2020 = gc_frame_new();
// call case 5: prelude request
  Object call2021 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2020);
// compiled member node returning call2021 (depth = 7)
  params[0] = opresult2019;
  partcv[0] = 1;
  Object call2022 = callmethodflags(call2021, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2008);
// compiled call node returning call2022 (depth = 6)
    gc_frame_newslot(call2022);
    if1924 = call2022;
  }
// compiled if node returning if1924 (depth = 5)
    gc_frame_newslot(if1924);
    if1906 = if1924;
  }
// compiled if node returning if1906 (depth = 4)
    gc_frame_newslot(if1906);
    if1901 = if1906;
  } else {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2023 = gc_frame_new();
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2025 == NULL) {
    strlit2025 = alloc_String("");
    gc_root(strlit2025);
  }
// compiled string node returning strlit2025 (depth = 6)
  int op_slot_right_2024 = gc_frame_newslot(strlit2025);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2028 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num2029 = alloc_Float64(0);
// compiled num node returning num2029 (depth = 8)
  gc_frame_newslot(num2029);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_freshMethExpression (depth = 8)
  params[0] = num2029;
  partcv[0] = 1;
  Object call2030 = callmethodflags(*var_freshMethExpression, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2028);
// compiled call node returning call2030 (depth = 7)
  int op_slot_right_2027 = gc_frame_newslot(call2030);
// starting to compile string node (depth = 7)
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("fresh method result of an unexpected kind: ");
    gc_root(strlit2032);
  }
// compiled string node returning strlit2032 (depth = 7)
  int op_slot_left_2027 = gc_frame_newslot(strlit2032);
  params[0] = call2030;
  partcv[0] = 1;
  Object opresult2033 = callmethod(strlit2032, "++(1)", 1, partcv, params);
// compiled op node returning opresult2033 (depth = 6)
  int op_slot_left_2024 = gc_frame_newslot(opresult2033);
  params[0] = strlit2025;
  partcv[0] = 1;
  Object opresult2034 = callmethod(opresult2033, "++(1)", 1, partcv, params);
// compiled op node returning opresult2034 (depth = 5)
  gc_frame_newslot(opresult2034);
// call case 6: other requests
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2035 = gc_frame_new();
// call case 5: prelude request
  Object call2036 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2035);
// compiled member node returning call2036 (depth = 5)
  params[0] = opresult2034;
  partcv[0] = 1;
  Object call2037 = callmethodflags(call2036, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2023);
// compiled call node returning call2037 (depth = 4)
    gc_frame_newslot(call2037);
    if1901 = call2037;
  }
// compiled if node returning if1901 (depth = 3)
    gc_frame_newslot(if1901);
    if1872 = if1901;
  }
// compiled if node returning if1872 (depth = 2)
  gc_frame_end(frame);
  return if1872;
}
Object meth_xmodule_gctCache2040(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "gctCache");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_gctCache = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_gctCache (depth = 3)
  gc_frame_end(frame);
  return *var_gctCache;
}
Object meth_xmodule__apply_40_2_41_2042(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 3)
  int callframe2043 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2044 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  Object call2045 = callmethodflags(*var_b, "key", 0, partcv, params, 0);
  gc_frame_end(callframe2044);
// compiled member node returning call2045 (depth = 4)
  gc_frame_newslot(call2045);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2046 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_a (depth = 5)
  Object call2047 = callmethodflags(*var_a, "key", 0, partcv, params, 0);
  gc_frame_end(callframe2046);
// compiled member node returning call2047 (depth = 4)
  params[0] = call2045;
  partcv[0] = 1;
  Object call2048 = callmethodflags(call2047, "compare(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2043);
// compiled call node returning call2048 (depth = 3)
  gc_frame_end(frame);
  return call2048;
}
Object meth_xmodule_keyCompare2050(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keyCompare");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keyCompare = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keyCompare (depth = 3)
  gc_frame_end(frame);
  return *var_keyCompare;
}
Object meth_xmodule_currentDialect2064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "currentDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_currentDialect = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_currentDialect (depth = 3)
  gc_frame_end(frame);
  return *var_currentDialect;
}
Object meth_xmodule_LinePos2067(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "LinePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_LinePos = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_LinePos (depth = 3)
  gc_frame_end(frame);
  return *var_LinePos;
}
Object meth_xmodule_RangeSuggestions2070(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "RangeSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_RangeSuggestions = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_RangeSuggestions (depth = 3)
  gc_frame_end(frame);
  return *var_RangeSuggestions;
}
Object meth_xmodule_dynamicCModules2077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dynamicCModules");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dynamicCModules = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dynamicCModules (depth = 3)
  gc_frame_end(frame);
  return *var_dynamicCModules;
}
Object meth_xmodule_imports2080(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "imports");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_imports = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_imports (depth = 3)
  gc_frame_end(frame);
  return *var_imports;
}
Object meth_xmodule_methodtypes2082(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodtypes");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodtypes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodtypes (depth = 3)
  gc_frame_end(frame);
  return *var_methodtypes;
}
Object meth_xmodule_methodtypes_58__61__40_1_41_2083(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodtypes:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method methodtypes:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_methodtypes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodtypes:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part methodtypes:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_methodtypes = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_xmodule__apply_40_1_41_2206(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  Object *var_mtstr = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile op node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2208 = gc_frame_new();
// starting to compile num node (depth = 17)
  Object num2209 = alloc_Float64(1);
// compiled num node returning num2209 (depth = 17)
  gc_frame_newslot(num2209);
// call case 6: other requests
// starting to compile call node (depth = 17)
  int callframe2210 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_ix (depth = 18)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 18)
  int callframe2211 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_p (depth = 19)
  Object call2212 = callmethodflags(*var_p, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe2211);
// compiled member node returning call2212 (depth = 18)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call2213 = callmethodflags(call2212, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2210);
// compiled call node returning call2213 (depth = 17)
  params[0] = num2209;
  partcv[0] = 1;
  Object call2214 = callmethodflags(call2213, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2208);
// compiled call node returning call2214 (depth = 16)
  int op_slot_right_2207 = gc_frame_newslot(call2214);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_mtstr (depth = 16)
  int op_slot_left_2207 = gc_frame_newslot(*var_mtstr);
  params[0] = call2214;
  partcv[0] = 1;
  Object opresult2216 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2216 (depth = 15)
  *var_mtstr = opresult2216;
  if (opresult2216 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 14)
  gc_frame_end(frame);
  return done;
}
Object meth_xmodule__apply_40_1_41_2135(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_mtstr = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2136 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_pnr (depth = 12)
  gc_frame_newslot(*var_pnr);
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2137 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  Object call2138 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2137);
// compiled member node returning call2138 (depth = 12)
  params[0] = *var_pnr;
  partcv[0] = 1;
  Object call2139 = callmethodflags(call2138, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2136);
// compiled call node returning call2139 (depth = 11)
  *var_p = call2139;
  if (call2139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 10)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool2142 = alloc_Boolean(0);
// compiled identifier node returning bool2142 (depth = 12)
  int op_slot_right_2141 = gc_frame_newslot(bool2142);
// starting to compile member node (depth = 12)
  int callframe2144 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  Object call2145 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe2144);
// compiled member node returning call2145 (depth = 12)
  int op_slot_left_2141 = gc_frame_newslot(call2145);
  params[0] = bool2142;
  partcv[0] = 1;
  Object opresult2146 = callmethod(call2145, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2146 (depth = 11)
  Object if2140 = done;
  if (istrue(opresult2146)) {
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2148 = gc_frame_new();
// starting to compile num node (depth = 14)
  Object num2149 = alloc_Float64(1);
// compiled num node returning num2149 (depth = 14)
  gc_frame_newslot(num2149);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_p (depth = 14)
  params[0] = num2149;
  partcv[0] = 1;
  Object call2150 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2148);
// compiled call node returning call2150 (depth = 13)
  int op_slot_right_2147 = gc_frame_newslot(call2150);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mtstr (depth = 13)
  int op_slot_left_2147 = gc_frame_newslot(*var_mtstr);
  params[0] = call2150;
  partcv[0] = 1;
  Object opresult2152 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2152 (depth = 12)
  *var_mtstr = opresult2152;
  if (opresult2152 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if2140 = done;
  } else {
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe2155 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  Object call2156 = callmethodflags(*var_p, "wildcard", 0, partcv, params, 0);
  gc_frame_end(callframe2155);
// compiled member node returning call2156 (depth = 12)
  Object if2154 = done;
  if (istrue(call2156)) {
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2158 == NULL) {
    strlit2158 = alloc_String("_");
    gc_root(strlit2158);
  }
// compiled string node returning strlit2158 (depth = 14)
  int op_slot_right_2157 = gc_frame_newslot(strlit2158);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mtstr (depth = 14)
  int op_slot_left_2157 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2158;
  partcv[0] = 1;
  Object opresult2160 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2160 (depth = 13)
  *var_mtstr = opresult2160;
  if (opresult2160 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if2154 = done;
  } else {
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile member node (depth = 14)
  int callframe2163 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_p (depth = 15)
  Object call2164 = callmethodflags(*var_p, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2163);
// compiled member node returning call2164 (depth = 14)
  int op_slot_right_2162 = gc_frame_newslot(call2164);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mtstr (depth = 14)
  int op_slot_left_2162 = gc_frame_newslot(*var_mtstr);
  params[0] = call2164;
  partcv[0] = 1;
  Object opresult2166 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2166 (depth = 13)
  *var_mtstr = opresult2166;
  if (opresult2166 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if2154 = done;
  }
// compiled if node returning if2154 (depth = 11)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe2169 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_ast (depth = 15)
  Object call2171 = callmethodflags(*var_ast, "unknownType", 0, partcv, params, 0);
  gc_frame_end(callframe2170);
// compiled member node returning call2171 (depth = 14)
  Object call2172 = callmethodflags(call2171, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2169);
// compiled member node returning call2172 (depth = 13)
  int op_slot_right_2168 = gc_frame_newslot(call2172);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2175 == NULL) {
    strlit2175 = alloc_String(" : ");
    gc_root(strlit2175);
  }
// compiled string node returning strlit2175 (depth = 14)
  int op_slot_right_2174 = gc_frame_newslot(strlit2175);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mtstr (depth = 14)
  int op_slot_left_2174 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2175;
  partcv[0] = 1;
  Object opresult2177 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2177 (depth = 13)
  int op_slot_left_2168 = gc_frame_newslot(opresult2177);
  params[0] = call2172;
  partcv[0] = 1;
  Object opresult2178 = callmethod(opresult2177, "++(1)", 1, partcv, params);
// compiled op node returning opresult2178 (depth = 12)
  *var_mtstr = opresult2178;
  if (opresult2178 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe2182 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_p (depth = 14)
  Object call2183 = callmethodflags(*var_p, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe2182);
// compiled member node returning call2183 (depth = 13)
  int op_slot_right_2181 = gc_frame_newslot(call2183);
// starting to compile identifier node (depth = 13)
  Object bool2185 = alloc_Boolean(0);
// compiled identifier node returning bool2185 (depth = 13)
  int op_slot_left_2181 = gc_frame_newslot(bool2185);
  params[0] = call2183;
  partcv[0] = 1;
  Object opresult2186 = callmethod(bool2185, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2186 (depth = 12)
  Object if2180 = done;
  if (istrue(opresult2186)) {
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2188 == NULL) {
    strlit2188 = alloc_String("<");
    gc_root(strlit2188);
  }
// compiled string node returning strlit2188 (depth = 14)
  int op_slot_right_2187 = gc_frame_newslot(strlit2188);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mtstr (depth = 14)
  int op_slot_left_2187 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2188;
  partcv[0] = 1;
  Object opresult2190 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2190 (depth = 13)
  *var_mtstr = opresult2190;
  if (opresult2190 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2192 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num2195 = alloc_Float64(1);
// compiled num node returning num2195 (depth = 15)
  int op_slot_right_2194 = gc_frame_newslot(num2195);
// starting to compile member node (depth = 15)
  int callframe2197 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2198 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_p (depth = 17)
  Object call2199 = callmethodflags(*var_p, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe2198);
// compiled member node returning call2199 (depth = 16)
  Object call2200 = callmethodflags(call2199, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2197);
// compiled member node returning call2200 (depth = 15)
  int op_slot_left_2194 = gc_frame_newslot(call2200);
  params[0] = num2195;
  partcv[0] = 1;
  Object diff2201 = callmethod(call2200, "-(1)", 1, partcv, params);
// compiled op node returning diff2201 (depth = 14)
  int op_slot_right_2193 = gc_frame_newslot(diff2201);
// starting to compile num node (depth = 14)
  Object num2203 = alloc_Float64(1);
// compiled num node returning num2203 (depth = 14)
  int op_slot_left_2193 = gc_frame_newslot(num2203);
  params[0] = diff2201;
  partcv[0] = 1;
  Object opresult2204 = callmethod(num2203, "..(1)", 1, partcv, params);
// compiled op node returning opresult2204 (depth = 13)
  gc_frame_newslot(opresult2204);
// starting to compile block node (depth = 13)
  Object block2205 = alloc_Block(NULL, NULL, "xmodule", 414);
  gc_frame_newslot(block2205);
// method "_apply(_)"
  block_savedest(block2205);
  Object closure2206 = createclosure(3, "_apply(1)");
  setclosureframe(closure2206, stackframe);
  addtoclosure(closure2206, var_p);
  addtoclosure(closure2206, var_mtstr);
  addtoclosure(closure2206, selfslot);
  struct UserObject *uo2206 = (struct UserObject*)block2205;
  uo2206->data[0] = (Object)closure2206;
  Method *meth_meth_xmodule__apply_40_1_41_2206 = addmethod2pos(block2205, "_apply(1)", &meth_xmodule__apply_40_1_41_2206, 0);
  int argcv_meth_xmodule__apply_40_1_41_2206[] = {1};
  meth_meth_xmodule__apply_40_1_41_2206->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_2206);
  meth_meth_xmodule__apply_40_1_41_2206->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_2206->definitionLine = 565;
// compiled block node returning block2205 (depth = 13)
  gc_frame_newslot(block2205);
// call case 5: prelude request
  params[0] = opresult2204;
  params[1] = block2205;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2219 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2192);
// compiled call node returning call2219 (depth = 12)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2221 == NULL) {
    strlit2221 = alloc_String(">");
    gc_root(strlit2221);
  }
// compiled string node returning strlit2221 (depth = 14)
  int op_slot_right_2220 = gc_frame_newslot(strlit2221);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2224 = gc_frame_new();
// starting to compile num node (depth = 16)
  Object num2225 = alloc_Float64(1);
// compiled num node returning num2225 (depth = 16)
  gc_frame_newslot(num2225);
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2226 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2227 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_p (depth = 18)
  Object call2228 = callmethodflags(*var_p, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe2227);
// compiled member node returning call2228 (depth = 17)
  Object call2229 = callmethodflags(call2228, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2226);
// compiled member node returning call2229 (depth = 16)
  params[0] = num2225;
  partcv[0] = 1;
  Object call2230 = callmethodflags(call2229, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2224);
// compiled call node returning call2230 (depth = 15)
  int op_slot_right_2223 = gc_frame_newslot(call2230);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_mtstr (depth = 15)
  int op_slot_left_2223 = gc_frame_newslot(*var_mtstr);
  params[0] = call2230;
  partcv[0] = 1;
  Object opresult2232 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2232 (depth = 14)
  int op_slot_left_2220 = gc_frame_newslot(opresult2232);
  params[0] = strlit2221;
  partcv[0] = 1;
  Object opresult2233 = callmethod(opresult2232, "++(1)", 1, partcv, params);
// compiled op node returning opresult2233 (depth = 13)
  *var_mtstr = opresult2233;
  if (opresult2233 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if2180 = done;
  } else {
  }
// compiled if node returning if2180 (depth = 11)
    gc_frame_newslot(if2180);
    if2140 = if2180;
  }
// compiled if node returning if2140 (depth = 10)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe2237 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2238 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  Object call2239 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2238);
// compiled member node returning call2239 (depth = 13)
  Object call2240 = callmethodflags(call2239, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2237);
// compiled member node returning call2240 (depth = 12)
  int op_slot_right_2236 = gc_frame_newslot(call2240);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_pnr (depth = 12)
  int op_slot_left_2236 = gc_frame_newslot(*var_pnr);
  params[0] = call2240;
  partcv[0] = 1;
  Object opresult2242 = callmethod(*var_pnr, "<(1)", 1, partcv, params);
// compiled op node returning opresult2242 (depth = 11)
  Object if2235 = done;
  if (istrue(opresult2242)) {
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2244 == NULL) {
    strlit2244 = alloc_String(", ");
    gc_root(strlit2244);
  }
// compiled string node returning strlit2244 (depth = 13)
  int op_slot_right_2243 = gc_frame_newslot(strlit2244);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mtstr (depth = 13)
  int op_slot_left_2243 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2244;
  partcv[0] = 1;
  Object opresult2246 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2246 (depth = 12)
  *var_mtstr = opresult2246;
  if (opresult2246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if2235 = done;
  } else {
  }
// compiled if node returning if2235 (depth = 10)
  gc_frame_end(frame);
  return if2235;
}
Object meth_xmodule__apply_40_1_41_2108(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_mtstr = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2110 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  Object call2111 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe2110);
// compiled member node returning call2111 (depth = 9)
  int op_slot_right_2109 = gc_frame_newslot(call2111);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mtstr (depth = 9)
  int op_slot_left_2109 = gc_frame_newslot(*var_mtstr);
  params[0] = call2111;
  partcv[0] = 1;
  Object opresult2113 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2113 (depth = 8)
  *var_mtstr = opresult2113;
  if (opresult2113 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2117 = alloc_Float64(0);
// compiled num node returning num2117 (depth = 9)
  int op_slot_right_2116 = gc_frame_newslot(num2117);
// starting to compile member node (depth = 9)
  int callframe2119 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2120 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  Object call2121 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2120);
// compiled member node returning call2121 (depth = 10)
  Object call2122 = callmethodflags(call2121, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2119);
// compiled member node returning call2122 (depth = 9)
  int op_slot_left_2116 = gc_frame_newslot(call2122);
  params[0] = num2117;
  partcv[0] = 1;
  Object opresult2123 = callmethod(call2122, ">(1)", 1, partcv, params);
// compiled op node returning opresult2123 (depth = 8)
  Object if2115 = done;
  if (istrue(opresult2123)) {
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2125 == NULL) {
    strlit2125 = alloc_String("(");
    gc_root(strlit2125);
  }
// compiled string node returning strlit2125 (depth = 10)
  int op_slot_right_2124 = gc_frame_newslot(strlit2125);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mtstr (depth = 10)
  int op_slot_left_2124 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2125;
  partcv[0] = 1;
  Object opresult2127 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2127 (depth = 9)
  *var_mtstr = opresult2127;
  if (opresult2127 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2129 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe2130 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2131 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  Object call2132 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2131);
// compiled member node returning call2132 (depth = 10)
  Object call2133 = callmethodflags(call2132, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe2130);
// compiled member node returning call2133 (depth = 9)
  gc_frame_newslot(call2133);
// starting to compile block node (depth = 9)
  Object block2134 = alloc_Block(NULL, NULL, "xmodule", 400);
  gc_frame_newslot(block2134);
// method "_apply(_)"
  block_savedest(block2134);
  Object closure2135 = createclosure(4, "_apply(1)");
  setclosureframe(closure2135, stackframe);
  addtoclosure(closure2135, var_part);
  addtoclosure(closure2135, var_mtstr);
  addtoclosure(closure2135, var_ast);
  addtoclosure(closure2135, selfslot);
  struct UserObject *uo2135 = (struct UserObject*)block2134;
  uo2135->data[0] = (Object)closure2135;
  Method *meth_meth_xmodule__apply_40_1_41_2135 = addmethod2pos(block2134, "_apply(1)", &meth_xmodule__apply_40_1_41_2135, 0);
  int argcv_meth_xmodule__apply_40_1_41_2135[] = {1};
  meth_meth_xmodule__apply_40_1_41_2135->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_2135);
  meth_meth_xmodule__apply_40_1_41_2135->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_2135->definitionLine = 565;
// compiled block node returning block2134 (depth = 9)
  gc_frame_newslot(block2134);
// call case 5: prelude request
  params[0] = call2133;
  params[1] = block2134;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2249 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2129);
// compiled call node returning call2249 (depth = 8)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2251 == NULL) {
    strlit2251 = alloc_String(")");
    gc_root(strlit2251);
  }
// compiled string node returning strlit2251 (depth = 10)
  int op_slot_right_2250 = gc_frame_newslot(strlit2251);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mtstr (depth = 10)
  int op_slot_left_2250 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2251;
  partcv[0] = 1;
  Object opresult2253 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2253 (depth = 9)
  *var_mtstr = opresult2253;
  if (opresult2253 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2115 = done;
  } else {
  }
// compiled if node returning if2115 (depth = 7)
  gc_frame_end(frame);
  return if2115;
}
Object meth_xmodule__apply_40_1_41_2093(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_methodtypes = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_meth = &(stackframe->slots[0]);
  *var_meth = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_mtstr = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "mtstr");
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2095 == NULL) {
    strlit2095 = alloc_String(" ");
    gc_root(strlit2095);
  }
// compiled string node returning strlit2095 (depth = 7)
  int op_slot_right_2094 = gc_frame_newslot(strlit2095);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2098 = gc_frame_new();
// call case 4: self request
  Object call2099 = callmethodflags(self, "literalCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2098);
// compiled member node returning call2099 (depth = 8)
  int op_slot_right_2097 = gc_frame_newslot(call2099);
// starting to compile string node (depth = 8)
  if (strlit2101 == NULL) {
    strlit2101 = alloc_String("");
    gc_root(strlit2101);
  }
// compiled string node returning strlit2101 (depth = 8)
  int op_slot_left_2097 = gc_frame_newslot(strlit2101);
  params[0] = call2099;
  partcv[0] = 1;
  Object opresult2102 = callmethod(strlit2101, "++(1)", 1, partcv, params);
// compiled op node returning opresult2102 (depth = 7)
  int op_slot_left_2094 = gc_frame_newslot(opresult2102);
  params[0] = strlit2095;
  partcv[0] = 1;
  Object opresult2103 = callmethod(opresult2102, "++(1)", 1, partcv, params);
// compiled op node returning opresult2103 (depth = 6)
  *var_mtstr = opresult2103;
  if (opresult2103 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2104 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2105 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  Object call2106 = callmethodflags(*var_meth, "signature", 0, partcv, params, 0);
  gc_frame_end(callframe2105);
// compiled member node returning call2106 (depth = 6)
  gc_frame_newslot(call2106);
// starting to compile block node (depth = 6)
  Object block2107 = alloc_Block(NULL, NULL, "xmodule", 396);
  gc_frame_newslot(block2107);
// method "_apply(_)"
  block_savedest(block2107);
  Object closure2108 = createclosure(3, "_apply(1)");
  setclosureframe(closure2108, stackframe);
  addtoclosure(closure2108, var_mtstr);
  addtoclosure(closure2108, var_ast);
  addtoclosure(closure2108, selfslot);
  struct UserObject *uo2108 = (struct UserObject*)block2107;
  uo2108->data[0] = (Object)closure2108;
  Method *meth_meth_xmodule__apply_40_1_41_2108 = addmethod2pos(block2107, "_apply(1)", &meth_xmodule__apply_40_1_41_2108, 0);
  int argcv_meth_xmodule__apply_40_1_41_2108[] = {1};
  meth_meth_xmodule__apply_40_1_41_2108->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_2108);
  meth_meth_xmodule__apply_40_1_41_2108->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_2108->definitionLine = 565;
// compiled block node returning block2107 (depth = 6)
  gc_frame_newslot(block2107);
// call case 5: prelude request
  params[0] = call2106;
  params[1] = block2107;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2256 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2104);
// compiled call node returning call2256 (depth = 5)
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2259 = alloc_Boolean(0);
// compiled identifier node returning bool2259 (depth = 7)
  int op_slot_right_2258 = gc_frame_newslot(bool2259);
// starting to compile member node (depth = 7)
  int callframe2261 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  Object call2262 = callmethodflags(*var_meth, "rtype", 0, partcv, params, 0);
  gc_frame_end(callframe2261);
// compiled member node returning call2262 (depth = 7)
  int op_slot_left_2258 = gc_frame_newslot(call2262);
  params[0] = bool2259;
  partcv[0] = 1;
  Object opresult2263 = callmethod(call2262, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2263 (depth = 6)
  Object if2257 = done;
  if (istrue(opresult2263)) {
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2265 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num2266 = alloc_Float64(1);
// compiled num node returning num2266 (depth = 9)
  gc_frame_newslot(num2266);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2267 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_meth (depth = 10)
  Object call2268 = callmethodflags(*var_meth, "rtype", 0, partcv, params, 0);
  gc_frame_end(callframe2267);
// compiled member node returning call2268 (depth = 9)
  params[0] = num2266;
  partcv[0] = 1;
  Object call2269 = callmethodflags(call2268, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2265);
// compiled call node returning call2269 (depth = 8)
  int op_slot_right_2264 = gc_frame_newslot(call2269);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2272 == NULL) {
    strlit2272 = alloc_String(" -> ");
    gc_root(strlit2272);
  }
// compiled string node returning strlit2272 (depth = 9)
  int op_slot_right_2271 = gc_frame_newslot(strlit2272);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mtstr (depth = 9)
  int op_slot_left_2271 = gc_frame_newslot(*var_mtstr);
  params[0] = strlit2272;
  partcv[0] = 1;
  Object opresult2274 = callmethod(*var_mtstr, "++(1)", 1, partcv, params);
// compiled op node returning opresult2274 (depth = 8)
  int op_slot_left_2264 = gc_frame_newslot(opresult2274);
  params[0] = call2269;
  partcv[0] = 1;
  Object opresult2275 = callmethod(opresult2274, "++(1)", 1, partcv, params);
// compiled op node returning opresult2275 (depth = 7)
  *var_mtstr = opresult2275;
  if (opresult2275 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2257 = done;
  } else {
  }
// compiled if node returning if2257 (depth = 5)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2277 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mtstr (depth = 6)
  gc_frame_newslot(*var_mtstr);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodtypes (depth = 6)
  params[0] = *var_mtstr;
  partcv[0] = 1;
  Object call2278 = callmethodflags(*var_methodtypes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2277);
// compiled call node returning call2278 (depth = 5)
  gc_frame_end(frame);
  return call2278;
}
Object meth_xmodule_visitTypeLiteral_40_1_41_2088(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeLiteral(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)");
  Object params[2];
  int partcv[2];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_methodtypes = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lit = &(stackframe->slots[0]);
  *var_lit = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2089 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2090 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lit (depth = 5)
  Object call2091 = callmethodflags(*var_lit, "methods", 0, partcv, params, 0);
  gc_frame_end(callframe2090);
// compiled member node returning call2091 (depth = 4)
  gc_frame_newslot(call2091);
// starting to compile block node (depth = 4)
  Object block2092 = alloc_Block(NULL, NULL, "xmodule", 394);
  gc_frame_newslot(block2092);
// method "_apply(_)"
  block_savedest(block2092);
  Object closure2093 = createclosure(3, "_apply(1)");
  setclosureframe(closure2093, stackframe);
  addtoclosure(closure2093, var_ast);
  addtoclosure(closure2093, var_methodtypes);
  addtoclosure(closure2093, selfslot);
  struct UserObject *uo2093 = (struct UserObject*)block2092;
  uo2093->data[0] = (Object)closure2093;
  Method *meth_meth_xmodule__apply_40_1_41_2093 = addmethod2pos(block2092, "_apply(1)", &meth_xmodule__apply_40_1_41_2093, 0);
  int argcv_meth_xmodule__apply_40_1_41_2093[] = {1};
  meth_meth_xmodule__apply_40_1_41_2093->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_1_41_2093);
  meth_meth_xmodule__apply_40_1_41_2093->definitionModule = modulename;
  meth_meth_xmodule__apply_40_1_41_2093->definitionLine = 565;
// compiled block node returning block2092 (depth = 4)
  gc_frame_newslot(block2092);
// call case 5: prelude request
  params[0] = call2091;
  params[1] = block2092;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2280 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2089);
// compiled call node returning call2280 (depth = 3)
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool2281 = alloc_Boolean(0);
// compiled identifier node returning bool2281 (depth = 4)
  return bool2281;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule_visitOp_40_1_41_2282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitOp(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)");
  Object params[1];
  int partcv[1];
  Object *var_methodtypes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_leftkind = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "leftkind");
  Object *var_rightkind = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "rightkind");
  Object *var_typeIdent = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "typeIdent");
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2286 == NULL) {
    strlit2286 = alloc_String("|");
    gc_root(strlit2286);
  }
// compiled string node returning strlit2286 (depth = 6)
  int op_slot_right_2285 = gc_frame_newslot(strlit2286);
// starting to compile member node (depth = 6)
  int callframe2288 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_op (depth = 7)
  Object call2289 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2288);
// compiled member node returning call2289 (depth = 6)
  int op_slot_left_2285 = gc_frame_newslot(call2289);
  params[0] = strlit2286;
  partcv[0] = 1;
  Object opresult2290 = callmethod(call2289, "==(1)", 1, partcv, params);
// compiled op node returning opresult2290 (depth = 5)
  int op_slot_right_2284 = gc_frame_newslot(opresult2290);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2293 == NULL) {
    strlit2293 = alloc_String("&");
    gc_root(strlit2293);
  }
// compiled string node returning strlit2293 (depth = 6)
  int op_slot_right_2292 = gc_frame_newslot(strlit2293);
// starting to compile member node (depth = 6)
  int callframe2295 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_op (depth = 7)
  Object call2296 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2295);
// compiled member node returning call2296 (depth = 6)
  int op_slot_left_2292 = gc_frame_newslot(call2296);
  params[0] = strlit2293;
  partcv[0] = 1;
  Object opresult2297 = callmethod(call2296, "==(1)", 1, partcv, params);
// compiled op node returning opresult2297 (depth = 5)
  int op_slot_left_2284 = gc_frame_newslot(opresult2297);
  params[0] = opresult2290;
  partcv[0] = 1;
  Object opresult2298 = callmethod(opresult2297, "||(1)", 1, partcv, params);
// compiled op node returning opresult2298 (depth = 4)
  Object if2283 = done;
  if (istrue(opresult2298)) {
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2299 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2300 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_op (depth = 7)
  Object call2301 = callmethodflags(*var_op, "left", 0, partcv, params, 0);
  gc_frame_end(callframe2300);
// compiled member node returning call2301 (depth = 6)
  Object call2302 = callmethodflags(call2301, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2299);
// compiled member node returning call2302 (depth = 5)
  *var_leftkind = call2302;
  if (call2302 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2303 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2304 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_op (depth = 7)
  Object call2305 = callmethodflags(*var_op, "right", 0, partcv, params, 0);
  gc_frame_end(callframe2304);
// compiled member node returning call2305 (depth = 6)
  Object call2306 = callmethodflags(call2305, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2303);
// compiled member node returning call2306 (depth = 5)
  *var_rightkind = call2306;
  if (call2306 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2310 == NULL) {
    strlit2310 = alloc_String("member");
    gc_root(strlit2310);
  }
// compiled string node returning strlit2310 (depth = 7)
  int op_slot_right_2309 = gc_frame_newslot(strlit2310);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_leftkind (depth = 7)
  int op_slot_left_2309 = gc_frame_newslot(*var_leftkind);
  params[0] = strlit2310;
  partcv[0] = 1;
  Object opresult2312 = callmethod(*var_leftkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2312 (depth = 6)
  int op_slot_right_2308 = gc_frame_newslot(opresult2312);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2315 == NULL) {
    strlit2315 = alloc_String("identifier");
    gc_root(strlit2315);
  }
// compiled string node returning strlit2315 (depth = 7)
  int op_slot_right_2314 = gc_frame_newslot(strlit2315);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_leftkind (depth = 7)
  int op_slot_left_2314 = gc_frame_newslot(*var_leftkind);
  params[0] = strlit2315;
  partcv[0] = 1;
  Object opresult2317 = callmethod(*var_leftkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2317 (depth = 6)
  int op_slot_left_2308 = gc_frame_newslot(opresult2317);
  params[0] = opresult2312;
  partcv[0] = 1;
  Object opresult2318 = callmethod(opresult2317, "||(1)", 1, partcv, params);
// compiled op node returning opresult2318 (depth = 5)
  Object if2307 = done;
  if (istrue(opresult2318)) {
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2319 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num2320 = alloc_Float64(0);
// compiled num node returning num2320 (depth = 7)
  gc_frame_newslot(num2320);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2321 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_op (depth = 8)
  Object call2322 = callmethodflags(*var_op, "left", 0, partcv, params, 0);
  gc_frame_end(callframe2321);
// compiled member node returning call2322 (depth = 7)
  params[0] = num2320;
  partcv[0] = 1;
  Object call2323 = callmethodflags(call2322, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2319);
// compiled call node returning call2323 (depth = 6)
  *var_typeIdent = call2323;
  if (call2323 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2324 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 7)
  int op_slot_right_2325 = gc_frame_newslot(strlit2326);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_typeIdent (depth = 8)
  int op_slot_right_2328 = gc_frame_newslot(*var_typeIdent);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2331 == NULL) {
    strlit2331 = alloc_String(" ");
    gc_root(strlit2331);
  }
// compiled string node returning strlit2331 (depth = 9)
  int op_slot_right_2330 = gc_frame_newslot(strlit2331);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe2334 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_op (depth = 11)
  Object call2335 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2334);
// compiled member node returning call2335 (depth = 10)
  int op_slot_right_2333 = gc_frame_newslot(call2335);
// starting to compile string node (depth = 10)
  if (strlit2337 == NULL) {
    strlit2337 = alloc_String("");
    gc_root(strlit2337);
  }
// compiled string node returning strlit2337 (depth = 10)
  int op_slot_left_2333 = gc_frame_newslot(strlit2337);
  params[0] = call2335;
  partcv[0] = 1;
  Object opresult2338 = callmethod(strlit2337, "++(1)", 1, partcv, params);
// compiled op node returning opresult2338 (depth = 9)
  int op_slot_left_2330 = gc_frame_newslot(opresult2338);
  params[0] = strlit2331;
  partcv[0] = 1;
  Object opresult2339 = callmethod(opresult2338, "++(1)", 1, partcv, params);
// compiled op node returning opresult2339 (depth = 8)
  int op_slot_left_2328 = gc_frame_newslot(opresult2339);
  params[0] = *var_typeIdent;
  partcv[0] = 1;
  Object opresult2340 = callmethod(opresult2339, "++(1)", 1, partcv, params);
// compiled op node returning opresult2340 (depth = 7)
  int op_slot_left_2325 = gc_frame_newslot(opresult2340);
  params[0] = strlit2326;
  partcv[0] = 1;
  Object opresult2341 = callmethod(opresult2340, "++(1)", 1, partcv, params);
// compiled op node returning opresult2341 (depth = 6)
  gc_frame_newslot(opresult2341);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodtypes (depth = 6)
  params[0] = opresult2341;
  partcv[0] = 1;
  Object call2342 = callmethodflags(*var_methodtypes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2324);
// compiled call node returning call2342 (depth = 5)
    gc_frame_newslot(call2342);
    if2307 = call2342;
  } else {
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2345 == NULL) {
    strlit2345 = alloc_String("typeliteral");
    gc_root(strlit2345);
  }
// compiled string node returning strlit2345 (depth = 7)
  int op_slot_right_2344 = gc_frame_newslot(strlit2345);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_leftkind (depth = 7)
  int op_slot_left_2344 = gc_frame_newslot(*var_leftkind);
  params[0] = strlit2345;
  partcv[0] = 1;
  Object opresult2347 = callmethod(*var_leftkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2347 (depth = 6)
  Object if2343 = done;
  if (istrue(opresult2347)) {
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2348 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2350 = alloc_Float64(1);
// compiled num node returning num2350 (depth = 8)
  int op_slot_right_2349 = gc_frame_newslot(num2350);
// starting to compile member node (depth = 8)
  int callframe2352 = gc_frame_new();
// call case 4: self request
  Object call2353 = callmethodflags(self, "literalCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2352);
// compiled member node returning call2353 (depth = 8)
  int op_slot_left_2349 = gc_frame_newslot(call2353);
  params[0] = num2350;
  partcv[0] = 1;
  Object sum2354 = callmethod(call2353, "+(1)", 1, partcv, params);
// compiled op node returning sum2354 (depth = 7)
  gc_frame_newslot(sum2354);
// call case 4: self request
  params[0] = sum2354;
  partcv[0] = 1;
  Object call2355 = callmethodflags(self, "literalCount:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2348);
// compiled call node returning call2355 (depth = 6)
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2356 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2358 == NULL) {
    strlit2358 = alloc_String("");
    gc_root(strlit2358);
  }
// compiled string node returning strlit2358 (depth = 8)
  int op_slot_right_2357 = gc_frame_newslot(strlit2358);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2361 = gc_frame_new();
// call case 4: self request
  Object call2362 = callmethodflags(self, "literalCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2361);
// compiled member node returning call2362 (depth = 9)
  int op_slot_right_2360 = gc_frame_newslot(call2362);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2365 == NULL) {
    strlit2365 = alloc_String(" ");
    gc_root(strlit2365);
  }
// compiled string node returning strlit2365 (depth = 10)
  int op_slot_right_2364 = gc_frame_newslot(strlit2365);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe2368 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_op (depth = 12)
  Object call2369 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2368);
// compiled member node returning call2369 (depth = 11)
  int op_slot_right_2367 = gc_frame_newslot(call2369);
// starting to compile string node (depth = 11)
  if (strlit2371 == NULL) {
    strlit2371 = alloc_String("");
    gc_root(strlit2371);
  }
// compiled string node returning strlit2371 (depth = 11)
  int op_slot_left_2367 = gc_frame_newslot(strlit2371);
  params[0] = call2369;
  partcv[0] = 1;
  Object opresult2372 = callmethod(strlit2371, "++(1)", 1, partcv, params);
// compiled op node returning opresult2372 (depth = 10)
  int op_slot_left_2364 = gc_frame_newslot(opresult2372);
  params[0] = strlit2365;
  partcv[0] = 1;
  Object opresult2373 = callmethod(opresult2372, "++(1)", 1, partcv, params);
// compiled op node returning opresult2373 (depth = 9)
  int op_slot_left_2360 = gc_frame_newslot(opresult2373);
  params[0] = call2362;
  partcv[0] = 1;
  Object opresult2374 = callmethod(opresult2373, "++(1)", 1, partcv, params);
// compiled op node returning opresult2374 (depth = 8)
  int op_slot_left_2357 = gc_frame_newslot(opresult2374);
  params[0] = strlit2358;
  partcv[0] = 1;
  Object opresult2375 = callmethod(opresult2374, "++(1)", 1, partcv, params);
// compiled op node returning opresult2375 (depth = 7)
  gc_frame_newslot(opresult2375);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_methodtypes (depth = 7)
  params[0] = opresult2375;
  partcv[0] = 1;
  Object call2376 = callmethodflags(*var_methodtypes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2356);
// compiled call node returning call2376 (depth = 6)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2377 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2378 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_op (depth = 8)
  Object call2379 = callmethodflags(*var_op, "left", 0, partcv, params, 0);
  gc_frame_end(callframe2378);
// compiled member node returning call2379 (depth = 7)
  gc_frame_newslot(call2379);
// call case 4: self request
  params[0] = call2379;
  partcv[0] = 1;
  Object call2380 = callmethodflags(self, "visitTypeLiteral(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2377);
// compiled call node returning call2380 (depth = 6)
    gc_frame_newslot(call2380);
    if2343 = call2380;
  } else {
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2383 == NULL) {
    strlit2383 = alloc_String("op");
    gc_root(strlit2383);
  }
// compiled string node returning strlit2383 (depth = 8)
  int op_slot_right_2382 = gc_frame_newslot(strlit2383);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_leftkind (depth = 8)
  int op_slot_left_2382 = gc_frame_newslot(*var_leftkind);
  params[0] = strlit2383;
  partcv[0] = 1;
  Object opresult2385 = callmethod(*var_leftkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2385 (depth = 7)
  Object if2381 = done;
  if (istrue(opresult2385)) {
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2386 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2387 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_op (depth = 9)
  Object call2388 = callmethodflags(*var_op, "left", 0, partcv, params, 0);
  gc_frame_end(callframe2387);
// compiled member node returning call2388 (depth = 8)
  gc_frame_newslot(call2388);
// call case 4: self request
  params[0] = call2388;
  partcv[0] = 1;
  Object call2389 = callmethodflags(self, "visitOp(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2386);
// compiled call node returning call2389 (depth = 7)
    gc_frame_newslot(call2389);
    if2381 = call2389;
  } else {
  }
// compiled if node returning if2381 (depth = 6)
    gc_frame_newslot(if2381);
    if2343 = if2381;
  }
// compiled if node returning if2343 (depth = 5)
    gc_frame_newslot(if2343);
    if2307 = if2343;
  }
// compiled if node returning if2307 (depth = 4)
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2393 == NULL) {
    strlit2393 = alloc_String("member");
    gc_root(strlit2393);
  }
// compiled string node returning strlit2393 (depth = 7)
  int op_slot_right_2392 = gc_frame_newslot(strlit2393);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_rightkind (depth = 7)
  int op_slot_left_2392 = gc_frame_newslot(*var_rightkind);
  params[0] = strlit2393;
  partcv[0] = 1;
  Object opresult2395 = callmethod(*var_rightkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2395 (depth = 6)
  int op_slot_right_2391 = gc_frame_newslot(opresult2395);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2398 == NULL) {
    strlit2398 = alloc_String("identifier");
    gc_root(strlit2398);
  }
// compiled string node returning strlit2398 (depth = 7)
  int op_slot_right_2397 = gc_frame_newslot(strlit2398);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_rightkind (depth = 7)
  int op_slot_left_2397 = gc_frame_newslot(*var_rightkind);
  params[0] = strlit2398;
  partcv[0] = 1;
  Object opresult2400 = callmethod(*var_rightkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2400 (depth = 6)
  int op_slot_left_2391 = gc_frame_newslot(opresult2400);
  params[0] = opresult2395;
  partcv[0] = 1;
  Object opresult2401 = callmethod(opresult2400, "||(1)", 1, partcv, params);
// compiled op node returning opresult2401 (depth = 5)
  Object if2390 = done;
  if (istrue(opresult2401)) {
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2402 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num2403 = alloc_Float64(0);
// compiled num node returning num2403 (depth = 7)
  gc_frame_newslot(num2403);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2404 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_op (depth = 8)
  Object call2405 = callmethodflags(*var_op, "right", 0, partcv, params, 0);
  gc_frame_end(callframe2404);
// compiled member node returning call2405 (depth = 7)
  params[0] = num2403;
  partcv[0] = 1;
  Object call2406 = callmethodflags(call2405, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2402);
// compiled call node returning call2406 (depth = 6)
  *var_typeIdent = call2406;
  if (call2406 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2407 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2409 == NULL) {
    strlit2409 = alloc_String("");
    gc_root(strlit2409);
  }
// compiled string node returning strlit2409 (depth = 7)
  int op_slot_right_2408 = gc_frame_newslot(strlit2409);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_typeIdent (depth = 8)
  int op_slot_right_2411 = gc_frame_newslot(*var_typeIdent);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2414 == NULL) {
    strlit2414 = alloc_String(" ");
    gc_root(strlit2414);
  }
// compiled string node returning strlit2414 (depth = 9)
  int op_slot_right_2413 = gc_frame_newslot(strlit2414);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe2417 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_op (depth = 11)
  Object call2418 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2417);
// compiled member node returning call2418 (depth = 10)
  int op_slot_right_2416 = gc_frame_newslot(call2418);
// starting to compile string node (depth = 10)
  if (strlit2420 == NULL) {
    strlit2420 = alloc_String("");
    gc_root(strlit2420);
  }
// compiled string node returning strlit2420 (depth = 10)
  int op_slot_left_2416 = gc_frame_newslot(strlit2420);
  params[0] = call2418;
  partcv[0] = 1;
  Object opresult2421 = callmethod(strlit2420, "++(1)", 1, partcv, params);
// compiled op node returning opresult2421 (depth = 9)
  int op_slot_left_2413 = gc_frame_newslot(opresult2421);
  params[0] = strlit2414;
  partcv[0] = 1;
  Object opresult2422 = callmethod(opresult2421, "++(1)", 1, partcv, params);
// compiled op node returning opresult2422 (depth = 8)
  int op_slot_left_2411 = gc_frame_newslot(opresult2422);
  params[0] = *var_typeIdent;
  partcv[0] = 1;
  Object opresult2423 = callmethod(opresult2422, "++(1)", 1, partcv, params);
// compiled op node returning opresult2423 (depth = 7)
  int op_slot_left_2408 = gc_frame_newslot(opresult2423);
  params[0] = strlit2409;
  partcv[0] = 1;
  Object opresult2424 = callmethod(opresult2423, "++(1)", 1, partcv, params);
// compiled op node returning opresult2424 (depth = 6)
  gc_frame_newslot(opresult2424);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodtypes (depth = 6)
  params[0] = opresult2424;
  partcv[0] = 1;
  Object call2425 = callmethodflags(*var_methodtypes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2407);
// compiled call node returning call2425 (depth = 5)
    gc_frame_newslot(call2425);
    if2390 = call2425;
  } else {
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2428 == NULL) {
    strlit2428 = alloc_String("typeliteral");
    gc_root(strlit2428);
  }
// compiled string node returning strlit2428 (depth = 7)
  int op_slot_right_2427 = gc_frame_newslot(strlit2428);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_rightkind (depth = 7)
  int op_slot_left_2427 = gc_frame_newslot(*var_rightkind);
  params[0] = strlit2428;
  partcv[0] = 1;
  Object opresult2430 = callmethod(*var_rightkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2430 (depth = 6)
  Object if2426 = done;
  if (istrue(opresult2430)) {
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2431 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2433 = alloc_Float64(1);
// compiled num node returning num2433 (depth = 8)
  int op_slot_right_2432 = gc_frame_newslot(num2433);
// starting to compile member node (depth = 8)
  int callframe2435 = gc_frame_new();
// call case 4: self request
  Object call2436 = callmethodflags(self, "literalCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2435);
// compiled member node returning call2436 (depth = 8)
  int op_slot_left_2432 = gc_frame_newslot(call2436);
  params[0] = num2433;
  partcv[0] = 1;
  Object sum2437 = callmethod(call2436, "+(1)", 1, partcv, params);
// compiled op node returning sum2437 (depth = 7)
  gc_frame_newslot(sum2437);
// call case 4: self request
  params[0] = sum2437;
  partcv[0] = 1;
  Object call2438 = callmethodflags(self, "literalCount:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2431);
// compiled call node returning call2438 (depth = 6)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2439 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2441 == NULL) {
    strlit2441 = alloc_String("");
    gc_root(strlit2441);
  }
// compiled string node returning strlit2441 (depth = 8)
  int op_slot_right_2440 = gc_frame_newslot(strlit2441);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2444 = gc_frame_new();
// call case 4: self request
  Object call2445 = callmethodflags(self, "literalCount", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2444);
// compiled member node returning call2445 (depth = 9)
  int op_slot_right_2443 = gc_frame_newslot(call2445);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2448 == NULL) {
    strlit2448 = alloc_String(" ");
    gc_root(strlit2448);
  }
// compiled string node returning strlit2448 (depth = 10)
  int op_slot_right_2447 = gc_frame_newslot(strlit2448);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe2451 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_op (depth = 12)
  Object call2452 = callmethodflags(*var_op, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2451);
// compiled member node returning call2452 (depth = 11)
  int op_slot_right_2450 = gc_frame_newslot(call2452);
// starting to compile string node (depth = 11)
  if (strlit2454 == NULL) {
    strlit2454 = alloc_String("");
    gc_root(strlit2454);
  }
// compiled string node returning strlit2454 (depth = 11)
  int op_slot_left_2450 = gc_frame_newslot(strlit2454);
  params[0] = call2452;
  partcv[0] = 1;
  Object opresult2455 = callmethod(strlit2454, "++(1)", 1, partcv, params);
// compiled op node returning opresult2455 (depth = 10)
  int op_slot_left_2447 = gc_frame_newslot(opresult2455);
  params[0] = strlit2448;
  partcv[0] = 1;
  Object opresult2456 = callmethod(opresult2455, "++(1)", 1, partcv, params);
// compiled op node returning opresult2456 (depth = 9)
  int op_slot_left_2443 = gc_frame_newslot(opresult2456);
  params[0] = call2445;
  partcv[0] = 1;
  Object opresult2457 = callmethod(opresult2456, "++(1)", 1, partcv, params);
// compiled op node returning opresult2457 (depth = 8)
  int op_slot_left_2440 = gc_frame_newslot(opresult2457);
  params[0] = strlit2441;
  partcv[0] = 1;
  Object opresult2458 = callmethod(opresult2457, "++(1)", 1, partcv, params);
// compiled op node returning opresult2458 (depth = 7)
  gc_frame_newslot(opresult2458);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_methodtypes (depth = 7)
  params[0] = opresult2458;
  partcv[0] = 1;
  Object call2459 = callmethodflags(*var_methodtypes, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2439);
// compiled call node returning call2459 (depth = 6)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2460 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_op (depth = 8)
  Object call2462 = callmethodflags(*var_op, "right", 0, partcv, params, 0);
  gc_frame_end(callframe2461);
// compiled member node returning call2462 (depth = 7)
  gc_frame_newslot(call2462);
// call case 4: self request
  params[0] = call2462;
  partcv[0] = 1;
  Object call2463 = callmethodflags(self, "visitTypeLiteral(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2460);
// compiled call node returning call2463 (depth = 6)
    gc_frame_newslot(call2463);
    if2426 = call2463;
  } else {
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2466 == NULL) {
    strlit2466 = alloc_String("op");
    gc_root(strlit2466);
  }
// compiled string node returning strlit2466 (depth = 8)
  int op_slot_right_2465 = gc_frame_newslot(strlit2466);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_rightkind (depth = 8)
  int op_slot_left_2465 = gc_frame_newslot(*var_rightkind);
  params[0] = strlit2466;
  partcv[0] = 1;
  Object opresult2468 = callmethod(*var_rightkind, "==(1)", 1, partcv, params);
// compiled op node returning opresult2468 (depth = 7)
  Object if2464 = done;
  if (istrue(opresult2468)) {
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2469 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2470 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_op (depth = 9)
  Object call2471 = callmethodflags(*var_op, "right", 0, partcv, params, 0);
  gc_frame_end(callframe2470);
// compiled member node returning call2471 (depth = 8)
  gc_frame_newslot(call2471);
// call case 4: self request
  params[0] = call2471;
  partcv[0] = 1;
  Object call2472 = callmethodflags(self, "visitOp(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2469);
// compiled call node returning call2472 (depth = 7)
    gc_frame_newslot(call2472);
    if2464 = call2472;
  } else {
  }
// compiled if node returning if2464 (depth = 6)
    gc_frame_newslot(if2464);
    if2426 = if2464;
  }
// compiled if node returning if2426 (depth = 5)
    gc_frame_newslot(if2426);
    if2390 = if2426;
  }
// compiled if node returning if2390 (depth = 4)
    gc_frame_newslot(if2390);
    if2283 = if2390;
  } else {
  }
// compiled if node returning if2283 (depth = 3)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool2473 = alloc_Boolean(0);
// compiled identifier node returning bool2473 (depth = 4)
  return bool2473;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_xmodule_typeVisitor2477(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_typeVisitor;
}
Object module_xmodule_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(29, 29);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_standardGrace_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<xmodule>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(29, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[1];
  int partcv[2];
  Object *var_io = alloc_var();
  Object *var_sys = alloc_var();
  Object *var_util = alloc_var();
  Object *var_ast = alloc_var();
  Object *var_mirrors = alloc_var();
  Object *var_errormessages = alloc_var();
  Object *var_filePath = alloc_var();
  Object *var_gctCache = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "gctCache");
  Object *var_keyCompare = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "keyCompare");
  Object *var_currentDialect = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "currentDialect");
  Object *var_LinePos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "LinePos");
  Object *var_RangeSuggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "RangeSuggestions");
  Object *var_dynamicCModules = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dynamicCModules");
  Object *var_imports = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "imports");
  Object *var_methodtypes = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "methodtypes");
  Object *var_typeVisitor = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "typeVisitor");
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "builtInModules"
  block_savedest(self);
  Object closure1 = createclosure(1, "builtInModules");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_util);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_xmodule_builtInModules1 = addmethod2pos(self, "builtInModules", &meth_xmodule_builtInModules1, 1);
  int argcv_meth_xmodule_builtInModules1[] = {0};
  meth_meth_xmodule_builtInModules1->type = alloc_MethodType(1, argcv_meth_xmodule_builtInModules1);
  meth_meth_xmodule_builtInModules1->definitionModule = modulename;
  meth_meth_xmodule_builtInModules1->definitionLine = 13;
// compiled method node returning  (depth = 1)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkDialect(_)"
  block_savedest(self);
  Object closure26 = createclosure(5, "checkDialect(1)");
  setclosureframe(closure26, stackframe);
  addtoclosure(closure26, var_currentDialect);
  addtoclosure(closure26, var_util);
  addtoclosure(closure26, var_mirrors);
  addtoclosure(closure26, var_errormessages);
  addtoclosure(closure26, var_done);
  struct UserObject *uo26 = (struct UserObject*)self;
  uo26->data[2] = (Object)closure26;
  Method *meth_meth_xmodule_checkDialect_40_1_41_26 = addmethod2pos(self, "checkDialect(1)", &meth_xmodule_checkDialect_40_1_41_26, 2);
  int argcv_meth_xmodule_checkDialect_40_1_41_26[] = {1};
  meth_meth_xmodule_checkDialect_40_1_41_26->type = alloc_MethodType(1, argcv_meth_xmodule_checkDialect_40_1_41_26);
  meth_meth_xmodule_checkDialect_40_1_41_26->definitionModule = modulename;
  meth_meth_xmodule_checkDialect_40_1_41_26->definitionLine = 56;
// compiled method node returning  (depth = 1)
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doParseCheck(_)"
  block_savedest(self);
  Object closure156 = createclosure(6, "doParseCheck(1)");
  setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var_currentDialect);
  addtoclosure(closure156, var_done);
  addtoclosure(closure156, var_errormessages);
  addtoclosure(closure156, var_LinePos);
  addtoclosure(closure156, var_RangeSuggestions);
  addtoclosure(closure156, var_util);
  struct UserObject *uo156 = (struct UserObject*)self;
  uo156->data[3] = (Object)closure156;
  Method *meth_meth_xmodule_doParseCheck_40_1_41_156 = addmethod2pos(self, "doParseCheck(1)", &meth_xmodule_doParseCheck_40_1_41_156, 3);
  int argcv_meth_xmodule_doParseCheck_40_1_41_156[] = {1};
  meth_meth_xmodule_doParseCheck_40_1_41_156->type = alloc_MethodType(1, argcv_meth_xmodule_doParseCheck_40_1_41_156);
  meth_meth_xmodule_doParseCheck_40_1_41_156->definitionModule = modulename;
  meth_meth_xmodule_doParseCheck_40_1_41_156->definitionLine = 94;
// compiled method node returning  (depth = 1)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doAstCheck(_)"
  block_savedest(self);
  Object closure350 = createclosure(6, "doAstCheck(1)");
  setclosureframe(closure350, stackframe);
  addtoclosure(closure350, var_currentDialect);
  addtoclosure(closure350, var_done);
  addtoclosure(closure350, var_errormessages);
  addtoclosure(closure350, var_LinePos);
  addtoclosure(closure350, var_RangeSuggestions);
  addtoclosure(closure350, var_util);
  struct UserObject *uo350 = (struct UserObject*)self;
  uo350->data[4] = (Object)closure350;
  Method *meth_meth_xmodule_doAstCheck_40_1_41_350 = addmethod2pos(self, "doAstCheck(1)", &meth_xmodule_doAstCheck_40_1_41_350, 4);
  int argcv_meth_xmodule_doAstCheck_40_1_41_350[] = {1};
  meth_meth_xmodule_doAstCheck_40_1_41_350->type = alloc_MethodType(1, argcv_meth_xmodule_doAstCheck_40_1_41_350);
  meth_meth_xmodule_doAstCheck_40_1_41_350->definitionModule = modulename;
  meth_meth_xmodule_doAstCheck_40_1_41_350->definitionLine = 121;
// compiled method node returning  (depth = 1)
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkExternalModule(_)"
  struct UserObject *uo545 = (struct UserObject*)self;
  uo545->data[5] = emptyclosure;
  Method *meth_meth_xmodule_checkExternalModule_40_1_41_545 = addmethod2pos(self, "checkExternalModule(1)", &meth_xmodule_checkExternalModule_40_1_41_545, 5);
  int argcv_meth_xmodule_checkExternalModule_40_1_41_545[] = {1};
  meth_meth_xmodule_checkExternalModule_40_1_41_545->type = alloc_MethodType(1, argcv_meth_xmodule_checkExternalModule_40_1_41_545);
  meth_meth_xmodule_checkExternalModule_40_1_41_545->definitionModule = modulename;
  meth_meth_xmodule_checkExternalModule_40_1_41_545->definitionLine = 146;
// compiled method node returning  (depth = 1)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkimport(_,_,_,_,_)"
  block_savedest(self);
  Object closure558 = createclosure(7, "checkimport(5)");
  setclosureframe(closure558, stackframe);
  addtoclosure(closure558, var_imports);
  addtoclosure(closure558, var_done);
  addtoclosure(closure558, var_errormessages);
  addtoclosure(closure558, var_util);
  addtoclosure(closure558, var_sys);
  addtoclosure(closure558, var_filePath);
  addtoclosure(closure558, var_dynamicCModules);
  struct UserObject *uo558 = (struct UserObject*)self;
  uo558->data[6] = (Object)closure558;
  Method *meth_meth_xmodule_checkimport_40_5_41_558 = addmethod2pos(self, "checkimport(5)", &meth_xmodule_checkimport_40_5_41_558, 6);
  int argcv_meth_xmodule_checkimport_40_5_41_558[] = {5};
  meth_meth_xmodule_checkimport_40_5_41_558->type = alloc_MethodType(1, argcv_meth_xmodule_checkimport_40_5_41_558);
  meth_meth_xmodule_checkimport_40_5_41_558->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_checkimport_40_5_41_558->definitionModule = modulename;
  meth_meth_xmodule_checkimport_40_5_41_558->definitionLine = 151;
// compiled method node returning  (depth = 1)
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "addTransitiveImports(_,_,_,_,_)"
  block_savedest(self);
  Object closure963 = createclosure(3, "addTransitiveImports(5)");
  setclosureframe(closure963, stackframe);
  addtoclosure(closure963, var_gctCache);
  addtoclosure(closure963, var_util);
  addtoclosure(closure963, var_errormessages);
  struct UserObject *uo963 = (struct UserObject*)self;
  uo963->data[7] = (Object)closure963;
  Method *meth_meth_xmodule_addTransitiveImports_40_5_41_963 = addmethod2pos(self, "addTransitiveImports(5)", &meth_xmodule_addTransitiveImports_40_5_41_963, 7);
  int argcv_meth_xmodule_addTransitiveImports_40_5_41_963[] = {5};
  meth_meth_xmodule_addTransitiveImports_40_5_41_963->type = alloc_MethodType(1, argcv_meth_xmodule_addTransitiveImports_40_5_41_963);
  meth_meth_xmodule_addTransitiveImports_40_5_41_963->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_addTransitiveImports_40_5_41_963->definitionModule = modulename;
  meth_meth_xmodule_addTransitiveImports_40_5_41_963->definitionLine = 255;
// compiled method node returning  (depth = 1)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "compileModule(_)inFile(_)forDialect(_)atRange(_,_)"
  block_savedest(self);
  Object closure1031 = createclosure(4, "compileModule(1)inFile(1)forDialect(1)atRange(2)");
  setclosureframe(closure1031, stackframe);
  addtoclosure(closure1031, var_util);
  addtoclosure(closure1031, var_errormessages);
  addtoclosure(closure1031, var_sys);
  addtoclosure(closure1031, var_io);
  struct UserObject *uo1031 = (struct UserObject*)self;
  uo1031->data[8] = (Object)closure1031;
  Method *meth_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031 = addmethod2pos(self, "compileModule(1)inFile(1)forDialect(1)atRange(2)", &meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031, 8);
  int argcv_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031[] = {1, 1, 1, 2};
  meth_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031->type = alloc_MethodType(4, argcv_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031);
  meth_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031->definitionModule = modulename;
  meth_meth_xmodule_compileModule_40_1_41_inFile_40_1_41_forDialect_40_1_41_atRange_40_2_41_1031->definitionLine = 275;
// compiled method node returning  (depth = 1)
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parseGCT(_)"
  block_savedest(self);
  Object closure1299 = createclosure(2, "parseGCT(1)");
  setclosureframe(closure1299, stackframe);
  addtoclosure(closure1299, var_util);
  addtoclosure(closure1299, var_gctCache);
  struct UserObject *uo1299 = (struct UserObject*)self;
  uo1299->data[9] = (Object)closure1299;
  Method *meth_meth_xmodule_parseGCT_40_1_41_1299 = addmethod2pos(self, "parseGCT(1)", &meth_xmodule_parseGCT_40_1_41_1299, 9);
  int argcv_meth_xmodule_parseGCT_40_1_41_1299[] = {1};
  meth_meth_xmodule_parseGCT_40_1_41_1299->type = alloc_MethodType(1, argcv_meth_xmodule_parseGCT_40_1_41_1299);
  meth_meth_xmodule_parseGCT_40_1_41_1299->definitionModule = modulename;
  meth_meth_xmodule_parseGCT_40_1_41_1299->definitionLine = 328;
// compiled method node returning  (depth = 1)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parseGCT(_)sourceDir(_)"
  block_savedest(self);
  Object closure1309 = createclosure(5, "parseGCT(1)sourceDir(1)");
  setclosureframe(closure1309, stackframe);
  addtoclosure(closure1309, var_filePath);
  addtoclosure(closure1309, var_sys);
  addtoclosure(closure1309, var_util);
  addtoclosure(closure1309, var_gctCache);
  addtoclosure(closure1309, var_io);
  struct UserObject *uo1309 = (struct UserObject*)self;
  uo1309->data[10] = (Object)closure1309;
  Method *meth_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309 = addmethod2pos(self, "parseGCT(1)sourceDir(1)", &meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309, 10);
  int argcv_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309[] = {1, 1};
  meth_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309->type = alloc_MethodType(2, argcv_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309);
  meth_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309->definitionModule = modulename;
  meth_meth_xmodule_parseGCT_40_1_41_sourceDir_40_1_41_1309->definitionLine = 334;
// compiled method node returning  (depth = 1)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "writeGCT(_,_)"
  block_savedest(self);
  Object closure1415 = createclosure(4, "writeGCT(2)");
  setclosureframe(closure1415, stackframe);
  addtoclosure(closure1415, var_util);
  addtoclosure(closure1415, var_io);
  addtoclosure(closure1415, var_keyCompare);
  addtoclosure(closure1415, var_gctCache);
  struct UserObject *uo1415 = (struct UserObject*)self;
  uo1415->data[11] = (Object)closure1415;
  Method *meth_meth_xmodule_writeGCT_40_2_41_1415 = addmethod2pos(self, "writeGCT(2)", &meth_xmodule_writeGCT_40_2_41_1415, 11);
  int argcv_meth_xmodule_writeGCT_40_2_41_1415[] = {2};
  meth_meth_xmodule_writeGCT_40_2_41_1415->type = alloc_MethodType(1, argcv_meth_xmodule_writeGCT_40_2_41_1415);
  meth_meth_xmodule_writeGCT_40_2_41_1415->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_writeGCT_40_2_41_1415->definitionModule = modulename;
  meth_meth_xmodule_writeGCT_40_2_41_1415->definitionLine = 362;
// compiled method node returning  (depth = 1)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "writeGctForModule(_)"
  struct UserObject *uo1484 = (struct UserObject*)self;
  uo1484->data[12] = emptyclosure;
  Method *meth_meth_xmodule_writeGctForModule_40_1_41_1484 = addmethod2pos(self, "writeGctForModule(1)", &meth_xmodule_writeGctForModule_40_1_41_1484, 12);
  int argcv_meth_xmodule_writeGctForModule_40_1_41_1484[] = {1};
  meth_meth_xmodule_writeGctForModule_40_1_41_1484->type = alloc_MethodType(1, argcv_meth_xmodule_writeGctForModule_40_1_41_1484);
  meth_meth_xmodule_writeGctForModule_40_1_41_1484->definitionModule = modulename;
  meth_meth_xmodule_writeGctForModule_40_1_41_1484->definitionLine = 374;
// compiled method node returning  (depth = 1)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "gctAsString(_)"
  block_savedest(self);
  Object closure1491 = createclosure(1, "gctAsString(1)");
  setclosureframe(closure1491, stackframe);
  addtoclosure(closure1491, var_keyCompare);
  struct UserObject *uo1491 = (struct UserObject*)self;
  uo1491->data[13] = (Object)closure1491;
  Method *meth_meth_xmodule_gctAsString_40_1_41_1491 = addmethod2pos(self, "gctAsString(1)", &meth_xmodule_gctAsString_40_1_41_1491, 13);
  int argcv_meth_xmodule_gctAsString_40_1_41_1491[] = {1};
  meth_meth_xmodule_gctAsString_40_1_41_1491->type = alloc_MethodType(1, argcv_meth_xmodule_gctAsString_40_1_41_1491);
  meth_meth_xmodule_gctAsString_40_1_41_1491->definitionModule = modulename;
  meth_meth_xmodule_gctAsString_40_1_41_1491->definitionLine = 378;
// compiled method node returning  (depth = 1)
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "generateGctForModule(_)"
  struct UserObject *uo1541 = (struct UserObject*)self;
  uo1541->data[14] = emptyclosure;
  Method *meth_meth_xmodule_generateGctForModule_40_1_41_1541 = addmethod2pos(self, "generateGctForModule(1)", &meth_xmodule_generateGctForModule_40_1_41_1541, 14);
  int argcv_meth_xmodule_generateGctForModule_40_1_41_1541[] = {1};
  meth_meth_xmodule_generateGctForModule_40_1_41_1541->type = alloc_MethodType(1, argcv_meth_xmodule_generateGctForModule_40_1_41_1541);
  meth_meth_xmodule_generateGctForModule_40_1_41_1541->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_generateGctForModule_40_1_41_1541->definitionModule = modulename;
  meth_meth_xmodule_generateGctForModule_40_1_41_1541->definitionLine = 462;
// compiled method node returning  (depth = 1)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "buildGctFor(_)"
  block_savedest(self);
  Object closure1546 = createclosure(3, "buildGctFor(1)");
  setclosureframe(closure1546, stackframe);
  addtoclosure(closure1546, var_methodtypes);
  addtoclosure(closure1546, var_typeVisitor);
  addtoclosure(closure1546, var_ast);
  struct UserObject *uo1546 = (struct UserObject*)self;
  uo1546->data[15] = (Object)closure1546;
  Method *meth_meth_xmodule_buildGctFor_40_1_41_1546 = addmethod2pos(self, "buildGctFor(1)", &meth_xmodule_buildGctFor_40_1_41_1546, 15);
  int argcv_meth_xmodule_buildGctFor_40_1_41_1546[] = {1};
  meth_meth_xmodule_buildGctFor_40_1_41_1546->type = alloc_MethodType(1, argcv_meth_xmodule_buildGctFor_40_1_41_1546);
  meth_meth_xmodule_buildGctFor_40_1_41_1546->definitionModule = modulename;
  meth_meth_xmodule_buildGctFor_40_1_41_1546->definitionLine = 468;
// compiled method node returning  (depth = 1)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "addFreshMethodsOf(_)to(_)"
  struct UserObject *uo1846 = (struct UserObject*)self;
  uo1846->data[16] = emptyclosure;
  Method *meth_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846 = addmethod2pos(self, "addFreshMethodsOf(1)to(1)", &meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846, 16);
  int argcv_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846[] = {1, 1};
  meth_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846->type = alloc_MethodType(2, argcv_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846);
  meth_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846->definitionModule = modulename;
  meth_meth_xmodule_addFreshMethodsOf_40_1_41_to_40_1_41_1846->definitionLine = 550;
// compiled method node returning  (depth = 1)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "addFreshMethod(_)to(_)for(_)"
  struct UserObject *uo1863 = (struct UserObject*)self;
  uo1863->data[17] = emptyclosure;
  Method *meth_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863 = addmethod2pos(self, "addFreshMethod(1)to(1)for(1)", &meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863, 17);
  int argcv_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863[] = {1, 1, 1};
  meth_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863->type = alloc_MethodType(3, argcv_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863);
  meth_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863->definitionModule = modulename;
  meth_meth_xmodule_addFreshMethod_40_1_41_to_40_1_41_for_40_1_41_1863->definitionLine = 565;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = LOAD_MODULE(ast);
  *var_ast = module_ast;
// compiled import node returning done (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of mirrors as mirrors
  if (module_mirrors == NULL)
    module_mirrors = dlmodule("mirrors");
  *var_mirrors = module_mirrors;
// compiled import node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unixFilePath as filePath
  if (module_unixFilePath == NULL)
    module_unixFilePath = LOAD_MODULE(unixFilePath);
  *var_filePath = module_unixFilePath;
// compiled import node returning done (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe2038 = gc_frame_new();
// call case 5: prelude request
  Object call2039 = callmethodflags(prelude, "emptyDictionary", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled member node returning call2039 (depth = 2)
  *var_gctCache = call2039;
  if (call2039 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "gctCache"
  block_savedest(self);
  Object closure2040 = createclosure(1, "gctCache");
  setclosureframe(closure2040, stackframe);
  addtoclosure(closure2040, var_gctCache);
  struct UserObject *uo2040 = (struct UserObject*)self;
  uo2040->data[18] = (Object)closure2040;
  Method *meth_meth_xmodule_gctCache2040 = addmethod2pos(self, "gctCache", &meth_xmodule_gctCache2040, 18);
  int argcv_meth_xmodule_gctCache2040[] = {0};
  meth_meth_xmodule_gctCache2040->type = alloc_MethodType(1, argcv_meth_xmodule_gctCache2040);
  meth_meth_xmodule_gctCache2040->definitionModule = modulename;
  meth_meth_xmodule_gctCache2040->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile block node (depth = 2)
  Object block2041 = alloc_Block(NULL, NULL, "xmodule", 11);
  gc_frame_newslot(block2041);
// method "_apply(_,_)"
  block_savedest(block2041);
  Object closure2042 = createclosure(1, "_apply(2)");
  setclosureframe(closure2042, stackframe);
  addtoclosure(closure2042, selfslot);
  struct UserObject *uo2042 = (struct UserObject*)block2041;
  uo2042->data[0] = (Object)closure2042;
  Method *meth_meth_xmodule__apply_40_2_41_2042 = addmethod2pos(block2041, "_apply(2)", &meth_xmodule__apply_40_2_41_2042, 0);
  int argcv_meth_xmodule__apply_40_2_41_2042[] = {2};
  meth_meth_xmodule__apply_40_2_41_2042->type = alloc_MethodType(1, argcv_meth_xmodule__apply_40_2_41_2042);
  meth_meth_xmodule__apply_40_2_41_2042->definitionModule = modulename;
  meth_meth_xmodule__apply_40_2_41_2042->definitionLine = 565;
// compiled block node returning block2041 (depth = 2)
  *var_keyCompare = block2041;
  if (block2041 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "keyCompare"
  block_savedest(self);
  Object closure2050 = createclosure(1, "keyCompare");
  setclosureframe(closure2050, stackframe);
  addtoclosure(closure2050, var_keyCompare);
  struct UserObject *uo2050 = (struct UserObject*)self;
  uo2050->data[19] = (Object)closure2050;
  Method *meth_meth_xmodule_keyCompare2050 = addmethod2pos(self, "keyCompare", &meth_xmodule_keyCompare2050, 19);
  int argcv_meth_xmodule_keyCompare2050[] = {0};
  meth_meth_xmodule_keyCompare2050->type = alloc_MethodType(1, argcv_meth_xmodule_keyCompare2050);
  meth_meth_xmodule_keyCompare2050->definitionModule = modulename;
  meth_meth_xmodule_keyCompare2050->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2051 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2051 = alloc_userobj2(12,7, objclass2051);
  gc_frame_newslot(obj2051);
if (objclass2051 == NULL) {
  glfree(obj2051->class->name);
  obj2051->class->name = "currentDialect";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2051, self, 0);
  addmethodreal(obj2051,"outer", &reader_xmodule_outer_2052);
  Object oldself2051 = self;
  struct StackFrameObject *oldstackframe2051 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2051);
  gc_frame_newslot((Object)stackframe);
  self = obj2051;
  Object *oldselfslot2051 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2051 = (*(struct UserObject *)self).data[0], lowerouter2051 = thisouter2051;
  if (inheritingObject2051) {
    struct UserObject *inho2051 = (struct UserObject *)inheritingObject2051;
    while (inho2051->super != GraceDefaultObject) inho2051 = (struct UserObject *)inho2051->super;
    inho2051->super = obj2051;
    self = inheritingObject2051;
    *selfslot = self;
    lowerouter2051 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2051;
  }
if (objclass2051 == NULL) {
  Method *reader2053 = addmethodrealflags(obj2051, "name", &reader_xmodule_name_2053, 0);
  Method *writer2053 = addmethodrealflags(obj2051, "name:=(1)", &writer_xmodule_name_2053, 0);
  reader2053->definitionModule = modulename;
  writer2053->definitionModule = modulename;
  reader2053->definitionLine = 31;
  writer2053->definitionLine = 31;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 1);
if (objclass2051 == NULL) {
  Method *reader2054 = addmethodrealflags(obj2051, "moduleObject", &reader_xmodule_moduleObject_2054, 0);
  Method *writer2054 = addmethodrealflags(obj2051, "moduleObject:=(1)", &writer_xmodule_moduleObject_2054, 0);
  reader2054->definitionModule = modulename;
  writer2054->definitionModule = modulename;
  reader2054->definitionLine = 32;
  writer2054->definitionLine = 32;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 2);
if (objclass2051 == NULL) {
  Method *reader2055 = addmethodrealflags(obj2051, "hasParseChecker", &reader_xmodule_hasParseChecker_2055, 0);
  Method *writer2055 = addmethodrealflags(obj2051, "hasParseChecker:=(1)", &writer_xmodule_hasParseChecker_2055, 0);
  reader2055->definitionModule = modulename;
  writer2055->definitionModule = modulename;
  reader2055->definitionLine = 35;
  writer2055->definitionLine = 35;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 3);
if (objclass2051 == NULL) {
  Method *reader2056 = addmethodrealflags(obj2051, "hasAstChecker", &reader_xmodule_hasAstChecker_2056, 0);
  Method *writer2056 = addmethodrealflags(obj2051, "hasAstChecker:=(1)", &writer_xmodule_hasAstChecker_2056, 0);
  reader2056->definitionModule = modulename;
  writer2056->definitionModule = modulename;
  reader2056->definitionLine = 36;
  writer2056->definitionLine = 36;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 4);
if (objclass2051 == NULL) {
  Method *reader2057 = addmethodrealflags(obj2051, "hasAtStart", &reader_xmodule_hasAtStart_2057, 0);
  Method *writer2057 = addmethodrealflags(obj2051, "hasAtStart:=(1)", &writer_xmodule_hasAtStart_2057, 0);
  reader2057->definitionModule = modulename;
  writer2057->definitionModule = modulename;
  reader2057->definitionLine = 37;
  writer2057->definitionLine = 37;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 5);
if (objclass2051 == NULL) {
  Method *reader2058 = addmethodrealflags(obj2051, "hasAtEnd", &reader_xmodule_hasAtEnd_2058, 0);
  Method *writer2058 = addmethodrealflags(obj2051, "hasAtEnd:=(1)", &writer_xmodule_hasAtEnd_2058, 0);
  reader2058->definitionModule = modulename;
  writer2058->definitionModule = modulename;
  reader2058->definitionLine = 38;
  writer2058->definitionLine = 38;
}
obj2051->flags |= OFLAG_MUTABLE;
adddatum2(obj2051, alloc_Undefined(), 6);
  sourceObject = obj2051;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2059 == NULL) {
    strlit2059 = alloc_String("standardGrace");
    gc_root(strlit2059);
  }
// compiled string node returning strlit2059 (depth = 3)
  adddatum2(obj2051, strlit2059, 1);
  sourceObject = obj2051;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var__prelude (depth = 3)
  adddatum2(obj2051, *var__prelude, 2);
  sourceObject = obj2051;
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2060 = alloc_Boolean(0);
// compiled identifier node returning bool2060 (depth = 3)
  adddatum2(obj2051, bool2060, 3);
  sourceObject = obj2051;
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2061 = alloc_Boolean(0);
// compiled identifier node returning bool2061 (depth = 3)
  adddatum2(obj2051, bool2061, 4);
  sourceObject = obj2051;
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2062 = alloc_Boolean(0);
// compiled identifier node returning bool2062 (depth = 3)
  adddatum2(obj2051, bool2062, 5);
  sourceObject = obj2051;
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2063 = alloc_Boolean(0);
// compiled identifier node returning bool2063 (depth = 3)
  adddatum2(obj2051, bool2063, 6);
  objclass2051 = obj2051->class;
  objclass2051->definitionModule = modulename;
  objclass2051->definitionLine = 30;
  (*(struct UserObject *)self).data[0] = lowerouter2051;
  self = oldself2051;
  selfslot = oldselfslot2051;
  stackframe = oldstackframe2051;
// compiled object node returning obj2051 (depth = 2)
  *var_currentDialect = obj2051;
  if (obj2051 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "currentDialect"
  block_savedest(self);
  Object closure2064 = createclosure(1, "currentDialect");
  setclosureframe(closure2064, stackframe);
  addtoclosure(closure2064, var_currentDialect);
  struct UserObject *uo2064 = (struct UserObject*)self;
  uo2064->data[20] = (Object)closure2064;
  Method *meth_meth_xmodule_currentDialect2064 = addmethod2pos(self, "currentDialect", &meth_xmodule_currentDialect2064, 20);
  int argcv_meth_xmodule_currentDialect2064[] = {0};
  meth_meth_xmodule_currentDialect2064->type = alloc_MethodType(1, argcv_meth_xmodule_currentDialect2064);
  meth_meth_xmodule_currentDialect2064->definitionModule = modulename;
  meth_meth_xmodule_currentDialect2064->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl LinePos
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type2066 = alloc_Type("LinePos", 2);
    add_Method((ClassData)type2066, "line", NULL);
    add_Method((ClassData)type2066, "linePos", NULL);
// compiled typeliteral node returning type2066 (depth = 2)
  *var_LinePos = type2066;
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "LinePos"
  block_savedest(self);
  Object closure2067 = createclosure(1, "LinePos");
  setclosureframe(closure2067, stackframe);
  addtoclosure(closure2067, var_LinePos);
  struct UserObject *uo2067 = (struct UserObject*)self;
  uo2067->data[21] = (Object)closure2067;
  Method *meth_meth_xmodule_LinePos2067 = addmethod2pos(self, "LinePos", &meth_xmodule_LinePos2067, 21);
  int argcv_meth_xmodule_LinePos2067[] = {0};
  meth_meth_xmodule_LinePos2067->type = alloc_MethodType(1, argcv_meth_xmodule_LinePos2067);
  meth_meth_xmodule_LinePos2067->definitionModule = modulename;
  meth_meth_xmodule_LinePos2067->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl RangeSuggestions
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type2069 = alloc_Type("RangeSuggestions", 4);
    add_Method((ClassData)type2069, "line", NULL);
    add_Method((ClassData)type2069, "posStart", NULL);
    add_Method((ClassData)type2069, "posEnd", NULL);
    add_Method((ClassData)type2069, "suggestions", NULL);
// compiled typeliteral node returning type2069 (depth = 2)
  *var_RangeSuggestions = type2069;
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "RangeSuggestions"
  block_savedest(self);
  Object closure2070 = createclosure(1, "RangeSuggestions");
  setclosureframe(closure2070, stackframe);
  addtoclosure(closure2070, var_RangeSuggestions);
  struct UserObject *uo2070 = (struct UserObject*)self;
  uo2070->data[22] = (Object)closure2070;
  Method *meth_meth_xmodule_RangeSuggestions2070 = addmethod2pos(self, "RangeSuggestions", &meth_xmodule_RangeSuggestions2070, 22);
  int argcv_meth_xmodule_RangeSuggestions2070[] = {0};
  meth_meth_xmodule_RangeSuggestions2070->type = alloc_MethodType(1, argcv_meth_xmodule_RangeSuggestions2070);
  meth_meth_xmodule_RangeSuggestions2070->definitionModule = modulename;
  meth_meth_xmodule_RangeSuggestions2070->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe2071 = gc_frame_new();
// starting to compile array node (depth = 3)
  Object array2072 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 4)
  if (strlit2073 == NULL) {
    strlit2073 = alloc_String("mirrors");
    gc_root(strlit2073);
  }
// compiled string node returning strlit2073 (depth = 4)
  params[0] = strlit2073;
  partcv[0] = 1;
  callmethodflags(array2072, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 4)
  if (strlit2074 == NULL) {
    strlit2074 = alloc_String("curl");
    gc_root(strlit2074);
  }
// compiled string node returning strlit2074 (depth = 4)
  params[0] = strlit2074;
  partcv[0] = 1;
  callmethodflags(array2072, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 4)
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("unicode");
    gc_root(strlit2075);
  }
// compiled string node returning strlit2075 (depth = 4)
  params[0] = strlit2075;
  partcv[0] = 1;
  callmethodflags(array2072, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array2072 (depth = 3)
  gc_frame_newslot(array2072);
// call case 5: prelude request
  params[0] = array2072;
  partcv[0] = 1;
  Object call2076 = callmethodflags(prelude, "set(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled call node returning call2076 (depth = 2)
  *var_dynamicCModules = call2076;
  if (call2076 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "dynamicCModules"
  block_savedest(self);
  Object closure2077 = createclosure(1, "dynamicCModules");
  setclosureframe(closure2077, stackframe);
  addtoclosure(closure2077, var_dynamicCModules);
  struct UserObject *uo2077 = (struct UserObject*)self;
  uo2077->data[23] = (Object)closure2077;
  Method *meth_meth_xmodule_dynamicCModules2077 = addmethod2pos(self, "dynamicCModules", &meth_xmodule_dynamicCModules2077, 23);
  int argcv_meth_xmodule_dynamicCModules2077[] = {0};
  meth_meth_xmodule_dynamicCModules2077->type = alloc_MethodType(1, argcv_meth_xmodule_dynamicCModules2077);
  meth_meth_xmodule_dynamicCModules2077->definitionModule = modulename;
  meth_meth_xmodule_dynamicCModules2077->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe2078 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call2079 = callmethodflags(*var_util, "requiredModules", 0, partcv, params, 0);
  gc_frame_end(callframe2078);
// compiled member node returning call2079 (depth = 2)
  *var_imports = call2079;
  if (call2079 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "imports"
  block_savedest(self);
  Object closure2080 = createclosure(1, "imports");
  setclosureframe(closure2080, stackframe);
  addtoclosure(closure2080, var_imports);
  struct UserObject *uo2080 = (struct UserObject*)self;
  uo2080->data[24] = (Object)closure2080;
  Method *meth_meth_xmodule_imports2080 = addmethod2pos(self, "imports", &meth_xmodule_imports2080, 24);
  int argcv_meth_xmodule_imports2080[] = {0};
  meth_meth_xmodule_imports2080->type = alloc_MethodType(1, argcv_meth_xmodule_imports2080);
  meth_meth_xmodule_imports2080->definitionModule = modulename;
  meth_meth_xmodule_imports2080->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile array node (depth = 2)
  Object array2081 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2081 (depth = 2)
  *var_methodtypes = array2081;
  if (array2081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodtypes"
  block_savedest(self);
  Object closure2082 = createclosure(1, "methodtypes");
  setclosureframe(closure2082, stackframe);
  addtoclosure(closure2082, var_methodtypes);
  struct UserObject *uo2082 = (struct UserObject*)self;
  uo2082->data[25] = (Object)closure2082;
  Method *meth_meth_xmodule_methodtypes2082 = addmethod2pos(self, "methodtypes", &meth_xmodule_methodtypes2082, 25);
  int argcv_meth_xmodule_methodtypes2082[] = {0};
  meth_meth_xmodule_methodtypes2082->type = alloc_MethodType(1, argcv_meth_xmodule_methodtypes2082);
  meth_meth_xmodule_methodtypes2082->definitionModule = modulename;
  meth_meth_xmodule_methodtypes2082->definitionLine = 565;
// compiled method node returning  (depth = 2)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodtypes:=(_)"
  block_savedest(self);
  Object closure2083 = createclosure(1, "methodtypes:=(1)");
  setclosureframe(closure2083, stackframe);
  addtoclosure(closure2083, var_methodtypes);
  struct UserObject *uo2083 = (struct UserObject*)self;
  uo2083->data[26] = (Object)closure2083;
  Method *meth_meth_xmodule_methodtypes_58__61__40_1_41_2083 = addmethod2pos(self, "methodtypes:=(1)", &meth_xmodule_methodtypes_58__61__40_1_41_2083, 26);
  int argcv_meth_xmodule_methodtypes_58__61__40_1_41_2083[] = {1};
  meth_meth_xmodule_methodtypes_58__61__40_1_41_2083->type = alloc_MethodType(1, argcv_meth_xmodule_methodtypes_58__61__40_1_41_2083);
  meth_meth_xmodule_methodtypes_58__61__40_1_41_2083->definitionModule = modulename;
  meth_meth_xmodule_methodtypes_58__61__40_1_41_2083->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2085 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2085 = alloc_userobj2(4,4, objclass2085);
  gc_frame_newslot(obj2085);
if (objclass2085 == NULL) {
  glfree(obj2085->class->name);
  obj2085->class->name = "typeVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2085, self, 0);
  addmethodreal(obj2085,"outer", &reader_xmodule_outer_2086);
  Object oldself2085 = self;
  struct StackFrameObject *oldstackframe2085 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2085);
  gc_frame_newslot((Object)stackframe);
  self = obj2085;
  Object *oldselfslot2085 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2085 = (*(struct UserObject *)self).data[0], lowerouter2085 = thisouter2085;
  if (inheritingObject2085) {
    struct UserObject *inho2085 = (struct UserObject *)inheritingObject2085;
    while (inho2085->super != GraceDefaultObject) inho2085 = (struct UserObject *)inho2085->super;
    inho2085->super = obj2085;
    self = inheritingObject2085;
    *selfslot = self;
    lowerouter2085 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2085;
  }
if (objclass2085 == NULL) {
  Method *reader2087 = addmethodrealflags(obj2085, "literalCount", &reader_xmodule_literalCount_2087, MFLAG_CONFIDENTIAL);
  Method *writer2087 = addmethodrealflags(obj2085, "literalCount:=(1)", &writer_xmodule_literalCount_2087, MFLAG_CONFIDENTIAL);
  reader2087->definitionModule = modulename;
  writer2087->definitionModule = modulename;
  reader2087->definitionLine = 392;
  writer2087->definitionLine = 392;
}
obj2085->flags |= OFLAG_MUTABLE;
adddatum2(obj2085, alloc_Undefined(), 1);
// method "visitTypeLiteral(_)"
  block_savedest(obj2085);
  Object closure2088 = createclosure(2, "visitTypeLiteral(1)");
  setclosureframe(closure2088, stackframe);
  addtoclosure(closure2088, var_ast);
  addtoclosure(closure2088, var_methodtypes);
  struct UserObject *uo2088 = (struct UserObject*)obj2085;
  uo2088->data[2] = (Object)closure2088;
  Method *meth_meth_xmodule_visitTypeLiteral_40_1_41_2088 = addmethod2pos(obj2085, "visitTypeLiteral(1)", &meth_xmodule_visitTypeLiteral_40_1_41_2088, 2);
  int argcv_meth_xmodule_visitTypeLiteral_40_1_41_2088[] = {1};
  meth_meth_xmodule_visitTypeLiteral_40_1_41_2088->type = alloc_MethodType(1, argcv_meth_xmodule_visitTypeLiteral_40_1_41_2088);
  meth_meth_xmodule_visitTypeLiteral_40_1_41_2088->definitionModule = modulename;
  meth_meth_xmodule_visitTypeLiteral_40_1_41_2088->definitionLine = 393;
// method "visitOp(_)"
  block_savedest(obj2085);
  Object closure2282 = createclosure(1, "visitOp(1)");
  setclosureframe(closure2282, stackframe);
  addtoclosure(closure2282, var_methodtypes);
  struct UserObject *uo2282 = (struct UserObject*)obj2085;
  uo2282->data[3] = (Object)closure2282;
  Method *meth_meth_xmodule_visitOp_40_1_41_2282 = addmethod2pos(obj2085, "visitOp(1)", &meth_xmodule_visitOp_40_1_41_2282, 3);
  int argcv_meth_xmodule_visitOp_40_1_41_2282[] = {1};
  meth_meth_xmodule_visitOp_40_1_41_2282->type = alloc_MethodType(1, argcv_meth_xmodule_visitOp_40_1_41_2282);
  meth_meth_xmodule_visitOp_40_1_41_2282->definitionModule = modulename;
  meth_meth_xmodule_visitOp_40_1_41_2282->definitionLine = 434;
  sourceObject = obj2085;
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2474 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ast (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2475 = callmethodflags(*var_ast, "baseVisitor$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2474);
// compiled call node returning call2475 (depth = 3)
  struct UserObject *obj2085_uo = (struct UserObject *)obj2085;
  obj2085_uo->super = call2475;
  sourceObject = obj2085;
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num2476 = alloc_Float64(1);
// compiled num node returning num2476 (depth = 3)
  adddatum2(obj2085, num2476, 1);
  sourceObject = obj2085;
  sourceObject = obj2085;
  objclass2085 = obj2085->class;
  objclass2085->definitionModule = modulename;
  objclass2085->definitionLine = 390;
  (*(struct UserObject *)self).data[0] = lowerouter2085;
  self = oldself2085;
  selfslot = oldselfslot2085;
  stackframe = oldstackframe2085;
// compiled object node returning obj2085 (depth = 2)
  *var_typeVisitor = obj2085;
  if (obj2085 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeVisitor"
  block_savedest(self);
  Object closure2477 = createclosure(1, "typeVisitor");
  setclosureframe(closure2477, stackframe);
  addtoclosure(closure2477, var_typeVisitor);
  struct UserObject *uo2477 = (struct UserObject*)self;
  uo2477->data[27] = (Object)closure2477;
  Method *meth_meth_xmodule_typeVisitor2477 = addmethod2pos(self, "typeVisitor", &meth_xmodule_typeVisitor2477, 27);
  int argcv_meth_xmodule_typeVisitor2477[] = {0};
  meth_meth_xmodule_typeVisitor2477->type = alloc_MethodType(1, argcv_meth_xmodule_typeVisitor2477);
  meth_meth_xmodule_typeVisitor2477->definitionModule = modulename;
  meth_meth_xmodule_typeVisitor2477->definitionLine = 565;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
